# -*- coding: utf-8 -*-


# HIP Certificate Types
_CERT_TYPE = {
    0 : 'Reserved [0]',                                                         # [RFC 8002]
    1 : 'X.509 v3',                                                             # [RFC 8002]
    2 : 'Obsoleted',                                                            # [RFC 8002]
    3 : 'Hash and URL of X.509 v3',                                             # [RFC 8002]
    4 : 'Obsoleted',                                                            # [RFC 8002]
    5 : 'LDAP URL of X.509 v3',                                                 # [RFC 8002]
    6 : 'Obsoleted',                                                            # [RFC 8002]
    7 : 'Distinguished Name of X.509 v3',                                       # [RFC 8002]
    8 : 'Obsoleted',                                                            # [RFC 8002]
    9 : 'Unassigned [9]',
   10 : 'Unassigned [10]',
   11 : 'Unassigned [11]',
   12 : 'Unassigned [12]',
   13 : 'Unassigned [13]',
   14 : 'Unassigned [14]',
   15 : 'Unassigned [15]',
   16 : 'Unassigned [16]',
   17 : 'Unassigned [17]',
   18 : 'Unassigned [18]',
   19 : 'Unassigned [19]',
   20 : 'Unassigned [20]',
   21 : 'Unassigned [21]',
   22 : 'Unassigned [22]',
   23 : 'Unassigned [23]',
   24 : 'Unassigned [24]',
   25 : 'Unassigned [25]',
   26 : 'Unassigned [26]',
   27 : 'Unassigned [27]',
   28 : 'Unassigned [28]',
   29 : 'Unassigned [29]',
   30 : 'Unassigned [30]',
   31 : 'Unassigned [31]',
   32 : 'Unassigned [32]',
   33 : 'Unassigned [33]',
   34 : 'Unassigned [34]',
   35 : 'Unassigned [35]',
   36 : 'Unassigned [36]',
   37 : 'Unassigned [37]',
   38 : 'Unassigned [38]',
   39 : 'Unassigned [39]',
   40 : 'Unassigned [40]',
   41 : 'Unassigned [41]',
   42 : 'Unassigned [42]',
   43 : 'Unassigned [43]',
   44 : 'Unassigned [44]',
   45 : 'Unassigned [45]',
   46 : 'Unassigned [46]',
   47 : 'Unassigned [47]',
   48 : 'Unassigned [48]',
   49 : 'Unassigned [49]',
   50 : 'Unassigned [50]',
   51 : 'Unassigned [51]',
   52 : 'Unassigned [52]',
   53 : 'Unassigned [53]',
   54 : 'Unassigned [54]',
   55 : 'Unassigned [55]',
   56 : 'Unassigned [56]',
   57 : 'Unassigned [57]',
   58 : 'Unassigned [58]',
   59 : 'Unassigned [59]',
   60 : 'Unassigned [60]',
   61 : 'Unassigned [61]',
   62 : 'Unassigned [62]',
   63 : 'Unassigned [63]',
   64 : 'Unassigned [64]',
   65 : 'Unassigned [65]',
   66 : 'Unassigned [66]',
   67 : 'Unassigned [67]',
   68 : 'Unassigned [68]',
   69 : 'Unassigned [69]',
   70 : 'Unassigned [70]',
   71 : 'Unassigned [71]',
   72 : 'Unassigned [72]',
   73 : 'Unassigned [73]',
   74 : 'Unassigned [74]',
   75 : 'Unassigned [75]',
   76 : 'Unassigned [76]',
   77 : 'Unassigned [77]',
   78 : 'Unassigned [78]',
   79 : 'Unassigned [79]',
   80 : 'Unassigned [80]',
   81 : 'Unassigned [81]',
   82 : 'Unassigned [82]',
   83 : 'Unassigned [83]',
   84 : 'Unassigned [84]',
   85 : 'Unassigned [85]',
   86 : 'Unassigned [86]',
   87 : 'Unassigned [87]',
   88 : 'Unassigned [88]',
   89 : 'Unassigned [89]',
   90 : 'Unassigned [90]',
   91 : 'Unassigned [91]',
   92 : 'Unassigned [92]',
   93 : 'Unassigned [93]',
   94 : 'Unassigned [94]',
   95 : 'Unassigned [95]',
   96 : 'Unassigned [96]',
   97 : 'Unassigned [97]',
   98 : 'Unassigned [98]',
   99 : 'Unassigned [99]',
  100 : 'Unassigned [100]',
  101 : 'Unassigned [101]',
  102 : 'Unassigned [102]',
  103 : 'Unassigned [103]',
  104 : 'Unassigned [104]',
  105 : 'Unassigned [105]',
  106 : 'Unassigned [106]',
  107 : 'Unassigned [107]',
  108 : 'Unassigned [108]',
  109 : 'Unassigned [109]',
  110 : 'Unassigned [110]',
  111 : 'Unassigned [111]',
  112 : 'Unassigned [112]',
  113 : 'Unassigned [113]',
  114 : 'Unassigned [114]',
  115 : 'Unassigned [115]',
  116 : 'Unassigned [116]',
  117 : 'Unassigned [117]',
  118 : 'Unassigned [118]',
  119 : 'Unassigned [119]',
  120 : 'Unassigned [120]',
  121 : 'Unassigned [121]',
  122 : 'Unassigned [122]',
  123 : 'Unassigned [123]',
  124 : 'Unassigned [124]',
  125 : 'Unassigned [125]',
  126 : 'Unassigned [126]',
  127 : 'Unassigned [127]',
  128 : 'Unassigned [128]',
  129 : 'Unassigned [129]',
  130 : 'Unassigned [130]',
  131 : 'Unassigned [131]',
  132 : 'Unassigned [132]',
  133 : 'Unassigned [133]',
  134 : 'Unassigned [134]',
  135 : 'Unassigned [135]',
  136 : 'Unassigned [136]',
  137 : 'Unassigned [137]',
  138 : 'Unassigned [138]',
  139 : 'Unassigned [139]',
  140 : 'Unassigned [140]',
  141 : 'Unassigned [141]',
  142 : 'Unassigned [142]',
  143 : 'Unassigned [143]',
  144 : 'Unassigned [144]',
  145 : 'Unassigned [145]',
  146 : 'Unassigned [146]',
  147 : 'Unassigned [147]',
  148 : 'Unassigned [148]',
  149 : 'Unassigned [149]',
  150 : 'Unassigned [150]',
  151 : 'Unassigned [151]',
  152 : 'Unassigned [152]',
  153 : 'Unassigned [153]',
  154 : 'Unassigned [154]',
  155 : 'Unassigned [155]',
  156 : 'Unassigned [156]',
  157 : 'Unassigned [157]',
  158 : 'Unassigned [158]',
  159 : 'Unassigned [159]',
  160 : 'Unassigned [160]',
  161 : 'Unassigned [161]',
  162 : 'Unassigned [162]',
  163 : 'Unassigned [163]',
  164 : 'Unassigned [164]',
  165 : 'Unassigned [165]',
  166 : 'Unassigned [166]',
  167 : 'Unassigned [167]',
  168 : 'Unassigned [168]',
  169 : 'Unassigned [169]',
  170 : 'Unassigned [170]',
  171 : 'Unassigned [171]',
  172 : 'Unassigned [172]',
  173 : 'Unassigned [173]',
  174 : 'Unassigned [174]',
  175 : 'Unassigned [175]',
  176 : 'Unassigned [176]',
  177 : 'Unassigned [177]',
  178 : 'Unassigned [178]',
  179 : 'Unassigned [179]',
  180 : 'Unassigned [180]',
  181 : 'Unassigned [181]',
  182 : 'Unassigned [182]',
  183 : 'Unassigned [183]',
  184 : 'Unassigned [184]',
  185 : 'Unassigned [185]',
  186 : 'Unassigned [186]',
  187 : 'Unassigned [187]',
  188 : 'Unassigned [188]',
  189 : 'Unassigned [189]',
  190 : 'Unassigned [190]',
  191 : 'Unassigned [191]',
  192 : 'Unassigned [192]',
  193 : 'Unassigned [193]',
  194 : 'Unassigned [194]',
  195 : 'Unassigned [195]',
  196 : 'Unassigned [196]',
  197 : 'Unassigned [197]',
  198 : 'Unassigned [198]',
  199 : 'Unassigned [199]',
  200 : 'Unassigned [200]',
  201 : 'Unassigned [201]',
  202 : 'Unassigned [202]',
  203 : 'Unassigned [203]',
  204 : 'Unassigned [204]',
  205 : 'Unassigned [205]',
  206 : 'Unassigned [206]',
  207 : 'Unassigned [207]',
  208 : 'Unassigned [208]',
  209 : 'Unassigned [209]',
  210 : 'Unassigned [210]',
  211 : 'Unassigned [211]',
  212 : 'Unassigned [212]',
  213 : 'Unassigned [213]',
  214 : 'Unassigned [214]',
  215 : 'Unassigned [215]',
  216 : 'Unassigned [216]',
  217 : 'Unassigned [217]',
  218 : 'Unassigned [218]',
  219 : 'Unassigned [219]',
  220 : 'Unassigned [220]',
  221 : 'Unassigned [221]',
  222 : 'Unassigned [222]',
  223 : 'Unassigned [223]',
  224 : 'Unassigned [224]',
  225 : 'Unassigned [225]',
  226 : 'Unassigned [226]',
  227 : 'Unassigned [227]',
  228 : 'Unassigned [228]',
  229 : 'Unassigned [229]',
  230 : 'Unassigned [230]',
  231 : 'Unassigned [231]',
  232 : 'Unassigned [232]',
  233 : 'Unassigned [233]',
  234 : 'Unassigned [234]',
  235 : 'Unassigned [235]',
  236 : 'Unassigned [236]',
  237 : 'Unassigned [237]',
  238 : 'Unassigned [238]',
  239 : 'Unassigned [239]',
  240 : 'Unassigned [240]',
  241 : 'Unassigned [241]',
  242 : 'Unassigned [242]',
  243 : 'Unassigned [243]',
  244 : 'Unassigned [244]',
  245 : 'Unassigned [245]',
  246 : 'Unassigned [246]',
  247 : 'Unassigned [247]',
  248 : 'Unassigned [248]',
  249 : 'Unassigned [249]',
  250 : 'Unassigned [250]',
  251 : 'Unassigned [251]',
  252 : 'Unassigned [252]',
  253 : 'Unassigned [253]',
  254 : 'Unassigned [254]',
  255 : 'Unassigned [255]',
}
