# -*- coding: utf-8 -*-


# OSPF Packet Types
TYPE = {
    0 : 'Reserved [0]',
    1 : 'Hello',                                                                # [RFC 2328]
    2 : 'Database Description',                                                 # [RFC 2328]
    3 : 'Link State Request',                                                   # [RFC 2328]
    4 : 'Link State Update',                                                    # [RFC 2328]
    5 : 'Link State Ack',                                                       # [RFC 2328]
    6 : 'Unassigned [6] (Standards Action)',
    7 : 'Unassigned [7] (Standards Action)',
    8 : 'Unassigned [8] (Standards Action)',
    9 : 'Unassigned [9] (Standards Action)',
   10 : 'Unassigned [10] (Standards Action)',
   11 : 'Unassigned [11] (Standards Action)',
   12 : 'Unassigned [12] (Standards Action)',
   13 : 'Unassigned [13] (Standards Action)',
   14 : 'Unassigned [14] (Standards Action)',
   15 : 'Unassigned [15] (Standards Action)',
   16 : 'Unassigned [16] (Standards Action)',
   17 : 'Unassigned [17] (Standards Action)',
   18 : 'Unassigned [18] (Standards Action)',
   19 : 'Unassigned [19] (Standards Action)',
   20 : 'Unassigned [20] (Standards Action)',
   21 : 'Unassigned [21] (Standards Action)',
   22 : 'Unassigned [22] (Standards Action)',
   23 : 'Unassigned [23] (Standards Action)',
   24 : 'Unassigned [24] (Standards Action)',
   25 : 'Unassigned [25] (Standards Action)',
   26 : 'Unassigned [26] (Standards Action)',
   27 : 'Unassigned [27] (Standards Action)',
   28 : 'Unassigned [28] (Standards Action)',
   29 : 'Unassigned [29] (Standards Action)',
   30 : 'Unassigned [30] (Standards Action)',
   31 : 'Unassigned [31] (Standards Action)',
   32 : 'Unassigned [32] (Standards Action)',
   33 : 'Unassigned [33] (Standards Action)',
   34 : 'Unassigned [34] (Standards Action)',
   35 : 'Unassigned [35] (Standards Action)',
   36 : 'Unassigned [36] (Standards Action)',
   37 : 'Unassigned [37] (Standards Action)',
   38 : 'Unassigned [38] (Standards Action)',
   39 : 'Unassigned [39] (Standards Action)',
   40 : 'Unassigned [40] (Standards Action)',
   41 : 'Unassigned [41] (Standards Action)',
   42 : 'Unassigned [42] (Standards Action)',
   43 : 'Unassigned [43] (Standards Action)',
   44 : 'Unassigned [44] (Standards Action)',
   45 : 'Unassigned [45] (Standards Action)',
   46 : 'Unassigned [46] (Standards Action)',
   47 : 'Unassigned [47] (Standards Action)',
   48 : 'Unassigned [48] (Standards Action)',
   49 : 'Unassigned [49] (Standards Action)',
   50 : 'Unassigned [50] (Standards Action)',
   51 : 'Unassigned [51] (Standards Action)',
   52 : 'Unassigned [52] (Standards Action)',
   53 : 'Unassigned [53] (Standards Action)',
   54 : 'Unassigned [54] (Standards Action)',
   55 : 'Unassigned [55] (Standards Action)',
   56 : 'Unassigned [56] (Standards Action)',
   57 : 'Unassigned [57] (Standards Action)',
   58 : 'Unassigned [58] (Standards Action)',
   59 : 'Unassigned [59] (Standards Action)',
   60 : 'Unassigned [60] (Standards Action)',
   61 : 'Unassigned [61] (Standards Action)',
   62 : 'Unassigned [62] (Standards Action)',
   63 : 'Unassigned [63] (Standards Action)',
   64 : 'Unassigned [64] (Standards Action)',
   65 : 'Unassigned [65] (Standards Action)',
   66 : 'Unassigned [66] (Standards Action)',
   67 : 'Unassigned [67] (Standards Action)',
   68 : 'Unassigned [68] (Standards Action)',
   69 : 'Unassigned [69] (Standards Action)',
   70 : 'Unassigned [70] (Standards Action)',
   71 : 'Unassigned [71] (Standards Action)',
   72 : 'Unassigned [72] (Standards Action)',
   73 : 'Unassigned [73] (Standards Action)',
   74 : 'Unassigned [74] (Standards Action)',
   75 : 'Unassigned [75] (Standards Action)',
   76 : 'Unassigned [76] (Standards Action)',
   77 : 'Unassigned [77] (Standards Action)',
   78 : 'Unassigned [78] (Standards Action)',
   79 : 'Unassigned [79] (Standards Action)',
   80 : 'Unassigned [80] (Standards Action)',
   81 : 'Unassigned [81] (Standards Action)',
   82 : 'Unassigned [82] (Standards Action)',
   83 : 'Unassigned [83] (Standards Action)',
   84 : 'Unassigned [84] (Standards Action)',
   85 : 'Unassigned [85] (Standards Action)',
   86 : 'Unassigned [86] (Standards Action)',
   87 : 'Unassigned [87] (Standards Action)',
   88 : 'Unassigned [88] (Standards Action)',
   89 : 'Unassigned [89] (Standards Action)',
   90 : 'Unassigned [90] (Standards Action)',
   91 : 'Unassigned [91] (Standards Action)',
   92 : 'Unassigned [92] (Standards Action)',
   93 : 'Unassigned [93] (Standards Action)',
   94 : 'Unassigned [94] (Standards Action)',
   95 : 'Unassigned [95] (Standards Action)',
   96 : 'Unassigned [96] (Standards Action)',
   97 : 'Unassigned [97] (Standards Action)',
   98 : 'Unassigned [98] (Standards Action)',
   99 : 'Unassigned [99] (Standards Action)',
  100 : 'Unassigned [100] (Standards Action)',
  101 : 'Unassigned [101] (Standards Action)',
  102 : 'Unassigned [102] (Standards Action)',
  103 : 'Unassigned [103] (Standards Action)',
  104 : 'Unassigned [104] (Standards Action)',
  105 : 'Unassigned [105] (Standards Action)',
  106 : 'Unassigned [106] (Standards Action)',
  107 : 'Unassigned [107] (Standards Action)',
  108 : 'Unassigned [108] (Standards Action)',
  109 : 'Unassigned [109] (Standards Action)',
  110 : 'Unassigned [110] (Standards Action)',
  111 : 'Unassigned [111] (Standards Action)',
  112 : 'Unassigned [112] (Standards Action)',
  113 : 'Unassigned [113] (Standards Action)',
  114 : 'Unassigned [114] (Standards Action)',
  115 : 'Unassigned [115] (Standards Action)',
  116 : 'Unassigned [116] (Standards Action)',
  117 : 'Unassigned [117] (Standards Action)',
  118 : 'Unassigned [118] (Standards Action)',
  119 : 'Unassigned [119] (Standards Action)',
  120 : 'Unassigned [120] (Standards Action)',
  121 : 'Unassigned [121] (Standards Action)',
  122 : 'Unassigned [122] (Standards Action)',
  123 : 'Unassigned [123] (Standards Action)',
  124 : 'Unassigned [124] (Standards Action)',
  125 : 'Unassigned [125] (Standards Action)',
  126 : 'Unassigned [126] (Standards Action)',
  127 : 'Unassigned [127] (Standards Action)',
  128 : 'Reserved [128] (Reserved)',
  129 : 'Reserved [129] (Reserved)',
  130 : 'Reserved [130] (Reserved)',
  131 : 'Reserved [131] (Reserved)',
  132 : 'Reserved [132] (Reserved)',
  133 : 'Reserved [133] (Reserved)',
  134 : 'Reserved [134] (Reserved)',
  135 : 'Reserved [135] (Reserved)',
  136 : 'Reserved [136] (Reserved)',
  137 : 'Reserved [137] (Reserved)',
  138 : 'Reserved [138] (Reserved)',
  139 : 'Reserved [139] (Reserved)',
  140 : 'Reserved [140] (Reserved)',
  141 : 'Reserved [141] (Reserved)',
  142 : 'Reserved [142] (Reserved)',
  143 : 'Reserved [143] (Reserved)',
  144 : 'Reserved [144] (Reserved)',
  145 : 'Reserved [145] (Reserved)',
  146 : 'Reserved [146] (Reserved)',
  147 : 'Reserved [147] (Reserved)',
  148 : 'Reserved [148] (Reserved)',
  149 : 'Reserved [149] (Reserved)',
  150 : 'Reserved [150] (Reserved)',
  151 : 'Reserved [151] (Reserved)',
  152 : 'Reserved [152] (Reserved)',
  153 : 'Reserved [153] (Reserved)',
  154 : 'Reserved [154] (Reserved)',
  155 : 'Reserved [155] (Reserved)',
  156 : 'Reserved [156] (Reserved)',
  157 : 'Reserved [157] (Reserved)',
  158 : 'Reserved [158] (Reserved)',
  159 : 'Reserved [159] (Reserved)',
  160 : 'Reserved [160] (Reserved)',
  161 : 'Reserved [161] (Reserved)',
  162 : 'Reserved [162] (Reserved)',
  163 : 'Reserved [163] (Reserved)',
  164 : 'Reserved [164] (Reserved)',
  165 : 'Reserved [165] (Reserved)',
  166 : 'Reserved [166] (Reserved)',
  167 : 'Reserved [167] (Reserved)',
  168 : 'Reserved [168] (Reserved)',
  169 : 'Reserved [169] (Reserved)',
  170 : 'Reserved [170] (Reserved)',
  171 : 'Reserved [171] (Reserved)',
  172 : 'Reserved [172] (Reserved)',
  173 : 'Reserved [173] (Reserved)',
  174 : 'Reserved [174] (Reserved)',
  175 : 'Reserved [175] (Reserved)',
  176 : 'Reserved [176] (Reserved)',
  177 : 'Reserved [177] (Reserved)',
  178 : 'Reserved [178] (Reserved)',
  179 : 'Reserved [179] (Reserved)',
  180 : 'Reserved [180] (Reserved)',
  181 : 'Reserved [181] (Reserved)',
  182 : 'Reserved [182] (Reserved)',
  183 : 'Reserved [183] (Reserved)',
  184 : 'Reserved [184] (Reserved)',
  185 : 'Reserved [185] (Reserved)',
  186 : 'Reserved [186] (Reserved)',
  187 : 'Reserved [187] (Reserved)',
  188 : 'Reserved [188] (Reserved)',
  189 : 'Reserved [189] (Reserved)',
  190 : 'Reserved [190] (Reserved)',
  191 : 'Reserved [191] (Reserved)',
  192 : 'Reserved [192] (Reserved)',
  193 : 'Reserved [193] (Reserved)',
  194 : 'Reserved [194] (Reserved)',
  195 : 'Reserved [195] (Reserved)',
  196 : 'Reserved [196] (Reserved)',
  197 : 'Reserved [197] (Reserved)',
  198 : 'Reserved [198] (Reserved)',
  199 : 'Reserved [199] (Reserved)',
  200 : 'Reserved [200] (Reserved)',
  201 : 'Reserved [201] (Reserved)',
  202 : 'Reserved [202] (Reserved)',
  203 : 'Reserved [203] (Reserved)',
  204 : 'Reserved [204] (Reserved)',
  205 : 'Reserved [205] (Reserved)',
  206 : 'Reserved [206] (Reserved)',
  207 : 'Reserved [207] (Reserved)',
  208 : 'Reserved [208] (Reserved)',
  209 : 'Reserved [209] (Reserved)',
  210 : 'Reserved [210] (Reserved)',
  211 : 'Reserved [211] (Reserved)',
  212 : 'Reserved [212] (Reserved)',
  213 : 'Reserved [213] (Reserved)',
  214 : 'Reserved [214] (Reserved)',
  215 : 'Reserved [215] (Reserved)',
  216 : 'Reserved [216] (Reserved)',
  217 : 'Reserved [217] (Reserved)',
  218 : 'Reserved [218] (Reserved)',
  219 : 'Reserved [219] (Reserved)',
  220 : 'Reserved [220] (Reserved)',
  221 : 'Reserved [221] (Reserved)',
  222 : 'Reserved [222] (Reserved)',
  223 : 'Reserved [223] (Reserved)',
  224 : 'Reserved [224] (Reserved)',
  225 : 'Reserved [225] (Reserved)',
  226 : 'Reserved [226] (Reserved)',
  227 : 'Reserved [227] (Reserved)',
  228 : 'Reserved [228] (Reserved)',
  229 : 'Reserved [229] (Reserved)',
  230 : 'Reserved [230] (Reserved)',
  231 : 'Reserved [231] (Reserved)',
  232 : 'Reserved [232] (Reserved)',
  233 : 'Reserved [233] (Reserved)',
  234 : 'Reserved [234] (Reserved)',
  235 : 'Reserved [235] (Reserved)',
  236 : 'Reserved [236] (Reserved)',
  237 : 'Reserved [237] (Reserved)',
  238 : 'Reserved [238] (Reserved)',
  239 : 'Reserved [239] (Reserved)',
  240 : 'Reserved [240] (Reserved)',
  241 : 'Reserved [241] (Reserved)',
  242 : 'Reserved [242] (Reserved)',
  243 : 'Reserved [243] (Reserved)',
  244 : 'Reserved [244] (Reserved)',
  245 : 'Reserved [245] (Reserved)',
  246 : 'Reserved [246] (Reserved)',
  247 : 'Reserved [247] (Reserved)',
  248 : 'Reserved [248] (Reserved)',
  249 : 'Reserved [249] (Reserved)',
  250 : 'Reserved [250] (Reserved)',
  251 : 'Reserved [251] (Reserved)',
  252 : 'Reserved [252] (Reserved)',
  253 : 'Reserved [253] (Reserved)',
  254 : 'Reserved [254] (Reserved)',
  255 : 'Reserved [255] (Reserved)',
}
