# -*- coding: utf-8 -*-


# HTTP/2 Settings
_PRAR_NAME = {
	0x0000 : 'Reserved [0x0000]',                                                  # [RFC 7540]
	0x0001 : 'HEADER_TABLE_SIZE',                                                  # [RFC 7540, Section 6.5.2] 4096
	0x0002 : 'ENABLE_PUSH',                                                        # [RFC 7540, Section 6.5.2] 1
	0x0003 : 'MAX_CONCURRENT_STREAMS',                                             # [RFC 7540, Section 6.5.2] infinite
	0x0004 : 'INITIAL_WINDOW_SIZE',                                                # [RFC 7540, Section 6.5.2] 65535
	0x0005 : 'MAX_FRAME_SIZE',                                                     # [RFC 7540, Section 6.5.2] 16384
	0x0006 : 'MAX_HEADER_LIST_SIZE',                                               # [RFC 7540, Section 6.5.2] infinite
	0x0007 : 'Unassigned [0x0007]',
	0x0008 : 'Unassigned [0x0008]',
	0x0009 : 'Unassigned [0x0009]',
	0x000A : 'Unassigned [0x000A]',
	0x000B : 'Unassigned [0x000B]',
	0x000C : 'Unassigned [0x000C]',
	0x000D : 'Unassigned [0x000D]',
	0x000E : 'Unassigned [0x000E]',
	0x000F : 'Unassigned [0x000F]',
	0x0008 : 'SETTINGS_ENABLE_CONNECT_PROTOCOL',                                   # [RFC -ietf-httpbis-h2-websockets-07] 0
	0x0009 : 'Unassigned [0x0009]',
	0x000A : 'Unassigned [0x000A]',
	0x000B : 'Unassigned [0x000B]',
	0x000C : 'Unassigned [0x000C]',
	0x000D : 'Unassigned [0x000D]',
	0x000E : 'Unassigned [0x000E]',
	0x000F : 'Unassigned [0x000F]',
	0x0010 : 'TLS_RENEG_PERMITTED',                                                # [MS-HTTP2E][Gabriel_Montenegro] 0x00
	0x0011 : 'Unassigned [0x0011]',
	0x0012 : 'Unassigned [0x0012]',
	0x0013 : 'Unassigned [0x0013]',
	0x0014 : 'Unassigned [0x0014]',
	0x0015 : 'Unassigned [0x0015]',
	0x0016 : 'Unassigned [0x0016]',
	0x0017 : 'Unassigned [0x0017]',
	0x0018 : 'Unassigned [0x0018]',
	0x0019 : 'Unassigned [0x0019]',
	0x001A : 'Unassigned [0x001A]',
	0x001B : 'Unassigned [0x001B]',
	0x001C : 'Unassigned [0x001C]',
	0x001D : 'Unassigned [0x001D]',
	0x001E : 'Unassigned [0x001E]',
	0x001F : 'Unassigned [0x001F]',
	0x0020 : 'Unassigned [0x0020]',
	0x0021 : 'Unassigned [0x0021]',
	0x0022 : 'Unassigned [0x0022]',
	0x0023 : 'Unassigned [0x0023]',
	0x0024 : 'Unassigned [0x0024]',
	0x0025 : 'Unassigned [0x0025]',
	0x0026 : 'Unassigned [0x0026]',
	0x0027 : 'Unassigned [0x0027]',
	0x0028 : 'Unassigned [0x0028]',
	0x0029 : 'Unassigned [0x0029]',
	0x002A : 'Unassigned [0x002A]',
	0x002B : 'Unassigned [0x002B]',
	0x002C : 'Unassigned [0x002C]',
	0x002D : 'Unassigned [0x002D]',
	0x002E : 'Unassigned [0x002E]',
	0x002F : 'Unassigned [0x002F]',
	0x0030 : 'Unassigned [0x0030]',
	0x0031 : 'Unassigned [0x0031]',
	0x0032 : 'Unassigned [0x0032]',
	0x0033 : 'Unassigned [0x0033]',
	0x0034 : 'Unassigned [0x0034]',
	0x0035 : 'Unassigned [0x0035]',
	0x0036 : 'Unassigned [0x0036]',
	0x0037 : 'Unassigned [0x0037]',
	0x0038 : 'Unassigned [0x0038]',
	0x0039 : 'Unassigned [0x0039]',
	0x003A : 'Unassigned [0x003A]',
	0x003B : 'Unassigned [0x003B]',
	0x003C : 'Unassigned [0x003C]',
	0x003D : 'Unassigned [0x003D]',
	0x003E : 'Unassigned [0x003E]',
	0x003F : 'Unassigned [0x003F]',
	0x0040 : 'Unassigned [0x0040]',
	0x0041 : 'Unassigned [0x0041]',
	0x0042 : 'Unassigned [0x0042]',
	0x0043 : 'Unassigned [0x0043]',
	0x0044 : 'Unassigned [0x0044]',
	0x0045 : 'Unassigned [0x0045]',
	0x0046 : 'Unassigned [0x0046]',
	0x0047 : 'Unassigned [0x0047]',
	0x0048 : 'Unassigned [0x0048]',
	0x0049 : 'Unassigned [0x0049]',
	0x004A : 'Unassigned [0x004A]',
	0x004B : 'Unassigned [0x004B]',
	0x004C : 'Unassigned [0x004C]',
	0x004D : 'Unassigned [0x004D]',
	0x004E : 'Unassigned [0x004E]',
	0x004F : 'Unassigned [0x004F]',
	0x0050 : 'Unassigned [0x0050]',
	0x0051 : 'Unassigned [0x0051]',
	0x0052 : 'Unassigned [0x0052]',
	0x0053 : 'Unassigned [0x0053]',
	0x0054 : 'Unassigned [0x0054]',
	0x0055 : 'Unassigned [0x0055]',
	0x0056 : 'Unassigned [0x0056]',
	0x0057 : 'Unassigned [0x0057]',
	0x0058 : 'Unassigned [0x0058]',
	0x0059 : 'Unassigned [0x0059]',
	0x005A : 'Unassigned [0x005A]',
	0x005B : 'Unassigned [0x005B]',
	0x005C : 'Unassigned [0x005C]',
	0x005D : 'Unassigned [0x005D]',
	0x005E : 'Unassigned [0x005E]',
	0x005F : 'Unassigned [0x005F]',
	0x0060 : 'Unassigned [0x0060]',
	0x0061 : 'Unassigned [0x0061]',
	0x0062 : 'Unassigned [0x0062]',
	0x0063 : 'Unassigned [0x0063]',
	0x0064 : 'Unassigned [0x0064]',
	0x0065 : 'Unassigned [0x0065]',
	0x0066 : 'Unassigned [0x0066]',
	0x0067 : 'Unassigned [0x0067]',
	0x0068 : 'Unassigned [0x0068]',
	0x0069 : 'Unassigned [0x0069]',
	0x006A : 'Unassigned [0x006A]',
	0x006B : 'Unassigned [0x006B]',
	0x006C : 'Unassigned [0x006C]',
	0x006D : 'Unassigned [0x006D]',
	0x006E : 'Unassigned [0x006E]',
	0x006F : 'Unassigned [0x006F]',
	0x0070 : 'Unassigned [0x0070]',
	0x0071 : 'Unassigned [0x0071]',
	0x0072 : 'Unassigned [0x0072]',
	0x0073 : 'Unassigned [0x0073]',
	0x0074 : 'Unassigned [0x0074]',
	0x0075 : 'Unassigned [0x0075]',
	0x0076 : 'Unassigned [0x0076]',
	0x0077 : 'Unassigned [0x0077]',
	0x0078 : 'Unassigned [0x0078]',
	0x0079 : 'Unassigned [0x0079]',
	0x007A : 'Unassigned [0x007A]',
	0x007B : 'Unassigned [0x007B]',
	0x007C : 'Unassigned [0x007C]',
	0x007D : 'Unassigned [0x007D]',
	0x007E : 'Unassigned [0x007E]',
	0x007F : 'Unassigned [0x007F]',
	0x0080 : 'Unassigned [0x0080]',
	0x0081 : 'Unassigned [0x0081]',
	0x0082 : 'Unassigned [0x0082]',
	0x0083 : 'Unassigned [0x0083]',
	0x0084 : 'Unassigned [0x0084]',
	0x0085 : 'Unassigned [0x0085]',
	0x0086 : 'Unassigned [0x0086]',
	0x0087 : 'Unassigned [0x0087]',
	0x0088 : 'Unassigned [0x0088]',
	0x0089 : 'Unassigned [0x0089]',
	0x008A : 'Unassigned [0x008A]',
	0x008B : 'Unassigned [0x008B]',
	0x008C : 'Unassigned [0x008C]',
	0x008D : 'Unassigned [0x008D]',
	0x008E : 'Unassigned [0x008E]',
	0x008F : 'Unassigned [0x008F]',
	0x0090 : 'Unassigned [0x0090]',
	0x0091 : 'Unassigned [0x0091]',
	0x0092 : 'Unassigned [0x0092]',
	0x0093 : 'Unassigned [0x0093]',
	0x0094 : 'Unassigned [0x0094]',
	0x0095 : 'Unassigned [0x0095]',
	0x0096 : 'Unassigned [0x0096]',
	0x0097 : 'Unassigned [0x0097]',
	0x0098 : 'Unassigned [0x0098]',
	0x0099 : 'Unassigned [0x0099]',
	0x009A : 'Unassigned [0x009A]',
	0x009B : 'Unassigned [0x009B]',
	0x009C : 'Unassigned [0x009C]',
	0x009D : 'Unassigned [0x009D]',
	0x009E : 'Unassigned [0x009E]',
	0x009F : 'Unassigned [0x009F]',
	0x00A0 : 'Unassigned [0x00A0]',
	0x00A1 : 'Unassigned [0x00A1]',
	0x00A2 : 'Unassigned [0x00A2]',
	0x00A3 : 'Unassigned [0x00A3]',
	0x00A4 : 'Unassigned [0x00A4]',
	0x00A5 : 'Unassigned [0x00A5]',
	0x00A6 : 'Unassigned [0x00A6]',
	0x00A7 : 'Unassigned [0x00A7]',
	0x00A8 : 'Unassigned [0x00A8]',
	0x00A9 : 'Unassigned [0x00A9]',
	0x00AA : 'Unassigned [0x00AA]',
	0x00AB : 'Unassigned [0x00AB]',
	0x00AC : 'Unassigned [0x00AC]',
	0x00AD : 'Unassigned [0x00AD]',
	0x00AE : 'Unassigned [0x00AE]',
	0x00AF : 'Unassigned [0x00AF]',
	0x00B0 : 'Unassigned [0x00B0]',
	0x00B1 : 'Unassigned [0x00B1]',
	0x00B2 : 'Unassigned [0x00B2]',
	0x00B3 : 'Unassigned [0x00B3]',
	0x00B4 : 'Unassigned [0x00B4]',
	0x00B5 : 'Unassigned [0x00B5]',
	0x00B6 : 'Unassigned [0x00B6]',
	0x00B7 : 'Unassigned [0x00B7]',
	0x00B8 : 'Unassigned [0x00B8]',
	0x00B9 : 'Unassigned [0x00B9]',
	0x00BA : 'Unassigned [0x00BA]',
	0x00BB : 'Unassigned [0x00BB]',
	0x00BC : 'Unassigned [0x00BC]',
	0x00BD : 'Unassigned [0x00BD]',
	0x00BE : 'Unassigned [0x00BE]',
	0x00BF : 'Unassigned [0x00BF]',
	0x00C0 : 'Unassigned [0x00C0]',
	0x00C1 : 'Unassigned [0x00C1]',
	0x00C2 : 'Unassigned [0x00C2]',
	0x00C3 : 'Unassigned [0x00C3]',
	0x00C4 : 'Unassigned [0x00C4]',
	0x00C5 : 'Unassigned [0x00C5]',
	0x00C6 : 'Unassigned [0x00C6]',
	0x00C7 : 'Unassigned [0x00C7]',
	0x00C8 : 'Unassigned [0x00C8]',
	0x00C9 : 'Unassigned [0x00C9]',
	0x00CA : 'Unassigned [0x00CA]',
	0x00CB : 'Unassigned [0x00CB]',
	0x00CC : 'Unassigned [0x00CC]',
	0x00CD : 'Unassigned [0x00CD]',
	0x00CE : 'Unassigned [0x00CE]',
	0x00CF : 'Unassigned [0x00CF]',
	0x00D0 : 'Unassigned [0x00D0]',
	0x00D1 : 'Unassigned [0x00D1]',
	0x00D2 : 'Unassigned [0x00D2]',
	0x00D3 : 'Unassigned [0x00D3]',
	0x00D4 : 'Unassigned [0x00D4]',
	0x00D5 : 'Unassigned [0x00D5]',
	0x00D6 : 'Unassigned [0x00D6]',
	0x00D7 : 'Unassigned [0x00D7]',
	0x00D8 : 'Unassigned [0x00D8]',
	0x00D9 : 'Unassigned [0x00D9]',
	0x00DA : 'Unassigned [0x00DA]',
	0x00DB : 'Unassigned [0x00DB]',
	0x00DC : 'Unassigned [0x00DC]',
	0x00DD : 'Unassigned [0x00DD]',
	0x00DE : 'Unassigned [0x00DE]',
	0x00DF : 'Unassigned [0x00DF]',
	0x00E0 : 'Unassigned [0x00E0]',
	0x00E1 : 'Unassigned [0x00E1]',
	0x00E2 : 'Unassigned [0x00E2]',
	0x00E3 : 'Unassigned [0x00E3]',
	0x00E4 : 'Unassigned [0x00E4]',
	0x00E5 : 'Unassigned [0x00E5]',
	0x00E6 : 'Unassigned [0x00E6]',
	0x00E7 : 'Unassigned [0x00E7]',
	0x00E8 : 'Unassigned [0x00E8]',
	0x00E9 : 'Unassigned [0x00E9]',
	0x00EA : 'Unassigned [0x00EA]',
	0x00EB : 'Unassigned [0x00EB]',
	0x00EC : 'Unassigned [0x00EC]',
	0x00ED : 'Unassigned [0x00ED]',
	0x00EE : 'Unassigned [0x00EE]',
	0x00EF : 'Unassigned [0x00EF]',
	0x00F0 : 'Unassigned [0x00F0]',
	0x00F1 : 'Unassigned [0x00F1]',
	0x00F2 : 'Unassigned [0x00F2]',
	0x00F3 : 'Unassigned [0x00F3]',
	0x00F4 : 'Unassigned [0x00F4]',
	0x00F5 : 'Unassigned [0x00F5]',
	0x00F6 : 'Unassigned [0x00F6]',
	0x00F7 : 'Unassigned [0x00F7]',
	0x00F8 : 'Unassigned [0x00F8]',
	0x00F9 : 'Unassigned [0x00F9]',
	0x00FA : 'Unassigned [0x00FA]',
	0x00FB : 'Unassigned [0x00FB]',
	0x00FC : 'Unassigned [0x00FC]',
	0x00FD : 'Unassigned [0x00FD]',
	0x00FE : 'Unassigned [0x00FE]',
	0x00FF : 'Unassigned [0x00FF]',
	0x0100 : 'Unassigned [0x0100]',
	0x0101 : 'Unassigned [0x0101]',
	0x0102 : 'Unassigned [0x0102]',
	0x0103 : 'Unassigned [0x0103]',
	0x0104 : 'Unassigned [0x0104]',
	0x0105 : 'Unassigned [0x0105]',
	0x0106 : 'Unassigned [0x0106]',
	0x0107 : 'Unassigned [0x0107]',
	0x0108 : 'Unassigned [0x0108]',
	0x0109 : 'Unassigned [0x0109]',
	0x010A : 'Unassigned [0x010A]',
	0x010B : 'Unassigned [0x010B]',
	0x010C : 'Unassigned [0x010C]',
	0x010D : 'Unassigned [0x010D]',
	0x010E : 'Unassigned [0x010E]',
	0x010F : 'Unassigned [0x010F]',
	0x0110 : 'Unassigned [0x0110]',
	0x0111 : 'Unassigned [0x0111]',
	0x0112 : 'Unassigned [0x0112]',
	0x0113 : 'Unassigned [0x0113]',
	0x0114 : 'Unassigned [0x0114]',
	0x0115 : 'Unassigned [0x0115]',
	0x0116 : 'Unassigned [0x0116]',
	0x0117 : 'Unassigned [0x0117]',
	0x0118 : 'Unassigned [0x0118]',
	0x0119 : 'Unassigned [0x0119]',
	0x011A : 'Unassigned [0x011A]',
	0x011B : 'Unassigned [0x011B]',
	0x011C : 'Unassigned [0x011C]',
	0x011D : 'Unassigned [0x011D]',
	0x011E : 'Unassigned [0x011E]',
	0x011F : 'Unassigned [0x011F]',
	0x0120 : 'Unassigned [0x0120]',
	0x0121 : 'Unassigned [0x0121]',
	0x0122 : 'Unassigned [0x0122]',
	0x0123 : 'Unassigned [0x0123]',
	0x0124 : 'Unassigned [0x0124]',
	0x0125 : 'Unassigned [0x0125]',
	0x0126 : 'Unassigned [0x0126]',
	0x0127 : 'Unassigned [0x0127]',
	0x0128 : 'Unassigned [0x0128]',
	0x0129 : 'Unassigned [0x0129]',
	0x012A : 'Unassigned [0x012A]',
	0x012B : 'Unassigned [0x012B]',
	0x012C : 'Unassigned [0x012C]',
	0x012D : 'Unassigned [0x012D]',
	0x012E : 'Unassigned [0x012E]',
	0x012F : 'Unassigned [0x012F]',
	0x0130 : 'Unassigned [0x0130]',
	0x0131 : 'Unassigned [0x0131]',
	0x0132 : 'Unassigned [0x0132]',
	0x0133 : 'Unassigned [0x0133]',
	0x0134 : 'Unassigned [0x0134]',
	0x0135 : 'Unassigned [0x0135]',
	0x0136 : 'Unassigned [0x0136]',
	0x0137 : 'Unassigned [0x0137]',
	0x0138 : 'Unassigned [0x0138]',
	0x0139 : 'Unassigned [0x0139]',
	0x013A : 'Unassigned [0x013A]',
	0x013B : 'Unassigned [0x013B]',
	0x013C : 'Unassigned [0x013C]',
	0x013D : 'Unassigned [0x013D]',
	0x013E : 'Unassigned [0x013E]',
	0x013F : 'Unassigned [0x013F]',
	0x0140 : 'Unassigned [0x0140]',
	0x0141 : 'Unassigned [0x0141]',
	0x0142 : 'Unassigned [0x0142]',
	0x0143 : 'Unassigned [0x0143]',
	0x0144 : 'Unassigned [0x0144]',
	0x0145 : 'Unassigned [0x0145]',
	0x0146 : 'Unassigned [0x0146]',
	0x0147 : 'Unassigned [0x0147]',
	0x0148 : 'Unassigned [0x0148]',
	0x0149 : 'Unassigned [0x0149]',
	0x014A : 'Unassigned [0x014A]',
	0x014B : 'Unassigned [0x014B]',
	0x014C : 'Unassigned [0x014C]',
	0x014D : 'Unassigned [0x014D]',
	0x014E : 'Unassigned [0x014E]',
	0x014F : 'Unassigned [0x014F]',
	0x0150 : 'Unassigned [0x0150]',
	0x0151 : 'Unassigned [0x0151]',
	0x0152 : 'Unassigned [0x0152]',
	0x0153 : 'Unassigned [0x0153]',
	0x0154 : 'Unassigned [0x0154]',
	0x0155 : 'Unassigned [0x0155]',
	0x0156 : 'Unassigned [0x0156]',
	0x0157 : 'Unassigned [0x0157]',
	0x0158 : 'Unassigned [0x0158]',
	0x0159 : 'Unassigned [0x0159]',
	0x015A : 'Unassigned [0x015A]',
	0x015B : 'Unassigned [0x015B]',
	0x015C : 'Unassigned [0x015C]',
	0x015D : 'Unassigned [0x015D]',
	0x015E : 'Unassigned [0x015E]',
	0x015F : 'Unassigned [0x015F]',
	0x0160 : 'Unassigned [0x0160]',
	0x0161 : 'Unassigned [0x0161]',
	0x0162 : 'Unassigned [0x0162]',
	0x0163 : 'Unassigned [0x0163]',
	0x0164 : 'Unassigned [0x0164]',
	0x0165 : 'Unassigned [0x0165]',
	0x0166 : 'Unassigned [0x0166]',
	0x0167 : 'Unassigned [0x0167]',
	0x0168 : 'Unassigned [0x0168]',
	0x0169 : 'Unassigned [0x0169]',
	0x016A : 'Unassigned [0x016A]',
	0x016B : 'Unassigned [0x016B]',
	0x016C : 'Unassigned [0x016C]',
	0x016D : 'Unassigned [0x016D]',
	0x016E : 'Unassigned [0x016E]',
	0x016F : 'Unassigned [0x016F]',
	0x0170 : 'Unassigned [0x0170]',
	0x0171 : 'Unassigned [0x0171]',
	0x0172 : 'Unassigned [0x0172]',
	0x0173 : 'Unassigned [0x0173]',
	0x0174 : 'Unassigned [0x0174]',
	0x0175 : 'Unassigned [0x0175]',
	0x0176 : 'Unassigned [0x0176]',
	0x0177 : 'Unassigned [0x0177]',
	0x0178 : 'Unassigned [0x0178]',
	0x0179 : 'Unassigned [0x0179]',
	0x017A : 'Unassigned [0x017A]',
	0x017B : 'Unassigned [0x017B]',
	0x017C : 'Unassigned [0x017C]',
	0x017D : 'Unassigned [0x017D]',
	0x017E : 'Unassigned [0x017E]',
	0x017F : 'Unassigned [0x017F]',
	0x0180 : 'Unassigned [0x0180]',
	0x0181 : 'Unassigned [0x0181]',
	0x0182 : 'Unassigned [0x0182]',
	0x0183 : 'Unassigned [0x0183]',
	0x0184 : 'Unassigned [0x0184]',
	0x0185 : 'Unassigned [0x0185]',
	0x0186 : 'Unassigned [0x0186]',
	0x0187 : 'Unassigned [0x0187]',
	0x0188 : 'Unassigned [0x0188]',
	0x0189 : 'Unassigned [0x0189]',
	0x018A : 'Unassigned [0x018A]',
	0x018B : 'Unassigned [0x018B]',
	0x018C : 'Unassigned [0x018C]',
	0x018D : 'Unassigned [0x018D]',
	0x018E : 'Unassigned [0x018E]',
	0x018F : 'Unassigned [0x018F]',
	0x0190 : 'Unassigned [0x0190]',
	0x0191 : 'Unassigned [0x0191]',
	0x0192 : 'Unassigned [0x0192]',
	0x0193 : 'Unassigned [0x0193]',
	0x0194 : 'Unassigned [0x0194]',
	0x0195 : 'Unassigned [0x0195]',
	0x0196 : 'Unassigned [0x0196]',
	0x0197 : 'Unassigned [0x0197]',
	0x0198 : 'Unassigned [0x0198]',
	0x0199 : 'Unassigned [0x0199]',
	0x019A : 'Unassigned [0x019A]',
	0x019B : 'Unassigned [0x019B]',
	0x019C : 'Unassigned [0x019C]',
	0x019D : 'Unassigned [0x019D]',
	0x019E : 'Unassigned [0x019E]',
	0x019F : 'Unassigned [0x019F]',
	0x01A0 : 'Unassigned [0x01A0]',
	0x01A1 : 'Unassigned [0x01A1]',
	0x01A2 : 'Unassigned [0x01A2]',
	0x01A3 : 'Unassigned [0x01A3]',
	0x01A4 : 'Unassigned [0x01A4]',
	0x01A5 : 'Unassigned [0x01A5]',
	0x01A6 : 'Unassigned [0x01A6]',
	0x01A7 : 'Unassigned [0x01A7]',
	0x01A8 : 'Unassigned [0x01A8]',
	0x01A9 : 'Unassigned [0x01A9]',
	0x01AA : 'Unassigned [0x01AA]',
	0x01AB : 'Unassigned [0x01AB]',
	0x01AC : 'Unassigned [0x01AC]',
	0x01AD : 'Unassigned [0x01AD]',
	0x01AE : 'Unassigned [0x01AE]',
	0x01AF : 'Unassigned [0x01AF]',
	0x01B0 : 'Unassigned [0x01B0]',
	0x01B1 : 'Unassigned [0x01B1]',
	0x01B2 : 'Unassigned [0x01B2]',
	0x01B3 : 'Unassigned [0x01B3]',
	0x01B4 : 'Unassigned [0x01B4]',
	0x01B5 : 'Unassigned [0x01B5]',
	0x01B6 : 'Unassigned [0x01B6]',
	0x01B7 : 'Unassigned [0x01B7]',
	0x01B8 : 'Unassigned [0x01B8]',
	0x01B9 : 'Unassigned [0x01B9]',
	0x01BA : 'Unassigned [0x01BA]',
	0x01BB : 'Unassigned [0x01BB]',
	0x01BC : 'Unassigned [0x01BC]',
	0x01BD : 'Unassigned [0x01BD]',
	0x01BE : 'Unassigned [0x01BE]',
	0x01BF : 'Unassigned [0x01BF]',
	0x01C0 : 'Unassigned [0x01C0]',
	0x01C1 : 'Unassigned [0x01C1]',
	0x01C2 : 'Unassigned [0x01C2]',
	0x01C3 : 'Unassigned [0x01C3]',
	0x01C4 : 'Unassigned [0x01C4]',
	0x01C5 : 'Unassigned [0x01C5]',
	0x01C6 : 'Unassigned [0x01C6]',
	0x01C7 : 'Unassigned [0x01C7]',
	0x01C8 : 'Unassigned [0x01C8]',
	0x01C9 : 'Unassigned [0x01C9]',
	0x01CA : 'Unassigned [0x01CA]',
	0x01CB : 'Unassigned [0x01CB]',
	0x01CC : 'Unassigned [0x01CC]',
	0x01CD : 'Unassigned [0x01CD]',
	0x01CE : 'Unassigned [0x01CE]',
	0x01CF : 'Unassigned [0x01CF]',
	0x01D0 : 'Unassigned [0x01D0]',
	0x01D1 : 'Unassigned [0x01D1]',
	0x01D2 : 'Unassigned [0x01D2]',
	0x01D3 : 'Unassigned [0x01D3]',
	0x01D4 : 'Unassigned [0x01D4]',
	0x01D5 : 'Unassigned [0x01D5]',
	0x01D6 : 'Unassigned [0x01D6]',
	0x01D7 : 'Unassigned [0x01D7]',
	0x01D8 : 'Unassigned [0x01D8]',
	0x01D9 : 'Unassigned [0x01D9]',
	0x01DA : 'Unassigned [0x01DA]',
	0x01DB : 'Unassigned [0x01DB]',
	0x01DC : 'Unassigned [0x01DC]',
	0x01DD : 'Unassigned [0x01DD]',
	0x01DE : 'Unassigned [0x01DE]',
	0x01DF : 'Unassigned [0x01DF]',
	0x01E0 : 'Unassigned [0x01E0]',
	0x01E1 : 'Unassigned [0x01E1]',
	0x01E2 : 'Unassigned [0x01E2]',
	0x01E3 : 'Unassigned [0x01E3]',
	0x01E4 : 'Unassigned [0x01E4]',
	0x01E5 : 'Unassigned [0x01E5]',
	0x01E6 : 'Unassigned [0x01E6]',
	0x01E7 : 'Unassigned [0x01E7]',
	0x01E8 : 'Unassigned [0x01E8]',
	0x01E9 : 'Unassigned [0x01E9]',
	0x01EA : 'Unassigned [0x01EA]',
	0x01EB : 'Unassigned [0x01EB]',
	0x01EC : 'Unassigned [0x01EC]',
	0x01ED : 'Unassigned [0x01ED]',
	0x01EE : 'Unassigned [0x01EE]',
	0x01EF : 'Unassigned [0x01EF]',
	0x01F0 : 'Unassigned [0x01F0]',
	0x01F1 : 'Unassigned [0x01F1]',
	0x01F2 : 'Unassigned [0x01F2]',
	0x01F3 : 'Unassigned [0x01F3]',
	0x01F4 : 'Unassigned [0x01F4]',
	0x01F5 : 'Unassigned [0x01F5]',
	0x01F6 : 'Unassigned [0x01F6]',
	0x01F7 : 'Unassigned [0x01F7]',
	0x01F8 : 'Unassigned [0x01F8]',
	0x01F9 : 'Unassigned [0x01F9]',
	0x01FA : 'Unassigned [0x01FA]',
	0x01FB : 'Unassigned [0x01FB]',
	0x01FC : 'Unassigned [0x01FC]',
	0x01FD : 'Unassigned [0x01FD]',
	0x01FE : 'Unassigned [0x01FE]',
	0x01FF : 'Unassigned [0x01FF]',
	0x0200 : 'Unassigned [0x0200]',
	0x0201 : 'Unassigned [0x0201]',
	0x0202 : 'Unassigned [0x0202]',
	0x0203 : 'Unassigned [0x0203]',
	0x0204 : 'Unassigned [0x0204]',
	0x0205 : 'Unassigned [0x0205]',
	0x0206 : 'Unassigned [0x0206]',
	0x0207 : 'Unassigned [0x0207]',
	0x0208 : 'Unassigned [0x0208]',
	0x0209 : 'Unassigned [0x0209]',
	0x020A : 'Unassigned [0x020A]',
	0x020B : 'Unassigned [0x020B]',
	0x020C : 'Unassigned [0x020C]',
	0x020D : 'Unassigned [0x020D]',
	0x020E : 'Unassigned [0x020E]',
	0x020F : 'Unassigned [0x020F]',
	0x0210 : 'Unassigned [0x0210]',
	0x0211 : 'Unassigned [0x0211]',
	0x0212 : 'Unassigned [0x0212]',
	0x0213 : 'Unassigned [0x0213]',
	0x0214 : 'Unassigned [0x0214]',
	0x0215 : 'Unassigned [0x0215]',
	0x0216 : 'Unassigned [0x0216]',
	0x0217 : 'Unassigned [0x0217]',
	0x0218 : 'Unassigned [0x0218]',
	0x0219 : 'Unassigned [0x0219]',
	0x021A : 'Unassigned [0x021A]',
	0x021B : 'Unassigned [0x021B]',
	0x021C : 'Unassigned [0x021C]',
	0x021D : 'Unassigned [0x021D]',
	0x021E : 'Unassigned [0x021E]',
	0x021F : 'Unassigned [0x021F]',
	0x0220 : 'Unassigned [0x0220]',
	0x0221 : 'Unassigned [0x0221]',
	0x0222 : 'Unassigned [0x0222]',
	0x0223 : 'Unassigned [0x0223]',
	0x0224 : 'Unassigned [0x0224]',
	0x0225 : 'Unassigned [0x0225]',
	0x0226 : 'Unassigned [0x0226]',
	0x0227 : 'Unassigned [0x0227]',
	0x0228 : 'Unassigned [0x0228]',
	0x0229 : 'Unassigned [0x0229]',
	0x022A : 'Unassigned [0x022A]',
	0x022B : 'Unassigned [0x022B]',
	0x022C : 'Unassigned [0x022C]',
	0x022D : 'Unassigned [0x022D]',
	0x022E : 'Unassigned [0x022E]',
	0x022F : 'Unassigned [0x022F]',
	0x0230 : 'Unassigned [0x0230]',
	0x0231 : 'Unassigned [0x0231]',
	0x0232 : 'Unassigned [0x0232]',
	0x0233 : 'Unassigned [0x0233]',
	0x0234 : 'Unassigned [0x0234]',
	0x0235 : 'Unassigned [0x0235]',
	0x0236 : 'Unassigned [0x0236]',
	0x0237 : 'Unassigned [0x0237]',
	0x0238 : 'Unassigned [0x0238]',
	0x0239 : 'Unassigned [0x0239]',
	0x023A : 'Unassigned [0x023A]',
	0x023B : 'Unassigned [0x023B]',
	0x023C : 'Unassigned [0x023C]',
	0x023D : 'Unassigned [0x023D]',
	0x023E : 'Unassigned [0x023E]',
	0x023F : 'Unassigned [0x023F]',
	0x0240 : 'Unassigned [0x0240]',
	0x0241 : 'Unassigned [0x0241]',
	0x0242 : 'Unassigned [0x0242]',
	0x0243 : 'Unassigned [0x0243]',
	0x0244 : 'Unassigned [0x0244]',
	0x0245 : 'Unassigned [0x0245]',
	0x0246 : 'Unassigned [0x0246]',
	0x0247 : 'Unassigned [0x0247]',
	0x0248 : 'Unassigned [0x0248]',
	0x0249 : 'Unassigned [0x0249]',
	0x024A : 'Unassigned [0x024A]',
	0x024B : 'Unassigned [0x024B]',
	0x024C : 'Unassigned [0x024C]',
	0x024D : 'Unassigned [0x024D]',
	0x024E : 'Unassigned [0x024E]',
	0x024F : 'Unassigned [0x024F]',
	0x0250 : 'Unassigned [0x0250]',
	0x0251 : 'Unassigned [0x0251]',
	0x0252 : 'Unassigned [0x0252]',
	0x0253 : 'Unassigned [0x0253]',
	0x0254 : 'Unassigned [0x0254]',
	0x0255 : 'Unassigned [0x0255]',
	0x0256 : 'Unassigned [0x0256]',
	0x0257 : 'Unassigned [0x0257]',
	0x0258 : 'Unassigned [0x0258]',
	0x0259 : 'Unassigned [0x0259]',
	0x025A : 'Unassigned [0x025A]',
	0x025B : 'Unassigned [0x025B]',
	0x025C : 'Unassigned [0x025C]',
	0x025D : 'Unassigned [0x025D]',
	0x025E : 'Unassigned [0x025E]',
	0x025F : 'Unassigned [0x025F]',
	0x0260 : 'Unassigned [0x0260]',
	0x0261 : 'Unassigned [0x0261]',
	0x0262 : 'Unassigned [0x0262]',
	0x0263 : 'Unassigned [0x0263]',
	0x0264 : 'Unassigned [0x0264]',
	0x0265 : 'Unassigned [0x0265]',
	0x0266 : 'Unassigned [0x0266]',
	0x0267 : 'Unassigned [0x0267]',
	0x0268 : 'Unassigned [0x0268]',
	0x0269 : 'Unassigned [0x0269]',
	0x026A : 'Unassigned [0x026A]',
	0x026B : 'Unassigned [0x026B]',
	0x026C : 'Unassigned [0x026C]',
	0x026D : 'Unassigned [0x026D]',
	0x026E : 'Unassigned [0x026E]',
	0x026F : 'Unassigned [0x026F]',
	0x0270 : 'Unassigned [0x0270]',
	0x0271 : 'Unassigned [0x0271]',
	0x0272 : 'Unassigned [0x0272]',
	0x0273 : 'Unassigned [0x0273]',
	0x0274 : 'Unassigned [0x0274]',
	0x0275 : 'Unassigned [0x0275]',
	0x0276 : 'Unassigned [0x0276]',
	0x0277 : 'Unassigned [0x0277]',
	0x0278 : 'Unassigned [0x0278]',
	0x0279 : 'Unassigned [0x0279]',
	0x027A : 'Unassigned [0x027A]',
	0x027B : 'Unassigned [0x027B]',
	0x027C : 'Unassigned [0x027C]',
	0x027D : 'Unassigned [0x027D]',
	0x027E : 'Unassigned [0x027E]',
	0x027F : 'Unassigned [0x027F]',
	0x0280 : 'Unassigned [0x0280]',
	0x0281 : 'Unassigned [0x0281]',
	0x0282 : 'Unassigned [0x0282]',
	0x0283 : 'Unassigned [0x0283]',
	0x0284 : 'Unassigned [0x0284]',
	0x0285 : 'Unassigned [0x0285]',
	0x0286 : 'Unassigned [0x0286]',
	0x0287 : 'Unassigned [0x0287]',
	0x0288 : 'Unassigned [0x0288]',
	0x0289 : 'Unassigned [0x0289]',
	0x028A : 'Unassigned [0x028A]',
	0x028B : 'Unassigned [0x028B]',
	0x028C : 'Unassigned [0x028C]',
	0x028D : 'Unassigned [0x028D]',
	0x028E : 'Unassigned [0x028E]',
	0x028F : 'Unassigned [0x028F]',
	0x0290 : 'Unassigned [0x0290]',
	0x0291 : 'Unassigned [0x0291]',
	0x0292 : 'Unassigned [0x0292]',
	0x0293 : 'Unassigned [0x0293]',
	0x0294 : 'Unassigned [0x0294]',
	0x0295 : 'Unassigned [0x0295]',
	0x0296 : 'Unassigned [0x0296]',
	0x0297 : 'Unassigned [0x0297]',
	0x0298 : 'Unassigned [0x0298]',
	0x0299 : 'Unassigned [0x0299]',
	0x029A : 'Unassigned [0x029A]',
	0x029B : 'Unassigned [0x029B]',
	0x029C : 'Unassigned [0x029C]',
	0x029D : 'Unassigned [0x029D]',
	0x029E : 'Unassigned [0x029E]',
	0x029F : 'Unassigned [0x029F]',
	0x02A0 : 'Unassigned [0x02A0]',
	0x02A1 : 'Unassigned [0x02A1]',
	0x02A2 : 'Unassigned [0x02A2]',
	0x02A3 : 'Unassigned [0x02A3]',
	0x02A4 : 'Unassigned [0x02A4]',
	0x02A5 : 'Unassigned [0x02A5]',
	0x02A6 : 'Unassigned [0x02A6]',
	0x02A7 : 'Unassigned [0x02A7]',
	0x02A8 : 'Unassigned [0x02A8]',
	0x02A9 : 'Unassigned [0x02A9]',
	0x02AA : 'Unassigned [0x02AA]',
	0x02AB : 'Unassigned [0x02AB]',
	0x02AC : 'Unassigned [0x02AC]',
	0x02AD : 'Unassigned [0x02AD]',
	0x02AE : 'Unassigned [0x02AE]',
	0x02AF : 'Unassigned [0x02AF]',
	0x02B0 : 'Unassigned [0x02B0]',
	0x02B1 : 'Unassigned [0x02B1]',
	0x02B2 : 'Unassigned [0x02B2]',
	0x02B3 : 'Unassigned [0x02B3]',
	0x02B4 : 'Unassigned [0x02B4]',
	0x02B5 : 'Unassigned [0x02B5]',
	0x02B6 : 'Unassigned [0x02B6]',
	0x02B7 : 'Unassigned [0x02B7]',
	0x02B8 : 'Unassigned [0x02B8]',
	0x02B9 : 'Unassigned [0x02B9]',
	0x02BA : 'Unassigned [0x02BA]',
	0x02BB : 'Unassigned [0x02BB]',
	0x02BC : 'Unassigned [0x02BC]',
	0x02BD : 'Unassigned [0x02BD]',
	0x02BE : 'Unassigned [0x02BE]',
	0x02BF : 'Unassigned [0x02BF]',
	0x02C0 : 'Unassigned [0x02C0]',
	0x02C1 : 'Unassigned [0x02C1]',
	0x02C2 : 'Unassigned [0x02C2]',
	0x02C3 : 'Unassigned [0x02C3]',
	0x02C4 : 'Unassigned [0x02C4]',
	0x02C5 : 'Unassigned [0x02C5]',
	0x02C6 : 'Unassigned [0x02C6]',
	0x02C7 : 'Unassigned [0x02C7]',
	0x02C8 : 'Unassigned [0x02C8]',
	0x02C9 : 'Unassigned [0x02C9]',
	0x02CA : 'Unassigned [0x02CA]',
	0x02CB : 'Unassigned [0x02CB]',
	0x02CC : 'Unassigned [0x02CC]',
	0x02CD : 'Unassigned [0x02CD]',
	0x02CE : 'Unassigned [0x02CE]',
	0x02CF : 'Unassigned [0x02CF]',
	0x02D0 : 'Unassigned [0x02D0]',
	0x02D1 : 'Unassigned [0x02D1]',
	0x02D2 : 'Unassigned [0x02D2]',
	0x02D3 : 'Unassigned [0x02D3]',
	0x02D4 : 'Unassigned [0x02D4]',
	0x02D5 : 'Unassigned [0x02D5]',
	0x02D6 : 'Unassigned [0x02D6]',
	0x02D7 : 'Unassigned [0x02D7]',
	0x02D8 : 'Unassigned [0x02D8]',
	0x02D9 : 'Unassigned [0x02D9]',
	0x02DA : 'Unassigned [0x02DA]',
	0x02DB : 'Unassigned [0x02DB]',
	0x02DC : 'Unassigned [0x02DC]',
	0x02DD : 'Unassigned [0x02DD]',
	0x02DE : 'Unassigned [0x02DE]',
	0x02DF : 'Unassigned [0x02DF]',
	0x02E0 : 'Unassigned [0x02E0]',
	0x02E1 : 'Unassigned [0x02E1]',
	0x02E2 : 'Unassigned [0x02E2]',
	0x02E3 : 'Unassigned [0x02E3]',
	0x02E4 : 'Unassigned [0x02E4]',
	0x02E5 : 'Unassigned [0x02E5]',
	0x02E6 : 'Unassigned [0x02E6]',
	0x02E7 : 'Unassigned [0x02E7]',
	0x02E8 : 'Unassigned [0x02E8]',
	0x02E9 : 'Unassigned [0x02E9]',
	0x02EA : 'Unassigned [0x02EA]',
	0x02EB : 'Unassigned [0x02EB]',
	0x02EC : 'Unassigned [0x02EC]',
	0x02ED : 'Unassigned [0x02ED]',
	0x02EE : 'Unassigned [0x02EE]',
	0x02EF : 'Unassigned [0x02EF]',
	0x02F0 : 'Unassigned [0x02F0]',
	0x02F1 : 'Unassigned [0x02F1]',
	0x02F2 : 'Unassigned [0x02F2]',
	0x02F3 : 'Unassigned [0x02F3]',
	0x02F4 : 'Unassigned [0x02F4]',
	0x02F5 : 'Unassigned [0x02F5]',
	0x02F6 : 'Unassigned [0x02F6]',
	0x02F7 : 'Unassigned [0x02F7]',
	0x02F8 : 'Unassigned [0x02F8]',
	0x02F9 : 'Unassigned [0x02F9]',
	0x02FA : 'Unassigned [0x02FA]',
	0x02FB : 'Unassigned [0x02FB]',
	0x02FC : 'Unassigned [0x02FC]',
	0x02FD : 'Unassigned [0x02FD]',
	0x02FE : 'Unassigned [0x02FE]',
	0x02FF : 'Unassigned [0x02FF]',
	0x0300 : 'Unassigned [0x0300]',
	0x0301 : 'Unassigned [0x0301]',
	0x0302 : 'Unassigned [0x0302]',
	0x0303 : 'Unassigned [0x0303]',
	0x0304 : 'Unassigned [0x0304]',
	0x0305 : 'Unassigned [0x0305]',
	0x0306 : 'Unassigned [0x0306]',
	0x0307 : 'Unassigned [0x0307]',
	0x0308 : 'Unassigned [0x0308]',
	0x0309 : 'Unassigned [0x0309]',
	0x030A : 'Unassigned [0x030A]',
	0x030B : 'Unassigned [0x030B]',
	0x030C : 'Unassigned [0x030C]',
	0x030D : 'Unassigned [0x030D]',
	0x030E : 'Unassigned [0x030E]',
	0x030F : 'Unassigned [0x030F]',
	0x0310 : 'Unassigned [0x0310]',
	0x0311 : 'Unassigned [0x0311]',
	0x0312 : 'Unassigned [0x0312]',
	0x0313 : 'Unassigned [0x0313]',
	0x0314 : 'Unassigned [0x0314]',
	0x0315 : 'Unassigned [0x0315]',
	0x0316 : 'Unassigned [0x0316]',
	0x0317 : 'Unassigned [0x0317]',
	0x0318 : 'Unassigned [0x0318]',
	0x0319 : 'Unassigned [0x0319]',
	0x031A : 'Unassigned [0x031A]',
	0x031B : 'Unassigned [0x031B]',
	0x031C : 'Unassigned [0x031C]',
	0x031D : 'Unassigned [0x031D]',
	0x031E : 'Unassigned [0x031E]',
	0x031F : 'Unassigned [0x031F]',
	0x0320 : 'Unassigned [0x0320]',
	0x0321 : 'Unassigned [0x0321]',
	0x0322 : 'Unassigned [0x0322]',
	0x0323 : 'Unassigned [0x0323]',
	0x0324 : 'Unassigned [0x0324]',
	0x0325 : 'Unassigned [0x0325]',
	0x0326 : 'Unassigned [0x0326]',
	0x0327 : 'Unassigned [0x0327]',
	0x0328 : 'Unassigned [0x0328]',
	0x0329 : 'Unassigned [0x0329]',
	0x032A : 'Unassigned [0x032A]',
	0x032B : 'Unassigned [0x032B]',
	0x032C : 'Unassigned [0x032C]',
	0x032D : 'Unassigned [0x032D]',
	0x032E : 'Unassigned [0x032E]',
	0x032F : 'Unassigned [0x032F]',
	0x0330 : 'Unassigned [0x0330]',
	0x0331 : 'Unassigned [0x0331]',
	0x0332 : 'Unassigned [0x0332]',
	0x0333 : 'Unassigned [0x0333]',
	0x0334 : 'Unassigned [0x0334]',
	0x0335 : 'Unassigned [0x0335]',
	0x0336 : 'Unassigned [0x0336]',
	0x0337 : 'Unassigned [0x0337]',
	0x0338 : 'Unassigned [0x0338]',
	0x0339 : 'Unassigned [0x0339]',
	0x033A : 'Unassigned [0x033A]',
	0x033B : 'Unassigned [0x033B]',
	0x033C : 'Unassigned [0x033C]',
	0x033D : 'Unassigned [0x033D]',
	0x033E : 'Unassigned [0x033E]',
	0x033F : 'Unassigned [0x033F]',
	0x0340 : 'Unassigned [0x0340]',
	0x0341 : 'Unassigned [0x0341]',
	0x0342 : 'Unassigned [0x0342]',
	0x0343 : 'Unassigned [0x0343]',
	0x0344 : 'Unassigned [0x0344]',
	0x0345 : 'Unassigned [0x0345]',
	0x0346 : 'Unassigned [0x0346]',
	0x0347 : 'Unassigned [0x0347]',
	0x0348 : 'Unassigned [0x0348]',
	0x0349 : 'Unassigned [0x0349]',
	0x034A : 'Unassigned [0x034A]',
	0x034B : 'Unassigned [0x034B]',
	0x034C : 'Unassigned [0x034C]',
	0x034D : 'Unassigned [0x034D]',
	0x034E : 'Unassigned [0x034E]',
	0x034F : 'Unassigned [0x034F]',
	0x0350 : 'Unassigned [0x0350]',
	0x0351 : 'Unassigned [0x0351]',
	0x0352 : 'Unassigned [0x0352]',
	0x0353 : 'Unassigned [0x0353]',
	0x0354 : 'Unassigned [0x0354]',
	0x0355 : 'Unassigned [0x0355]',
	0x0356 : 'Unassigned [0x0356]',
	0x0357 : 'Unassigned [0x0357]',
	0x0358 : 'Unassigned [0x0358]',
	0x0359 : 'Unassigned [0x0359]',
	0x035A : 'Unassigned [0x035A]',
	0x035B : 'Unassigned [0x035B]',
	0x035C : 'Unassigned [0x035C]',
	0x035D : 'Unassigned [0x035D]',
	0x035E : 'Unassigned [0x035E]',
	0x035F : 'Unassigned [0x035F]',
	0x0360 : 'Unassigned [0x0360]',
	0x0361 : 'Unassigned [0x0361]',
	0x0362 : 'Unassigned [0x0362]',
	0x0363 : 'Unassigned [0x0363]',
	0x0364 : 'Unassigned [0x0364]',
	0x0365 : 'Unassigned [0x0365]',
	0x0366 : 'Unassigned [0x0366]',
	0x0367 : 'Unassigned [0x0367]',
	0x0368 : 'Unassigned [0x0368]',
	0x0369 : 'Unassigned [0x0369]',
	0x036A : 'Unassigned [0x036A]',
	0x036B : 'Unassigned [0x036B]',
	0x036C : 'Unassigned [0x036C]',
	0x036D : 'Unassigned [0x036D]',
	0x036E : 'Unassigned [0x036E]',
	0x036F : 'Unassigned [0x036F]',
	0x0370 : 'Unassigned [0x0370]',
	0x0371 : 'Unassigned [0x0371]',
	0x0372 : 'Unassigned [0x0372]',
	0x0373 : 'Unassigned [0x0373]',
	0x0374 : 'Unassigned [0x0374]',
	0x0375 : 'Unassigned [0x0375]',
	0x0376 : 'Unassigned [0x0376]',
	0x0377 : 'Unassigned [0x0377]',
	0x0378 : 'Unassigned [0x0378]',
	0x0379 : 'Unassigned [0x0379]',
	0x037A : 'Unassigned [0x037A]',
	0x037B : 'Unassigned [0x037B]',
	0x037C : 'Unassigned [0x037C]',
	0x037D : 'Unassigned [0x037D]',
	0x037E : 'Unassigned [0x037E]',
	0x037F : 'Unassigned [0x037F]',
	0x0380 : 'Unassigned [0x0380]',
	0x0381 : 'Unassigned [0x0381]',
	0x0382 : 'Unassigned [0x0382]',
	0x0383 : 'Unassigned [0x0383]',
	0x0384 : 'Unassigned [0x0384]',
	0x0385 : 'Unassigned [0x0385]',
	0x0386 : 'Unassigned [0x0386]',
	0x0387 : 'Unassigned [0x0387]',
	0x0388 : 'Unassigned [0x0388]',
	0x0389 : 'Unassigned [0x0389]',
	0x038A : 'Unassigned [0x038A]',
	0x038B : 'Unassigned [0x038B]',
	0x038C : 'Unassigned [0x038C]',
	0x038D : 'Unassigned [0x038D]',
	0x038E : 'Unassigned [0x038E]',
	0x038F : 'Unassigned [0x038F]',
	0x0390 : 'Unassigned [0x0390]',
	0x0391 : 'Unassigned [0x0391]',
	0x0392 : 'Unassigned [0x0392]',
	0x0393 : 'Unassigned [0x0393]',
	0x0394 : 'Unassigned [0x0394]',
	0x0395 : 'Unassigned [0x0395]',
	0x0396 : 'Unassigned [0x0396]',
	0x0397 : 'Unassigned [0x0397]',
	0x0398 : 'Unassigned [0x0398]',
	0x0399 : 'Unassigned [0x0399]',
	0x039A : 'Unassigned [0x039A]',
	0x039B : 'Unassigned [0x039B]',
	0x039C : 'Unassigned [0x039C]',
	0x039D : 'Unassigned [0x039D]',
	0x039E : 'Unassigned [0x039E]',
	0x039F : 'Unassigned [0x039F]',
	0x03A0 : 'Unassigned [0x03A0]',
	0x03A1 : 'Unassigned [0x03A1]',
	0x03A2 : 'Unassigned [0x03A2]',
	0x03A3 : 'Unassigned [0x03A3]',
	0x03A4 : 'Unassigned [0x03A4]',
	0x03A5 : 'Unassigned [0x03A5]',
	0x03A6 : 'Unassigned [0x03A6]',
	0x03A7 : 'Unassigned [0x03A7]',
	0x03A8 : 'Unassigned [0x03A8]',
	0x03A9 : 'Unassigned [0x03A9]',
	0x03AA : 'Unassigned [0x03AA]',
	0x03AB : 'Unassigned [0x03AB]',
	0x03AC : 'Unassigned [0x03AC]',
	0x03AD : 'Unassigned [0x03AD]',
	0x03AE : 'Unassigned [0x03AE]',
	0x03AF : 'Unassigned [0x03AF]',
	0x03B0 : 'Unassigned [0x03B0]',
	0x03B1 : 'Unassigned [0x03B1]',
	0x03B2 : 'Unassigned [0x03B2]',
	0x03B3 : 'Unassigned [0x03B3]',
	0x03B4 : 'Unassigned [0x03B4]',
	0x03B5 : 'Unassigned [0x03B5]',
	0x03B6 : 'Unassigned [0x03B6]',
	0x03B7 : 'Unassigned [0x03B7]',
	0x03B8 : 'Unassigned [0x03B8]',
	0x03B9 : 'Unassigned [0x03B9]',
	0x03BA : 'Unassigned [0x03BA]',
	0x03BB : 'Unassigned [0x03BB]',
	0x03BC : 'Unassigned [0x03BC]',
	0x03BD : 'Unassigned [0x03BD]',
	0x03BE : 'Unassigned [0x03BE]',
	0x03BF : 'Unassigned [0x03BF]',
	0x03C0 : 'Unassigned [0x03C0]',
	0x03C1 : 'Unassigned [0x03C1]',
	0x03C2 : 'Unassigned [0x03C2]',
	0x03C3 : 'Unassigned [0x03C3]',
	0x03C4 : 'Unassigned [0x03C4]',
	0x03C5 : 'Unassigned [0x03C5]',
	0x03C6 : 'Unassigned [0x03C6]',
	0x03C7 : 'Unassigned [0x03C7]',
	0x03C8 : 'Unassigned [0x03C8]',
	0x03C9 : 'Unassigned [0x03C9]',
	0x03CA : 'Unassigned [0x03CA]',
	0x03CB : 'Unassigned [0x03CB]',
	0x03CC : 'Unassigned [0x03CC]',
	0x03CD : 'Unassigned [0x03CD]',
	0x03CE : 'Unassigned [0x03CE]',
	0x03CF : 'Unassigned [0x03CF]',
	0x03D0 : 'Unassigned [0x03D0]',
	0x03D1 : 'Unassigned [0x03D1]',
	0x03D2 : 'Unassigned [0x03D2]',
	0x03D3 : 'Unassigned [0x03D3]',
	0x03D4 : 'Unassigned [0x03D4]',
	0x03D5 : 'Unassigned [0x03D5]',
	0x03D6 : 'Unassigned [0x03D6]',
	0x03D7 : 'Unassigned [0x03D7]',
	0x03D8 : 'Unassigned [0x03D8]',
	0x03D9 : 'Unassigned [0x03D9]',
	0x03DA : 'Unassigned [0x03DA]',
	0x03DB : 'Unassigned [0x03DB]',
	0x03DC : 'Unassigned [0x03DC]',
	0x03DD : 'Unassigned [0x03DD]',
	0x03DE : 'Unassigned [0x03DE]',
	0x03DF : 'Unassigned [0x03DF]',
	0x03E0 : 'Unassigned [0x03E0]',
	0x03E1 : 'Unassigned [0x03E1]',
	0x03E2 : 'Unassigned [0x03E2]',
	0x03E3 : 'Unassigned [0x03E3]',
	0x03E4 : 'Unassigned [0x03E4]',
	0x03E5 : 'Unassigned [0x03E5]',
	0x03E6 : 'Unassigned [0x03E6]',
	0x03E7 : 'Unassigned [0x03E7]',
	0x03E8 : 'Unassigned [0x03E8]',
	0x03E9 : 'Unassigned [0x03E9]',
	0x03EA : 'Unassigned [0x03EA]',
	0x03EB : 'Unassigned [0x03EB]',
	0x03EC : 'Unassigned [0x03EC]',
	0x03ED : 'Unassigned [0x03ED]',
	0x03EE : 'Unassigned [0x03EE]',
	0x03EF : 'Unassigned [0x03EF]',
	0x03F0 : 'Unassigned [0x03F0]',
	0x03F1 : 'Unassigned [0x03F1]',
	0x03F2 : 'Unassigned [0x03F2]',
	0x03F3 : 'Unassigned [0x03F3]',
	0x03F4 : 'Unassigned [0x03F4]',
	0x03F5 : 'Unassigned [0x03F5]',
	0x03F6 : 'Unassigned [0x03F6]',
	0x03F7 : 'Unassigned [0x03F7]',
	0x03F8 : 'Unassigned [0x03F8]',
	0x03F9 : 'Unassigned [0x03F9]',
	0x03FA : 'Unassigned [0x03FA]',
	0x03FB : 'Unassigned [0x03FB]',
	0x03FC : 'Unassigned [0x03FC]',
	0x03FD : 'Unassigned [0x03FD]',
	0x03FE : 'Unassigned [0x03FE]',
	0x03FF : 'Unassigned [0x03FF]',
	0x0400 : 'Unassigned [0x0400]',
	0x0401 : 'Unassigned [0x0401]',
	0x0402 : 'Unassigned [0x0402]',
	0x0403 : 'Unassigned [0x0403]',
	0x0404 : 'Unassigned [0x0404]',
	0x0405 : 'Unassigned [0x0405]',
	0x0406 : 'Unassigned [0x0406]',
	0x0407 : 'Unassigned [0x0407]',
	0x0408 : 'Unassigned [0x0408]',
	0x0409 : 'Unassigned [0x0409]',
	0x040A : 'Unassigned [0x040A]',
	0x040B : 'Unassigned [0x040B]',
	0x040C : 'Unassigned [0x040C]',
	0x040D : 'Unassigned [0x040D]',
	0x040E : 'Unassigned [0x040E]',
	0x040F : 'Unassigned [0x040F]',
	0x0410 : 'Unassigned [0x0410]',
	0x0411 : 'Unassigned [0x0411]',
	0x0412 : 'Unassigned [0x0412]',
	0x0413 : 'Unassigned [0x0413]',
	0x0414 : 'Unassigned [0x0414]',
	0x0415 : 'Unassigned [0x0415]',
	0x0416 : 'Unassigned [0x0416]',
	0x0417 : 'Unassigned [0x0417]',
	0x0418 : 'Unassigned [0x0418]',
	0x0419 : 'Unassigned [0x0419]',
	0x041A : 'Unassigned [0x041A]',
	0x041B : 'Unassigned [0x041B]',
	0x041C : 'Unassigned [0x041C]',
	0x041D : 'Unassigned [0x041D]',
	0x041E : 'Unassigned [0x041E]',
	0x041F : 'Unassigned [0x041F]',
	0x0420 : 'Unassigned [0x0420]',
	0x0421 : 'Unassigned [0x0421]',
	0x0422 : 'Unassigned [0x0422]',
	0x0423 : 'Unassigned [0x0423]',
	0x0424 : 'Unassigned [0x0424]',
	0x0425 : 'Unassigned [0x0425]',
	0x0426 : 'Unassigned [0x0426]',
	0x0427 : 'Unassigned [0x0427]',
	0x0428 : 'Unassigned [0x0428]',
	0x0429 : 'Unassigned [0x0429]',
	0x042A : 'Unassigned [0x042A]',
	0x042B : 'Unassigned [0x042B]',
	0x042C : 'Unassigned [0x042C]',
	0x042D : 'Unassigned [0x042D]',
	0x042E : 'Unassigned [0x042E]',
	0x042F : 'Unassigned [0x042F]',
	0x0430 : 'Unassigned [0x0430]',
	0x0431 : 'Unassigned [0x0431]',
	0x0432 : 'Unassigned [0x0432]',
	0x0433 : 'Unassigned [0x0433]',
	0x0434 : 'Unassigned [0x0434]',
	0x0435 : 'Unassigned [0x0435]',
	0x0436 : 'Unassigned [0x0436]',
	0x0437 : 'Unassigned [0x0437]',
	0x0438 : 'Unassigned [0x0438]',
	0x0439 : 'Unassigned [0x0439]',
	0x043A : 'Unassigned [0x043A]',
	0x043B : 'Unassigned [0x043B]',
	0x043C : 'Unassigned [0x043C]',
	0x043D : 'Unassigned [0x043D]',
	0x043E : 'Unassigned [0x043E]',
	0x043F : 'Unassigned [0x043F]',
	0x0440 : 'Unassigned [0x0440]',
	0x0441 : 'Unassigned [0x0441]',
	0x0442 : 'Unassigned [0x0442]',
	0x0443 : 'Unassigned [0x0443]',
	0x0444 : 'Unassigned [0x0444]',
	0x0445 : 'Unassigned [0x0445]',
	0x0446 : 'Unassigned [0x0446]',
	0x0447 : 'Unassigned [0x0447]',
	0x0448 : 'Unassigned [0x0448]',
	0x0449 : 'Unassigned [0x0449]',
	0x044A : 'Unassigned [0x044A]',
	0x044B : 'Unassigned [0x044B]',
	0x044C : 'Unassigned [0x044C]',
	0x044D : 'Unassigned [0x044D]',
	0x044E : 'Unassigned [0x044E]',
	0x044F : 'Unassigned [0x044F]',
	0x0450 : 'Unassigned [0x0450]',
	0x0451 : 'Unassigned [0x0451]',
	0x0452 : 'Unassigned [0x0452]',
	0x0453 : 'Unassigned [0x0453]',
	0x0454 : 'Unassigned [0x0454]',
	0x0455 : 'Unassigned [0x0455]',
	0x0456 : 'Unassigned [0x0456]',
	0x0457 : 'Unassigned [0x0457]',
	0x0458 : 'Unassigned [0x0458]',
	0x0459 : 'Unassigned [0x0459]',
	0x045A : 'Unassigned [0x045A]',
	0x045B : 'Unassigned [0x045B]',
	0x045C : 'Unassigned [0x045C]',
	0x045D : 'Unassigned [0x045D]',
	0x045E : 'Unassigned [0x045E]',
	0x045F : 'Unassigned [0x045F]',
	0x0460 : 'Unassigned [0x0460]',
	0x0461 : 'Unassigned [0x0461]',
	0x0462 : 'Unassigned [0x0462]',
	0x0463 : 'Unassigned [0x0463]',
	0x0464 : 'Unassigned [0x0464]',
	0x0465 : 'Unassigned [0x0465]',
	0x0466 : 'Unassigned [0x0466]',
	0x0467 : 'Unassigned [0x0467]',
	0x0468 : 'Unassigned [0x0468]',
	0x0469 : 'Unassigned [0x0469]',
	0x046A : 'Unassigned [0x046A]',
	0x046B : 'Unassigned [0x046B]',
	0x046C : 'Unassigned [0x046C]',
	0x046D : 'Unassigned [0x046D]',
	0x046E : 'Unassigned [0x046E]',
	0x046F : 'Unassigned [0x046F]',
	0x0470 : 'Unassigned [0x0470]',
	0x0471 : 'Unassigned [0x0471]',
	0x0472 : 'Unassigned [0x0472]',
	0x0473 : 'Unassigned [0x0473]',
	0x0474 : 'Unassigned [0x0474]',
	0x0475 : 'Unassigned [0x0475]',
	0x0476 : 'Unassigned [0x0476]',
	0x0477 : 'Unassigned [0x0477]',
	0x0478 : 'Unassigned [0x0478]',
	0x0479 : 'Unassigned [0x0479]',
	0x047A : 'Unassigned [0x047A]',
	0x047B : 'Unassigned [0x047B]',
	0x047C : 'Unassigned [0x047C]',
	0x047D : 'Unassigned [0x047D]',
	0x047E : 'Unassigned [0x047E]',
	0x047F : 'Unassigned [0x047F]',
	0x0480 : 'Unassigned [0x0480]',
	0x0481 : 'Unassigned [0x0481]',
	0x0482 : 'Unassigned [0x0482]',
	0x0483 : 'Unassigned [0x0483]',
	0x0484 : 'Unassigned [0x0484]',
	0x0485 : 'Unassigned [0x0485]',
	0x0486 : 'Unassigned [0x0486]',
	0x0487 : 'Unassigned [0x0487]',
	0x0488 : 'Unassigned [0x0488]',
	0x0489 : 'Unassigned [0x0489]',
	0x048A : 'Unassigned [0x048A]',
	0x048B : 'Unassigned [0x048B]',
	0x048C : 'Unassigned [0x048C]',
	0x048D : 'Unassigned [0x048D]',
	0x048E : 'Unassigned [0x048E]',
	0x048F : 'Unassigned [0x048F]',
	0x0490 : 'Unassigned [0x0490]',
	0x0491 : 'Unassigned [0x0491]',
	0x0492 : 'Unassigned [0x0492]',
	0x0493 : 'Unassigned [0x0493]',
	0x0494 : 'Unassigned [0x0494]',
	0x0495 : 'Unassigned [0x0495]',
	0x0496 : 'Unassigned [0x0496]',
	0x0497 : 'Unassigned [0x0497]',
	0x0498 : 'Unassigned [0x0498]',
	0x0499 : 'Unassigned [0x0499]',
	0x049A : 'Unassigned [0x049A]',
	0x049B : 'Unassigned [0x049B]',
	0x049C : 'Unassigned [0x049C]',
	0x049D : 'Unassigned [0x049D]',
	0x049E : 'Unassigned [0x049E]',
	0x049F : 'Unassigned [0x049F]',
	0x04A0 : 'Unassigned [0x04A0]',
	0x04A1 : 'Unassigned [0x04A1]',
	0x04A2 : 'Unassigned [0x04A2]',
	0x04A3 : 'Unassigned [0x04A3]',
	0x04A4 : 'Unassigned [0x04A4]',
	0x04A5 : 'Unassigned [0x04A5]',
	0x04A6 : 'Unassigned [0x04A6]',
	0x04A7 : 'Unassigned [0x04A7]',
	0x04A8 : 'Unassigned [0x04A8]',
	0x04A9 : 'Unassigned [0x04A9]',
	0x04AA : 'Unassigned [0x04AA]',
	0x04AB : 'Unassigned [0x04AB]',
	0x04AC : 'Unassigned [0x04AC]',
	0x04AD : 'Unassigned [0x04AD]',
	0x04AE : 'Unassigned [0x04AE]',
	0x04AF : 'Unassigned [0x04AF]',
	0x04B0 : 'Unassigned [0x04B0]',
	0x04B1 : 'Unassigned [0x04B1]',
	0x04B2 : 'Unassigned [0x04B2]',
	0x04B3 : 'Unassigned [0x04B3]',
	0x04B4 : 'Unassigned [0x04B4]',
	0x04B5 : 'Unassigned [0x04B5]',
	0x04B6 : 'Unassigned [0x04B6]',
	0x04B7 : 'Unassigned [0x04B7]',
	0x04B8 : 'Unassigned [0x04B8]',
	0x04B9 : 'Unassigned [0x04B9]',
	0x04BA : 'Unassigned [0x04BA]',
	0x04BB : 'Unassigned [0x04BB]',
	0x04BC : 'Unassigned [0x04BC]',
	0x04BD : 'Unassigned [0x04BD]',
	0x04BE : 'Unassigned [0x04BE]',
	0x04BF : 'Unassigned [0x04BF]',
	0x04C0 : 'Unassigned [0x04C0]',
	0x04C1 : 'Unassigned [0x04C1]',
	0x04C2 : 'Unassigned [0x04C2]',
	0x04C3 : 'Unassigned [0x04C3]',
	0x04C4 : 'Unassigned [0x04C4]',
	0x04C5 : 'Unassigned [0x04C5]',
	0x04C6 : 'Unassigned [0x04C6]',
	0x04C7 : 'Unassigned [0x04C7]',
	0x04C8 : 'Unassigned [0x04C8]',
	0x04C9 : 'Unassigned [0x04C9]',
	0x04CA : 'Unassigned [0x04CA]',
	0x04CB : 'Unassigned [0x04CB]',
	0x04CC : 'Unassigned [0x04CC]',
	0x04CD : 'Unassigned [0x04CD]',
	0x04CE : 'Unassigned [0x04CE]',
	0x04CF : 'Unassigned [0x04CF]',
	0x04D0 : 'Unassigned [0x04D0]',
	0x04D1 : 'Unassigned [0x04D1]',
	0x04D2 : 'Unassigned [0x04D2]',
	0x04D3 : 'Unassigned [0x04D3]',
	0x04D4 : 'Unassigned [0x04D4]',
	0x04D5 : 'Unassigned [0x04D5]',
	0x04D6 : 'Unassigned [0x04D6]',
	0x04D7 : 'Unassigned [0x04D7]',
	0x04D8 : 'Unassigned [0x04D8]',
	0x04D9 : 'Unassigned [0x04D9]',
	0x04DA : 'Unassigned [0x04DA]',
	0x04DB : 'Unassigned [0x04DB]',
	0x04DC : 'Unassigned [0x04DC]',
	0x04DD : 'Unassigned [0x04DD]',
	0x04DE : 'Unassigned [0x04DE]',
	0x04DF : 'Unassigned [0x04DF]',
	0x04E0 : 'Unassigned [0x04E0]',
	0x04E1 : 'Unassigned [0x04E1]',
	0x04E2 : 'Unassigned [0x04E2]',
	0x04E3 : 'Unassigned [0x04E3]',
	0x04E4 : 'Unassigned [0x04E4]',
	0x04E5 : 'Unassigned [0x04E5]',
	0x04E6 : 'Unassigned [0x04E6]',
	0x04E7 : 'Unassigned [0x04E7]',
	0x04E8 : 'Unassigned [0x04E8]',
	0x04E9 : 'Unassigned [0x04E9]',
	0x04EA : 'Unassigned [0x04EA]',
	0x04EB : 'Unassigned [0x04EB]',
	0x04EC : 'Unassigned [0x04EC]',
	0x04ED : 'Unassigned [0x04ED]',
	0x04EE : 'Unassigned [0x04EE]',
	0x04EF : 'Unassigned [0x04EF]',
	0x04F0 : 'Unassigned [0x04F0]',
	0x04F1 : 'Unassigned [0x04F1]',
	0x04F2 : 'Unassigned [0x04F2]',
	0x04F3 : 'Unassigned [0x04F3]',
	0x04F4 : 'Unassigned [0x04F4]',
	0x04F5 : 'Unassigned [0x04F5]',
	0x04F6 : 'Unassigned [0x04F6]',
	0x04F7 : 'Unassigned [0x04F7]',
	0x04F8 : 'Unassigned [0x04F8]',
	0x04F9 : 'Unassigned [0x04F9]',
	0x04FA : 'Unassigned [0x04FA]',
	0x04FB : 'Unassigned [0x04FB]',
	0x04FC : 'Unassigned [0x04FC]',
	0x04FD : 'Unassigned [0x04FD]',
	0x04FE : 'Unassigned [0x04FE]',
	0x04FF : 'Unassigned [0x04FF]',
	0x0500 : 'Unassigned [0x0500]',
	0x0501 : 'Unassigned [0x0501]',
	0x0502 : 'Unassigned [0x0502]',
	0x0503 : 'Unassigned [0x0503]',
	0x0504 : 'Unassigned [0x0504]',
	0x0505 : 'Unassigned [0x0505]',
	0x0506 : 'Unassigned [0x0506]',
	0x0507 : 'Unassigned [0x0507]',
	0x0508 : 'Unassigned [0x0508]',
	0x0509 : 'Unassigned [0x0509]',
	0x050A : 'Unassigned [0x050A]',
	0x050B : 'Unassigned [0x050B]',
	0x050C : 'Unassigned [0x050C]',
	0x050D : 'Unassigned [0x050D]',
	0x050E : 'Unassigned [0x050E]',
	0x050F : 'Unassigned [0x050F]',
	0x0510 : 'Unassigned [0x0510]',
	0x0511 : 'Unassigned [0x0511]',
	0x0512 : 'Unassigned [0x0512]',
	0x0513 : 'Unassigned [0x0513]',
	0x0514 : 'Unassigned [0x0514]',
	0x0515 : 'Unassigned [0x0515]',
	0x0516 : 'Unassigned [0x0516]',
	0x0517 : 'Unassigned [0x0517]',
	0x0518 : 'Unassigned [0x0518]',
	0x0519 : 'Unassigned [0x0519]',
	0x051A : 'Unassigned [0x051A]',
	0x051B : 'Unassigned [0x051B]',
	0x051C : 'Unassigned [0x051C]',
	0x051D : 'Unassigned [0x051D]',
	0x051E : 'Unassigned [0x051E]',
	0x051F : 'Unassigned [0x051F]',
	0x0520 : 'Unassigned [0x0520]',
	0x0521 : 'Unassigned [0x0521]',
	0x0522 : 'Unassigned [0x0522]',
	0x0523 : 'Unassigned [0x0523]',
	0x0524 : 'Unassigned [0x0524]',
	0x0525 : 'Unassigned [0x0525]',
	0x0526 : 'Unassigned [0x0526]',
	0x0527 : 'Unassigned [0x0527]',
	0x0528 : 'Unassigned [0x0528]',
	0x0529 : 'Unassigned [0x0529]',
	0x052A : 'Unassigned [0x052A]',
	0x052B : 'Unassigned [0x052B]',
	0x052C : 'Unassigned [0x052C]',
	0x052D : 'Unassigned [0x052D]',
	0x052E : 'Unassigned [0x052E]',
	0x052F : 'Unassigned [0x052F]',
	0x0530 : 'Unassigned [0x0530]',
	0x0531 : 'Unassigned [0x0531]',
	0x0532 : 'Unassigned [0x0532]',
	0x0533 : 'Unassigned [0x0533]',
	0x0534 : 'Unassigned [0x0534]',
	0x0535 : 'Unassigned [0x0535]',
	0x0536 : 'Unassigned [0x0536]',
	0x0537 : 'Unassigned [0x0537]',
	0x0538 : 'Unassigned [0x0538]',
	0x0539 : 'Unassigned [0x0539]',
	0x053A : 'Unassigned [0x053A]',
	0x053B : 'Unassigned [0x053B]',
	0x053C : 'Unassigned [0x053C]',
	0x053D : 'Unassigned [0x053D]',
	0x053E : 'Unassigned [0x053E]',
	0x053F : 'Unassigned [0x053F]',
	0x0540 : 'Unassigned [0x0540]',
	0x0541 : 'Unassigned [0x0541]',
	0x0542 : 'Unassigned [0x0542]',
	0x0543 : 'Unassigned [0x0543]',
	0x0544 : 'Unassigned [0x0544]',
	0x0545 : 'Unassigned [0x0545]',
	0x0546 : 'Unassigned [0x0546]',
	0x0547 : 'Unassigned [0x0547]',
	0x0548 : 'Unassigned [0x0548]',
	0x0549 : 'Unassigned [0x0549]',
	0x054A : 'Unassigned [0x054A]',
	0x054B : 'Unassigned [0x054B]',
	0x054C : 'Unassigned [0x054C]',
	0x054D : 'Unassigned [0x054D]',
	0x054E : 'Unassigned [0x054E]',
	0x054F : 'Unassigned [0x054F]',
	0x0550 : 'Unassigned [0x0550]',
	0x0551 : 'Unassigned [0x0551]',
	0x0552 : 'Unassigned [0x0552]',
	0x0553 : 'Unassigned [0x0553]',
	0x0554 : 'Unassigned [0x0554]',
	0x0555 : 'Unassigned [0x0555]',
	0x0556 : 'Unassigned [0x0556]',
	0x0557 : 'Unassigned [0x0557]',
	0x0558 : 'Unassigned [0x0558]',
	0x0559 : 'Unassigned [0x0559]',
	0x055A : 'Unassigned [0x055A]',
	0x055B : 'Unassigned [0x055B]',
	0x055C : 'Unassigned [0x055C]',
	0x055D : 'Unassigned [0x055D]',
	0x055E : 'Unassigned [0x055E]',
	0x055F : 'Unassigned [0x055F]',
	0x0560 : 'Unassigned [0x0560]',
	0x0561 : 'Unassigned [0x0561]',
	0x0562 : 'Unassigned [0x0562]',
	0x0563 : 'Unassigned [0x0563]',
	0x0564 : 'Unassigned [0x0564]',
	0x0565 : 'Unassigned [0x0565]',
	0x0566 : 'Unassigned [0x0566]',
	0x0567 : 'Unassigned [0x0567]',
	0x0568 : 'Unassigned [0x0568]',
	0x0569 : 'Unassigned [0x0569]',
	0x056A : 'Unassigned [0x056A]',
	0x056B : 'Unassigned [0x056B]',
	0x056C : 'Unassigned [0x056C]',
	0x056D : 'Unassigned [0x056D]',
	0x056E : 'Unassigned [0x056E]',
	0x056F : 'Unassigned [0x056F]',
	0x0570 : 'Unassigned [0x0570]',
	0x0571 : 'Unassigned [0x0571]',
	0x0572 : 'Unassigned [0x0572]',
	0x0573 : 'Unassigned [0x0573]',
	0x0574 : 'Unassigned [0x0574]',
	0x0575 : 'Unassigned [0x0575]',
	0x0576 : 'Unassigned [0x0576]',
	0x0577 : 'Unassigned [0x0577]',
	0x0578 : 'Unassigned [0x0578]',
	0x0579 : 'Unassigned [0x0579]',
	0x057A : 'Unassigned [0x057A]',
	0x057B : 'Unassigned [0x057B]',
	0x057C : 'Unassigned [0x057C]',
	0x057D : 'Unassigned [0x057D]',
	0x057E : 'Unassigned [0x057E]',
	0x057F : 'Unassigned [0x057F]',
	0x0580 : 'Unassigned [0x0580]',
	0x0581 : 'Unassigned [0x0581]',
	0x0582 : 'Unassigned [0x0582]',
	0x0583 : 'Unassigned [0x0583]',
	0x0584 : 'Unassigned [0x0584]',
	0x0585 : 'Unassigned [0x0585]',
	0x0586 : 'Unassigned [0x0586]',
	0x0587 : 'Unassigned [0x0587]',
	0x0588 : 'Unassigned [0x0588]',
	0x0589 : 'Unassigned [0x0589]',
	0x058A : 'Unassigned [0x058A]',
	0x058B : 'Unassigned [0x058B]',
	0x058C : 'Unassigned [0x058C]',
	0x058D : 'Unassigned [0x058D]',
	0x058E : 'Unassigned [0x058E]',
	0x058F : 'Unassigned [0x058F]',
	0x0590 : 'Unassigned [0x0590]',
	0x0591 : 'Unassigned [0x0591]',
	0x0592 : 'Unassigned [0x0592]',
	0x0593 : 'Unassigned [0x0593]',
	0x0594 : 'Unassigned [0x0594]',
	0x0595 : 'Unassigned [0x0595]',
	0x0596 : 'Unassigned [0x0596]',
	0x0597 : 'Unassigned [0x0597]',
	0x0598 : 'Unassigned [0x0598]',
	0x0599 : 'Unassigned [0x0599]',
	0x059A : 'Unassigned [0x059A]',
	0x059B : 'Unassigned [0x059B]',
	0x059C : 'Unassigned [0x059C]',
	0x059D : 'Unassigned [0x059D]',
	0x059E : 'Unassigned [0x059E]',
	0x059F : 'Unassigned [0x059F]',
	0x05A0 : 'Unassigned [0x05A0]',
	0x05A1 : 'Unassigned [0x05A1]',
	0x05A2 : 'Unassigned [0x05A2]',
	0x05A3 : 'Unassigned [0x05A3]',
	0x05A4 : 'Unassigned [0x05A4]',
	0x05A5 : 'Unassigned [0x05A5]',
	0x05A6 : 'Unassigned [0x05A6]',
	0x05A7 : 'Unassigned [0x05A7]',
	0x05A8 : 'Unassigned [0x05A8]',
	0x05A9 : 'Unassigned [0x05A9]',
	0x05AA : 'Unassigned [0x05AA]',
	0x05AB : 'Unassigned [0x05AB]',
	0x05AC : 'Unassigned [0x05AC]',
	0x05AD : 'Unassigned [0x05AD]',
	0x05AE : 'Unassigned [0x05AE]',
	0x05AF : 'Unassigned [0x05AF]',
	0x05B0 : 'Unassigned [0x05B0]',
	0x05B1 : 'Unassigned [0x05B1]',
	0x05B2 : 'Unassigned [0x05B2]',
	0x05B3 : 'Unassigned [0x05B3]',
	0x05B4 : 'Unassigned [0x05B4]',
	0x05B5 : 'Unassigned [0x05B5]',
	0x05B6 : 'Unassigned [0x05B6]',
	0x05B7 : 'Unassigned [0x05B7]',
	0x05B8 : 'Unassigned [0x05B8]',
	0x05B9 : 'Unassigned [0x05B9]',
	0x05BA : 'Unassigned [0x05BA]',
	0x05BB : 'Unassigned [0x05BB]',
	0x05BC : 'Unassigned [0x05BC]',
	0x05BD : 'Unassigned [0x05BD]',
	0x05BE : 'Unassigned [0x05BE]',
	0x05BF : 'Unassigned [0x05BF]',
	0x05C0 : 'Unassigned [0x05C0]',
	0x05C1 : 'Unassigned [0x05C1]',
	0x05C2 : 'Unassigned [0x05C2]',
	0x05C3 : 'Unassigned [0x05C3]',
	0x05C4 : 'Unassigned [0x05C4]',
	0x05C5 : 'Unassigned [0x05C5]',
	0x05C6 : 'Unassigned [0x05C6]',
	0x05C7 : 'Unassigned [0x05C7]',
	0x05C8 : 'Unassigned [0x05C8]',
	0x05C9 : 'Unassigned [0x05C9]',
	0x05CA : 'Unassigned [0x05CA]',
	0x05CB : 'Unassigned [0x05CB]',
	0x05CC : 'Unassigned [0x05CC]',
	0x05CD : 'Unassigned [0x05CD]',
	0x05CE : 'Unassigned [0x05CE]',
	0x05CF : 'Unassigned [0x05CF]',
	0x05D0 : 'Unassigned [0x05D0]',
	0x05D1 : 'Unassigned [0x05D1]',
	0x05D2 : 'Unassigned [0x05D2]',
	0x05D3 : 'Unassigned [0x05D3]',
	0x05D4 : 'Unassigned [0x05D4]',
	0x05D5 : 'Unassigned [0x05D5]',
	0x05D6 : 'Unassigned [0x05D6]',
	0x05D7 : 'Unassigned [0x05D7]',
	0x05D8 : 'Unassigned [0x05D8]',
	0x05D9 : 'Unassigned [0x05D9]',
	0x05DA : 'Unassigned [0x05DA]',
	0x05DB : 'Unassigned [0x05DB]',
	0x05DC : 'Unassigned [0x05DC]',
	0x05DD : 'Unassigned [0x05DD]',
	0x05DE : 'Unassigned [0x05DE]',
	0x05DF : 'Unassigned [0x05DF]',
	0x05E0 : 'Unassigned [0x05E0]',
	0x05E1 : 'Unassigned [0x05E1]',
	0x05E2 : 'Unassigned [0x05E2]',
	0x05E3 : 'Unassigned [0x05E3]',
	0x05E4 : 'Unassigned [0x05E4]',
	0x05E5 : 'Unassigned [0x05E5]',
	0x05E6 : 'Unassigned [0x05E6]',
	0x05E7 : 'Unassigned [0x05E7]',
	0x05E8 : 'Unassigned [0x05E8]',
	0x05E9 : 'Unassigned [0x05E9]',
	0x05EA : 'Unassigned [0x05EA]',
	0x05EB : 'Unassigned [0x05EB]',
	0x05EC : 'Unassigned [0x05EC]',
	0x05ED : 'Unassigned [0x05ED]',
	0x05EE : 'Unassigned [0x05EE]',
	0x05EF : 'Unassigned [0x05EF]',
	0x05F0 : 'Unassigned [0x05F0]',
	0x05F1 : 'Unassigned [0x05F1]',
	0x05F2 : 'Unassigned [0x05F2]',
	0x05F3 : 'Unassigned [0x05F3]',
	0x05F4 : 'Unassigned [0x05F4]',
	0x05F5 : 'Unassigned [0x05F5]',
	0x05F6 : 'Unassigned [0x05F6]',
	0x05F7 : 'Unassigned [0x05F7]',
	0x05F8 : 'Unassigned [0x05F8]',
	0x05F9 : 'Unassigned [0x05F9]',
	0x05FA : 'Unassigned [0x05FA]',
	0x05FB : 'Unassigned [0x05FB]',
	0x05FC : 'Unassigned [0x05FC]',
	0x05FD : 'Unassigned [0x05FD]',
	0x05FE : 'Unassigned [0x05FE]',
	0x05FF : 'Unassigned [0x05FF]',
	0x0600 : 'Unassigned [0x0600]',
	0x0601 : 'Unassigned [0x0601]',
	0x0602 : 'Unassigned [0x0602]',
	0x0603 : 'Unassigned [0x0603]',
	0x0604 : 'Unassigned [0x0604]',
	0x0605 : 'Unassigned [0x0605]',
	0x0606 : 'Unassigned [0x0606]',
	0x0607 : 'Unassigned [0x0607]',
	0x0608 : 'Unassigned [0x0608]',
	0x0609 : 'Unassigned [0x0609]',
	0x060A : 'Unassigned [0x060A]',
	0x060B : 'Unassigned [0x060B]',
	0x060C : 'Unassigned [0x060C]',
	0x060D : 'Unassigned [0x060D]',
	0x060E : 'Unassigned [0x060E]',
	0x060F : 'Unassigned [0x060F]',
	0x0610 : 'Unassigned [0x0610]',
	0x0611 : 'Unassigned [0x0611]',
	0x0612 : 'Unassigned [0x0612]',
	0x0613 : 'Unassigned [0x0613]',
	0x0614 : 'Unassigned [0x0614]',
	0x0615 : 'Unassigned [0x0615]',
	0x0616 : 'Unassigned [0x0616]',
	0x0617 : 'Unassigned [0x0617]',
	0x0618 : 'Unassigned [0x0618]',
	0x0619 : 'Unassigned [0x0619]',
	0x061A : 'Unassigned [0x061A]',
	0x061B : 'Unassigned [0x061B]',
	0x061C : 'Unassigned [0x061C]',
	0x061D : 'Unassigned [0x061D]',
	0x061E : 'Unassigned [0x061E]',
	0x061F : 'Unassigned [0x061F]',
	0x0620 : 'Unassigned [0x0620]',
	0x0621 : 'Unassigned [0x0621]',
	0x0622 : 'Unassigned [0x0622]',
	0x0623 : 'Unassigned [0x0623]',
	0x0624 : 'Unassigned [0x0624]',
	0x0625 : 'Unassigned [0x0625]',
	0x0626 : 'Unassigned [0x0626]',
	0x0627 : 'Unassigned [0x0627]',
	0x0628 : 'Unassigned [0x0628]',
	0x0629 : 'Unassigned [0x0629]',
	0x062A : 'Unassigned [0x062A]',
	0x062B : 'Unassigned [0x062B]',
	0x062C : 'Unassigned [0x062C]',
	0x062D : 'Unassigned [0x062D]',
	0x062E : 'Unassigned [0x062E]',
	0x062F : 'Unassigned [0x062F]',
	0x0630 : 'Unassigned [0x0630]',
	0x0631 : 'Unassigned [0x0631]',
	0x0632 : 'Unassigned [0x0632]',
	0x0633 : 'Unassigned [0x0633]',
	0x0634 : 'Unassigned [0x0634]',
	0x0635 : 'Unassigned [0x0635]',
	0x0636 : 'Unassigned [0x0636]',
	0x0637 : 'Unassigned [0x0637]',
	0x0638 : 'Unassigned [0x0638]',
	0x0639 : 'Unassigned [0x0639]',
	0x063A : 'Unassigned [0x063A]',
	0x063B : 'Unassigned [0x063B]',
	0x063C : 'Unassigned [0x063C]',
	0x063D : 'Unassigned [0x063D]',
	0x063E : 'Unassigned [0x063E]',
	0x063F : 'Unassigned [0x063F]',
	0x0640 : 'Unassigned [0x0640]',
	0x0641 : 'Unassigned [0x0641]',
	0x0642 : 'Unassigned [0x0642]',
	0x0643 : 'Unassigned [0x0643]',
	0x0644 : 'Unassigned [0x0644]',
	0x0645 : 'Unassigned [0x0645]',
	0x0646 : 'Unassigned [0x0646]',
	0x0647 : 'Unassigned [0x0647]',
	0x0648 : 'Unassigned [0x0648]',
	0x0649 : 'Unassigned [0x0649]',
	0x064A : 'Unassigned [0x064A]',
	0x064B : 'Unassigned [0x064B]',
	0x064C : 'Unassigned [0x064C]',
	0x064D : 'Unassigned [0x064D]',
	0x064E : 'Unassigned [0x064E]',
	0x064F : 'Unassigned [0x064F]',
	0x0650 : 'Unassigned [0x0650]',
	0x0651 : 'Unassigned [0x0651]',
	0x0652 : 'Unassigned [0x0652]',
	0x0653 : 'Unassigned [0x0653]',
	0x0654 : 'Unassigned [0x0654]',
	0x0655 : 'Unassigned [0x0655]',
	0x0656 : 'Unassigned [0x0656]',
	0x0657 : 'Unassigned [0x0657]',
	0x0658 : 'Unassigned [0x0658]',
	0x0659 : 'Unassigned [0x0659]',
	0x065A : 'Unassigned [0x065A]',
	0x065B : 'Unassigned [0x065B]',
	0x065C : 'Unassigned [0x065C]',
	0x065D : 'Unassigned [0x065D]',
	0x065E : 'Unassigned [0x065E]',
	0x065F : 'Unassigned [0x065F]',
	0x0660 : 'Unassigned [0x0660]',
	0x0661 : 'Unassigned [0x0661]',
	0x0662 : 'Unassigned [0x0662]',
	0x0663 : 'Unassigned [0x0663]',
	0x0664 : 'Unassigned [0x0664]',
	0x0665 : 'Unassigned [0x0665]',
	0x0666 : 'Unassigned [0x0666]',
	0x0667 : 'Unassigned [0x0667]',
	0x0668 : 'Unassigned [0x0668]',
	0x0669 : 'Unassigned [0x0669]',
	0x066A : 'Unassigned [0x066A]',
	0x066B : 'Unassigned [0x066B]',
	0x066C : 'Unassigned [0x066C]',
	0x066D : 'Unassigned [0x066D]',
	0x066E : 'Unassigned [0x066E]',
	0x066F : 'Unassigned [0x066F]',
	0x0670 : 'Unassigned [0x0670]',
	0x0671 : 'Unassigned [0x0671]',
	0x0672 : 'Unassigned [0x0672]',
	0x0673 : 'Unassigned [0x0673]',
	0x0674 : 'Unassigned [0x0674]',
	0x0675 : 'Unassigned [0x0675]',
	0x0676 : 'Unassigned [0x0676]',
	0x0677 : 'Unassigned [0x0677]',
	0x0678 : 'Unassigned [0x0678]',
	0x0679 : 'Unassigned [0x0679]',
	0x067A : 'Unassigned [0x067A]',
	0x067B : 'Unassigned [0x067B]',
	0x067C : 'Unassigned [0x067C]',
	0x067D : 'Unassigned [0x067D]',
	0x067E : 'Unassigned [0x067E]',
	0x067F : 'Unassigned [0x067F]',
	0x0680 : 'Unassigned [0x0680]',
	0x0681 : 'Unassigned [0x0681]',
	0x0682 : 'Unassigned [0x0682]',
	0x0683 : 'Unassigned [0x0683]',
	0x0684 : 'Unassigned [0x0684]',
	0x0685 : 'Unassigned [0x0685]',
	0x0686 : 'Unassigned [0x0686]',
	0x0687 : 'Unassigned [0x0687]',
	0x0688 : 'Unassigned [0x0688]',
	0x0689 : 'Unassigned [0x0689]',
	0x068A : 'Unassigned [0x068A]',
	0x068B : 'Unassigned [0x068B]',
	0x068C : 'Unassigned [0x068C]',
	0x068D : 'Unassigned [0x068D]',
	0x068E : 'Unassigned [0x068E]',
	0x068F : 'Unassigned [0x068F]',
	0x0690 : 'Unassigned [0x0690]',
	0x0691 : 'Unassigned [0x0691]',
	0x0692 : 'Unassigned [0x0692]',
	0x0693 : 'Unassigned [0x0693]',
	0x0694 : 'Unassigned [0x0694]',
	0x0695 : 'Unassigned [0x0695]',
	0x0696 : 'Unassigned [0x0696]',
	0x0697 : 'Unassigned [0x0697]',
	0x0698 : 'Unassigned [0x0698]',
	0x0699 : 'Unassigned [0x0699]',
	0x069A : 'Unassigned [0x069A]',
	0x069B : 'Unassigned [0x069B]',
	0x069C : 'Unassigned [0x069C]',
	0x069D : 'Unassigned [0x069D]',
	0x069E : 'Unassigned [0x069E]',
	0x069F : 'Unassigned [0x069F]',
	0x06A0 : 'Unassigned [0x06A0]',
	0x06A1 : 'Unassigned [0x06A1]',
	0x06A2 : 'Unassigned [0x06A2]',
	0x06A3 : 'Unassigned [0x06A3]',
	0x06A4 : 'Unassigned [0x06A4]',
	0x06A5 : 'Unassigned [0x06A5]',
	0x06A6 : 'Unassigned [0x06A6]',
	0x06A7 : 'Unassigned [0x06A7]',
	0x06A8 : 'Unassigned [0x06A8]',
	0x06A9 : 'Unassigned [0x06A9]',
	0x06AA : 'Unassigned [0x06AA]',
	0x06AB : 'Unassigned [0x06AB]',
	0x06AC : 'Unassigned [0x06AC]',
	0x06AD : 'Unassigned [0x06AD]',
	0x06AE : 'Unassigned [0x06AE]',
	0x06AF : 'Unassigned [0x06AF]',
	0x06B0 : 'Unassigned [0x06B0]',
	0x06B1 : 'Unassigned [0x06B1]',
	0x06B2 : 'Unassigned [0x06B2]',
	0x06B3 : 'Unassigned [0x06B3]',
	0x06B4 : 'Unassigned [0x06B4]',
	0x06B5 : 'Unassigned [0x06B5]',
	0x06B6 : 'Unassigned [0x06B6]',
	0x06B7 : 'Unassigned [0x06B7]',
	0x06B8 : 'Unassigned [0x06B8]',
	0x06B9 : 'Unassigned [0x06B9]',
	0x06BA : 'Unassigned [0x06BA]',
	0x06BB : 'Unassigned [0x06BB]',
	0x06BC : 'Unassigned [0x06BC]',
	0x06BD : 'Unassigned [0x06BD]',
	0x06BE : 'Unassigned [0x06BE]',
	0x06BF : 'Unassigned [0x06BF]',
	0x06C0 : 'Unassigned [0x06C0]',
	0x06C1 : 'Unassigned [0x06C1]',
	0x06C2 : 'Unassigned [0x06C2]',
	0x06C3 : 'Unassigned [0x06C3]',
	0x06C4 : 'Unassigned [0x06C4]',
	0x06C5 : 'Unassigned [0x06C5]',
	0x06C6 : 'Unassigned [0x06C6]',
	0x06C7 : 'Unassigned [0x06C7]',
	0x06C8 : 'Unassigned [0x06C8]',
	0x06C9 : 'Unassigned [0x06C9]',
	0x06CA : 'Unassigned [0x06CA]',
	0x06CB : 'Unassigned [0x06CB]',
	0x06CC : 'Unassigned [0x06CC]',
	0x06CD : 'Unassigned [0x06CD]',
	0x06CE : 'Unassigned [0x06CE]',
	0x06CF : 'Unassigned [0x06CF]',
	0x06D0 : 'Unassigned [0x06D0]',
	0x06D1 : 'Unassigned [0x06D1]',
	0x06D2 : 'Unassigned [0x06D2]',
	0x06D3 : 'Unassigned [0x06D3]',
	0x06D4 : 'Unassigned [0x06D4]',
	0x06D5 : 'Unassigned [0x06D5]',
	0x06D6 : 'Unassigned [0x06D6]',
	0x06D7 : 'Unassigned [0x06D7]',
	0x06D8 : 'Unassigned [0x06D8]',
	0x06D9 : 'Unassigned [0x06D9]',
	0x06DA : 'Unassigned [0x06DA]',
	0x06DB : 'Unassigned [0x06DB]',
	0x06DC : 'Unassigned [0x06DC]',
	0x06DD : 'Unassigned [0x06DD]',
	0x06DE : 'Unassigned [0x06DE]',
	0x06DF : 'Unassigned [0x06DF]',
	0x06E0 : 'Unassigned [0x06E0]',
	0x06E1 : 'Unassigned [0x06E1]',
	0x06E2 : 'Unassigned [0x06E2]',
	0x06E3 : 'Unassigned [0x06E3]',
	0x06E4 : 'Unassigned [0x06E4]',
	0x06E5 : 'Unassigned [0x06E5]',
	0x06E6 : 'Unassigned [0x06E6]',
	0x06E7 : 'Unassigned [0x06E7]',
	0x06E8 : 'Unassigned [0x06E8]',
	0x06E9 : 'Unassigned [0x06E9]',
	0x06EA : 'Unassigned [0x06EA]',
	0x06EB : 'Unassigned [0x06EB]',
	0x06EC : 'Unassigned [0x06EC]',
	0x06ED : 'Unassigned [0x06ED]',
	0x06EE : 'Unassigned [0x06EE]',
	0x06EF : 'Unassigned [0x06EF]',
	0x06F0 : 'Unassigned [0x06F0]',
	0x06F1 : 'Unassigned [0x06F1]',
	0x06F2 : 'Unassigned [0x06F2]',
	0x06F3 : 'Unassigned [0x06F3]',
	0x06F4 : 'Unassigned [0x06F4]',
	0x06F5 : 'Unassigned [0x06F5]',
	0x06F6 : 'Unassigned [0x06F6]',
	0x06F7 : 'Unassigned [0x06F7]',
	0x06F8 : 'Unassigned [0x06F8]',
	0x06F9 : 'Unassigned [0x06F9]',
	0x06FA : 'Unassigned [0x06FA]',
	0x06FB : 'Unassigned [0x06FB]',
	0x06FC : 'Unassigned [0x06FC]',
	0x06FD : 'Unassigned [0x06FD]',
	0x06FE : 'Unassigned [0x06FE]',
	0x06FF : 'Unassigned [0x06FF]',
	0x0700 : 'Unassigned [0x0700]',
	0x0701 : 'Unassigned [0x0701]',
	0x0702 : 'Unassigned [0x0702]',
	0x0703 : 'Unassigned [0x0703]',
	0x0704 : 'Unassigned [0x0704]',
	0x0705 : 'Unassigned [0x0705]',
	0x0706 : 'Unassigned [0x0706]',
	0x0707 : 'Unassigned [0x0707]',
	0x0708 : 'Unassigned [0x0708]',
	0x0709 : 'Unassigned [0x0709]',
	0x070A : 'Unassigned [0x070A]',
	0x070B : 'Unassigned [0x070B]',
	0x070C : 'Unassigned [0x070C]',
	0x070D : 'Unassigned [0x070D]',
	0x070E : 'Unassigned [0x070E]',
	0x070F : 'Unassigned [0x070F]',
	0x0710 : 'Unassigned [0x0710]',
	0x0711 : 'Unassigned [0x0711]',
	0x0712 : 'Unassigned [0x0712]',
	0x0713 : 'Unassigned [0x0713]',
	0x0714 : 'Unassigned [0x0714]',
	0x0715 : 'Unassigned [0x0715]',
	0x0716 : 'Unassigned [0x0716]',
	0x0717 : 'Unassigned [0x0717]',
	0x0718 : 'Unassigned [0x0718]',
	0x0719 : 'Unassigned [0x0719]',
	0x071A : 'Unassigned [0x071A]',
	0x071B : 'Unassigned [0x071B]',
	0x071C : 'Unassigned [0x071C]',
	0x071D : 'Unassigned [0x071D]',
	0x071E : 'Unassigned [0x071E]',
	0x071F : 'Unassigned [0x071F]',
	0x0720 : 'Unassigned [0x0720]',
	0x0721 : 'Unassigned [0x0721]',
	0x0722 : 'Unassigned [0x0722]',
	0x0723 : 'Unassigned [0x0723]',
	0x0724 : 'Unassigned [0x0724]',
	0x0725 : 'Unassigned [0x0725]',
	0x0726 : 'Unassigned [0x0726]',
	0x0727 : 'Unassigned [0x0727]',
	0x0728 : 'Unassigned [0x0728]',
	0x0729 : 'Unassigned [0x0729]',
	0x072A : 'Unassigned [0x072A]',
	0x072B : 'Unassigned [0x072B]',
	0x072C : 'Unassigned [0x072C]',
	0x072D : 'Unassigned [0x072D]',
	0x072E : 'Unassigned [0x072E]',
	0x072F : 'Unassigned [0x072F]',
	0x0730 : 'Unassigned [0x0730]',
	0x0731 : 'Unassigned [0x0731]',
	0x0732 : 'Unassigned [0x0732]',
	0x0733 : 'Unassigned [0x0733]',
	0x0734 : 'Unassigned [0x0734]',
	0x0735 : 'Unassigned [0x0735]',
	0x0736 : 'Unassigned [0x0736]',
	0x0737 : 'Unassigned [0x0737]',
	0x0738 : 'Unassigned [0x0738]',
	0x0739 : 'Unassigned [0x0739]',
	0x073A : 'Unassigned [0x073A]',
	0x073B : 'Unassigned [0x073B]',
	0x073C : 'Unassigned [0x073C]',
	0x073D : 'Unassigned [0x073D]',
	0x073E : 'Unassigned [0x073E]',
	0x073F : 'Unassigned [0x073F]',
	0x0740 : 'Unassigned [0x0740]',
	0x0741 : 'Unassigned [0x0741]',
	0x0742 : 'Unassigned [0x0742]',
	0x0743 : 'Unassigned [0x0743]',
	0x0744 : 'Unassigned [0x0744]',
	0x0745 : 'Unassigned [0x0745]',
	0x0746 : 'Unassigned [0x0746]',
	0x0747 : 'Unassigned [0x0747]',
	0x0748 : 'Unassigned [0x0748]',
	0x0749 : 'Unassigned [0x0749]',
	0x074A : 'Unassigned [0x074A]',
	0x074B : 'Unassigned [0x074B]',
	0x074C : 'Unassigned [0x074C]',
	0x074D : 'Unassigned [0x074D]',
	0x074E : 'Unassigned [0x074E]',
	0x074F : 'Unassigned [0x074F]',
	0x0750 : 'Unassigned [0x0750]',
	0x0751 : 'Unassigned [0x0751]',
	0x0752 : 'Unassigned [0x0752]',
	0x0753 : 'Unassigned [0x0753]',
	0x0754 : 'Unassigned [0x0754]',
	0x0755 : 'Unassigned [0x0755]',
	0x0756 : 'Unassigned [0x0756]',
	0x0757 : 'Unassigned [0x0757]',
	0x0758 : 'Unassigned [0x0758]',
	0x0759 : 'Unassigned [0x0759]',
	0x075A : 'Unassigned [0x075A]',
	0x075B : 'Unassigned [0x075B]',
	0x075C : 'Unassigned [0x075C]',
	0x075D : 'Unassigned [0x075D]',
	0x075E : 'Unassigned [0x075E]',
	0x075F : 'Unassigned [0x075F]',
	0x0760 : 'Unassigned [0x0760]',
	0x0761 : 'Unassigned [0x0761]',
	0x0762 : 'Unassigned [0x0762]',
	0x0763 : 'Unassigned [0x0763]',
	0x0764 : 'Unassigned [0x0764]',
	0x0765 : 'Unassigned [0x0765]',
	0x0766 : 'Unassigned [0x0766]',
	0x0767 : 'Unassigned [0x0767]',
	0x0768 : 'Unassigned [0x0768]',
	0x0769 : 'Unassigned [0x0769]',
	0x076A : 'Unassigned [0x076A]',
	0x076B : 'Unassigned [0x076B]',
	0x076C : 'Unassigned [0x076C]',
	0x076D : 'Unassigned [0x076D]',
	0x076E : 'Unassigned [0x076E]',
	0x076F : 'Unassigned [0x076F]',
	0x0770 : 'Unassigned [0x0770]',
	0x0771 : 'Unassigned [0x0771]',
	0x0772 : 'Unassigned [0x0772]',
	0x0773 : 'Unassigned [0x0773]',
	0x0774 : 'Unassigned [0x0774]',
	0x0775 : 'Unassigned [0x0775]',
	0x0776 : 'Unassigned [0x0776]',
	0x0777 : 'Unassigned [0x0777]',
	0x0778 : 'Unassigned [0x0778]',
	0x0779 : 'Unassigned [0x0779]',
	0x077A : 'Unassigned [0x077A]',
	0x077B : 'Unassigned [0x077B]',
	0x077C : 'Unassigned [0x077C]',
	0x077D : 'Unassigned [0x077D]',
	0x077E : 'Unassigned [0x077E]',
	0x077F : 'Unassigned [0x077F]',
	0x0780 : 'Unassigned [0x0780]',
	0x0781 : 'Unassigned [0x0781]',
	0x0782 : 'Unassigned [0x0782]',
	0x0783 : 'Unassigned [0x0783]',
	0x0784 : 'Unassigned [0x0784]',
	0x0785 : 'Unassigned [0x0785]',
	0x0786 : 'Unassigned [0x0786]',
	0x0787 : 'Unassigned [0x0787]',
	0x0788 : 'Unassigned [0x0788]',
	0x0789 : 'Unassigned [0x0789]',
	0x078A : 'Unassigned [0x078A]',
	0x078B : 'Unassigned [0x078B]',
	0x078C : 'Unassigned [0x078C]',
	0x078D : 'Unassigned [0x078D]',
	0x078E : 'Unassigned [0x078E]',
	0x078F : 'Unassigned [0x078F]',
	0x0790 : 'Unassigned [0x0790]',
	0x0791 : 'Unassigned [0x0791]',
	0x0792 : 'Unassigned [0x0792]',
	0x0793 : 'Unassigned [0x0793]',
	0x0794 : 'Unassigned [0x0794]',
	0x0795 : 'Unassigned [0x0795]',
	0x0796 : 'Unassigned [0x0796]',
	0x0797 : 'Unassigned [0x0797]',
	0x0798 : 'Unassigned [0x0798]',
	0x0799 : 'Unassigned [0x0799]',
	0x079A : 'Unassigned [0x079A]',
	0x079B : 'Unassigned [0x079B]',
	0x079C : 'Unassigned [0x079C]',
	0x079D : 'Unassigned [0x079D]',
	0x079E : 'Unassigned [0x079E]',
	0x079F : 'Unassigned [0x079F]',
	0x07A0 : 'Unassigned [0x07A0]',
	0x07A1 : 'Unassigned [0x07A1]',
	0x07A2 : 'Unassigned [0x07A2]',
	0x07A3 : 'Unassigned [0x07A3]',
	0x07A4 : 'Unassigned [0x07A4]',
	0x07A5 : 'Unassigned [0x07A5]',
	0x07A6 : 'Unassigned [0x07A6]',
	0x07A7 : 'Unassigned [0x07A7]',
	0x07A8 : 'Unassigned [0x07A8]',
	0x07A9 : 'Unassigned [0x07A9]',
	0x07AA : 'Unassigned [0x07AA]',
	0x07AB : 'Unassigned [0x07AB]',
	0x07AC : 'Unassigned [0x07AC]',
	0x07AD : 'Unassigned [0x07AD]',
	0x07AE : 'Unassigned [0x07AE]',
	0x07AF : 'Unassigned [0x07AF]',
	0x07B0 : 'Unassigned [0x07B0]',
	0x07B1 : 'Unassigned [0x07B1]',
	0x07B2 : 'Unassigned [0x07B2]',
	0x07B3 : 'Unassigned [0x07B3]',
	0x07B4 : 'Unassigned [0x07B4]',
	0x07B5 : 'Unassigned [0x07B5]',
	0x07B6 : 'Unassigned [0x07B6]',
	0x07B7 : 'Unassigned [0x07B7]',
	0x07B8 : 'Unassigned [0x07B8]',
	0x07B9 : 'Unassigned [0x07B9]',
	0x07BA : 'Unassigned [0x07BA]',
	0x07BB : 'Unassigned [0x07BB]',
	0x07BC : 'Unassigned [0x07BC]',
	0x07BD : 'Unassigned [0x07BD]',
	0x07BE : 'Unassigned [0x07BE]',
	0x07BF : 'Unassigned [0x07BF]',
	0x07C0 : 'Unassigned [0x07C0]',
	0x07C1 : 'Unassigned [0x07C1]',
	0x07C2 : 'Unassigned [0x07C2]',
	0x07C3 : 'Unassigned [0x07C3]',
	0x07C4 : 'Unassigned [0x07C4]',
	0x07C5 : 'Unassigned [0x07C5]',
	0x07C6 : 'Unassigned [0x07C6]',
	0x07C7 : 'Unassigned [0x07C7]',
	0x07C8 : 'Unassigned [0x07C8]',
	0x07C9 : 'Unassigned [0x07C9]',
	0x07CA : 'Unassigned [0x07CA]',
	0x07CB : 'Unassigned [0x07CB]',
	0x07CC : 'Unassigned [0x07CC]',
	0x07CD : 'Unassigned [0x07CD]',
	0x07CE : 'Unassigned [0x07CE]',
	0x07CF : 'Unassigned [0x07CF]',
	0x07D0 : 'Unassigned [0x07D0]',
	0x07D1 : 'Unassigned [0x07D1]',
	0x07D2 : 'Unassigned [0x07D2]',
	0x07D3 : 'Unassigned [0x07D3]',
	0x07D4 : 'Unassigned [0x07D4]',
	0x07D5 : 'Unassigned [0x07D5]',
	0x07D6 : 'Unassigned [0x07D6]',
	0x07D7 : 'Unassigned [0x07D7]',
	0x07D8 : 'Unassigned [0x07D8]',
	0x07D9 : 'Unassigned [0x07D9]',
	0x07DA : 'Unassigned [0x07DA]',
	0x07DB : 'Unassigned [0x07DB]',
	0x07DC : 'Unassigned [0x07DC]',
	0x07DD : 'Unassigned [0x07DD]',
	0x07DE : 'Unassigned [0x07DE]',
	0x07DF : 'Unassigned [0x07DF]',
	0x07E0 : 'Unassigned [0x07E0]',
	0x07E1 : 'Unassigned [0x07E1]',
	0x07E2 : 'Unassigned [0x07E2]',
	0x07E3 : 'Unassigned [0x07E3]',
	0x07E4 : 'Unassigned [0x07E4]',
	0x07E5 : 'Unassigned [0x07E5]',
	0x07E6 : 'Unassigned [0x07E6]',
	0x07E7 : 'Unassigned [0x07E7]',
	0x07E8 : 'Unassigned [0x07E8]',
	0x07E9 : 'Unassigned [0x07E9]',
	0x07EA : 'Unassigned [0x07EA]',
	0x07EB : 'Unassigned [0x07EB]',
	0x07EC : 'Unassigned [0x07EC]',
	0x07ED : 'Unassigned [0x07ED]',
	0x07EE : 'Unassigned [0x07EE]',
	0x07EF : 'Unassigned [0x07EF]',
	0x07F0 : 'Unassigned [0x07F0]',
	0x07F1 : 'Unassigned [0x07F1]',
	0x07F2 : 'Unassigned [0x07F2]',
	0x07F3 : 'Unassigned [0x07F3]',
	0x07F4 : 'Unassigned [0x07F4]',
	0x07F5 : 'Unassigned [0x07F5]',
	0x07F6 : 'Unassigned [0x07F6]',
	0x07F7 : 'Unassigned [0x07F7]',
	0x07F8 : 'Unassigned [0x07F8]',
	0x07F9 : 'Unassigned [0x07F9]',
	0x07FA : 'Unassigned [0x07FA]',
	0x07FB : 'Unassigned [0x07FB]',
	0x07FC : 'Unassigned [0x07FC]',
	0x07FD : 'Unassigned [0x07FD]',
	0x07FE : 'Unassigned [0x07FE]',
	0x07FF : 'Unassigned [0x07FF]',
	0x0800 : 'Unassigned [0x0800]',
	0x0801 : 'Unassigned [0x0801]',
	0x0802 : 'Unassigned [0x0802]',
	0x0803 : 'Unassigned [0x0803]',
	0x0804 : 'Unassigned [0x0804]',
	0x0805 : 'Unassigned [0x0805]',
	0x0806 : 'Unassigned [0x0806]',
	0x0807 : 'Unassigned [0x0807]',
	0x0808 : 'Unassigned [0x0808]',
	0x0809 : 'Unassigned [0x0809]',
	0x080A : 'Unassigned [0x080A]',
	0x080B : 'Unassigned [0x080B]',
	0x080C : 'Unassigned [0x080C]',
	0x080D : 'Unassigned [0x080D]',
	0x080E : 'Unassigned [0x080E]',
	0x080F : 'Unassigned [0x080F]',
	0x0810 : 'Unassigned [0x0810]',
	0x0811 : 'Unassigned [0x0811]',
	0x0812 : 'Unassigned [0x0812]',
	0x0813 : 'Unassigned [0x0813]',
	0x0814 : 'Unassigned [0x0814]',
	0x0815 : 'Unassigned [0x0815]',
	0x0816 : 'Unassigned [0x0816]',
	0x0817 : 'Unassigned [0x0817]',
	0x0818 : 'Unassigned [0x0818]',
	0x0819 : 'Unassigned [0x0819]',
	0x081A : 'Unassigned [0x081A]',
	0x081B : 'Unassigned [0x081B]',
	0x081C : 'Unassigned [0x081C]',
	0x081D : 'Unassigned [0x081D]',
	0x081E : 'Unassigned [0x081E]',
	0x081F : 'Unassigned [0x081F]',
	0x0820 : 'Unassigned [0x0820]',
	0x0821 : 'Unassigned [0x0821]',
	0x0822 : 'Unassigned [0x0822]',
	0x0823 : 'Unassigned [0x0823]',
	0x0824 : 'Unassigned [0x0824]',
	0x0825 : 'Unassigned [0x0825]',
	0x0826 : 'Unassigned [0x0826]',
	0x0827 : 'Unassigned [0x0827]',
	0x0828 : 'Unassigned [0x0828]',
	0x0829 : 'Unassigned [0x0829]',
	0x082A : 'Unassigned [0x082A]',
	0x082B : 'Unassigned [0x082B]',
	0x082C : 'Unassigned [0x082C]',
	0x082D : 'Unassigned [0x082D]',
	0x082E : 'Unassigned [0x082E]',
	0x082F : 'Unassigned [0x082F]',
	0x0830 : 'Unassigned [0x0830]',
	0x0831 : 'Unassigned [0x0831]',
	0x0832 : 'Unassigned [0x0832]',
	0x0833 : 'Unassigned [0x0833]',
	0x0834 : 'Unassigned [0x0834]',
	0x0835 : 'Unassigned [0x0835]',
	0x0836 : 'Unassigned [0x0836]',
	0x0837 : 'Unassigned [0x0837]',
	0x0838 : 'Unassigned [0x0838]',
	0x0839 : 'Unassigned [0x0839]',
	0x083A : 'Unassigned [0x083A]',
	0x083B : 'Unassigned [0x083B]',
	0x083C : 'Unassigned [0x083C]',
	0x083D : 'Unassigned [0x083D]',
	0x083E : 'Unassigned [0x083E]',
	0x083F : 'Unassigned [0x083F]',
	0x0840 : 'Unassigned [0x0840]',
	0x0841 : 'Unassigned [0x0841]',
	0x0842 : 'Unassigned [0x0842]',
	0x0843 : 'Unassigned [0x0843]',
	0x0844 : 'Unassigned [0x0844]',
	0x0845 : 'Unassigned [0x0845]',
	0x0846 : 'Unassigned [0x0846]',
	0x0847 : 'Unassigned [0x0847]',
	0x0848 : 'Unassigned [0x0848]',
	0x0849 : 'Unassigned [0x0849]',
	0x084A : 'Unassigned [0x084A]',
	0x084B : 'Unassigned [0x084B]',
	0x084C : 'Unassigned [0x084C]',
	0x084D : 'Unassigned [0x084D]',
	0x084E : 'Unassigned [0x084E]',
	0x084F : 'Unassigned [0x084F]',
	0x0850 : 'Unassigned [0x0850]',
	0x0851 : 'Unassigned [0x0851]',
	0x0852 : 'Unassigned [0x0852]',
	0x0853 : 'Unassigned [0x0853]',
	0x0854 : 'Unassigned [0x0854]',
	0x0855 : 'Unassigned [0x0855]',
	0x0856 : 'Unassigned [0x0856]',
	0x0857 : 'Unassigned [0x0857]',
	0x0858 : 'Unassigned [0x0858]',
	0x0859 : 'Unassigned [0x0859]',
	0x085A : 'Unassigned [0x085A]',
	0x085B : 'Unassigned [0x085B]',
	0x085C : 'Unassigned [0x085C]',
	0x085D : 'Unassigned [0x085D]',
	0x085E : 'Unassigned [0x085E]',
	0x085F : 'Unassigned [0x085F]',
	0x0860 : 'Unassigned [0x0860]',
	0x0861 : 'Unassigned [0x0861]',
	0x0862 : 'Unassigned [0x0862]',
	0x0863 : 'Unassigned [0x0863]',
	0x0864 : 'Unassigned [0x0864]',
	0x0865 : 'Unassigned [0x0865]',
	0x0866 : 'Unassigned [0x0866]',
	0x0867 : 'Unassigned [0x0867]',
	0x0868 : 'Unassigned [0x0868]',
	0x0869 : 'Unassigned [0x0869]',
	0x086A : 'Unassigned [0x086A]',
	0x086B : 'Unassigned [0x086B]',
	0x086C : 'Unassigned [0x086C]',
	0x086D : 'Unassigned [0x086D]',
	0x086E : 'Unassigned [0x086E]',
	0x086F : 'Unassigned [0x086F]',
	0x0870 : 'Unassigned [0x0870]',
	0x0871 : 'Unassigned [0x0871]',
	0x0872 : 'Unassigned [0x0872]',
	0x0873 : 'Unassigned [0x0873]',
	0x0874 : 'Unassigned [0x0874]',
	0x0875 : 'Unassigned [0x0875]',
	0x0876 : 'Unassigned [0x0876]',
	0x0877 : 'Unassigned [0x0877]',
	0x0878 : 'Unassigned [0x0878]',
	0x0879 : 'Unassigned [0x0879]',
	0x087A : 'Unassigned [0x087A]',
	0x087B : 'Unassigned [0x087B]',
	0x087C : 'Unassigned [0x087C]',
	0x087D : 'Unassigned [0x087D]',
	0x087E : 'Unassigned [0x087E]',
	0x087F : 'Unassigned [0x087F]',
	0x0880 : 'Unassigned [0x0880]',
	0x0881 : 'Unassigned [0x0881]',
	0x0882 : 'Unassigned [0x0882]',
	0x0883 : 'Unassigned [0x0883]',
	0x0884 : 'Unassigned [0x0884]',
	0x0885 : 'Unassigned [0x0885]',
	0x0886 : 'Unassigned [0x0886]',
	0x0887 : 'Unassigned [0x0887]',
	0x0888 : 'Unassigned [0x0888]',
	0x0889 : 'Unassigned [0x0889]',
	0x088A : 'Unassigned [0x088A]',
	0x088B : 'Unassigned [0x088B]',
	0x088C : 'Unassigned [0x088C]',
	0x088D : 'Unassigned [0x088D]',
	0x088E : 'Unassigned [0x088E]',
	0x088F : 'Unassigned [0x088F]',
	0x0890 : 'Unassigned [0x0890]',
	0x0891 : 'Unassigned [0x0891]',
	0x0892 : 'Unassigned [0x0892]',
	0x0893 : 'Unassigned [0x0893]',
	0x0894 : 'Unassigned [0x0894]',
	0x0895 : 'Unassigned [0x0895]',
	0x0896 : 'Unassigned [0x0896]',
	0x0897 : 'Unassigned [0x0897]',
	0x0898 : 'Unassigned [0x0898]',
	0x0899 : 'Unassigned [0x0899]',
	0x089A : 'Unassigned [0x089A]',
	0x089B : 'Unassigned [0x089B]',
	0x089C : 'Unassigned [0x089C]',
	0x089D : 'Unassigned [0x089D]',
	0x089E : 'Unassigned [0x089E]',
	0x089F : 'Unassigned [0x089F]',
	0x08A0 : 'Unassigned [0x08A0]',
	0x08A1 : 'Unassigned [0x08A1]',
	0x08A2 : 'Unassigned [0x08A2]',
	0x08A3 : 'Unassigned [0x08A3]',
	0x08A4 : 'Unassigned [0x08A4]',
	0x08A5 : 'Unassigned [0x08A5]',
	0x08A6 : 'Unassigned [0x08A6]',
	0x08A7 : 'Unassigned [0x08A7]',
	0x08A8 : 'Unassigned [0x08A8]',
	0x08A9 : 'Unassigned [0x08A9]',
	0x08AA : 'Unassigned [0x08AA]',
	0x08AB : 'Unassigned [0x08AB]',
	0x08AC : 'Unassigned [0x08AC]',
	0x08AD : 'Unassigned [0x08AD]',
	0x08AE : 'Unassigned [0x08AE]',
	0x08AF : 'Unassigned [0x08AF]',
	0x08B0 : 'Unassigned [0x08B0]',
	0x08B1 : 'Unassigned [0x08B1]',
	0x08B2 : 'Unassigned [0x08B2]',
	0x08B3 : 'Unassigned [0x08B3]',
	0x08B4 : 'Unassigned [0x08B4]',
	0x08B5 : 'Unassigned [0x08B5]',
	0x08B6 : 'Unassigned [0x08B6]',
	0x08B7 : 'Unassigned [0x08B7]',
	0x08B8 : 'Unassigned [0x08B8]',
	0x08B9 : 'Unassigned [0x08B9]',
	0x08BA : 'Unassigned [0x08BA]',
	0x08BB : 'Unassigned [0x08BB]',
	0x08BC : 'Unassigned [0x08BC]',
	0x08BD : 'Unassigned [0x08BD]',
	0x08BE : 'Unassigned [0x08BE]',
	0x08BF : 'Unassigned [0x08BF]',
	0x08C0 : 'Unassigned [0x08C0]',
	0x08C1 : 'Unassigned [0x08C1]',
	0x08C2 : 'Unassigned [0x08C2]',
	0x08C3 : 'Unassigned [0x08C3]',
	0x08C4 : 'Unassigned [0x08C4]',
	0x08C5 : 'Unassigned [0x08C5]',
	0x08C6 : 'Unassigned [0x08C6]',
	0x08C7 : 'Unassigned [0x08C7]',
	0x08C8 : 'Unassigned [0x08C8]',
	0x08C9 : 'Unassigned [0x08C9]',
	0x08CA : 'Unassigned [0x08CA]',
	0x08CB : 'Unassigned [0x08CB]',
	0x08CC : 'Unassigned [0x08CC]',
	0x08CD : 'Unassigned [0x08CD]',
	0x08CE : 'Unassigned [0x08CE]',
	0x08CF : 'Unassigned [0x08CF]',
	0x08D0 : 'Unassigned [0x08D0]',
	0x08D1 : 'Unassigned [0x08D1]',
	0x08D2 : 'Unassigned [0x08D2]',
	0x08D3 : 'Unassigned [0x08D3]',
	0x08D4 : 'Unassigned [0x08D4]',
	0x08D5 : 'Unassigned [0x08D5]',
	0x08D6 : 'Unassigned [0x08D6]',
	0x08D7 : 'Unassigned [0x08D7]',
	0x08D8 : 'Unassigned [0x08D8]',
	0x08D9 : 'Unassigned [0x08D9]',
	0x08DA : 'Unassigned [0x08DA]',
	0x08DB : 'Unassigned [0x08DB]',
	0x08DC : 'Unassigned [0x08DC]',
	0x08DD : 'Unassigned [0x08DD]',
	0x08DE : 'Unassigned [0x08DE]',
	0x08DF : 'Unassigned [0x08DF]',
	0x08E0 : 'Unassigned [0x08E0]',
	0x08E1 : 'Unassigned [0x08E1]',
	0x08E2 : 'Unassigned [0x08E2]',
	0x08E3 : 'Unassigned [0x08E3]',
	0x08E4 : 'Unassigned [0x08E4]',
	0x08E5 : 'Unassigned [0x08E5]',
	0x08E6 : 'Unassigned [0x08E6]',
	0x08E7 : 'Unassigned [0x08E7]',
	0x08E8 : 'Unassigned [0x08E8]',
	0x08E9 : 'Unassigned [0x08E9]',
	0x08EA : 'Unassigned [0x08EA]',
	0x08EB : 'Unassigned [0x08EB]',
	0x08EC : 'Unassigned [0x08EC]',
	0x08ED : 'Unassigned [0x08ED]',
	0x08EE : 'Unassigned [0x08EE]',
	0x08EF : 'Unassigned [0x08EF]',
	0x08F0 : 'Unassigned [0x08F0]',
	0x08F1 : 'Unassigned [0x08F1]',
	0x08F2 : 'Unassigned [0x08F2]',
	0x08F3 : 'Unassigned [0x08F3]',
	0x08F4 : 'Unassigned [0x08F4]',
	0x08F5 : 'Unassigned [0x08F5]',
	0x08F6 : 'Unassigned [0x08F6]',
	0x08F7 : 'Unassigned [0x08F7]',
	0x08F8 : 'Unassigned [0x08F8]',
	0x08F9 : 'Unassigned [0x08F9]',
	0x08FA : 'Unassigned [0x08FA]',
	0x08FB : 'Unassigned [0x08FB]',
	0x08FC : 'Unassigned [0x08FC]',
	0x08FD : 'Unassigned [0x08FD]',
	0x08FE : 'Unassigned [0x08FE]',
	0x08FF : 'Unassigned [0x08FF]',
	0x0900 : 'Unassigned [0x0900]',
	0x0901 : 'Unassigned [0x0901]',
	0x0902 : 'Unassigned [0x0902]',
	0x0903 : 'Unassigned [0x0903]',
	0x0904 : 'Unassigned [0x0904]',
	0x0905 : 'Unassigned [0x0905]',
	0x0906 : 'Unassigned [0x0906]',
	0x0907 : 'Unassigned [0x0907]',
	0x0908 : 'Unassigned [0x0908]',
	0x0909 : 'Unassigned [0x0909]',
	0x090A : 'Unassigned [0x090A]',
	0x090B : 'Unassigned [0x090B]',
	0x090C : 'Unassigned [0x090C]',
	0x090D : 'Unassigned [0x090D]',
	0x090E : 'Unassigned [0x090E]',
	0x090F : 'Unassigned [0x090F]',
	0x0910 : 'Unassigned [0x0910]',
	0x0911 : 'Unassigned [0x0911]',
	0x0912 : 'Unassigned [0x0912]',
	0x0913 : 'Unassigned [0x0913]',
	0x0914 : 'Unassigned [0x0914]',
	0x0915 : 'Unassigned [0x0915]',
	0x0916 : 'Unassigned [0x0916]',
	0x0917 : 'Unassigned [0x0917]',
	0x0918 : 'Unassigned [0x0918]',
	0x0919 : 'Unassigned [0x0919]',
	0x091A : 'Unassigned [0x091A]',
	0x091B : 'Unassigned [0x091B]',
	0x091C : 'Unassigned [0x091C]',
	0x091D : 'Unassigned [0x091D]',
	0x091E : 'Unassigned [0x091E]',
	0x091F : 'Unassigned [0x091F]',
	0x0920 : 'Unassigned [0x0920]',
	0x0921 : 'Unassigned [0x0921]',
	0x0922 : 'Unassigned [0x0922]',
	0x0923 : 'Unassigned [0x0923]',
	0x0924 : 'Unassigned [0x0924]',
	0x0925 : 'Unassigned [0x0925]',
	0x0926 : 'Unassigned [0x0926]',
	0x0927 : 'Unassigned [0x0927]',
	0x0928 : 'Unassigned [0x0928]',
	0x0929 : 'Unassigned [0x0929]',
	0x092A : 'Unassigned [0x092A]',
	0x092B : 'Unassigned [0x092B]',
	0x092C : 'Unassigned [0x092C]',
	0x092D : 'Unassigned [0x092D]',
	0x092E : 'Unassigned [0x092E]',
	0x092F : 'Unassigned [0x092F]',
	0x0930 : 'Unassigned [0x0930]',
	0x0931 : 'Unassigned [0x0931]',
	0x0932 : 'Unassigned [0x0932]',
	0x0933 : 'Unassigned [0x0933]',
	0x0934 : 'Unassigned [0x0934]',
	0x0935 : 'Unassigned [0x0935]',
	0x0936 : 'Unassigned [0x0936]',
	0x0937 : 'Unassigned [0x0937]',
	0x0938 : 'Unassigned [0x0938]',
	0x0939 : 'Unassigned [0x0939]',
	0x093A : 'Unassigned [0x093A]',
	0x093B : 'Unassigned [0x093B]',
	0x093C : 'Unassigned [0x093C]',
	0x093D : 'Unassigned [0x093D]',
	0x093E : 'Unassigned [0x093E]',
	0x093F : 'Unassigned [0x093F]',
	0x0940 : 'Unassigned [0x0940]',
	0x0941 : 'Unassigned [0x0941]',
	0x0942 : 'Unassigned [0x0942]',
	0x0943 : 'Unassigned [0x0943]',
	0x0944 : 'Unassigned [0x0944]',
	0x0945 : 'Unassigned [0x0945]',
	0x0946 : 'Unassigned [0x0946]',
	0x0947 : 'Unassigned [0x0947]',
	0x0948 : 'Unassigned [0x0948]',
	0x0949 : 'Unassigned [0x0949]',
	0x094A : 'Unassigned [0x094A]',
	0x094B : 'Unassigned [0x094B]',
	0x094C : 'Unassigned [0x094C]',
	0x094D : 'Unassigned [0x094D]',
	0x094E : 'Unassigned [0x094E]',
	0x094F : 'Unassigned [0x094F]',
	0x0950 : 'Unassigned [0x0950]',
	0x0951 : 'Unassigned [0x0951]',
	0x0952 : 'Unassigned [0x0952]',
	0x0953 : 'Unassigned [0x0953]',
	0x0954 : 'Unassigned [0x0954]',
	0x0955 : 'Unassigned [0x0955]',
	0x0956 : 'Unassigned [0x0956]',
	0x0957 : 'Unassigned [0x0957]',
	0x0958 : 'Unassigned [0x0958]',
	0x0959 : 'Unassigned [0x0959]',
	0x095A : 'Unassigned [0x095A]',
	0x095B : 'Unassigned [0x095B]',
	0x095C : 'Unassigned [0x095C]',
	0x095D : 'Unassigned [0x095D]',
	0x095E : 'Unassigned [0x095E]',
	0x095F : 'Unassigned [0x095F]',
	0x0960 : 'Unassigned [0x0960]',
	0x0961 : 'Unassigned [0x0961]',
	0x0962 : 'Unassigned [0x0962]',
	0x0963 : 'Unassigned [0x0963]',
	0x0964 : 'Unassigned [0x0964]',
	0x0965 : 'Unassigned [0x0965]',
	0x0966 : 'Unassigned [0x0966]',
	0x0967 : 'Unassigned [0x0967]',
	0x0968 : 'Unassigned [0x0968]',
	0x0969 : 'Unassigned [0x0969]',
	0x096A : 'Unassigned [0x096A]',
	0x096B : 'Unassigned [0x096B]',
	0x096C : 'Unassigned [0x096C]',
	0x096D : 'Unassigned [0x096D]',
	0x096E : 'Unassigned [0x096E]',
	0x096F : 'Unassigned [0x096F]',
	0x0970 : 'Unassigned [0x0970]',
	0x0971 : 'Unassigned [0x0971]',
	0x0972 : 'Unassigned [0x0972]',
	0x0973 : 'Unassigned [0x0973]',
	0x0974 : 'Unassigned [0x0974]',
	0x0975 : 'Unassigned [0x0975]',
	0x0976 : 'Unassigned [0x0976]',
	0x0977 : 'Unassigned [0x0977]',
	0x0978 : 'Unassigned [0x0978]',
	0x0979 : 'Unassigned [0x0979]',
	0x097A : 'Unassigned [0x097A]',
	0x097B : 'Unassigned [0x097B]',
	0x097C : 'Unassigned [0x097C]',
	0x097D : 'Unassigned [0x097D]',
	0x097E : 'Unassigned [0x097E]',
	0x097F : 'Unassigned [0x097F]',
	0x0980 : 'Unassigned [0x0980]',
	0x0981 : 'Unassigned [0x0981]',
	0x0982 : 'Unassigned [0x0982]',
	0x0983 : 'Unassigned [0x0983]',
	0x0984 : 'Unassigned [0x0984]',
	0x0985 : 'Unassigned [0x0985]',
	0x0986 : 'Unassigned [0x0986]',
	0x0987 : 'Unassigned [0x0987]',
	0x0988 : 'Unassigned [0x0988]',
	0x0989 : 'Unassigned [0x0989]',
	0x098A : 'Unassigned [0x098A]',
	0x098B : 'Unassigned [0x098B]',
	0x098C : 'Unassigned [0x098C]',
	0x098D : 'Unassigned [0x098D]',
	0x098E : 'Unassigned [0x098E]',
	0x098F : 'Unassigned [0x098F]',
	0x0990 : 'Unassigned [0x0990]',
	0x0991 : 'Unassigned [0x0991]',
	0x0992 : 'Unassigned [0x0992]',
	0x0993 : 'Unassigned [0x0993]',
	0x0994 : 'Unassigned [0x0994]',
	0x0995 : 'Unassigned [0x0995]',
	0x0996 : 'Unassigned [0x0996]',
	0x0997 : 'Unassigned [0x0997]',
	0x0998 : 'Unassigned [0x0998]',
	0x0999 : 'Unassigned [0x0999]',
	0x099A : 'Unassigned [0x099A]',
	0x099B : 'Unassigned [0x099B]',
	0x099C : 'Unassigned [0x099C]',
	0x099D : 'Unassigned [0x099D]',
	0x099E : 'Unassigned [0x099E]',
	0x099F : 'Unassigned [0x099F]',
	0x09A0 : 'Unassigned [0x09A0]',
	0x09A1 : 'Unassigned [0x09A1]',
	0x09A2 : 'Unassigned [0x09A2]',
	0x09A3 : 'Unassigned [0x09A3]',
	0x09A4 : 'Unassigned [0x09A4]',
	0x09A5 : 'Unassigned [0x09A5]',
	0x09A6 : 'Unassigned [0x09A6]',
	0x09A7 : 'Unassigned [0x09A7]',
	0x09A8 : 'Unassigned [0x09A8]',
	0x09A9 : 'Unassigned [0x09A9]',
	0x09AA : 'Unassigned [0x09AA]',
	0x09AB : 'Unassigned [0x09AB]',
	0x09AC : 'Unassigned [0x09AC]',
	0x09AD : 'Unassigned [0x09AD]',
	0x09AE : 'Unassigned [0x09AE]',
	0x09AF : 'Unassigned [0x09AF]',
	0x09B0 : 'Unassigned [0x09B0]',
	0x09B1 : 'Unassigned [0x09B1]',
	0x09B2 : 'Unassigned [0x09B2]',
	0x09B3 : 'Unassigned [0x09B3]',
	0x09B4 : 'Unassigned [0x09B4]',
	0x09B5 : 'Unassigned [0x09B5]',
	0x09B6 : 'Unassigned [0x09B6]',
	0x09B7 : 'Unassigned [0x09B7]',
	0x09B8 : 'Unassigned [0x09B8]',
	0x09B9 : 'Unassigned [0x09B9]',
	0x09BA : 'Unassigned [0x09BA]',
	0x09BB : 'Unassigned [0x09BB]',
	0x09BC : 'Unassigned [0x09BC]',
	0x09BD : 'Unassigned [0x09BD]',
	0x09BE : 'Unassigned [0x09BE]',
	0x09BF : 'Unassigned [0x09BF]',
	0x09C0 : 'Unassigned [0x09C0]',
	0x09C1 : 'Unassigned [0x09C1]',
	0x09C2 : 'Unassigned [0x09C2]',
	0x09C3 : 'Unassigned [0x09C3]',
	0x09C4 : 'Unassigned [0x09C4]',
	0x09C5 : 'Unassigned [0x09C5]',
	0x09C6 : 'Unassigned [0x09C6]',
	0x09C7 : 'Unassigned [0x09C7]',
	0x09C8 : 'Unassigned [0x09C8]',
	0x09C9 : 'Unassigned [0x09C9]',
	0x09CA : 'Unassigned [0x09CA]',
	0x09CB : 'Unassigned [0x09CB]',
	0x09CC : 'Unassigned [0x09CC]',
	0x09CD : 'Unassigned [0x09CD]',
	0x09CE : 'Unassigned [0x09CE]',
	0x09CF : 'Unassigned [0x09CF]',
	0x09D0 : 'Unassigned [0x09D0]',
	0x09D1 : 'Unassigned [0x09D1]',
	0x09D2 : 'Unassigned [0x09D2]',
	0x09D3 : 'Unassigned [0x09D3]',
	0x09D4 : 'Unassigned [0x09D4]',
	0x09D5 : 'Unassigned [0x09D5]',
	0x09D6 : 'Unassigned [0x09D6]',
	0x09D7 : 'Unassigned [0x09D7]',
	0x09D8 : 'Unassigned [0x09D8]',
	0x09D9 : 'Unassigned [0x09D9]',
	0x09DA : 'Unassigned [0x09DA]',
	0x09DB : 'Unassigned [0x09DB]',
	0x09DC : 'Unassigned [0x09DC]',
	0x09DD : 'Unassigned [0x09DD]',
	0x09DE : 'Unassigned [0x09DE]',
	0x09DF : 'Unassigned [0x09DF]',
	0x09E0 : 'Unassigned [0x09E0]',
	0x09E1 : 'Unassigned [0x09E1]',
	0x09E2 : 'Unassigned [0x09E2]',
	0x09E3 : 'Unassigned [0x09E3]',
	0x09E4 : 'Unassigned [0x09E4]',
	0x09E5 : 'Unassigned [0x09E5]',
	0x09E6 : 'Unassigned [0x09E6]',
	0x09E7 : 'Unassigned [0x09E7]',
	0x09E8 : 'Unassigned [0x09E8]',
	0x09E9 : 'Unassigned [0x09E9]',
	0x09EA : 'Unassigned [0x09EA]',
	0x09EB : 'Unassigned [0x09EB]',
	0x09EC : 'Unassigned [0x09EC]',
	0x09ED : 'Unassigned [0x09ED]',
	0x09EE : 'Unassigned [0x09EE]',
	0x09EF : 'Unassigned [0x09EF]',
	0x09F0 : 'Unassigned [0x09F0]',
	0x09F1 : 'Unassigned [0x09F1]',
	0x09F2 : 'Unassigned [0x09F2]',
	0x09F3 : 'Unassigned [0x09F3]',
	0x09F4 : 'Unassigned [0x09F4]',
	0x09F5 : 'Unassigned [0x09F5]',
	0x09F6 : 'Unassigned [0x09F6]',
	0x09F7 : 'Unassigned [0x09F7]',
	0x09F8 : 'Unassigned [0x09F8]',
	0x09F9 : 'Unassigned [0x09F9]',
	0x09FA : 'Unassigned [0x09FA]',
	0x09FB : 'Unassigned [0x09FB]',
	0x09FC : 'Unassigned [0x09FC]',
	0x09FD : 'Unassigned [0x09FD]',
	0x09FE : 'Unassigned [0x09FE]',
	0x09FF : 'Unassigned [0x09FF]',
	0x0A00 : 'Unassigned [0x0A00]',
	0x0A01 : 'Unassigned [0x0A01]',
	0x0A02 : 'Unassigned [0x0A02]',
	0x0A03 : 'Unassigned [0x0A03]',
	0x0A04 : 'Unassigned [0x0A04]',
	0x0A05 : 'Unassigned [0x0A05]',
	0x0A06 : 'Unassigned [0x0A06]',
	0x0A07 : 'Unassigned [0x0A07]',
	0x0A08 : 'Unassigned [0x0A08]',
	0x0A09 : 'Unassigned [0x0A09]',
	0x0A0A : 'Unassigned [0x0A0A]',
	0x0A0B : 'Unassigned [0x0A0B]',
	0x0A0C : 'Unassigned [0x0A0C]',
	0x0A0D : 'Unassigned [0x0A0D]',
	0x0A0E : 'Unassigned [0x0A0E]',
	0x0A0F : 'Unassigned [0x0A0F]',
	0x0A10 : 'Unassigned [0x0A10]',
	0x0A11 : 'Unassigned [0x0A11]',
	0x0A12 : 'Unassigned [0x0A12]',
	0x0A13 : 'Unassigned [0x0A13]',
	0x0A14 : 'Unassigned [0x0A14]',
	0x0A15 : 'Unassigned [0x0A15]',
	0x0A16 : 'Unassigned [0x0A16]',
	0x0A17 : 'Unassigned [0x0A17]',
	0x0A18 : 'Unassigned [0x0A18]',
	0x0A19 : 'Unassigned [0x0A19]',
	0x0A1A : 'Unassigned [0x0A1A]',
	0x0A1B : 'Unassigned [0x0A1B]',
	0x0A1C : 'Unassigned [0x0A1C]',
	0x0A1D : 'Unassigned [0x0A1D]',
	0x0A1E : 'Unassigned [0x0A1E]',
	0x0A1F : 'Unassigned [0x0A1F]',
	0x0A20 : 'Unassigned [0x0A20]',
	0x0A21 : 'Unassigned [0x0A21]',
	0x0A22 : 'Unassigned [0x0A22]',
	0x0A23 : 'Unassigned [0x0A23]',
	0x0A24 : 'Unassigned [0x0A24]',
	0x0A25 : 'Unassigned [0x0A25]',
	0x0A26 : 'Unassigned [0x0A26]',
	0x0A27 : 'Unassigned [0x0A27]',
	0x0A28 : 'Unassigned [0x0A28]',
	0x0A29 : 'Unassigned [0x0A29]',
	0x0A2A : 'Unassigned [0x0A2A]',
	0x0A2B : 'Unassigned [0x0A2B]',
	0x0A2C : 'Unassigned [0x0A2C]',
	0x0A2D : 'Unassigned [0x0A2D]',
	0x0A2E : 'Unassigned [0x0A2E]',
	0x0A2F : 'Unassigned [0x0A2F]',
	0x0A30 : 'Unassigned [0x0A30]',
	0x0A31 : 'Unassigned [0x0A31]',
	0x0A32 : 'Unassigned [0x0A32]',
	0x0A33 : 'Unassigned [0x0A33]',
	0x0A34 : 'Unassigned [0x0A34]',
	0x0A35 : 'Unassigned [0x0A35]',
	0x0A36 : 'Unassigned [0x0A36]',
	0x0A37 : 'Unassigned [0x0A37]',
	0x0A38 : 'Unassigned [0x0A38]',
	0x0A39 : 'Unassigned [0x0A39]',
	0x0A3A : 'Unassigned [0x0A3A]',
	0x0A3B : 'Unassigned [0x0A3B]',
	0x0A3C : 'Unassigned [0x0A3C]',
	0x0A3D : 'Unassigned [0x0A3D]',
	0x0A3E : 'Unassigned [0x0A3E]',
	0x0A3F : 'Unassigned [0x0A3F]',
	0x0A40 : 'Unassigned [0x0A40]',
	0x0A41 : 'Unassigned [0x0A41]',
	0x0A42 : 'Unassigned [0x0A42]',
	0x0A43 : 'Unassigned [0x0A43]',
	0x0A44 : 'Unassigned [0x0A44]',
	0x0A45 : 'Unassigned [0x0A45]',
	0x0A46 : 'Unassigned [0x0A46]',
	0x0A47 : 'Unassigned [0x0A47]',
	0x0A48 : 'Unassigned [0x0A48]',
	0x0A49 : 'Unassigned [0x0A49]',
	0x0A4A : 'Unassigned [0x0A4A]',
	0x0A4B : 'Unassigned [0x0A4B]',
	0x0A4C : 'Unassigned [0x0A4C]',
	0x0A4D : 'Unassigned [0x0A4D]',
	0x0A4E : 'Unassigned [0x0A4E]',
	0x0A4F : 'Unassigned [0x0A4F]',
	0x0A50 : 'Unassigned [0x0A50]',
	0x0A51 : 'Unassigned [0x0A51]',
	0x0A52 : 'Unassigned [0x0A52]',
	0x0A53 : 'Unassigned [0x0A53]',
	0x0A54 : 'Unassigned [0x0A54]',
	0x0A55 : 'Unassigned [0x0A55]',
	0x0A56 : 'Unassigned [0x0A56]',
	0x0A57 : 'Unassigned [0x0A57]',
	0x0A58 : 'Unassigned [0x0A58]',
	0x0A59 : 'Unassigned [0x0A59]',
	0x0A5A : 'Unassigned [0x0A5A]',
	0x0A5B : 'Unassigned [0x0A5B]',
	0x0A5C : 'Unassigned [0x0A5C]',
	0x0A5D : 'Unassigned [0x0A5D]',
	0x0A5E : 'Unassigned [0x0A5E]',
	0x0A5F : 'Unassigned [0x0A5F]',
	0x0A60 : 'Unassigned [0x0A60]',
	0x0A61 : 'Unassigned [0x0A61]',
	0x0A62 : 'Unassigned [0x0A62]',
	0x0A63 : 'Unassigned [0x0A63]',
	0x0A64 : 'Unassigned [0x0A64]',
	0x0A65 : 'Unassigned [0x0A65]',
	0x0A66 : 'Unassigned [0x0A66]',
	0x0A67 : 'Unassigned [0x0A67]',
	0x0A68 : 'Unassigned [0x0A68]',
	0x0A69 : 'Unassigned [0x0A69]',
	0x0A6A : 'Unassigned [0x0A6A]',
	0x0A6B : 'Unassigned [0x0A6B]',
	0x0A6C : 'Unassigned [0x0A6C]',
	0x0A6D : 'Unassigned [0x0A6D]',
	0x0A6E : 'Unassigned [0x0A6E]',
	0x0A6F : 'Unassigned [0x0A6F]',
	0x0A70 : 'Unassigned [0x0A70]',
	0x0A71 : 'Unassigned [0x0A71]',
	0x0A72 : 'Unassigned [0x0A72]',
	0x0A73 : 'Unassigned [0x0A73]',
	0x0A74 : 'Unassigned [0x0A74]',
	0x0A75 : 'Unassigned [0x0A75]',
	0x0A76 : 'Unassigned [0x0A76]',
	0x0A77 : 'Unassigned [0x0A77]',
	0x0A78 : 'Unassigned [0x0A78]',
	0x0A79 : 'Unassigned [0x0A79]',
	0x0A7A : 'Unassigned [0x0A7A]',
	0x0A7B : 'Unassigned [0x0A7B]',
	0x0A7C : 'Unassigned [0x0A7C]',
	0x0A7D : 'Unassigned [0x0A7D]',
	0x0A7E : 'Unassigned [0x0A7E]',
	0x0A7F : 'Unassigned [0x0A7F]',
	0x0A80 : 'Unassigned [0x0A80]',
	0x0A81 : 'Unassigned [0x0A81]',
	0x0A82 : 'Unassigned [0x0A82]',
	0x0A83 : 'Unassigned [0x0A83]',
	0x0A84 : 'Unassigned [0x0A84]',
	0x0A85 : 'Unassigned [0x0A85]',
	0x0A86 : 'Unassigned [0x0A86]',
	0x0A87 : 'Unassigned [0x0A87]',
	0x0A88 : 'Unassigned [0x0A88]',
	0x0A89 : 'Unassigned [0x0A89]',
	0x0A8A : 'Unassigned [0x0A8A]',
	0x0A8B : 'Unassigned [0x0A8B]',
	0x0A8C : 'Unassigned [0x0A8C]',
	0x0A8D : 'Unassigned [0x0A8D]',
	0x0A8E : 'Unassigned [0x0A8E]',
	0x0A8F : 'Unassigned [0x0A8F]',
	0x0A90 : 'Unassigned [0x0A90]',
	0x0A91 : 'Unassigned [0x0A91]',
	0x0A92 : 'Unassigned [0x0A92]',
	0x0A93 : 'Unassigned [0x0A93]',
	0x0A94 : 'Unassigned [0x0A94]',
	0x0A95 : 'Unassigned [0x0A95]',
	0x0A96 : 'Unassigned [0x0A96]',
	0x0A97 : 'Unassigned [0x0A97]',
	0x0A98 : 'Unassigned [0x0A98]',
	0x0A99 : 'Unassigned [0x0A99]',
	0x0A9A : 'Unassigned [0x0A9A]',
	0x0A9B : 'Unassigned [0x0A9B]',
	0x0A9C : 'Unassigned [0x0A9C]',
	0x0A9D : 'Unassigned [0x0A9D]',
	0x0A9E : 'Unassigned [0x0A9E]',
	0x0A9F : 'Unassigned [0x0A9F]',
	0x0AA0 : 'Unassigned [0x0AA0]',
	0x0AA1 : 'Unassigned [0x0AA1]',
	0x0AA2 : 'Unassigned [0x0AA2]',
	0x0AA3 : 'Unassigned [0x0AA3]',
	0x0AA4 : 'Unassigned [0x0AA4]',
	0x0AA5 : 'Unassigned [0x0AA5]',
	0x0AA6 : 'Unassigned [0x0AA6]',
	0x0AA7 : 'Unassigned [0x0AA7]',
	0x0AA8 : 'Unassigned [0x0AA8]',
	0x0AA9 : 'Unassigned [0x0AA9]',
	0x0AAA : 'Unassigned [0x0AAA]',
	0x0AAB : 'Unassigned [0x0AAB]',
	0x0AAC : 'Unassigned [0x0AAC]',
	0x0AAD : 'Unassigned [0x0AAD]',
	0x0AAE : 'Unassigned [0x0AAE]',
	0x0AAF : 'Unassigned [0x0AAF]',
	0x0AB0 : 'Unassigned [0x0AB0]',
	0x0AB1 : 'Unassigned [0x0AB1]',
	0x0AB2 : 'Unassigned [0x0AB2]',
	0x0AB3 : 'Unassigned [0x0AB3]',
	0x0AB4 : 'Unassigned [0x0AB4]',
	0x0AB5 : 'Unassigned [0x0AB5]',
	0x0AB6 : 'Unassigned [0x0AB6]',
	0x0AB7 : 'Unassigned [0x0AB7]',
	0x0AB8 : 'Unassigned [0x0AB8]',
	0x0AB9 : 'Unassigned [0x0AB9]',
	0x0ABA : 'Unassigned [0x0ABA]',
	0x0ABB : 'Unassigned [0x0ABB]',
	0x0ABC : 'Unassigned [0x0ABC]',
	0x0ABD : 'Unassigned [0x0ABD]',
	0x0ABE : 'Unassigned [0x0ABE]',
	0x0ABF : 'Unassigned [0x0ABF]',
	0x0AC0 : 'Unassigned [0x0AC0]',
	0x0AC1 : 'Unassigned [0x0AC1]',
	0x0AC2 : 'Unassigned [0x0AC2]',
	0x0AC3 : 'Unassigned [0x0AC3]',
	0x0AC4 : 'Unassigned [0x0AC4]',
	0x0AC5 : 'Unassigned [0x0AC5]',
	0x0AC6 : 'Unassigned [0x0AC6]',
	0x0AC7 : 'Unassigned [0x0AC7]',
	0x0AC8 : 'Unassigned [0x0AC8]',
	0x0AC9 : 'Unassigned [0x0AC9]',
	0x0ACA : 'Unassigned [0x0ACA]',
	0x0ACB : 'Unassigned [0x0ACB]',
	0x0ACC : 'Unassigned [0x0ACC]',
	0x0ACD : 'Unassigned [0x0ACD]',
	0x0ACE : 'Unassigned [0x0ACE]',
	0x0ACF : 'Unassigned [0x0ACF]',
	0x0AD0 : 'Unassigned [0x0AD0]',
	0x0AD1 : 'Unassigned [0x0AD1]',
	0x0AD2 : 'Unassigned [0x0AD2]',
	0x0AD3 : 'Unassigned [0x0AD3]',
	0x0AD4 : 'Unassigned [0x0AD4]',
	0x0AD5 : 'Unassigned [0x0AD5]',
	0x0AD6 : 'Unassigned [0x0AD6]',
	0x0AD7 : 'Unassigned [0x0AD7]',
	0x0AD8 : 'Unassigned [0x0AD8]',
	0x0AD9 : 'Unassigned [0x0AD9]',
	0x0ADA : 'Unassigned [0x0ADA]',
	0x0ADB : 'Unassigned [0x0ADB]',
	0x0ADC : 'Unassigned [0x0ADC]',
	0x0ADD : 'Unassigned [0x0ADD]',
	0x0ADE : 'Unassigned [0x0ADE]',
	0x0ADF : 'Unassigned [0x0ADF]',
	0x0AE0 : 'Unassigned [0x0AE0]',
	0x0AE1 : 'Unassigned [0x0AE1]',
	0x0AE2 : 'Unassigned [0x0AE2]',
	0x0AE3 : 'Unassigned [0x0AE3]',
	0x0AE4 : 'Unassigned [0x0AE4]',
	0x0AE5 : 'Unassigned [0x0AE5]',
	0x0AE6 : 'Unassigned [0x0AE6]',
	0x0AE7 : 'Unassigned [0x0AE7]',
	0x0AE8 : 'Unassigned [0x0AE8]',
	0x0AE9 : 'Unassigned [0x0AE9]',
	0x0AEA : 'Unassigned [0x0AEA]',
	0x0AEB : 'Unassigned [0x0AEB]',
	0x0AEC : 'Unassigned [0x0AEC]',
	0x0AED : 'Unassigned [0x0AED]',
	0x0AEE : 'Unassigned [0x0AEE]',
	0x0AEF : 'Unassigned [0x0AEF]',
	0x0AF0 : 'Unassigned [0x0AF0]',
	0x0AF1 : 'Unassigned [0x0AF1]',
	0x0AF2 : 'Unassigned [0x0AF2]',
	0x0AF3 : 'Unassigned [0x0AF3]',
	0x0AF4 : 'Unassigned [0x0AF4]',
	0x0AF5 : 'Unassigned [0x0AF5]',
	0x0AF6 : 'Unassigned [0x0AF6]',
	0x0AF7 : 'Unassigned [0x0AF7]',
	0x0AF8 : 'Unassigned [0x0AF8]',
	0x0AF9 : 'Unassigned [0x0AF9]',
	0x0AFA : 'Unassigned [0x0AFA]',
	0x0AFB : 'Unassigned [0x0AFB]',
	0x0AFC : 'Unassigned [0x0AFC]',
	0x0AFD : 'Unassigned [0x0AFD]',
	0x0AFE : 'Unassigned [0x0AFE]',
	0x0AFF : 'Unassigned [0x0AFF]',
	0x0B00 : 'Unassigned [0x0B00]',
	0x0B01 : 'Unassigned [0x0B01]',
	0x0B02 : 'Unassigned [0x0B02]',
	0x0B03 : 'Unassigned [0x0B03]',
	0x0B04 : 'Unassigned [0x0B04]',
	0x0B05 : 'Unassigned [0x0B05]',
	0x0B06 : 'Unassigned [0x0B06]',
	0x0B07 : 'Unassigned [0x0B07]',
	0x0B08 : 'Unassigned [0x0B08]',
	0x0B09 : 'Unassigned [0x0B09]',
	0x0B0A : 'Unassigned [0x0B0A]',
	0x0B0B : 'Unassigned [0x0B0B]',
	0x0B0C : 'Unassigned [0x0B0C]',
	0x0B0D : 'Unassigned [0x0B0D]',
	0x0B0E : 'Unassigned [0x0B0E]',
	0x0B0F : 'Unassigned [0x0B0F]',
	0x0B10 : 'Unassigned [0x0B10]',
	0x0B11 : 'Unassigned [0x0B11]',
	0x0B12 : 'Unassigned [0x0B12]',
	0x0B13 : 'Unassigned [0x0B13]',
	0x0B14 : 'Unassigned [0x0B14]',
	0x0B15 : 'Unassigned [0x0B15]',
	0x0B16 : 'Unassigned [0x0B16]',
	0x0B17 : 'Unassigned [0x0B17]',
	0x0B18 : 'Unassigned [0x0B18]',
	0x0B19 : 'Unassigned [0x0B19]',
	0x0B1A : 'Unassigned [0x0B1A]',
	0x0B1B : 'Unassigned [0x0B1B]',
	0x0B1C : 'Unassigned [0x0B1C]',
	0x0B1D : 'Unassigned [0x0B1D]',
	0x0B1E : 'Unassigned [0x0B1E]',
	0x0B1F : 'Unassigned [0x0B1F]',
	0x0B20 : 'Unassigned [0x0B20]',
	0x0B21 : 'Unassigned [0x0B21]',
	0x0B22 : 'Unassigned [0x0B22]',
	0x0B23 : 'Unassigned [0x0B23]',
	0x0B24 : 'Unassigned [0x0B24]',
	0x0B25 : 'Unassigned [0x0B25]',
	0x0B26 : 'Unassigned [0x0B26]',
	0x0B27 : 'Unassigned [0x0B27]',
	0x0B28 : 'Unassigned [0x0B28]',
	0x0B29 : 'Unassigned [0x0B29]',
	0x0B2A : 'Unassigned [0x0B2A]',
	0x0B2B : 'Unassigned [0x0B2B]',
	0x0B2C : 'Unassigned [0x0B2C]',
	0x0B2D : 'Unassigned [0x0B2D]',
	0x0B2E : 'Unassigned [0x0B2E]',
	0x0B2F : 'Unassigned [0x0B2F]',
	0x0B30 : 'Unassigned [0x0B30]',
	0x0B31 : 'Unassigned [0x0B31]',
	0x0B32 : 'Unassigned [0x0B32]',
	0x0B33 : 'Unassigned [0x0B33]',
	0x0B34 : 'Unassigned [0x0B34]',
	0x0B35 : 'Unassigned [0x0B35]',
	0x0B36 : 'Unassigned [0x0B36]',
	0x0B37 : 'Unassigned [0x0B37]',
	0x0B38 : 'Unassigned [0x0B38]',
	0x0B39 : 'Unassigned [0x0B39]',
	0x0B3A : 'Unassigned [0x0B3A]',
	0x0B3B : 'Unassigned [0x0B3B]',
	0x0B3C : 'Unassigned [0x0B3C]',
	0x0B3D : 'Unassigned [0x0B3D]',
	0x0B3E : 'Unassigned [0x0B3E]',
	0x0B3F : 'Unassigned [0x0B3F]',
	0x0B40 : 'Unassigned [0x0B40]',
	0x0B41 : 'Unassigned [0x0B41]',
	0x0B42 : 'Unassigned [0x0B42]',
	0x0B43 : 'Unassigned [0x0B43]',
	0x0B44 : 'Unassigned [0x0B44]',
	0x0B45 : 'Unassigned [0x0B45]',
	0x0B46 : 'Unassigned [0x0B46]',
	0x0B47 : 'Unassigned [0x0B47]',
	0x0B48 : 'Unassigned [0x0B48]',
	0x0B49 : 'Unassigned [0x0B49]',
	0x0B4A : 'Unassigned [0x0B4A]',
	0x0B4B : 'Unassigned [0x0B4B]',
	0x0B4C : 'Unassigned [0x0B4C]',
	0x0B4D : 'Unassigned [0x0B4D]',
	0x0B4E : 'Unassigned [0x0B4E]',
	0x0B4F : 'Unassigned [0x0B4F]',
	0x0B50 : 'Unassigned [0x0B50]',
	0x0B51 : 'Unassigned [0x0B51]',
	0x0B52 : 'Unassigned [0x0B52]',
	0x0B53 : 'Unassigned [0x0B53]',
	0x0B54 : 'Unassigned [0x0B54]',
	0x0B55 : 'Unassigned [0x0B55]',
	0x0B56 : 'Unassigned [0x0B56]',
	0x0B57 : 'Unassigned [0x0B57]',
	0x0B58 : 'Unassigned [0x0B58]',
	0x0B59 : 'Unassigned [0x0B59]',
	0x0B5A : 'Unassigned [0x0B5A]',
	0x0B5B : 'Unassigned [0x0B5B]',
	0x0B5C : 'Unassigned [0x0B5C]',
	0x0B5D : 'Unassigned [0x0B5D]',
	0x0B5E : 'Unassigned [0x0B5E]',
	0x0B5F : 'Unassigned [0x0B5F]',
	0x0B60 : 'Unassigned [0x0B60]',
	0x0B61 : 'Unassigned [0x0B61]',
	0x0B62 : 'Unassigned [0x0B62]',
	0x0B63 : 'Unassigned [0x0B63]',
	0x0B64 : 'Unassigned [0x0B64]',
	0x0B65 : 'Unassigned [0x0B65]',
	0x0B66 : 'Unassigned [0x0B66]',
	0x0B67 : 'Unassigned [0x0B67]',
	0x0B68 : 'Unassigned [0x0B68]',
	0x0B69 : 'Unassigned [0x0B69]',
	0x0B6A : 'Unassigned [0x0B6A]',
	0x0B6B : 'Unassigned [0x0B6B]',
	0x0B6C : 'Unassigned [0x0B6C]',
	0x0B6D : 'Unassigned [0x0B6D]',
	0x0B6E : 'Unassigned [0x0B6E]',
	0x0B6F : 'Unassigned [0x0B6F]',
	0x0B70 : 'Unassigned [0x0B70]',
	0x0B71 : 'Unassigned [0x0B71]',
	0x0B72 : 'Unassigned [0x0B72]',
	0x0B73 : 'Unassigned [0x0B73]',
	0x0B74 : 'Unassigned [0x0B74]',
	0x0B75 : 'Unassigned [0x0B75]',
	0x0B76 : 'Unassigned [0x0B76]',
	0x0B77 : 'Unassigned [0x0B77]',
	0x0B78 : 'Unassigned [0x0B78]',
	0x0B79 : 'Unassigned [0x0B79]',
	0x0B7A : 'Unassigned [0x0B7A]',
	0x0B7B : 'Unassigned [0x0B7B]',
	0x0B7C : 'Unassigned [0x0B7C]',
	0x0B7D : 'Unassigned [0x0B7D]',
	0x0B7E : 'Unassigned [0x0B7E]',
	0x0B7F : 'Unassigned [0x0B7F]',
	0x0B80 : 'Unassigned [0x0B80]',
	0x0B81 : 'Unassigned [0x0B81]',
	0x0B82 : 'Unassigned [0x0B82]',
	0x0B83 : 'Unassigned [0x0B83]',
	0x0B84 : 'Unassigned [0x0B84]',
	0x0B85 : 'Unassigned [0x0B85]',
	0x0B86 : 'Unassigned [0x0B86]',
	0x0B87 : 'Unassigned [0x0B87]',
	0x0B88 : 'Unassigned [0x0B88]',
	0x0B89 : 'Unassigned [0x0B89]',
	0x0B8A : 'Unassigned [0x0B8A]',
	0x0B8B : 'Unassigned [0x0B8B]',
	0x0B8C : 'Unassigned [0x0B8C]',
	0x0B8D : 'Unassigned [0x0B8D]',
	0x0B8E : 'Unassigned [0x0B8E]',
	0x0B8F : 'Unassigned [0x0B8F]',
	0x0B90 : 'Unassigned [0x0B90]',
	0x0B91 : 'Unassigned [0x0B91]',
	0x0B92 : 'Unassigned [0x0B92]',
	0x0B93 : 'Unassigned [0x0B93]',
	0x0B94 : 'Unassigned [0x0B94]',
	0x0B95 : 'Unassigned [0x0B95]',
	0x0B96 : 'Unassigned [0x0B96]',
	0x0B97 : 'Unassigned [0x0B97]',
	0x0B98 : 'Unassigned [0x0B98]',
	0x0B99 : 'Unassigned [0x0B99]',
	0x0B9A : 'Unassigned [0x0B9A]',
	0x0B9B : 'Unassigned [0x0B9B]',
	0x0B9C : 'Unassigned [0x0B9C]',
	0x0B9D : 'Unassigned [0x0B9D]',
	0x0B9E : 'Unassigned [0x0B9E]',
	0x0B9F : 'Unassigned [0x0B9F]',
	0x0BA0 : 'Unassigned [0x0BA0]',
	0x0BA1 : 'Unassigned [0x0BA1]',
	0x0BA2 : 'Unassigned [0x0BA2]',
	0x0BA3 : 'Unassigned [0x0BA3]',
	0x0BA4 : 'Unassigned [0x0BA4]',
	0x0BA5 : 'Unassigned [0x0BA5]',
	0x0BA6 : 'Unassigned [0x0BA6]',
	0x0BA7 : 'Unassigned [0x0BA7]',
	0x0BA8 : 'Unassigned [0x0BA8]',
	0x0BA9 : 'Unassigned [0x0BA9]',
	0x0BAA : 'Unassigned [0x0BAA]',
	0x0BAB : 'Unassigned [0x0BAB]',
	0x0BAC : 'Unassigned [0x0BAC]',
	0x0BAD : 'Unassigned [0x0BAD]',
	0x0BAE : 'Unassigned [0x0BAE]',
	0x0BAF : 'Unassigned [0x0BAF]',
	0x0BB0 : 'Unassigned [0x0BB0]',
	0x0BB1 : 'Unassigned [0x0BB1]',
	0x0BB2 : 'Unassigned [0x0BB2]',
	0x0BB3 : 'Unassigned [0x0BB3]',
	0x0BB4 : 'Unassigned [0x0BB4]',
	0x0BB5 : 'Unassigned [0x0BB5]',
	0x0BB6 : 'Unassigned [0x0BB6]',
	0x0BB7 : 'Unassigned [0x0BB7]',
	0x0BB8 : 'Unassigned [0x0BB8]',
	0x0BB9 : 'Unassigned [0x0BB9]',
	0x0BBA : 'Unassigned [0x0BBA]',
	0x0BBB : 'Unassigned [0x0BBB]',
	0x0BBC : 'Unassigned [0x0BBC]',
	0x0BBD : 'Unassigned [0x0BBD]',
	0x0BBE : 'Unassigned [0x0BBE]',
	0x0BBF : 'Unassigned [0x0BBF]',
	0x0BC0 : 'Unassigned [0x0BC0]',
	0x0BC1 : 'Unassigned [0x0BC1]',
	0x0BC2 : 'Unassigned [0x0BC2]',
	0x0BC3 : 'Unassigned [0x0BC3]',
	0x0BC4 : 'Unassigned [0x0BC4]',
	0x0BC5 : 'Unassigned [0x0BC5]',
	0x0BC6 : 'Unassigned [0x0BC6]',
	0x0BC7 : 'Unassigned [0x0BC7]',
	0x0BC8 : 'Unassigned [0x0BC8]',
	0x0BC9 : 'Unassigned [0x0BC9]',
	0x0BCA : 'Unassigned [0x0BCA]',
	0x0BCB : 'Unassigned [0x0BCB]',
	0x0BCC : 'Unassigned [0x0BCC]',
	0x0BCD : 'Unassigned [0x0BCD]',
	0x0BCE : 'Unassigned [0x0BCE]',
	0x0BCF : 'Unassigned [0x0BCF]',
	0x0BD0 : 'Unassigned [0x0BD0]',
	0x0BD1 : 'Unassigned [0x0BD1]',
	0x0BD2 : 'Unassigned [0x0BD2]',
	0x0BD3 : 'Unassigned [0x0BD3]',
	0x0BD4 : 'Unassigned [0x0BD4]',
	0x0BD5 : 'Unassigned [0x0BD5]',
	0x0BD6 : 'Unassigned [0x0BD6]',
	0x0BD7 : 'Unassigned [0x0BD7]',
	0x0BD8 : 'Unassigned [0x0BD8]',
	0x0BD9 : 'Unassigned [0x0BD9]',
	0x0BDA : 'Unassigned [0x0BDA]',
	0x0BDB : 'Unassigned [0x0BDB]',
	0x0BDC : 'Unassigned [0x0BDC]',
	0x0BDD : 'Unassigned [0x0BDD]',
	0x0BDE : 'Unassigned [0x0BDE]',
	0x0BDF : 'Unassigned [0x0BDF]',
	0x0BE0 : 'Unassigned [0x0BE0]',
	0x0BE1 : 'Unassigned [0x0BE1]',
	0x0BE2 : 'Unassigned [0x0BE2]',
	0x0BE3 : 'Unassigned [0x0BE3]',
	0x0BE4 : 'Unassigned [0x0BE4]',
	0x0BE5 : 'Unassigned [0x0BE5]',
	0x0BE6 : 'Unassigned [0x0BE6]',
	0x0BE7 : 'Unassigned [0x0BE7]',
	0x0BE8 : 'Unassigned [0x0BE8]',
	0x0BE9 : 'Unassigned [0x0BE9]',
	0x0BEA : 'Unassigned [0x0BEA]',
	0x0BEB : 'Unassigned [0x0BEB]',
	0x0BEC : 'Unassigned [0x0BEC]',
	0x0BED : 'Unassigned [0x0BED]',
	0x0BEE : 'Unassigned [0x0BEE]',
	0x0BEF : 'Unassigned [0x0BEF]',
	0x0BF0 : 'Unassigned [0x0BF0]',
	0x0BF1 : 'Unassigned [0x0BF1]',
	0x0BF2 : 'Unassigned [0x0BF2]',
	0x0BF3 : 'Unassigned [0x0BF3]',
	0x0BF4 : 'Unassigned [0x0BF4]',
	0x0BF5 : 'Unassigned [0x0BF5]',
	0x0BF6 : 'Unassigned [0x0BF6]',
	0x0BF7 : 'Unassigned [0x0BF7]',
	0x0BF8 : 'Unassigned [0x0BF8]',
	0x0BF9 : 'Unassigned [0x0BF9]',
	0x0BFA : 'Unassigned [0x0BFA]',
	0x0BFB : 'Unassigned [0x0BFB]',
	0x0BFC : 'Unassigned [0x0BFC]',
	0x0BFD : 'Unassigned [0x0BFD]',
	0x0BFE : 'Unassigned [0x0BFE]',
	0x0BFF : 'Unassigned [0x0BFF]',
	0x0C00 : 'Unassigned [0x0C00]',
	0x0C01 : 'Unassigned [0x0C01]',
	0x0C02 : 'Unassigned [0x0C02]',
	0x0C03 : 'Unassigned [0x0C03]',
	0x0C04 : 'Unassigned [0x0C04]',
	0x0C05 : 'Unassigned [0x0C05]',
	0x0C06 : 'Unassigned [0x0C06]',
	0x0C07 : 'Unassigned [0x0C07]',
	0x0C08 : 'Unassigned [0x0C08]',
	0x0C09 : 'Unassigned [0x0C09]',
	0x0C0A : 'Unassigned [0x0C0A]',
	0x0C0B : 'Unassigned [0x0C0B]',
	0x0C0C : 'Unassigned [0x0C0C]',
	0x0C0D : 'Unassigned [0x0C0D]',
	0x0C0E : 'Unassigned [0x0C0E]',
	0x0C0F : 'Unassigned [0x0C0F]',
	0x0C10 : 'Unassigned [0x0C10]',
	0x0C11 : 'Unassigned [0x0C11]',
	0x0C12 : 'Unassigned [0x0C12]',
	0x0C13 : 'Unassigned [0x0C13]',
	0x0C14 : 'Unassigned [0x0C14]',
	0x0C15 : 'Unassigned [0x0C15]',
	0x0C16 : 'Unassigned [0x0C16]',
	0x0C17 : 'Unassigned [0x0C17]',
	0x0C18 : 'Unassigned [0x0C18]',
	0x0C19 : 'Unassigned [0x0C19]',
	0x0C1A : 'Unassigned [0x0C1A]',
	0x0C1B : 'Unassigned [0x0C1B]',
	0x0C1C : 'Unassigned [0x0C1C]',
	0x0C1D : 'Unassigned [0x0C1D]',
	0x0C1E : 'Unassigned [0x0C1E]',
	0x0C1F : 'Unassigned [0x0C1F]',
	0x0C20 : 'Unassigned [0x0C20]',
	0x0C21 : 'Unassigned [0x0C21]',
	0x0C22 : 'Unassigned [0x0C22]',
	0x0C23 : 'Unassigned [0x0C23]',
	0x0C24 : 'Unassigned [0x0C24]',
	0x0C25 : 'Unassigned [0x0C25]',
	0x0C26 : 'Unassigned [0x0C26]',
	0x0C27 : 'Unassigned [0x0C27]',
	0x0C28 : 'Unassigned [0x0C28]',
	0x0C29 : 'Unassigned [0x0C29]',
	0x0C2A : 'Unassigned [0x0C2A]',
	0x0C2B : 'Unassigned [0x0C2B]',
	0x0C2C : 'Unassigned [0x0C2C]',
	0x0C2D : 'Unassigned [0x0C2D]',
	0x0C2E : 'Unassigned [0x0C2E]',
	0x0C2F : 'Unassigned [0x0C2F]',
	0x0C30 : 'Unassigned [0x0C30]',
	0x0C31 : 'Unassigned [0x0C31]',
	0x0C32 : 'Unassigned [0x0C32]',
	0x0C33 : 'Unassigned [0x0C33]',
	0x0C34 : 'Unassigned [0x0C34]',
	0x0C35 : 'Unassigned [0x0C35]',
	0x0C36 : 'Unassigned [0x0C36]',
	0x0C37 : 'Unassigned [0x0C37]',
	0x0C38 : 'Unassigned [0x0C38]',
	0x0C39 : 'Unassigned [0x0C39]',
	0x0C3A : 'Unassigned [0x0C3A]',
	0x0C3B : 'Unassigned [0x0C3B]',
	0x0C3C : 'Unassigned [0x0C3C]',
	0x0C3D : 'Unassigned [0x0C3D]',
	0x0C3E : 'Unassigned [0x0C3E]',
	0x0C3F : 'Unassigned [0x0C3F]',
	0x0C40 : 'Unassigned [0x0C40]',
	0x0C41 : 'Unassigned [0x0C41]',
	0x0C42 : 'Unassigned [0x0C42]',
	0x0C43 : 'Unassigned [0x0C43]',
	0x0C44 : 'Unassigned [0x0C44]',
	0x0C45 : 'Unassigned [0x0C45]',
	0x0C46 : 'Unassigned [0x0C46]',
	0x0C47 : 'Unassigned [0x0C47]',
	0x0C48 : 'Unassigned [0x0C48]',
	0x0C49 : 'Unassigned [0x0C49]',
	0x0C4A : 'Unassigned [0x0C4A]',
	0x0C4B : 'Unassigned [0x0C4B]',
	0x0C4C : 'Unassigned [0x0C4C]',
	0x0C4D : 'Unassigned [0x0C4D]',
	0x0C4E : 'Unassigned [0x0C4E]',
	0x0C4F : 'Unassigned [0x0C4F]',
	0x0C50 : 'Unassigned [0x0C50]',
	0x0C51 : 'Unassigned [0x0C51]',
	0x0C52 : 'Unassigned [0x0C52]',
	0x0C53 : 'Unassigned [0x0C53]',
	0x0C54 : 'Unassigned [0x0C54]',
	0x0C55 : 'Unassigned [0x0C55]',
	0x0C56 : 'Unassigned [0x0C56]',
	0x0C57 : 'Unassigned [0x0C57]',
	0x0C58 : 'Unassigned [0x0C58]',
	0x0C59 : 'Unassigned [0x0C59]',
	0x0C5A : 'Unassigned [0x0C5A]',
	0x0C5B : 'Unassigned [0x0C5B]',
	0x0C5C : 'Unassigned [0x0C5C]',
	0x0C5D : 'Unassigned [0x0C5D]',
	0x0C5E : 'Unassigned [0x0C5E]',
	0x0C5F : 'Unassigned [0x0C5F]',
	0x0C60 : 'Unassigned [0x0C60]',
	0x0C61 : 'Unassigned [0x0C61]',
	0x0C62 : 'Unassigned [0x0C62]',
	0x0C63 : 'Unassigned [0x0C63]',
	0x0C64 : 'Unassigned [0x0C64]',
	0x0C65 : 'Unassigned [0x0C65]',
	0x0C66 : 'Unassigned [0x0C66]',
	0x0C67 : 'Unassigned [0x0C67]',
	0x0C68 : 'Unassigned [0x0C68]',
	0x0C69 : 'Unassigned [0x0C69]',
	0x0C6A : 'Unassigned [0x0C6A]',
	0x0C6B : 'Unassigned [0x0C6B]',
	0x0C6C : 'Unassigned [0x0C6C]',
	0x0C6D : 'Unassigned [0x0C6D]',
	0x0C6E : 'Unassigned [0x0C6E]',
	0x0C6F : 'Unassigned [0x0C6F]',
	0x0C70 : 'Unassigned [0x0C70]',
	0x0C71 : 'Unassigned [0x0C71]',
	0x0C72 : 'Unassigned [0x0C72]',
	0x0C73 : 'Unassigned [0x0C73]',
	0x0C74 : 'Unassigned [0x0C74]',
	0x0C75 : 'Unassigned [0x0C75]',
	0x0C76 : 'Unassigned [0x0C76]',
	0x0C77 : 'Unassigned [0x0C77]',
	0x0C78 : 'Unassigned [0x0C78]',
	0x0C79 : 'Unassigned [0x0C79]',
	0x0C7A : 'Unassigned [0x0C7A]',
	0x0C7B : 'Unassigned [0x0C7B]',
	0x0C7C : 'Unassigned [0x0C7C]',
	0x0C7D : 'Unassigned [0x0C7D]',
	0x0C7E : 'Unassigned [0x0C7E]',
	0x0C7F : 'Unassigned [0x0C7F]',
	0x0C80 : 'Unassigned [0x0C80]',
	0x0C81 : 'Unassigned [0x0C81]',
	0x0C82 : 'Unassigned [0x0C82]',
	0x0C83 : 'Unassigned [0x0C83]',
	0x0C84 : 'Unassigned [0x0C84]',
	0x0C85 : 'Unassigned [0x0C85]',
	0x0C86 : 'Unassigned [0x0C86]',
	0x0C87 : 'Unassigned [0x0C87]',
	0x0C88 : 'Unassigned [0x0C88]',
	0x0C89 : 'Unassigned [0x0C89]',
	0x0C8A : 'Unassigned [0x0C8A]',
	0x0C8B : 'Unassigned [0x0C8B]',
	0x0C8C : 'Unassigned [0x0C8C]',
	0x0C8D : 'Unassigned [0x0C8D]',
	0x0C8E : 'Unassigned [0x0C8E]',
	0x0C8F : 'Unassigned [0x0C8F]',
	0x0C90 : 'Unassigned [0x0C90]',
	0x0C91 : 'Unassigned [0x0C91]',
	0x0C92 : 'Unassigned [0x0C92]',
	0x0C93 : 'Unassigned [0x0C93]',
	0x0C94 : 'Unassigned [0x0C94]',
	0x0C95 : 'Unassigned [0x0C95]',
	0x0C96 : 'Unassigned [0x0C96]',
	0x0C97 : 'Unassigned [0x0C97]',
	0x0C98 : 'Unassigned [0x0C98]',
	0x0C99 : 'Unassigned [0x0C99]',
	0x0C9A : 'Unassigned [0x0C9A]',
	0x0C9B : 'Unassigned [0x0C9B]',
	0x0C9C : 'Unassigned [0x0C9C]',
	0x0C9D : 'Unassigned [0x0C9D]',
	0x0C9E : 'Unassigned [0x0C9E]',
	0x0C9F : 'Unassigned [0x0C9F]',
	0x0CA0 : 'Unassigned [0x0CA0]',
	0x0CA1 : 'Unassigned [0x0CA1]',
	0x0CA2 : 'Unassigned [0x0CA2]',
	0x0CA3 : 'Unassigned [0x0CA3]',
	0x0CA4 : 'Unassigned [0x0CA4]',
	0x0CA5 : 'Unassigned [0x0CA5]',
	0x0CA6 : 'Unassigned [0x0CA6]',
	0x0CA7 : 'Unassigned [0x0CA7]',
	0x0CA8 : 'Unassigned [0x0CA8]',
	0x0CA9 : 'Unassigned [0x0CA9]',
	0x0CAA : 'Unassigned [0x0CAA]',
	0x0CAB : 'Unassigned [0x0CAB]',
	0x0CAC : 'Unassigned [0x0CAC]',
	0x0CAD : 'Unassigned [0x0CAD]',
	0x0CAE : 'Unassigned [0x0CAE]',
	0x0CAF : 'Unassigned [0x0CAF]',
	0x0CB0 : 'Unassigned [0x0CB0]',
	0x0CB1 : 'Unassigned [0x0CB1]',
	0x0CB2 : 'Unassigned [0x0CB2]',
	0x0CB3 : 'Unassigned [0x0CB3]',
	0x0CB4 : 'Unassigned [0x0CB4]',
	0x0CB5 : 'Unassigned [0x0CB5]',
	0x0CB6 : 'Unassigned [0x0CB6]',
	0x0CB7 : 'Unassigned [0x0CB7]',
	0x0CB8 : 'Unassigned [0x0CB8]',
	0x0CB9 : 'Unassigned [0x0CB9]',
	0x0CBA : 'Unassigned [0x0CBA]',
	0x0CBB : 'Unassigned [0x0CBB]',
	0x0CBC : 'Unassigned [0x0CBC]',
	0x0CBD : 'Unassigned [0x0CBD]',
	0x0CBE : 'Unassigned [0x0CBE]',
	0x0CBF : 'Unassigned [0x0CBF]',
	0x0CC0 : 'Unassigned [0x0CC0]',
	0x0CC1 : 'Unassigned [0x0CC1]',
	0x0CC2 : 'Unassigned [0x0CC2]',
	0x0CC3 : 'Unassigned [0x0CC3]',
	0x0CC4 : 'Unassigned [0x0CC4]',
	0x0CC5 : 'Unassigned [0x0CC5]',
	0x0CC6 : 'Unassigned [0x0CC6]',
	0x0CC7 : 'Unassigned [0x0CC7]',
	0x0CC8 : 'Unassigned [0x0CC8]',
	0x0CC9 : 'Unassigned [0x0CC9]',
	0x0CCA : 'Unassigned [0x0CCA]',
	0x0CCB : 'Unassigned [0x0CCB]',
	0x0CCC : 'Unassigned [0x0CCC]',
	0x0CCD : 'Unassigned [0x0CCD]',
	0x0CCE : 'Unassigned [0x0CCE]',
	0x0CCF : 'Unassigned [0x0CCF]',
	0x0CD0 : 'Unassigned [0x0CD0]',
	0x0CD1 : 'Unassigned [0x0CD1]',
	0x0CD2 : 'Unassigned [0x0CD2]',
	0x0CD3 : 'Unassigned [0x0CD3]',
	0x0CD4 : 'Unassigned [0x0CD4]',
	0x0CD5 : 'Unassigned [0x0CD5]',
	0x0CD6 : 'Unassigned [0x0CD6]',
	0x0CD7 : 'Unassigned [0x0CD7]',
	0x0CD8 : 'Unassigned [0x0CD8]',
	0x0CD9 : 'Unassigned [0x0CD9]',
	0x0CDA : 'Unassigned [0x0CDA]',
	0x0CDB : 'Unassigned [0x0CDB]',
	0x0CDC : 'Unassigned [0x0CDC]',
	0x0CDD : 'Unassigned [0x0CDD]',
	0x0CDE : 'Unassigned [0x0CDE]',
	0x0CDF : 'Unassigned [0x0CDF]',
	0x0CE0 : 'Unassigned [0x0CE0]',
	0x0CE1 : 'Unassigned [0x0CE1]',
	0x0CE2 : 'Unassigned [0x0CE2]',
	0x0CE3 : 'Unassigned [0x0CE3]',
	0x0CE4 : 'Unassigned [0x0CE4]',
	0x0CE5 : 'Unassigned [0x0CE5]',
	0x0CE6 : 'Unassigned [0x0CE6]',
	0x0CE7 : 'Unassigned [0x0CE7]',
	0x0CE8 : 'Unassigned [0x0CE8]',
	0x0CE9 : 'Unassigned [0x0CE9]',
	0x0CEA : 'Unassigned [0x0CEA]',
	0x0CEB : 'Unassigned [0x0CEB]',
	0x0CEC : 'Unassigned [0x0CEC]',
	0x0CED : 'Unassigned [0x0CED]',
	0x0CEE : 'Unassigned [0x0CEE]',
	0x0CEF : 'Unassigned [0x0CEF]',
	0x0CF0 : 'Unassigned [0x0CF0]',
	0x0CF1 : 'Unassigned [0x0CF1]',
	0x0CF2 : 'Unassigned [0x0CF2]',
	0x0CF3 : 'Unassigned [0x0CF3]',
	0x0CF4 : 'Unassigned [0x0CF4]',
	0x0CF5 : 'Unassigned [0x0CF5]',
	0x0CF6 : 'Unassigned [0x0CF6]',
	0x0CF7 : 'Unassigned [0x0CF7]',
	0x0CF8 : 'Unassigned [0x0CF8]',
	0x0CF9 : 'Unassigned [0x0CF9]',
	0x0CFA : 'Unassigned [0x0CFA]',
	0x0CFB : 'Unassigned [0x0CFB]',
	0x0CFC : 'Unassigned [0x0CFC]',
	0x0CFD : 'Unassigned [0x0CFD]',
	0x0CFE : 'Unassigned [0x0CFE]',
	0x0CFF : 'Unassigned [0x0CFF]',
	0x0D00 : 'Unassigned [0x0D00]',
	0x0D01 : 'Unassigned [0x0D01]',
	0x0D02 : 'Unassigned [0x0D02]',
	0x0D03 : 'Unassigned [0x0D03]',
	0x0D04 : 'Unassigned [0x0D04]',
	0x0D05 : 'Unassigned [0x0D05]',
	0x0D06 : 'Unassigned [0x0D06]',
	0x0D07 : 'Unassigned [0x0D07]',
	0x0D08 : 'Unassigned [0x0D08]',
	0x0D09 : 'Unassigned [0x0D09]',
	0x0D0A : 'Unassigned [0x0D0A]',
	0x0D0B : 'Unassigned [0x0D0B]',
	0x0D0C : 'Unassigned [0x0D0C]',
	0x0D0D : 'Unassigned [0x0D0D]',
	0x0D0E : 'Unassigned [0x0D0E]',
	0x0D0F : 'Unassigned [0x0D0F]',
	0x0D10 : 'Unassigned [0x0D10]',
	0x0D11 : 'Unassigned [0x0D11]',
	0x0D12 : 'Unassigned [0x0D12]',
	0x0D13 : 'Unassigned [0x0D13]',
	0x0D14 : 'Unassigned [0x0D14]',
	0x0D15 : 'Unassigned [0x0D15]',
	0x0D16 : 'Unassigned [0x0D16]',
	0x0D17 : 'Unassigned [0x0D17]',
	0x0D18 : 'Unassigned [0x0D18]',
	0x0D19 : 'Unassigned [0x0D19]',
	0x0D1A : 'Unassigned [0x0D1A]',
	0x0D1B : 'Unassigned [0x0D1B]',
	0x0D1C : 'Unassigned [0x0D1C]',
	0x0D1D : 'Unassigned [0x0D1D]',
	0x0D1E : 'Unassigned [0x0D1E]',
	0x0D1F : 'Unassigned [0x0D1F]',
	0x0D20 : 'Unassigned [0x0D20]',
	0x0D21 : 'Unassigned [0x0D21]',
	0x0D22 : 'Unassigned [0x0D22]',
	0x0D23 : 'Unassigned [0x0D23]',
	0x0D24 : 'Unassigned [0x0D24]',
	0x0D25 : 'Unassigned [0x0D25]',
	0x0D26 : 'Unassigned [0x0D26]',
	0x0D27 : 'Unassigned [0x0D27]',
	0x0D28 : 'Unassigned [0x0D28]',
	0x0D29 : 'Unassigned [0x0D29]',
	0x0D2A : 'Unassigned [0x0D2A]',
	0x0D2B : 'Unassigned [0x0D2B]',
	0x0D2C : 'Unassigned [0x0D2C]',
	0x0D2D : 'Unassigned [0x0D2D]',
	0x0D2E : 'Unassigned [0x0D2E]',
	0x0D2F : 'Unassigned [0x0D2F]',
	0x0D30 : 'Unassigned [0x0D30]',
	0x0D31 : 'Unassigned [0x0D31]',
	0x0D32 : 'Unassigned [0x0D32]',
	0x0D33 : 'Unassigned [0x0D33]',
	0x0D34 : 'Unassigned [0x0D34]',
	0x0D35 : 'Unassigned [0x0D35]',
	0x0D36 : 'Unassigned [0x0D36]',
	0x0D37 : 'Unassigned [0x0D37]',
	0x0D38 : 'Unassigned [0x0D38]',
	0x0D39 : 'Unassigned [0x0D39]',
	0x0D3A : 'Unassigned [0x0D3A]',
	0x0D3B : 'Unassigned [0x0D3B]',
	0x0D3C : 'Unassigned [0x0D3C]',
	0x0D3D : 'Unassigned [0x0D3D]',
	0x0D3E : 'Unassigned [0x0D3E]',
	0x0D3F : 'Unassigned [0x0D3F]',
	0x0D40 : 'Unassigned [0x0D40]',
	0x0D41 : 'Unassigned [0x0D41]',
	0x0D42 : 'Unassigned [0x0D42]',
	0x0D43 : 'Unassigned [0x0D43]',
	0x0D44 : 'Unassigned [0x0D44]',
	0x0D45 : 'Unassigned [0x0D45]',
	0x0D46 : 'Unassigned [0x0D46]',
	0x0D47 : 'Unassigned [0x0D47]',
	0x0D48 : 'Unassigned [0x0D48]',
	0x0D49 : 'Unassigned [0x0D49]',
	0x0D4A : 'Unassigned [0x0D4A]',
	0x0D4B : 'Unassigned [0x0D4B]',
	0x0D4C : 'Unassigned [0x0D4C]',
	0x0D4D : 'Unassigned [0x0D4D]',
	0x0D4E : 'Unassigned [0x0D4E]',
	0x0D4F : 'Unassigned [0x0D4F]',
	0x0D50 : 'Unassigned [0x0D50]',
	0x0D51 : 'Unassigned [0x0D51]',
	0x0D52 : 'Unassigned [0x0D52]',
	0x0D53 : 'Unassigned [0x0D53]',
	0x0D54 : 'Unassigned [0x0D54]',
	0x0D55 : 'Unassigned [0x0D55]',
	0x0D56 : 'Unassigned [0x0D56]',
	0x0D57 : 'Unassigned [0x0D57]',
	0x0D58 : 'Unassigned [0x0D58]',
	0x0D59 : 'Unassigned [0x0D59]',
	0x0D5A : 'Unassigned [0x0D5A]',
	0x0D5B : 'Unassigned [0x0D5B]',
	0x0D5C : 'Unassigned [0x0D5C]',
	0x0D5D : 'Unassigned [0x0D5D]',
	0x0D5E : 'Unassigned [0x0D5E]',
	0x0D5F : 'Unassigned [0x0D5F]',
	0x0D60 : 'Unassigned [0x0D60]',
	0x0D61 : 'Unassigned [0x0D61]',
	0x0D62 : 'Unassigned [0x0D62]',
	0x0D63 : 'Unassigned [0x0D63]',
	0x0D64 : 'Unassigned [0x0D64]',
	0x0D65 : 'Unassigned [0x0D65]',
	0x0D66 : 'Unassigned [0x0D66]',
	0x0D67 : 'Unassigned [0x0D67]',
	0x0D68 : 'Unassigned [0x0D68]',
	0x0D69 : 'Unassigned [0x0D69]',
	0x0D6A : 'Unassigned [0x0D6A]',
	0x0D6B : 'Unassigned [0x0D6B]',
	0x0D6C : 'Unassigned [0x0D6C]',
	0x0D6D : 'Unassigned [0x0D6D]',
	0x0D6E : 'Unassigned [0x0D6E]',
	0x0D6F : 'Unassigned [0x0D6F]',
	0x0D70 : 'Unassigned [0x0D70]',
	0x0D71 : 'Unassigned [0x0D71]',
	0x0D72 : 'Unassigned [0x0D72]',
	0x0D73 : 'Unassigned [0x0D73]',
	0x0D74 : 'Unassigned [0x0D74]',
	0x0D75 : 'Unassigned [0x0D75]',
	0x0D76 : 'Unassigned [0x0D76]',
	0x0D77 : 'Unassigned [0x0D77]',
	0x0D78 : 'Unassigned [0x0D78]',
	0x0D79 : 'Unassigned [0x0D79]',
	0x0D7A : 'Unassigned [0x0D7A]',
	0x0D7B : 'Unassigned [0x0D7B]',
	0x0D7C : 'Unassigned [0x0D7C]',
	0x0D7D : 'Unassigned [0x0D7D]',
	0x0D7E : 'Unassigned [0x0D7E]',
	0x0D7F : 'Unassigned [0x0D7F]',
	0x0D80 : 'Unassigned [0x0D80]',
	0x0D81 : 'Unassigned [0x0D81]',
	0x0D82 : 'Unassigned [0x0D82]',
	0x0D83 : 'Unassigned [0x0D83]',
	0x0D84 : 'Unassigned [0x0D84]',
	0x0D85 : 'Unassigned [0x0D85]',
	0x0D86 : 'Unassigned [0x0D86]',
	0x0D87 : 'Unassigned [0x0D87]',
	0x0D88 : 'Unassigned [0x0D88]',
	0x0D89 : 'Unassigned [0x0D89]',
	0x0D8A : 'Unassigned [0x0D8A]',
	0x0D8B : 'Unassigned [0x0D8B]',
	0x0D8C : 'Unassigned [0x0D8C]',
	0x0D8D : 'Unassigned [0x0D8D]',
	0x0D8E : 'Unassigned [0x0D8E]',
	0x0D8F : 'Unassigned [0x0D8F]',
	0x0D90 : 'Unassigned [0x0D90]',
	0x0D91 : 'Unassigned [0x0D91]',
	0x0D92 : 'Unassigned [0x0D92]',
	0x0D93 : 'Unassigned [0x0D93]',
	0x0D94 : 'Unassigned [0x0D94]',
	0x0D95 : 'Unassigned [0x0D95]',
	0x0D96 : 'Unassigned [0x0D96]',
	0x0D97 : 'Unassigned [0x0D97]',
	0x0D98 : 'Unassigned [0x0D98]',
	0x0D99 : 'Unassigned [0x0D99]',
	0x0D9A : 'Unassigned [0x0D9A]',
	0x0D9B : 'Unassigned [0x0D9B]',
	0x0D9C : 'Unassigned [0x0D9C]',
	0x0D9D : 'Unassigned [0x0D9D]',
	0x0D9E : 'Unassigned [0x0D9E]',
	0x0D9F : 'Unassigned [0x0D9F]',
	0x0DA0 : 'Unassigned [0x0DA0]',
	0x0DA1 : 'Unassigned [0x0DA1]',
	0x0DA2 : 'Unassigned [0x0DA2]',
	0x0DA3 : 'Unassigned [0x0DA3]',
	0x0DA4 : 'Unassigned [0x0DA4]',
	0x0DA5 : 'Unassigned [0x0DA5]',
	0x0DA6 : 'Unassigned [0x0DA6]',
	0x0DA7 : 'Unassigned [0x0DA7]',
	0x0DA8 : 'Unassigned [0x0DA8]',
	0x0DA9 : 'Unassigned [0x0DA9]',
	0x0DAA : 'Unassigned [0x0DAA]',
	0x0DAB : 'Unassigned [0x0DAB]',
	0x0DAC : 'Unassigned [0x0DAC]',
	0x0DAD : 'Unassigned [0x0DAD]',
	0x0DAE : 'Unassigned [0x0DAE]',
	0x0DAF : 'Unassigned [0x0DAF]',
	0x0DB0 : 'Unassigned [0x0DB0]',
	0x0DB1 : 'Unassigned [0x0DB1]',
	0x0DB2 : 'Unassigned [0x0DB2]',
	0x0DB3 : 'Unassigned [0x0DB3]',
	0x0DB4 : 'Unassigned [0x0DB4]',
	0x0DB5 : 'Unassigned [0x0DB5]',
	0x0DB6 : 'Unassigned [0x0DB6]',
	0x0DB7 : 'Unassigned [0x0DB7]',
	0x0DB8 : 'Unassigned [0x0DB8]',
	0x0DB9 : 'Unassigned [0x0DB9]',
	0x0DBA : 'Unassigned [0x0DBA]',
	0x0DBB : 'Unassigned [0x0DBB]',
	0x0DBC : 'Unassigned [0x0DBC]',
	0x0DBD : 'Unassigned [0x0DBD]',
	0x0DBE : 'Unassigned [0x0DBE]',
	0x0DBF : 'Unassigned [0x0DBF]',
	0x0DC0 : 'Unassigned [0x0DC0]',
	0x0DC1 : 'Unassigned [0x0DC1]',
	0x0DC2 : 'Unassigned [0x0DC2]',
	0x0DC3 : 'Unassigned [0x0DC3]',
	0x0DC4 : 'Unassigned [0x0DC4]',
	0x0DC5 : 'Unassigned [0x0DC5]',
	0x0DC6 : 'Unassigned [0x0DC6]',
	0x0DC7 : 'Unassigned [0x0DC7]',
	0x0DC8 : 'Unassigned [0x0DC8]',
	0x0DC9 : 'Unassigned [0x0DC9]',
	0x0DCA : 'Unassigned [0x0DCA]',
	0x0DCB : 'Unassigned [0x0DCB]',
	0x0DCC : 'Unassigned [0x0DCC]',
	0x0DCD : 'Unassigned [0x0DCD]',
	0x0DCE : 'Unassigned [0x0DCE]',
	0x0DCF : 'Unassigned [0x0DCF]',
	0x0DD0 : 'Unassigned [0x0DD0]',
	0x0DD1 : 'Unassigned [0x0DD1]',
	0x0DD2 : 'Unassigned [0x0DD2]',
	0x0DD3 : 'Unassigned [0x0DD3]',
	0x0DD4 : 'Unassigned [0x0DD4]',
	0x0DD5 : 'Unassigned [0x0DD5]',
	0x0DD6 : 'Unassigned [0x0DD6]',
	0x0DD7 : 'Unassigned [0x0DD7]',
	0x0DD8 : 'Unassigned [0x0DD8]',
	0x0DD9 : 'Unassigned [0x0DD9]',
	0x0DDA : 'Unassigned [0x0DDA]',
	0x0DDB : 'Unassigned [0x0DDB]',
	0x0DDC : 'Unassigned [0x0DDC]',
	0x0DDD : 'Unassigned [0x0DDD]',
	0x0DDE : 'Unassigned [0x0DDE]',
	0x0DDF : 'Unassigned [0x0DDF]',
	0x0DE0 : 'Unassigned [0x0DE0]',
	0x0DE1 : 'Unassigned [0x0DE1]',
	0x0DE2 : 'Unassigned [0x0DE2]',
	0x0DE3 : 'Unassigned [0x0DE3]',
	0x0DE4 : 'Unassigned [0x0DE4]',
	0x0DE5 : 'Unassigned [0x0DE5]',
	0x0DE6 : 'Unassigned [0x0DE6]',
	0x0DE7 : 'Unassigned [0x0DE7]',
	0x0DE8 : 'Unassigned [0x0DE8]',
	0x0DE9 : 'Unassigned [0x0DE9]',
	0x0DEA : 'Unassigned [0x0DEA]',
	0x0DEB : 'Unassigned [0x0DEB]',
	0x0DEC : 'Unassigned [0x0DEC]',
	0x0DED : 'Unassigned [0x0DED]',
	0x0DEE : 'Unassigned [0x0DEE]',
	0x0DEF : 'Unassigned [0x0DEF]',
	0x0DF0 : 'Unassigned [0x0DF0]',
	0x0DF1 : 'Unassigned [0x0DF1]',
	0x0DF2 : 'Unassigned [0x0DF2]',
	0x0DF3 : 'Unassigned [0x0DF3]',
	0x0DF4 : 'Unassigned [0x0DF4]',
	0x0DF5 : 'Unassigned [0x0DF5]',
	0x0DF6 : 'Unassigned [0x0DF6]',
	0x0DF7 : 'Unassigned [0x0DF7]',
	0x0DF8 : 'Unassigned [0x0DF8]',
	0x0DF9 : 'Unassigned [0x0DF9]',
	0x0DFA : 'Unassigned [0x0DFA]',
	0x0DFB : 'Unassigned [0x0DFB]',
	0x0DFC : 'Unassigned [0x0DFC]',
	0x0DFD : 'Unassigned [0x0DFD]',
	0x0DFE : 'Unassigned [0x0DFE]',
	0x0DFF : 'Unassigned [0x0DFF]',
	0x0E00 : 'Unassigned [0x0E00]',
	0x0E01 : 'Unassigned [0x0E01]',
	0x0E02 : 'Unassigned [0x0E02]',
	0x0E03 : 'Unassigned [0x0E03]',
	0x0E04 : 'Unassigned [0x0E04]',
	0x0E05 : 'Unassigned [0x0E05]',
	0x0E06 : 'Unassigned [0x0E06]',
	0x0E07 : 'Unassigned [0x0E07]',
	0x0E08 : 'Unassigned [0x0E08]',
	0x0E09 : 'Unassigned [0x0E09]',
	0x0E0A : 'Unassigned [0x0E0A]',
	0x0E0B : 'Unassigned [0x0E0B]',
	0x0E0C : 'Unassigned [0x0E0C]',
	0x0E0D : 'Unassigned [0x0E0D]',
	0x0E0E : 'Unassigned [0x0E0E]',
	0x0E0F : 'Unassigned [0x0E0F]',
	0x0E10 : 'Unassigned [0x0E10]',
	0x0E11 : 'Unassigned [0x0E11]',
	0x0E12 : 'Unassigned [0x0E12]',
	0x0E13 : 'Unassigned [0x0E13]',
	0x0E14 : 'Unassigned [0x0E14]',
	0x0E15 : 'Unassigned [0x0E15]',
	0x0E16 : 'Unassigned [0x0E16]',
	0x0E17 : 'Unassigned [0x0E17]',
	0x0E18 : 'Unassigned [0x0E18]',
	0x0E19 : 'Unassigned [0x0E19]',
	0x0E1A : 'Unassigned [0x0E1A]',
	0x0E1B : 'Unassigned [0x0E1B]',
	0x0E1C : 'Unassigned [0x0E1C]',
	0x0E1D : 'Unassigned [0x0E1D]',
	0x0E1E : 'Unassigned [0x0E1E]',
	0x0E1F : 'Unassigned [0x0E1F]',
	0x0E20 : 'Unassigned [0x0E20]',
	0x0E21 : 'Unassigned [0x0E21]',
	0x0E22 : 'Unassigned [0x0E22]',
	0x0E23 : 'Unassigned [0x0E23]',
	0x0E24 : 'Unassigned [0x0E24]',
	0x0E25 : 'Unassigned [0x0E25]',
	0x0E26 : 'Unassigned [0x0E26]',
	0x0E27 : 'Unassigned [0x0E27]',
	0x0E28 : 'Unassigned [0x0E28]',
	0x0E29 : 'Unassigned [0x0E29]',
	0x0E2A : 'Unassigned [0x0E2A]',
	0x0E2B : 'Unassigned [0x0E2B]',
	0x0E2C : 'Unassigned [0x0E2C]',
	0x0E2D : 'Unassigned [0x0E2D]',
	0x0E2E : 'Unassigned [0x0E2E]',
	0x0E2F : 'Unassigned [0x0E2F]',
	0x0E30 : 'Unassigned [0x0E30]',
	0x0E31 : 'Unassigned [0x0E31]',
	0x0E32 : 'Unassigned [0x0E32]',
	0x0E33 : 'Unassigned [0x0E33]',
	0x0E34 : 'Unassigned [0x0E34]',
	0x0E35 : 'Unassigned [0x0E35]',
	0x0E36 : 'Unassigned [0x0E36]',
	0x0E37 : 'Unassigned [0x0E37]',
	0x0E38 : 'Unassigned [0x0E38]',
	0x0E39 : 'Unassigned [0x0E39]',
	0x0E3A : 'Unassigned [0x0E3A]',
	0x0E3B : 'Unassigned [0x0E3B]',
	0x0E3C : 'Unassigned [0x0E3C]',
	0x0E3D : 'Unassigned [0x0E3D]',
	0x0E3E : 'Unassigned [0x0E3E]',
	0x0E3F : 'Unassigned [0x0E3F]',
	0x0E40 : 'Unassigned [0x0E40]',
	0x0E41 : 'Unassigned [0x0E41]',
	0x0E42 : 'Unassigned [0x0E42]',
	0x0E43 : 'Unassigned [0x0E43]',
	0x0E44 : 'Unassigned [0x0E44]',
	0x0E45 : 'Unassigned [0x0E45]',
	0x0E46 : 'Unassigned [0x0E46]',
	0x0E47 : 'Unassigned [0x0E47]',
	0x0E48 : 'Unassigned [0x0E48]',
	0x0E49 : 'Unassigned [0x0E49]',
	0x0E4A : 'Unassigned [0x0E4A]',
	0x0E4B : 'Unassigned [0x0E4B]',
	0x0E4C : 'Unassigned [0x0E4C]',
	0x0E4D : 'Unassigned [0x0E4D]',
	0x0E4E : 'Unassigned [0x0E4E]',
	0x0E4F : 'Unassigned [0x0E4F]',
	0x0E50 : 'Unassigned [0x0E50]',
	0x0E51 : 'Unassigned [0x0E51]',
	0x0E52 : 'Unassigned [0x0E52]',
	0x0E53 : 'Unassigned [0x0E53]',
	0x0E54 : 'Unassigned [0x0E54]',
	0x0E55 : 'Unassigned [0x0E55]',
	0x0E56 : 'Unassigned [0x0E56]',
	0x0E57 : 'Unassigned [0x0E57]',
	0x0E58 : 'Unassigned [0x0E58]',
	0x0E59 : 'Unassigned [0x0E59]',
	0x0E5A : 'Unassigned [0x0E5A]',
	0x0E5B : 'Unassigned [0x0E5B]',
	0x0E5C : 'Unassigned [0x0E5C]',
	0x0E5D : 'Unassigned [0x0E5D]',
	0x0E5E : 'Unassigned [0x0E5E]',
	0x0E5F : 'Unassigned [0x0E5F]',
	0x0E60 : 'Unassigned [0x0E60]',
	0x0E61 : 'Unassigned [0x0E61]',
	0x0E62 : 'Unassigned [0x0E62]',
	0x0E63 : 'Unassigned [0x0E63]',
	0x0E64 : 'Unassigned [0x0E64]',
	0x0E65 : 'Unassigned [0x0E65]',
	0x0E66 : 'Unassigned [0x0E66]',
	0x0E67 : 'Unassigned [0x0E67]',
	0x0E68 : 'Unassigned [0x0E68]',
	0x0E69 : 'Unassigned [0x0E69]',
	0x0E6A : 'Unassigned [0x0E6A]',
	0x0E6B : 'Unassigned [0x0E6B]',
	0x0E6C : 'Unassigned [0x0E6C]',
	0x0E6D : 'Unassigned [0x0E6D]',
	0x0E6E : 'Unassigned [0x0E6E]',
	0x0E6F : 'Unassigned [0x0E6F]',
	0x0E70 : 'Unassigned [0x0E70]',
	0x0E71 : 'Unassigned [0x0E71]',
	0x0E72 : 'Unassigned [0x0E72]',
	0x0E73 : 'Unassigned [0x0E73]',
	0x0E74 : 'Unassigned [0x0E74]',
	0x0E75 : 'Unassigned [0x0E75]',
	0x0E76 : 'Unassigned [0x0E76]',
	0x0E77 : 'Unassigned [0x0E77]',
	0x0E78 : 'Unassigned [0x0E78]',
	0x0E79 : 'Unassigned [0x0E79]',
	0x0E7A : 'Unassigned [0x0E7A]',
	0x0E7B : 'Unassigned [0x0E7B]',
	0x0E7C : 'Unassigned [0x0E7C]',
	0x0E7D : 'Unassigned [0x0E7D]',
	0x0E7E : 'Unassigned [0x0E7E]',
	0x0E7F : 'Unassigned [0x0E7F]',
	0x0E80 : 'Unassigned [0x0E80]',
	0x0E81 : 'Unassigned [0x0E81]',
	0x0E82 : 'Unassigned [0x0E82]',
	0x0E83 : 'Unassigned [0x0E83]',
	0x0E84 : 'Unassigned [0x0E84]',
	0x0E85 : 'Unassigned [0x0E85]',
	0x0E86 : 'Unassigned [0x0E86]',
	0x0E87 : 'Unassigned [0x0E87]',
	0x0E88 : 'Unassigned [0x0E88]',
	0x0E89 : 'Unassigned [0x0E89]',
	0x0E8A : 'Unassigned [0x0E8A]',
	0x0E8B : 'Unassigned [0x0E8B]',
	0x0E8C : 'Unassigned [0x0E8C]',
	0x0E8D : 'Unassigned [0x0E8D]',
	0x0E8E : 'Unassigned [0x0E8E]',
	0x0E8F : 'Unassigned [0x0E8F]',
	0x0E90 : 'Unassigned [0x0E90]',
	0x0E91 : 'Unassigned [0x0E91]',
	0x0E92 : 'Unassigned [0x0E92]',
	0x0E93 : 'Unassigned [0x0E93]',
	0x0E94 : 'Unassigned [0x0E94]',
	0x0E95 : 'Unassigned [0x0E95]',
	0x0E96 : 'Unassigned [0x0E96]',
	0x0E97 : 'Unassigned [0x0E97]',
	0x0E98 : 'Unassigned [0x0E98]',
	0x0E99 : 'Unassigned [0x0E99]',
	0x0E9A : 'Unassigned [0x0E9A]',
	0x0E9B : 'Unassigned [0x0E9B]',
	0x0E9C : 'Unassigned [0x0E9C]',
	0x0E9D : 'Unassigned [0x0E9D]',
	0x0E9E : 'Unassigned [0x0E9E]',
	0x0E9F : 'Unassigned [0x0E9F]',
	0x0EA0 : 'Unassigned [0x0EA0]',
	0x0EA1 : 'Unassigned [0x0EA1]',
	0x0EA2 : 'Unassigned [0x0EA2]',
	0x0EA3 : 'Unassigned [0x0EA3]',
	0x0EA4 : 'Unassigned [0x0EA4]',
	0x0EA5 : 'Unassigned [0x0EA5]',
	0x0EA6 : 'Unassigned [0x0EA6]',
	0x0EA7 : 'Unassigned [0x0EA7]',
	0x0EA8 : 'Unassigned [0x0EA8]',
	0x0EA9 : 'Unassigned [0x0EA9]',
	0x0EAA : 'Unassigned [0x0EAA]',
	0x0EAB : 'Unassigned [0x0EAB]',
	0x0EAC : 'Unassigned [0x0EAC]',
	0x0EAD : 'Unassigned [0x0EAD]',
	0x0EAE : 'Unassigned [0x0EAE]',
	0x0EAF : 'Unassigned [0x0EAF]',
	0x0EB0 : 'Unassigned [0x0EB0]',
	0x0EB1 : 'Unassigned [0x0EB1]',
	0x0EB2 : 'Unassigned [0x0EB2]',
	0x0EB3 : 'Unassigned [0x0EB3]',
	0x0EB4 : 'Unassigned [0x0EB4]',
	0x0EB5 : 'Unassigned [0x0EB5]',
	0x0EB6 : 'Unassigned [0x0EB6]',
	0x0EB7 : 'Unassigned [0x0EB7]',
	0x0EB8 : 'Unassigned [0x0EB8]',
	0x0EB9 : 'Unassigned [0x0EB9]',
	0x0EBA : 'Unassigned [0x0EBA]',
	0x0EBB : 'Unassigned [0x0EBB]',
	0x0EBC : 'Unassigned [0x0EBC]',
	0x0EBD : 'Unassigned [0x0EBD]',
	0x0EBE : 'Unassigned [0x0EBE]',
	0x0EBF : 'Unassigned [0x0EBF]',
	0x0EC0 : 'Unassigned [0x0EC0]',
	0x0EC1 : 'Unassigned [0x0EC1]',
	0x0EC2 : 'Unassigned [0x0EC2]',
	0x0EC3 : 'Unassigned [0x0EC3]',
	0x0EC4 : 'Unassigned [0x0EC4]',
	0x0EC5 : 'Unassigned [0x0EC5]',
	0x0EC6 : 'Unassigned [0x0EC6]',
	0x0EC7 : 'Unassigned [0x0EC7]',
	0x0EC8 : 'Unassigned [0x0EC8]',
	0x0EC9 : 'Unassigned [0x0EC9]',
	0x0ECA : 'Unassigned [0x0ECA]',
	0x0ECB : 'Unassigned [0x0ECB]',
	0x0ECC : 'Unassigned [0x0ECC]',
	0x0ECD : 'Unassigned [0x0ECD]',
	0x0ECE : 'Unassigned [0x0ECE]',
	0x0ECF : 'Unassigned [0x0ECF]',
	0x0ED0 : 'Unassigned [0x0ED0]',
	0x0ED1 : 'Unassigned [0x0ED1]',
	0x0ED2 : 'Unassigned [0x0ED2]',
	0x0ED3 : 'Unassigned [0x0ED3]',
	0x0ED4 : 'Unassigned [0x0ED4]',
	0x0ED5 : 'Unassigned [0x0ED5]',
	0x0ED6 : 'Unassigned [0x0ED6]',
	0x0ED7 : 'Unassigned [0x0ED7]',
	0x0ED8 : 'Unassigned [0x0ED8]',
	0x0ED9 : 'Unassigned [0x0ED9]',
	0x0EDA : 'Unassigned [0x0EDA]',
	0x0EDB : 'Unassigned [0x0EDB]',
	0x0EDC : 'Unassigned [0x0EDC]',
	0x0EDD : 'Unassigned [0x0EDD]',
	0x0EDE : 'Unassigned [0x0EDE]',
	0x0EDF : 'Unassigned [0x0EDF]',
	0x0EE0 : 'Unassigned [0x0EE0]',
	0x0EE1 : 'Unassigned [0x0EE1]',
	0x0EE2 : 'Unassigned [0x0EE2]',
	0x0EE3 : 'Unassigned [0x0EE3]',
	0x0EE4 : 'Unassigned [0x0EE4]',
	0x0EE5 : 'Unassigned [0x0EE5]',
	0x0EE6 : 'Unassigned [0x0EE6]',
	0x0EE7 : 'Unassigned [0x0EE7]',
	0x0EE8 : 'Unassigned [0x0EE8]',
	0x0EE9 : 'Unassigned [0x0EE9]',
	0x0EEA : 'Unassigned [0x0EEA]',
	0x0EEB : 'Unassigned [0x0EEB]',
	0x0EEC : 'Unassigned [0x0EEC]',
	0x0EED : 'Unassigned [0x0EED]',
	0x0EEE : 'Unassigned [0x0EEE]',
	0x0EEF : 'Unassigned [0x0EEF]',
	0x0EF0 : 'Unassigned [0x0EF0]',
	0x0EF1 : 'Unassigned [0x0EF1]',
	0x0EF2 : 'Unassigned [0x0EF2]',
	0x0EF3 : 'Unassigned [0x0EF3]',
	0x0EF4 : 'Unassigned [0x0EF4]',
	0x0EF5 : 'Unassigned [0x0EF5]',
	0x0EF6 : 'Unassigned [0x0EF6]',
	0x0EF7 : 'Unassigned [0x0EF7]',
	0x0EF8 : 'Unassigned [0x0EF8]',
	0x0EF9 : 'Unassigned [0x0EF9]',
	0x0EFA : 'Unassigned [0x0EFA]',
	0x0EFB : 'Unassigned [0x0EFB]',
	0x0EFC : 'Unassigned [0x0EFC]',
	0x0EFD : 'Unassigned [0x0EFD]',
	0x0EFE : 'Unassigned [0x0EFE]',
	0x0EFF : 'Unassigned [0x0EFF]',
	0x0F00 : 'Unassigned [0x0F00]',
	0x0F01 : 'Unassigned [0x0F01]',
	0x0F02 : 'Unassigned [0x0F02]',
	0x0F03 : 'Unassigned [0x0F03]',
	0x0F04 : 'Unassigned [0x0F04]',
	0x0F05 : 'Unassigned [0x0F05]',
	0x0F06 : 'Unassigned [0x0F06]',
	0x0F07 : 'Unassigned [0x0F07]',
	0x0F08 : 'Unassigned [0x0F08]',
	0x0F09 : 'Unassigned [0x0F09]',
	0x0F0A : 'Unassigned [0x0F0A]',
	0x0F0B : 'Unassigned [0x0F0B]',
	0x0F0C : 'Unassigned [0x0F0C]',
	0x0F0D : 'Unassigned [0x0F0D]',
	0x0F0E : 'Unassigned [0x0F0E]',
	0x0F0F : 'Unassigned [0x0F0F]',
	0x0F10 : 'Unassigned [0x0F10]',
	0x0F11 : 'Unassigned [0x0F11]',
	0x0F12 : 'Unassigned [0x0F12]',
	0x0F13 : 'Unassigned [0x0F13]',
	0x0F14 : 'Unassigned [0x0F14]',
	0x0F15 : 'Unassigned [0x0F15]',
	0x0F16 : 'Unassigned [0x0F16]',
	0x0F17 : 'Unassigned [0x0F17]',
	0x0F18 : 'Unassigned [0x0F18]',
	0x0F19 : 'Unassigned [0x0F19]',
	0x0F1A : 'Unassigned [0x0F1A]',
	0x0F1B : 'Unassigned [0x0F1B]',
	0x0F1C : 'Unassigned [0x0F1C]',
	0x0F1D : 'Unassigned [0x0F1D]',
	0x0F1E : 'Unassigned [0x0F1E]',
	0x0F1F : 'Unassigned [0x0F1F]',
	0x0F20 : 'Unassigned [0x0F20]',
	0x0F21 : 'Unassigned [0x0F21]',
	0x0F22 : 'Unassigned [0x0F22]',
	0x0F23 : 'Unassigned [0x0F23]',
	0x0F24 : 'Unassigned [0x0F24]',
	0x0F25 : 'Unassigned [0x0F25]',
	0x0F26 : 'Unassigned [0x0F26]',
	0x0F27 : 'Unassigned [0x0F27]',
	0x0F28 : 'Unassigned [0x0F28]',
	0x0F29 : 'Unassigned [0x0F29]',
	0x0F2A : 'Unassigned [0x0F2A]',
	0x0F2B : 'Unassigned [0x0F2B]',
	0x0F2C : 'Unassigned [0x0F2C]',
	0x0F2D : 'Unassigned [0x0F2D]',
	0x0F2E : 'Unassigned [0x0F2E]',
	0x0F2F : 'Unassigned [0x0F2F]',
	0x0F30 : 'Unassigned [0x0F30]',
	0x0F31 : 'Unassigned [0x0F31]',
	0x0F32 : 'Unassigned [0x0F32]',
	0x0F33 : 'Unassigned [0x0F33]',
	0x0F34 : 'Unassigned [0x0F34]',
	0x0F35 : 'Unassigned [0x0F35]',
	0x0F36 : 'Unassigned [0x0F36]',
	0x0F37 : 'Unassigned [0x0F37]',
	0x0F38 : 'Unassigned [0x0F38]',
	0x0F39 : 'Unassigned [0x0F39]',
	0x0F3A : 'Unassigned [0x0F3A]',
	0x0F3B : 'Unassigned [0x0F3B]',
	0x0F3C : 'Unassigned [0x0F3C]',
	0x0F3D : 'Unassigned [0x0F3D]',
	0x0F3E : 'Unassigned [0x0F3E]',
	0x0F3F : 'Unassigned [0x0F3F]',
	0x0F40 : 'Unassigned [0x0F40]',
	0x0F41 : 'Unassigned [0x0F41]',
	0x0F42 : 'Unassigned [0x0F42]',
	0x0F43 : 'Unassigned [0x0F43]',
	0x0F44 : 'Unassigned [0x0F44]',
	0x0F45 : 'Unassigned [0x0F45]',
	0x0F46 : 'Unassigned [0x0F46]',
	0x0F47 : 'Unassigned [0x0F47]',
	0x0F48 : 'Unassigned [0x0F48]',
	0x0F49 : 'Unassigned [0x0F49]',
	0x0F4A : 'Unassigned [0x0F4A]',
	0x0F4B : 'Unassigned [0x0F4B]',
	0x0F4C : 'Unassigned [0x0F4C]',
	0x0F4D : 'Unassigned [0x0F4D]',
	0x0F4E : 'Unassigned [0x0F4E]',
	0x0F4F : 'Unassigned [0x0F4F]',
	0x0F50 : 'Unassigned [0x0F50]',
	0x0F51 : 'Unassigned [0x0F51]',
	0x0F52 : 'Unassigned [0x0F52]',
	0x0F53 : 'Unassigned [0x0F53]',
	0x0F54 : 'Unassigned [0x0F54]',
	0x0F55 : 'Unassigned [0x0F55]',
	0x0F56 : 'Unassigned [0x0F56]',
	0x0F57 : 'Unassigned [0x0F57]',
	0x0F58 : 'Unassigned [0x0F58]',
	0x0F59 : 'Unassigned [0x0F59]',
	0x0F5A : 'Unassigned [0x0F5A]',
	0x0F5B : 'Unassigned [0x0F5B]',
	0x0F5C : 'Unassigned [0x0F5C]',
	0x0F5D : 'Unassigned [0x0F5D]',
	0x0F5E : 'Unassigned [0x0F5E]',
	0x0F5F : 'Unassigned [0x0F5F]',
	0x0F60 : 'Unassigned [0x0F60]',
	0x0F61 : 'Unassigned [0x0F61]',
	0x0F62 : 'Unassigned [0x0F62]',
	0x0F63 : 'Unassigned [0x0F63]',
	0x0F64 : 'Unassigned [0x0F64]',
	0x0F65 : 'Unassigned [0x0F65]',
	0x0F66 : 'Unassigned [0x0F66]',
	0x0F67 : 'Unassigned [0x0F67]',
	0x0F68 : 'Unassigned [0x0F68]',
	0x0F69 : 'Unassigned [0x0F69]',
	0x0F6A : 'Unassigned [0x0F6A]',
	0x0F6B : 'Unassigned [0x0F6B]',
	0x0F6C : 'Unassigned [0x0F6C]',
	0x0F6D : 'Unassigned [0x0F6D]',
	0x0F6E : 'Unassigned [0x0F6E]',
	0x0F6F : 'Unassigned [0x0F6F]',
	0x0F70 : 'Unassigned [0x0F70]',
	0x0F71 : 'Unassigned [0x0F71]',
	0x0F72 : 'Unassigned [0x0F72]',
	0x0F73 : 'Unassigned [0x0F73]',
	0x0F74 : 'Unassigned [0x0F74]',
	0x0F75 : 'Unassigned [0x0F75]',
	0x0F76 : 'Unassigned [0x0F76]',
	0x0F77 : 'Unassigned [0x0F77]',
	0x0F78 : 'Unassigned [0x0F78]',
	0x0F79 : 'Unassigned [0x0F79]',
	0x0F7A : 'Unassigned [0x0F7A]',
	0x0F7B : 'Unassigned [0x0F7B]',
	0x0F7C : 'Unassigned [0x0F7C]',
	0x0F7D : 'Unassigned [0x0F7D]',
	0x0F7E : 'Unassigned [0x0F7E]',
	0x0F7F : 'Unassigned [0x0F7F]',
	0x0F80 : 'Unassigned [0x0F80]',
	0x0F81 : 'Unassigned [0x0F81]',
	0x0F82 : 'Unassigned [0x0F82]',
	0x0F83 : 'Unassigned [0x0F83]',
	0x0F84 : 'Unassigned [0x0F84]',
	0x0F85 : 'Unassigned [0x0F85]',
	0x0F86 : 'Unassigned [0x0F86]',
	0x0F87 : 'Unassigned [0x0F87]',
	0x0F88 : 'Unassigned [0x0F88]',
	0x0F89 : 'Unassigned [0x0F89]',
	0x0F8A : 'Unassigned [0x0F8A]',
	0x0F8B : 'Unassigned [0x0F8B]',
	0x0F8C : 'Unassigned [0x0F8C]',
	0x0F8D : 'Unassigned [0x0F8D]',
	0x0F8E : 'Unassigned [0x0F8E]',
	0x0F8F : 'Unassigned [0x0F8F]',
	0x0F90 : 'Unassigned [0x0F90]',
	0x0F91 : 'Unassigned [0x0F91]',
	0x0F92 : 'Unassigned [0x0F92]',
	0x0F93 : 'Unassigned [0x0F93]',
	0x0F94 : 'Unassigned [0x0F94]',
	0x0F95 : 'Unassigned [0x0F95]',
	0x0F96 : 'Unassigned [0x0F96]',
	0x0F97 : 'Unassigned [0x0F97]',
	0x0F98 : 'Unassigned [0x0F98]',
	0x0F99 : 'Unassigned [0x0F99]',
	0x0F9A : 'Unassigned [0x0F9A]',
	0x0F9B : 'Unassigned [0x0F9B]',
	0x0F9C : 'Unassigned [0x0F9C]',
	0x0F9D : 'Unassigned [0x0F9D]',
	0x0F9E : 'Unassigned [0x0F9E]',
	0x0F9F : 'Unassigned [0x0F9F]',
	0x0FA0 : 'Unassigned [0x0FA0]',
	0x0FA1 : 'Unassigned [0x0FA1]',
	0x0FA2 : 'Unassigned [0x0FA2]',
	0x0FA3 : 'Unassigned [0x0FA3]',
	0x0FA4 : 'Unassigned [0x0FA4]',
	0x0FA5 : 'Unassigned [0x0FA5]',
	0x0FA6 : 'Unassigned [0x0FA6]',
	0x0FA7 : 'Unassigned [0x0FA7]',
	0x0FA8 : 'Unassigned [0x0FA8]',
	0x0FA9 : 'Unassigned [0x0FA9]',
	0x0FAA : 'Unassigned [0x0FAA]',
	0x0FAB : 'Unassigned [0x0FAB]',
	0x0FAC : 'Unassigned [0x0FAC]',
	0x0FAD : 'Unassigned [0x0FAD]',
	0x0FAE : 'Unassigned [0x0FAE]',
	0x0FAF : 'Unassigned [0x0FAF]',
	0x0FB0 : 'Unassigned [0x0FB0]',
	0x0FB1 : 'Unassigned [0x0FB1]',
	0x0FB2 : 'Unassigned [0x0FB2]',
	0x0FB3 : 'Unassigned [0x0FB3]',
	0x0FB4 : 'Unassigned [0x0FB4]',
	0x0FB5 : 'Unassigned [0x0FB5]',
	0x0FB6 : 'Unassigned [0x0FB6]',
	0x0FB7 : 'Unassigned [0x0FB7]',
	0x0FB8 : 'Unassigned [0x0FB8]',
	0x0FB9 : 'Unassigned [0x0FB9]',
	0x0FBA : 'Unassigned [0x0FBA]',
	0x0FBB : 'Unassigned [0x0FBB]',
	0x0FBC : 'Unassigned [0x0FBC]',
	0x0FBD : 'Unassigned [0x0FBD]',
	0x0FBE : 'Unassigned [0x0FBE]',
	0x0FBF : 'Unassigned [0x0FBF]',
	0x0FC0 : 'Unassigned [0x0FC0]',
	0x0FC1 : 'Unassigned [0x0FC1]',
	0x0FC2 : 'Unassigned [0x0FC2]',
	0x0FC3 : 'Unassigned [0x0FC3]',
	0x0FC4 : 'Unassigned [0x0FC4]',
	0x0FC5 : 'Unassigned [0x0FC5]',
	0x0FC6 : 'Unassigned [0x0FC6]',
	0x0FC7 : 'Unassigned [0x0FC7]',
	0x0FC8 : 'Unassigned [0x0FC8]',
	0x0FC9 : 'Unassigned [0x0FC9]',
	0x0FCA : 'Unassigned [0x0FCA]',
	0x0FCB : 'Unassigned [0x0FCB]',
	0x0FCC : 'Unassigned [0x0FCC]',
	0x0FCD : 'Unassigned [0x0FCD]',
	0x0FCE : 'Unassigned [0x0FCE]',
	0x0FCF : 'Unassigned [0x0FCF]',
	0x0FD0 : 'Unassigned [0x0FD0]',
	0x0FD1 : 'Unassigned [0x0FD1]',
	0x0FD2 : 'Unassigned [0x0FD2]',
	0x0FD3 : 'Unassigned [0x0FD3]',
	0x0FD4 : 'Unassigned [0x0FD4]',
	0x0FD5 : 'Unassigned [0x0FD5]',
	0x0FD6 : 'Unassigned [0x0FD6]',
	0x0FD7 : 'Unassigned [0x0FD7]',
	0x0FD8 : 'Unassigned [0x0FD8]',
	0x0FD9 : 'Unassigned [0x0FD9]',
	0x0FDA : 'Unassigned [0x0FDA]',
	0x0FDB : 'Unassigned [0x0FDB]',
	0x0FDC : 'Unassigned [0x0FDC]',
	0x0FDD : 'Unassigned [0x0FDD]',
	0x0FDE : 'Unassigned [0x0FDE]',
	0x0FDF : 'Unassigned [0x0FDF]',
	0x0FE0 : 'Unassigned [0x0FE0]',
	0x0FE1 : 'Unassigned [0x0FE1]',
	0x0FE2 : 'Unassigned [0x0FE2]',
	0x0FE3 : 'Unassigned [0x0FE3]',
	0x0FE4 : 'Unassigned [0x0FE4]',
	0x0FE5 : 'Unassigned [0x0FE5]',
	0x0FE6 : 'Unassigned [0x0FE6]',
	0x0FE7 : 'Unassigned [0x0FE7]',
	0x0FE8 : 'Unassigned [0x0FE8]',
	0x0FE9 : 'Unassigned [0x0FE9]',
	0x0FEA : 'Unassigned [0x0FEA]',
	0x0FEB : 'Unassigned [0x0FEB]',
	0x0FEC : 'Unassigned [0x0FEC]',
	0x0FED : 'Unassigned [0x0FED]',
	0x0FEE : 'Unassigned [0x0FEE]',
	0x0FEF : 'Unassigned [0x0FEF]',
	0x0FF0 : 'Unassigned [0x0FF0]',
	0x0FF1 : 'Unassigned [0x0FF1]',
	0x0FF2 : 'Unassigned [0x0FF2]',
	0x0FF3 : 'Unassigned [0x0FF3]',
	0x0FF4 : 'Unassigned [0x0FF4]',
	0x0FF5 : 'Unassigned [0x0FF5]',
	0x0FF6 : 'Unassigned [0x0FF6]',
	0x0FF7 : 'Unassigned [0x0FF7]',
	0x0FF8 : 'Unassigned [0x0FF8]',
	0x0FF9 : 'Unassigned [0x0FF9]',
	0x0FFA : 'Unassigned [0x0FFA]',
	0x0FFB : 'Unassigned [0x0FFB]',
	0x0FFC : 'Unassigned [0x0FFC]',
	0x0FFD : 'Unassigned [0x0FFD]',
	0x0FFE : 'Unassigned [0x0FFE]',
	0x0FFF : 'Unassigned [0x0FFF]',
	0x1000 : 'Unassigned [0x1000]',
	0x1001 : 'Unassigned [0x1001]',
	0x1002 : 'Unassigned [0x1002]',
	0x1003 : 'Unassigned [0x1003]',
	0x1004 : 'Unassigned [0x1004]',
	0x1005 : 'Unassigned [0x1005]',
	0x1006 : 'Unassigned [0x1006]',
	0x1007 : 'Unassigned [0x1007]',
	0x1008 : 'Unassigned [0x1008]',
	0x1009 : 'Unassigned [0x1009]',
	0x100A : 'Unassigned [0x100A]',
	0x100B : 'Unassigned [0x100B]',
	0x100C : 'Unassigned [0x100C]',
	0x100D : 'Unassigned [0x100D]',
	0x100E : 'Unassigned [0x100E]',
	0x100F : 'Unassigned [0x100F]',
	0x1010 : 'Unassigned [0x1010]',
	0x1011 : 'Unassigned [0x1011]',
	0x1012 : 'Unassigned [0x1012]',
	0x1013 : 'Unassigned [0x1013]',
	0x1014 : 'Unassigned [0x1014]',
	0x1015 : 'Unassigned [0x1015]',
	0x1016 : 'Unassigned [0x1016]',
	0x1017 : 'Unassigned [0x1017]',
	0x1018 : 'Unassigned [0x1018]',
	0x1019 : 'Unassigned [0x1019]',
	0x101A : 'Unassigned [0x101A]',
	0x101B : 'Unassigned [0x101B]',
	0x101C : 'Unassigned [0x101C]',
	0x101D : 'Unassigned [0x101D]',
	0x101E : 'Unassigned [0x101E]',
	0x101F : 'Unassigned [0x101F]',
	0x1020 : 'Unassigned [0x1020]',
	0x1021 : 'Unassigned [0x1021]',
	0x1022 : 'Unassigned [0x1022]',
	0x1023 : 'Unassigned [0x1023]',
	0x1024 : 'Unassigned [0x1024]',
	0x1025 : 'Unassigned [0x1025]',
	0x1026 : 'Unassigned [0x1026]',
	0x1027 : 'Unassigned [0x1027]',
	0x1028 : 'Unassigned [0x1028]',
	0x1029 : 'Unassigned [0x1029]',
	0x102A : 'Unassigned [0x102A]',
	0x102B : 'Unassigned [0x102B]',
	0x102C : 'Unassigned [0x102C]',
	0x102D : 'Unassigned [0x102D]',
	0x102E : 'Unassigned [0x102E]',
	0x102F : 'Unassigned [0x102F]',
	0x1030 : 'Unassigned [0x1030]',
	0x1031 : 'Unassigned [0x1031]',
	0x1032 : 'Unassigned [0x1032]',
	0x1033 : 'Unassigned [0x1033]',
	0x1034 : 'Unassigned [0x1034]',
	0x1035 : 'Unassigned [0x1035]',
	0x1036 : 'Unassigned [0x1036]',
	0x1037 : 'Unassigned [0x1037]',
	0x1038 : 'Unassigned [0x1038]',
	0x1039 : 'Unassigned [0x1039]',
	0x103A : 'Unassigned [0x103A]',
	0x103B : 'Unassigned [0x103B]',
	0x103C : 'Unassigned [0x103C]',
	0x103D : 'Unassigned [0x103D]',
	0x103E : 'Unassigned [0x103E]',
	0x103F : 'Unassigned [0x103F]',
	0x1040 : 'Unassigned [0x1040]',
	0x1041 : 'Unassigned [0x1041]',
	0x1042 : 'Unassigned [0x1042]',
	0x1043 : 'Unassigned [0x1043]',
	0x1044 : 'Unassigned [0x1044]',
	0x1045 : 'Unassigned [0x1045]',
	0x1046 : 'Unassigned [0x1046]',
	0x1047 : 'Unassigned [0x1047]',
	0x1048 : 'Unassigned [0x1048]',
	0x1049 : 'Unassigned [0x1049]',
	0x104A : 'Unassigned [0x104A]',
	0x104B : 'Unassigned [0x104B]',
	0x104C : 'Unassigned [0x104C]',
	0x104D : 'Unassigned [0x104D]',
	0x104E : 'Unassigned [0x104E]',
	0x104F : 'Unassigned [0x104F]',
	0x1050 : 'Unassigned [0x1050]',
	0x1051 : 'Unassigned [0x1051]',
	0x1052 : 'Unassigned [0x1052]',
	0x1053 : 'Unassigned [0x1053]',
	0x1054 : 'Unassigned [0x1054]',
	0x1055 : 'Unassigned [0x1055]',
	0x1056 : 'Unassigned [0x1056]',
	0x1057 : 'Unassigned [0x1057]',
	0x1058 : 'Unassigned [0x1058]',
	0x1059 : 'Unassigned [0x1059]',
	0x105A : 'Unassigned [0x105A]',
	0x105B : 'Unassigned [0x105B]',
	0x105C : 'Unassigned [0x105C]',
	0x105D : 'Unassigned [0x105D]',
	0x105E : 'Unassigned [0x105E]',
	0x105F : 'Unassigned [0x105F]',
	0x1060 : 'Unassigned [0x1060]',
	0x1061 : 'Unassigned [0x1061]',
	0x1062 : 'Unassigned [0x1062]',
	0x1063 : 'Unassigned [0x1063]',
	0x1064 : 'Unassigned [0x1064]',
	0x1065 : 'Unassigned [0x1065]',
	0x1066 : 'Unassigned [0x1066]',
	0x1067 : 'Unassigned [0x1067]',
	0x1068 : 'Unassigned [0x1068]',
	0x1069 : 'Unassigned [0x1069]',
	0x106A : 'Unassigned [0x106A]',
	0x106B : 'Unassigned [0x106B]',
	0x106C : 'Unassigned [0x106C]',
	0x106D : 'Unassigned [0x106D]',
	0x106E : 'Unassigned [0x106E]',
	0x106F : 'Unassigned [0x106F]',
	0x1070 : 'Unassigned [0x1070]',
	0x1071 : 'Unassigned [0x1071]',
	0x1072 : 'Unassigned [0x1072]',
	0x1073 : 'Unassigned [0x1073]',
	0x1074 : 'Unassigned [0x1074]',
	0x1075 : 'Unassigned [0x1075]',
	0x1076 : 'Unassigned [0x1076]',
	0x1077 : 'Unassigned [0x1077]',
	0x1078 : 'Unassigned [0x1078]',
	0x1079 : 'Unassigned [0x1079]',
	0x107A : 'Unassigned [0x107A]',
	0x107B : 'Unassigned [0x107B]',
	0x107C : 'Unassigned [0x107C]',
	0x107D : 'Unassigned [0x107D]',
	0x107E : 'Unassigned [0x107E]',
	0x107F : 'Unassigned [0x107F]',
	0x1080 : 'Unassigned [0x1080]',
	0x1081 : 'Unassigned [0x1081]',
	0x1082 : 'Unassigned [0x1082]',
	0x1083 : 'Unassigned [0x1083]',
	0x1084 : 'Unassigned [0x1084]',
	0x1085 : 'Unassigned [0x1085]',
	0x1086 : 'Unassigned [0x1086]',
	0x1087 : 'Unassigned [0x1087]',
	0x1088 : 'Unassigned [0x1088]',
	0x1089 : 'Unassigned [0x1089]',
	0x108A : 'Unassigned [0x108A]',
	0x108B : 'Unassigned [0x108B]',
	0x108C : 'Unassigned [0x108C]',
	0x108D : 'Unassigned [0x108D]',
	0x108E : 'Unassigned [0x108E]',
	0x108F : 'Unassigned [0x108F]',
	0x1090 : 'Unassigned [0x1090]',
	0x1091 : 'Unassigned [0x1091]',
	0x1092 : 'Unassigned [0x1092]',
	0x1093 : 'Unassigned [0x1093]',
	0x1094 : 'Unassigned [0x1094]',
	0x1095 : 'Unassigned [0x1095]',
	0x1096 : 'Unassigned [0x1096]',
	0x1097 : 'Unassigned [0x1097]',
	0x1098 : 'Unassigned [0x1098]',
	0x1099 : 'Unassigned [0x1099]',
	0x109A : 'Unassigned [0x109A]',
	0x109B : 'Unassigned [0x109B]',
	0x109C : 'Unassigned [0x109C]',
	0x109D : 'Unassigned [0x109D]',
	0x109E : 'Unassigned [0x109E]',
	0x109F : 'Unassigned [0x109F]',
	0x10A0 : 'Unassigned [0x10A0]',
	0x10A1 : 'Unassigned [0x10A1]',
	0x10A2 : 'Unassigned [0x10A2]',
	0x10A3 : 'Unassigned [0x10A3]',
	0x10A4 : 'Unassigned [0x10A4]',
	0x10A5 : 'Unassigned [0x10A5]',
	0x10A6 : 'Unassigned [0x10A6]',
	0x10A7 : 'Unassigned [0x10A7]',
	0x10A8 : 'Unassigned [0x10A8]',
	0x10A9 : 'Unassigned [0x10A9]',
	0x10AA : 'Unassigned [0x10AA]',
	0x10AB : 'Unassigned [0x10AB]',
	0x10AC : 'Unassigned [0x10AC]',
	0x10AD : 'Unassigned [0x10AD]',
	0x10AE : 'Unassigned [0x10AE]',
	0x10AF : 'Unassigned [0x10AF]',
	0x10B0 : 'Unassigned [0x10B0]',
	0x10B1 : 'Unassigned [0x10B1]',
	0x10B2 : 'Unassigned [0x10B2]',
	0x10B3 : 'Unassigned [0x10B3]',
	0x10B4 : 'Unassigned [0x10B4]',
	0x10B5 : 'Unassigned [0x10B5]',
	0x10B6 : 'Unassigned [0x10B6]',
	0x10B7 : 'Unassigned [0x10B7]',
	0x10B8 : 'Unassigned [0x10B8]',
	0x10B9 : 'Unassigned [0x10B9]',
	0x10BA : 'Unassigned [0x10BA]',
	0x10BB : 'Unassigned [0x10BB]',
	0x10BC : 'Unassigned [0x10BC]',
	0x10BD : 'Unassigned [0x10BD]',
	0x10BE : 'Unassigned [0x10BE]',
	0x10BF : 'Unassigned [0x10BF]',
	0x10C0 : 'Unassigned [0x10C0]',
	0x10C1 : 'Unassigned [0x10C1]',
	0x10C2 : 'Unassigned [0x10C2]',
	0x10C3 : 'Unassigned [0x10C3]',
	0x10C4 : 'Unassigned [0x10C4]',
	0x10C5 : 'Unassigned [0x10C5]',
	0x10C6 : 'Unassigned [0x10C6]',
	0x10C7 : 'Unassigned [0x10C7]',
	0x10C8 : 'Unassigned [0x10C8]',
	0x10C9 : 'Unassigned [0x10C9]',
	0x10CA : 'Unassigned [0x10CA]',
	0x10CB : 'Unassigned [0x10CB]',
	0x10CC : 'Unassigned [0x10CC]',
	0x10CD : 'Unassigned [0x10CD]',
	0x10CE : 'Unassigned [0x10CE]',
	0x10CF : 'Unassigned [0x10CF]',
	0x10D0 : 'Unassigned [0x10D0]',
	0x10D1 : 'Unassigned [0x10D1]',
	0x10D2 : 'Unassigned [0x10D2]',
	0x10D3 : 'Unassigned [0x10D3]',
	0x10D4 : 'Unassigned [0x10D4]',
	0x10D5 : 'Unassigned [0x10D5]',
	0x10D6 : 'Unassigned [0x10D6]',
	0x10D7 : 'Unassigned [0x10D7]',
	0x10D8 : 'Unassigned [0x10D8]',
	0x10D9 : 'Unassigned [0x10D9]',
	0x10DA : 'Unassigned [0x10DA]',
	0x10DB : 'Unassigned [0x10DB]',
	0x10DC : 'Unassigned [0x10DC]',
	0x10DD : 'Unassigned [0x10DD]',
	0x10DE : 'Unassigned [0x10DE]',
	0x10DF : 'Unassigned [0x10DF]',
	0x10E0 : 'Unassigned [0x10E0]',
	0x10E1 : 'Unassigned [0x10E1]',
	0x10E2 : 'Unassigned [0x10E2]',
	0x10E3 : 'Unassigned [0x10E3]',
	0x10E4 : 'Unassigned [0x10E4]',
	0x10E5 : 'Unassigned [0x10E5]',
	0x10E6 : 'Unassigned [0x10E6]',
	0x10E7 : 'Unassigned [0x10E7]',
	0x10E8 : 'Unassigned [0x10E8]',
	0x10E9 : 'Unassigned [0x10E9]',
	0x10EA : 'Unassigned [0x10EA]',
	0x10EB : 'Unassigned [0x10EB]',
	0x10EC : 'Unassigned [0x10EC]',
	0x10ED : 'Unassigned [0x10ED]',
	0x10EE : 'Unassigned [0x10EE]',
	0x10EF : 'Unassigned [0x10EF]',
	0x10F0 : 'Unassigned [0x10F0]',
	0x10F1 : 'Unassigned [0x10F1]',
	0x10F2 : 'Unassigned [0x10F2]',
	0x10F3 : 'Unassigned [0x10F3]',
	0x10F4 : 'Unassigned [0x10F4]',
	0x10F5 : 'Unassigned [0x10F5]',
	0x10F6 : 'Unassigned [0x10F6]',
	0x10F7 : 'Unassigned [0x10F7]',
	0x10F8 : 'Unassigned [0x10F8]',
	0x10F9 : 'Unassigned [0x10F9]',
	0x10FA : 'Unassigned [0x10FA]',
	0x10FB : 'Unassigned [0x10FB]',
	0x10FC : 'Unassigned [0x10FC]',
	0x10FD : 'Unassigned [0x10FD]',
	0x10FE : 'Unassigned [0x10FE]',
	0x10FF : 'Unassigned [0x10FF]',
	0x1100 : 'Unassigned [0x1100]',
	0x1101 : 'Unassigned [0x1101]',
	0x1102 : 'Unassigned [0x1102]',
	0x1103 : 'Unassigned [0x1103]',
	0x1104 : 'Unassigned [0x1104]',
	0x1105 : 'Unassigned [0x1105]',
	0x1106 : 'Unassigned [0x1106]',
	0x1107 : 'Unassigned [0x1107]',
	0x1108 : 'Unassigned [0x1108]',
	0x1109 : 'Unassigned [0x1109]',
	0x110A : 'Unassigned [0x110A]',
	0x110B : 'Unassigned [0x110B]',
	0x110C : 'Unassigned [0x110C]',
	0x110D : 'Unassigned [0x110D]',
	0x110E : 'Unassigned [0x110E]',
	0x110F : 'Unassigned [0x110F]',
	0x1110 : 'Unassigned [0x1110]',
	0x1111 : 'Unassigned [0x1111]',
	0x1112 : 'Unassigned [0x1112]',
	0x1113 : 'Unassigned [0x1113]',
	0x1114 : 'Unassigned [0x1114]',
	0x1115 : 'Unassigned [0x1115]',
	0x1116 : 'Unassigned [0x1116]',
	0x1117 : 'Unassigned [0x1117]',
	0x1118 : 'Unassigned [0x1118]',
	0x1119 : 'Unassigned [0x1119]',
	0x111A : 'Unassigned [0x111A]',
	0x111B : 'Unassigned [0x111B]',
	0x111C : 'Unassigned [0x111C]',
	0x111D : 'Unassigned [0x111D]',
	0x111E : 'Unassigned [0x111E]',
	0x111F : 'Unassigned [0x111F]',
	0x1120 : 'Unassigned [0x1120]',
	0x1121 : 'Unassigned [0x1121]',
	0x1122 : 'Unassigned [0x1122]',
	0x1123 : 'Unassigned [0x1123]',
	0x1124 : 'Unassigned [0x1124]',
	0x1125 : 'Unassigned [0x1125]',
	0x1126 : 'Unassigned [0x1126]',
	0x1127 : 'Unassigned [0x1127]',
	0x1128 : 'Unassigned [0x1128]',
	0x1129 : 'Unassigned [0x1129]',
	0x112A : 'Unassigned [0x112A]',
	0x112B : 'Unassigned [0x112B]',
	0x112C : 'Unassigned [0x112C]',
	0x112D : 'Unassigned [0x112D]',
	0x112E : 'Unassigned [0x112E]',
	0x112F : 'Unassigned [0x112F]',
	0x1130 : 'Unassigned [0x1130]',
	0x1131 : 'Unassigned [0x1131]',
	0x1132 : 'Unassigned [0x1132]',
	0x1133 : 'Unassigned [0x1133]',
	0x1134 : 'Unassigned [0x1134]',
	0x1135 : 'Unassigned [0x1135]',
	0x1136 : 'Unassigned [0x1136]',
	0x1137 : 'Unassigned [0x1137]',
	0x1138 : 'Unassigned [0x1138]',
	0x1139 : 'Unassigned [0x1139]',
	0x113A : 'Unassigned [0x113A]',
	0x113B : 'Unassigned [0x113B]',
	0x113C : 'Unassigned [0x113C]',
	0x113D : 'Unassigned [0x113D]',
	0x113E : 'Unassigned [0x113E]',
	0x113F : 'Unassigned [0x113F]',
	0x1140 : 'Unassigned [0x1140]',
	0x1141 : 'Unassigned [0x1141]',
	0x1142 : 'Unassigned [0x1142]',
	0x1143 : 'Unassigned [0x1143]',
	0x1144 : 'Unassigned [0x1144]',
	0x1145 : 'Unassigned [0x1145]',
	0x1146 : 'Unassigned [0x1146]',
	0x1147 : 'Unassigned [0x1147]',
	0x1148 : 'Unassigned [0x1148]',
	0x1149 : 'Unassigned [0x1149]',
	0x114A : 'Unassigned [0x114A]',
	0x114B : 'Unassigned [0x114B]',
	0x114C : 'Unassigned [0x114C]',
	0x114D : 'Unassigned [0x114D]',
	0x114E : 'Unassigned [0x114E]',
	0x114F : 'Unassigned [0x114F]',
	0x1150 : 'Unassigned [0x1150]',
	0x1151 : 'Unassigned [0x1151]',
	0x1152 : 'Unassigned [0x1152]',
	0x1153 : 'Unassigned [0x1153]',
	0x1154 : 'Unassigned [0x1154]',
	0x1155 : 'Unassigned [0x1155]',
	0x1156 : 'Unassigned [0x1156]',
	0x1157 : 'Unassigned [0x1157]',
	0x1158 : 'Unassigned [0x1158]',
	0x1159 : 'Unassigned [0x1159]',
	0x115A : 'Unassigned [0x115A]',
	0x115B : 'Unassigned [0x115B]',
	0x115C : 'Unassigned [0x115C]',
	0x115D : 'Unassigned [0x115D]',
	0x115E : 'Unassigned [0x115E]',
	0x115F : 'Unassigned [0x115F]',
	0x1160 : 'Unassigned [0x1160]',
	0x1161 : 'Unassigned [0x1161]',
	0x1162 : 'Unassigned [0x1162]',
	0x1163 : 'Unassigned [0x1163]',
	0x1164 : 'Unassigned [0x1164]',
	0x1165 : 'Unassigned [0x1165]',
	0x1166 : 'Unassigned [0x1166]',
	0x1167 : 'Unassigned [0x1167]',
	0x1168 : 'Unassigned [0x1168]',
	0x1169 : 'Unassigned [0x1169]',
	0x116A : 'Unassigned [0x116A]',
	0x116B : 'Unassigned [0x116B]',
	0x116C : 'Unassigned [0x116C]',
	0x116D : 'Unassigned [0x116D]',
	0x116E : 'Unassigned [0x116E]',
	0x116F : 'Unassigned [0x116F]',
	0x1170 : 'Unassigned [0x1170]',
	0x1171 : 'Unassigned [0x1171]',
	0x1172 : 'Unassigned [0x1172]',
	0x1173 : 'Unassigned [0x1173]',
	0x1174 : 'Unassigned [0x1174]',
	0x1175 : 'Unassigned [0x1175]',
	0x1176 : 'Unassigned [0x1176]',
	0x1177 : 'Unassigned [0x1177]',
	0x1178 : 'Unassigned [0x1178]',
	0x1179 : 'Unassigned [0x1179]',
	0x117A : 'Unassigned [0x117A]',
	0x117B : 'Unassigned [0x117B]',
	0x117C : 'Unassigned [0x117C]',
	0x117D : 'Unassigned [0x117D]',
	0x117E : 'Unassigned [0x117E]',
	0x117F : 'Unassigned [0x117F]',
	0x1180 : 'Unassigned [0x1180]',
	0x1181 : 'Unassigned [0x1181]',
	0x1182 : 'Unassigned [0x1182]',
	0x1183 : 'Unassigned [0x1183]',
	0x1184 : 'Unassigned [0x1184]',
	0x1185 : 'Unassigned [0x1185]',
	0x1186 : 'Unassigned [0x1186]',
	0x1187 : 'Unassigned [0x1187]',
	0x1188 : 'Unassigned [0x1188]',
	0x1189 : 'Unassigned [0x1189]',
	0x118A : 'Unassigned [0x118A]',
	0x118B : 'Unassigned [0x118B]',
	0x118C : 'Unassigned [0x118C]',
	0x118D : 'Unassigned [0x118D]',
	0x118E : 'Unassigned [0x118E]',
	0x118F : 'Unassigned [0x118F]',
	0x1190 : 'Unassigned [0x1190]',
	0x1191 : 'Unassigned [0x1191]',
	0x1192 : 'Unassigned [0x1192]',
	0x1193 : 'Unassigned [0x1193]',
	0x1194 : 'Unassigned [0x1194]',
	0x1195 : 'Unassigned [0x1195]',
	0x1196 : 'Unassigned [0x1196]',
	0x1197 : 'Unassigned [0x1197]',
	0x1198 : 'Unassigned [0x1198]',
	0x1199 : 'Unassigned [0x1199]',
	0x119A : 'Unassigned [0x119A]',
	0x119B : 'Unassigned [0x119B]',
	0x119C : 'Unassigned [0x119C]',
	0x119D : 'Unassigned [0x119D]',
	0x119E : 'Unassigned [0x119E]',
	0x119F : 'Unassigned [0x119F]',
	0x11A0 : 'Unassigned [0x11A0]',
	0x11A1 : 'Unassigned [0x11A1]',
	0x11A2 : 'Unassigned [0x11A2]',
	0x11A3 : 'Unassigned [0x11A3]',
	0x11A4 : 'Unassigned [0x11A4]',
	0x11A5 : 'Unassigned [0x11A5]',
	0x11A6 : 'Unassigned [0x11A6]',
	0x11A7 : 'Unassigned [0x11A7]',
	0x11A8 : 'Unassigned [0x11A8]',
	0x11A9 : 'Unassigned [0x11A9]',
	0x11AA : 'Unassigned [0x11AA]',
	0x11AB : 'Unassigned [0x11AB]',
	0x11AC : 'Unassigned [0x11AC]',
	0x11AD : 'Unassigned [0x11AD]',
	0x11AE : 'Unassigned [0x11AE]',
	0x11AF : 'Unassigned [0x11AF]',
	0x11B0 : 'Unassigned [0x11B0]',
	0x11B1 : 'Unassigned [0x11B1]',
	0x11B2 : 'Unassigned [0x11B2]',
	0x11B3 : 'Unassigned [0x11B3]',
	0x11B4 : 'Unassigned [0x11B4]',
	0x11B5 : 'Unassigned [0x11B5]',
	0x11B6 : 'Unassigned [0x11B6]',
	0x11B7 : 'Unassigned [0x11B7]',
	0x11B8 : 'Unassigned [0x11B8]',
	0x11B9 : 'Unassigned [0x11B9]',
	0x11BA : 'Unassigned [0x11BA]',
	0x11BB : 'Unassigned [0x11BB]',
	0x11BC : 'Unassigned [0x11BC]',
	0x11BD : 'Unassigned [0x11BD]',
	0x11BE : 'Unassigned [0x11BE]',
	0x11BF : 'Unassigned [0x11BF]',
	0x11C0 : 'Unassigned [0x11C0]',
	0x11C1 : 'Unassigned [0x11C1]',
	0x11C2 : 'Unassigned [0x11C2]',
	0x11C3 : 'Unassigned [0x11C3]',
	0x11C4 : 'Unassigned [0x11C4]',
	0x11C5 : 'Unassigned [0x11C5]',
	0x11C6 : 'Unassigned [0x11C6]',
	0x11C7 : 'Unassigned [0x11C7]',
	0x11C8 : 'Unassigned [0x11C8]',
	0x11C9 : 'Unassigned [0x11C9]',
	0x11CA : 'Unassigned [0x11CA]',
	0x11CB : 'Unassigned [0x11CB]',
	0x11CC : 'Unassigned [0x11CC]',
	0x11CD : 'Unassigned [0x11CD]',
	0x11CE : 'Unassigned [0x11CE]',
	0x11CF : 'Unassigned [0x11CF]',
	0x11D0 : 'Unassigned [0x11D0]',
	0x11D1 : 'Unassigned [0x11D1]',
	0x11D2 : 'Unassigned [0x11D2]',
	0x11D3 : 'Unassigned [0x11D3]',
	0x11D4 : 'Unassigned [0x11D4]',
	0x11D5 : 'Unassigned [0x11D5]',
	0x11D6 : 'Unassigned [0x11D6]',
	0x11D7 : 'Unassigned [0x11D7]',
	0x11D8 : 'Unassigned [0x11D8]',
	0x11D9 : 'Unassigned [0x11D9]',
	0x11DA : 'Unassigned [0x11DA]',
	0x11DB : 'Unassigned [0x11DB]',
	0x11DC : 'Unassigned [0x11DC]',
	0x11DD : 'Unassigned [0x11DD]',
	0x11DE : 'Unassigned [0x11DE]',
	0x11DF : 'Unassigned [0x11DF]',
	0x11E0 : 'Unassigned [0x11E0]',
	0x11E1 : 'Unassigned [0x11E1]',
	0x11E2 : 'Unassigned [0x11E2]',
	0x11E3 : 'Unassigned [0x11E3]',
	0x11E4 : 'Unassigned [0x11E4]',
	0x11E5 : 'Unassigned [0x11E5]',
	0x11E6 : 'Unassigned [0x11E6]',
	0x11E7 : 'Unassigned [0x11E7]',
	0x11E8 : 'Unassigned [0x11E8]',
	0x11E9 : 'Unassigned [0x11E9]',
	0x11EA : 'Unassigned [0x11EA]',
	0x11EB : 'Unassigned [0x11EB]',
	0x11EC : 'Unassigned [0x11EC]',
	0x11ED : 'Unassigned [0x11ED]',
	0x11EE : 'Unassigned [0x11EE]',
	0x11EF : 'Unassigned [0x11EF]',
	0x11F0 : 'Unassigned [0x11F0]',
	0x11F1 : 'Unassigned [0x11F1]',
	0x11F2 : 'Unassigned [0x11F2]',
	0x11F3 : 'Unassigned [0x11F3]',
	0x11F4 : 'Unassigned [0x11F4]',
	0x11F5 : 'Unassigned [0x11F5]',
	0x11F6 : 'Unassigned [0x11F6]',
	0x11F7 : 'Unassigned [0x11F7]',
	0x11F8 : 'Unassigned [0x11F8]',
	0x11F9 : 'Unassigned [0x11F9]',
	0x11FA : 'Unassigned [0x11FA]',
	0x11FB : 'Unassigned [0x11FB]',
	0x11FC : 'Unassigned [0x11FC]',
	0x11FD : 'Unassigned [0x11FD]',
	0x11FE : 'Unassigned [0x11FE]',
	0x11FF : 'Unassigned [0x11FF]',
	0x1200 : 'Unassigned [0x1200]',
	0x1201 : 'Unassigned [0x1201]',
	0x1202 : 'Unassigned [0x1202]',
	0x1203 : 'Unassigned [0x1203]',
	0x1204 : 'Unassigned [0x1204]',
	0x1205 : 'Unassigned [0x1205]',
	0x1206 : 'Unassigned [0x1206]',
	0x1207 : 'Unassigned [0x1207]',
	0x1208 : 'Unassigned [0x1208]',
	0x1209 : 'Unassigned [0x1209]',
	0x120A : 'Unassigned [0x120A]',
	0x120B : 'Unassigned [0x120B]',
	0x120C : 'Unassigned [0x120C]',
	0x120D : 'Unassigned [0x120D]',
	0x120E : 'Unassigned [0x120E]',
	0x120F : 'Unassigned [0x120F]',
	0x1210 : 'Unassigned [0x1210]',
	0x1211 : 'Unassigned [0x1211]',
	0x1212 : 'Unassigned [0x1212]',
	0x1213 : 'Unassigned [0x1213]',
	0x1214 : 'Unassigned [0x1214]',
	0x1215 : 'Unassigned [0x1215]',
	0x1216 : 'Unassigned [0x1216]',
	0x1217 : 'Unassigned [0x1217]',
	0x1218 : 'Unassigned [0x1218]',
	0x1219 : 'Unassigned [0x1219]',
	0x121A : 'Unassigned [0x121A]',
	0x121B : 'Unassigned [0x121B]',
	0x121C : 'Unassigned [0x121C]',
	0x121D : 'Unassigned [0x121D]',
	0x121E : 'Unassigned [0x121E]',
	0x121F : 'Unassigned [0x121F]',
	0x1220 : 'Unassigned [0x1220]',
	0x1221 : 'Unassigned [0x1221]',
	0x1222 : 'Unassigned [0x1222]',
	0x1223 : 'Unassigned [0x1223]',
	0x1224 : 'Unassigned [0x1224]',
	0x1225 : 'Unassigned [0x1225]',
	0x1226 : 'Unassigned [0x1226]',
	0x1227 : 'Unassigned [0x1227]',
	0x1228 : 'Unassigned [0x1228]',
	0x1229 : 'Unassigned [0x1229]',
	0x122A : 'Unassigned [0x122A]',
	0x122B : 'Unassigned [0x122B]',
	0x122C : 'Unassigned [0x122C]',
	0x122D : 'Unassigned [0x122D]',
	0x122E : 'Unassigned [0x122E]',
	0x122F : 'Unassigned [0x122F]',
	0x1230 : 'Unassigned [0x1230]',
	0x1231 : 'Unassigned [0x1231]',
	0x1232 : 'Unassigned [0x1232]',
	0x1233 : 'Unassigned [0x1233]',
	0x1234 : 'Unassigned [0x1234]',
	0x1235 : 'Unassigned [0x1235]',
	0x1236 : 'Unassigned [0x1236]',
	0x1237 : 'Unassigned [0x1237]',
	0x1238 : 'Unassigned [0x1238]',
	0x1239 : 'Unassigned [0x1239]',
	0x123A : 'Unassigned [0x123A]',
	0x123B : 'Unassigned [0x123B]',
	0x123C : 'Unassigned [0x123C]',
	0x123D : 'Unassigned [0x123D]',
	0x123E : 'Unassigned [0x123E]',
	0x123F : 'Unassigned [0x123F]',
	0x1240 : 'Unassigned [0x1240]',
	0x1241 : 'Unassigned [0x1241]',
	0x1242 : 'Unassigned [0x1242]',
	0x1243 : 'Unassigned [0x1243]',
	0x1244 : 'Unassigned [0x1244]',
	0x1245 : 'Unassigned [0x1245]',
	0x1246 : 'Unassigned [0x1246]',
	0x1247 : 'Unassigned [0x1247]',
	0x1248 : 'Unassigned [0x1248]',
	0x1249 : 'Unassigned [0x1249]',
	0x124A : 'Unassigned [0x124A]',
	0x124B : 'Unassigned [0x124B]',
	0x124C : 'Unassigned [0x124C]',
	0x124D : 'Unassigned [0x124D]',
	0x124E : 'Unassigned [0x124E]',
	0x124F : 'Unassigned [0x124F]',
	0x1250 : 'Unassigned [0x1250]',
	0x1251 : 'Unassigned [0x1251]',
	0x1252 : 'Unassigned [0x1252]',
	0x1253 : 'Unassigned [0x1253]',
	0x1254 : 'Unassigned [0x1254]',
	0x1255 : 'Unassigned [0x1255]',
	0x1256 : 'Unassigned [0x1256]',
	0x1257 : 'Unassigned [0x1257]',
	0x1258 : 'Unassigned [0x1258]',
	0x1259 : 'Unassigned [0x1259]',
	0x125A : 'Unassigned [0x125A]',
	0x125B : 'Unassigned [0x125B]',
	0x125C : 'Unassigned [0x125C]',
	0x125D : 'Unassigned [0x125D]',
	0x125E : 'Unassigned [0x125E]',
	0x125F : 'Unassigned [0x125F]',
	0x1260 : 'Unassigned [0x1260]',
	0x1261 : 'Unassigned [0x1261]',
	0x1262 : 'Unassigned [0x1262]',
	0x1263 : 'Unassigned [0x1263]',
	0x1264 : 'Unassigned [0x1264]',
	0x1265 : 'Unassigned [0x1265]',
	0x1266 : 'Unassigned [0x1266]',
	0x1267 : 'Unassigned [0x1267]',
	0x1268 : 'Unassigned [0x1268]',
	0x1269 : 'Unassigned [0x1269]',
	0x126A : 'Unassigned [0x126A]',
	0x126B : 'Unassigned [0x126B]',
	0x126C : 'Unassigned [0x126C]',
	0x126D : 'Unassigned [0x126D]',
	0x126E : 'Unassigned [0x126E]',
	0x126F : 'Unassigned [0x126F]',
	0x1270 : 'Unassigned [0x1270]',
	0x1271 : 'Unassigned [0x1271]',
	0x1272 : 'Unassigned [0x1272]',
	0x1273 : 'Unassigned [0x1273]',
	0x1274 : 'Unassigned [0x1274]',
	0x1275 : 'Unassigned [0x1275]',
	0x1276 : 'Unassigned [0x1276]',
	0x1277 : 'Unassigned [0x1277]',
	0x1278 : 'Unassigned [0x1278]',
	0x1279 : 'Unassigned [0x1279]',
	0x127A : 'Unassigned [0x127A]',
	0x127B : 'Unassigned [0x127B]',
	0x127C : 'Unassigned [0x127C]',
	0x127D : 'Unassigned [0x127D]',
	0x127E : 'Unassigned [0x127E]',
	0x127F : 'Unassigned [0x127F]',
	0x1280 : 'Unassigned [0x1280]',
	0x1281 : 'Unassigned [0x1281]',
	0x1282 : 'Unassigned [0x1282]',
	0x1283 : 'Unassigned [0x1283]',
	0x1284 : 'Unassigned [0x1284]',
	0x1285 : 'Unassigned [0x1285]',
	0x1286 : 'Unassigned [0x1286]',
	0x1287 : 'Unassigned [0x1287]',
	0x1288 : 'Unassigned [0x1288]',
	0x1289 : 'Unassigned [0x1289]',
	0x128A : 'Unassigned [0x128A]',
	0x128B : 'Unassigned [0x128B]',
	0x128C : 'Unassigned [0x128C]',
	0x128D : 'Unassigned [0x128D]',
	0x128E : 'Unassigned [0x128E]',
	0x128F : 'Unassigned [0x128F]',
	0x1290 : 'Unassigned [0x1290]',
	0x1291 : 'Unassigned [0x1291]',
	0x1292 : 'Unassigned [0x1292]',
	0x1293 : 'Unassigned [0x1293]',
	0x1294 : 'Unassigned [0x1294]',
	0x1295 : 'Unassigned [0x1295]',
	0x1296 : 'Unassigned [0x1296]',
	0x1297 : 'Unassigned [0x1297]',
	0x1298 : 'Unassigned [0x1298]',
	0x1299 : 'Unassigned [0x1299]',
	0x129A : 'Unassigned [0x129A]',
	0x129B : 'Unassigned [0x129B]',
	0x129C : 'Unassigned [0x129C]',
	0x129D : 'Unassigned [0x129D]',
	0x129E : 'Unassigned [0x129E]',
	0x129F : 'Unassigned [0x129F]',
	0x12A0 : 'Unassigned [0x12A0]',
	0x12A1 : 'Unassigned [0x12A1]',
	0x12A2 : 'Unassigned [0x12A2]',
	0x12A3 : 'Unassigned [0x12A3]',
	0x12A4 : 'Unassigned [0x12A4]',
	0x12A5 : 'Unassigned [0x12A5]',
	0x12A6 : 'Unassigned [0x12A6]',
	0x12A7 : 'Unassigned [0x12A7]',
	0x12A8 : 'Unassigned [0x12A8]',
	0x12A9 : 'Unassigned [0x12A9]',
	0x12AA : 'Unassigned [0x12AA]',
	0x12AB : 'Unassigned [0x12AB]',
	0x12AC : 'Unassigned [0x12AC]',
	0x12AD : 'Unassigned [0x12AD]',
	0x12AE : 'Unassigned [0x12AE]',
	0x12AF : 'Unassigned [0x12AF]',
	0x12B0 : 'Unassigned [0x12B0]',
	0x12B1 : 'Unassigned [0x12B1]',
	0x12B2 : 'Unassigned [0x12B2]',
	0x12B3 : 'Unassigned [0x12B3]',
	0x12B4 : 'Unassigned [0x12B4]',
	0x12B5 : 'Unassigned [0x12B5]',
	0x12B6 : 'Unassigned [0x12B6]',
	0x12B7 : 'Unassigned [0x12B7]',
	0x12B8 : 'Unassigned [0x12B8]',
	0x12B9 : 'Unassigned [0x12B9]',
	0x12BA : 'Unassigned [0x12BA]',
	0x12BB : 'Unassigned [0x12BB]',
	0x12BC : 'Unassigned [0x12BC]',
	0x12BD : 'Unassigned [0x12BD]',
	0x12BE : 'Unassigned [0x12BE]',
	0x12BF : 'Unassigned [0x12BF]',
	0x12C0 : 'Unassigned [0x12C0]',
	0x12C1 : 'Unassigned [0x12C1]',
	0x12C2 : 'Unassigned [0x12C2]',
	0x12C3 : 'Unassigned [0x12C3]',
	0x12C4 : 'Unassigned [0x12C4]',
	0x12C5 : 'Unassigned [0x12C5]',
	0x12C6 : 'Unassigned [0x12C6]',
	0x12C7 : 'Unassigned [0x12C7]',
	0x12C8 : 'Unassigned [0x12C8]',
	0x12C9 : 'Unassigned [0x12C9]',
	0x12CA : 'Unassigned [0x12CA]',
	0x12CB : 'Unassigned [0x12CB]',
	0x12CC : 'Unassigned [0x12CC]',
	0x12CD : 'Unassigned [0x12CD]',
	0x12CE : 'Unassigned [0x12CE]',
	0x12CF : 'Unassigned [0x12CF]',
	0x12D0 : 'Unassigned [0x12D0]',
	0x12D1 : 'Unassigned [0x12D1]',
	0x12D2 : 'Unassigned [0x12D2]',
	0x12D3 : 'Unassigned [0x12D3]',
	0x12D4 : 'Unassigned [0x12D4]',
	0x12D5 : 'Unassigned [0x12D5]',
	0x12D6 : 'Unassigned [0x12D6]',
	0x12D7 : 'Unassigned [0x12D7]',
	0x12D8 : 'Unassigned [0x12D8]',
	0x12D9 : 'Unassigned [0x12D9]',
	0x12DA : 'Unassigned [0x12DA]',
	0x12DB : 'Unassigned [0x12DB]',
	0x12DC : 'Unassigned [0x12DC]',
	0x12DD : 'Unassigned [0x12DD]',
	0x12DE : 'Unassigned [0x12DE]',
	0x12DF : 'Unassigned [0x12DF]',
	0x12E0 : 'Unassigned [0x12E0]',
	0x12E1 : 'Unassigned [0x12E1]',
	0x12E2 : 'Unassigned [0x12E2]',
	0x12E3 : 'Unassigned [0x12E3]',
	0x12E4 : 'Unassigned [0x12E4]',
	0x12E5 : 'Unassigned [0x12E5]',
	0x12E6 : 'Unassigned [0x12E6]',
	0x12E7 : 'Unassigned [0x12E7]',
	0x12E8 : 'Unassigned [0x12E8]',
	0x12E9 : 'Unassigned [0x12E9]',
	0x12EA : 'Unassigned [0x12EA]',
	0x12EB : 'Unassigned [0x12EB]',
	0x12EC : 'Unassigned [0x12EC]',
	0x12ED : 'Unassigned [0x12ED]',
	0x12EE : 'Unassigned [0x12EE]',
	0x12EF : 'Unassigned [0x12EF]',
	0x12F0 : 'Unassigned [0x12F0]',
	0x12F1 : 'Unassigned [0x12F1]',
	0x12F2 : 'Unassigned [0x12F2]',
	0x12F3 : 'Unassigned [0x12F3]',
	0x12F4 : 'Unassigned [0x12F4]',
	0x12F5 : 'Unassigned [0x12F5]',
	0x12F6 : 'Unassigned [0x12F6]',
	0x12F7 : 'Unassigned [0x12F7]',
	0x12F8 : 'Unassigned [0x12F8]',
	0x12F9 : 'Unassigned [0x12F9]',
	0x12FA : 'Unassigned [0x12FA]',
	0x12FB : 'Unassigned [0x12FB]',
	0x12FC : 'Unassigned [0x12FC]',
	0x12FD : 'Unassigned [0x12FD]',
	0x12FE : 'Unassigned [0x12FE]',
	0x12FF : 'Unassigned [0x12FF]',
	0x1300 : 'Unassigned [0x1300]',
	0x1301 : 'Unassigned [0x1301]',
	0x1302 : 'Unassigned [0x1302]',
	0x1303 : 'Unassigned [0x1303]',
	0x1304 : 'Unassigned [0x1304]',
	0x1305 : 'Unassigned [0x1305]',
	0x1306 : 'Unassigned [0x1306]',
	0x1307 : 'Unassigned [0x1307]',
	0x1308 : 'Unassigned [0x1308]',
	0x1309 : 'Unassigned [0x1309]',
	0x130A : 'Unassigned [0x130A]',
	0x130B : 'Unassigned [0x130B]',
	0x130C : 'Unassigned [0x130C]',
	0x130D : 'Unassigned [0x130D]',
	0x130E : 'Unassigned [0x130E]',
	0x130F : 'Unassigned [0x130F]',
	0x1310 : 'Unassigned [0x1310]',
	0x1311 : 'Unassigned [0x1311]',
	0x1312 : 'Unassigned [0x1312]',
	0x1313 : 'Unassigned [0x1313]',
	0x1314 : 'Unassigned [0x1314]',
	0x1315 : 'Unassigned [0x1315]',
	0x1316 : 'Unassigned [0x1316]',
	0x1317 : 'Unassigned [0x1317]',
	0x1318 : 'Unassigned [0x1318]',
	0x1319 : 'Unassigned [0x1319]',
	0x131A : 'Unassigned [0x131A]',
	0x131B : 'Unassigned [0x131B]',
	0x131C : 'Unassigned [0x131C]',
	0x131D : 'Unassigned [0x131D]',
	0x131E : 'Unassigned [0x131E]',
	0x131F : 'Unassigned [0x131F]',
	0x1320 : 'Unassigned [0x1320]',
	0x1321 : 'Unassigned [0x1321]',
	0x1322 : 'Unassigned [0x1322]',
	0x1323 : 'Unassigned [0x1323]',
	0x1324 : 'Unassigned [0x1324]',
	0x1325 : 'Unassigned [0x1325]',
	0x1326 : 'Unassigned [0x1326]',
	0x1327 : 'Unassigned [0x1327]',
	0x1328 : 'Unassigned [0x1328]',
	0x1329 : 'Unassigned [0x1329]',
	0x132A : 'Unassigned [0x132A]',
	0x132B : 'Unassigned [0x132B]',
	0x132C : 'Unassigned [0x132C]',
	0x132D : 'Unassigned [0x132D]',
	0x132E : 'Unassigned [0x132E]',
	0x132F : 'Unassigned [0x132F]',
	0x1330 : 'Unassigned [0x1330]',
	0x1331 : 'Unassigned [0x1331]',
	0x1332 : 'Unassigned [0x1332]',
	0x1333 : 'Unassigned [0x1333]',
	0x1334 : 'Unassigned [0x1334]',
	0x1335 : 'Unassigned [0x1335]',
	0x1336 : 'Unassigned [0x1336]',
	0x1337 : 'Unassigned [0x1337]',
	0x1338 : 'Unassigned [0x1338]',
	0x1339 : 'Unassigned [0x1339]',
	0x133A : 'Unassigned [0x133A]',
	0x133B : 'Unassigned [0x133B]',
	0x133C : 'Unassigned [0x133C]',
	0x133D : 'Unassigned [0x133D]',
	0x133E : 'Unassigned [0x133E]',
	0x133F : 'Unassigned [0x133F]',
	0x1340 : 'Unassigned [0x1340]',
	0x1341 : 'Unassigned [0x1341]',
	0x1342 : 'Unassigned [0x1342]',
	0x1343 : 'Unassigned [0x1343]',
	0x1344 : 'Unassigned [0x1344]',
	0x1345 : 'Unassigned [0x1345]',
	0x1346 : 'Unassigned [0x1346]',
	0x1347 : 'Unassigned [0x1347]',
	0x1348 : 'Unassigned [0x1348]',
	0x1349 : 'Unassigned [0x1349]',
	0x134A : 'Unassigned [0x134A]',
	0x134B : 'Unassigned [0x134B]',
	0x134C : 'Unassigned [0x134C]',
	0x134D : 'Unassigned [0x134D]',
	0x134E : 'Unassigned [0x134E]',
	0x134F : 'Unassigned [0x134F]',
	0x1350 : 'Unassigned [0x1350]',
	0x1351 : 'Unassigned [0x1351]',
	0x1352 : 'Unassigned [0x1352]',
	0x1353 : 'Unassigned [0x1353]',
	0x1354 : 'Unassigned [0x1354]',
	0x1355 : 'Unassigned [0x1355]',
	0x1356 : 'Unassigned [0x1356]',
	0x1357 : 'Unassigned [0x1357]',
	0x1358 : 'Unassigned [0x1358]',
	0x1359 : 'Unassigned [0x1359]',
	0x135A : 'Unassigned [0x135A]',
	0x135B : 'Unassigned [0x135B]',
	0x135C : 'Unassigned [0x135C]',
	0x135D : 'Unassigned [0x135D]',
	0x135E : 'Unassigned [0x135E]',
	0x135F : 'Unassigned [0x135F]',
	0x1360 : 'Unassigned [0x1360]',
	0x1361 : 'Unassigned [0x1361]',
	0x1362 : 'Unassigned [0x1362]',
	0x1363 : 'Unassigned [0x1363]',
	0x1364 : 'Unassigned [0x1364]',
	0x1365 : 'Unassigned [0x1365]',
	0x1366 : 'Unassigned [0x1366]',
	0x1367 : 'Unassigned [0x1367]',
	0x1368 : 'Unassigned [0x1368]',
	0x1369 : 'Unassigned [0x1369]',
	0x136A : 'Unassigned [0x136A]',
	0x136B : 'Unassigned [0x136B]',
	0x136C : 'Unassigned [0x136C]',
	0x136D : 'Unassigned [0x136D]',
	0x136E : 'Unassigned [0x136E]',
	0x136F : 'Unassigned [0x136F]',
	0x1370 : 'Unassigned [0x1370]',
	0x1371 : 'Unassigned [0x1371]',
	0x1372 : 'Unassigned [0x1372]',
	0x1373 : 'Unassigned [0x1373]',
	0x1374 : 'Unassigned [0x1374]',
	0x1375 : 'Unassigned [0x1375]',
	0x1376 : 'Unassigned [0x1376]',
	0x1377 : 'Unassigned [0x1377]',
	0x1378 : 'Unassigned [0x1378]',
	0x1379 : 'Unassigned [0x1379]',
	0x137A : 'Unassigned [0x137A]',
	0x137B : 'Unassigned [0x137B]',
	0x137C : 'Unassigned [0x137C]',
	0x137D : 'Unassigned [0x137D]',
	0x137E : 'Unassigned [0x137E]',
	0x137F : 'Unassigned [0x137F]',
	0x1380 : 'Unassigned [0x1380]',
	0x1381 : 'Unassigned [0x1381]',
	0x1382 : 'Unassigned [0x1382]',
	0x1383 : 'Unassigned [0x1383]',
	0x1384 : 'Unassigned [0x1384]',
	0x1385 : 'Unassigned [0x1385]',
	0x1386 : 'Unassigned [0x1386]',
	0x1387 : 'Unassigned [0x1387]',
	0x1388 : 'Unassigned [0x1388]',
	0x1389 : 'Unassigned [0x1389]',
	0x138A : 'Unassigned [0x138A]',
	0x138B : 'Unassigned [0x138B]',
	0x138C : 'Unassigned [0x138C]',
	0x138D : 'Unassigned [0x138D]',
	0x138E : 'Unassigned [0x138E]',
	0x138F : 'Unassigned [0x138F]',
	0x1390 : 'Unassigned [0x1390]',
	0x1391 : 'Unassigned [0x1391]',
	0x1392 : 'Unassigned [0x1392]',
	0x1393 : 'Unassigned [0x1393]',
	0x1394 : 'Unassigned [0x1394]',
	0x1395 : 'Unassigned [0x1395]',
	0x1396 : 'Unassigned [0x1396]',
	0x1397 : 'Unassigned [0x1397]',
	0x1398 : 'Unassigned [0x1398]',
	0x1399 : 'Unassigned [0x1399]',
	0x139A : 'Unassigned [0x139A]',
	0x139B : 'Unassigned [0x139B]',
	0x139C : 'Unassigned [0x139C]',
	0x139D : 'Unassigned [0x139D]',
	0x139E : 'Unassigned [0x139E]',
	0x139F : 'Unassigned [0x139F]',
	0x13A0 : 'Unassigned [0x13A0]',
	0x13A1 : 'Unassigned [0x13A1]',
	0x13A2 : 'Unassigned [0x13A2]',
	0x13A3 : 'Unassigned [0x13A3]',
	0x13A4 : 'Unassigned [0x13A4]',
	0x13A5 : 'Unassigned [0x13A5]',
	0x13A6 : 'Unassigned [0x13A6]',
	0x13A7 : 'Unassigned [0x13A7]',
	0x13A8 : 'Unassigned [0x13A8]',
	0x13A9 : 'Unassigned [0x13A9]',
	0x13AA : 'Unassigned [0x13AA]',
	0x13AB : 'Unassigned [0x13AB]',
	0x13AC : 'Unassigned [0x13AC]',
	0x13AD : 'Unassigned [0x13AD]',
	0x13AE : 'Unassigned [0x13AE]',
	0x13AF : 'Unassigned [0x13AF]',
	0x13B0 : 'Unassigned [0x13B0]',
	0x13B1 : 'Unassigned [0x13B1]',
	0x13B2 : 'Unassigned [0x13B2]',
	0x13B3 : 'Unassigned [0x13B3]',
	0x13B4 : 'Unassigned [0x13B4]',
	0x13B5 : 'Unassigned [0x13B5]',
	0x13B6 : 'Unassigned [0x13B6]',
	0x13B7 : 'Unassigned [0x13B7]',
	0x13B8 : 'Unassigned [0x13B8]',
	0x13B9 : 'Unassigned [0x13B9]',
	0x13BA : 'Unassigned [0x13BA]',
	0x13BB : 'Unassigned [0x13BB]',
	0x13BC : 'Unassigned [0x13BC]',
	0x13BD : 'Unassigned [0x13BD]',
	0x13BE : 'Unassigned [0x13BE]',
	0x13BF : 'Unassigned [0x13BF]',
	0x13C0 : 'Unassigned [0x13C0]',
	0x13C1 : 'Unassigned [0x13C1]',
	0x13C2 : 'Unassigned [0x13C2]',
	0x13C3 : 'Unassigned [0x13C3]',
	0x13C4 : 'Unassigned [0x13C4]',
	0x13C5 : 'Unassigned [0x13C5]',
	0x13C6 : 'Unassigned [0x13C6]',
	0x13C7 : 'Unassigned [0x13C7]',
	0x13C8 : 'Unassigned [0x13C8]',
	0x13C9 : 'Unassigned [0x13C9]',
	0x13CA : 'Unassigned [0x13CA]',
	0x13CB : 'Unassigned [0x13CB]',
	0x13CC : 'Unassigned [0x13CC]',
	0x13CD : 'Unassigned [0x13CD]',
	0x13CE : 'Unassigned [0x13CE]',
	0x13CF : 'Unassigned [0x13CF]',
	0x13D0 : 'Unassigned [0x13D0]',
	0x13D1 : 'Unassigned [0x13D1]',
	0x13D2 : 'Unassigned [0x13D2]',
	0x13D3 : 'Unassigned [0x13D3]',
	0x13D4 : 'Unassigned [0x13D4]',
	0x13D5 : 'Unassigned [0x13D5]',
	0x13D6 : 'Unassigned [0x13D6]',
	0x13D7 : 'Unassigned [0x13D7]',
	0x13D8 : 'Unassigned [0x13D8]',
	0x13D9 : 'Unassigned [0x13D9]',
	0x13DA : 'Unassigned [0x13DA]',
	0x13DB : 'Unassigned [0x13DB]',
	0x13DC : 'Unassigned [0x13DC]',
	0x13DD : 'Unassigned [0x13DD]',
	0x13DE : 'Unassigned [0x13DE]',
	0x13DF : 'Unassigned [0x13DF]',
	0x13E0 : 'Unassigned [0x13E0]',
	0x13E1 : 'Unassigned [0x13E1]',
	0x13E2 : 'Unassigned [0x13E2]',
	0x13E3 : 'Unassigned [0x13E3]',
	0x13E4 : 'Unassigned [0x13E4]',
	0x13E5 : 'Unassigned [0x13E5]',
	0x13E6 : 'Unassigned [0x13E6]',
	0x13E7 : 'Unassigned [0x13E7]',
	0x13E8 : 'Unassigned [0x13E8]',
	0x13E9 : 'Unassigned [0x13E9]',
	0x13EA : 'Unassigned [0x13EA]',
	0x13EB : 'Unassigned [0x13EB]',
	0x13EC : 'Unassigned [0x13EC]',
	0x13ED : 'Unassigned [0x13ED]',
	0x13EE : 'Unassigned [0x13EE]',
	0x13EF : 'Unassigned [0x13EF]',
	0x13F0 : 'Unassigned [0x13F0]',
	0x13F1 : 'Unassigned [0x13F1]',
	0x13F2 : 'Unassigned [0x13F2]',
	0x13F3 : 'Unassigned [0x13F3]',
	0x13F4 : 'Unassigned [0x13F4]',
	0x13F5 : 'Unassigned [0x13F5]',
	0x13F6 : 'Unassigned [0x13F6]',
	0x13F7 : 'Unassigned [0x13F7]',
	0x13F8 : 'Unassigned [0x13F8]',
	0x13F9 : 'Unassigned [0x13F9]',
	0x13FA : 'Unassigned [0x13FA]',
	0x13FB : 'Unassigned [0x13FB]',
	0x13FC : 'Unassigned [0x13FC]',
	0x13FD : 'Unassigned [0x13FD]',
	0x13FE : 'Unassigned [0x13FE]',
	0x13FF : 'Unassigned [0x13FF]',
	0x1400 : 'Unassigned [0x1400]',
	0x1401 : 'Unassigned [0x1401]',
	0x1402 : 'Unassigned [0x1402]',
	0x1403 : 'Unassigned [0x1403]',
	0x1404 : 'Unassigned [0x1404]',
	0x1405 : 'Unassigned [0x1405]',
	0x1406 : 'Unassigned [0x1406]',
	0x1407 : 'Unassigned [0x1407]',
	0x1408 : 'Unassigned [0x1408]',
	0x1409 : 'Unassigned [0x1409]',
	0x140A : 'Unassigned [0x140A]',
	0x140B : 'Unassigned [0x140B]',
	0x140C : 'Unassigned [0x140C]',
	0x140D : 'Unassigned [0x140D]',
	0x140E : 'Unassigned [0x140E]',
	0x140F : 'Unassigned [0x140F]',
	0x1410 : 'Unassigned [0x1410]',
	0x1411 : 'Unassigned [0x1411]',
	0x1412 : 'Unassigned [0x1412]',
	0x1413 : 'Unassigned [0x1413]',
	0x1414 : 'Unassigned [0x1414]',
	0x1415 : 'Unassigned [0x1415]',
	0x1416 : 'Unassigned [0x1416]',
	0x1417 : 'Unassigned [0x1417]',
	0x1418 : 'Unassigned [0x1418]',
	0x1419 : 'Unassigned [0x1419]',
	0x141A : 'Unassigned [0x141A]',
	0x141B : 'Unassigned [0x141B]',
	0x141C : 'Unassigned [0x141C]',
	0x141D : 'Unassigned [0x141D]',
	0x141E : 'Unassigned [0x141E]',
	0x141F : 'Unassigned [0x141F]',
	0x1420 : 'Unassigned [0x1420]',
	0x1421 : 'Unassigned [0x1421]',
	0x1422 : 'Unassigned [0x1422]',
	0x1423 : 'Unassigned [0x1423]',
	0x1424 : 'Unassigned [0x1424]',
	0x1425 : 'Unassigned [0x1425]',
	0x1426 : 'Unassigned [0x1426]',
	0x1427 : 'Unassigned [0x1427]',
	0x1428 : 'Unassigned [0x1428]',
	0x1429 : 'Unassigned [0x1429]',
	0x142A : 'Unassigned [0x142A]',
	0x142B : 'Unassigned [0x142B]',
	0x142C : 'Unassigned [0x142C]',
	0x142D : 'Unassigned [0x142D]',
	0x142E : 'Unassigned [0x142E]',
	0x142F : 'Unassigned [0x142F]',
	0x1430 : 'Unassigned [0x1430]',
	0x1431 : 'Unassigned [0x1431]',
	0x1432 : 'Unassigned [0x1432]',
	0x1433 : 'Unassigned [0x1433]',
	0x1434 : 'Unassigned [0x1434]',
	0x1435 : 'Unassigned [0x1435]',
	0x1436 : 'Unassigned [0x1436]',
	0x1437 : 'Unassigned [0x1437]',
	0x1438 : 'Unassigned [0x1438]',
	0x1439 : 'Unassigned [0x1439]',
	0x143A : 'Unassigned [0x143A]',
	0x143B : 'Unassigned [0x143B]',
	0x143C : 'Unassigned [0x143C]',
	0x143D : 'Unassigned [0x143D]',
	0x143E : 'Unassigned [0x143E]',
	0x143F : 'Unassigned [0x143F]',
	0x1440 : 'Unassigned [0x1440]',
	0x1441 : 'Unassigned [0x1441]',
	0x1442 : 'Unassigned [0x1442]',
	0x1443 : 'Unassigned [0x1443]',
	0x1444 : 'Unassigned [0x1444]',
	0x1445 : 'Unassigned [0x1445]',
	0x1446 : 'Unassigned [0x1446]',
	0x1447 : 'Unassigned [0x1447]',
	0x1448 : 'Unassigned [0x1448]',
	0x1449 : 'Unassigned [0x1449]',
	0x144A : 'Unassigned [0x144A]',
	0x144B : 'Unassigned [0x144B]',
	0x144C : 'Unassigned [0x144C]',
	0x144D : 'Unassigned [0x144D]',
	0x144E : 'Unassigned [0x144E]',
	0x144F : 'Unassigned [0x144F]',
	0x1450 : 'Unassigned [0x1450]',
	0x1451 : 'Unassigned [0x1451]',
	0x1452 : 'Unassigned [0x1452]',
	0x1453 : 'Unassigned [0x1453]',
	0x1454 : 'Unassigned [0x1454]',
	0x1455 : 'Unassigned [0x1455]',
	0x1456 : 'Unassigned [0x1456]',
	0x1457 : 'Unassigned [0x1457]',
	0x1458 : 'Unassigned [0x1458]',
	0x1459 : 'Unassigned [0x1459]',
	0x145A : 'Unassigned [0x145A]',
	0x145B : 'Unassigned [0x145B]',
	0x145C : 'Unassigned [0x145C]',
	0x145D : 'Unassigned [0x145D]',
	0x145E : 'Unassigned [0x145E]',
	0x145F : 'Unassigned [0x145F]',
	0x1460 : 'Unassigned [0x1460]',
	0x1461 : 'Unassigned [0x1461]',
	0x1462 : 'Unassigned [0x1462]',
	0x1463 : 'Unassigned [0x1463]',
	0x1464 : 'Unassigned [0x1464]',
	0x1465 : 'Unassigned [0x1465]',
	0x1466 : 'Unassigned [0x1466]',
	0x1467 : 'Unassigned [0x1467]',
	0x1468 : 'Unassigned [0x1468]',
	0x1469 : 'Unassigned [0x1469]',
	0x146A : 'Unassigned [0x146A]',
	0x146B : 'Unassigned [0x146B]',
	0x146C : 'Unassigned [0x146C]',
	0x146D : 'Unassigned [0x146D]',
	0x146E : 'Unassigned [0x146E]',
	0x146F : 'Unassigned [0x146F]',
	0x1470 : 'Unassigned [0x1470]',
	0x1471 : 'Unassigned [0x1471]',
	0x1472 : 'Unassigned [0x1472]',
	0x1473 : 'Unassigned [0x1473]',
	0x1474 : 'Unassigned [0x1474]',
	0x1475 : 'Unassigned [0x1475]',
	0x1476 : 'Unassigned [0x1476]',
	0x1477 : 'Unassigned [0x1477]',
	0x1478 : 'Unassigned [0x1478]',
	0x1479 : 'Unassigned [0x1479]',
	0x147A : 'Unassigned [0x147A]',
	0x147B : 'Unassigned [0x147B]',
	0x147C : 'Unassigned [0x147C]',
	0x147D : 'Unassigned [0x147D]',
	0x147E : 'Unassigned [0x147E]',
	0x147F : 'Unassigned [0x147F]',
	0x1480 : 'Unassigned [0x1480]',
	0x1481 : 'Unassigned [0x1481]',
	0x1482 : 'Unassigned [0x1482]',
	0x1483 : 'Unassigned [0x1483]',
	0x1484 : 'Unassigned [0x1484]',
	0x1485 : 'Unassigned [0x1485]',
	0x1486 : 'Unassigned [0x1486]',
	0x1487 : 'Unassigned [0x1487]',
	0x1488 : 'Unassigned [0x1488]',
	0x1489 : 'Unassigned [0x1489]',
	0x148A : 'Unassigned [0x148A]',
	0x148B : 'Unassigned [0x148B]',
	0x148C : 'Unassigned [0x148C]',
	0x148D : 'Unassigned [0x148D]',
	0x148E : 'Unassigned [0x148E]',
	0x148F : 'Unassigned [0x148F]',
	0x1490 : 'Unassigned [0x1490]',
	0x1491 : 'Unassigned [0x1491]',
	0x1492 : 'Unassigned [0x1492]',
	0x1493 : 'Unassigned [0x1493]',
	0x1494 : 'Unassigned [0x1494]',
	0x1495 : 'Unassigned [0x1495]',
	0x1496 : 'Unassigned [0x1496]',
	0x1497 : 'Unassigned [0x1497]',
	0x1498 : 'Unassigned [0x1498]',
	0x1499 : 'Unassigned [0x1499]',
	0x149A : 'Unassigned [0x149A]',
	0x149B : 'Unassigned [0x149B]',
	0x149C : 'Unassigned [0x149C]',
	0x149D : 'Unassigned [0x149D]',
	0x149E : 'Unassigned [0x149E]',
	0x149F : 'Unassigned [0x149F]',
	0x14A0 : 'Unassigned [0x14A0]',
	0x14A1 : 'Unassigned [0x14A1]',
	0x14A2 : 'Unassigned [0x14A2]',
	0x14A3 : 'Unassigned [0x14A3]',
	0x14A4 : 'Unassigned [0x14A4]',
	0x14A5 : 'Unassigned [0x14A5]',
	0x14A6 : 'Unassigned [0x14A6]',
	0x14A7 : 'Unassigned [0x14A7]',
	0x14A8 : 'Unassigned [0x14A8]',
	0x14A9 : 'Unassigned [0x14A9]',
	0x14AA : 'Unassigned [0x14AA]',
	0x14AB : 'Unassigned [0x14AB]',
	0x14AC : 'Unassigned [0x14AC]',
	0x14AD : 'Unassigned [0x14AD]',
	0x14AE : 'Unassigned [0x14AE]',
	0x14AF : 'Unassigned [0x14AF]',
	0x14B0 : 'Unassigned [0x14B0]',
	0x14B1 : 'Unassigned [0x14B1]',
	0x14B2 : 'Unassigned [0x14B2]',
	0x14B3 : 'Unassigned [0x14B3]',
	0x14B4 : 'Unassigned [0x14B4]',
	0x14B5 : 'Unassigned [0x14B5]',
	0x14B6 : 'Unassigned [0x14B6]',
	0x14B7 : 'Unassigned [0x14B7]',
	0x14B8 : 'Unassigned [0x14B8]',
	0x14B9 : 'Unassigned [0x14B9]',
	0x14BA : 'Unassigned [0x14BA]',
	0x14BB : 'Unassigned [0x14BB]',
	0x14BC : 'Unassigned [0x14BC]',
	0x14BD : 'Unassigned [0x14BD]',
	0x14BE : 'Unassigned [0x14BE]',
	0x14BF : 'Unassigned [0x14BF]',
	0x14C0 : 'Unassigned [0x14C0]',
	0x14C1 : 'Unassigned [0x14C1]',
	0x14C2 : 'Unassigned [0x14C2]',
	0x14C3 : 'Unassigned [0x14C3]',
	0x14C4 : 'Unassigned [0x14C4]',
	0x14C5 : 'Unassigned [0x14C5]',
	0x14C6 : 'Unassigned [0x14C6]',
	0x14C7 : 'Unassigned [0x14C7]',
	0x14C8 : 'Unassigned [0x14C8]',
	0x14C9 : 'Unassigned [0x14C9]',
	0x14CA : 'Unassigned [0x14CA]',
	0x14CB : 'Unassigned [0x14CB]',
	0x14CC : 'Unassigned [0x14CC]',
	0x14CD : 'Unassigned [0x14CD]',
	0x14CE : 'Unassigned [0x14CE]',
	0x14CF : 'Unassigned [0x14CF]',
	0x14D0 : 'Unassigned [0x14D0]',
	0x14D1 : 'Unassigned [0x14D1]',
	0x14D2 : 'Unassigned [0x14D2]',
	0x14D3 : 'Unassigned [0x14D3]',
	0x14D4 : 'Unassigned [0x14D4]',
	0x14D5 : 'Unassigned [0x14D5]',
	0x14D6 : 'Unassigned [0x14D6]',
	0x14D7 : 'Unassigned [0x14D7]',
	0x14D8 : 'Unassigned [0x14D8]',
	0x14D9 : 'Unassigned [0x14D9]',
	0x14DA : 'Unassigned [0x14DA]',
	0x14DB : 'Unassigned [0x14DB]',
	0x14DC : 'Unassigned [0x14DC]',
	0x14DD : 'Unassigned [0x14DD]',
	0x14DE : 'Unassigned [0x14DE]',
	0x14DF : 'Unassigned [0x14DF]',
	0x14E0 : 'Unassigned [0x14E0]',
	0x14E1 : 'Unassigned [0x14E1]',
	0x14E2 : 'Unassigned [0x14E2]',
	0x14E3 : 'Unassigned [0x14E3]',
	0x14E4 : 'Unassigned [0x14E4]',
	0x14E5 : 'Unassigned [0x14E5]',
	0x14E6 : 'Unassigned [0x14E6]',
	0x14E7 : 'Unassigned [0x14E7]',
	0x14E8 : 'Unassigned [0x14E8]',
	0x14E9 : 'Unassigned [0x14E9]',
	0x14EA : 'Unassigned [0x14EA]',
	0x14EB : 'Unassigned [0x14EB]',
	0x14EC : 'Unassigned [0x14EC]',
	0x14ED : 'Unassigned [0x14ED]',
	0x14EE : 'Unassigned [0x14EE]',
	0x14EF : 'Unassigned [0x14EF]',
	0x14F0 : 'Unassigned [0x14F0]',
	0x14F1 : 'Unassigned [0x14F1]',
	0x14F2 : 'Unassigned [0x14F2]',
	0x14F3 : 'Unassigned [0x14F3]',
	0x14F4 : 'Unassigned [0x14F4]',
	0x14F5 : 'Unassigned [0x14F5]',
	0x14F6 : 'Unassigned [0x14F6]',
	0x14F7 : 'Unassigned [0x14F7]',
	0x14F8 : 'Unassigned [0x14F8]',
	0x14F9 : 'Unassigned [0x14F9]',
	0x14FA : 'Unassigned [0x14FA]',
	0x14FB : 'Unassigned [0x14FB]',
	0x14FC : 'Unassigned [0x14FC]',
	0x14FD : 'Unassigned [0x14FD]',
	0x14FE : 'Unassigned [0x14FE]',
	0x14FF : 'Unassigned [0x14FF]',
	0x1500 : 'Unassigned [0x1500]',
	0x1501 : 'Unassigned [0x1501]',
	0x1502 : 'Unassigned [0x1502]',
	0x1503 : 'Unassigned [0x1503]',
	0x1504 : 'Unassigned [0x1504]',
	0x1505 : 'Unassigned [0x1505]',
	0x1506 : 'Unassigned [0x1506]',
	0x1507 : 'Unassigned [0x1507]',
	0x1508 : 'Unassigned [0x1508]',
	0x1509 : 'Unassigned [0x1509]',
	0x150A : 'Unassigned [0x150A]',
	0x150B : 'Unassigned [0x150B]',
	0x150C : 'Unassigned [0x150C]',
	0x150D : 'Unassigned [0x150D]',
	0x150E : 'Unassigned [0x150E]',
	0x150F : 'Unassigned [0x150F]',
	0x1510 : 'Unassigned [0x1510]',
	0x1511 : 'Unassigned [0x1511]',
	0x1512 : 'Unassigned [0x1512]',
	0x1513 : 'Unassigned [0x1513]',
	0x1514 : 'Unassigned [0x1514]',
	0x1515 : 'Unassigned [0x1515]',
	0x1516 : 'Unassigned [0x1516]',
	0x1517 : 'Unassigned [0x1517]',
	0x1518 : 'Unassigned [0x1518]',
	0x1519 : 'Unassigned [0x1519]',
	0x151A : 'Unassigned [0x151A]',
	0x151B : 'Unassigned [0x151B]',
	0x151C : 'Unassigned [0x151C]',
	0x151D : 'Unassigned [0x151D]',
	0x151E : 'Unassigned [0x151E]',
	0x151F : 'Unassigned [0x151F]',
	0x1520 : 'Unassigned [0x1520]',
	0x1521 : 'Unassigned [0x1521]',
	0x1522 : 'Unassigned [0x1522]',
	0x1523 : 'Unassigned [0x1523]',
	0x1524 : 'Unassigned [0x1524]',
	0x1525 : 'Unassigned [0x1525]',
	0x1526 : 'Unassigned [0x1526]',
	0x1527 : 'Unassigned [0x1527]',
	0x1528 : 'Unassigned [0x1528]',
	0x1529 : 'Unassigned [0x1529]',
	0x152A : 'Unassigned [0x152A]',
	0x152B : 'Unassigned [0x152B]',
	0x152C : 'Unassigned [0x152C]',
	0x152D : 'Unassigned [0x152D]',
	0x152E : 'Unassigned [0x152E]',
	0x152F : 'Unassigned [0x152F]',
	0x1530 : 'Unassigned [0x1530]',
	0x1531 : 'Unassigned [0x1531]',
	0x1532 : 'Unassigned [0x1532]',
	0x1533 : 'Unassigned [0x1533]',
	0x1534 : 'Unassigned [0x1534]',
	0x1535 : 'Unassigned [0x1535]',
	0x1536 : 'Unassigned [0x1536]',
	0x1537 : 'Unassigned [0x1537]',
	0x1538 : 'Unassigned [0x1538]',
	0x1539 : 'Unassigned [0x1539]',
	0x153A : 'Unassigned [0x153A]',
	0x153B : 'Unassigned [0x153B]',
	0x153C : 'Unassigned [0x153C]',
	0x153D : 'Unassigned [0x153D]',
	0x153E : 'Unassigned [0x153E]',
	0x153F : 'Unassigned [0x153F]',
	0x1540 : 'Unassigned [0x1540]',
	0x1541 : 'Unassigned [0x1541]',
	0x1542 : 'Unassigned [0x1542]',
	0x1543 : 'Unassigned [0x1543]',
	0x1544 : 'Unassigned [0x1544]',
	0x1545 : 'Unassigned [0x1545]',
	0x1546 : 'Unassigned [0x1546]',
	0x1547 : 'Unassigned [0x1547]',
	0x1548 : 'Unassigned [0x1548]',
	0x1549 : 'Unassigned [0x1549]',
	0x154A : 'Unassigned [0x154A]',
	0x154B : 'Unassigned [0x154B]',
	0x154C : 'Unassigned [0x154C]',
	0x154D : 'Unassigned [0x154D]',
	0x154E : 'Unassigned [0x154E]',
	0x154F : 'Unassigned [0x154F]',
	0x1550 : 'Unassigned [0x1550]',
	0x1551 : 'Unassigned [0x1551]',
	0x1552 : 'Unassigned [0x1552]',
	0x1553 : 'Unassigned [0x1553]',
	0x1554 : 'Unassigned [0x1554]',
	0x1555 : 'Unassigned [0x1555]',
	0x1556 : 'Unassigned [0x1556]',
	0x1557 : 'Unassigned [0x1557]',
	0x1558 : 'Unassigned [0x1558]',
	0x1559 : 'Unassigned [0x1559]',
	0x155A : 'Unassigned [0x155A]',
	0x155B : 'Unassigned [0x155B]',
	0x155C : 'Unassigned [0x155C]',
	0x155D : 'Unassigned [0x155D]',
	0x155E : 'Unassigned [0x155E]',
	0x155F : 'Unassigned [0x155F]',
	0x1560 : 'Unassigned [0x1560]',
	0x1561 : 'Unassigned [0x1561]',
	0x1562 : 'Unassigned [0x1562]',
	0x1563 : 'Unassigned [0x1563]',
	0x1564 : 'Unassigned [0x1564]',
	0x1565 : 'Unassigned [0x1565]',
	0x1566 : 'Unassigned [0x1566]',
	0x1567 : 'Unassigned [0x1567]',
	0x1568 : 'Unassigned [0x1568]',
	0x1569 : 'Unassigned [0x1569]',
	0x156A : 'Unassigned [0x156A]',
	0x156B : 'Unassigned [0x156B]',
	0x156C : 'Unassigned [0x156C]',
	0x156D : 'Unassigned [0x156D]',
	0x156E : 'Unassigned [0x156E]',
	0x156F : 'Unassigned [0x156F]',
	0x1570 : 'Unassigned [0x1570]',
	0x1571 : 'Unassigned [0x1571]',
	0x1572 : 'Unassigned [0x1572]',
	0x1573 : 'Unassigned [0x1573]',
	0x1574 : 'Unassigned [0x1574]',
	0x1575 : 'Unassigned [0x1575]',
	0x1576 : 'Unassigned [0x1576]',
	0x1577 : 'Unassigned [0x1577]',
	0x1578 : 'Unassigned [0x1578]',
	0x1579 : 'Unassigned [0x1579]',
	0x157A : 'Unassigned [0x157A]',
	0x157B : 'Unassigned [0x157B]',
	0x157C : 'Unassigned [0x157C]',
	0x157D : 'Unassigned [0x157D]',
	0x157E : 'Unassigned [0x157E]',
	0x157F : 'Unassigned [0x157F]',
	0x1580 : 'Unassigned [0x1580]',
	0x1581 : 'Unassigned [0x1581]',
	0x1582 : 'Unassigned [0x1582]',
	0x1583 : 'Unassigned [0x1583]',
	0x1584 : 'Unassigned [0x1584]',
	0x1585 : 'Unassigned [0x1585]',
	0x1586 : 'Unassigned [0x1586]',
	0x1587 : 'Unassigned [0x1587]',
	0x1588 : 'Unassigned [0x1588]',
	0x1589 : 'Unassigned [0x1589]',
	0x158A : 'Unassigned [0x158A]',
	0x158B : 'Unassigned [0x158B]',
	0x158C : 'Unassigned [0x158C]',
	0x158D : 'Unassigned [0x158D]',
	0x158E : 'Unassigned [0x158E]',
	0x158F : 'Unassigned [0x158F]',
	0x1590 : 'Unassigned [0x1590]',
	0x1591 : 'Unassigned [0x1591]',
	0x1592 : 'Unassigned [0x1592]',
	0x1593 : 'Unassigned [0x1593]',
	0x1594 : 'Unassigned [0x1594]',
	0x1595 : 'Unassigned [0x1595]',
	0x1596 : 'Unassigned [0x1596]',
	0x1597 : 'Unassigned [0x1597]',
	0x1598 : 'Unassigned [0x1598]',
	0x1599 : 'Unassigned [0x1599]',
	0x159A : 'Unassigned [0x159A]',
	0x159B : 'Unassigned [0x159B]',
	0x159C : 'Unassigned [0x159C]',
	0x159D : 'Unassigned [0x159D]',
	0x159E : 'Unassigned [0x159E]',
	0x159F : 'Unassigned [0x159F]',
	0x15A0 : 'Unassigned [0x15A0]',
	0x15A1 : 'Unassigned [0x15A1]',
	0x15A2 : 'Unassigned [0x15A2]',
	0x15A3 : 'Unassigned [0x15A3]',
	0x15A4 : 'Unassigned [0x15A4]',
	0x15A5 : 'Unassigned [0x15A5]',
	0x15A6 : 'Unassigned [0x15A6]',
	0x15A7 : 'Unassigned [0x15A7]',
	0x15A8 : 'Unassigned [0x15A8]',
	0x15A9 : 'Unassigned [0x15A9]',
	0x15AA : 'Unassigned [0x15AA]',
	0x15AB : 'Unassigned [0x15AB]',
	0x15AC : 'Unassigned [0x15AC]',
	0x15AD : 'Unassigned [0x15AD]',
	0x15AE : 'Unassigned [0x15AE]',
	0x15AF : 'Unassigned [0x15AF]',
	0x15B0 : 'Unassigned [0x15B0]',
	0x15B1 : 'Unassigned [0x15B1]',
	0x15B2 : 'Unassigned [0x15B2]',
	0x15B3 : 'Unassigned [0x15B3]',
	0x15B4 : 'Unassigned [0x15B4]',
	0x15B5 : 'Unassigned [0x15B5]',
	0x15B6 : 'Unassigned [0x15B6]',
	0x15B7 : 'Unassigned [0x15B7]',
	0x15B8 : 'Unassigned [0x15B8]',
	0x15B9 : 'Unassigned [0x15B9]',
	0x15BA : 'Unassigned [0x15BA]',
	0x15BB : 'Unassigned [0x15BB]',
	0x15BC : 'Unassigned [0x15BC]',
	0x15BD : 'Unassigned [0x15BD]',
	0x15BE : 'Unassigned [0x15BE]',
	0x15BF : 'Unassigned [0x15BF]',
	0x15C0 : 'Unassigned [0x15C0]',
	0x15C1 : 'Unassigned [0x15C1]',
	0x15C2 : 'Unassigned [0x15C2]',
	0x15C3 : 'Unassigned [0x15C3]',
	0x15C4 : 'Unassigned [0x15C4]',
	0x15C5 : 'Unassigned [0x15C5]',
	0x15C6 : 'Unassigned [0x15C6]',
	0x15C7 : 'Unassigned [0x15C7]',
	0x15C8 : 'Unassigned [0x15C8]',
	0x15C9 : 'Unassigned [0x15C9]',
	0x15CA : 'Unassigned [0x15CA]',
	0x15CB : 'Unassigned [0x15CB]',
	0x15CC : 'Unassigned [0x15CC]',
	0x15CD : 'Unassigned [0x15CD]',
	0x15CE : 'Unassigned [0x15CE]',
	0x15CF : 'Unassigned [0x15CF]',
	0x15D0 : 'Unassigned [0x15D0]',
	0x15D1 : 'Unassigned [0x15D1]',
	0x15D2 : 'Unassigned [0x15D2]',
	0x15D3 : 'Unassigned [0x15D3]',
	0x15D4 : 'Unassigned [0x15D4]',
	0x15D5 : 'Unassigned [0x15D5]',
	0x15D6 : 'Unassigned [0x15D6]',
	0x15D7 : 'Unassigned [0x15D7]',
	0x15D8 : 'Unassigned [0x15D8]',
	0x15D9 : 'Unassigned [0x15D9]',
	0x15DA : 'Unassigned [0x15DA]',
	0x15DB : 'Unassigned [0x15DB]',
	0x15DC : 'Unassigned [0x15DC]',
	0x15DD : 'Unassigned [0x15DD]',
	0x15DE : 'Unassigned [0x15DE]',
	0x15DF : 'Unassigned [0x15DF]',
	0x15E0 : 'Unassigned [0x15E0]',
	0x15E1 : 'Unassigned [0x15E1]',
	0x15E2 : 'Unassigned [0x15E2]',
	0x15E3 : 'Unassigned [0x15E3]',
	0x15E4 : 'Unassigned [0x15E4]',
	0x15E5 : 'Unassigned [0x15E5]',
	0x15E6 : 'Unassigned [0x15E6]',
	0x15E7 : 'Unassigned [0x15E7]',
	0x15E8 : 'Unassigned [0x15E8]',
	0x15E9 : 'Unassigned [0x15E9]',
	0x15EA : 'Unassigned [0x15EA]',
	0x15EB : 'Unassigned [0x15EB]',
	0x15EC : 'Unassigned [0x15EC]',
	0x15ED : 'Unassigned [0x15ED]',
	0x15EE : 'Unassigned [0x15EE]',
	0x15EF : 'Unassigned [0x15EF]',
	0x15F0 : 'Unassigned [0x15F0]',
	0x15F1 : 'Unassigned [0x15F1]',
	0x15F2 : 'Unassigned [0x15F2]',
	0x15F3 : 'Unassigned [0x15F3]',
	0x15F4 : 'Unassigned [0x15F4]',
	0x15F5 : 'Unassigned [0x15F5]',
	0x15F6 : 'Unassigned [0x15F6]',
	0x15F7 : 'Unassigned [0x15F7]',
	0x15F8 : 'Unassigned [0x15F8]',
	0x15F9 : 'Unassigned [0x15F9]',
	0x15FA : 'Unassigned [0x15FA]',
	0x15FB : 'Unassigned [0x15FB]',
	0x15FC : 'Unassigned [0x15FC]',
	0x15FD : 'Unassigned [0x15FD]',
	0x15FE : 'Unassigned [0x15FE]',
	0x15FF : 'Unassigned [0x15FF]',
	0x1600 : 'Unassigned [0x1600]',
	0x1601 : 'Unassigned [0x1601]',
	0x1602 : 'Unassigned [0x1602]',
	0x1603 : 'Unassigned [0x1603]',
	0x1604 : 'Unassigned [0x1604]',
	0x1605 : 'Unassigned [0x1605]',
	0x1606 : 'Unassigned [0x1606]',
	0x1607 : 'Unassigned [0x1607]',
	0x1608 : 'Unassigned [0x1608]',
	0x1609 : 'Unassigned [0x1609]',
	0x160A : 'Unassigned [0x160A]',
	0x160B : 'Unassigned [0x160B]',
	0x160C : 'Unassigned [0x160C]',
	0x160D : 'Unassigned [0x160D]',
	0x160E : 'Unassigned [0x160E]',
	0x160F : 'Unassigned [0x160F]',
	0x1610 : 'Unassigned [0x1610]',
	0x1611 : 'Unassigned [0x1611]',
	0x1612 : 'Unassigned [0x1612]',
	0x1613 : 'Unassigned [0x1613]',
	0x1614 : 'Unassigned [0x1614]',
	0x1615 : 'Unassigned [0x1615]',
	0x1616 : 'Unassigned [0x1616]',
	0x1617 : 'Unassigned [0x1617]',
	0x1618 : 'Unassigned [0x1618]',
	0x1619 : 'Unassigned [0x1619]',
	0x161A : 'Unassigned [0x161A]',
	0x161B : 'Unassigned [0x161B]',
	0x161C : 'Unassigned [0x161C]',
	0x161D : 'Unassigned [0x161D]',
	0x161E : 'Unassigned [0x161E]',
	0x161F : 'Unassigned [0x161F]',
	0x1620 : 'Unassigned [0x1620]',
	0x1621 : 'Unassigned [0x1621]',
	0x1622 : 'Unassigned [0x1622]',
	0x1623 : 'Unassigned [0x1623]',
	0x1624 : 'Unassigned [0x1624]',
	0x1625 : 'Unassigned [0x1625]',
	0x1626 : 'Unassigned [0x1626]',
	0x1627 : 'Unassigned [0x1627]',
	0x1628 : 'Unassigned [0x1628]',
	0x1629 : 'Unassigned [0x1629]',
	0x162A : 'Unassigned [0x162A]',
	0x162B : 'Unassigned [0x162B]',
	0x162C : 'Unassigned [0x162C]',
	0x162D : 'Unassigned [0x162D]',
	0x162E : 'Unassigned [0x162E]',
	0x162F : 'Unassigned [0x162F]',
	0x1630 : 'Unassigned [0x1630]',
	0x1631 : 'Unassigned [0x1631]',
	0x1632 : 'Unassigned [0x1632]',
	0x1633 : 'Unassigned [0x1633]',
	0x1634 : 'Unassigned [0x1634]',
	0x1635 : 'Unassigned [0x1635]',
	0x1636 : 'Unassigned [0x1636]',
	0x1637 : 'Unassigned [0x1637]',
	0x1638 : 'Unassigned [0x1638]',
	0x1639 : 'Unassigned [0x1639]',
	0x163A : 'Unassigned [0x163A]',
	0x163B : 'Unassigned [0x163B]',
	0x163C : 'Unassigned [0x163C]',
	0x163D : 'Unassigned [0x163D]',
	0x163E : 'Unassigned [0x163E]',
	0x163F : 'Unassigned [0x163F]',
	0x1640 : 'Unassigned [0x1640]',
	0x1641 : 'Unassigned [0x1641]',
	0x1642 : 'Unassigned [0x1642]',
	0x1643 : 'Unassigned [0x1643]',
	0x1644 : 'Unassigned [0x1644]',
	0x1645 : 'Unassigned [0x1645]',
	0x1646 : 'Unassigned [0x1646]',
	0x1647 : 'Unassigned [0x1647]',
	0x1648 : 'Unassigned [0x1648]',
	0x1649 : 'Unassigned [0x1649]',
	0x164A : 'Unassigned [0x164A]',
	0x164B : 'Unassigned [0x164B]',
	0x164C : 'Unassigned [0x164C]',
	0x164D : 'Unassigned [0x164D]',
	0x164E : 'Unassigned [0x164E]',
	0x164F : 'Unassigned [0x164F]',
	0x1650 : 'Unassigned [0x1650]',
	0x1651 : 'Unassigned [0x1651]',
	0x1652 : 'Unassigned [0x1652]',
	0x1653 : 'Unassigned [0x1653]',
	0x1654 : 'Unassigned [0x1654]',
	0x1655 : 'Unassigned [0x1655]',
	0x1656 : 'Unassigned [0x1656]',
	0x1657 : 'Unassigned [0x1657]',
	0x1658 : 'Unassigned [0x1658]',
	0x1659 : 'Unassigned [0x1659]',
	0x165A : 'Unassigned [0x165A]',
	0x165B : 'Unassigned [0x165B]',
	0x165C : 'Unassigned [0x165C]',
	0x165D : 'Unassigned [0x165D]',
	0x165E : 'Unassigned [0x165E]',
	0x165F : 'Unassigned [0x165F]',
	0x1660 : 'Unassigned [0x1660]',
	0x1661 : 'Unassigned [0x1661]',
	0x1662 : 'Unassigned [0x1662]',
	0x1663 : 'Unassigned [0x1663]',
	0x1664 : 'Unassigned [0x1664]',
	0x1665 : 'Unassigned [0x1665]',
	0x1666 : 'Unassigned [0x1666]',
	0x1667 : 'Unassigned [0x1667]',
	0x1668 : 'Unassigned [0x1668]',
	0x1669 : 'Unassigned [0x1669]',
	0x166A : 'Unassigned [0x166A]',
	0x166B : 'Unassigned [0x166B]',
	0x166C : 'Unassigned [0x166C]',
	0x166D : 'Unassigned [0x166D]',
	0x166E : 'Unassigned [0x166E]',
	0x166F : 'Unassigned [0x166F]',
	0x1670 : 'Unassigned [0x1670]',
	0x1671 : 'Unassigned [0x1671]',
	0x1672 : 'Unassigned [0x1672]',
	0x1673 : 'Unassigned [0x1673]',
	0x1674 : 'Unassigned [0x1674]',
	0x1675 : 'Unassigned [0x1675]',
	0x1676 : 'Unassigned [0x1676]',
	0x1677 : 'Unassigned [0x1677]',
	0x1678 : 'Unassigned [0x1678]',
	0x1679 : 'Unassigned [0x1679]',
	0x167A : 'Unassigned [0x167A]',
	0x167B : 'Unassigned [0x167B]',
	0x167C : 'Unassigned [0x167C]',
	0x167D : 'Unassigned [0x167D]',
	0x167E : 'Unassigned [0x167E]',
	0x167F : 'Unassigned [0x167F]',
	0x1680 : 'Unassigned [0x1680]',
	0x1681 : 'Unassigned [0x1681]',
	0x1682 : 'Unassigned [0x1682]',
	0x1683 : 'Unassigned [0x1683]',
	0x1684 : 'Unassigned [0x1684]',
	0x1685 : 'Unassigned [0x1685]',
	0x1686 : 'Unassigned [0x1686]',
	0x1687 : 'Unassigned [0x1687]',
	0x1688 : 'Unassigned [0x1688]',
	0x1689 : 'Unassigned [0x1689]',
	0x168A : 'Unassigned [0x168A]',
	0x168B : 'Unassigned [0x168B]',
	0x168C : 'Unassigned [0x168C]',
	0x168D : 'Unassigned [0x168D]',
	0x168E : 'Unassigned [0x168E]',
	0x168F : 'Unassigned [0x168F]',
	0x1690 : 'Unassigned [0x1690]',
	0x1691 : 'Unassigned [0x1691]',
	0x1692 : 'Unassigned [0x1692]',
	0x1693 : 'Unassigned [0x1693]',
	0x1694 : 'Unassigned [0x1694]',
	0x1695 : 'Unassigned [0x1695]',
	0x1696 : 'Unassigned [0x1696]',
	0x1697 : 'Unassigned [0x1697]',
	0x1698 : 'Unassigned [0x1698]',
	0x1699 : 'Unassigned [0x1699]',
	0x169A : 'Unassigned [0x169A]',
	0x169B : 'Unassigned [0x169B]',
	0x169C : 'Unassigned [0x169C]',
	0x169D : 'Unassigned [0x169D]',
	0x169E : 'Unassigned [0x169E]',
	0x169F : 'Unassigned [0x169F]',
	0x16A0 : 'Unassigned [0x16A0]',
	0x16A1 : 'Unassigned [0x16A1]',
	0x16A2 : 'Unassigned [0x16A2]',
	0x16A3 : 'Unassigned [0x16A3]',
	0x16A4 : 'Unassigned [0x16A4]',
	0x16A5 : 'Unassigned [0x16A5]',
	0x16A6 : 'Unassigned [0x16A6]',
	0x16A7 : 'Unassigned [0x16A7]',
	0x16A8 : 'Unassigned [0x16A8]',
	0x16A9 : 'Unassigned [0x16A9]',
	0x16AA : 'Unassigned [0x16AA]',
	0x16AB : 'Unassigned [0x16AB]',
	0x16AC : 'Unassigned [0x16AC]',
	0x16AD : 'Unassigned [0x16AD]',
	0x16AE : 'Unassigned [0x16AE]',
	0x16AF : 'Unassigned [0x16AF]',
	0x16B0 : 'Unassigned [0x16B0]',
	0x16B1 : 'Unassigned [0x16B1]',
	0x16B2 : 'Unassigned [0x16B2]',
	0x16B3 : 'Unassigned [0x16B3]',
	0x16B4 : 'Unassigned [0x16B4]',
	0x16B5 : 'Unassigned [0x16B5]',
	0x16B6 : 'Unassigned [0x16B6]',
	0x16B7 : 'Unassigned [0x16B7]',
	0x16B8 : 'Unassigned [0x16B8]',
	0x16B9 : 'Unassigned [0x16B9]',
	0x16BA : 'Unassigned [0x16BA]',
	0x16BB : 'Unassigned [0x16BB]',
	0x16BC : 'Unassigned [0x16BC]',
	0x16BD : 'Unassigned [0x16BD]',
	0x16BE : 'Unassigned [0x16BE]',
	0x16BF : 'Unassigned [0x16BF]',
	0x16C0 : 'Unassigned [0x16C0]',
	0x16C1 : 'Unassigned [0x16C1]',
	0x16C2 : 'Unassigned [0x16C2]',
	0x16C3 : 'Unassigned [0x16C3]',
	0x16C4 : 'Unassigned [0x16C4]',
	0x16C5 : 'Unassigned [0x16C5]',
	0x16C6 : 'Unassigned [0x16C6]',
	0x16C7 : 'Unassigned [0x16C7]',
	0x16C8 : 'Unassigned [0x16C8]',
	0x16C9 : 'Unassigned [0x16C9]',
	0x16CA : 'Unassigned [0x16CA]',
	0x16CB : 'Unassigned [0x16CB]',
	0x16CC : 'Unassigned [0x16CC]',
	0x16CD : 'Unassigned [0x16CD]',
	0x16CE : 'Unassigned [0x16CE]',
	0x16CF : 'Unassigned [0x16CF]',
	0x16D0 : 'Unassigned [0x16D0]',
	0x16D1 : 'Unassigned [0x16D1]',
	0x16D2 : 'Unassigned [0x16D2]',
	0x16D3 : 'Unassigned [0x16D3]',
	0x16D4 : 'Unassigned [0x16D4]',
	0x16D5 : 'Unassigned [0x16D5]',
	0x16D6 : 'Unassigned [0x16D6]',
	0x16D7 : 'Unassigned [0x16D7]',
	0x16D8 : 'Unassigned [0x16D8]',
	0x16D9 : 'Unassigned [0x16D9]',
	0x16DA : 'Unassigned [0x16DA]',
	0x16DB : 'Unassigned [0x16DB]',
	0x16DC : 'Unassigned [0x16DC]',
	0x16DD : 'Unassigned [0x16DD]',
	0x16DE : 'Unassigned [0x16DE]',
	0x16DF : 'Unassigned [0x16DF]',
	0x16E0 : 'Unassigned [0x16E0]',
	0x16E1 : 'Unassigned [0x16E1]',
	0x16E2 : 'Unassigned [0x16E2]',
	0x16E3 : 'Unassigned [0x16E3]',
	0x16E4 : 'Unassigned [0x16E4]',
	0x16E5 : 'Unassigned [0x16E5]',
	0x16E6 : 'Unassigned [0x16E6]',
	0x16E7 : 'Unassigned [0x16E7]',
	0x16E8 : 'Unassigned [0x16E8]',
	0x16E9 : 'Unassigned [0x16E9]',
	0x16EA : 'Unassigned [0x16EA]',
	0x16EB : 'Unassigned [0x16EB]',
	0x16EC : 'Unassigned [0x16EC]',
	0x16ED : 'Unassigned [0x16ED]',
	0x16EE : 'Unassigned [0x16EE]',
	0x16EF : 'Unassigned [0x16EF]',
	0x16F0 : 'Unassigned [0x16F0]',
	0x16F1 : 'Unassigned [0x16F1]',
	0x16F2 : 'Unassigned [0x16F2]',
	0x16F3 : 'Unassigned [0x16F3]',
	0x16F4 : 'Unassigned [0x16F4]',
	0x16F5 : 'Unassigned [0x16F5]',
	0x16F6 : 'Unassigned [0x16F6]',
	0x16F7 : 'Unassigned [0x16F7]',
	0x16F8 : 'Unassigned [0x16F8]',
	0x16F9 : 'Unassigned [0x16F9]',
	0x16FA : 'Unassigned [0x16FA]',
	0x16FB : 'Unassigned [0x16FB]',
	0x16FC : 'Unassigned [0x16FC]',
	0x16FD : 'Unassigned [0x16FD]',
	0x16FE : 'Unassigned [0x16FE]',
	0x16FF : 'Unassigned [0x16FF]',
	0x1700 : 'Unassigned [0x1700]',
	0x1701 : 'Unassigned [0x1701]',
	0x1702 : 'Unassigned [0x1702]',
	0x1703 : 'Unassigned [0x1703]',
	0x1704 : 'Unassigned [0x1704]',
	0x1705 : 'Unassigned [0x1705]',
	0x1706 : 'Unassigned [0x1706]',
	0x1707 : 'Unassigned [0x1707]',
	0x1708 : 'Unassigned [0x1708]',
	0x1709 : 'Unassigned [0x1709]',
	0x170A : 'Unassigned [0x170A]',
	0x170B : 'Unassigned [0x170B]',
	0x170C : 'Unassigned [0x170C]',
	0x170D : 'Unassigned [0x170D]',
	0x170E : 'Unassigned [0x170E]',
	0x170F : 'Unassigned [0x170F]',
	0x1710 : 'Unassigned [0x1710]',
	0x1711 : 'Unassigned [0x1711]',
	0x1712 : 'Unassigned [0x1712]',
	0x1713 : 'Unassigned [0x1713]',
	0x1714 : 'Unassigned [0x1714]',
	0x1715 : 'Unassigned [0x1715]',
	0x1716 : 'Unassigned [0x1716]',
	0x1717 : 'Unassigned [0x1717]',
	0x1718 : 'Unassigned [0x1718]',
	0x1719 : 'Unassigned [0x1719]',
	0x171A : 'Unassigned [0x171A]',
	0x171B : 'Unassigned [0x171B]',
	0x171C : 'Unassigned [0x171C]',
	0x171D : 'Unassigned [0x171D]',
	0x171E : 'Unassigned [0x171E]',
	0x171F : 'Unassigned [0x171F]',
	0x1720 : 'Unassigned [0x1720]',
	0x1721 : 'Unassigned [0x1721]',
	0x1722 : 'Unassigned [0x1722]',
	0x1723 : 'Unassigned [0x1723]',
	0x1724 : 'Unassigned [0x1724]',
	0x1725 : 'Unassigned [0x1725]',
	0x1726 : 'Unassigned [0x1726]',
	0x1727 : 'Unassigned [0x1727]',
	0x1728 : 'Unassigned [0x1728]',
	0x1729 : 'Unassigned [0x1729]',
	0x172A : 'Unassigned [0x172A]',
	0x172B : 'Unassigned [0x172B]',
	0x172C : 'Unassigned [0x172C]',
	0x172D : 'Unassigned [0x172D]',
	0x172E : 'Unassigned [0x172E]',
	0x172F : 'Unassigned [0x172F]',
	0x1730 : 'Unassigned [0x1730]',
	0x1731 : 'Unassigned [0x1731]',
	0x1732 : 'Unassigned [0x1732]',
	0x1733 : 'Unassigned [0x1733]',
	0x1734 : 'Unassigned [0x1734]',
	0x1735 : 'Unassigned [0x1735]',
	0x1736 : 'Unassigned [0x1736]',
	0x1737 : 'Unassigned [0x1737]',
	0x1738 : 'Unassigned [0x1738]',
	0x1739 : 'Unassigned [0x1739]',
	0x173A : 'Unassigned [0x173A]',
	0x173B : 'Unassigned [0x173B]',
	0x173C : 'Unassigned [0x173C]',
	0x173D : 'Unassigned [0x173D]',
	0x173E : 'Unassigned [0x173E]',
	0x173F : 'Unassigned [0x173F]',
	0x1740 : 'Unassigned [0x1740]',
	0x1741 : 'Unassigned [0x1741]',
	0x1742 : 'Unassigned [0x1742]',
	0x1743 : 'Unassigned [0x1743]',
	0x1744 : 'Unassigned [0x1744]',
	0x1745 : 'Unassigned [0x1745]',
	0x1746 : 'Unassigned [0x1746]',
	0x1747 : 'Unassigned [0x1747]',
	0x1748 : 'Unassigned [0x1748]',
	0x1749 : 'Unassigned [0x1749]',
	0x174A : 'Unassigned [0x174A]',
	0x174B : 'Unassigned [0x174B]',
	0x174C : 'Unassigned [0x174C]',
	0x174D : 'Unassigned [0x174D]',
	0x174E : 'Unassigned [0x174E]',
	0x174F : 'Unassigned [0x174F]',
	0x1750 : 'Unassigned [0x1750]',
	0x1751 : 'Unassigned [0x1751]',
	0x1752 : 'Unassigned [0x1752]',
	0x1753 : 'Unassigned [0x1753]',
	0x1754 : 'Unassigned [0x1754]',
	0x1755 : 'Unassigned [0x1755]',
	0x1756 : 'Unassigned [0x1756]',
	0x1757 : 'Unassigned [0x1757]',
	0x1758 : 'Unassigned [0x1758]',
	0x1759 : 'Unassigned [0x1759]',
	0x175A : 'Unassigned [0x175A]',
	0x175B : 'Unassigned [0x175B]',
	0x175C : 'Unassigned [0x175C]',
	0x175D : 'Unassigned [0x175D]',
	0x175E : 'Unassigned [0x175E]',
	0x175F : 'Unassigned [0x175F]',
	0x1760 : 'Unassigned [0x1760]',
	0x1761 : 'Unassigned [0x1761]',
	0x1762 : 'Unassigned [0x1762]',
	0x1763 : 'Unassigned [0x1763]',
	0x1764 : 'Unassigned [0x1764]',
	0x1765 : 'Unassigned [0x1765]',
	0x1766 : 'Unassigned [0x1766]',
	0x1767 : 'Unassigned [0x1767]',
	0x1768 : 'Unassigned [0x1768]',
	0x1769 : 'Unassigned [0x1769]',
	0x176A : 'Unassigned [0x176A]',
	0x176B : 'Unassigned [0x176B]',
	0x176C : 'Unassigned [0x176C]',
	0x176D : 'Unassigned [0x176D]',
	0x176E : 'Unassigned [0x176E]',
	0x176F : 'Unassigned [0x176F]',
	0x1770 : 'Unassigned [0x1770]',
	0x1771 : 'Unassigned [0x1771]',
	0x1772 : 'Unassigned [0x1772]',
	0x1773 : 'Unassigned [0x1773]',
	0x1774 : 'Unassigned [0x1774]',
	0x1775 : 'Unassigned [0x1775]',
	0x1776 : 'Unassigned [0x1776]',
	0x1777 : 'Unassigned [0x1777]',
	0x1778 : 'Unassigned [0x1778]',
	0x1779 : 'Unassigned [0x1779]',
	0x177A : 'Unassigned [0x177A]',
	0x177B : 'Unassigned [0x177B]',
	0x177C : 'Unassigned [0x177C]',
	0x177D : 'Unassigned [0x177D]',
	0x177E : 'Unassigned [0x177E]',
	0x177F : 'Unassigned [0x177F]',
	0x1780 : 'Unassigned [0x1780]',
	0x1781 : 'Unassigned [0x1781]',
	0x1782 : 'Unassigned [0x1782]',
	0x1783 : 'Unassigned [0x1783]',
	0x1784 : 'Unassigned [0x1784]',
	0x1785 : 'Unassigned [0x1785]',
	0x1786 : 'Unassigned [0x1786]',
	0x1787 : 'Unassigned [0x1787]',
	0x1788 : 'Unassigned [0x1788]',
	0x1789 : 'Unassigned [0x1789]',
	0x178A : 'Unassigned [0x178A]',
	0x178B : 'Unassigned [0x178B]',
	0x178C : 'Unassigned [0x178C]',
	0x178D : 'Unassigned [0x178D]',
	0x178E : 'Unassigned [0x178E]',
	0x178F : 'Unassigned [0x178F]',
	0x1790 : 'Unassigned [0x1790]',
	0x1791 : 'Unassigned [0x1791]',
	0x1792 : 'Unassigned [0x1792]',
	0x1793 : 'Unassigned [0x1793]',
	0x1794 : 'Unassigned [0x1794]',
	0x1795 : 'Unassigned [0x1795]',
	0x1796 : 'Unassigned [0x1796]',
	0x1797 : 'Unassigned [0x1797]',
	0x1798 : 'Unassigned [0x1798]',
	0x1799 : 'Unassigned [0x1799]',
	0x179A : 'Unassigned [0x179A]',
	0x179B : 'Unassigned [0x179B]',
	0x179C : 'Unassigned [0x179C]',
	0x179D : 'Unassigned [0x179D]',
	0x179E : 'Unassigned [0x179E]',
	0x179F : 'Unassigned [0x179F]',
	0x17A0 : 'Unassigned [0x17A0]',
	0x17A1 : 'Unassigned [0x17A1]',
	0x17A2 : 'Unassigned [0x17A2]',
	0x17A3 : 'Unassigned [0x17A3]',
	0x17A4 : 'Unassigned [0x17A4]',
	0x17A5 : 'Unassigned [0x17A5]',
	0x17A6 : 'Unassigned [0x17A6]',
	0x17A7 : 'Unassigned [0x17A7]',
	0x17A8 : 'Unassigned [0x17A8]',
	0x17A9 : 'Unassigned [0x17A9]',
	0x17AA : 'Unassigned [0x17AA]',
	0x17AB : 'Unassigned [0x17AB]',
	0x17AC : 'Unassigned [0x17AC]',
	0x17AD : 'Unassigned [0x17AD]',
	0x17AE : 'Unassigned [0x17AE]',
	0x17AF : 'Unassigned [0x17AF]',
	0x17B0 : 'Unassigned [0x17B0]',
	0x17B1 : 'Unassigned [0x17B1]',
	0x17B2 : 'Unassigned [0x17B2]',
	0x17B3 : 'Unassigned [0x17B3]',
	0x17B4 : 'Unassigned [0x17B4]',
	0x17B5 : 'Unassigned [0x17B5]',
	0x17B6 : 'Unassigned [0x17B6]',
	0x17B7 : 'Unassigned [0x17B7]',
	0x17B8 : 'Unassigned [0x17B8]',
	0x17B9 : 'Unassigned [0x17B9]',
	0x17BA : 'Unassigned [0x17BA]',
	0x17BB : 'Unassigned [0x17BB]',
	0x17BC : 'Unassigned [0x17BC]',
	0x17BD : 'Unassigned [0x17BD]',
	0x17BE : 'Unassigned [0x17BE]',
	0x17BF : 'Unassigned [0x17BF]',
	0x17C0 : 'Unassigned [0x17C0]',
	0x17C1 : 'Unassigned [0x17C1]',
	0x17C2 : 'Unassigned [0x17C2]',
	0x17C3 : 'Unassigned [0x17C3]',
	0x17C4 : 'Unassigned [0x17C4]',
	0x17C5 : 'Unassigned [0x17C5]',
	0x17C6 : 'Unassigned [0x17C6]',
	0x17C7 : 'Unassigned [0x17C7]',
	0x17C8 : 'Unassigned [0x17C8]',
	0x17C9 : 'Unassigned [0x17C9]',
	0x17CA : 'Unassigned [0x17CA]',
	0x17CB : 'Unassigned [0x17CB]',
	0x17CC : 'Unassigned [0x17CC]',
	0x17CD : 'Unassigned [0x17CD]',
	0x17CE : 'Unassigned [0x17CE]',
	0x17CF : 'Unassigned [0x17CF]',
	0x17D0 : 'Unassigned [0x17D0]',
	0x17D1 : 'Unassigned [0x17D1]',
	0x17D2 : 'Unassigned [0x17D2]',
	0x17D3 : 'Unassigned [0x17D3]',
	0x17D4 : 'Unassigned [0x17D4]',
	0x17D5 : 'Unassigned [0x17D5]',
	0x17D6 : 'Unassigned [0x17D6]',
	0x17D7 : 'Unassigned [0x17D7]',
	0x17D8 : 'Unassigned [0x17D8]',
	0x17D9 : 'Unassigned [0x17D9]',
	0x17DA : 'Unassigned [0x17DA]',
	0x17DB : 'Unassigned [0x17DB]',
	0x17DC : 'Unassigned [0x17DC]',
	0x17DD : 'Unassigned [0x17DD]',
	0x17DE : 'Unassigned [0x17DE]',
	0x17DF : 'Unassigned [0x17DF]',
	0x17E0 : 'Unassigned [0x17E0]',
	0x17E1 : 'Unassigned [0x17E1]',
	0x17E2 : 'Unassigned [0x17E2]',
	0x17E3 : 'Unassigned [0x17E3]',
	0x17E4 : 'Unassigned [0x17E4]',
	0x17E5 : 'Unassigned [0x17E5]',
	0x17E6 : 'Unassigned [0x17E6]',
	0x17E7 : 'Unassigned [0x17E7]',
	0x17E8 : 'Unassigned [0x17E8]',
	0x17E9 : 'Unassigned [0x17E9]',
	0x17EA : 'Unassigned [0x17EA]',
	0x17EB : 'Unassigned [0x17EB]',
	0x17EC : 'Unassigned [0x17EC]',
	0x17ED : 'Unassigned [0x17ED]',
	0x17EE : 'Unassigned [0x17EE]',
	0x17EF : 'Unassigned [0x17EF]',
	0x17F0 : 'Unassigned [0x17F0]',
	0x17F1 : 'Unassigned [0x17F1]',
	0x17F2 : 'Unassigned [0x17F2]',
	0x17F3 : 'Unassigned [0x17F3]',
	0x17F4 : 'Unassigned [0x17F4]',
	0x17F5 : 'Unassigned [0x17F5]',
	0x17F6 : 'Unassigned [0x17F6]',
	0x17F7 : 'Unassigned [0x17F7]',
	0x17F8 : 'Unassigned [0x17F8]',
	0x17F9 : 'Unassigned [0x17F9]',
	0x17FA : 'Unassigned [0x17FA]',
	0x17FB : 'Unassigned [0x17FB]',
	0x17FC : 'Unassigned [0x17FC]',
	0x17FD : 'Unassigned [0x17FD]',
	0x17FE : 'Unassigned [0x17FE]',
	0x17FF : 'Unassigned [0x17FF]',
	0x1800 : 'Unassigned [0x1800]',
	0x1801 : 'Unassigned [0x1801]',
	0x1802 : 'Unassigned [0x1802]',
	0x1803 : 'Unassigned [0x1803]',
	0x1804 : 'Unassigned [0x1804]',
	0x1805 : 'Unassigned [0x1805]',
	0x1806 : 'Unassigned [0x1806]',
	0x1807 : 'Unassigned [0x1807]',
	0x1808 : 'Unassigned [0x1808]',
	0x1809 : 'Unassigned [0x1809]',
	0x180A : 'Unassigned [0x180A]',
	0x180B : 'Unassigned [0x180B]',
	0x180C : 'Unassigned [0x180C]',
	0x180D : 'Unassigned [0x180D]',
	0x180E : 'Unassigned [0x180E]',
	0x180F : 'Unassigned [0x180F]',
	0x1810 : 'Unassigned [0x1810]',
	0x1811 : 'Unassigned [0x1811]',
	0x1812 : 'Unassigned [0x1812]',
	0x1813 : 'Unassigned [0x1813]',
	0x1814 : 'Unassigned [0x1814]',
	0x1815 : 'Unassigned [0x1815]',
	0x1816 : 'Unassigned [0x1816]',
	0x1817 : 'Unassigned [0x1817]',
	0x1818 : 'Unassigned [0x1818]',
	0x1819 : 'Unassigned [0x1819]',
	0x181A : 'Unassigned [0x181A]',
	0x181B : 'Unassigned [0x181B]',
	0x181C : 'Unassigned [0x181C]',
	0x181D : 'Unassigned [0x181D]',
	0x181E : 'Unassigned [0x181E]',
	0x181F : 'Unassigned [0x181F]',
	0x1820 : 'Unassigned [0x1820]',
	0x1821 : 'Unassigned [0x1821]',
	0x1822 : 'Unassigned [0x1822]',
	0x1823 : 'Unassigned [0x1823]',
	0x1824 : 'Unassigned [0x1824]',
	0x1825 : 'Unassigned [0x1825]',
	0x1826 : 'Unassigned [0x1826]',
	0x1827 : 'Unassigned [0x1827]',
	0x1828 : 'Unassigned [0x1828]',
	0x1829 : 'Unassigned [0x1829]',
	0x182A : 'Unassigned [0x182A]',
	0x182B : 'Unassigned [0x182B]',
	0x182C : 'Unassigned [0x182C]',
	0x182D : 'Unassigned [0x182D]',
	0x182E : 'Unassigned [0x182E]',
	0x182F : 'Unassigned [0x182F]',
	0x1830 : 'Unassigned [0x1830]',
	0x1831 : 'Unassigned [0x1831]',
	0x1832 : 'Unassigned [0x1832]',
	0x1833 : 'Unassigned [0x1833]',
	0x1834 : 'Unassigned [0x1834]',
	0x1835 : 'Unassigned [0x1835]',
	0x1836 : 'Unassigned [0x1836]',
	0x1837 : 'Unassigned [0x1837]',
	0x1838 : 'Unassigned [0x1838]',
	0x1839 : 'Unassigned [0x1839]',
	0x183A : 'Unassigned [0x183A]',
	0x183B : 'Unassigned [0x183B]',
	0x183C : 'Unassigned [0x183C]',
	0x183D : 'Unassigned [0x183D]',
	0x183E : 'Unassigned [0x183E]',
	0x183F : 'Unassigned [0x183F]',
	0x1840 : 'Unassigned [0x1840]',
	0x1841 : 'Unassigned [0x1841]',
	0x1842 : 'Unassigned [0x1842]',
	0x1843 : 'Unassigned [0x1843]',
	0x1844 : 'Unassigned [0x1844]',
	0x1845 : 'Unassigned [0x1845]',
	0x1846 : 'Unassigned [0x1846]',
	0x1847 : 'Unassigned [0x1847]',
	0x1848 : 'Unassigned [0x1848]',
	0x1849 : 'Unassigned [0x1849]',
	0x184A : 'Unassigned [0x184A]',
	0x184B : 'Unassigned [0x184B]',
	0x184C : 'Unassigned [0x184C]',
	0x184D : 'Unassigned [0x184D]',
	0x184E : 'Unassigned [0x184E]',
	0x184F : 'Unassigned [0x184F]',
	0x1850 : 'Unassigned [0x1850]',
	0x1851 : 'Unassigned [0x1851]',
	0x1852 : 'Unassigned [0x1852]',
	0x1853 : 'Unassigned [0x1853]',
	0x1854 : 'Unassigned [0x1854]',
	0x1855 : 'Unassigned [0x1855]',
	0x1856 : 'Unassigned [0x1856]',
	0x1857 : 'Unassigned [0x1857]',
	0x1858 : 'Unassigned [0x1858]',
	0x1859 : 'Unassigned [0x1859]',
	0x185A : 'Unassigned [0x185A]',
	0x185B : 'Unassigned [0x185B]',
	0x185C : 'Unassigned [0x185C]',
	0x185D : 'Unassigned [0x185D]',
	0x185E : 'Unassigned [0x185E]',
	0x185F : 'Unassigned [0x185F]',
	0x1860 : 'Unassigned [0x1860]',
	0x1861 : 'Unassigned [0x1861]',
	0x1862 : 'Unassigned [0x1862]',
	0x1863 : 'Unassigned [0x1863]',
	0x1864 : 'Unassigned [0x1864]',
	0x1865 : 'Unassigned [0x1865]',
	0x1866 : 'Unassigned [0x1866]',
	0x1867 : 'Unassigned [0x1867]',
	0x1868 : 'Unassigned [0x1868]',
	0x1869 : 'Unassigned [0x1869]',
	0x186A : 'Unassigned [0x186A]',
	0x186B : 'Unassigned [0x186B]',
	0x186C : 'Unassigned [0x186C]',
	0x186D : 'Unassigned [0x186D]',
	0x186E : 'Unassigned [0x186E]',
	0x186F : 'Unassigned [0x186F]',
	0x1870 : 'Unassigned [0x1870]',
	0x1871 : 'Unassigned [0x1871]',
	0x1872 : 'Unassigned [0x1872]',
	0x1873 : 'Unassigned [0x1873]',
	0x1874 : 'Unassigned [0x1874]',
	0x1875 : 'Unassigned [0x1875]',
	0x1876 : 'Unassigned [0x1876]',
	0x1877 : 'Unassigned [0x1877]',
	0x1878 : 'Unassigned [0x1878]',
	0x1879 : 'Unassigned [0x1879]',
	0x187A : 'Unassigned [0x187A]',
	0x187B : 'Unassigned [0x187B]',
	0x187C : 'Unassigned [0x187C]',
	0x187D : 'Unassigned [0x187D]',
	0x187E : 'Unassigned [0x187E]',
	0x187F : 'Unassigned [0x187F]',
	0x1880 : 'Unassigned [0x1880]',
	0x1881 : 'Unassigned [0x1881]',
	0x1882 : 'Unassigned [0x1882]',
	0x1883 : 'Unassigned [0x1883]',
	0x1884 : 'Unassigned [0x1884]',
	0x1885 : 'Unassigned [0x1885]',
	0x1886 : 'Unassigned [0x1886]',
	0x1887 : 'Unassigned [0x1887]',
	0x1888 : 'Unassigned [0x1888]',
	0x1889 : 'Unassigned [0x1889]',
	0x188A : 'Unassigned [0x188A]',
	0x188B : 'Unassigned [0x188B]',
	0x188C : 'Unassigned [0x188C]',
	0x188D : 'Unassigned [0x188D]',
	0x188E : 'Unassigned [0x188E]',
	0x188F : 'Unassigned [0x188F]',
	0x1890 : 'Unassigned [0x1890]',
	0x1891 : 'Unassigned [0x1891]',
	0x1892 : 'Unassigned [0x1892]',
	0x1893 : 'Unassigned [0x1893]',
	0x1894 : 'Unassigned [0x1894]',
	0x1895 : 'Unassigned [0x1895]',
	0x1896 : 'Unassigned [0x1896]',
	0x1897 : 'Unassigned [0x1897]',
	0x1898 : 'Unassigned [0x1898]',
	0x1899 : 'Unassigned [0x1899]',
	0x189A : 'Unassigned [0x189A]',
	0x189B : 'Unassigned [0x189B]',
	0x189C : 'Unassigned [0x189C]',
	0x189D : 'Unassigned [0x189D]',
	0x189E : 'Unassigned [0x189E]',
	0x189F : 'Unassigned [0x189F]',
	0x18A0 : 'Unassigned [0x18A0]',
	0x18A1 : 'Unassigned [0x18A1]',
	0x18A2 : 'Unassigned [0x18A2]',
	0x18A3 : 'Unassigned [0x18A3]',
	0x18A4 : 'Unassigned [0x18A4]',
	0x18A5 : 'Unassigned [0x18A5]',
	0x18A6 : 'Unassigned [0x18A6]',
	0x18A7 : 'Unassigned [0x18A7]',
	0x18A8 : 'Unassigned [0x18A8]',
	0x18A9 : 'Unassigned [0x18A9]',
	0x18AA : 'Unassigned [0x18AA]',
	0x18AB : 'Unassigned [0x18AB]',
	0x18AC : 'Unassigned [0x18AC]',
	0x18AD : 'Unassigned [0x18AD]',
	0x18AE : 'Unassigned [0x18AE]',
	0x18AF : 'Unassigned [0x18AF]',
	0x18B0 : 'Unassigned [0x18B0]',
	0x18B1 : 'Unassigned [0x18B1]',
	0x18B2 : 'Unassigned [0x18B2]',
	0x18B3 : 'Unassigned [0x18B3]',
	0x18B4 : 'Unassigned [0x18B4]',
	0x18B5 : 'Unassigned [0x18B5]',
	0x18B6 : 'Unassigned [0x18B6]',
	0x18B7 : 'Unassigned [0x18B7]',
	0x18B8 : 'Unassigned [0x18B8]',
	0x18B9 : 'Unassigned [0x18B9]',
	0x18BA : 'Unassigned [0x18BA]',
	0x18BB : 'Unassigned [0x18BB]',
	0x18BC : 'Unassigned [0x18BC]',
	0x18BD : 'Unassigned [0x18BD]',
	0x18BE : 'Unassigned [0x18BE]',
	0x18BF : 'Unassigned [0x18BF]',
	0x18C0 : 'Unassigned [0x18C0]',
	0x18C1 : 'Unassigned [0x18C1]',
	0x18C2 : 'Unassigned [0x18C2]',
	0x18C3 : 'Unassigned [0x18C3]',
	0x18C4 : 'Unassigned [0x18C4]',
	0x18C5 : 'Unassigned [0x18C5]',
	0x18C6 : 'Unassigned [0x18C6]',
	0x18C7 : 'Unassigned [0x18C7]',
	0x18C8 : 'Unassigned [0x18C8]',
	0x18C9 : 'Unassigned [0x18C9]',
	0x18CA : 'Unassigned [0x18CA]',
	0x18CB : 'Unassigned [0x18CB]',
	0x18CC : 'Unassigned [0x18CC]',
	0x18CD : 'Unassigned [0x18CD]',
	0x18CE : 'Unassigned [0x18CE]',
	0x18CF : 'Unassigned [0x18CF]',
	0x18D0 : 'Unassigned [0x18D0]',
	0x18D1 : 'Unassigned [0x18D1]',
	0x18D2 : 'Unassigned [0x18D2]',
	0x18D3 : 'Unassigned [0x18D3]',
	0x18D4 : 'Unassigned [0x18D4]',
	0x18D5 : 'Unassigned [0x18D5]',
	0x18D6 : 'Unassigned [0x18D6]',
	0x18D7 : 'Unassigned [0x18D7]',
	0x18D8 : 'Unassigned [0x18D8]',
	0x18D9 : 'Unassigned [0x18D9]',
	0x18DA : 'Unassigned [0x18DA]',
	0x18DB : 'Unassigned [0x18DB]',
	0x18DC : 'Unassigned [0x18DC]',
	0x18DD : 'Unassigned [0x18DD]',
	0x18DE : 'Unassigned [0x18DE]',
	0x18DF : 'Unassigned [0x18DF]',
	0x18E0 : 'Unassigned [0x18E0]',
	0x18E1 : 'Unassigned [0x18E1]',
	0x18E2 : 'Unassigned [0x18E2]',
	0x18E3 : 'Unassigned [0x18E3]',
	0x18E4 : 'Unassigned [0x18E4]',
	0x18E5 : 'Unassigned [0x18E5]',
	0x18E6 : 'Unassigned [0x18E6]',
	0x18E7 : 'Unassigned [0x18E7]',
	0x18E8 : 'Unassigned [0x18E8]',
	0x18E9 : 'Unassigned [0x18E9]',
	0x18EA : 'Unassigned [0x18EA]',
	0x18EB : 'Unassigned [0x18EB]',
	0x18EC : 'Unassigned [0x18EC]',
	0x18ED : 'Unassigned [0x18ED]',
	0x18EE : 'Unassigned [0x18EE]',
	0x18EF : 'Unassigned [0x18EF]',
	0x18F0 : 'Unassigned [0x18F0]',
	0x18F1 : 'Unassigned [0x18F1]',
	0x18F2 : 'Unassigned [0x18F2]',
	0x18F3 : 'Unassigned [0x18F3]',
	0x18F4 : 'Unassigned [0x18F4]',
	0x18F5 : 'Unassigned [0x18F5]',
	0x18F6 : 'Unassigned [0x18F6]',
	0x18F7 : 'Unassigned [0x18F7]',
	0x18F8 : 'Unassigned [0x18F8]',
	0x18F9 : 'Unassigned [0x18F9]',
	0x18FA : 'Unassigned [0x18FA]',
	0x18FB : 'Unassigned [0x18FB]',
	0x18FC : 'Unassigned [0x18FC]',
	0x18FD : 'Unassigned [0x18FD]',
	0x18FE : 'Unassigned [0x18FE]',
	0x18FF : 'Unassigned [0x18FF]',
	0x1900 : 'Unassigned [0x1900]',
	0x1901 : 'Unassigned [0x1901]',
	0x1902 : 'Unassigned [0x1902]',
	0x1903 : 'Unassigned [0x1903]',
	0x1904 : 'Unassigned [0x1904]',
	0x1905 : 'Unassigned [0x1905]',
	0x1906 : 'Unassigned [0x1906]',
	0x1907 : 'Unassigned [0x1907]',
	0x1908 : 'Unassigned [0x1908]',
	0x1909 : 'Unassigned [0x1909]',
	0x190A : 'Unassigned [0x190A]',
	0x190B : 'Unassigned [0x190B]',
	0x190C : 'Unassigned [0x190C]',
	0x190D : 'Unassigned [0x190D]',
	0x190E : 'Unassigned [0x190E]',
	0x190F : 'Unassigned [0x190F]',
	0x1910 : 'Unassigned [0x1910]',
	0x1911 : 'Unassigned [0x1911]',
	0x1912 : 'Unassigned [0x1912]',
	0x1913 : 'Unassigned [0x1913]',
	0x1914 : 'Unassigned [0x1914]',
	0x1915 : 'Unassigned [0x1915]',
	0x1916 : 'Unassigned [0x1916]',
	0x1917 : 'Unassigned [0x1917]',
	0x1918 : 'Unassigned [0x1918]',
	0x1919 : 'Unassigned [0x1919]',
	0x191A : 'Unassigned [0x191A]',
	0x191B : 'Unassigned [0x191B]',
	0x191C : 'Unassigned [0x191C]',
	0x191D : 'Unassigned [0x191D]',
	0x191E : 'Unassigned [0x191E]',
	0x191F : 'Unassigned [0x191F]',
	0x1920 : 'Unassigned [0x1920]',
	0x1921 : 'Unassigned [0x1921]',
	0x1922 : 'Unassigned [0x1922]',
	0x1923 : 'Unassigned [0x1923]',
	0x1924 : 'Unassigned [0x1924]',
	0x1925 : 'Unassigned [0x1925]',
	0x1926 : 'Unassigned [0x1926]',
	0x1927 : 'Unassigned [0x1927]',
	0x1928 : 'Unassigned [0x1928]',
	0x1929 : 'Unassigned [0x1929]',
	0x192A : 'Unassigned [0x192A]',
	0x192B : 'Unassigned [0x192B]',
	0x192C : 'Unassigned [0x192C]',
	0x192D : 'Unassigned [0x192D]',
	0x192E : 'Unassigned [0x192E]',
	0x192F : 'Unassigned [0x192F]',
	0x1930 : 'Unassigned [0x1930]',
	0x1931 : 'Unassigned [0x1931]',
	0x1932 : 'Unassigned [0x1932]',
	0x1933 : 'Unassigned [0x1933]',
	0x1934 : 'Unassigned [0x1934]',
	0x1935 : 'Unassigned [0x1935]',
	0x1936 : 'Unassigned [0x1936]',
	0x1937 : 'Unassigned [0x1937]',
	0x1938 : 'Unassigned [0x1938]',
	0x1939 : 'Unassigned [0x1939]',
	0x193A : 'Unassigned [0x193A]',
	0x193B : 'Unassigned [0x193B]',
	0x193C : 'Unassigned [0x193C]',
	0x193D : 'Unassigned [0x193D]',
	0x193E : 'Unassigned [0x193E]',
	0x193F : 'Unassigned [0x193F]',
	0x1940 : 'Unassigned [0x1940]',
	0x1941 : 'Unassigned [0x1941]',
	0x1942 : 'Unassigned [0x1942]',
	0x1943 : 'Unassigned [0x1943]',
	0x1944 : 'Unassigned [0x1944]',
	0x1945 : 'Unassigned [0x1945]',
	0x1946 : 'Unassigned [0x1946]',
	0x1947 : 'Unassigned [0x1947]',
	0x1948 : 'Unassigned [0x1948]',
	0x1949 : 'Unassigned [0x1949]',
	0x194A : 'Unassigned [0x194A]',
	0x194B : 'Unassigned [0x194B]',
	0x194C : 'Unassigned [0x194C]',
	0x194D : 'Unassigned [0x194D]',
	0x194E : 'Unassigned [0x194E]',
	0x194F : 'Unassigned [0x194F]',
	0x1950 : 'Unassigned [0x1950]',
	0x1951 : 'Unassigned [0x1951]',
	0x1952 : 'Unassigned [0x1952]',
	0x1953 : 'Unassigned [0x1953]',
	0x1954 : 'Unassigned [0x1954]',
	0x1955 : 'Unassigned [0x1955]',
	0x1956 : 'Unassigned [0x1956]',
	0x1957 : 'Unassigned [0x1957]',
	0x1958 : 'Unassigned [0x1958]',
	0x1959 : 'Unassigned [0x1959]',
	0x195A : 'Unassigned [0x195A]',
	0x195B : 'Unassigned [0x195B]',
	0x195C : 'Unassigned [0x195C]',
	0x195D : 'Unassigned [0x195D]',
	0x195E : 'Unassigned [0x195E]',
	0x195F : 'Unassigned [0x195F]',
	0x1960 : 'Unassigned [0x1960]',
	0x1961 : 'Unassigned [0x1961]',
	0x1962 : 'Unassigned [0x1962]',
	0x1963 : 'Unassigned [0x1963]',
	0x1964 : 'Unassigned [0x1964]',
	0x1965 : 'Unassigned [0x1965]',
	0x1966 : 'Unassigned [0x1966]',
	0x1967 : 'Unassigned [0x1967]',
	0x1968 : 'Unassigned [0x1968]',
	0x1969 : 'Unassigned [0x1969]',
	0x196A : 'Unassigned [0x196A]',
	0x196B : 'Unassigned [0x196B]',
	0x196C : 'Unassigned [0x196C]',
	0x196D : 'Unassigned [0x196D]',
	0x196E : 'Unassigned [0x196E]',
	0x196F : 'Unassigned [0x196F]',
	0x1970 : 'Unassigned [0x1970]',
	0x1971 : 'Unassigned [0x1971]',
	0x1972 : 'Unassigned [0x1972]',
	0x1973 : 'Unassigned [0x1973]',
	0x1974 : 'Unassigned [0x1974]',
	0x1975 : 'Unassigned [0x1975]',
	0x1976 : 'Unassigned [0x1976]',
	0x1977 : 'Unassigned [0x1977]',
	0x1978 : 'Unassigned [0x1978]',
	0x1979 : 'Unassigned [0x1979]',
	0x197A : 'Unassigned [0x197A]',
	0x197B : 'Unassigned [0x197B]',
	0x197C : 'Unassigned [0x197C]',
	0x197D : 'Unassigned [0x197D]',
	0x197E : 'Unassigned [0x197E]',
	0x197F : 'Unassigned [0x197F]',
	0x1980 : 'Unassigned [0x1980]',
	0x1981 : 'Unassigned [0x1981]',
	0x1982 : 'Unassigned [0x1982]',
	0x1983 : 'Unassigned [0x1983]',
	0x1984 : 'Unassigned [0x1984]',
	0x1985 : 'Unassigned [0x1985]',
	0x1986 : 'Unassigned [0x1986]',
	0x1987 : 'Unassigned [0x1987]',
	0x1988 : 'Unassigned [0x1988]',
	0x1989 : 'Unassigned [0x1989]',
	0x198A : 'Unassigned [0x198A]',
	0x198B : 'Unassigned [0x198B]',
	0x198C : 'Unassigned [0x198C]',
	0x198D : 'Unassigned [0x198D]',
	0x198E : 'Unassigned [0x198E]',
	0x198F : 'Unassigned [0x198F]',
	0x1990 : 'Unassigned [0x1990]',
	0x1991 : 'Unassigned [0x1991]',
	0x1992 : 'Unassigned [0x1992]',
	0x1993 : 'Unassigned [0x1993]',
	0x1994 : 'Unassigned [0x1994]',
	0x1995 : 'Unassigned [0x1995]',
	0x1996 : 'Unassigned [0x1996]',
	0x1997 : 'Unassigned [0x1997]',
	0x1998 : 'Unassigned [0x1998]',
	0x1999 : 'Unassigned [0x1999]',
	0x199A : 'Unassigned [0x199A]',
	0x199B : 'Unassigned [0x199B]',
	0x199C : 'Unassigned [0x199C]',
	0x199D : 'Unassigned [0x199D]',
	0x199E : 'Unassigned [0x199E]',
	0x199F : 'Unassigned [0x199F]',
	0x19A0 : 'Unassigned [0x19A0]',
	0x19A1 : 'Unassigned [0x19A1]',
	0x19A2 : 'Unassigned [0x19A2]',
	0x19A3 : 'Unassigned [0x19A3]',
	0x19A4 : 'Unassigned [0x19A4]',
	0x19A5 : 'Unassigned [0x19A5]',
	0x19A6 : 'Unassigned [0x19A6]',
	0x19A7 : 'Unassigned [0x19A7]',
	0x19A8 : 'Unassigned [0x19A8]',
	0x19A9 : 'Unassigned [0x19A9]',
	0x19AA : 'Unassigned [0x19AA]',
	0x19AB : 'Unassigned [0x19AB]',
	0x19AC : 'Unassigned [0x19AC]',
	0x19AD : 'Unassigned [0x19AD]',
	0x19AE : 'Unassigned [0x19AE]',
	0x19AF : 'Unassigned [0x19AF]',
	0x19B0 : 'Unassigned [0x19B0]',
	0x19B1 : 'Unassigned [0x19B1]',
	0x19B2 : 'Unassigned [0x19B2]',
	0x19B3 : 'Unassigned [0x19B3]',
	0x19B4 : 'Unassigned [0x19B4]',
	0x19B5 : 'Unassigned [0x19B5]',
	0x19B6 : 'Unassigned [0x19B6]',
	0x19B7 : 'Unassigned [0x19B7]',
	0x19B8 : 'Unassigned [0x19B8]',
	0x19B9 : 'Unassigned [0x19B9]',
	0x19BA : 'Unassigned [0x19BA]',
	0x19BB : 'Unassigned [0x19BB]',
	0x19BC : 'Unassigned [0x19BC]',
	0x19BD : 'Unassigned [0x19BD]',
	0x19BE : 'Unassigned [0x19BE]',
	0x19BF : 'Unassigned [0x19BF]',
	0x19C0 : 'Unassigned [0x19C0]',
	0x19C1 : 'Unassigned [0x19C1]',
	0x19C2 : 'Unassigned [0x19C2]',
	0x19C3 : 'Unassigned [0x19C3]',
	0x19C4 : 'Unassigned [0x19C4]',
	0x19C5 : 'Unassigned [0x19C5]',
	0x19C6 : 'Unassigned [0x19C6]',
	0x19C7 : 'Unassigned [0x19C7]',
	0x19C8 : 'Unassigned [0x19C8]',
	0x19C9 : 'Unassigned [0x19C9]',
	0x19CA : 'Unassigned [0x19CA]',
	0x19CB : 'Unassigned [0x19CB]',
	0x19CC : 'Unassigned [0x19CC]',
	0x19CD : 'Unassigned [0x19CD]',
	0x19CE : 'Unassigned [0x19CE]',
	0x19CF : 'Unassigned [0x19CF]',
	0x19D0 : 'Unassigned [0x19D0]',
	0x19D1 : 'Unassigned [0x19D1]',
	0x19D2 : 'Unassigned [0x19D2]',
	0x19D3 : 'Unassigned [0x19D3]',
	0x19D4 : 'Unassigned [0x19D4]',
	0x19D5 : 'Unassigned [0x19D5]',
	0x19D6 : 'Unassigned [0x19D6]',
	0x19D7 : 'Unassigned [0x19D7]',
	0x19D8 : 'Unassigned [0x19D8]',
	0x19D9 : 'Unassigned [0x19D9]',
	0x19DA : 'Unassigned [0x19DA]',
	0x19DB : 'Unassigned [0x19DB]',
	0x19DC : 'Unassigned [0x19DC]',
	0x19DD : 'Unassigned [0x19DD]',
	0x19DE : 'Unassigned [0x19DE]',
	0x19DF : 'Unassigned [0x19DF]',
	0x19E0 : 'Unassigned [0x19E0]',
	0x19E1 : 'Unassigned [0x19E1]',
	0x19E2 : 'Unassigned [0x19E2]',
	0x19E3 : 'Unassigned [0x19E3]',
	0x19E4 : 'Unassigned [0x19E4]',
	0x19E5 : 'Unassigned [0x19E5]',
	0x19E6 : 'Unassigned [0x19E6]',
	0x19E7 : 'Unassigned [0x19E7]',
	0x19E8 : 'Unassigned [0x19E8]',
	0x19E9 : 'Unassigned [0x19E9]',
	0x19EA : 'Unassigned [0x19EA]',
	0x19EB : 'Unassigned [0x19EB]',
	0x19EC : 'Unassigned [0x19EC]',
	0x19ED : 'Unassigned [0x19ED]',
	0x19EE : 'Unassigned [0x19EE]',
	0x19EF : 'Unassigned [0x19EF]',
	0x19F0 : 'Unassigned [0x19F0]',
	0x19F1 : 'Unassigned [0x19F1]',
	0x19F2 : 'Unassigned [0x19F2]',
	0x19F3 : 'Unassigned [0x19F3]',
	0x19F4 : 'Unassigned [0x19F4]',
	0x19F5 : 'Unassigned [0x19F5]',
	0x19F6 : 'Unassigned [0x19F6]',
	0x19F7 : 'Unassigned [0x19F7]',
	0x19F8 : 'Unassigned [0x19F8]',
	0x19F9 : 'Unassigned [0x19F9]',
	0x19FA : 'Unassigned [0x19FA]',
	0x19FB : 'Unassigned [0x19FB]',
	0x19FC : 'Unassigned [0x19FC]',
	0x19FD : 'Unassigned [0x19FD]',
	0x19FE : 'Unassigned [0x19FE]',
	0x19FF : 'Unassigned [0x19FF]',
	0x1A00 : 'Unassigned [0x1A00]',
	0x1A01 : 'Unassigned [0x1A01]',
	0x1A02 : 'Unassigned [0x1A02]',
	0x1A03 : 'Unassigned [0x1A03]',
	0x1A04 : 'Unassigned [0x1A04]',
	0x1A05 : 'Unassigned [0x1A05]',
	0x1A06 : 'Unassigned [0x1A06]',
	0x1A07 : 'Unassigned [0x1A07]',
	0x1A08 : 'Unassigned [0x1A08]',
	0x1A09 : 'Unassigned [0x1A09]',
	0x1A0A : 'Unassigned [0x1A0A]',
	0x1A0B : 'Unassigned [0x1A0B]',
	0x1A0C : 'Unassigned [0x1A0C]',
	0x1A0D : 'Unassigned [0x1A0D]',
	0x1A0E : 'Unassigned [0x1A0E]',
	0x1A0F : 'Unassigned [0x1A0F]',
	0x1A10 : 'Unassigned [0x1A10]',
	0x1A11 : 'Unassigned [0x1A11]',
	0x1A12 : 'Unassigned [0x1A12]',
	0x1A13 : 'Unassigned [0x1A13]',
	0x1A14 : 'Unassigned [0x1A14]',
	0x1A15 : 'Unassigned [0x1A15]',
	0x1A16 : 'Unassigned [0x1A16]',
	0x1A17 : 'Unassigned [0x1A17]',
	0x1A18 : 'Unassigned [0x1A18]',
	0x1A19 : 'Unassigned [0x1A19]',
	0x1A1A : 'Unassigned [0x1A1A]',
	0x1A1B : 'Unassigned [0x1A1B]',
	0x1A1C : 'Unassigned [0x1A1C]',
	0x1A1D : 'Unassigned [0x1A1D]',
	0x1A1E : 'Unassigned [0x1A1E]',
	0x1A1F : 'Unassigned [0x1A1F]',
	0x1A20 : 'Unassigned [0x1A20]',
	0x1A21 : 'Unassigned [0x1A21]',
	0x1A22 : 'Unassigned [0x1A22]',
	0x1A23 : 'Unassigned [0x1A23]',
	0x1A24 : 'Unassigned [0x1A24]',
	0x1A25 : 'Unassigned [0x1A25]',
	0x1A26 : 'Unassigned [0x1A26]',
	0x1A27 : 'Unassigned [0x1A27]',
	0x1A28 : 'Unassigned [0x1A28]',
	0x1A29 : 'Unassigned [0x1A29]',
	0x1A2A : 'Unassigned [0x1A2A]',
	0x1A2B : 'Unassigned [0x1A2B]',
	0x1A2C : 'Unassigned [0x1A2C]',
	0x1A2D : 'Unassigned [0x1A2D]',
	0x1A2E : 'Unassigned [0x1A2E]',
	0x1A2F : 'Unassigned [0x1A2F]',
	0x1A30 : 'Unassigned [0x1A30]',
	0x1A31 : 'Unassigned [0x1A31]',
	0x1A32 : 'Unassigned [0x1A32]',
	0x1A33 : 'Unassigned [0x1A33]',
	0x1A34 : 'Unassigned [0x1A34]',
	0x1A35 : 'Unassigned [0x1A35]',
	0x1A36 : 'Unassigned [0x1A36]',
	0x1A37 : 'Unassigned [0x1A37]',
	0x1A38 : 'Unassigned [0x1A38]',
	0x1A39 : 'Unassigned [0x1A39]',
	0x1A3A : 'Unassigned [0x1A3A]',
	0x1A3B : 'Unassigned [0x1A3B]',
	0x1A3C : 'Unassigned [0x1A3C]',
	0x1A3D : 'Unassigned [0x1A3D]',
	0x1A3E : 'Unassigned [0x1A3E]',
	0x1A3F : 'Unassigned [0x1A3F]',
	0x1A40 : 'Unassigned [0x1A40]',
	0x1A41 : 'Unassigned [0x1A41]',
	0x1A42 : 'Unassigned [0x1A42]',
	0x1A43 : 'Unassigned [0x1A43]',
	0x1A44 : 'Unassigned [0x1A44]',
	0x1A45 : 'Unassigned [0x1A45]',
	0x1A46 : 'Unassigned [0x1A46]',
	0x1A47 : 'Unassigned [0x1A47]',
	0x1A48 : 'Unassigned [0x1A48]',
	0x1A49 : 'Unassigned [0x1A49]',
	0x1A4A : 'Unassigned [0x1A4A]',
	0x1A4B : 'Unassigned [0x1A4B]',
	0x1A4C : 'Unassigned [0x1A4C]',
	0x1A4D : 'Unassigned [0x1A4D]',
	0x1A4E : 'Unassigned [0x1A4E]',
	0x1A4F : 'Unassigned [0x1A4F]',
	0x1A50 : 'Unassigned [0x1A50]',
	0x1A51 : 'Unassigned [0x1A51]',
	0x1A52 : 'Unassigned [0x1A52]',
	0x1A53 : 'Unassigned [0x1A53]',
	0x1A54 : 'Unassigned [0x1A54]',
	0x1A55 : 'Unassigned [0x1A55]',
	0x1A56 : 'Unassigned [0x1A56]',
	0x1A57 : 'Unassigned [0x1A57]',
	0x1A58 : 'Unassigned [0x1A58]',
	0x1A59 : 'Unassigned [0x1A59]',
	0x1A5A : 'Unassigned [0x1A5A]',
	0x1A5B : 'Unassigned [0x1A5B]',
	0x1A5C : 'Unassigned [0x1A5C]',
	0x1A5D : 'Unassigned [0x1A5D]',
	0x1A5E : 'Unassigned [0x1A5E]',
	0x1A5F : 'Unassigned [0x1A5F]',
	0x1A60 : 'Unassigned [0x1A60]',
	0x1A61 : 'Unassigned [0x1A61]',
	0x1A62 : 'Unassigned [0x1A62]',
	0x1A63 : 'Unassigned [0x1A63]',
	0x1A64 : 'Unassigned [0x1A64]',
	0x1A65 : 'Unassigned [0x1A65]',
	0x1A66 : 'Unassigned [0x1A66]',
	0x1A67 : 'Unassigned [0x1A67]',
	0x1A68 : 'Unassigned [0x1A68]',
	0x1A69 : 'Unassigned [0x1A69]',
	0x1A6A : 'Unassigned [0x1A6A]',
	0x1A6B : 'Unassigned [0x1A6B]',
	0x1A6C : 'Unassigned [0x1A6C]',
	0x1A6D : 'Unassigned [0x1A6D]',
	0x1A6E : 'Unassigned [0x1A6E]',
	0x1A6F : 'Unassigned [0x1A6F]',
	0x1A70 : 'Unassigned [0x1A70]',
	0x1A71 : 'Unassigned [0x1A71]',
	0x1A72 : 'Unassigned [0x1A72]',
	0x1A73 : 'Unassigned [0x1A73]',
	0x1A74 : 'Unassigned [0x1A74]',
	0x1A75 : 'Unassigned [0x1A75]',
	0x1A76 : 'Unassigned [0x1A76]',
	0x1A77 : 'Unassigned [0x1A77]',
	0x1A78 : 'Unassigned [0x1A78]',
	0x1A79 : 'Unassigned [0x1A79]',
	0x1A7A : 'Unassigned [0x1A7A]',
	0x1A7B : 'Unassigned [0x1A7B]',
	0x1A7C : 'Unassigned [0x1A7C]',
	0x1A7D : 'Unassigned [0x1A7D]',
	0x1A7E : 'Unassigned [0x1A7E]',
	0x1A7F : 'Unassigned [0x1A7F]',
	0x1A80 : 'Unassigned [0x1A80]',
	0x1A81 : 'Unassigned [0x1A81]',
	0x1A82 : 'Unassigned [0x1A82]',
	0x1A83 : 'Unassigned [0x1A83]',
	0x1A84 : 'Unassigned [0x1A84]',
	0x1A85 : 'Unassigned [0x1A85]',
	0x1A86 : 'Unassigned [0x1A86]',
	0x1A87 : 'Unassigned [0x1A87]',
	0x1A88 : 'Unassigned [0x1A88]',
	0x1A89 : 'Unassigned [0x1A89]',
	0x1A8A : 'Unassigned [0x1A8A]',
	0x1A8B : 'Unassigned [0x1A8B]',
	0x1A8C : 'Unassigned [0x1A8C]',
	0x1A8D : 'Unassigned [0x1A8D]',
	0x1A8E : 'Unassigned [0x1A8E]',
	0x1A8F : 'Unassigned [0x1A8F]',
	0x1A90 : 'Unassigned [0x1A90]',
	0x1A91 : 'Unassigned [0x1A91]',
	0x1A92 : 'Unassigned [0x1A92]',
	0x1A93 : 'Unassigned [0x1A93]',
	0x1A94 : 'Unassigned [0x1A94]',
	0x1A95 : 'Unassigned [0x1A95]',
	0x1A96 : 'Unassigned [0x1A96]',
	0x1A97 : 'Unassigned [0x1A97]',
	0x1A98 : 'Unassigned [0x1A98]',
	0x1A99 : 'Unassigned [0x1A99]',
	0x1A9A : 'Unassigned [0x1A9A]',
	0x1A9B : 'Unassigned [0x1A9B]',
	0x1A9C : 'Unassigned [0x1A9C]',
	0x1A9D : 'Unassigned [0x1A9D]',
	0x1A9E : 'Unassigned [0x1A9E]',
	0x1A9F : 'Unassigned [0x1A9F]',
	0x1AA0 : 'Unassigned [0x1AA0]',
	0x1AA1 : 'Unassigned [0x1AA1]',
	0x1AA2 : 'Unassigned [0x1AA2]',
	0x1AA3 : 'Unassigned [0x1AA3]',
	0x1AA4 : 'Unassigned [0x1AA4]',
	0x1AA5 : 'Unassigned [0x1AA5]',
	0x1AA6 : 'Unassigned [0x1AA6]',
	0x1AA7 : 'Unassigned [0x1AA7]',
	0x1AA8 : 'Unassigned [0x1AA8]',
	0x1AA9 : 'Unassigned [0x1AA9]',
	0x1AAA : 'Unassigned [0x1AAA]',
	0x1AAB : 'Unassigned [0x1AAB]',
	0x1AAC : 'Unassigned [0x1AAC]',
	0x1AAD : 'Unassigned [0x1AAD]',
	0x1AAE : 'Unassigned [0x1AAE]',
	0x1AAF : 'Unassigned [0x1AAF]',
	0x1AB0 : 'Unassigned [0x1AB0]',
	0x1AB1 : 'Unassigned [0x1AB1]',
	0x1AB2 : 'Unassigned [0x1AB2]',
	0x1AB3 : 'Unassigned [0x1AB3]',
	0x1AB4 : 'Unassigned [0x1AB4]',
	0x1AB5 : 'Unassigned [0x1AB5]',
	0x1AB6 : 'Unassigned [0x1AB6]',
	0x1AB7 : 'Unassigned [0x1AB7]',
	0x1AB8 : 'Unassigned [0x1AB8]',
	0x1AB9 : 'Unassigned [0x1AB9]',
	0x1ABA : 'Unassigned [0x1ABA]',
	0x1ABB : 'Unassigned [0x1ABB]',
	0x1ABC : 'Unassigned [0x1ABC]',
	0x1ABD : 'Unassigned [0x1ABD]',
	0x1ABE : 'Unassigned [0x1ABE]',
	0x1ABF : 'Unassigned [0x1ABF]',
	0x1AC0 : 'Unassigned [0x1AC0]',
	0x1AC1 : 'Unassigned [0x1AC1]',
	0x1AC2 : 'Unassigned [0x1AC2]',
	0x1AC3 : 'Unassigned [0x1AC3]',
	0x1AC4 : 'Unassigned [0x1AC4]',
	0x1AC5 : 'Unassigned [0x1AC5]',
	0x1AC6 : 'Unassigned [0x1AC6]',
	0x1AC7 : 'Unassigned [0x1AC7]',
	0x1AC8 : 'Unassigned [0x1AC8]',
	0x1AC9 : 'Unassigned [0x1AC9]',
	0x1ACA : 'Unassigned [0x1ACA]',
	0x1ACB : 'Unassigned [0x1ACB]',
	0x1ACC : 'Unassigned [0x1ACC]',
	0x1ACD : 'Unassigned [0x1ACD]',
	0x1ACE : 'Unassigned [0x1ACE]',
	0x1ACF : 'Unassigned [0x1ACF]',
	0x1AD0 : 'Unassigned [0x1AD0]',
	0x1AD1 : 'Unassigned [0x1AD1]',
	0x1AD2 : 'Unassigned [0x1AD2]',
	0x1AD3 : 'Unassigned [0x1AD3]',
	0x1AD4 : 'Unassigned [0x1AD4]',
	0x1AD5 : 'Unassigned [0x1AD5]',
	0x1AD6 : 'Unassigned [0x1AD6]',
	0x1AD7 : 'Unassigned [0x1AD7]',
	0x1AD8 : 'Unassigned [0x1AD8]',
	0x1AD9 : 'Unassigned [0x1AD9]',
	0x1ADA : 'Unassigned [0x1ADA]',
	0x1ADB : 'Unassigned [0x1ADB]',
	0x1ADC : 'Unassigned [0x1ADC]',
	0x1ADD : 'Unassigned [0x1ADD]',
	0x1ADE : 'Unassigned [0x1ADE]',
	0x1ADF : 'Unassigned [0x1ADF]',
	0x1AE0 : 'Unassigned [0x1AE0]',
	0x1AE1 : 'Unassigned [0x1AE1]',
	0x1AE2 : 'Unassigned [0x1AE2]',
	0x1AE3 : 'Unassigned [0x1AE3]',
	0x1AE4 : 'Unassigned [0x1AE4]',
	0x1AE5 : 'Unassigned [0x1AE5]',
	0x1AE6 : 'Unassigned [0x1AE6]',
	0x1AE7 : 'Unassigned [0x1AE7]',
	0x1AE8 : 'Unassigned [0x1AE8]',
	0x1AE9 : 'Unassigned [0x1AE9]',
	0x1AEA : 'Unassigned [0x1AEA]',
	0x1AEB : 'Unassigned [0x1AEB]',
	0x1AEC : 'Unassigned [0x1AEC]',
	0x1AED : 'Unassigned [0x1AED]',
	0x1AEE : 'Unassigned [0x1AEE]',
	0x1AEF : 'Unassigned [0x1AEF]',
	0x1AF0 : 'Unassigned [0x1AF0]',
	0x1AF1 : 'Unassigned [0x1AF1]',
	0x1AF2 : 'Unassigned [0x1AF2]',
	0x1AF3 : 'Unassigned [0x1AF3]',
	0x1AF4 : 'Unassigned [0x1AF4]',
	0x1AF5 : 'Unassigned [0x1AF5]',
	0x1AF6 : 'Unassigned [0x1AF6]',
	0x1AF7 : 'Unassigned [0x1AF7]',
	0x1AF8 : 'Unassigned [0x1AF8]',
	0x1AF9 : 'Unassigned [0x1AF9]',
	0x1AFA : 'Unassigned [0x1AFA]',
	0x1AFB : 'Unassigned [0x1AFB]',
	0x1AFC : 'Unassigned [0x1AFC]',
	0x1AFD : 'Unassigned [0x1AFD]',
	0x1AFE : 'Unassigned [0x1AFE]',
	0x1AFF : 'Unassigned [0x1AFF]',
	0x1B00 : 'Unassigned [0x1B00]',
	0x1B01 : 'Unassigned [0x1B01]',
	0x1B02 : 'Unassigned [0x1B02]',
	0x1B03 : 'Unassigned [0x1B03]',
	0x1B04 : 'Unassigned [0x1B04]',
	0x1B05 : 'Unassigned [0x1B05]',
	0x1B06 : 'Unassigned [0x1B06]',
	0x1B07 : 'Unassigned [0x1B07]',
	0x1B08 : 'Unassigned [0x1B08]',
	0x1B09 : 'Unassigned [0x1B09]',
	0x1B0A : 'Unassigned [0x1B0A]',
	0x1B0B : 'Unassigned [0x1B0B]',
	0x1B0C : 'Unassigned [0x1B0C]',
	0x1B0D : 'Unassigned [0x1B0D]',
	0x1B0E : 'Unassigned [0x1B0E]',
	0x1B0F : 'Unassigned [0x1B0F]',
	0x1B10 : 'Unassigned [0x1B10]',
	0x1B11 : 'Unassigned [0x1B11]',
	0x1B12 : 'Unassigned [0x1B12]',
	0x1B13 : 'Unassigned [0x1B13]',
	0x1B14 : 'Unassigned [0x1B14]',
	0x1B15 : 'Unassigned [0x1B15]',
	0x1B16 : 'Unassigned [0x1B16]',
	0x1B17 : 'Unassigned [0x1B17]',
	0x1B18 : 'Unassigned [0x1B18]',
	0x1B19 : 'Unassigned [0x1B19]',
	0x1B1A : 'Unassigned [0x1B1A]',
	0x1B1B : 'Unassigned [0x1B1B]',
	0x1B1C : 'Unassigned [0x1B1C]',
	0x1B1D : 'Unassigned [0x1B1D]',
	0x1B1E : 'Unassigned [0x1B1E]',
	0x1B1F : 'Unassigned [0x1B1F]',
	0x1B20 : 'Unassigned [0x1B20]',
	0x1B21 : 'Unassigned [0x1B21]',
	0x1B22 : 'Unassigned [0x1B22]',
	0x1B23 : 'Unassigned [0x1B23]',
	0x1B24 : 'Unassigned [0x1B24]',
	0x1B25 : 'Unassigned [0x1B25]',
	0x1B26 : 'Unassigned [0x1B26]',
	0x1B27 : 'Unassigned [0x1B27]',
	0x1B28 : 'Unassigned [0x1B28]',
	0x1B29 : 'Unassigned [0x1B29]',
	0x1B2A : 'Unassigned [0x1B2A]',
	0x1B2B : 'Unassigned [0x1B2B]',
	0x1B2C : 'Unassigned [0x1B2C]',
	0x1B2D : 'Unassigned [0x1B2D]',
	0x1B2E : 'Unassigned [0x1B2E]',
	0x1B2F : 'Unassigned [0x1B2F]',
	0x1B30 : 'Unassigned [0x1B30]',
	0x1B31 : 'Unassigned [0x1B31]',
	0x1B32 : 'Unassigned [0x1B32]',
	0x1B33 : 'Unassigned [0x1B33]',
	0x1B34 : 'Unassigned [0x1B34]',
	0x1B35 : 'Unassigned [0x1B35]',
	0x1B36 : 'Unassigned [0x1B36]',
	0x1B37 : 'Unassigned [0x1B37]',
	0x1B38 : 'Unassigned [0x1B38]',
	0x1B39 : 'Unassigned [0x1B39]',
	0x1B3A : 'Unassigned [0x1B3A]',
	0x1B3B : 'Unassigned [0x1B3B]',
	0x1B3C : 'Unassigned [0x1B3C]',
	0x1B3D : 'Unassigned [0x1B3D]',
	0x1B3E : 'Unassigned [0x1B3E]',
	0x1B3F : 'Unassigned [0x1B3F]',
	0x1B40 : 'Unassigned [0x1B40]',
	0x1B41 : 'Unassigned [0x1B41]',
	0x1B42 : 'Unassigned [0x1B42]',
	0x1B43 : 'Unassigned [0x1B43]',
	0x1B44 : 'Unassigned [0x1B44]',
	0x1B45 : 'Unassigned [0x1B45]',
	0x1B46 : 'Unassigned [0x1B46]',
	0x1B47 : 'Unassigned [0x1B47]',
	0x1B48 : 'Unassigned [0x1B48]',
	0x1B49 : 'Unassigned [0x1B49]',
	0x1B4A : 'Unassigned [0x1B4A]',
	0x1B4B : 'Unassigned [0x1B4B]',
	0x1B4C : 'Unassigned [0x1B4C]',
	0x1B4D : 'Unassigned [0x1B4D]',
	0x1B4E : 'Unassigned [0x1B4E]',
	0x1B4F : 'Unassigned [0x1B4F]',
	0x1B50 : 'Unassigned [0x1B50]',
	0x1B51 : 'Unassigned [0x1B51]',
	0x1B52 : 'Unassigned [0x1B52]',
	0x1B53 : 'Unassigned [0x1B53]',
	0x1B54 : 'Unassigned [0x1B54]',
	0x1B55 : 'Unassigned [0x1B55]',
	0x1B56 : 'Unassigned [0x1B56]',
	0x1B57 : 'Unassigned [0x1B57]',
	0x1B58 : 'Unassigned [0x1B58]',
	0x1B59 : 'Unassigned [0x1B59]',
	0x1B5A : 'Unassigned [0x1B5A]',
	0x1B5B : 'Unassigned [0x1B5B]',
	0x1B5C : 'Unassigned [0x1B5C]',
	0x1B5D : 'Unassigned [0x1B5D]',
	0x1B5E : 'Unassigned [0x1B5E]',
	0x1B5F : 'Unassigned [0x1B5F]',
	0x1B60 : 'Unassigned [0x1B60]',
	0x1B61 : 'Unassigned [0x1B61]',
	0x1B62 : 'Unassigned [0x1B62]',
	0x1B63 : 'Unassigned [0x1B63]',
	0x1B64 : 'Unassigned [0x1B64]',
	0x1B65 : 'Unassigned [0x1B65]',
	0x1B66 : 'Unassigned [0x1B66]',
	0x1B67 : 'Unassigned [0x1B67]',
	0x1B68 : 'Unassigned [0x1B68]',
	0x1B69 : 'Unassigned [0x1B69]',
	0x1B6A : 'Unassigned [0x1B6A]',
	0x1B6B : 'Unassigned [0x1B6B]',
	0x1B6C : 'Unassigned [0x1B6C]',
	0x1B6D : 'Unassigned [0x1B6D]',
	0x1B6E : 'Unassigned [0x1B6E]',
	0x1B6F : 'Unassigned [0x1B6F]',
	0x1B70 : 'Unassigned [0x1B70]',
	0x1B71 : 'Unassigned [0x1B71]',
	0x1B72 : 'Unassigned [0x1B72]',
	0x1B73 : 'Unassigned [0x1B73]',
	0x1B74 : 'Unassigned [0x1B74]',
	0x1B75 : 'Unassigned [0x1B75]',
	0x1B76 : 'Unassigned [0x1B76]',
	0x1B77 : 'Unassigned [0x1B77]',
	0x1B78 : 'Unassigned [0x1B78]',
	0x1B79 : 'Unassigned [0x1B79]',
	0x1B7A : 'Unassigned [0x1B7A]',
	0x1B7B : 'Unassigned [0x1B7B]',
	0x1B7C : 'Unassigned [0x1B7C]',
	0x1B7D : 'Unassigned [0x1B7D]',
	0x1B7E : 'Unassigned [0x1B7E]',
	0x1B7F : 'Unassigned [0x1B7F]',
	0x1B80 : 'Unassigned [0x1B80]',
	0x1B81 : 'Unassigned [0x1B81]',
	0x1B82 : 'Unassigned [0x1B82]',
	0x1B83 : 'Unassigned [0x1B83]',
	0x1B84 : 'Unassigned [0x1B84]',
	0x1B85 : 'Unassigned [0x1B85]',
	0x1B86 : 'Unassigned [0x1B86]',
	0x1B87 : 'Unassigned [0x1B87]',
	0x1B88 : 'Unassigned [0x1B88]',
	0x1B89 : 'Unassigned [0x1B89]',
	0x1B8A : 'Unassigned [0x1B8A]',
	0x1B8B : 'Unassigned [0x1B8B]',
	0x1B8C : 'Unassigned [0x1B8C]',
	0x1B8D : 'Unassigned [0x1B8D]',
	0x1B8E : 'Unassigned [0x1B8E]',
	0x1B8F : 'Unassigned [0x1B8F]',
	0x1B90 : 'Unassigned [0x1B90]',
	0x1B91 : 'Unassigned [0x1B91]',
	0x1B92 : 'Unassigned [0x1B92]',
	0x1B93 : 'Unassigned [0x1B93]',
	0x1B94 : 'Unassigned [0x1B94]',
	0x1B95 : 'Unassigned [0x1B95]',
	0x1B96 : 'Unassigned [0x1B96]',
	0x1B97 : 'Unassigned [0x1B97]',
	0x1B98 : 'Unassigned [0x1B98]',
	0x1B99 : 'Unassigned [0x1B99]',
	0x1B9A : 'Unassigned [0x1B9A]',
	0x1B9B : 'Unassigned [0x1B9B]',
	0x1B9C : 'Unassigned [0x1B9C]',
	0x1B9D : 'Unassigned [0x1B9D]',
	0x1B9E : 'Unassigned [0x1B9E]',
	0x1B9F : 'Unassigned [0x1B9F]',
	0x1BA0 : 'Unassigned [0x1BA0]',
	0x1BA1 : 'Unassigned [0x1BA1]',
	0x1BA2 : 'Unassigned [0x1BA2]',
	0x1BA3 : 'Unassigned [0x1BA3]',
	0x1BA4 : 'Unassigned [0x1BA4]',
	0x1BA5 : 'Unassigned [0x1BA5]',
	0x1BA6 : 'Unassigned [0x1BA6]',
	0x1BA7 : 'Unassigned [0x1BA7]',
	0x1BA8 : 'Unassigned [0x1BA8]',
	0x1BA9 : 'Unassigned [0x1BA9]',
	0x1BAA : 'Unassigned [0x1BAA]',
	0x1BAB : 'Unassigned [0x1BAB]',
	0x1BAC : 'Unassigned [0x1BAC]',
	0x1BAD : 'Unassigned [0x1BAD]',
	0x1BAE : 'Unassigned [0x1BAE]',
	0x1BAF : 'Unassigned [0x1BAF]',
	0x1BB0 : 'Unassigned [0x1BB0]',
	0x1BB1 : 'Unassigned [0x1BB1]',
	0x1BB2 : 'Unassigned [0x1BB2]',
	0x1BB3 : 'Unassigned [0x1BB3]',
	0x1BB4 : 'Unassigned [0x1BB4]',
	0x1BB5 : 'Unassigned [0x1BB5]',
	0x1BB6 : 'Unassigned [0x1BB6]',
	0x1BB7 : 'Unassigned [0x1BB7]',
	0x1BB8 : 'Unassigned [0x1BB8]',
	0x1BB9 : 'Unassigned [0x1BB9]',
	0x1BBA : 'Unassigned [0x1BBA]',
	0x1BBB : 'Unassigned [0x1BBB]',
	0x1BBC : 'Unassigned [0x1BBC]',
	0x1BBD : 'Unassigned [0x1BBD]',
	0x1BBE : 'Unassigned [0x1BBE]',
	0x1BBF : 'Unassigned [0x1BBF]',
	0x1BC0 : 'Unassigned [0x1BC0]',
	0x1BC1 : 'Unassigned [0x1BC1]',
	0x1BC2 : 'Unassigned [0x1BC2]',
	0x1BC3 : 'Unassigned [0x1BC3]',
	0x1BC4 : 'Unassigned [0x1BC4]',
	0x1BC5 : 'Unassigned [0x1BC5]',
	0x1BC6 : 'Unassigned [0x1BC6]',
	0x1BC7 : 'Unassigned [0x1BC7]',
	0x1BC8 : 'Unassigned [0x1BC8]',
	0x1BC9 : 'Unassigned [0x1BC9]',
	0x1BCA : 'Unassigned [0x1BCA]',
	0x1BCB : 'Unassigned [0x1BCB]',
	0x1BCC : 'Unassigned [0x1BCC]',
	0x1BCD : 'Unassigned [0x1BCD]',
	0x1BCE : 'Unassigned [0x1BCE]',
	0x1BCF : 'Unassigned [0x1BCF]',
	0x1BD0 : 'Unassigned [0x1BD0]',
	0x1BD1 : 'Unassigned [0x1BD1]',
	0x1BD2 : 'Unassigned [0x1BD2]',
	0x1BD3 : 'Unassigned [0x1BD3]',
	0x1BD4 : 'Unassigned [0x1BD4]',
	0x1BD5 : 'Unassigned [0x1BD5]',
	0x1BD6 : 'Unassigned [0x1BD6]',
	0x1BD7 : 'Unassigned [0x1BD7]',
	0x1BD8 : 'Unassigned [0x1BD8]',
	0x1BD9 : 'Unassigned [0x1BD9]',
	0x1BDA : 'Unassigned [0x1BDA]',
	0x1BDB : 'Unassigned [0x1BDB]',
	0x1BDC : 'Unassigned [0x1BDC]',
	0x1BDD : 'Unassigned [0x1BDD]',
	0x1BDE : 'Unassigned [0x1BDE]',
	0x1BDF : 'Unassigned [0x1BDF]',
	0x1BE0 : 'Unassigned [0x1BE0]',
	0x1BE1 : 'Unassigned [0x1BE1]',
	0x1BE2 : 'Unassigned [0x1BE2]',
	0x1BE3 : 'Unassigned [0x1BE3]',
	0x1BE4 : 'Unassigned [0x1BE4]',
	0x1BE5 : 'Unassigned [0x1BE5]',
	0x1BE6 : 'Unassigned [0x1BE6]',
	0x1BE7 : 'Unassigned [0x1BE7]',
	0x1BE8 : 'Unassigned [0x1BE8]',
	0x1BE9 : 'Unassigned [0x1BE9]',
	0x1BEA : 'Unassigned [0x1BEA]',
	0x1BEB : 'Unassigned [0x1BEB]',
	0x1BEC : 'Unassigned [0x1BEC]',
	0x1BED : 'Unassigned [0x1BED]',
	0x1BEE : 'Unassigned [0x1BEE]',
	0x1BEF : 'Unassigned [0x1BEF]',
	0x1BF0 : 'Unassigned [0x1BF0]',
	0x1BF1 : 'Unassigned [0x1BF1]',
	0x1BF2 : 'Unassigned [0x1BF2]',
	0x1BF3 : 'Unassigned [0x1BF3]',
	0x1BF4 : 'Unassigned [0x1BF4]',
	0x1BF5 : 'Unassigned [0x1BF5]',
	0x1BF6 : 'Unassigned [0x1BF6]',
	0x1BF7 : 'Unassigned [0x1BF7]',
	0x1BF8 : 'Unassigned [0x1BF8]',
	0x1BF9 : 'Unassigned [0x1BF9]',
	0x1BFA : 'Unassigned [0x1BFA]',
	0x1BFB : 'Unassigned [0x1BFB]',
	0x1BFC : 'Unassigned [0x1BFC]',
	0x1BFD : 'Unassigned [0x1BFD]',
	0x1BFE : 'Unassigned [0x1BFE]',
	0x1BFF : 'Unassigned [0x1BFF]',
	0x1C00 : 'Unassigned [0x1C00]',
	0x1C01 : 'Unassigned [0x1C01]',
	0x1C02 : 'Unassigned [0x1C02]',
	0x1C03 : 'Unassigned [0x1C03]',
	0x1C04 : 'Unassigned [0x1C04]',
	0x1C05 : 'Unassigned [0x1C05]',
	0x1C06 : 'Unassigned [0x1C06]',
	0x1C07 : 'Unassigned [0x1C07]',
	0x1C08 : 'Unassigned [0x1C08]',
	0x1C09 : 'Unassigned [0x1C09]',
	0x1C0A : 'Unassigned [0x1C0A]',
	0x1C0B : 'Unassigned [0x1C0B]',
	0x1C0C : 'Unassigned [0x1C0C]',
	0x1C0D : 'Unassigned [0x1C0D]',
	0x1C0E : 'Unassigned [0x1C0E]',
	0x1C0F : 'Unassigned [0x1C0F]',
	0x1C10 : 'Unassigned [0x1C10]',
	0x1C11 : 'Unassigned [0x1C11]',
	0x1C12 : 'Unassigned [0x1C12]',
	0x1C13 : 'Unassigned [0x1C13]',
	0x1C14 : 'Unassigned [0x1C14]',
	0x1C15 : 'Unassigned [0x1C15]',
	0x1C16 : 'Unassigned [0x1C16]',
	0x1C17 : 'Unassigned [0x1C17]',
	0x1C18 : 'Unassigned [0x1C18]',
	0x1C19 : 'Unassigned [0x1C19]',
	0x1C1A : 'Unassigned [0x1C1A]',
	0x1C1B : 'Unassigned [0x1C1B]',
	0x1C1C : 'Unassigned [0x1C1C]',
	0x1C1D : 'Unassigned [0x1C1D]',
	0x1C1E : 'Unassigned [0x1C1E]',
	0x1C1F : 'Unassigned [0x1C1F]',
	0x1C20 : 'Unassigned [0x1C20]',
	0x1C21 : 'Unassigned [0x1C21]',
	0x1C22 : 'Unassigned [0x1C22]',
	0x1C23 : 'Unassigned [0x1C23]',
	0x1C24 : 'Unassigned [0x1C24]',
	0x1C25 : 'Unassigned [0x1C25]',
	0x1C26 : 'Unassigned [0x1C26]',
	0x1C27 : 'Unassigned [0x1C27]',
	0x1C28 : 'Unassigned [0x1C28]',
	0x1C29 : 'Unassigned [0x1C29]',
	0x1C2A : 'Unassigned [0x1C2A]',
	0x1C2B : 'Unassigned [0x1C2B]',
	0x1C2C : 'Unassigned [0x1C2C]',
	0x1C2D : 'Unassigned [0x1C2D]',
	0x1C2E : 'Unassigned [0x1C2E]',
	0x1C2F : 'Unassigned [0x1C2F]',
	0x1C30 : 'Unassigned [0x1C30]',
	0x1C31 : 'Unassigned [0x1C31]',
	0x1C32 : 'Unassigned [0x1C32]',
	0x1C33 : 'Unassigned [0x1C33]',
	0x1C34 : 'Unassigned [0x1C34]',
	0x1C35 : 'Unassigned [0x1C35]',
	0x1C36 : 'Unassigned [0x1C36]',
	0x1C37 : 'Unassigned [0x1C37]',
	0x1C38 : 'Unassigned [0x1C38]',
	0x1C39 : 'Unassigned [0x1C39]',
	0x1C3A : 'Unassigned [0x1C3A]',
	0x1C3B : 'Unassigned [0x1C3B]',
	0x1C3C : 'Unassigned [0x1C3C]',
	0x1C3D : 'Unassigned [0x1C3D]',
	0x1C3E : 'Unassigned [0x1C3E]',
	0x1C3F : 'Unassigned [0x1C3F]',
	0x1C40 : 'Unassigned [0x1C40]',
	0x1C41 : 'Unassigned [0x1C41]',
	0x1C42 : 'Unassigned [0x1C42]',
	0x1C43 : 'Unassigned [0x1C43]',
	0x1C44 : 'Unassigned [0x1C44]',
	0x1C45 : 'Unassigned [0x1C45]',
	0x1C46 : 'Unassigned [0x1C46]',
	0x1C47 : 'Unassigned [0x1C47]',
	0x1C48 : 'Unassigned [0x1C48]',
	0x1C49 : 'Unassigned [0x1C49]',
	0x1C4A : 'Unassigned [0x1C4A]',
	0x1C4B : 'Unassigned [0x1C4B]',
	0x1C4C : 'Unassigned [0x1C4C]',
	0x1C4D : 'Unassigned [0x1C4D]',
	0x1C4E : 'Unassigned [0x1C4E]',
	0x1C4F : 'Unassigned [0x1C4F]',
	0x1C50 : 'Unassigned [0x1C50]',
	0x1C51 : 'Unassigned [0x1C51]',
	0x1C52 : 'Unassigned [0x1C52]',
	0x1C53 : 'Unassigned [0x1C53]',
	0x1C54 : 'Unassigned [0x1C54]',
	0x1C55 : 'Unassigned [0x1C55]',
	0x1C56 : 'Unassigned [0x1C56]',
	0x1C57 : 'Unassigned [0x1C57]',
	0x1C58 : 'Unassigned [0x1C58]',
	0x1C59 : 'Unassigned [0x1C59]',
	0x1C5A : 'Unassigned [0x1C5A]',
	0x1C5B : 'Unassigned [0x1C5B]',
	0x1C5C : 'Unassigned [0x1C5C]',
	0x1C5D : 'Unassigned [0x1C5D]',
	0x1C5E : 'Unassigned [0x1C5E]',
	0x1C5F : 'Unassigned [0x1C5F]',
	0x1C60 : 'Unassigned [0x1C60]',
	0x1C61 : 'Unassigned [0x1C61]',
	0x1C62 : 'Unassigned [0x1C62]',
	0x1C63 : 'Unassigned [0x1C63]',
	0x1C64 : 'Unassigned [0x1C64]',
	0x1C65 : 'Unassigned [0x1C65]',
	0x1C66 : 'Unassigned [0x1C66]',
	0x1C67 : 'Unassigned [0x1C67]',
	0x1C68 : 'Unassigned [0x1C68]',
	0x1C69 : 'Unassigned [0x1C69]',
	0x1C6A : 'Unassigned [0x1C6A]',
	0x1C6B : 'Unassigned [0x1C6B]',
	0x1C6C : 'Unassigned [0x1C6C]',
	0x1C6D : 'Unassigned [0x1C6D]',
	0x1C6E : 'Unassigned [0x1C6E]',
	0x1C6F : 'Unassigned [0x1C6F]',
	0x1C70 : 'Unassigned [0x1C70]',
	0x1C71 : 'Unassigned [0x1C71]',
	0x1C72 : 'Unassigned [0x1C72]',
	0x1C73 : 'Unassigned [0x1C73]',
	0x1C74 : 'Unassigned [0x1C74]',
	0x1C75 : 'Unassigned [0x1C75]',
	0x1C76 : 'Unassigned [0x1C76]',
	0x1C77 : 'Unassigned [0x1C77]',
	0x1C78 : 'Unassigned [0x1C78]',
	0x1C79 : 'Unassigned [0x1C79]',
	0x1C7A : 'Unassigned [0x1C7A]',
	0x1C7B : 'Unassigned [0x1C7B]',
	0x1C7C : 'Unassigned [0x1C7C]',
	0x1C7D : 'Unassigned [0x1C7D]',
	0x1C7E : 'Unassigned [0x1C7E]',
	0x1C7F : 'Unassigned [0x1C7F]',
	0x1C80 : 'Unassigned [0x1C80]',
	0x1C81 : 'Unassigned [0x1C81]',
	0x1C82 : 'Unassigned [0x1C82]',
	0x1C83 : 'Unassigned [0x1C83]',
	0x1C84 : 'Unassigned [0x1C84]',
	0x1C85 : 'Unassigned [0x1C85]',
	0x1C86 : 'Unassigned [0x1C86]',
	0x1C87 : 'Unassigned [0x1C87]',
	0x1C88 : 'Unassigned [0x1C88]',
	0x1C89 : 'Unassigned [0x1C89]',
	0x1C8A : 'Unassigned [0x1C8A]',
	0x1C8B : 'Unassigned [0x1C8B]',
	0x1C8C : 'Unassigned [0x1C8C]',
	0x1C8D : 'Unassigned [0x1C8D]',
	0x1C8E : 'Unassigned [0x1C8E]',
	0x1C8F : 'Unassigned [0x1C8F]',
	0x1C90 : 'Unassigned [0x1C90]',
	0x1C91 : 'Unassigned [0x1C91]',
	0x1C92 : 'Unassigned [0x1C92]',
	0x1C93 : 'Unassigned [0x1C93]',
	0x1C94 : 'Unassigned [0x1C94]',
	0x1C95 : 'Unassigned [0x1C95]',
	0x1C96 : 'Unassigned [0x1C96]',
	0x1C97 : 'Unassigned [0x1C97]',
	0x1C98 : 'Unassigned [0x1C98]',
	0x1C99 : 'Unassigned [0x1C99]',
	0x1C9A : 'Unassigned [0x1C9A]',
	0x1C9B : 'Unassigned [0x1C9B]',
	0x1C9C : 'Unassigned [0x1C9C]',
	0x1C9D : 'Unassigned [0x1C9D]',
	0x1C9E : 'Unassigned [0x1C9E]',
	0x1C9F : 'Unassigned [0x1C9F]',
	0x1CA0 : 'Unassigned [0x1CA0]',
	0x1CA1 : 'Unassigned [0x1CA1]',
	0x1CA2 : 'Unassigned [0x1CA2]',
	0x1CA3 : 'Unassigned [0x1CA3]',
	0x1CA4 : 'Unassigned [0x1CA4]',
	0x1CA5 : 'Unassigned [0x1CA5]',
	0x1CA6 : 'Unassigned [0x1CA6]',
	0x1CA7 : 'Unassigned [0x1CA7]',
	0x1CA8 : 'Unassigned [0x1CA8]',
	0x1CA9 : 'Unassigned [0x1CA9]',
	0x1CAA : 'Unassigned [0x1CAA]',
	0x1CAB : 'Unassigned [0x1CAB]',
	0x1CAC : 'Unassigned [0x1CAC]',
	0x1CAD : 'Unassigned [0x1CAD]',
	0x1CAE : 'Unassigned [0x1CAE]',
	0x1CAF : 'Unassigned [0x1CAF]',
	0x1CB0 : 'Unassigned [0x1CB0]',
	0x1CB1 : 'Unassigned [0x1CB1]',
	0x1CB2 : 'Unassigned [0x1CB2]',
	0x1CB3 : 'Unassigned [0x1CB3]',
	0x1CB4 : 'Unassigned [0x1CB4]',
	0x1CB5 : 'Unassigned [0x1CB5]',
	0x1CB6 : 'Unassigned [0x1CB6]',
	0x1CB7 : 'Unassigned [0x1CB7]',
	0x1CB8 : 'Unassigned [0x1CB8]',
	0x1CB9 : 'Unassigned [0x1CB9]',
	0x1CBA : 'Unassigned [0x1CBA]',
	0x1CBB : 'Unassigned [0x1CBB]',
	0x1CBC : 'Unassigned [0x1CBC]',
	0x1CBD : 'Unassigned [0x1CBD]',
	0x1CBE : 'Unassigned [0x1CBE]',
	0x1CBF : 'Unassigned [0x1CBF]',
	0x1CC0 : 'Unassigned [0x1CC0]',
	0x1CC1 : 'Unassigned [0x1CC1]',
	0x1CC2 : 'Unassigned [0x1CC2]',
	0x1CC3 : 'Unassigned [0x1CC3]',
	0x1CC4 : 'Unassigned [0x1CC4]',
	0x1CC5 : 'Unassigned [0x1CC5]',
	0x1CC6 : 'Unassigned [0x1CC6]',
	0x1CC7 : 'Unassigned [0x1CC7]',
	0x1CC8 : 'Unassigned [0x1CC8]',
	0x1CC9 : 'Unassigned [0x1CC9]',
	0x1CCA : 'Unassigned [0x1CCA]',
	0x1CCB : 'Unassigned [0x1CCB]',
	0x1CCC : 'Unassigned [0x1CCC]',
	0x1CCD : 'Unassigned [0x1CCD]',
	0x1CCE : 'Unassigned [0x1CCE]',
	0x1CCF : 'Unassigned [0x1CCF]',
	0x1CD0 : 'Unassigned [0x1CD0]',
	0x1CD1 : 'Unassigned [0x1CD1]',
	0x1CD2 : 'Unassigned [0x1CD2]',
	0x1CD3 : 'Unassigned [0x1CD3]',
	0x1CD4 : 'Unassigned [0x1CD4]',
	0x1CD5 : 'Unassigned [0x1CD5]',
	0x1CD6 : 'Unassigned [0x1CD6]',
	0x1CD7 : 'Unassigned [0x1CD7]',
	0x1CD8 : 'Unassigned [0x1CD8]',
	0x1CD9 : 'Unassigned [0x1CD9]',
	0x1CDA : 'Unassigned [0x1CDA]',
	0x1CDB : 'Unassigned [0x1CDB]',
	0x1CDC : 'Unassigned [0x1CDC]',
	0x1CDD : 'Unassigned [0x1CDD]',
	0x1CDE : 'Unassigned [0x1CDE]',
	0x1CDF : 'Unassigned [0x1CDF]',
	0x1CE0 : 'Unassigned [0x1CE0]',
	0x1CE1 : 'Unassigned [0x1CE1]',
	0x1CE2 : 'Unassigned [0x1CE2]',
	0x1CE3 : 'Unassigned [0x1CE3]',
	0x1CE4 : 'Unassigned [0x1CE4]',
	0x1CE5 : 'Unassigned [0x1CE5]',
	0x1CE6 : 'Unassigned [0x1CE6]',
	0x1CE7 : 'Unassigned [0x1CE7]',
	0x1CE8 : 'Unassigned [0x1CE8]',
	0x1CE9 : 'Unassigned [0x1CE9]',
	0x1CEA : 'Unassigned [0x1CEA]',
	0x1CEB : 'Unassigned [0x1CEB]',
	0x1CEC : 'Unassigned [0x1CEC]',
	0x1CED : 'Unassigned [0x1CED]',
	0x1CEE : 'Unassigned [0x1CEE]',
	0x1CEF : 'Unassigned [0x1CEF]',
	0x1CF0 : 'Unassigned [0x1CF0]',
	0x1CF1 : 'Unassigned [0x1CF1]',
	0x1CF2 : 'Unassigned [0x1CF2]',
	0x1CF3 : 'Unassigned [0x1CF3]',
	0x1CF4 : 'Unassigned [0x1CF4]',
	0x1CF5 : 'Unassigned [0x1CF5]',
	0x1CF6 : 'Unassigned [0x1CF6]',
	0x1CF7 : 'Unassigned [0x1CF7]',
	0x1CF8 : 'Unassigned [0x1CF8]',
	0x1CF9 : 'Unassigned [0x1CF9]',
	0x1CFA : 'Unassigned [0x1CFA]',
	0x1CFB : 'Unassigned [0x1CFB]',
	0x1CFC : 'Unassigned [0x1CFC]',
	0x1CFD : 'Unassigned [0x1CFD]',
	0x1CFE : 'Unassigned [0x1CFE]',
	0x1CFF : 'Unassigned [0x1CFF]',
	0x1D00 : 'Unassigned [0x1D00]',
	0x1D01 : 'Unassigned [0x1D01]',
	0x1D02 : 'Unassigned [0x1D02]',
	0x1D03 : 'Unassigned [0x1D03]',
	0x1D04 : 'Unassigned [0x1D04]',
	0x1D05 : 'Unassigned [0x1D05]',
	0x1D06 : 'Unassigned [0x1D06]',
	0x1D07 : 'Unassigned [0x1D07]',
	0x1D08 : 'Unassigned [0x1D08]',
	0x1D09 : 'Unassigned [0x1D09]',
	0x1D0A : 'Unassigned [0x1D0A]',
	0x1D0B : 'Unassigned [0x1D0B]',
	0x1D0C : 'Unassigned [0x1D0C]',
	0x1D0D : 'Unassigned [0x1D0D]',
	0x1D0E : 'Unassigned [0x1D0E]',
	0x1D0F : 'Unassigned [0x1D0F]',
	0x1D10 : 'Unassigned [0x1D10]',
	0x1D11 : 'Unassigned [0x1D11]',
	0x1D12 : 'Unassigned [0x1D12]',
	0x1D13 : 'Unassigned [0x1D13]',
	0x1D14 : 'Unassigned [0x1D14]',
	0x1D15 : 'Unassigned [0x1D15]',
	0x1D16 : 'Unassigned [0x1D16]',
	0x1D17 : 'Unassigned [0x1D17]',
	0x1D18 : 'Unassigned [0x1D18]',
	0x1D19 : 'Unassigned [0x1D19]',
	0x1D1A : 'Unassigned [0x1D1A]',
	0x1D1B : 'Unassigned [0x1D1B]',
	0x1D1C : 'Unassigned [0x1D1C]',
	0x1D1D : 'Unassigned [0x1D1D]',
	0x1D1E : 'Unassigned [0x1D1E]',
	0x1D1F : 'Unassigned [0x1D1F]',
	0x1D20 : 'Unassigned [0x1D20]',
	0x1D21 : 'Unassigned [0x1D21]',
	0x1D22 : 'Unassigned [0x1D22]',
	0x1D23 : 'Unassigned [0x1D23]',
	0x1D24 : 'Unassigned [0x1D24]',
	0x1D25 : 'Unassigned [0x1D25]',
	0x1D26 : 'Unassigned [0x1D26]',
	0x1D27 : 'Unassigned [0x1D27]',
	0x1D28 : 'Unassigned [0x1D28]',
	0x1D29 : 'Unassigned [0x1D29]',
	0x1D2A : 'Unassigned [0x1D2A]',
	0x1D2B : 'Unassigned [0x1D2B]',
	0x1D2C : 'Unassigned [0x1D2C]',
	0x1D2D : 'Unassigned [0x1D2D]',
	0x1D2E : 'Unassigned [0x1D2E]',
	0x1D2F : 'Unassigned [0x1D2F]',
	0x1D30 : 'Unassigned [0x1D30]',
	0x1D31 : 'Unassigned [0x1D31]',
	0x1D32 : 'Unassigned [0x1D32]',
	0x1D33 : 'Unassigned [0x1D33]',
	0x1D34 : 'Unassigned [0x1D34]',
	0x1D35 : 'Unassigned [0x1D35]',
	0x1D36 : 'Unassigned [0x1D36]',
	0x1D37 : 'Unassigned [0x1D37]',
	0x1D38 : 'Unassigned [0x1D38]',
	0x1D39 : 'Unassigned [0x1D39]',
	0x1D3A : 'Unassigned [0x1D3A]',
	0x1D3B : 'Unassigned [0x1D3B]',
	0x1D3C : 'Unassigned [0x1D3C]',
	0x1D3D : 'Unassigned [0x1D3D]',
	0x1D3E : 'Unassigned [0x1D3E]',
	0x1D3F : 'Unassigned [0x1D3F]',
	0x1D40 : 'Unassigned [0x1D40]',
	0x1D41 : 'Unassigned [0x1D41]',
	0x1D42 : 'Unassigned [0x1D42]',
	0x1D43 : 'Unassigned [0x1D43]',
	0x1D44 : 'Unassigned [0x1D44]',
	0x1D45 : 'Unassigned [0x1D45]',
	0x1D46 : 'Unassigned [0x1D46]',
	0x1D47 : 'Unassigned [0x1D47]',
	0x1D48 : 'Unassigned [0x1D48]',
	0x1D49 : 'Unassigned [0x1D49]',
	0x1D4A : 'Unassigned [0x1D4A]',
	0x1D4B : 'Unassigned [0x1D4B]',
	0x1D4C : 'Unassigned [0x1D4C]',
	0x1D4D : 'Unassigned [0x1D4D]',
	0x1D4E : 'Unassigned [0x1D4E]',
	0x1D4F : 'Unassigned [0x1D4F]',
	0x1D50 : 'Unassigned [0x1D50]',
	0x1D51 : 'Unassigned [0x1D51]',
	0x1D52 : 'Unassigned [0x1D52]',
	0x1D53 : 'Unassigned [0x1D53]',
	0x1D54 : 'Unassigned [0x1D54]',
	0x1D55 : 'Unassigned [0x1D55]',
	0x1D56 : 'Unassigned [0x1D56]',
	0x1D57 : 'Unassigned [0x1D57]',
	0x1D58 : 'Unassigned [0x1D58]',
	0x1D59 : 'Unassigned [0x1D59]',
	0x1D5A : 'Unassigned [0x1D5A]',
	0x1D5B : 'Unassigned [0x1D5B]',
	0x1D5C : 'Unassigned [0x1D5C]',
	0x1D5D : 'Unassigned [0x1D5D]',
	0x1D5E : 'Unassigned [0x1D5E]',
	0x1D5F : 'Unassigned [0x1D5F]',
	0x1D60 : 'Unassigned [0x1D60]',
	0x1D61 : 'Unassigned [0x1D61]',
	0x1D62 : 'Unassigned [0x1D62]',
	0x1D63 : 'Unassigned [0x1D63]',
	0x1D64 : 'Unassigned [0x1D64]',
	0x1D65 : 'Unassigned [0x1D65]',
	0x1D66 : 'Unassigned [0x1D66]',
	0x1D67 : 'Unassigned [0x1D67]',
	0x1D68 : 'Unassigned [0x1D68]',
	0x1D69 : 'Unassigned [0x1D69]',
	0x1D6A : 'Unassigned [0x1D6A]',
	0x1D6B : 'Unassigned [0x1D6B]',
	0x1D6C : 'Unassigned [0x1D6C]',
	0x1D6D : 'Unassigned [0x1D6D]',
	0x1D6E : 'Unassigned [0x1D6E]',
	0x1D6F : 'Unassigned [0x1D6F]',
	0x1D70 : 'Unassigned [0x1D70]',
	0x1D71 : 'Unassigned [0x1D71]',
	0x1D72 : 'Unassigned [0x1D72]',
	0x1D73 : 'Unassigned [0x1D73]',
	0x1D74 : 'Unassigned [0x1D74]',
	0x1D75 : 'Unassigned [0x1D75]',
	0x1D76 : 'Unassigned [0x1D76]',
	0x1D77 : 'Unassigned [0x1D77]',
	0x1D78 : 'Unassigned [0x1D78]',
	0x1D79 : 'Unassigned [0x1D79]',
	0x1D7A : 'Unassigned [0x1D7A]',
	0x1D7B : 'Unassigned [0x1D7B]',
	0x1D7C : 'Unassigned [0x1D7C]',
	0x1D7D : 'Unassigned [0x1D7D]',
	0x1D7E : 'Unassigned [0x1D7E]',
	0x1D7F : 'Unassigned [0x1D7F]',
	0x1D80 : 'Unassigned [0x1D80]',
	0x1D81 : 'Unassigned [0x1D81]',
	0x1D82 : 'Unassigned [0x1D82]',
	0x1D83 : 'Unassigned [0x1D83]',
	0x1D84 : 'Unassigned [0x1D84]',
	0x1D85 : 'Unassigned [0x1D85]',
	0x1D86 : 'Unassigned [0x1D86]',
	0x1D87 : 'Unassigned [0x1D87]',
	0x1D88 : 'Unassigned [0x1D88]',
	0x1D89 : 'Unassigned [0x1D89]',
	0x1D8A : 'Unassigned [0x1D8A]',
	0x1D8B : 'Unassigned [0x1D8B]',
	0x1D8C : 'Unassigned [0x1D8C]',
	0x1D8D : 'Unassigned [0x1D8D]',
	0x1D8E : 'Unassigned [0x1D8E]',
	0x1D8F : 'Unassigned [0x1D8F]',
	0x1D90 : 'Unassigned [0x1D90]',
	0x1D91 : 'Unassigned [0x1D91]',
	0x1D92 : 'Unassigned [0x1D92]',
	0x1D93 : 'Unassigned [0x1D93]',
	0x1D94 : 'Unassigned [0x1D94]',
	0x1D95 : 'Unassigned [0x1D95]',
	0x1D96 : 'Unassigned [0x1D96]',
	0x1D97 : 'Unassigned [0x1D97]',
	0x1D98 : 'Unassigned [0x1D98]',
	0x1D99 : 'Unassigned [0x1D99]',
	0x1D9A : 'Unassigned [0x1D9A]',
	0x1D9B : 'Unassigned [0x1D9B]',
	0x1D9C : 'Unassigned [0x1D9C]',
	0x1D9D : 'Unassigned [0x1D9D]',
	0x1D9E : 'Unassigned [0x1D9E]',
	0x1D9F : 'Unassigned [0x1D9F]',
	0x1DA0 : 'Unassigned [0x1DA0]',
	0x1DA1 : 'Unassigned [0x1DA1]',
	0x1DA2 : 'Unassigned [0x1DA2]',
	0x1DA3 : 'Unassigned [0x1DA3]',
	0x1DA4 : 'Unassigned [0x1DA4]',
	0x1DA5 : 'Unassigned [0x1DA5]',
	0x1DA6 : 'Unassigned [0x1DA6]',
	0x1DA7 : 'Unassigned [0x1DA7]',
	0x1DA8 : 'Unassigned [0x1DA8]',
	0x1DA9 : 'Unassigned [0x1DA9]',
	0x1DAA : 'Unassigned [0x1DAA]',
	0x1DAB : 'Unassigned [0x1DAB]',
	0x1DAC : 'Unassigned [0x1DAC]',
	0x1DAD : 'Unassigned [0x1DAD]',
	0x1DAE : 'Unassigned [0x1DAE]',
	0x1DAF : 'Unassigned [0x1DAF]',
	0x1DB0 : 'Unassigned [0x1DB0]',
	0x1DB1 : 'Unassigned [0x1DB1]',
	0x1DB2 : 'Unassigned [0x1DB2]',
	0x1DB3 : 'Unassigned [0x1DB3]',
	0x1DB4 : 'Unassigned [0x1DB4]',
	0x1DB5 : 'Unassigned [0x1DB5]',
	0x1DB6 : 'Unassigned [0x1DB6]',
	0x1DB7 : 'Unassigned [0x1DB7]',
	0x1DB8 : 'Unassigned [0x1DB8]',
	0x1DB9 : 'Unassigned [0x1DB9]',
	0x1DBA : 'Unassigned [0x1DBA]',
	0x1DBB : 'Unassigned [0x1DBB]',
	0x1DBC : 'Unassigned [0x1DBC]',
	0x1DBD : 'Unassigned [0x1DBD]',
	0x1DBE : 'Unassigned [0x1DBE]',
	0x1DBF : 'Unassigned [0x1DBF]',
	0x1DC0 : 'Unassigned [0x1DC0]',
	0x1DC1 : 'Unassigned [0x1DC1]',
	0x1DC2 : 'Unassigned [0x1DC2]',
	0x1DC3 : 'Unassigned [0x1DC3]',
	0x1DC4 : 'Unassigned [0x1DC4]',
	0x1DC5 : 'Unassigned [0x1DC5]',
	0x1DC6 : 'Unassigned [0x1DC6]',
	0x1DC7 : 'Unassigned [0x1DC7]',
	0x1DC8 : 'Unassigned [0x1DC8]',
	0x1DC9 : 'Unassigned [0x1DC9]',
	0x1DCA : 'Unassigned [0x1DCA]',
	0x1DCB : 'Unassigned [0x1DCB]',
	0x1DCC : 'Unassigned [0x1DCC]',
	0x1DCD : 'Unassigned [0x1DCD]',
	0x1DCE : 'Unassigned [0x1DCE]',
	0x1DCF : 'Unassigned [0x1DCF]',
	0x1DD0 : 'Unassigned [0x1DD0]',
	0x1DD1 : 'Unassigned [0x1DD1]',
	0x1DD2 : 'Unassigned [0x1DD2]',
	0x1DD3 : 'Unassigned [0x1DD3]',
	0x1DD4 : 'Unassigned [0x1DD4]',
	0x1DD5 : 'Unassigned [0x1DD5]',
	0x1DD6 : 'Unassigned [0x1DD6]',
	0x1DD7 : 'Unassigned [0x1DD7]',
	0x1DD8 : 'Unassigned [0x1DD8]',
	0x1DD9 : 'Unassigned [0x1DD9]',
	0x1DDA : 'Unassigned [0x1DDA]',
	0x1DDB : 'Unassigned [0x1DDB]',
	0x1DDC : 'Unassigned [0x1DDC]',
	0x1DDD : 'Unassigned [0x1DDD]',
	0x1DDE : 'Unassigned [0x1DDE]',
	0x1DDF : 'Unassigned [0x1DDF]',
	0x1DE0 : 'Unassigned [0x1DE0]',
	0x1DE1 : 'Unassigned [0x1DE1]',
	0x1DE2 : 'Unassigned [0x1DE2]',
	0x1DE3 : 'Unassigned [0x1DE3]',
	0x1DE4 : 'Unassigned [0x1DE4]',
	0x1DE5 : 'Unassigned [0x1DE5]',
	0x1DE6 : 'Unassigned [0x1DE6]',
	0x1DE7 : 'Unassigned [0x1DE7]',
	0x1DE8 : 'Unassigned [0x1DE8]',
	0x1DE9 : 'Unassigned [0x1DE9]',
	0x1DEA : 'Unassigned [0x1DEA]',
	0x1DEB : 'Unassigned [0x1DEB]',
	0x1DEC : 'Unassigned [0x1DEC]',
	0x1DED : 'Unassigned [0x1DED]',
	0x1DEE : 'Unassigned [0x1DEE]',
	0x1DEF : 'Unassigned [0x1DEF]',
	0x1DF0 : 'Unassigned [0x1DF0]',
	0x1DF1 : 'Unassigned [0x1DF1]',
	0x1DF2 : 'Unassigned [0x1DF2]',
	0x1DF3 : 'Unassigned [0x1DF3]',
	0x1DF4 : 'Unassigned [0x1DF4]',
	0x1DF5 : 'Unassigned [0x1DF5]',
	0x1DF6 : 'Unassigned [0x1DF6]',
	0x1DF7 : 'Unassigned [0x1DF7]',
	0x1DF8 : 'Unassigned [0x1DF8]',
	0x1DF9 : 'Unassigned [0x1DF9]',
	0x1DFA : 'Unassigned [0x1DFA]',
	0x1DFB : 'Unassigned [0x1DFB]',
	0x1DFC : 'Unassigned [0x1DFC]',
	0x1DFD : 'Unassigned [0x1DFD]',
	0x1DFE : 'Unassigned [0x1DFE]',
	0x1DFF : 'Unassigned [0x1DFF]',
	0x1E00 : 'Unassigned [0x1E00]',
	0x1E01 : 'Unassigned [0x1E01]',
	0x1E02 : 'Unassigned [0x1E02]',
	0x1E03 : 'Unassigned [0x1E03]',
	0x1E04 : 'Unassigned [0x1E04]',
	0x1E05 : 'Unassigned [0x1E05]',
	0x1E06 : 'Unassigned [0x1E06]',
	0x1E07 : 'Unassigned [0x1E07]',
	0x1E08 : 'Unassigned [0x1E08]',
	0x1E09 : 'Unassigned [0x1E09]',
	0x1E0A : 'Unassigned [0x1E0A]',
	0x1E0B : 'Unassigned [0x1E0B]',
	0x1E0C : 'Unassigned [0x1E0C]',
	0x1E0D : 'Unassigned [0x1E0D]',
	0x1E0E : 'Unassigned [0x1E0E]',
	0x1E0F : 'Unassigned [0x1E0F]',
	0x1E10 : 'Unassigned [0x1E10]',
	0x1E11 : 'Unassigned [0x1E11]',
	0x1E12 : 'Unassigned [0x1E12]',
	0x1E13 : 'Unassigned [0x1E13]',
	0x1E14 : 'Unassigned [0x1E14]',
	0x1E15 : 'Unassigned [0x1E15]',
	0x1E16 : 'Unassigned [0x1E16]',
	0x1E17 : 'Unassigned [0x1E17]',
	0x1E18 : 'Unassigned [0x1E18]',
	0x1E19 : 'Unassigned [0x1E19]',
	0x1E1A : 'Unassigned [0x1E1A]',
	0x1E1B : 'Unassigned [0x1E1B]',
	0x1E1C : 'Unassigned [0x1E1C]',
	0x1E1D : 'Unassigned [0x1E1D]',
	0x1E1E : 'Unassigned [0x1E1E]',
	0x1E1F : 'Unassigned [0x1E1F]',
	0x1E20 : 'Unassigned [0x1E20]',
	0x1E21 : 'Unassigned [0x1E21]',
	0x1E22 : 'Unassigned [0x1E22]',
	0x1E23 : 'Unassigned [0x1E23]',
	0x1E24 : 'Unassigned [0x1E24]',
	0x1E25 : 'Unassigned [0x1E25]',
	0x1E26 : 'Unassigned [0x1E26]',
	0x1E27 : 'Unassigned [0x1E27]',
	0x1E28 : 'Unassigned [0x1E28]',
	0x1E29 : 'Unassigned [0x1E29]',
	0x1E2A : 'Unassigned [0x1E2A]',
	0x1E2B : 'Unassigned [0x1E2B]',
	0x1E2C : 'Unassigned [0x1E2C]',
	0x1E2D : 'Unassigned [0x1E2D]',
	0x1E2E : 'Unassigned [0x1E2E]',
	0x1E2F : 'Unassigned [0x1E2F]',
	0x1E30 : 'Unassigned [0x1E30]',
	0x1E31 : 'Unassigned [0x1E31]',
	0x1E32 : 'Unassigned [0x1E32]',
	0x1E33 : 'Unassigned [0x1E33]',
	0x1E34 : 'Unassigned [0x1E34]',
	0x1E35 : 'Unassigned [0x1E35]',
	0x1E36 : 'Unassigned [0x1E36]',
	0x1E37 : 'Unassigned [0x1E37]',
	0x1E38 : 'Unassigned [0x1E38]',
	0x1E39 : 'Unassigned [0x1E39]',
	0x1E3A : 'Unassigned [0x1E3A]',
	0x1E3B : 'Unassigned [0x1E3B]',
	0x1E3C : 'Unassigned [0x1E3C]',
	0x1E3D : 'Unassigned [0x1E3D]',
	0x1E3E : 'Unassigned [0x1E3E]',
	0x1E3F : 'Unassigned [0x1E3F]',
	0x1E40 : 'Unassigned [0x1E40]',
	0x1E41 : 'Unassigned [0x1E41]',
	0x1E42 : 'Unassigned [0x1E42]',
	0x1E43 : 'Unassigned [0x1E43]',
	0x1E44 : 'Unassigned [0x1E44]',
	0x1E45 : 'Unassigned [0x1E45]',
	0x1E46 : 'Unassigned [0x1E46]',
	0x1E47 : 'Unassigned [0x1E47]',
	0x1E48 : 'Unassigned [0x1E48]',
	0x1E49 : 'Unassigned [0x1E49]',
	0x1E4A : 'Unassigned [0x1E4A]',
	0x1E4B : 'Unassigned [0x1E4B]',
	0x1E4C : 'Unassigned [0x1E4C]',
	0x1E4D : 'Unassigned [0x1E4D]',
	0x1E4E : 'Unassigned [0x1E4E]',
	0x1E4F : 'Unassigned [0x1E4F]',
	0x1E50 : 'Unassigned [0x1E50]',
	0x1E51 : 'Unassigned [0x1E51]',
	0x1E52 : 'Unassigned [0x1E52]',
	0x1E53 : 'Unassigned [0x1E53]',
	0x1E54 : 'Unassigned [0x1E54]',
	0x1E55 : 'Unassigned [0x1E55]',
	0x1E56 : 'Unassigned [0x1E56]',
	0x1E57 : 'Unassigned [0x1E57]',
	0x1E58 : 'Unassigned [0x1E58]',
	0x1E59 : 'Unassigned [0x1E59]',
	0x1E5A : 'Unassigned [0x1E5A]',
	0x1E5B : 'Unassigned [0x1E5B]',
	0x1E5C : 'Unassigned [0x1E5C]',
	0x1E5D : 'Unassigned [0x1E5D]',
	0x1E5E : 'Unassigned [0x1E5E]',
	0x1E5F : 'Unassigned [0x1E5F]',
	0x1E60 : 'Unassigned [0x1E60]',
	0x1E61 : 'Unassigned [0x1E61]',
	0x1E62 : 'Unassigned [0x1E62]',
	0x1E63 : 'Unassigned [0x1E63]',
	0x1E64 : 'Unassigned [0x1E64]',
	0x1E65 : 'Unassigned [0x1E65]',
	0x1E66 : 'Unassigned [0x1E66]',
	0x1E67 : 'Unassigned [0x1E67]',
	0x1E68 : 'Unassigned [0x1E68]',
	0x1E69 : 'Unassigned [0x1E69]',
	0x1E6A : 'Unassigned [0x1E6A]',
	0x1E6B : 'Unassigned [0x1E6B]',
	0x1E6C : 'Unassigned [0x1E6C]',
	0x1E6D : 'Unassigned [0x1E6D]',
	0x1E6E : 'Unassigned [0x1E6E]',
	0x1E6F : 'Unassigned [0x1E6F]',
	0x1E70 : 'Unassigned [0x1E70]',
	0x1E71 : 'Unassigned [0x1E71]',
	0x1E72 : 'Unassigned [0x1E72]',
	0x1E73 : 'Unassigned [0x1E73]',
	0x1E74 : 'Unassigned [0x1E74]',
	0x1E75 : 'Unassigned [0x1E75]',
	0x1E76 : 'Unassigned [0x1E76]',
	0x1E77 : 'Unassigned [0x1E77]',
	0x1E78 : 'Unassigned [0x1E78]',
	0x1E79 : 'Unassigned [0x1E79]',
	0x1E7A : 'Unassigned [0x1E7A]',
	0x1E7B : 'Unassigned [0x1E7B]',
	0x1E7C : 'Unassigned [0x1E7C]',
	0x1E7D : 'Unassigned [0x1E7D]',
	0x1E7E : 'Unassigned [0x1E7E]',
	0x1E7F : 'Unassigned [0x1E7F]',
	0x1E80 : 'Unassigned [0x1E80]',
	0x1E81 : 'Unassigned [0x1E81]',
	0x1E82 : 'Unassigned [0x1E82]',
	0x1E83 : 'Unassigned [0x1E83]',
	0x1E84 : 'Unassigned [0x1E84]',
	0x1E85 : 'Unassigned [0x1E85]',
	0x1E86 : 'Unassigned [0x1E86]',
	0x1E87 : 'Unassigned [0x1E87]',
	0x1E88 : 'Unassigned [0x1E88]',
	0x1E89 : 'Unassigned [0x1E89]',
	0x1E8A : 'Unassigned [0x1E8A]',
	0x1E8B : 'Unassigned [0x1E8B]',
	0x1E8C : 'Unassigned [0x1E8C]',
	0x1E8D : 'Unassigned [0x1E8D]',
	0x1E8E : 'Unassigned [0x1E8E]',
	0x1E8F : 'Unassigned [0x1E8F]',
	0x1E90 : 'Unassigned [0x1E90]',
	0x1E91 : 'Unassigned [0x1E91]',
	0x1E92 : 'Unassigned [0x1E92]',
	0x1E93 : 'Unassigned [0x1E93]',
	0x1E94 : 'Unassigned [0x1E94]',
	0x1E95 : 'Unassigned [0x1E95]',
	0x1E96 : 'Unassigned [0x1E96]',
	0x1E97 : 'Unassigned [0x1E97]',
	0x1E98 : 'Unassigned [0x1E98]',
	0x1E99 : 'Unassigned [0x1E99]',
	0x1E9A : 'Unassigned [0x1E9A]',
	0x1E9B : 'Unassigned [0x1E9B]',
	0x1E9C : 'Unassigned [0x1E9C]',
	0x1E9D : 'Unassigned [0x1E9D]',
	0x1E9E : 'Unassigned [0x1E9E]',
	0x1E9F : 'Unassigned [0x1E9F]',
	0x1EA0 : 'Unassigned [0x1EA0]',
	0x1EA1 : 'Unassigned [0x1EA1]',
	0x1EA2 : 'Unassigned [0x1EA2]',
	0x1EA3 : 'Unassigned [0x1EA3]',
	0x1EA4 : 'Unassigned [0x1EA4]',
	0x1EA5 : 'Unassigned [0x1EA5]',
	0x1EA6 : 'Unassigned [0x1EA6]',
	0x1EA7 : 'Unassigned [0x1EA7]',
	0x1EA8 : 'Unassigned [0x1EA8]',
	0x1EA9 : 'Unassigned [0x1EA9]',
	0x1EAA : 'Unassigned [0x1EAA]',
	0x1EAB : 'Unassigned [0x1EAB]',
	0x1EAC : 'Unassigned [0x1EAC]',
	0x1EAD : 'Unassigned [0x1EAD]',
	0x1EAE : 'Unassigned [0x1EAE]',
	0x1EAF : 'Unassigned [0x1EAF]',
	0x1EB0 : 'Unassigned [0x1EB0]',
	0x1EB1 : 'Unassigned [0x1EB1]',
	0x1EB2 : 'Unassigned [0x1EB2]',
	0x1EB3 : 'Unassigned [0x1EB3]',
	0x1EB4 : 'Unassigned [0x1EB4]',
	0x1EB5 : 'Unassigned [0x1EB5]',
	0x1EB6 : 'Unassigned [0x1EB6]',
	0x1EB7 : 'Unassigned [0x1EB7]',
	0x1EB8 : 'Unassigned [0x1EB8]',
	0x1EB9 : 'Unassigned [0x1EB9]',
	0x1EBA : 'Unassigned [0x1EBA]',
	0x1EBB : 'Unassigned [0x1EBB]',
	0x1EBC : 'Unassigned [0x1EBC]',
	0x1EBD : 'Unassigned [0x1EBD]',
	0x1EBE : 'Unassigned [0x1EBE]',
	0x1EBF : 'Unassigned [0x1EBF]',
	0x1EC0 : 'Unassigned [0x1EC0]',
	0x1EC1 : 'Unassigned [0x1EC1]',
	0x1EC2 : 'Unassigned [0x1EC2]',
	0x1EC3 : 'Unassigned [0x1EC3]',
	0x1EC4 : 'Unassigned [0x1EC4]',
	0x1EC5 : 'Unassigned [0x1EC5]',
	0x1EC6 : 'Unassigned [0x1EC6]',
	0x1EC7 : 'Unassigned [0x1EC7]',
	0x1EC8 : 'Unassigned [0x1EC8]',
	0x1EC9 : 'Unassigned [0x1EC9]',
	0x1ECA : 'Unassigned [0x1ECA]',
	0x1ECB : 'Unassigned [0x1ECB]',
	0x1ECC : 'Unassigned [0x1ECC]',
	0x1ECD : 'Unassigned [0x1ECD]',
	0x1ECE : 'Unassigned [0x1ECE]',
	0x1ECF : 'Unassigned [0x1ECF]',
	0x1ED0 : 'Unassigned [0x1ED0]',
	0x1ED1 : 'Unassigned [0x1ED1]',
	0x1ED2 : 'Unassigned [0x1ED2]',
	0x1ED3 : 'Unassigned [0x1ED3]',
	0x1ED4 : 'Unassigned [0x1ED4]',
	0x1ED5 : 'Unassigned [0x1ED5]',
	0x1ED6 : 'Unassigned [0x1ED6]',
	0x1ED7 : 'Unassigned [0x1ED7]',
	0x1ED8 : 'Unassigned [0x1ED8]',
	0x1ED9 : 'Unassigned [0x1ED9]',
	0x1EDA : 'Unassigned [0x1EDA]',
	0x1EDB : 'Unassigned [0x1EDB]',
	0x1EDC : 'Unassigned [0x1EDC]',
	0x1EDD : 'Unassigned [0x1EDD]',
	0x1EDE : 'Unassigned [0x1EDE]',
	0x1EDF : 'Unassigned [0x1EDF]',
	0x1EE0 : 'Unassigned [0x1EE0]',
	0x1EE1 : 'Unassigned [0x1EE1]',
	0x1EE2 : 'Unassigned [0x1EE2]',
	0x1EE3 : 'Unassigned [0x1EE3]',
	0x1EE4 : 'Unassigned [0x1EE4]',
	0x1EE5 : 'Unassigned [0x1EE5]',
	0x1EE6 : 'Unassigned [0x1EE6]',
	0x1EE7 : 'Unassigned [0x1EE7]',
	0x1EE8 : 'Unassigned [0x1EE8]',
	0x1EE9 : 'Unassigned [0x1EE9]',
	0x1EEA : 'Unassigned [0x1EEA]',
	0x1EEB : 'Unassigned [0x1EEB]',
	0x1EEC : 'Unassigned [0x1EEC]',
	0x1EED : 'Unassigned [0x1EED]',
	0x1EEE : 'Unassigned [0x1EEE]',
	0x1EEF : 'Unassigned [0x1EEF]',
	0x1EF0 : 'Unassigned [0x1EF0]',
	0x1EF1 : 'Unassigned [0x1EF1]',
	0x1EF2 : 'Unassigned [0x1EF2]',
	0x1EF3 : 'Unassigned [0x1EF3]',
	0x1EF4 : 'Unassigned [0x1EF4]',
	0x1EF5 : 'Unassigned [0x1EF5]',
	0x1EF6 : 'Unassigned [0x1EF6]',
	0x1EF7 : 'Unassigned [0x1EF7]',
	0x1EF8 : 'Unassigned [0x1EF8]',
	0x1EF9 : 'Unassigned [0x1EF9]',
	0x1EFA : 'Unassigned [0x1EFA]',
	0x1EFB : 'Unassigned [0x1EFB]',
	0x1EFC : 'Unassigned [0x1EFC]',
	0x1EFD : 'Unassigned [0x1EFD]',
	0x1EFE : 'Unassigned [0x1EFE]',
	0x1EFF : 'Unassigned [0x1EFF]',
	0x1F00 : 'Unassigned [0x1F00]',
	0x1F01 : 'Unassigned [0x1F01]',
	0x1F02 : 'Unassigned [0x1F02]',
	0x1F03 : 'Unassigned [0x1F03]',
	0x1F04 : 'Unassigned [0x1F04]',
	0x1F05 : 'Unassigned [0x1F05]',
	0x1F06 : 'Unassigned [0x1F06]',
	0x1F07 : 'Unassigned [0x1F07]',
	0x1F08 : 'Unassigned [0x1F08]',
	0x1F09 : 'Unassigned [0x1F09]',
	0x1F0A : 'Unassigned [0x1F0A]',
	0x1F0B : 'Unassigned [0x1F0B]',
	0x1F0C : 'Unassigned [0x1F0C]',
	0x1F0D : 'Unassigned [0x1F0D]',
	0x1F0E : 'Unassigned [0x1F0E]',
	0x1F0F : 'Unassigned [0x1F0F]',
	0x1F10 : 'Unassigned [0x1F10]',
	0x1F11 : 'Unassigned [0x1F11]',
	0x1F12 : 'Unassigned [0x1F12]',
	0x1F13 : 'Unassigned [0x1F13]',
	0x1F14 : 'Unassigned [0x1F14]',
	0x1F15 : 'Unassigned [0x1F15]',
	0x1F16 : 'Unassigned [0x1F16]',
	0x1F17 : 'Unassigned [0x1F17]',
	0x1F18 : 'Unassigned [0x1F18]',
	0x1F19 : 'Unassigned [0x1F19]',
	0x1F1A : 'Unassigned [0x1F1A]',
	0x1F1B : 'Unassigned [0x1F1B]',
	0x1F1C : 'Unassigned [0x1F1C]',
	0x1F1D : 'Unassigned [0x1F1D]',
	0x1F1E : 'Unassigned [0x1F1E]',
	0x1F1F : 'Unassigned [0x1F1F]',
	0x1F20 : 'Unassigned [0x1F20]',
	0x1F21 : 'Unassigned [0x1F21]',
	0x1F22 : 'Unassigned [0x1F22]',
	0x1F23 : 'Unassigned [0x1F23]',
	0x1F24 : 'Unassigned [0x1F24]',
	0x1F25 : 'Unassigned [0x1F25]',
	0x1F26 : 'Unassigned [0x1F26]',
	0x1F27 : 'Unassigned [0x1F27]',
	0x1F28 : 'Unassigned [0x1F28]',
	0x1F29 : 'Unassigned [0x1F29]',
	0x1F2A : 'Unassigned [0x1F2A]',
	0x1F2B : 'Unassigned [0x1F2B]',
	0x1F2C : 'Unassigned [0x1F2C]',
	0x1F2D : 'Unassigned [0x1F2D]',
	0x1F2E : 'Unassigned [0x1F2E]',
	0x1F2F : 'Unassigned [0x1F2F]',
	0x1F30 : 'Unassigned [0x1F30]',
	0x1F31 : 'Unassigned [0x1F31]',
	0x1F32 : 'Unassigned [0x1F32]',
	0x1F33 : 'Unassigned [0x1F33]',
	0x1F34 : 'Unassigned [0x1F34]',
	0x1F35 : 'Unassigned [0x1F35]',
	0x1F36 : 'Unassigned [0x1F36]',
	0x1F37 : 'Unassigned [0x1F37]',
	0x1F38 : 'Unassigned [0x1F38]',
	0x1F39 : 'Unassigned [0x1F39]',
	0x1F3A : 'Unassigned [0x1F3A]',
	0x1F3B : 'Unassigned [0x1F3B]',
	0x1F3C : 'Unassigned [0x1F3C]',
	0x1F3D : 'Unassigned [0x1F3D]',
	0x1F3E : 'Unassigned [0x1F3E]',
	0x1F3F : 'Unassigned [0x1F3F]',
	0x1F40 : 'Unassigned [0x1F40]',
	0x1F41 : 'Unassigned [0x1F41]',
	0x1F42 : 'Unassigned [0x1F42]',
	0x1F43 : 'Unassigned [0x1F43]',
	0x1F44 : 'Unassigned [0x1F44]',
	0x1F45 : 'Unassigned [0x1F45]',
	0x1F46 : 'Unassigned [0x1F46]',
	0x1F47 : 'Unassigned [0x1F47]',
	0x1F48 : 'Unassigned [0x1F48]',
	0x1F49 : 'Unassigned [0x1F49]',
	0x1F4A : 'Unassigned [0x1F4A]',
	0x1F4B : 'Unassigned [0x1F4B]',
	0x1F4C : 'Unassigned [0x1F4C]',
	0x1F4D : 'Unassigned [0x1F4D]',
	0x1F4E : 'Unassigned [0x1F4E]',
	0x1F4F : 'Unassigned [0x1F4F]',
	0x1F50 : 'Unassigned [0x1F50]',
	0x1F51 : 'Unassigned [0x1F51]',
	0x1F52 : 'Unassigned [0x1F52]',
	0x1F53 : 'Unassigned [0x1F53]',
	0x1F54 : 'Unassigned [0x1F54]',
	0x1F55 : 'Unassigned [0x1F55]',
	0x1F56 : 'Unassigned [0x1F56]',
	0x1F57 : 'Unassigned [0x1F57]',
	0x1F58 : 'Unassigned [0x1F58]',
	0x1F59 : 'Unassigned [0x1F59]',
	0x1F5A : 'Unassigned [0x1F5A]',
	0x1F5B : 'Unassigned [0x1F5B]',
	0x1F5C : 'Unassigned [0x1F5C]',
	0x1F5D : 'Unassigned [0x1F5D]',
	0x1F5E : 'Unassigned [0x1F5E]',
	0x1F5F : 'Unassigned [0x1F5F]',
	0x1F60 : 'Unassigned [0x1F60]',
	0x1F61 : 'Unassigned [0x1F61]',
	0x1F62 : 'Unassigned [0x1F62]',
	0x1F63 : 'Unassigned [0x1F63]',
	0x1F64 : 'Unassigned [0x1F64]',
	0x1F65 : 'Unassigned [0x1F65]',
	0x1F66 : 'Unassigned [0x1F66]',
	0x1F67 : 'Unassigned [0x1F67]',
	0x1F68 : 'Unassigned [0x1F68]',
	0x1F69 : 'Unassigned [0x1F69]',
	0x1F6A : 'Unassigned [0x1F6A]',
	0x1F6B : 'Unassigned [0x1F6B]',
	0x1F6C : 'Unassigned [0x1F6C]',
	0x1F6D : 'Unassigned [0x1F6D]',
	0x1F6E : 'Unassigned [0x1F6E]',
	0x1F6F : 'Unassigned [0x1F6F]',
	0x1F70 : 'Unassigned [0x1F70]',
	0x1F71 : 'Unassigned [0x1F71]',
	0x1F72 : 'Unassigned [0x1F72]',
	0x1F73 : 'Unassigned [0x1F73]',
	0x1F74 : 'Unassigned [0x1F74]',
	0x1F75 : 'Unassigned [0x1F75]',
	0x1F76 : 'Unassigned [0x1F76]',
	0x1F77 : 'Unassigned [0x1F77]',
	0x1F78 : 'Unassigned [0x1F78]',
	0x1F79 : 'Unassigned [0x1F79]',
	0x1F7A : 'Unassigned [0x1F7A]',
	0x1F7B : 'Unassigned [0x1F7B]',
	0x1F7C : 'Unassigned [0x1F7C]',
	0x1F7D : 'Unassigned [0x1F7D]',
	0x1F7E : 'Unassigned [0x1F7E]',
	0x1F7F : 'Unassigned [0x1F7F]',
	0x1F80 : 'Unassigned [0x1F80]',
	0x1F81 : 'Unassigned [0x1F81]',
	0x1F82 : 'Unassigned [0x1F82]',
	0x1F83 : 'Unassigned [0x1F83]',
	0x1F84 : 'Unassigned [0x1F84]',
	0x1F85 : 'Unassigned [0x1F85]',
	0x1F86 : 'Unassigned [0x1F86]',
	0x1F87 : 'Unassigned [0x1F87]',
	0x1F88 : 'Unassigned [0x1F88]',
	0x1F89 : 'Unassigned [0x1F89]',
	0x1F8A : 'Unassigned [0x1F8A]',
	0x1F8B : 'Unassigned [0x1F8B]',
	0x1F8C : 'Unassigned [0x1F8C]',
	0x1F8D : 'Unassigned [0x1F8D]',
	0x1F8E : 'Unassigned [0x1F8E]',
	0x1F8F : 'Unassigned [0x1F8F]',
	0x1F90 : 'Unassigned [0x1F90]',
	0x1F91 : 'Unassigned [0x1F91]',
	0x1F92 : 'Unassigned [0x1F92]',
	0x1F93 : 'Unassigned [0x1F93]',
	0x1F94 : 'Unassigned [0x1F94]',
	0x1F95 : 'Unassigned [0x1F95]',
	0x1F96 : 'Unassigned [0x1F96]',
	0x1F97 : 'Unassigned [0x1F97]',
	0x1F98 : 'Unassigned [0x1F98]',
	0x1F99 : 'Unassigned [0x1F99]',
	0x1F9A : 'Unassigned [0x1F9A]',
	0x1F9B : 'Unassigned [0x1F9B]',
	0x1F9C : 'Unassigned [0x1F9C]',
	0x1F9D : 'Unassigned [0x1F9D]',
	0x1F9E : 'Unassigned [0x1F9E]',
	0x1F9F : 'Unassigned [0x1F9F]',
	0x1FA0 : 'Unassigned [0x1FA0]',
	0x1FA1 : 'Unassigned [0x1FA1]',
	0x1FA2 : 'Unassigned [0x1FA2]',
	0x1FA3 : 'Unassigned [0x1FA3]',
	0x1FA4 : 'Unassigned [0x1FA4]',
	0x1FA5 : 'Unassigned [0x1FA5]',
	0x1FA6 : 'Unassigned [0x1FA6]',
	0x1FA7 : 'Unassigned [0x1FA7]',
	0x1FA8 : 'Unassigned [0x1FA8]',
	0x1FA9 : 'Unassigned [0x1FA9]',
	0x1FAA : 'Unassigned [0x1FAA]',
	0x1FAB : 'Unassigned [0x1FAB]',
	0x1FAC : 'Unassigned [0x1FAC]',
	0x1FAD : 'Unassigned [0x1FAD]',
	0x1FAE : 'Unassigned [0x1FAE]',
	0x1FAF : 'Unassigned [0x1FAF]',
	0x1FB0 : 'Unassigned [0x1FB0]',
	0x1FB1 : 'Unassigned [0x1FB1]',
	0x1FB2 : 'Unassigned [0x1FB2]',
	0x1FB3 : 'Unassigned [0x1FB3]',
	0x1FB4 : 'Unassigned [0x1FB4]',
	0x1FB5 : 'Unassigned [0x1FB5]',
	0x1FB6 : 'Unassigned [0x1FB6]',
	0x1FB7 : 'Unassigned [0x1FB7]',
	0x1FB8 : 'Unassigned [0x1FB8]',
	0x1FB9 : 'Unassigned [0x1FB9]',
	0x1FBA : 'Unassigned [0x1FBA]',
	0x1FBB : 'Unassigned [0x1FBB]',
	0x1FBC : 'Unassigned [0x1FBC]',
	0x1FBD : 'Unassigned [0x1FBD]',
	0x1FBE : 'Unassigned [0x1FBE]',
	0x1FBF : 'Unassigned [0x1FBF]',
	0x1FC0 : 'Unassigned [0x1FC0]',
	0x1FC1 : 'Unassigned [0x1FC1]',
	0x1FC2 : 'Unassigned [0x1FC2]',
	0x1FC3 : 'Unassigned [0x1FC3]',
	0x1FC4 : 'Unassigned [0x1FC4]',
	0x1FC5 : 'Unassigned [0x1FC5]',
	0x1FC6 : 'Unassigned [0x1FC6]',
	0x1FC7 : 'Unassigned [0x1FC7]',
	0x1FC8 : 'Unassigned [0x1FC8]',
	0x1FC9 : 'Unassigned [0x1FC9]',
	0x1FCA : 'Unassigned [0x1FCA]',
	0x1FCB : 'Unassigned [0x1FCB]',
	0x1FCC : 'Unassigned [0x1FCC]',
	0x1FCD : 'Unassigned [0x1FCD]',
	0x1FCE : 'Unassigned [0x1FCE]',
	0x1FCF : 'Unassigned [0x1FCF]',
	0x1FD0 : 'Unassigned [0x1FD0]',
	0x1FD1 : 'Unassigned [0x1FD1]',
	0x1FD2 : 'Unassigned [0x1FD2]',
	0x1FD3 : 'Unassigned [0x1FD3]',
	0x1FD4 : 'Unassigned [0x1FD4]',
	0x1FD5 : 'Unassigned [0x1FD5]',
	0x1FD6 : 'Unassigned [0x1FD6]',
	0x1FD7 : 'Unassigned [0x1FD7]',
	0x1FD8 : 'Unassigned [0x1FD8]',
	0x1FD9 : 'Unassigned [0x1FD9]',
	0x1FDA : 'Unassigned [0x1FDA]',
	0x1FDB : 'Unassigned [0x1FDB]',
	0x1FDC : 'Unassigned [0x1FDC]',
	0x1FDD : 'Unassigned [0x1FDD]',
	0x1FDE : 'Unassigned [0x1FDE]',
	0x1FDF : 'Unassigned [0x1FDF]',
	0x1FE0 : 'Unassigned [0x1FE0]',
	0x1FE1 : 'Unassigned [0x1FE1]',
	0x1FE2 : 'Unassigned [0x1FE2]',
	0x1FE3 : 'Unassigned [0x1FE3]',
	0x1FE4 : 'Unassigned [0x1FE4]',
	0x1FE5 : 'Unassigned [0x1FE5]',
	0x1FE6 : 'Unassigned [0x1FE6]',
	0x1FE7 : 'Unassigned [0x1FE7]',
	0x1FE8 : 'Unassigned [0x1FE8]',
	0x1FE9 : 'Unassigned [0x1FE9]',
	0x1FEA : 'Unassigned [0x1FEA]',
	0x1FEB : 'Unassigned [0x1FEB]',
	0x1FEC : 'Unassigned [0x1FEC]',
	0x1FED : 'Unassigned [0x1FED]',
	0x1FEE : 'Unassigned [0x1FEE]',
	0x1FEF : 'Unassigned [0x1FEF]',
	0x1FF0 : 'Unassigned [0x1FF0]',
	0x1FF1 : 'Unassigned [0x1FF1]',
	0x1FF2 : 'Unassigned [0x1FF2]',
	0x1FF3 : 'Unassigned [0x1FF3]',
	0x1FF4 : 'Unassigned [0x1FF4]',
	0x1FF5 : 'Unassigned [0x1FF5]',
	0x1FF6 : 'Unassigned [0x1FF6]',
	0x1FF7 : 'Unassigned [0x1FF7]',
	0x1FF8 : 'Unassigned [0x1FF8]',
	0x1FF9 : 'Unassigned [0x1FF9]',
	0x1FFA : 'Unassigned [0x1FFA]',
	0x1FFB : 'Unassigned [0x1FFB]',
	0x1FFC : 'Unassigned [0x1FFC]',
	0x1FFD : 'Unassigned [0x1FFD]',
	0x1FFE : 'Unassigned [0x1FFE]',
	0x1FFF : 'Unassigned [0x1FFF]',
	0x2000 : 'Unassigned [0x2000]',
	0x2001 : 'Unassigned [0x2001]',
	0x2002 : 'Unassigned [0x2002]',
	0x2003 : 'Unassigned [0x2003]',
	0x2004 : 'Unassigned [0x2004]',
	0x2005 : 'Unassigned [0x2005]',
	0x2006 : 'Unassigned [0x2006]',
	0x2007 : 'Unassigned [0x2007]',
	0x2008 : 'Unassigned [0x2008]',
	0x2009 : 'Unassigned [0x2009]',
	0x200A : 'Unassigned [0x200A]',
	0x200B : 'Unassigned [0x200B]',
	0x200C : 'Unassigned [0x200C]',
	0x200D : 'Unassigned [0x200D]',
	0x200E : 'Unassigned [0x200E]',
	0x200F : 'Unassigned [0x200F]',
	0x2010 : 'Unassigned [0x2010]',
	0x2011 : 'Unassigned [0x2011]',
	0x2012 : 'Unassigned [0x2012]',
	0x2013 : 'Unassigned [0x2013]',
	0x2014 : 'Unassigned [0x2014]',
	0x2015 : 'Unassigned [0x2015]',
	0x2016 : 'Unassigned [0x2016]',
	0x2017 : 'Unassigned [0x2017]',
	0x2018 : 'Unassigned [0x2018]',
	0x2019 : 'Unassigned [0x2019]',
	0x201A : 'Unassigned [0x201A]',
	0x201B : 'Unassigned [0x201B]',
	0x201C : 'Unassigned [0x201C]',
	0x201D : 'Unassigned [0x201D]',
	0x201E : 'Unassigned [0x201E]',
	0x201F : 'Unassigned [0x201F]',
	0x2020 : 'Unassigned [0x2020]',
	0x2021 : 'Unassigned [0x2021]',
	0x2022 : 'Unassigned [0x2022]',
	0x2023 : 'Unassigned [0x2023]',
	0x2024 : 'Unassigned [0x2024]',
	0x2025 : 'Unassigned [0x2025]',
	0x2026 : 'Unassigned [0x2026]',
	0x2027 : 'Unassigned [0x2027]',
	0x2028 : 'Unassigned [0x2028]',
	0x2029 : 'Unassigned [0x2029]',
	0x202A : 'Unassigned [0x202A]',
	0x202B : 'Unassigned [0x202B]',
	0x202C : 'Unassigned [0x202C]',
	0x202D : 'Unassigned [0x202D]',
	0x202E : 'Unassigned [0x202E]',
	0x202F : 'Unassigned [0x202F]',
	0x2030 : 'Unassigned [0x2030]',
	0x2031 : 'Unassigned [0x2031]',
	0x2032 : 'Unassigned [0x2032]',
	0x2033 : 'Unassigned [0x2033]',
	0x2034 : 'Unassigned [0x2034]',
	0x2035 : 'Unassigned [0x2035]',
	0x2036 : 'Unassigned [0x2036]',
	0x2037 : 'Unassigned [0x2037]',
	0x2038 : 'Unassigned [0x2038]',
	0x2039 : 'Unassigned [0x2039]',
	0x203A : 'Unassigned [0x203A]',
	0x203B : 'Unassigned [0x203B]',
	0x203C : 'Unassigned [0x203C]',
	0x203D : 'Unassigned [0x203D]',
	0x203E : 'Unassigned [0x203E]',
	0x203F : 'Unassigned [0x203F]',
	0x2040 : 'Unassigned [0x2040]',
	0x2041 : 'Unassigned [0x2041]',
	0x2042 : 'Unassigned [0x2042]',
	0x2043 : 'Unassigned [0x2043]',
	0x2044 : 'Unassigned [0x2044]',
	0x2045 : 'Unassigned [0x2045]',
	0x2046 : 'Unassigned [0x2046]',
	0x2047 : 'Unassigned [0x2047]',
	0x2048 : 'Unassigned [0x2048]',
	0x2049 : 'Unassigned [0x2049]',
	0x204A : 'Unassigned [0x204A]',
	0x204B : 'Unassigned [0x204B]',
	0x204C : 'Unassigned [0x204C]',
	0x204D : 'Unassigned [0x204D]',
	0x204E : 'Unassigned [0x204E]',
	0x204F : 'Unassigned [0x204F]',
	0x2050 : 'Unassigned [0x2050]',
	0x2051 : 'Unassigned [0x2051]',
	0x2052 : 'Unassigned [0x2052]',
	0x2053 : 'Unassigned [0x2053]',
	0x2054 : 'Unassigned [0x2054]',
	0x2055 : 'Unassigned [0x2055]',
	0x2056 : 'Unassigned [0x2056]',
	0x2057 : 'Unassigned [0x2057]',
	0x2058 : 'Unassigned [0x2058]',
	0x2059 : 'Unassigned [0x2059]',
	0x205A : 'Unassigned [0x205A]',
	0x205B : 'Unassigned [0x205B]',
	0x205C : 'Unassigned [0x205C]',
	0x205D : 'Unassigned [0x205D]',
	0x205E : 'Unassigned [0x205E]',
	0x205F : 'Unassigned [0x205F]',
	0x2060 : 'Unassigned [0x2060]',
	0x2061 : 'Unassigned [0x2061]',
	0x2062 : 'Unassigned [0x2062]',
	0x2063 : 'Unassigned [0x2063]',
	0x2064 : 'Unassigned [0x2064]',
	0x2065 : 'Unassigned [0x2065]',
	0x2066 : 'Unassigned [0x2066]',
	0x2067 : 'Unassigned [0x2067]',
	0x2068 : 'Unassigned [0x2068]',
	0x2069 : 'Unassigned [0x2069]',
	0x206A : 'Unassigned [0x206A]',
	0x206B : 'Unassigned [0x206B]',
	0x206C : 'Unassigned [0x206C]',
	0x206D : 'Unassigned [0x206D]',
	0x206E : 'Unassigned [0x206E]',
	0x206F : 'Unassigned [0x206F]',
	0x2070 : 'Unassigned [0x2070]',
	0x2071 : 'Unassigned [0x2071]',
	0x2072 : 'Unassigned [0x2072]',
	0x2073 : 'Unassigned [0x2073]',
	0x2074 : 'Unassigned [0x2074]',
	0x2075 : 'Unassigned [0x2075]',
	0x2076 : 'Unassigned [0x2076]',
	0x2077 : 'Unassigned [0x2077]',
	0x2078 : 'Unassigned [0x2078]',
	0x2079 : 'Unassigned [0x2079]',
	0x207A : 'Unassigned [0x207A]',
	0x207B : 'Unassigned [0x207B]',
	0x207C : 'Unassigned [0x207C]',
	0x207D : 'Unassigned [0x207D]',
	0x207E : 'Unassigned [0x207E]',
	0x207F : 'Unassigned [0x207F]',
	0x2080 : 'Unassigned [0x2080]',
	0x2081 : 'Unassigned [0x2081]',
	0x2082 : 'Unassigned [0x2082]',
	0x2083 : 'Unassigned [0x2083]',
	0x2084 : 'Unassigned [0x2084]',
	0x2085 : 'Unassigned [0x2085]',
	0x2086 : 'Unassigned [0x2086]',
	0x2087 : 'Unassigned [0x2087]',
	0x2088 : 'Unassigned [0x2088]',
	0x2089 : 'Unassigned [0x2089]',
	0x208A : 'Unassigned [0x208A]',
	0x208B : 'Unassigned [0x208B]',
	0x208C : 'Unassigned [0x208C]',
	0x208D : 'Unassigned [0x208D]',
	0x208E : 'Unassigned [0x208E]',
	0x208F : 'Unassigned [0x208F]',
	0x2090 : 'Unassigned [0x2090]',
	0x2091 : 'Unassigned [0x2091]',
	0x2092 : 'Unassigned [0x2092]',
	0x2093 : 'Unassigned [0x2093]',
	0x2094 : 'Unassigned [0x2094]',
	0x2095 : 'Unassigned [0x2095]',
	0x2096 : 'Unassigned [0x2096]',
	0x2097 : 'Unassigned [0x2097]',
	0x2098 : 'Unassigned [0x2098]',
	0x2099 : 'Unassigned [0x2099]',
	0x209A : 'Unassigned [0x209A]',
	0x209B : 'Unassigned [0x209B]',
	0x209C : 'Unassigned [0x209C]',
	0x209D : 'Unassigned [0x209D]',
	0x209E : 'Unassigned [0x209E]',
	0x209F : 'Unassigned [0x209F]',
	0x20A0 : 'Unassigned [0x20A0]',
	0x20A1 : 'Unassigned [0x20A1]',
	0x20A2 : 'Unassigned [0x20A2]',
	0x20A3 : 'Unassigned [0x20A3]',
	0x20A4 : 'Unassigned [0x20A4]',
	0x20A5 : 'Unassigned [0x20A5]',
	0x20A6 : 'Unassigned [0x20A6]',
	0x20A7 : 'Unassigned [0x20A7]',
	0x20A8 : 'Unassigned [0x20A8]',
	0x20A9 : 'Unassigned [0x20A9]',
	0x20AA : 'Unassigned [0x20AA]',
	0x20AB : 'Unassigned [0x20AB]',
	0x20AC : 'Unassigned [0x20AC]',
	0x20AD : 'Unassigned [0x20AD]',
	0x20AE : 'Unassigned [0x20AE]',
	0x20AF : 'Unassigned [0x20AF]',
	0x20B0 : 'Unassigned [0x20B0]',
	0x20B1 : 'Unassigned [0x20B1]',
	0x20B2 : 'Unassigned [0x20B2]',
	0x20B3 : 'Unassigned [0x20B3]',
	0x20B4 : 'Unassigned [0x20B4]',
	0x20B5 : 'Unassigned [0x20B5]',
	0x20B6 : 'Unassigned [0x20B6]',
	0x20B7 : 'Unassigned [0x20B7]',
	0x20B8 : 'Unassigned [0x20B8]',
	0x20B9 : 'Unassigned [0x20B9]',
	0x20BA : 'Unassigned [0x20BA]',
	0x20BB : 'Unassigned [0x20BB]',
	0x20BC : 'Unassigned [0x20BC]',
	0x20BD : 'Unassigned [0x20BD]',
	0x20BE : 'Unassigned [0x20BE]',
	0x20BF : 'Unassigned [0x20BF]',
	0x20C0 : 'Unassigned [0x20C0]',
	0x20C1 : 'Unassigned [0x20C1]',
	0x20C2 : 'Unassigned [0x20C2]',
	0x20C3 : 'Unassigned [0x20C3]',
	0x20C4 : 'Unassigned [0x20C4]',
	0x20C5 : 'Unassigned [0x20C5]',
	0x20C6 : 'Unassigned [0x20C6]',
	0x20C7 : 'Unassigned [0x20C7]',
	0x20C8 : 'Unassigned [0x20C8]',
	0x20C9 : 'Unassigned [0x20C9]',
	0x20CA : 'Unassigned [0x20CA]',
	0x20CB : 'Unassigned [0x20CB]',
	0x20CC : 'Unassigned [0x20CC]',
	0x20CD : 'Unassigned [0x20CD]',
	0x20CE : 'Unassigned [0x20CE]',
	0x20CF : 'Unassigned [0x20CF]',
	0x20D0 : 'Unassigned [0x20D0]',
	0x20D1 : 'Unassigned [0x20D1]',
	0x20D2 : 'Unassigned [0x20D2]',
	0x20D3 : 'Unassigned [0x20D3]',
	0x20D4 : 'Unassigned [0x20D4]',
	0x20D5 : 'Unassigned [0x20D5]',
	0x20D6 : 'Unassigned [0x20D6]',
	0x20D7 : 'Unassigned [0x20D7]',
	0x20D8 : 'Unassigned [0x20D8]',
	0x20D9 : 'Unassigned [0x20D9]',
	0x20DA : 'Unassigned [0x20DA]',
	0x20DB : 'Unassigned [0x20DB]',
	0x20DC : 'Unassigned [0x20DC]',
	0x20DD : 'Unassigned [0x20DD]',
	0x20DE : 'Unassigned [0x20DE]',
	0x20DF : 'Unassigned [0x20DF]',
	0x20E0 : 'Unassigned [0x20E0]',
	0x20E1 : 'Unassigned [0x20E1]',
	0x20E2 : 'Unassigned [0x20E2]',
	0x20E3 : 'Unassigned [0x20E3]',
	0x20E4 : 'Unassigned [0x20E4]',
	0x20E5 : 'Unassigned [0x20E5]',
	0x20E6 : 'Unassigned [0x20E6]',
	0x20E7 : 'Unassigned [0x20E7]',
	0x20E8 : 'Unassigned [0x20E8]',
	0x20E9 : 'Unassigned [0x20E9]',
	0x20EA : 'Unassigned [0x20EA]',
	0x20EB : 'Unassigned [0x20EB]',
	0x20EC : 'Unassigned [0x20EC]',
	0x20ED : 'Unassigned [0x20ED]',
	0x20EE : 'Unassigned [0x20EE]',
	0x20EF : 'Unassigned [0x20EF]',
	0x20F0 : 'Unassigned [0x20F0]',
	0x20F1 : 'Unassigned [0x20F1]',
	0x20F2 : 'Unassigned [0x20F2]',
	0x20F3 : 'Unassigned [0x20F3]',
	0x20F4 : 'Unassigned [0x20F4]',
	0x20F5 : 'Unassigned [0x20F5]',
	0x20F6 : 'Unassigned [0x20F6]',
	0x20F7 : 'Unassigned [0x20F7]',
	0x20F8 : 'Unassigned [0x20F8]',
	0x20F9 : 'Unassigned [0x20F9]',
	0x20FA : 'Unassigned [0x20FA]',
	0x20FB : 'Unassigned [0x20FB]',
	0x20FC : 'Unassigned [0x20FC]',
	0x20FD : 'Unassigned [0x20FD]',
	0x20FE : 'Unassigned [0x20FE]',
	0x20FF : 'Unassigned [0x20FF]',
	0x2100 : 'Unassigned [0x2100]',
	0x2101 : 'Unassigned [0x2101]',
	0x2102 : 'Unassigned [0x2102]',
	0x2103 : 'Unassigned [0x2103]',
	0x2104 : 'Unassigned [0x2104]',
	0x2105 : 'Unassigned [0x2105]',
	0x2106 : 'Unassigned [0x2106]',
	0x2107 : 'Unassigned [0x2107]',
	0x2108 : 'Unassigned [0x2108]',
	0x2109 : 'Unassigned [0x2109]',
	0x210A : 'Unassigned [0x210A]',
	0x210B : 'Unassigned [0x210B]',
	0x210C : 'Unassigned [0x210C]',
	0x210D : 'Unassigned [0x210D]',
	0x210E : 'Unassigned [0x210E]',
	0x210F : 'Unassigned [0x210F]',
	0x2110 : 'Unassigned [0x2110]',
	0x2111 : 'Unassigned [0x2111]',
	0x2112 : 'Unassigned [0x2112]',
	0x2113 : 'Unassigned [0x2113]',
	0x2114 : 'Unassigned [0x2114]',
	0x2115 : 'Unassigned [0x2115]',
	0x2116 : 'Unassigned [0x2116]',
	0x2117 : 'Unassigned [0x2117]',
	0x2118 : 'Unassigned [0x2118]',
	0x2119 : 'Unassigned [0x2119]',
	0x211A : 'Unassigned [0x211A]',
	0x211B : 'Unassigned [0x211B]',
	0x211C : 'Unassigned [0x211C]',
	0x211D : 'Unassigned [0x211D]',
	0x211E : 'Unassigned [0x211E]',
	0x211F : 'Unassigned [0x211F]',
	0x2120 : 'Unassigned [0x2120]',
	0x2121 : 'Unassigned [0x2121]',
	0x2122 : 'Unassigned [0x2122]',
	0x2123 : 'Unassigned [0x2123]',
	0x2124 : 'Unassigned [0x2124]',
	0x2125 : 'Unassigned [0x2125]',
	0x2126 : 'Unassigned [0x2126]',
	0x2127 : 'Unassigned [0x2127]',
	0x2128 : 'Unassigned [0x2128]',
	0x2129 : 'Unassigned [0x2129]',
	0x212A : 'Unassigned [0x212A]',
	0x212B : 'Unassigned [0x212B]',
	0x212C : 'Unassigned [0x212C]',
	0x212D : 'Unassigned [0x212D]',
	0x212E : 'Unassigned [0x212E]',
	0x212F : 'Unassigned [0x212F]',
	0x2130 : 'Unassigned [0x2130]',
	0x2131 : 'Unassigned [0x2131]',
	0x2132 : 'Unassigned [0x2132]',
	0x2133 : 'Unassigned [0x2133]',
	0x2134 : 'Unassigned [0x2134]',
	0x2135 : 'Unassigned [0x2135]',
	0x2136 : 'Unassigned [0x2136]',
	0x2137 : 'Unassigned [0x2137]',
	0x2138 : 'Unassigned [0x2138]',
	0x2139 : 'Unassigned [0x2139]',
	0x213A : 'Unassigned [0x213A]',
	0x213B : 'Unassigned [0x213B]',
	0x213C : 'Unassigned [0x213C]',
	0x213D : 'Unassigned [0x213D]',
	0x213E : 'Unassigned [0x213E]',
	0x213F : 'Unassigned [0x213F]',
	0x2140 : 'Unassigned [0x2140]',
	0x2141 : 'Unassigned [0x2141]',
	0x2142 : 'Unassigned [0x2142]',
	0x2143 : 'Unassigned [0x2143]',
	0x2144 : 'Unassigned [0x2144]',
	0x2145 : 'Unassigned [0x2145]',
	0x2146 : 'Unassigned [0x2146]',
	0x2147 : 'Unassigned [0x2147]',
	0x2148 : 'Unassigned [0x2148]',
	0x2149 : 'Unassigned [0x2149]',
	0x214A : 'Unassigned [0x214A]',
	0x214B : 'Unassigned [0x214B]',
	0x214C : 'Unassigned [0x214C]',
	0x214D : 'Unassigned [0x214D]',
	0x214E : 'Unassigned [0x214E]',
	0x214F : 'Unassigned [0x214F]',
	0x2150 : 'Unassigned [0x2150]',
	0x2151 : 'Unassigned [0x2151]',
	0x2152 : 'Unassigned [0x2152]',
	0x2153 : 'Unassigned [0x2153]',
	0x2154 : 'Unassigned [0x2154]',
	0x2155 : 'Unassigned [0x2155]',
	0x2156 : 'Unassigned [0x2156]',
	0x2157 : 'Unassigned [0x2157]',
	0x2158 : 'Unassigned [0x2158]',
	0x2159 : 'Unassigned [0x2159]',
	0x215A : 'Unassigned [0x215A]',
	0x215B : 'Unassigned [0x215B]',
	0x215C : 'Unassigned [0x215C]',
	0x215D : 'Unassigned [0x215D]',
	0x215E : 'Unassigned [0x215E]',
	0x215F : 'Unassigned [0x215F]',
	0x2160 : 'Unassigned [0x2160]',
	0x2161 : 'Unassigned [0x2161]',
	0x2162 : 'Unassigned [0x2162]',
	0x2163 : 'Unassigned [0x2163]',
	0x2164 : 'Unassigned [0x2164]',
	0x2165 : 'Unassigned [0x2165]',
	0x2166 : 'Unassigned [0x2166]',
	0x2167 : 'Unassigned [0x2167]',
	0x2168 : 'Unassigned [0x2168]',
	0x2169 : 'Unassigned [0x2169]',
	0x216A : 'Unassigned [0x216A]',
	0x216B : 'Unassigned [0x216B]',
	0x216C : 'Unassigned [0x216C]',
	0x216D : 'Unassigned [0x216D]',
	0x216E : 'Unassigned [0x216E]',
	0x216F : 'Unassigned [0x216F]',
	0x2170 : 'Unassigned [0x2170]',
	0x2171 : 'Unassigned [0x2171]',
	0x2172 : 'Unassigned [0x2172]',
	0x2173 : 'Unassigned [0x2173]',
	0x2174 : 'Unassigned [0x2174]',
	0x2175 : 'Unassigned [0x2175]',
	0x2176 : 'Unassigned [0x2176]',
	0x2177 : 'Unassigned [0x2177]',
	0x2178 : 'Unassigned [0x2178]',
	0x2179 : 'Unassigned [0x2179]',
	0x217A : 'Unassigned [0x217A]',
	0x217B : 'Unassigned [0x217B]',
	0x217C : 'Unassigned [0x217C]',
	0x217D : 'Unassigned [0x217D]',
	0x217E : 'Unassigned [0x217E]',
	0x217F : 'Unassigned [0x217F]',
	0x2180 : 'Unassigned [0x2180]',
	0x2181 : 'Unassigned [0x2181]',
	0x2182 : 'Unassigned [0x2182]',
	0x2183 : 'Unassigned [0x2183]',
	0x2184 : 'Unassigned [0x2184]',
	0x2185 : 'Unassigned [0x2185]',
	0x2186 : 'Unassigned [0x2186]',
	0x2187 : 'Unassigned [0x2187]',
	0x2188 : 'Unassigned [0x2188]',
	0x2189 : 'Unassigned [0x2189]',
	0x218A : 'Unassigned [0x218A]',
	0x218B : 'Unassigned [0x218B]',
	0x218C : 'Unassigned [0x218C]',
	0x218D : 'Unassigned [0x218D]',
	0x218E : 'Unassigned [0x218E]',
	0x218F : 'Unassigned [0x218F]',
	0x2190 : 'Unassigned [0x2190]',
	0x2191 : 'Unassigned [0x2191]',
	0x2192 : 'Unassigned [0x2192]',
	0x2193 : 'Unassigned [0x2193]',
	0x2194 : 'Unassigned [0x2194]',
	0x2195 : 'Unassigned [0x2195]',
	0x2196 : 'Unassigned [0x2196]',
	0x2197 : 'Unassigned [0x2197]',
	0x2198 : 'Unassigned [0x2198]',
	0x2199 : 'Unassigned [0x2199]',
	0x219A : 'Unassigned [0x219A]',
	0x219B : 'Unassigned [0x219B]',
	0x219C : 'Unassigned [0x219C]',
	0x219D : 'Unassigned [0x219D]',
	0x219E : 'Unassigned [0x219E]',
	0x219F : 'Unassigned [0x219F]',
	0x21A0 : 'Unassigned [0x21A0]',
	0x21A1 : 'Unassigned [0x21A1]',
	0x21A2 : 'Unassigned [0x21A2]',
	0x21A3 : 'Unassigned [0x21A3]',
	0x21A4 : 'Unassigned [0x21A4]',
	0x21A5 : 'Unassigned [0x21A5]',
	0x21A6 : 'Unassigned [0x21A6]',
	0x21A7 : 'Unassigned [0x21A7]',
	0x21A8 : 'Unassigned [0x21A8]',
	0x21A9 : 'Unassigned [0x21A9]',
	0x21AA : 'Unassigned [0x21AA]',
	0x21AB : 'Unassigned [0x21AB]',
	0x21AC : 'Unassigned [0x21AC]',
	0x21AD : 'Unassigned [0x21AD]',
	0x21AE : 'Unassigned [0x21AE]',
	0x21AF : 'Unassigned [0x21AF]',
	0x21B0 : 'Unassigned [0x21B0]',
	0x21B1 : 'Unassigned [0x21B1]',
	0x21B2 : 'Unassigned [0x21B2]',
	0x21B3 : 'Unassigned [0x21B3]',
	0x21B4 : 'Unassigned [0x21B4]',
	0x21B5 : 'Unassigned [0x21B5]',
	0x21B6 : 'Unassigned [0x21B6]',
	0x21B7 : 'Unassigned [0x21B7]',
	0x21B8 : 'Unassigned [0x21B8]',
	0x21B9 : 'Unassigned [0x21B9]',
	0x21BA : 'Unassigned [0x21BA]',
	0x21BB : 'Unassigned [0x21BB]',
	0x21BC : 'Unassigned [0x21BC]',
	0x21BD : 'Unassigned [0x21BD]',
	0x21BE : 'Unassigned [0x21BE]',
	0x21BF : 'Unassigned [0x21BF]',
	0x21C0 : 'Unassigned [0x21C0]',
	0x21C1 : 'Unassigned [0x21C1]',
	0x21C2 : 'Unassigned [0x21C2]',
	0x21C3 : 'Unassigned [0x21C3]',
	0x21C4 : 'Unassigned [0x21C4]',
	0x21C5 : 'Unassigned [0x21C5]',
	0x21C6 : 'Unassigned [0x21C6]',
	0x21C7 : 'Unassigned [0x21C7]',
	0x21C8 : 'Unassigned [0x21C8]',
	0x21C9 : 'Unassigned [0x21C9]',
	0x21CA : 'Unassigned [0x21CA]',
	0x21CB : 'Unassigned [0x21CB]',
	0x21CC : 'Unassigned [0x21CC]',
	0x21CD : 'Unassigned [0x21CD]',
	0x21CE : 'Unassigned [0x21CE]',
	0x21CF : 'Unassigned [0x21CF]',
	0x21D0 : 'Unassigned [0x21D0]',
	0x21D1 : 'Unassigned [0x21D1]',
	0x21D2 : 'Unassigned [0x21D2]',
	0x21D3 : 'Unassigned [0x21D3]',
	0x21D4 : 'Unassigned [0x21D4]',
	0x21D5 : 'Unassigned [0x21D5]',
	0x21D6 : 'Unassigned [0x21D6]',
	0x21D7 : 'Unassigned [0x21D7]',
	0x21D8 : 'Unassigned [0x21D8]',
	0x21D9 : 'Unassigned [0x21D9]',
	0x21DA : 'Unassigned [0x21DA]',
	0x21DB : 'Unassigned [0x21DB]',
	0x21DC : 'Unassigned [0x21DC]',
	0x21DD : 'Unassigned [0x21DD]',
	0x21DE : 'Unassigned [0x21DE]',
	0x21DF : 'Unassigned [0x21DF]',
	0x21E0 : 'Unassigned [0x21E0]',
	0x21E1 : 'Unassigned [0x21E1]',
	0x21E2 : 'Unassigned [0x21E2]',
	0x21E3 : 'Unassigned [0x21E3]',
	0x21E4 : 'Unassigned [0x21E4]',
	0x21E5 : 'Unassigned [0x21E5]',
	0x21E6 : 'Unassigned [0x21E6]',
	0x21E7 : 'Unassigned [0x21E7]',
	0x21E8 : 'Unassigned [0x21E8]',
	0x21E9 : 'Unassigned [0x21E9]',
	0x21EA : 'Unassigned [0x21EA]',
	0x21EB : 'Unassigned [0x21EB]',
	0x21EC : 'Unassigned [0x21EC]',
	0x21ED : 'Unassigned [0x21ED]',
	0x21EE : 'Unassigned [0x21EE]',
	0x21EF : 'Unassigned [0x21EF]',
	0x21F0 : 'Unassigned [0x21F0]',
	0x21F1 : 'Unassigned [0x21F1]',
	0x21F2 : 'Unassigned [0x21F2]',
	0x21F3 : 'Unassigned [0x21F3]',
	0x21F4 : 'Unassigned [0x21F4]',
	0x21F5 : 'Unassigned [0x21F5]',
	0x21F6 : 'Unassigned [0x21F6]',
	0x21F7 : 'Unassigned [0x21F7]',
	0x21F8 : 'Unassigned [0x21F8]',
	0x21F9 : 'Unassigned [0x21F9]',
	0x21FA : 'Unassigned [0x21FA]',
	0x21FB : 'Unassigned [0x21FB]',
	0x21FC : 'Unassigned [0x21FC]',
	0x21FD : 'Unassigned [0x21FD]',
	0x21FE : 'Unassigned [0x21FE]',
	0x21FF : 'Unassigned [0x21FF]',
	0x2200 : 'Unassigned [0x2200]',
	0x2201 : 'Unassigned [0x2201]',
	0x2202 : 'Unassigned [0x2202]',
	0x2203 : 'Unassigned [0x2203]',
	0x2204 : 'Unassigned [0x2204]',
	0x2205 : 'Unassigned [0x2205]',
	0x2206 : 'Unassigned [0x2206]',
	0x2207 : 'Unassigned [0x2207]',
	0x2208 : 'Unassigned [0x2208]',
	0x2209 : 'Unassigned [0x2209]',
	0x220A : 'Unassigned [0x220A]',
	0x220B : 'Unassigned [0x220B]',
	0x220C : 'Unassigned [0x220C]',
	0x220D : 'Unassigned [0x220D]',
	0x220E : 'Unassigned [0x220E]',
	0x220F : 'Unassigned [0x220F]',
	0x2210 : 'Unassigned [0x2210]',
	0x2211 : 'Unassigned [0x2211]',
	0x2212 : 'Unassigned [0x2212]',
	0x2213 : 'Unassigned [0x2213]',
	0x2214 : 'Unassigned [0x2214]',
	0x2215 : 'Unassigned [0x2215]',
	0x2216 : 'Unassigned [0x2216]',
	0x2217 : 'Unassigned [0x2217]',
	0x2218 : 'Unassigned [0x2218]',
	0x2219 : 'Unassigned [0x2219]',
	0x221A : 'Unassigned [0x221A]',
	0x221B : 'Unassigned [0x221B]',
	0x221C : 'Unassigned [0x221C]',
	0x221D : 'Unassigned [0x221D]',
	0x221E : 'Unassigned [0x221E]',
	0x221F : 'Unassigned [0x221F]',
	0x2220 : 'Unassigned [0x2220]',
	0x2221 : 'Unassigned [0x2221]',
	0x2222 : 'Unassigned [0x2222]',
	0x2223 : 'Unassigned [0x2223]',
	0x2224 : 'Unassigned [0x2224]',
	0x2225 : 'Unassigned [0x2225]',
	0x2226 : 'Unassigned [0x2226]',
	0x2227 : 'Unassigned [0x2227]',
	0x2228 : 'Unassigned [0x2228]',
	0x2229 : 'Unassigned [0x2229]',
	0x222A : 'Unassigned [0x222A]',
	0x222B : 'Unassigned [0x222B]',
	0x222C : 'Unassigned [0x222C]',
	0x222D : 'Unassigned [0x222D]',
	0x222E : 'Unassigned [0x222E]',
	0x222F : 'Unassigned [0x222F]',
	0x2230 : 'Unassigned [0x2230]',
	0x2231 : 'Unassigned [0x2231]',
	0x2232 : 'Unassigned [0x2232]',
	0x2233 : 'Unassigned [0x2233]',
	0x2234 : 'Unassigned [0x2234]',
	0x2235 : 'Unassigned [0x2235]',
	0x2236 : 'Unassigned [0x2236]',
	0x2237 : 'Unassigned [0x2237]',
	0x2238 : 'Unassigned [0x2238]',
	0x2239 : 'Unassigned [0x2239]',
	0x223A : 'Unassigned [0x223A]',
	0x223B : 'Unassigned [0x223B]',
	0x223C : 'Unassigned [0x223C]',
	0x223D : 'Unassigned [0x223D]',
	0x223E : 'Unassigned [0x223E]',
	0x223F : 'Unassigned [0x223F]',
	0x2240 : 'Unassigned [0x2240]',
	0x2241 : 'Unassigned [0x2241]',
	0x2242 : 'Unassigned [0x2242]',
	0x2243 : 'Unassigned [0x2243]',
	0x2244 : 'Unassigned [0x2244]',
	0x2245 : 'Unassigned [0x2245]',
	0x2246 : 'Unassigned [0x2246]',
	0x2247 : 'Unassigned [0x2247]',
	0x2248 : 'Unassigned [0x2248]',
	0x2249 : 'Unassigned [0x2249]',
	0x224A : 'Unassigned [0x224A]',
	0x224B : 'Unassigned [0x224B]',
	0x224C : 'Unassigned [0x224C]',
	0x224D : 'Unassigned [0x224D]',
	0x224E : 'Unassigned [0x224E]',
	0x224F : 'Unassigned [0x224F]',
	0x2250 : 'Unassigned [0x2250]',
	0x2251 : 'Unassigned [0x2251]',
	0x2252 : 'Unassigned [0x2252]',
	0x2253 : 'Unassigned [0x2253]',
	0x2254 : 'Unassigned [0x2254]',
	0x2255 : 'Unassigned [0x2255]',
	0x2256 : 'Unassigned [0x2256]',
	0x2257 : 'Unassigned [0x2257]',
	0x2258 : 'Unassigned [0x2258]',
	0x2259 : 'Unassigned [0x2259]',
	0x225A : 'Unassigned [0x225A]',
	0x225B : 'Unassigned [0x225B]',
	0x225C : 'Unassigned [0x225C]',
	0x225D : 'Unassigned [0x225D]',
	0x225E : 'Unassigned [0x225E]',
	0x225F : 'Unassigned [0x225F]',
	0x2260 : 'Unassigned [0x2260]',
	0x2261 : 'Unassigned [0x2261]',
	0x2262 : 'Unassigned [0x2262]',
	0x2263 : 'Unassigned [0x2263]',
	0x2264 : 'Unassigned [0x2264]',
	0x2265 : 'Unassigned [0x2265]',
	0x2266 : 'Unassigned [0x2266]',
	0x2267 : 'Unassigned [0x2267]',
	0x2268 : 'Unassigned [0x2268]',
	0x2269 : 'Unassigned [0x2269]',
	0x226A : 'Unassigned [0x226A]',
	0x226B : 'Unassigned [0x226B]',
	0x226C : 'Unassigned [0x226C]',
	0x226D : 'Unassigned [0x226D]',
	0x226E : 'Unassigned [0x226E]',
	0x226F : 'Unassigned [0x226F]',
	0x2270 : 'Unassigned [0x2270]',
	0x2271 : 'Unassigned [0x2271]',
	0x2272 : 'Unassigned [0x2272]',
	0x2273 : 'Unassigned [0x2273]',
	0x2274 : 'Unassigned [0x2274]',
	0x2275 : 'Unassigned [0x2275]',
	0x2276 : 'Unassigned [0x2276]',
	0x2277 : 'Unassigned [0x2277]',
	0x2278 : 'Unassigned [0x2278]',
	0x2279 : 'Unassigned [0x2279]',
	0x227A : 'Unassigned [0x227A]',
	0x227B : 'Unassigned [0x227B]',
	0x227C : 'Unassigned [0x227C]',
	0x227D : 'Unassigned [0x227D]',
	0x227E : 'Unassigned [0x227E]',
	0x227F : 'Unassigned [0x227F]',
	0x2280 : 'Unassigned [0x2280]',
	0x2281 : 'Unassigned [0x2281]',
	0x2282 : 'Unassigned [0x2282]',
	0x2283 : 'Unassigned [0x2283]',
	0x2284 : 'Unassigned [0x2284]',
	0x2285 : 'Unassigned [0x2285]',
	0x2286 : 'Unassigned [0x2286]',
	0x2287 : 'Unassigned [0x2287]',
	0x2288 : 'Unassigned [0x2288]',
	0x2289 : 'Unassigned [0x2289]',
	0x228A : 'Unassigned [0x228A]',
	0x228B : 'Unassigned [0x228B]',
	0x228C : 'Unassigned [0x228C]',
	0x228D : 'Unassigned [0x228D]',
	0x228E : 'Unassigned [0x228E]',
	0x228F : 'Unassigned [0x228F]',
	0x2290 : 'Unassigned [0x2290]',
	0x2291 : 'Unassigned [0x2291]',
	0x2292 : 'Unassigned [0x2292]',
	0x2293 : 'Unassigned [0x2293]',
	0x2294 : 'Unassigned [0x2294]',
	0x2295 : 'Unassigned [0x2295]',
	0x2296 : 'Unassigned [0x2296]',
	0x2297 : 'Unassigned [0x2297]',
	0x2298 : 'Unassigned [0x2298]',
	0x2299 : 'Unassigned [0x2299]',
	0x229A : 'Unassigned [0x229A]',
	0x229B : 'Unassigned [0x229B]',
	0x229C : 'Unassigned [0x229C]',
	0x229D : 'Unassigned [0x229D]',
	0x229E : 'Unassigned [0x229E]',
	0x229F : 'Unassigned [0x229F]',
	0x22A0 : 'Unassigned [0x22A0]',
	0x22A1 : 'Unassigned [0x22A1]',
	0x22A2 : 'Unassigned [0x22A2]',
	0x22A3 : 'Unassigned [0x22A3]',
	0x22A4 : 'Unassigned [0x22A4]',
	0x22A5 : 'Unassigned [0x22A5]',
	0x22A6 : 'Unassigned [0x22A6]',
	0x22A7 : 'Unassigned [0x22A7]',
	0x22A8 : 'Unassigned [0x22A8]',
	0x22A9 : 'Unassigned [0x22A9]',
	0x22AA : 'Unassigned [0x22AA]',
	0x22AB : 'Unassigned [0x22AB]',
	0x22AC : 'Unassigned [0x22AC]',
	0x22AD : 'Unassigned [0x22AD]',
	0x22AE : 'Unassigned [0x22AE]',
	0x22AF : 'Unassigned [0x22AF]',
	0x22B0 : 'Unassigned [0x22B0]',
	0x22B1 : 'Unassigned [0x22B1]',
	0x22B2 : 'Unassigned [0x22B2]',
	0x22B3 : 'Unassigned [0x22B3]',
	0x22B4 : 'Unassigned [0x22B4]',
	0x22B5 : 'Unassigned [0x22B5]',
	0x22B6 : 'Unassigned [0x22B6]',
	0x22B7 : 'Unassigned [0x22B7]',
	0x22B8 : 'Unassigned [0x22B8]',
	0x22B9 : 'Unassigned [0x22B9]',
	0x22BA : 'Unassigned [0x22BA]',
	0x22BB : 'Unassigned [0x22BB]',
	0x22BC : 'Unassigned [0x22BC]',
	0x22BD : 'Unassigned [0x22BD]',
	0x22BE : 'Unassigned [0x22BE]',
	0x22BF : 'Unassigned [0x22BF]',
	0x22C0 : 'Unassigned [0x22C0]',
	0x22C1 : 'Unassigned [0x22C1]',
	0x22C2 : 'Unassigned [0x22C2]',
	0x22C3 : 'Unassigned [0x22C3]',
	0x22C4 : 'Unassigned [0x22C4]',
	0x22C5 : 'Unassigned [0x22C5]',
	0x22C6 : 'Unassigned [0x22C6]',
	0x22C7 : 'Unassigned [0x22C7]',
	0x22C8 : 'Unassigned [0x22C8]',
	0x22C9 : 'Unassigned [0x22C9]',
	0x22CA : 'Unassigned [0x22CA]',
	0x22CB : 'Unassigned [0x22CB]',
	0x22CC : 'Unassigned [0x22CC]',
	0x22CD : 'Unassigned [0x22CD]',
	0x22CE : 'Unassigned [0x22CE]',
	0x22CF : 'Unassigned [0x22CF]',
	0x22D0 : 'Unassigned [0x22D0]',
	0x22D1 : 'Unassigned [0x22D1]',
	0x22D2 : 'Unassigned [0x22D2]',
	0x22D3 : 'Unassigned [0x22D3]',
	0x22D4 : 'Unassigned [0x22D4]',
	0x22D5 : 'Unassigned [0x22D5]',
	0x22D6 : 'Unassigned [0x22D6]',
	0x22D7 : 'Unassigned [0x22D7]',
	0x22D8 : 'Unassigned [0x22D8]',
	0x22D9 : 'Unassigned [0x22D9]',
	0x22DA : 'Unassigned [0x22DA]',
	0x22DB : 'Unassigned [0x22DB]',
	0x22DC : 'Unassigned [0x22DC]',
	0x22DD : 'Unassigned [0x22DD]',
	0x22DE : 'Unassigned [0x22DE]',
	0x22DF : 'Unassigned [0x22DF]',
	0x22E0 : 'Unassigned [0x22E0]',
	0x22E1 : 'Unassigned [0x22E1]',
	0x22E2 : 'Unassigned [0x22E2]',
	0x22E3 : 'Unassigned [0x22E3]',
	0x22E4 : 'Unassigned [0x22E4]',
	0x22E5 : 'Unassigned [0x22E5]',
	0x22E6 : 'Unassigned [0x22E6]',
	0x22E7 : 'Unassigned [0x22E7]',
	0x22E8 : 'Unassigned [0x22E8]',
	0x22E9 : 'Unassigned [0x22E9]',
	0x22EA : 'Unassigned [0x22EA]',
	0x22EB : 'Unassigned [0x22EB]',
	0x22EC : 'Unassigned [0x22EC]',
	0x22ED : 'Unassigned [0x22ED]',
	0x22EE : 'Unassigned [0x22EE]',
	0x22EF : 'Unassigned [0x22EF]',
	0x22F0 : 'Unassigned [0x22F0]',
	0x22F1 : 'Unassigned [0x22F1]',
	0x22F2 : 'Unassigned [0x22F2]',
	0x22F3 : 'Unassigned [0x22F3]',
	0x22F4 : 'Unassigned [0x22F4]',
	0x22F5 : 'Unassigned [0x22F5]',
	0x22F6 : 'Unassigned [0x22F6]',
	0x22F7 : 'Unassigned [0x22F7]',
	0x22F8 : 'Unassigned [0x22F8]',
	0x22F9 : 'Unassigned [0x22F9]',
	0x22FA : 'Unassigned [0x22FA]',
	0x22FB : 'Unassigned [0x22FB]',
	0x22FC : 'Unassigned [0x22FC]',
	0x22FD : 'Unassigned [0x22FD]',
	0x22FE : 'Unassigned [0x22FE]',
	0x22FF : 'Unassigned [0x22FF]',
	0x2300 : 'Unassigned [0x2300]',
	0x2301 : 'Unassigned [0x2301]',
	0x2302 : 'Unassigned [0x2302]',
	0x2303 : 'Unassigned [0x2303]',
	0x2304 : 'Unassigned [0x2304]',
	0x2305 : 'Unassigned [0x2305]',
	0x2306 : 'Unassigned [0x2306]',
	0x2307 : 'Unassigned [0x2307]',
	0x2308 : 'Unassigned [0x2308]',
	0x2309 : 'Unassigned [0x2309]',
	0x230A : 'Unassigned [0x230A]',
	0x230B : 'Unassigned [0x230B]',
	0x230C : 'Unassigned [0x230C]',
	0x230D : 'Unassigned [0x230D]',
	0x230E : 'Unassigned [0x230E]',
	0x230F : 'Unassigned [0x230F]',
	0x2310 : 'Unassigned [0x2310]',
	0x2311 : 'Unassigned [0x2311]',
	0x2312 : 'Unassigned [0x2312]',
	0x2313 : 'Unassigned [0x2313]',
	0x2314 : 'Unassigned [0x2314]',
	0x2315 : 'Unassigned [0x2315]',
	0x2316 : 'Unassigned [0x2316]',
	0x2317 : 'Unassigned [0x2317]',
	0x2318 : 'Unassigned [0x2318]',
	0x2319 : 'Unassigned [0x2319]',
	0x231A : 'Unassigned [0x231A]',
	0x231B : 'Unassigned [0x231B]',
	0x231C : 'Unassigned [0x231C]',
	0x231D : 'Unassigned [0x231D]',
	0x231E : 'Unassigned [0x231E]',
	0x231F : 'Unassigned [0x231F]',
	0x2320 : 'Unassigned [0x2320]',
	0x2321 : 'Unassigned [0x2321]',
	0x2322 : 'Unassigned [0x2322]',
	0x2323 : 'Unassigned [0x2323]',
	0x2324 : 'Unassigned [0x2324]',
	0x2325 : 'Unassigned [0x2325]',
	0x2326 : 'Unassigned [0x2326]',
	0x2327 : 'Unassigned [0x2327]',
	0x2328 : 'Unassigned [0x2328]',
	0x2329 : 'Unassigned [0x2329]',
	0x232A : 'Unassigned [0x232A]',
	0x232B : 'Unassigned [0x232B]',
	0x232C : 'Unassigned [0x232C]',
	0x232D : 'Unassigned [0x232D]',
	0x232E : 'Unassigned [0x232E]',
	0x232F : 'Unassigned [0x232F]',
	0x2330 : 'Unassigned [0x2330]',
	0x2331 : 'Unassigned [0x2331]',
	0x2332 : 'Unassigned [0x2332]',
	0x2333 : 'Unassigned [0x2333]',
	0x2334 : 'Unassigned [0x2334]',
	0x2335 : 'Unassigned [0x2335]',
	0x2336 : 'Unassigned [0x2336]',
	0x2337 : 'Unassigned [0x2337]',
	0x2338 : 'Unassigned [0x2338]',
	0x2339 : 'Unassigned [0x2339]',
	0x233A : 'Unassigned [0x233A]',
	0x233B : 'Unassigned [0x233B]',
	0x233C : 'Unassigned [0x233C]',
	0x233D : 'Unassigned [0x233D]',
	0x233E : 'Unassigned [0x233E]',
	0x233F : 'Unassigned [0x233F]',
	0x2340 : 'Unassigned [0x2340]',
	0x2341 : 'Unassigned [0x2341]',
	0x2342 : 'Unassigned [0x2342]',
	0x2343 : 'Unassigned [0x2343]',
	0x2344 : 'Unassigned [0x2344]',
	0x2345 : 'Unassigned [0x2345]',
	0x2346 : 'Unassigned [0x2346]',
	0x2347 : 'Unassigned [0x2347]',
	0x2348 : 'Unassigned [0x2348]',
	0x2349 : 'Unassigned [0x2349]',
	0x234A : 'Unassigned [0x234A]',
	0x234B : 'Unassigned [0x234B]',
	0x234C : 'Unassigned [0x234C]',
	0x234D : 'Unassigned [0x234D]',
	0x234E : 'Unassigned [0x234E]',
	0x234F : 'Unassigned [0x234F]',
	0x2350 : 'Unassigned [0x2350]',
	0x2351 : 'Unassigned [0x2351]',
	0x2352 : 'Unassigned [0x2352]',
	0x2353 : 'Unassigned [0x2353]',
	0x2354 : 'Unassigned [0x2354]',
	0x2355 : 'Unassigned [0x2355]',
	0x2356 : 'Unassigned [0x2356]',
	0x2357 : 'Unassigned [0x2357]',
	0x2358 : 'Unassigned [0x2358]',
	0x2359 : 'Unassigned [0x2359]',
	0x235A : 'Unassigned [0x235A]',
	0x235B : 'Unassigned [0x235B]',
	0x235C : 'Unassigned [0x235C]',
	0x235D : 'Unassigned [0x235D]',
	0x235E : 'Unassigned [0x235E]',
	0x235F : 'Unassigned [0x235F]',
	0x2360 : 'Unassigned [0x2360]',
	0x2361 : 'Unassigned [0x2361]',
	0x2362 : 'Unassigned [0x2362]',
	0x2363 : 'Unassigned [0x2363]',
	0x2364 : 'Unassigned [0x2364]',
	0x2365 : 'Unassigned [0x2365]',
	0x2366 : 'Unassigned [0x2366]',
	0x2367 : 'Unassigned [0x2367]',
	0x2368 : 'Unassigned [0x2368]',
	0x2369 : 'Unassigned [0x2369]',
	0x236A : 'Unassigned [0x236A]',
	0x236B : 'Unassigned [0x236B]',
	0x236C : 'Unassigned [0x236C]',
	0x236D : 'Unassigned [0x236D]',
	0x236E : 'Unassigned [0x236E]',
	0x236F : 'Unassigned [0x236F]',
	0x2370 : 'Unassigned [0x2370]',
	0x2371 : 'Unassigned [0x2371]',
	0x2372 : 'Unassigned [0x2372]',
	0x2373 : 'Unassigned [0x2373]',
	0x2374 : 'Unassigned [0x2374]',
	0x2375 : 'Unassigned [0x2375]',
	0x2376 : 'Unassigned [0x2376]',
	0x2377 : 'Unassigned [0x2377]',
	0x2378 : 'Unassigned [0x2378]',
	0x2379 : 'Unassigned [0x2379]',
	0x237A : 'Unassigned [0x237A]',
	0x237B : 'Unassigned [0x237B]',
	0x237C : 'Unassigned [0x237C]',
	0x237D : 'Unassigned [0x237D]',
	0x237E : 'Unassigned [0x237E]',
	0x237F : 'Unassigned [0x237F]',
	0x2380 : 'Unassigned [0x2380]',
	0x2381 : 'Unassigned [0x2381]',
	0x2382 : 'Unassigned [0x2382]',
	0x2383 : 'Unassigned [0x2383]',
	0x2384 : 'Unassigned [0x2384]',
	0x2385 : 'Unassigned [0x2385]',
	0x2386 : 'Unassigned [0x2386]',
	0x2387 : 'Unassigned [0x2387]',
	0x2388 : 'Unassigned [0x2388]',
	0x2389 : 'Unassigned [0x2389]',
	0x238A : 'Unassigned [0x238A]',
	0x238B : 'Unassigned [0x238B]',
	0x238C : 'Unassigned [0x238C]',
	0x238D : 'Unassigned [0x238D]',
	0x238E : 'Unassigned [0x238E]',
	0x238F : 'Unassigned [0x238F]',
	0x2390 : 'Unassigned [0x2390]',
	0x2391 : 'Unassigned [0x2391]',
	0x2392 : 'Unassigned [0x2392]',
	0x2393 : 'Unassigned [0x2393]',
	0x2394 : 'Unassigned [0x2394]',
	0x2395 : 'Unassigned [0x2395]',
	0x2396 : 'Unassigned [0x2396]',
	0x2397 : 'Unassigned [0x2397]',
	0x2398 : 'Unassigned [0x2398]',
	0x2399 : 'Unassigned [0x2399]',
	0x239A : 'Unassigned [0x239A]',
	0x239B : 'Unassigned [0x239B]',
	0x239C : 'Unassigned [0x239C]',
	0x239D : 'Unassigned [0x239D]',
	0x239E : 'Unassigned [0x239E]',
	0x239F : 'Unassigned [0x239F]',
	0x23A0 : 'Unassigned [0x23A0]',
	0x23A1 : 'Unassigned [0x23A1]',
	0x23A2 : 'Unassigned [0x23A2]',
	0x23A3 : 'Unassigned [0x23A3]',
	0x23A4 : 'Unassigned [0x23A4]',
	0x23A5 : 'Unassigned [0x23A5]',
	0x23A6 : 'Unassigned [0x23A6]',
	0x23A7 : 'Unassigned [0x23A7]',
	0x23A8 : 'Unassigned [0x23A8]',
	0x23A9 : 'Unassigned [0x23A9]',
	0x23AA : 'Unassigned [0x23AA]',
	0x23AB : 'Unassigned [0x23AB]',
	0x23AC : 'Unassigned [0x23AC]',
	0x23AD : 'Unassigned [0x23AD]',
	0x23AE : 'Unassigned [0x23AE]',
	0x23AF : 'Unassigned [0x23AF]',
	0x23B0 : 'Unassigned [0x23B0]',
	0x23B1 : 'Unassigned [0x23B1]',
	0x23B2 : 'Unassigned [0x23B2]',
	0x23B3 : 'Unassigned [0x23B3]',
	0x23B4 : 'Unassigned [0x23B4]',
	0x23B5 : 'Unassigned [0x23B5]',
	0x23B6 : 'Unassigned [0x23B6]',
	0x23B7 : 'Unassigned [0x23B7]',
	0x23B8 : 'Unassigned [0x23B8]',
	0x23B9 : 'Unassigned [0x23B9]',
	0x23BA : 'Unassigned [0x23BA]',
	0x23BB : 'Unassigned [0x23BB]',
	0x23BC : 'Unassigned [0x23BC]',
	0x23BD : 'Unassigned [0x23BD]',
	0x23BE : 'Unassigned [0x23BE]',
	0x23BF : 'Unassigned [0x23BF]',
	0x23C0 : 'Unassigned [0x23C0]',
	0x23C1 : 'Unassigned [0x23C1]',
	0x23C2 : 'Unassigned [0x23C2]',
	0x23C3 : 'Unassigned [0x23C3]',
	0x23C4 : 'Unassigned [0x23C4]',
	0x23C5 : 'Unassigned [0x23C5]',
	0x23C6 : 'Unassigned [0x23C6]',
	0x23C7 : 'Unassigned [0x23C7]',
	0x23C8 : 'Unassigned [0x23C8]',
	0x23C9 : 'Unassigned [0x23C9]',
	0x23CA : 'Unassigned [0x23CA]',
	0x23CB : 'Unassigned [0x23CB]',
	0x23CC : 'Unassigned [0x23CC]',
	0x23CD : 'Unassigned [0x23CD]',
	0x23CE : 'Unassigned [0x23CE]',
	0x23CF : 'Unassigned [0x23CF]',
	0x23D0 : 'Unassigned [0x23D0]',
	0x23D1 : 'Unassigned [0x23D1]',
	0x23D2 : 'Unassigned [0x23D2]',
	0x23D3 : 'Unassigned [0x23D3]',
	0x23D4 : 'Unassigned [0x23D4]',
	0x23D5 : 'Unassigned [0x23D5]',
	0x23D6 : 'Unassigned [0x23D6]',
	0x23D7 : 'Unassigned [0x23D7]',
	0x23D8 : 'Unassigned [0x23D8]',
	0x23D9 : 'Unassigned [0x23D9]',
	0x23DA : 'Unassigned [0x23DA]',
	0x23DB : 'Unassigned [0x23DB]',
	0x23DC : 'Unassigned [0x23DC]',
	0x23DD : 'Unassigned [0x23DD]',
	0x23DE : 'Unassigned [0x23DE]',
	0x23DF : 'Unassigned [0x23DF]',
	0x23E0 : 'Unassigned [0x23E0]',
	0x23E1 : 'Unassigned [0x23E1]',
	0x23E2 : 'Unassigned [0x23E2]',
	0x23E3 : 'Unassigned [0x23E3]',
	0x23E4 : 'Unassigned [0x23E4]',
	0x23E5 : 'Unassigned [0x23E5]',
	0x23E6 : 'Unassigned [0x23E6]',
	0x23E7 : 'Unassigned [0x23E7]',
	0x23E8 : 'Unassigned [0x23E8]',
	0x23E9 : 'Unassigned [0x23E9]',
	0x23EA : 'Unassigned [0x23EA]',
	0x23EB : 'Unassigned [0x23EB]',
	0x23EC : 'Unassigned [0x23EC]',
	0x23ED : 'Unassigned [0x23ED]',
	0x23EE : 'Unassigned [0x23EE]',
	0x23EF : 'Unassigned [0x23EF]',
	0x23F0 : 'Unassigned [0x23F0]',
	0x23F1 : 'Unassigned [0x23F1]',
	0x23F2 : 'Unassigned [0x23F2]',
	0x23F3 : 'Unassigned [0x23F3]',
	0x23F4 : 'Unassigned [0x23F4]',
	0x23F5 : 'Unassigned [0x23F5]',
	0x23F6 : 'Unassigned [0x23F6]',
	0x23F7 : 'Unassigned [0x23F7]',
	0x23F8 : 'Unassigned [0x23F8]',
	0x23F9 : 'Unassigned [0x23F9]',
	0x23FA : 'Unassigned [0x23FA]',
	0x23FB : 'Unassigned [0x23FB]',
	0x23FC : 'Unassigned [0x23FC]',
	0x23FD : 'Unassigned [0x23FD]',
	0x23FE : 'Unassigned [0x23FE]',
	0x23FF : 'Unassigned [0x23FF]',
	0x2400 : 'Unassigned [0x2400]',
	0x2401 : 'Unassigned [0x2401]',
	0x2402 : 'Unassigned [0x2402]',
	0x2403 : 'Unassigned [0x2403]',
	0x2404 : 'Unassigned [0x2404]',
	0x2405 : 'Unassigned [0x2405]',
	0x2406 : 'Unassigned [0x2406]',
	0x2407 : 'Unassigned [0x2407]',
	0x2408 : 'Unassigned [0x2408]',
	0x2409 : 'Unassigned [0x2409]',
	0x240A : 'Unassigned [0x240A]',
	0x240B : 'Unassigned [0x240B]',
	0x240C : 'Unassigned [0x240C]',
	0x240D : 'Unassigned [0x240D]',
	0x240E : 'Unassigned [0x240E]',
	0x240F : 'Unassigned [0x240F]',
	0x2410 : 'Unassigned [0x2410]',
	0x2411 : 'Unassigned [0x2411]',
	0x2412 : 'Unassigned [0x2412]',
	0x2413 : 'Unassigned [0x2413]',
	0x2414 : 'Unassigned [0x2414]',
	0x2415 : 'Unassigned [0x2415]',
	0x2416 : 'Unassigned [0x2416]',
	0x2417 : 'Unassigned [0x2417]',
	0x2418 : 'Unassigned [0x2418]',
	0x2419 : 'Unassigned [0x2419]',
	0x241A : 'Unassigned [0x241A]',
	0x241B : 'Unassigned [0x241B]',
	0x241C : 'Unassigned [0x241C]',
	0x241D : 'Unassigned [0x241D]',
	0x241E : 'Unassigned [0x241E]',
	0x241F : 'Unassigned [0x241F]',
	0x2420 : 'Unassigned [0x2420]',
	0x2421 : 'Unassigned [0x2421]',
	0x2422 : 'Unassigned [0x2422]',
	0x2423 : 'Unassigned [0x2423]',
	0x2424 : 'Unassigned [0x2424]',
	0x2425 : 'Unassigned [0x2425]',
	0x2426 : 'Unassigned [0x2426]',
	0x2427 : 'Unassigned [0x2427]',
	0x2428 : 'Unassigned [0x2428]',
	0x2429 : 'Unassigned [0x2429]',
	0x242A : 'Unassigned [0x242A]',
	0x242B : 'Unassigned [0x242B]',
	0x242C : 'Unassigned [0x242C]',
	0x242D : 'Unassigned [0x242D]',
	0x242E : 'Unassigned [0x242E]',
	0x242F : 'Unassigned [0x242F]',
	0x2430 : 'Unassigned [0x2430]',
	0x2431 : 'Unassigned [0x2431]',
	0x2432 : 'Unassigned [0x2432]',
	0x2433 : 'Unassigned [0x2433]',
	0x2434 : 'Unassigned [0x2434]',
	0x2435 : 'Unassigned [0x2435]',
	0x2436 : 'Unassigned [0x2436]',
	0x2437 : 'Unassigned [0x2437]',
	0x2438 : 'Unassigned [0x2438]',
	0x2439 : 'Unassigned [0x2439]',
	0x243A : 'Unassigned [0x243A]',
	0x243B : 'Unassigned [0x243B]',
	0x243C : 'Unassigned [0x243C]',
	0x243D : 'Unassigned [0x243D]',
	0x243E : 'Unassigned [0x243E]',
	0x243F : 'Unassigned [0x243F]',
	0x2440 : 'Unassigned [0x2440]',
	0x2441 : 'Unassigned [0x2441]',
	0x2442 : 'Unassigned [0x2442]',
	0x2443 : 'Unassigned [0x2443]',
	0x2444 : 'Unassigned [0x2444]',
	0x2445 : 'Unassigned [0x2445]',
	0x2446 : 'Unassigned [0x2446]',
	0x2447 : 'Unassigned [0x2447]',
	0x2448 : 'Unassigned [0x2448]',
	0x2449 : 'Unassigned [0x2449]',
	0x244A : 'Unassigned [0x244A]',
	0x244B : 'Unassigned [0x244B]',
	0x244C : 'Unassigned [0x244C]',
	0x244D : 'Unassigned [0x244D]',
	0x244E : 'Unassigned [0x244E]',
	0x244F : 'Unassigned [0x244F]',
	0x2450 : 'Unassigned [0x2450]',
	0x2451 : 'Unassigned [0x2451]',
	0x2452 : 'Unassigned [0x2452]',
	0x2453 : 'Unassigned [0x2453]',
	0x2454 : 'Unassigned [0x2454]',
	0x2455 : 'Unassigned [0x2455]',
	0x2456 : 'Unassigned [0x2456]',
	0x2457 : 'Unassigned [0x2457]',
	0x2458 : 'Unassigned [0x2458]',
	0x2459 : 'Unassigned [0x2459]',
	0x245A : 'Unassigned [0x245A]',
	0x245B : 'Unassigned [0x245B]',
	0x245C : 'Unassigned [0x245C]',
	0x245D : 'Unassigned [0x245D]',
	0x245E : 'Unassigned [0x245E]',
	0x245F : 'Unassigned [0x245F]',
	0x2460 : 'Unassigned [0x2460]',
	0x2461 : 'Unassigned [0x2461]',
	0x2462 : 'Unassigned [0x2462]',
	0x2463 : 'Unassigned [0x2463]',
	0x2464 : 'Unassigned [0x2464]',
	0x2465 : 'Unassigned [0x2465]',
	0x2466 : 'Unassigned [0x2466]',
	0x2467 : 'Unassigned [0x2467]',
	0x2468 : 'Unassigned [0x2468]',
	0x2469 : 'Unassigned [0x2469]',
	0x246A : 'Unassigned [0x246A]',
	0x246B : 'Unassigned [0x246B]',
	0x246C : 'Unassigned [0x246C]',
	0x246D : 'Unassigned [0x246D]',
	0x246E : 'Unassigned [0x246E]',
	0x246F : 'Unassigned [0x246F]',
	0x2470 : 'Unassigned [0x2470]',
	0x2471 : 'Unassigned [0x2471]',
	0x2472 : 'Unassigned [0x2472]',
	0x2473 : 'Unassigned [0x2473]',
	0x2474 : 'Unassigned [0x2474]',
	0x2475 : 'Unassigned [0x2475]',
	0x2476 : 'Unassigned [0x2476]',
	0x2477 : 'Unassigned [0x2477]',
	0x2478 : 'Unassigned [0x2478]',
	0x2479 : 'Unassigned [0x2479]',
	0x247A : 'Unassigned [0x247A]',
	0x247B : 'Unassigned [0x247B]',
	0x247C : 'Unassigned [0x247C]',
	0x247D : 'Unassigned [0x247D]',
	0x247E : 'Unassigned [0x247E]',
	0x247F : 'Unassigned [0x247F]',
	0x2480 : 'Unassigned [0x2480]',
	0x2481 : 'Unassigned [0x2481]',
	0x2482 : 'Unassigned [0x2482]',
	0x2483 : 'Unassigned [0x2483]',
	0x2484 : 'Unassigned [0x2484]',
	0x2485 : 'Unassigned [0x2485]',
	0x2486 : 'Unassigned [0x2486]',
	0x2487 : 'Unassigned [0x2487]',
	0x2488 : 'Unassigned [0x2488]',
	0x2489 : 'Unassigned [0x2489]',
	0x248A : 'Unassigned [0x248A]',
	0x248B : 'Unassigned [0x248B]',
	0x248C : 'Unassigned [0x248C]',
	0x248D : 'Unassigned [0x248D]',
	0x248E : 'Unassigned [0x248E]',
	0x248F : 'Unassigned [0x248F]',
	0x2490 : 'Unassigned [0x2490]',
	0x2491 : 'Unassigned [0x2491]',
	0x2492 : 'Unassigned [0x2492]',
	0x2493 : 'Unassigned [0x2493]',
	0x2494 : 'Unassigned [0x2494]',
	0x2495 : 'Unassigned [0x2495]',
	0x2496 : 'Unassigned [0x2496]',
	0x2497 : 'Unassigned [0x2497]',
	0x2498 : 'Unassigned [0x2498]',
	0x2499 : 'Unassigned [0x2499]',
	0x249A : 'Unassigned [0x249A]',
	0x249B : 'Unassigned [0x249B]',
	0x249C : 'Unassigned [0x249C]',
	0x249D : 'Unassigned [0x249D]',
	0x249E : 'Unassigned [0x249E]',
	0x249F : 'Unassigned [0x249F]',
	0x24A0 : 'Unassigned [0x24A0]',
	0x24A1 : 'Unassigned [0x24A1]',
	0x24A2 : 'Unassigned [0x24A2]',
	0x24A3 : 'Unassigned [0x24A3]',
	0x24A4 : 'Unassigned [0x24A4]',
	0x24A5 : 'Unassigned [0x24A5]',
	0x24A6 : 'Unassigned [0x24A6]',
	0x24A7 : 'Unassigned [0x24A7]',
	0x24A8 : 'Unassigned [0x24A8]',
	0x24A9 : 'Unassigned [0x24A9]',
	0x24AA : 'Unassigned [0x24AA]',
	0x24AB : 'Unassigned [0x24AB]',
	0x24AC : 'Unassigned [0x24AC]',
	0x24AD : 'Unassigned [0x24AD]',
	0x24AE : 'Unassigned [0x24AE]',
	0x24AF : 'Unassigned [0x24AF]',
	0x24B0 : 'Unassigned [0x24B0]',
	0x24B1 : 'Unassigned [0x24B1]',
	0x24B2 : 'Unassigned [0x24B2]',
	0x24B3 : 'Unassigned [0x24B3]',
	0x24B4 : 'Unassigned [0x24B4]',
	0x24B5 : 'Unassigned [0x24B5]',
	0x24B6 : 'Unassigned [0x24B6]',
	0x24B7 : 'Unassigned [0x24B7]',
	0x24B8 : 'Unassigned [0x24B8]',
	0x24B9 : 'Unassigned [0x24B9]',
	0x24BA : 'Unassigned [0x24BA]',
	0x24BB : 'Unassigned [0x24BB]',
	0x24BC : 'Unassigned [0x24BC]',
	0x24BD : 'Unassigned [0x24BD]',
	0x24BE : 'Unassigned [0x24BE]',
	0x24BF : 'Unassigned [0x24BF]',
	0x24C0 : 'Unassigned [0x24C0]',
	0x24C1 : 'Unassigned [0x24C1]',
	0x24C2 : 'Unassigned [0x24C2]',
	0x24C3 : 'Unassigned [0x24C3]',
	0x24C4 : 'Unassigned [0x24C4]',
	0x24C5 : 'Unassigned [0x24C5]',
	0x24C6 : 'Unassigned [0x24C6]',
	0x24C7 : 'Unassigned [0x24C7]',
	0x24C8 : 'Unassigned [0x24C8]',
	0x24C9 : 'Unassigned [0x24C9]',
	0x24CA : 'Unassigned [0x24CA]',
	0x24CB : 'Unassigned [0x24CB]',
	0x24CC : 'Unassigned [0x24CC]',
	0x24CD : 'Unassigned [0x24CD]',
	0x24CE : 'Unassigned [0x24CE]',
	0x24CF : 'Unassigned [0x24CF]',
	0x24D0 : 'Unassigned [0x24D0]',
	0x24D1 : 'Unassigned [0x24D1]',
	0x24D2 : 'Unassigned [0x24D2]',
	0x24D3 : 'Unassigned [0x24D3]',
	0x24D4 : 'Unassigned [0x24D4]',
	0x24D5 : 'Unassigned [0x24D5]',
	0x24D6 : 'Unassigned [0x24D6]',
	0x24D7 : 'Unassigned [0x24D7]',
	0x24D8 : 'Unassigned [0x24D8]',
	0x24D9 : 'Unassigned [0x24D9]',
	0x24DA : 'Unassigned [0x24DA]',
	0x24DB : 'Unassigned [0x24DB]',
	0x24DC : 'Unassigned [0x24DC]',
	0x24DD : 'Unassigned [0x24DD]',
	0x24DE : 'Unassigned [0x24DE]',
	0x24DF : 'Unassigned [0x24DF]',
	0x24E0 : 'Unassigned [0x24E0]',
	0x24E1 : 'Unassigned [0x24E1]',
	0x24E2 : 'Unassigned [0x24E2]',
	0x24E3 : 'Unassigned [0x24E3]',
	0x24E4 : 'Unassigned [0x24E4]',
	0x24E5 : 'Unassigned [0x24E5]',
	0x24E6 : 'Unassigned [0x24E6]',
	0x24E7 : 'Unassigned [0x24E7]',
	0x24E8 : 'Unassigned [0x24E8]',
	0x24E9 : 'Unassigned [0x24E9]',
	0x24EA : 'Unassigned [0x24EA]',
	0x24EB : 'Unassigned [0x24EB]',
	0x24EC : 'Unassigned [0x24EC]',
	0x24ED : 'Unassigned [0x24ED]',
	0x24EE : 'Unassigned [0x24EE]',
	0x24EF : 'Unassigned [0x24EF]',
	0x24F0 : 'Unassigned [0x24F0]',
	0x24F1 : 'Unassigned [0x24F1]',
	0x24F2 : 'Unassigned [0x24F2]',
	0x24F3 : 'Unassigned [0x24F3]',
	0x24F4 : 'Unassigned [0x24F4]',
	0x24F5 : 'Unassigned [0x24F5]',
	0x24F6 : 'Unassigned [0x24F6]',
	0x24F7 : 'Unassigned [0x24F7]',
	0x24F8 : 'Unassigned [0x24F8]',
	0x24F9 : 'Unassigned [0x24F9]',
	0x24FA : 'Unassigned [0x24FA]',
	0x24FB : 'Unassigned [0x24FB]',
	0x24FC : 'Unassigned [0x24FC]',
	0x24FD : 'Unassigned [0x24FD]',
	0x24FE : 'Unassigned [0x24FE]',
	0x24FF : 'Unassigned [0x24FF]',
	0x2500 : 'Unassigned [0x2500]',
	0x2501 : 'Unassigned [0x2501]',
	0x2502 : 'Unassigned [0x2502]',
	0x2503 : 'Unassigned [0x2503]',
	0x2504 : 'Unassigned [0x2504]',
	0x2505 : 'Unassigned [0x2505]',
	0x2506 : 'Unassigned [0x2506]',
	0x2507 : 'Unassigned [0x2507]',
	0x2508 : 'Unassigned [0x2508]',
	0x2509 : 'Unassigned [0x2509]',
	0x250A : 'Unassigned [0x250A]',
	0x250B : 'Unassigned [0x250B]',
	0x250C : 'Unassigned [0x250C]',
	0x250D : 'Unassigned [0x250D]',
	0x250E : 'Unassigned [0x250E]',
	0x250F : 'Unassigned [0x250F]',
	0x2510 : 'Unassigned [0x2510]',
	0x2511 : 'Unassigned [0x2511]',
	0x2512 : 'Unassigned [0x2512]',
	0x2513 : 'Unassigned [0x2513]',
	0x2514 : 'Unassigned [0x2514]',
	0x2515 : 'Unassigned [0x2515]',
	0x2516 : 'Unassigned [0x2516]',
	0x2517 : 'Unassigned [0x2517]',
	0x2518 : 'Unassigned [0x2518]',
	0x2519 : 'Unassigned [0x2519]',
	0x251A : 'Unassigned [0x251A]',
	0x251B : 'Unassigned [0x251B]',
	0x251C : 'Unassigned [0x251C]',
	0x251D : 'Unassigned [0x251D]',
	0x251E : 'Unassigned [0x251E]',
	0x251F : 'Unassigned [0x251F]',
	0x2520 : 'Unassigned [0x2520]',
	0x2521 : 'Unassigned [0x2521]',
	0x2522 : 'Unassigned [0x2522]',
	0x2523 : 'Unassigned [0x2523]',
	0x2524 : 'Unassigned [0x2524]',
	0x2525 : 'Unassigned [0x2525]',
	0x2526 : 'Unassigned [0x2526]',
	0x2527 : 'Unassigned [0x2527]',
	0x2528 : 'Unassigned [0x2528]',
	0x2529 : 'Unassigned [0x2529]',
	0x252A : 'Unassigned [0x252A]',
	0x252B : 'Unassigned [0x252B]',
	0x252C : 'Unassigned [0x252C]',
	0x252D : 'Unassigned [0x252D]',
	0x252E : 'Unassigned [0x252E]',
	0x252F : 'Unassigned [0x252F]',
	0x2530 : 'Unassigned [0x2530]',
	0x2531 : 'Unassigned [0x2531]',
	0x2532 : 'Unassigned [0x2532]',
	0x2533 : 'Unassigned [0x2533]',
	0x2534 : 'Unassigned [0x2534]',
	0x2535 : 'Unassigned [0x2535]',
	0x2536 : 'Unassigned [0x2536]',
	0x2537 : 'Unassigned [0x2537]',
	0x2538 : 'Unassigned [0x2538]',
	0x2539 : 'Unassigned [0x2539]',
	0x253A : 'Unassigned [0x253A]',
	0x253B : 'Unassigned [0x253B]',
	0x253C : 'Unassigned [0x253C]',
	0x253D : 'Unassigned [0x253D]',
	0x253E : 'Unassigned [0x253E]',
	0x253F : 'Unassigned [0x253F]',
	0x2540 : 'Unassigned [0x2540]',
	0x2541 : 'Unassigned [0x2541]',
	0x2542 : 'Unassigned [0x2542]',
	0x2543 : 'Unassigned [0x2543]',
	0x2544 : 'Unassigned [0x2544]',
	0x2545 : 'Unassigned [0x2545]',
	0x2546 : 'Unassigned [0x2546]',
	0x2547 : 'Unassigned [0x2547]',
	0x2548 : 'Unassigned [0x2548]',
	0x2549 : 'Unassigned [0x2549]',
	0x254A : 'Unassigned [0x254A]',
	0x254B : 'Unassigned [0x254B]',
	0x254C : 'Unassigned [0x254C]',
	0x254D : 'Unassigned [0x254D]',
	0x254E : 'Unassigned [0x254E]',
	0x254F : 'Unassigned [0x254F]',
	0x2550 : 'Unassigned [0x2550]',
	0x2551 : 'Unassigned [0x2551]',
	0x2552 : 'Unassigned [0x2552]',
	0x2553 : 'Unassigned [0x2553]',
	0x2554 : 'Unassigned [0x2554]',
	0x2555 : 'Unassigned [0x2555]',
	0x2556 : 'Unassigned [0x2556]',
	0x2557 : 'Unassigned [0x2557]',
	0x2558 : 'Unassigned [0x2558]',
	0x2559 : 'Unassigned [0x2559]',
	0x255A : 'Unassigned [0x255A]',
	0x255B : 'Unassigned [0x255B]',
	0x255C : 'Unassigned [0x255C]',
	0x255D : 'Unassigned [0x255D]',
	0x255E : 'Unassigned [0x255E]',
	0x255F : 'Unassigned [0x255F]',
	0x2560 : 'Unassigned [0x2560]',
	0x2561 : 'Unassigned [0x2561]',
	0x2562 : 'Unassigned [0x2562]',
	0x2563 : 'Unassigned [0x2563]',
	0x2564 : 'Unassigned [0x2564]',
	0x2565 : 'Unassigned [0x2565]',
	0x2566 : 'Unassigned [0x2566]',
	0x2567 : 'Unassigned [0x2567]',
	0x2568 : 'Unassigned [0x2568]',
	0x2569 : 'Unassigned [0x2569]',
	0x256A : 'Unassigned [0x256A]',
	0x256B : 'Unassigned [0x256B]',
	0x256C : 'Unassigned [0x256C]',
	0x256D : 'Unassigned [0x256D]',
	0x256E : 'Unassigned [0x256E]',
	0x256F : 'Unassigned [0x256F]',
	0x2570 : 'Unassigned [0x2570]',
	0x2571 : 'Unassigned [0x2571]',
	0x2572 : 'Unassigned [0x2572]',
	0x2573 : 'Unassigned [0x2573]',
	0x2574 : 'Unassigned [0x2574]',
	0x2575 : 'Unassigned [0x2575]',
	0x2576 : 'Unassigned [0x2576]',
	0x2577 : 'Unassigned [0x2577]',
	0x2578 : 'Unassigned [0x2578]',
	0x2579 : 'Unassigned [0x2579]',
	0x257A : 'Unassigned [0x257A]',
	0x257B : 'Unassigned [0x257B]',
	0x257C : 'Unassigned [0x257C]',
	0x257D : 'Unassigned [0x257D]',
	0x257E : 'Unassigned [0x257E]',
	0x257F : 'Unassigned [0x257F]',
	0x2580 : 'Unassigned [0x2580]',
	0x2581 : 'Unassigned [0x2581]',
	0x2582 : 'Unassigned [0x2582]',
	0x2583 : 'Unassigned [0x2583]',
	0x2584 : 'Unassigned [0x2584]',
	0x2585 : 'Unassigned [0x2585]',
	0x2586 : 'Unassigned [0x2586]',
	0x2587 : 'Unassigned [0x2587]',
	0x2588 : 'Unassigned [0x2588]',
	0x2589 : 'Unassigned [0x2589]',
	0x258A : 'Unassigned [0x258A]',
	0x258B : 'Unassigned [0x258B]',
	0x258C : 'Unassigned [0x258C]',
	0x258D : 'Unassigned [0x258D]',
	0x258E : 'Unassigned [0x258E]',
	0x258F : 'Unassigned [0x258F]',
	0x2590 : 'Unassigned [0x2590]',
	0x2591 : 'Unassigned [0x2591]',
	0x2592 : 'Unassigned [0x2592]',
	0x2593 : 'Unassigned [0x2593]',
	0x2594 : 'Unassigned [0x2594]',
	0x2595 : 'Unassigned [0x2595]',
	0x2596 : 'Unassigned [0x2596]',
	0x2597 : 'Unassigned [0x2597]',
	0x2598 : 'Unassigned [0x2598]',
	0x2599 : 'Unassigned [0x2599]',
	0x259A : 'Unassigned [0x259A]',
	0x259B : 'Unassigned [0x259B]',
	0x259C : 'Unassigned [0x259C]',
	0x259D : 'Unassigned [0x259D]',
	0x259E : 'Unassigned [0x259E]',
	0x259F : 'Unassigned [0x259F]',
	0x25A0 : 'Unassigned [0x25A0]',
	0x25A1 : 'Unassigned [0x25A1]',
	0x25A2 : 'Unassigned [0x25A2]',
	0x25A3 : 'Unassigned [0x25A3]',
	0x25A4 : 'Unassigned [0x25A4]',
	0x25A5 : 'Unassigned [0x25A5]',
	0x25A6 : 'Unassigned [0x25A6]',
	0x25A7 : 'Unassigned [0x25A7]',
	0x25A8 : 'Unassigned [0x25A8]',
	0x25A9 : 'Unassigned [0x25A9]',
	0x25AA : 'Unassigned [0x25AA]',
	0x25AB : 'Unassigned [0x25AB]',
	0x25AC : 'Unassigned [0x25AC]',
	0x25AD : 'Unassigned [0x25AD]',
	0x25AE : 'Unassigned [0x25AE]',
	0x25AF : 'Unassigned [0x25AF]',
	0x25B0 : 'Unassigned [0x25B0]',
	0x25B1 : 'Unassigned [0x25B1]',
	0x25B2 : 'Unassigned [0x25B2]',
	0x25B3 : 'Unassigned [0x25B3]',
	0x25B4 : 'Unassigned [0x25B4]',
	0x25B5 : 'Unassigned [0x25B5]',
	0x25B6 : 'Unassigned [0x25B6]',
	0x25B7 : 'Unassigned [0x25B7]',
	0x25B8 : 'Unassigned [0x25B8]',
	0x25B9 : 'Unassigned [0x25B9]',
	0x25BA : 'Unassigned [0x25BA]',
	0x25BB : 'Unassigned [0x25BB]',
	0x25BC : 'Unassigned [0x25BC]',
	0x25BD : 'Unassigned [0x25BD]',
	0x25BE : 'Unassigned [0x25BE]',
	0x25BF : 'Unassigned [0x25BF]',
	0x25C0 : 'Unassigned [0x25C0]',
	0x25C1 : 'Unassigned [0x25C1]',
	0x25C2 : 'Unassigned [0x25C2]',
	0x25C3 : 'Unassigned [0x25C3]',
	0x25C4 : 'Unassigned [0x25C4]',
	0x25C5 : 'Unassigned [0x25C5]',
	0x25C6 : 'Unassigned [0x25C6]',
	0x25C7 : 'Unassigned [0x25C7]',
	0x25C8 : 'Unassigned [0x25C8]',
	0x25C9 : 'Unassigned [0x25C9]',
	0x25CA : 'Unassigned [0x25CA]',
	0x25CB : 'Unassigned [0x25CB]',
	0x25CC : 'Unassigned [0x25CC]',
	0x25CD : 'Unassigned [0x25CD]',
	0x25CE : 'Unassigned [0x25CE]',
	0x25CF : 'Unassigned [0x25CF]',
	0x25D0 : 'Unassigned [0x25D0]',
	0x25D1 : 'Unassigned [0x25D1]',
	0x25D2 : 'Unassigned [0x25D2]',
	0x25D3 : 'Unassigned [0x25D3]',
	0x25D4 : 'Unassigned [0x25D4]',
	0x25D5 : 'Unassigned [0x25D5]',
	0x25D6 : 'Unassigned [0x25D6]',
	0x25D7 : 'Unassigned [0x25D7]',
	0x25D8 : 'Unassigned [0x25D8]',
	0x25D9 : 'Unassigned [0x25D9]',
	0x25DA : 'Unassigned [0x25DA]',
	0x25DB : 'Unassigned [0x25DB]',
	0x25DC : 'Unassigned [0x25DC]',
	0x25DD : 'Unassigned [0x25DD]',
	0x25DE : 'Unassigned [0x25DE]',
	0x25DF : 'Unassigned [0x25DF]',
	0x25E0 : 'Unassigned [0x25E0]',
	0x25E1 : 'Unassigned [0x25E1]',
	0x25E2 : 'Unassigned [0x25E2]',
	0x25E3 : 'Unassigned [0x25E3]',
	0x25E4 : 'Unassigned [0x25E4]',
	0x25E5 : 'Unassigned [0x25E5]',
	0x25E6 : 'Unassigned [0x25E6]',
	0x25E7 : 'Unassigned [0x25E7]',
	0x25E8 : 'Unassigned [0x25E8]',
	0x25E9 : 'Unassigned [0x25E9]',
	0x25EA : 'Unassigned [0x25EA]',
	0x25EB : 'Unassigned [0x25EB]',
	0x25EC : 'Unassigned [0x25EC]',
	0x25ED : 'Unassigned [0x25ED]',
	0x25EE : 'Unassigned [0x25EE]',
	0x25EF : 'Unassigned [0x25EF]',
	0x25F0 : 'Unassigned [0x25F0]',
	0x25F1 : 'Unassigned [0x25F1]',
	0x25F2 : 'Unassigned [0x25F2]',
	0x25F3 : 'Unassigned [0x25F3]',
	0x25F4 : 'Unassigned [0x25F4]',
	0x25F5 : 'Unassigned [0x25F5]',
	0x25F6 : 'Unassigned [0x25F6]',
	0x25F7 : 'Unassigned [0x25F7]',
	0x25F8 : 'Unassigned [0x25F8]',
	0x25F9 : 'Unassigned [0x25F9]',
	0x25FA : 'Unassigned [0x25FA]',
	0x25FB : 'Unassigned [0x25FB]',
	0x25FC : 'Unassigned [0x25FC]',
	0x25FD : 'Unassigned [0x25FD]',
	0x25FE : 'Unassigned [0x25FE]',
	0x25FF : 'Unassigned [0x25FF]',
	0x2600 : 'Unassigned [0x2600]',
	0x2601 : 'Unassigned [0x2601]',
	0x2602 : 'Unassigned [0x2602]',
	0x2603 : 'Unassigned [0x2603]',
	0x2604 : 'Unassigned [0x2604]',
	0x2605 : 'Unassigned [0x2605]',
	0x2606 : 'Unassigned [0x2606]',
	0x2607 : 'Unassigned [0x2607]',
	0x2608 : 'Unassigned [0x2608]',
	0x2609 : 'Unassigned [0x2609]',
	0x260A : 'Unassigned [0x260A]',
	0x260B : 'Unassigned [0x260B]',
	0x260C : 'Unassigned [0x260C]',
	0x260D : 'Unassigned [0x260D]',
	0x260E : 'Unassigned [0x260E]',
	0x260F : 'Unassigned [0x260F]',
	0x2610 : 'Unassigned [0x2610]',
	0x2611 : 'Unassigned [0x2611]',
	0x2612 : 'Unassigned [0x2612]',
	0x2613 : 'Unassigned [0x2613]',
	0x2614 : 'Unassigned [0x2614]',
	0x2615 : 'Unassigned [0x2615]',
	0x2616 : 'Unassigned [0x2616]',
	0x2617 : 'Unassigned [0x2617]',
	0x2618 : 'Unassigned [0x2618]',
	0x2619 : 'Unassigned [0x2619]',
	0x261A : 'Unassigned [0x261A]',
	0x261B : 'Unassigned [0x261B]',
	0x261C : 'Unassigned [0x261C]',
	0x261D : 'Unassigned [0x261D]',
	0x261E : 'Unassigned [0x261E]',
	0x261F : 'Unassigned [0x261F]',
	0x2620 : 'Unassigned [0x2620]',
	0x2621 : 'Unassigned [0x2621]',
	0x2622 : 'Unassigned [0x2622]',
	0x2623 : 'Unassigned [0x2623]',
	0x2624 : 'Unassigned [0x2624]',
	0x2625 : 'Unassigned [0x2625]',
	0x2626 : 'Unassigned [0x2626]',
	0x2627 : 'Unassigned [0x2627]',
	0x2628 : 'Unassigned [0x2628]',
	0x2629 : 'Unassigned [0x2629]',
	0x262A : 'Unassigned [0x262A]',
	0x262B : 'Unassigned [0x262B]',
	0x262C : 'Unassigned [0x262C]',
	0x262D : 'Unassigned [0x262D]',
	0x262E : 'Unassigned [0x262E]',
	0x262F : 'Unassigned [0x262F]',
	0x2630 : 'Unassigned [0x2630]',
	0x2631 : 'Unassigned [0x2631]',
	0x2632 : 'Unassigned [0x2632]',
	0x2633 : 'Unassigned [0x2633]',
	0x2634 : 'Unassigned [0x2634]',
	0x2635 : 'Unassigned [0x2635]',
	0x2636 : 'Unassigned [0x2636]',
	0x2637 : 'Unassigned [0x2637]',
	0x2638 : 'Unassigned [0x2638]',
	0x2639 : 'Unassigned [0x2639]',
	0x263A : 'Unassigned [0x263A]',
	0x263B : 'Unassigned [0x263B]',
	0x263C : 'Unassigned [0x263C]',
	0x263D : 'Unassigned [0x263D]',
	0x263E : 'Unassigned [0x263E]',
	0x263F : 'Unassigned [0x263F]',
	0x2640 : 'Unassigned [0x2640]',
	0x2641 : 'Unassigned [0x2641]',
	0x2642 : 'Unassigned [0x2642]',
	0x2643 : 'Unassigned [0x2643]',
	0x2644 : 'Unassigned [0x2644]',
	0x2645 : 'Unassigned [0x2645]',
	0x2646 : 'Unassigned [0x2646]',
	0x2647 : 'Unassigned [0x2647]',
	0x2648 : 'Unassigned [0x2648]',
	0x2649 : 'Unassigned [0x2649]',
	0x264A : 'Unassigned [0x264A]',
	0x264B : 'Unassigned [0x264B]',
	0x264C : 'Unassigned [0x264C]',
	0x264D : 'Unassigned [0x264D]',
	0x264E : 'Unassigned [0x264E]',
	0x264F : 'Unassigned [0x264F]',
	0x2650 : 'Unassigned [0x2650]',
	0x2651 : 'Unassigned [0x2651]',
	0x2652 : 'Unassigned [0x2652]',
	0x2653 : 'Unassigned [0x2653]',
	0x2654 : 'Unassigned [0x2654]',
	0x2655 : 'Unassigned [0x2655]',
	0x2656 : 'Unassigned [0x2656]',
	0x2657 : 'Unassigned [0x2657]',
	0x2658 : 'Unassigned [0x2658]',
	0x2659 : 'Unassigned [0x2659]',
	0x265A : 'Unassigned [0x265A]',
	0x265B : 'Unassigned [0x265B]',
	0x265C : 'Unassigned [0x265C]',
	0x265D : 'Unassigned [0x265D]',
	0x265E : 'Unassigned [0x265E]',
	0x265F : 'Unassigned [0x265F]',
	0x2660 : 'Unassigned [0x2660]',
	0x2661 : 'Unassigned [0x2661]',
	0x2662 : 'Unassigned [0x2662]',
	0x2663 : 'Unassigned [0x2663]',
	0x2664 : 'Unassigned [0x2664]',
	0x2665 : 'Unassigned [0x2665]',
	0x2666 : 'Unassigned [0x2666]',
	0x2667 : 'Unassigned [0x2667]',
	0x2668 : 'Unassigned [0x2668]',
	0x2669 : 'Unassigned [0x2669]',
	0x266A : 'Unassigned [0x266A]',
	0x266B : 'Unassigned [0x266B]',
	0x266C : 'Unassigned [0x266C]',
	0x266D : 'Unassigned [0x266D]',
	0x266E : 'Unassigned [0x266E]',
	0x266F : 'Unassigned [0x266F]',
	0x2670 : 'Unassigned [0x2670]',
	0x2671 : 'Unassigned [0x2671]',
	0x2672 : 'Unassigned [0x2672]',
	0x2673 : 'Unassigned [0x2673]',
	0x2674 : 'Unassigned [0x2674]',
	0x2675 : 'Unassigned [0x2675]',
	0x2676 : 'Unassigned [0x2676]',
	0x2677 : 'Unassigned [0x2677]',
	0x2678 : 'Unassigned [0x2678]',
	0x2679 : 'Unassigned [0x2679]',
	0x267A : 'Unassigned [0x267A]',
	0x267B : 'Unassigned [0x267B]',
	0x267C : 'Unassigned [0x267C]',
	0x267D : 'Unassigned [0x267D]',
	0x267E : 'Unassigned [0x267E]',
	0x267F : 'Unassigned [0x267F]',
	0x2680 : 'Unassigned [0x2680]',
	0x2681 : 'Unassigned [0x2681]',
	0x2682 : 'Unassigned [0x2682]',
	0x2683 : 'Unassigned [0x2683]',
	0x2684 : 'Unassigned [0x2684]',
	0x2685 : 'Unassigned [0x2685]',
	0x2686 : 'Unassigned [0x2686]',
	0x2687 : 'Unassigned [0x2687]',
	0x2688 : 'Unassigned [0x2688]',
	0x2689 : 'Unassigned [0x2689]',
	0x268A : 'Unassigned [0x268A]',
	0x268B : 'Unassigned [0x268B]',
	0x268C : 'Unassigned [0x268C]',
	0x268D : 'Unassigned [0x268D]',
	0x268E : 'Unassigned [0x268E]',
	0x268F : 'Unassigned [0x268F]',
	0x2690 : 'Unassigned [0x2690]',
	0x2691 : 'Unassigned [0x2691]',
	0x2692 : 'Unassigned [0x2692]',
	0x2693 : 'Unassigned [0x2693]',
	0x2694 : 'Unassigned [0x2694]',
	0x2695 : 'Unassigned [0x2695]',
	0x2696 : 'Unassigned [0x2696]',
	0x2697 : 'Unassigned [0x2697]',
	0x2698 : 'Unassigned [0x2698]',
	0x2699 : 'Unassigned [0x2699]',
	0x269A : 'Unassigned [0x269A]',
	0x269B : 'Unassigned [0x269B]',
	0x269C : 'Unassigned [0x269C]',
	0x269D : 'Unassigned [0x269D]',
	0x269E : 'Unassigned [0x269E]',
	0x269F : 'Unassigned [0x269F]',
	0x26A0 : 'Unassigned [0x26A0]',
	0x26A1 : 'Unassigned [0x26A1]',
	0x26A2 : 'Unassigned [0x26A2]',
	0x26A3 : 'Unassigned [0x26A3]',
	0x26A4 : 'Unassigned [0x26A4]',
	0x26A5 : 'Unassigned [0x26A5]',
	0x26A6 : 'Unassigned [0x26A6]',
	0x26A7 : 'Unassigned [0x26A7]',
	0x26A8 : 'Unassigned [0x26A8]',
	0x26A9 : 'Unassigned [0x26A9]',
	0x26AA : 'Unassigned [0x26AA]',
	0x26AB : 'Unassigned [0x26AB]',
	0x26AC : 'Unassigned [0x26AC]',
	0x26AD : 'Unassigned [0x26AD]',
	0x26AE : 'Unassigned [0x26AE]',
	0x26AF : 'Unassigned [0x26AF]',
	0x26B0 : 'Unassigned [0x26B0]',
	0x26B1 : 'Unassigned [0x26B1]',
	0x26B2 : 'Unassigned [0x26B2]',
	0x26B3 : 'Unassigned [0x26B3]',
	0x26B4 : 'Unassigned [0x26B4]',
	0x26B5 : 'Unassigned [0x26B5]',
	0x26B6 : 'Unassigned [0x26B6]',
	0x26B7 : 'Unassigned [0x26B7]',
	0x26B8 : 'Unassigned [0x26B8]',
	0x26B9 : 'Unassigned [0x26B9]',
	0x26BA : 'Unassigned [0x26BA]',
	0x26BB : 'Unassigned [0x26BB]',
	0x26BC : 'Unassigned [0x26BC]',
	0x26BD : 'Unassigned [0x26BD]',
	0x26BE : 'Unassigned [0x26BE]',
	0x26BF : 'Unassigned [0x26BF]',
	0x26C0 : 'Unassigned [0x26C0]',
	0x26C1 : 'Unassigned [0x26C1]',
	0x26C2 : 'Unassigned [0x26C2]',
	0x26C3 : 'Unassigned [0x26C3]',
	0x26C4 : 'Unassigned [0x26C4]',
	0x26C5 : 'Unassigned [0x26C5]',
	0x26C6 : 'Unassigned [0x26C6]',
	0x26C7 : 'Unassigned [0x26C7]',
	0x26C8 : 'Unassigned [0x26C8]',
	0x26C9 : 'Unassigned [0x26C9]',
	0x26CA : 'Unassigned [0x26CA]',
	0x26CB : 'Unassigned [0x26CB]',
	0x26CC : 'Unassigned [0x26CC]',
	0x26CD : 'Unassigned [0x26CD]',
	0x26CE : 'Unassigned [0x26CE]',
	0x26CF : 'Unassigned [0x26CF]',
	0x26D0 : 'Unassigned [0x26D0]',
	0x26D1 : 'Unassigned [0x26D1]',
	0x26D2 : 'Unassigned [0x26D2]',
	0x26D3 : 'Unassigned [0x26D3]',
	0x26D4 : 'Unassigned [0x26D4]',
	0x26D5 : 'Unassigned [0x26D5]',
	0x26D6 : 'Unassigned [0x26D6]',
	0x26D7 : 'Unassigned [0x26D7]',
	0x26D8 : 'Unassigned [0x26D8]',
	0x26D9 : 'Unassigned [0x26D9]',
	0x26DA : 'Unassigned [0x26DA]',
	0x26DB : 'Unassigned [0x26DB]',
	0x26DC : 'Unassigned [0x26DC]',
	0x26DD : 'Unassigned [0x26DD]',
	0x26DE : 'Unassigned [0x26DE]',
	0x26DF : 'Unassigned [0x26DF]',
	0x26E0 : 'Unassigned [0x26E0]',
	0x26E1 : 'Unassigned [0x26E1]',
	0x26E2 : 'Unassigned [0x26E2]',
	0x26E3 : 'Unassigned [0x26E3]',
	0x26E4 : 'Unassigned [0x26E4]',
	0x26E5 : 'Unassigned [0x26E5]',
	0x26E6 : 'Unassigned [0x26E6]',
	0x26E7 : 'Unassigned [0x26E7]',
	0x26E8 : 'Unassigned [0x26E8]',
	0x26E9 : 'Unassigned [0x26E9]',
	0x26EA : 'Unassigned [0x26EA]',
	0x26EB : 'Unassigned [0x26EB]',
	0x26EC : 'Unassigned [0x26EC]',
	0x26ED : 'Unassigned [0x26ED]',
	0x26EE : 'Unassigned [0x26EE]',
	0x26EF : 'Unassigned [0x26EF]',
	0x26F0 : 'Unassigned [0x26F0]',
	0x26F1 : 'Unassigned [0x26F1]',
	0x26F2 : 'Unassigned [0x26F2]',
	0x26F3 : 'Unassigned [0x26F3]',
	0x26F4 : 'Unassigned [0x26F4]',
	0x26F5 : 'Unassigned [0x26F5]',
	0x26F6 : 'Unassigned [0x26F6]',
	0x26F7 : 'Unassigned [0x26F7]',
	0x26F8 : 'Unassigned [0x26F8]',
	0x26F9 : 'Unassigned [0x26F9]',
	0x26FA : 'Unassigned [0x26FA]',
	0x26FB : 'Unassigned [0x26FB]',
	0x26FC : 'Unassigned [0x26FC]',
	0x26FD : 'Unassigned [0x26FD]',
	0x26FE : 'Unassigned [0x26FE]',
	0x26FF : 'Unassigned [0x26FF]',
	0x2700 : 'Unassigned [0x2700]',
	0x2701 : 'Unassigned [0x2701]',
	0x2702 : 'Unassigned [0x2702]',
	0x2703 : 'Unassigned [0x2703]',
	0x2704 : 'Unassigned [0x2704]',
	0x2705 : 'Unassigned [0x2705]',
	0x2706 : 'Unassigned [0x2706]',
	0x2707 : 'Unassigned [0x2707]',
	0x2708 : 'Unassigned [0x2708]',
	0x2709 : 'Unassigned [0x2709]',
	0x270A : 'Unassigned [0x270A]',
	0x270B : 'Unassigned [0x270B]',
	0x270C : 'Unassigned [0x270C]',
	0x270D : 'Unassigned [0x270D]',
	0x270E : 'Unassigned [0x270E]',
	0x270F : 'Unassigned [0x270F]',
	0x2710 : 'Unassigned [0x2710]',
	0x2711 : 'Unassigned [0x2711]',
	0x2712 : 'Unassigned [0x2712]',
	0x2713 : 'Unassigned [0x2713]',
	0x2714 : 'Unassigned [0x2714]',
	0x2715 : 'Unassigned [0x2715]',
	0x2716 : 'Unassigned [0x2716]',
	0x2717 : 'Unassigned [0x2717]',
	0x2718 : 'Unassigned [0x2718]',
	0x2719 : 'Unassigned [0x2719]',
	0x271A : 'Unassigned [0x271A]',
	0x271B : 'Unassigned [0x271B]',
	0x271C : 'Unassigned [0x271C]',
	0x271D : 'Unassigned [0x271D]',
	0x271E : 'Unassigned [0x271E]',
	0x271F : 'Unassigned [0x271F]',
	0x2720 : 'Unassigned [0x2720]',
	0x2721 : 'Unassigned [0x2721]',
	0x2722 : 'Unassigned [0x2722]',
	0x2723 : 'Unassigned [0x2723]',
	0x2724 : 'Unassigned [0x2724]',
	0x2725 : 'Unassigned [0x2725]',
	0x2726 : 'Unassigned [0x2726]',
	0x2727 : 'Unassigned [0x2727]',
	0x2728 : 'Unassigned [0x2728]',
	0x2729 : 'Unassigned [0x2729]',
	0x272A : 'Unassigned [0x272A]',
	0x272B : 'Unassigned [0x272B]',
	0x272C : 'Unassigned [0x272C]',
	0x272D : 'Unassigned [0x272D]',
	0x272E : 'Unassigned [0x272E]',
	0x272F : 'Unassigned [0x272F]',
	0x2730 : 'Unassigned [0x2730]',
	0x2731 : 'Unassigned [0x2731]',
	0x2732 : 'Unassigned [0x2732]',
	0x2733 : 'Unassigned [0x2733]',
	0x2734 : 'Unassigned [0x2734]',
	0x2735 : 'Unassigned [0x2735]',
	0x2736 : 'Unassigned [0x2736]',
	0x2737 : 'Unassigned [0x2737]',
	0x2738 : 'Unassigned [0x2738]',
	0x2739 : 'Unassigned [0x2739]',
	0x273A : 'Unassigned [0x273A]',
	0x273B : 'Unassigned [0x273B]',
	0x273C : 'Unassigned [0x273C]',
	0x273D : 'Unassigned [0x273D]',
	0x273E : 'Unassigned [0x273E]',
	0x273F : 'Unassigned [0x273F]',
	0x2740 : 'Unassigned [0x2740]',
	0x2741 : 'Unassigned [0x2741]',
	0x2742 : 'Unassigned [0x2742]',
	0x2743 : 'Unassigned [0x2743]',
	0x2744 : 'Unassigned [0x2744]',
	0x2745 : 'Unassigned [0x2745]',
	0x2746 : 'Unassigned [0x2746]',
	0x2747 : 'Unassigned [0x2747]',
	0x2748 : 'Unassigned [0x2748]',
	0x2749 : 'Unassigned [0x2749]',
	0x274A : 'Unassigned [0x274A]',
	0x274B : 'Unassigned [0x274B]',
	0x274C : 'Unassigned [0x274C]',
	0x274D : 'Unassigned [0x274D]',
	0x274E : 'Unassigned [0x274E]',
	0x274F : 'Unassigned [0x274F]',
	0x2750 : 'Unassigned [0x2750]',
	0x2751 : 'Unassigned [0x2751]',
	0x2752 : 'Unassigned [0x2752]',
	0x2753 : 'Unassigned [0x2753]',
	0x2754 : 'Unassigned [0x2754]',
	0x2755 : 'Unassigned [0x2755]',
	0x2756 : 'Unassigned [0x2756]',
	0x2757 : 'Unassigned [0x2757]',
	0x2758 : 'Unassigned [0x2758]',
	0x2759 : 'Unassigned [0x2759]',
	0x275A : 'Unassigned [0x275A]',
	0x275B : 'Unassigned [0x275B]',
	0x275C : 'Unassigned [0x275C]',
	0x275D : 'Unassigned [0x275D]',
	0x275E : 'Unassigned [0x275E]',
	0x275F : 'Unassigned [0x275F]',
	0x2760 : 'Unassigned [0x2760]',
	0x2761 : 'Unassigned [0x2761]',
	0x2762 : 'Unassigned [0x2762]',
	0x2763 : 'Unassigned [0x2763]',
	0x2764 : 'Unassigned [0x2764]',
	0x2765 : 'Unassigned [0x2765]',
	0x2766 : 'Unassigned [0x2766]',
	0x2767 : 'Unassigned [0x2767]',
	0x2768 : 'Unassigned [0x2768]',
	0x2769 : 'Unassigned [0x2769]',
	0x276A : 'Unassigned [0x276A]',
	0x276B : 'Unassigned [0x276B]',
	0x276C : 'Unassigned [0x276C]',
	0x276D : 'Unassigned [0x276D]',
	0x276E : 'Unassigned [0x276E]',
	0x276F : 'Unassigned [0x276F]',
	0x2770 : 'Unassigned [0x2770]',
	0x2771 : 'Unassigned [0x2771]',
	0x2772 : 'Unassigned [0x2772]',
	0x2773 : 'Unassigned [0x2773]',
	0x2774 : 'Unassigned [0x2774]',
	0x2775 : 'Unassigned [0x2775]',
	0x2776 : 'Unassigned [0x2776]',
	0x2777 : 'Unassigned [0x2777]',
	0x2778 : 'Unassigned [0x2778]',
	0x2779 : 'Unassigned [0x2779]',
	0x277A : 'Unassigned [0x277A]',
	0x277B : 'Unassigned [0x277B]',
	0x277C : 'Unassigned [0x277C]',
	0x277D : 'Unassigned [0x277D]',
	0x277E : 'Unassigned [0x277E]',
	0x277F : 'Unassigned [0x277F]',
	0x2780 : 'Unassigned [0x2780]',
	0x2781 : 'Unassigned [0x2781]',
	0x2782 : 'Unassigned [0x2782]',
	0x2783 : 'Unassigned [0x2783]',
	0x2784 : 'Unassigned [0x2784]',
	0x2785 : 'Unassigned [0x2785]',
	0x2786 : 'Unassigned [0x2786]',
	0x2787 : 'Unassigned [0x2787]',
	0x2788 : 'Unassigned [0x2788]',
	0x2789 : 'Unassigned [0x2789]',
	0x278A : 'Unassigned [0x278A]',
	0x278B : 'Unassigned [0x278B]',
	0x278C : 'Unassigned [0x278C]',
	0x278D : 'Unassigned [0x278D]',
	0x278E : 'Unassigned [0x278E]',
	0x278F : 'Unassigned [0x278F]',
	0x2790 : 'Unassigned [0x2790]',
	0x2791 : 'Unassigned [0x2791]',
	0x2792 : 'Unassigned [0x2792]',
	0x2793 : 'Unassigned [0x2793]',
	0x2794 : 'Unassigned [0x2794]',
	0x2795 : 'Unassigned [0x2795]',
	0x2796 : 'Unassigned [0x2796]',
	0x2797 : 'Unassigned [0x2797]',
	0x2798 : 'Unassigned [0x2798]',
	0x2799 : 'Unassigned [0x2799]',
	0x279A : 'Unassigned [0x279A]',
	0x279B : 'Unassigned [0x279B]',
	0x279C : 'Unassigned [0x279C]',
	0x279D : 'Unassigned [0x279D]',
	0x279E : 'Unassigned [0x279E]',
	0x279F : 'Unassigned [0x279F]',
	0x27A0 : 'Unassigned [0x27A0]',
	0x27A1 : 'Unassigned [0x27A1]',
	0x27A2 : 'Unassigned [0x27A2]',
	0x27A3 : 'Unassigned [0x27A3]',
	0x27A4 : 'Unassigned [0x27A4]',
	0x27A5 : 'Unassigned [0x27A5]',
	0x27A6 : 'Unassigned [0x27A6]',
	0x27A7 : 'Unassigned [0x27A7]',
	0x27A8 : 'Unassigned [0x27A8]',
	0x27A9 : 'Unassigned [0x27A9]',
	0x27AA : 'Unassigned [0x27AA]',
	0x27AB : 'Unassigned [0x27AB]',
	0x27AC : 'Unassigned [0x27AC]',
	0x27AD : 'Unassigned [0x27AD]',
	0x27AE : 'Unassigned [0x27AE]',
	0x27AF : 'Unassigned [0x27AF]',
	0x27B0 : 'Unassigned [0x27B0]',
	0x27B1 : 'Unassigned [0x27B1]',
	0x27B2 : 'Unassigned [0x27B2]',
	0x27B3 : 'Unassigned [0x27B3]',
	0x27B4 : 'Unassigned [0x27B4]',
	0x27B5 : 'Unassigned [0x27B5]',
	0x27B6 : 'Unassigned [0x27B6]',
	0x27B7 : 'Unassigned [0x27B7]',
	0x27B8 : 'Unassigned [0x27B8]',
	0x27B9 : 'Unassigned [0x27B9]',
	0x27BA : 'Unassigned [0x27BA]',
	0x27BB : 'Unassigned [0x27BB]',
	0x27BC : 'Unassigned [0x27BC]',
	0x27BD : 'Unassigned [0x27BD]',
	0x27BE : 'Unassigned [0x27BE]',
	0x27BF : 'Unassigned [0x27BF]',
	0x27C0 : 'Unassigned [0x27C0]',
	0x27C1 : 'Unassigned [0x27C1]',
	0x27C2 : 'Unassigned [0x27C2]',
	0x27C3 : 'Unassigned [0x27C3]',
	0x27C4 : 'Unassigned [0x27C4]',
	0x27C5 : 'Unassigned [0x27C5]',
	0x27C6 : 'Unassigned [0x27C6]',
	0x27C7 : 'Unassigned [0x27C7]',
	0x27C8 : 'Unassigned [0x27C8]',
	0x27C9 : 'Unassigned [0x27C9]',
	0x27CA : 'Unassigned [0x27CA]',
	0x27CB : 'Unassigned [0x27CB]',
	0x27CC : 'Unassigned [0x27CC]',
	0x27CD : 'Unassigned [0x27CD]',
	0x27CE : 'Unassigned [0x27CE]',
	0x27CF : 'Unassigned [0x27CF]',
	0x27D0 : 'Unassigned [0x27D0]',
	0x27D1 : 'Unassigned [0x27D1]',
	0x27D2 : 'Unassigned [0x27D2]',
	0x27D3 : 'Unassigned [0x27D3]',
	0x27D4 : 'Unassigned [0x27D4]',
	0x27D5 : 'Unassigned [0x27D5]',
	0x27D6 : 'Unassigned [0x27D6]',
	0x27D7 : 'Unassigned [0x27D7]',
	0x27D8 : 'Unassigned [0x27D8]',
	0x27D9 : 'Unassigned [0x27D9]',
	0x27DA : 'Unassigned [0x27DA]',
	0x27DB : 'Unassigned [0x27DB]',
	0x27DC : 'Unassigned [0x27DC]',
	0x27DD : 'Unassigned [0x27DD]',
	0x27DE : 'Unassigned [0x27DE]',
	0x27DF : 'Unassigned [0x27DF]',
	0x27E0 : 'Unassigned [0x27E0]',
	0x27E1 : 'Unassigned [0x27E1]',
	0x27E2 : 'Unassigned [0x27E2]',
	0x27E3 : 'Unassigned [0x27E3]',
	0x27E4 : 'Unassigned [0x27E4]',
	0x27E5 : 'Unassigned [0x27E5]',
	0x27E6 : 'Unassigned [0x27E6]',
	0x27E7 : 'Unassigned [0x27E7]',
	0x27E8 : 'Unassigned [0x27E8]',
	0x27E9 : 'Unassigned [0x27E9]',
	0x27EA : 'Unassigned [0x27EA]',
	0x27EB : 'Unassigned [0x27EB]',
	0x27EC : 'Unassigned [0x27EC]',
	0x27ED : 'Unassigned [0x27ED]',
	0x27EE : 'Unassigned [0x27EE]',
	0x27EF : 'Unassigned [0x27EF]',
	0x27F0 : 'Unassigned [0x27F0]',
	0x27F1 : 'Unassigned [0x27F1]',
	0x27F2 : 'Unassigned [0x27F2]',
	0x27F3 : 'Unassigned [0x27F3]',
	0x27F4 : 'Unassigned [0x27F4]',
	0x27F5 : 'Unassigned [0x27F5]',
	0x27F6 : 'Unassigned [0x27F6]',
	0x27F7 : 'Unassigned [0x27F7]',
	0x27F8 : 'Unassigned [0x27F8]',
	0x27F9 : 'Unassigned [0x27F9]',
	0x27FA : 'Unassigned [0x27FA]',
	0x27FB : 'Unassigned [0x27FB]',
	0x27FC : 'Unassigned [0x27FC]',
	0x27FD : 'Unassigned [0x27FD]',
	0x27FE : 'Unassigned [0x27FE]',
	0x27FF : 'Unassigned [0x27FF]',
	0x2800 : 'Unassigned [0x2800]',
	0x2801 : 'Unassigned [0x2801]',
	0x2802 : 'Unassigned [0x2802]',
	0x2803 : 'Unassigned [0x2803]',
	0x2804 : 'Unassigned [0x2804]',
	0x2805 : 'Unassigned [0x2805]',
	0x2806 : 'Unassigned [0x2806]',
	0x2807 : 'Unassigned [0x2807]',
	0x2808 : 'Unassigned [0x2808]',
	0x2809 : 'Unassigned [0x2809]',
	0x280A : 'Unassigned [0x280A]',
	0x280B : 'Unassigned [0x280B]',
	0x280C : 'Unassigned [0x280C]',
	0x280D : 'Unassigned [0x280D]',
	0x280E : 'Unassigned [0x280E]',
	0x280F : 'Unassigned [0x280F]',
	0x2810 : 'Unassigned [0x2810]',
	0x2811 : 'Unassigned [0x2811]',
	0x2812 : 'Unassigned [0x2812]',
	0x2813 : 'Unassigned [0x2813]',
	0x2814 : 'Unassigned [0x2814]',
	0x2815 : 'Unassigned [0x2815]',
	0x2816 : 'Unassigned [0x2816]',
	0x2817 : 'Unassigned [0x2817]',
	0x2818 : 'Unassigned [0x2818]',
	0x2819 : 'Unassigned [0x2819]',
	0x281A : 'Unassigned [0x281A]',
	0x281B : 'Unassigned [0x281B]',
	0x281C : 'Unassigned [0x281C]',
	0x281D : 'Unassigned [0x281D]',
	0x281E : 'Unassigned [0x281E]',
	0x281F : 'Unassigned [0x281F]',
	0x2820 : 'Unassigned [0x2820]',
	0x2821 : 'Unassigned [0x2821]',
	0x2822 : 'Unassigned [0x2822]',
	0x2823 : 'Unassigned [0x2823]',
	0x2824 : 'Unassigned [0x2824]',
	0x2825 : 'Unassigned [0x2825]',
	0x2826 : 'Unassigned [0x2826]',
	0x2827 : 'Unassigned [0x2827]',
	0x2828 : 'Unassigned [0x2828]',
	0x2829 : 'Unassigned [0x2829]',
	0x282A : 'Unassigned [0x282A]',
	0x282B : 'Unassigned [0x282B]',
	0x282C : 'Unassigned [0x282C]',
	0x282D : 'Unassigned [0x282D]',
	0x282E : 'Unassigned [0x282E]',
	0x282F : 'Unassigned [0x282F]',
	0x2830 : 'Unassigned [0x2830]',
	0x2831 : 'Unassigned [0x2831]',
	0x2832 : 'Unassigned [0x2832]',
	0x2833 : 'Unassigned [0x2833]',
	0x2834 : 'Unassigned [0x2834]',
	0x2835 : 'Unassigned [0x2835]',
	0x2836 : 'Unassigned [0x2836]',
	0x2837 : 'Unassigned [0x2837]',
	0x2838 : 'Unassigned [0x2838]',
	0x2839 : 'Unassigned [0x2839]',
	0x283A : 'Unassigned [0x283A]',
	0x283B : 'Unassigned [0x283B]',
	0x283C : 'Unassigned [0x283C]',
	0x283D : 'Unassigned [0x283D]',
	0x283E : 'Unassigned [0x283E]',
	0x283F : 'Unassigned [0x283F]',
	0x2840 : 'Unassigned [0x2840]',
	0x2841 : 'Unassigned [0x2841]',
	0x2842 : 'Unassigned [0x2842]',
	0x2843 : 'Unassigned [0x2843]',
	0x2844 : 'Unassigned [0x2844]',
	0x2845 : 'Unassigned [0x2845]',
	0x2846 : 'Unassigned [0x2846]',
	0x2847 : 'Unassigned [0x2847]',
	0x2848 : 'Unassigned [0x2848]',
	0x2849 : 'Unassigned [0x2849]',
	0x284A : 'Unassigned [0x284A]',
	0x284B : 'Unassigned [0x284B]',
	0x284C : 'Unassigned [0x284C]',
	0x284D : 'Unassigned [0x284D]',
	0x284E : 'Unassigned [0x284E]',
	0x284F : 'Unassigned [0x284F]',
	0x2850 : 'Unassigned [0x2850]',
	0x2851 : 'Unassigned [0x2851]',
	0x2852 : 'Unassigned [0x2852]',
	0x2853 : 'Unassigned [0x2853]',
	0x2854 : 'Unassigned [0x2854]',
	0x2855 : 'Unassigned [0x2855]',
	0x2856 : 'Unassigned [0x2856]',
	0x2857 : 'Unassigned [0x2857]',
	0x2858 : 'Unassigned [0x2858]',
	0x2859 : 'Unassigned [0x2859]',
	0x285A : 'Unassigned [0x285A]',
	0x285B : 'Unassigned [0x285B]',
	0x285C : 'Unassigned [0x285C]',
	0x285D : 'Unassigned [0x285D]',
	0x285E : 'Unassigned [0x285E]',
	0x285F : 'Unassigned [0x285F]',
	0x2860 : 'Unassigned [0x2860]',
	0x2861 : 'Unassigned [0x2861]',
	0x2862 : 'Unassigned [0x2862]',
	0x2863 : 'Unassigned [0x2863]',
	0x2864 : 'Unassigned [0x2864]',
	0x2865 : 'Unassigned [0x2865]',
	0x2866 : 'Unassigned [0x2866]',
	0x2867 : 'Unassigned [0x2867]',
	0x2868 : 'Unassigned [0x2868]',
	0x2869 : 'Unassigned [0x2869]',
	0x286A : 'Unassigned [0x286A]',
	0x286B : 'Unassigned [0x286B]',
	0x286C : 'Unassigned [0x286C]',
	0x286D : 'Unassigned [0x286D]',
	0x286E : 'Unassigned [0x286E]',
	0x286F : 'Unassigned [0x286F]',
	0x2870 : 'Unassigned [0x2870]',
	0x2871 : 'Unassigned [0x2871]',
	0x2872 : 'Unassigned [0x2872]',
	0x2873 : 'Unassigned [0x2873]',
	0x2874 : 'Unassigned [0x2874]',
	0x2875 : 'Unassigned [0x2875]',
	0x2876 : 'Unassigned [0x2876]',
	0x2877 : 'Unassigned [0x2877]',
	0x2878 : 'Unassigned [0x2878]',
	0x2879 : 'Unassigned [0x2879]',
	0x287A : 'Unassigned [0x287A]',
	0x287B : 'Unassigned [0x287B]',
	0x287C : 'Unassigned [0x287C]',
	0x287D : 'Unassigned [0x287D]',
	0x287E : 'Unassigned [0x287E]',
	0x287F : 'Unassigned [0x287F]',
	0x2880 : 'Unassigned [0x2880]',
	0x2881 : 'Unassigned [0x2881]',
	0x2882 : 'Unassigned [0x2882]',
	0x2883 : 'Unassigned [0x2883]',
	0x2884 : 'Unassigned [0x2884]',
	0x2885 : 'Unassigned [0x2885]',
	0x2886 : 'Unassigned [0x2886]',
	0x2887 : 'Unassigned [0x2887]',
	0x2888 : 'Unassigned [0x2888]',
	0x2889 : 'Unassigned [0x2889]',
	0x288A : 'Unassigned [0x288A]',
	0x288B : 'Unassigned [0x288B]',
	0x288C : 'Unassigned [0x288C]',
	0x288D : 'Unassigned [0x288D]',
	0x288E : 'Unassigned [0x288E]',
	0x288F : 'Unassigned [0x288F]',
	0x2890 : 'Unassigned [0x2890]',
	0x2891 : 'Unassigned [0x2891]',
	0x2892 : 'Unassigned [0x2892]',
	0x2893 : 'Unassigned [0x2893]',
	0x2894 : 'Unassigned [0x2894]',
	0x2895 : 'Unassigned [0x2895]',
	0x2896 : 'Unassigned [0x2896]',
	0x2897 : 'Unassigned [0x2897]',
	0x2898 : 'Unassigned [0x2898]',
	0x2899 : 'Unassigned [0x2899]',
	0x289A : 'Unassigned [0x289A]',
	0x289B : 'Unassigned [0x289B]',
	0x289C : 'Unassigned [0x289C]',
	0x289D : 'Unassigned [0x289D]',
	0x289E : 'Unassigned [0x289E]',
	0x289F : 'Unassigned [0x289F]',
	0x28A0 : 'Unassigned [0x28A0]',
	0x28A1 : 'Unassigned [0x28A1]',
	0x28A2 : 'Unassigned [0x28A2]',
	0x28A3 : 'Unassigned [0x28A3]',
	0x28A4 : 'Unassigned [0x28A4]',
	0x28A5 : 'Unassigned [0x28A5]',
	0x28A6 : 'Unassigned [0x28A6]',
	0x28A7 : 'Unassigned [0x28A7]',
	0x28A8 : 'Unassigned [0x28A8]',
	0x28A9 : 'Unassigned [0x28A9]',
	0x28AA : 'Unassigned [0x28AA]',
	0x28AB : 'Unassigned [0x28AB]',
	0x28AC : 'Unassigned [0x28AC]',
	0x28AD : 'Unassigned [0x28AD]',
	0x28AE : 'Unassigned [0x28AE]',
	0x28AF : 'Unassigned [0x28AF]',
	0x28B0 : 'Unassigned [0x28B0]',
	0x28B1 : 'Unassigned [0x28B1]',
	0x28B2 : 'Unassigned [0x28B2]',
	0x28B3 : 'Unassigned [0x28B3]',
	0x28B4 : 'Unassigned [0x28B4]',
	0x28B5 : 'Unassigned [0x28B5]',
	0x28B6 : 'Unassigned [0x28B6]',
	0x28B7 : 'Unassigned [0x28B7]',
	0x28B8 : 'Unassigned [0x28B8]',
	0x28B9 : 'Unassigned [0x28B9]',
	0x28BA : 'Unassigned [0x28BA]',
	0x28BB : 'Unassigned [0x28BB]',
	0x28BC : 'Unassigned [0x28BC]',
	0x28BD : 'Unassigned [0x28BD]',
	0x28BE : 'Unassigned [0x28BE]',
	0x28BF : 'Unassigned [0x28BF]',
	0x28C0 : 'Unassigned [0x28C0]',
	0x28C1 : 'Unassigned [0x28C1]',
	0x28C2 : 'Unassigned [0x28C2]',
	0x28C3 : 'Unassigned [0x28C3]',
	0x28C4 : 'Unassigned [0x28C4]',
	0x28C5 : 'Unassigned [0x28C5]',
	0x28C6 : 'Unassigned [0x28C6]',
	0x28C7 : 'Unassigned [0x28C7]',
	0x28C8 : 'Unassigned [0x28C8]',
	0x28C9 : 'Unassigned [0x28C9]',
	0x28CA : 'Unassigned [0x28CA]',
	0x28CB : 'Unassigned [0x28CB]',
	0x28CC : 'Unassigned [0x28CC]',
	0x28CD : 'Unassigned [0x28CD]',
	0x28CE : 'Unassigned [0x28CE]',
	0x28CF : 'Unassigned [0x28CF]',
	0x28D0 : 'Unassigned [0x28D0]',
	0x28D1 : 'Unassigned [0x28D1]',
	0x28D2 : 'Unassigned [0x28D2]',
	0x28D3 : 'Unassigned [0x28D3]',
	0x28D4 : 'Unassigned [0x28D4]',
	0x28D5 : 'Unassigned [0x28D5]',
	0x28D6 : 'Unassigned [0x28D6]',
	0x28D7 : 'Unassigned [0x28D7]',
	0x28D8 : 'Unassigned [0x28D8]',
	0x28D9 : 'Unassigned [0x28D9]',
	0x28DA : 'Unassigned [0x28DA]',
	0x28DB : 'Unassigned [0x28DB]',
	0x28DC : 'Unassigned [0x28DC]',
	0x28DD : 'Unassigned [0x28DD]',
	0x28DE : 'Unassigned [0x28DE]',
	0x28DF : 'Unassigned [0x28DF]',
	0x28E0 : 'Unassigned [0x28E0]',
	0x28E1 : 'Unassigned [0x28E1]',
	0x28E2 : 'Unassigned [0x28E2]',
	0x28E3 : 'Unassigned [0x28E3]',
	0x28E4 : 'Unassigned [0x28E4]',
	0x28E5 : 'Unassigned [0x28E5]',
	0x28E6 : 'Unassigned [0x28E6]',
	0x28E7 : 'Unassigned [0x28E7]',
	0x28E8 : 'Unassigned [0x28E8]',
	0x28E9 : 'Unassigned [0x28E9]',
	0x28EA : 'Unassigned [0x28EA]',
	0x28EB : 'Unassigned [0x28EB]',
	0x28EC : 'Unassigned [0x28EC]',
	0x28ED : 'Unassigned [0x28ED]',
	0x28EE : 'Unassigned [0x28EE]',
	0x28EF : 'Unassigned [0x28EF]',
	0x28F0 : 'Unassigned [0x28F0]',
	0x28F1 : 'Unassigned [0x28F1]',
	0x28F2 : 'Unassigned [0x28F2]',
	0x28F3 : 'Unassigned [0x28F3]',
	0x28F4 : 'Unassigned [0x28F4]',
	0x28F5 : 'Unassigned [0x28F5]',
	0x28F6 : 'Unassigned [0x28F6]',
	0x28F7 : 'Unassigned [0x28F7]',
	0x28F8 : 'Unassigned [0x28F8]',
	0x28F9 : 'Unassigned [0x28F9]',
	0x28FA : 'Unassigned [0x28FA]',
	0x28FB : 'Unassigned [0x28FB]',
	0x28FC : 'Unassigned [0x28FC]',
	0x28FD : 'Unassigned [0x28FD]',
	0x28FE : 'Unassigned [0x28FE]',
	0x28FF : 'Unassigned [0x28FF]',
	0x2900 : 'Unassigned [0x2900]',
	0x2901 : 'Unassigned [0x2901]',
	0x2902 : 'Unassigned [0x2902]',
	0x2903 : 'Unassigned [0x2903]',
	0x2904 : 'Unassigned [0x2904]',
	0x2905 : 'Unassigned [0x2905]',
	0x2906 : 'Unassigned [0x2906]',
	0x2907 : 'Unassigned [0x2907]',
	0x2908 : 'Unassigned [0x2908]',
	0x2909 : 'Unassigned [0x2909]',
	0x290A : 'Unassigned [0x290A]',
	0x290B : 'Unassigned [0x290B]',
	0x290C : 'Unassigned [0x290C]',
	0x290D : 'Unassigned [0x290D]',
	0x290E : 'Unassigned [0x290E]',
	0x290F : 'Unassigned [0x290F]',
	0x2910 : 'Unassigned [0x2910]',
	0x2911 : 'Unassigned [0x2911]',
	0x2912 : 'Unassigned [0x2912]',
	0x2913 : 'Unassigned [0x2913]',
	0x2914 : 'Unassigned [0x2914]',
	0x2915 : 'Unassigned [0x2915]',
	0x2916 : 'Unassigned [0x2916]',
	0x2917 : 'Unassigned [0x2917]',
	0x2918 : 'Unassigned [0x2918]',
	0x2919 : 'Unassigned [0x2919]',
	0x291A : 'Unassigned [0x291A]',
	0x291B : 'Unassigned [0x291B]',
	0x291C : 'Unassigned [0x291C]',
	0x291D : 'Unassigned [0x291D]',
	0x291E : 'Unassigned [0x291E]',
	0x291F : 'Unassigned [0x291F]',
	0x2920 : 'Unassigned [0x2920]',
	0x2921 : 'Unassigned [0x2921]',
	0x2922 : 'Unassigned [0x2922]',
	0x2923 : 'Unassigned [0x2923]',
	0x2924 : 'Unassigned [0x2924]',
	0x2925 : 'Unassigned [0x2925]',
	0x2926 : 'Unassigned [0x2926]',
	0x2927 : 'Unassigned [0x2927]',
	0x2928 : 'Unassigned [0x2928]',
	0x2929 : 'Unassigned [0x2929]',
	0x292A : 'Unassigned [0x292A]',
	0x292B : 'Unassigned [0x292B]',
	0x292C : 'Unassigned [0x292C]',
	0x292D : 'Unassigned [0x292D]',
	0x292E : 'Unassigned [0x292E]',
	0x292F : 'Unassigned [0x292F]',
	0x2930 : 'Unassigned [0x2930]',
	0x2931 : 'Unassigned [0x2931]',
	0x2932 : 'Unassigned [0x2932]',
	0x2933 : 'Unassigned [0x2933]',
	0x2934 : 'Unassigned [0x2934]',
	0x2935 : 'Unassigned [0x2935]',
	0x2936 : 'Unassigned [0x2936]',
	0x2937 : 'Unassigned [0x2937]',
	0x2938 : 'Unassigned [0x2938]',
	0x2939 : 'Unassigned [0x2939]',
	0x293A : 'Unassigned [0x293A]',
	0x293B : 'Unassigned [0x293B]',
	0x293C : 'Unassigned [0x293C]',
	0x293D : 'Unassigned [0x293D]',
	0x293E : 'Unassigned [0x293E]',
	0x293F : 'Unassigned [0x293F]',
	0x2940 : 'Unassigned [0x2940]',
	0x2941 : 'Unassigned [0x2941]',
	0x2942 : 'Unassigned [0x2942]',
	0x2943 : 'Unassigned [0x2943]',
	0x2944 : 'Unassigned [0x2944]',
	0x2945 : 'Unassigned [0x2945]',
	0x2946 : 'Unassigned [0x2946]',
	0x2947 : 'Unassigned [0x2947]',
	0x2948 : 'Unassigned [0x2948]',
	0x2949 : 'Unassigned [0x2949]',
	0x294A : 'Unassigned [0x294A]',
	0x294B : 'Unassigned [0x294B]',
	0x294C : 'Unassigned [0x294C]',
	0x294D : 'Unassigned [0x294D]',
	0x294E : 'Unassigned [0x294E]',
	0x294F : 'Unassigned [0x294F]',
	0x2950 : 'Unassigned [0x2950]',
	0x2951 : 'Unassigned [0x2951]',
	0x2952 : 'Unassigned [0x2952]',
	0x2953 : 'Unassigned [0x2953]',
	0x2954 : 'Unassigned [0x2954]',
	0x2955 : 'Unassigned [0x2955]',
	0x2956 : 'Unassigned [0x2956]',
	0x2957 : 'Unassigned [0x2957]',
	0x2958 : 'Unassigned [0x2958]',
	0x2959 : 'Unassigned [0x2959]',
	0x295A : 'Unassigned [0x295A]',
	0x295B : 'Unassigned [0x295B]',
	0x295C : 'Unassigned [0x295C]',
	0x295D : 'Unassigned [0x295D]',
	0x295E : 'Unassigned [0x295E]',
	0x295F : 'Unassigned [0x295F]',
	0x2960 : 'Unassigned [0x2960]',
	0x2961 : 'Unassigned [0x2961]',
	0x2962 : 'Unassigned [0x2962]',
	0x2963 : 'Unassigned [0x2963]',
	0x2964 : 'Unassigned [0x2964]',
	0x2965 : 'Unassigned [0x2965]',
	0x2966 : 'Unassigned [0x2966]',
	0x2967 : 'Unassigned [0x2967]',
	0x2968 : 'Unassigned [0x2968]',
	0x2969 : 'Unassigned [0x2969]',
	0x296A : 'Unassigned [0x296A]',
	0x296B : 'Unassigned [0x296B]',
	0x296C : 'Unassigned [0x296C]',
	0x296D : 'Unassigned [0x296D]',
	0x296E : 'Unassigned [0x296E]',
	0x296F : 'Unassigned [0x296F]',
	0x2970 : 'Unassigned [0x2970]',
	0x2971 : 'Unassigned [0x2971]',
	0x2972 : 'Unassigned [0x2972]',
	0x2973 : 'Unassigned [0x2973]',
	0x2974 : 'Unassigned [0x2974]',
	0x2975 : 'Unassigned [0x2975]',
	0x2976 : 'Unassigned [0x2976]',
	0x2977 : 'Unassigned [0x2977]',
	0x2978 : 'Unassigned [0x2978]',
	0x2979 : 'Unassigned [0x2979]',
	0x297A : 'Unassigned [0x297A]',
	0x297B : 'Unassigned [0x297B]',
	0x297C : 'Unassigned [0x297C]',
	0x297D : 'Unassigned [0x297D]',
	0x297E : 'Unassigned [0x297E]',
	0x297F : 'Unassigned [0x297F]',
	0x2980 : 'Unassigned [0x2980]',
	0x2981 : 'Unassigned [0x2981]',
	0x2982 : 'Unassigned [0x2982]',
	0x2983 : 'Unassigned [0x2983]',
	0x2984 : 'Unassigned [0x2984]',
	0x2985 : 'Unassigned [0x2985]',
	0x2986 : 'Unassigned [0x2986]',
	0x2987 : 'Unassigned [0x2987]',
	0x2988 : 'Unassigned [0x2988]',
	0x2989 : 'Unassigned [0x2989]',
	0x298A : 'Unassigned [0x298A]',
	0x298B : 'Unassigned [0x298B]',
	0x298C : 'Unassigned [0x298C]',
	0x298D : 'Unassigned [0x298D]',
	0x298E : 'Unassigned [0x298E]',
	0x298F : 'Unassigned [0x298F]',
	0x2990 : 'Unassigned [0x2990]',
	0x2991 : 'Unassigned [0x2991]',
	0x2992 : 'Unassigned [0x2992]',
	0x2993 : 'Unassigned [0x2993]',
	0x2994 : 'Unassigned [0x2994]',
	0x2995 : 'Unassigned [0x2995]',
	0x2996 : 'Unassigned [0x2996]',
	0x2997 : 'Unassigned [0x2997]',
	0x2998 : 'Unassigned [0x2998]',
	0x2999 : 'Unassigned [0x2999]',
	0x299A : 'Unassigned [0x299A]',
	0x299B : 'Unassigned [0x299B]',
	0x299C : 'Unassigned [0x299C]',
	0x299D : 'Unassigned [0x299D]',
	0x299E : 'Unassigned [0x299E]',
	0x299F : 'Unassigned [0x299F]',
	0x29A0 : 'Unassigned [0x29A0]',
	0x29A1 : 'Unassigned [0x29A1]',
	0x29A2 : 'Unassigned [0x29A2]',
	0x29A3 : 'Unassigned [0x29A3]',
	0x29A4 : 'Unassigned [0x29A4]',
	0x29A5 : 'Unassigned [0x29A5]',
	0x29A6 : 'Unassigned [0x29A6]',
	0x29A7 : 'Unassigned [0x29A7]',
	0x29A8 : 'Unassigned [0x29A8]',
	0x29A9 : 'Unassigned [0x29A9]',
	0x29AA : 'Unassigned [0x29AA]',
	0x29AB : 'Unassigned [0x29AB]',
	0x29AC : 'Unassigned [0x29AC]',
	0x29AD : 'Unassigned [0x29AD]',
	0x29AE : 'Unassigned [0x29AE]',
	0x29AF : 'Unassigned [0x29AF]',
	0x29B0 : 'Unassigned [0x29B0]',
	0x29B1 : 'Unassigned [0x29B1]',
	0x29B2 : 'Unassigned [0x29B2]',
	0x29B3 : 'Unassigned [0x29B3]',
	0x29B4 : 'Unassigned [0x29B4]',
	0x29B5 : 'Unassigned [0x29B5]',
	0x29B6 : 'Unassigned [0x29B6]',
	0x29B7 : 'Unassigned [0x29B7]',
	0x29B8 : 'Unassigned [0x29B8]',
	0x29B9 : 'Unassigned [0x29B9]',
	0x29BA : 'Unassigned [0x29BA]',
	0x29BB : 'Unassigned [0x29BB]',
	0x29BC : 'Unassigned [0x29BC]',
	0x29BD : 'Unassigned [0x29BD]',
	0x29BE : 'Unassigned [0x29BE]',
	0x29BF : 'Unassigned [0x29BF]',
	0x29C0 : 'Unassigned [0x29C0]',
	0x29C1 : 'Unassigned [0x29C1]',
	0x29C2 : 'Unassigned [0x29C2]',
	0x29C3 : 'Unassigned [0x29C3]',
	0x29C4 : 'Unassigned [0x29C4]',
	0x29C5 : 'Unassigned [0x29C5]',
	0x29C6 : 'Unassigned [0x29C6]',
	0x29C7 : 'Unassigned [0x29C7]',
	0x29C8 : 'Unassigned [0x29C8]',
	0x29C9 : 'Unassigned [0x29C9]',
	0x29CA : 'Unassigned [0x29CA]',
	0x29CB : 'Unassigned [0x29CB]',
	0x29CC : 'Unassigned [0x29CC]',
	0x29CD : 'Unassigned [0x29CD]',
	0x29CE : 'Unassigned [0x29CE]',
	0x29CF : 'Unassigned [0x29CF]',
	0x29D0 : 'Unassigned [0x29D0]',
	0x29D1 : 'Unassigned [0x29D1]',
	0x29D2 : 'Unassigned [0x29D2]',
	0x29D3 : 'Unassigned [0x29D3]',
	0x29D4 : 'Unassigned [0x29D4]',
	0x29D5 : 'Unassigned [0x29D5]',
	0x29D6 : 'Unassigned [0x29D6]',
	0x29D7 : 'Unassigned [0x29D7]',
	0x29D8 : 'Unassigned [0x29D8]',
	0x29D9 : 'Unassigned [0x29D9]',
	0x29DA : 'Unassigned [0x29DA]',
	0x29DB : 'Unassigned [0x29DB]',
	0x29DC : 'Unassigned [0x29DC]',
	0x29DD : 'Unassigned [0x29DD]',
	0x29DE : 'Unassigned [0x29DE]',
	0x29DF : 'Unassigned [0x29DF]',
	0x29E0 : 'Unassigned [0x29E0]',
	0x29E1 : 'Unassigned [0x29E1]',
	0x29E2 : 'Unassigned [0x29E2]',
	0x29E3 : 'Unassigned [0x29E3]',
	0x29E4 : 'Unassigned [0x29E4]',
	0x29E5 : 'Unassigned [0x29E5]',
	0x29E6 : 'Unassigned [0x29E6]',
	0x29E7 : 'Unassigned [0x29E7]',
	0x29E8 : 'Unassigned [0x29E8]',
	0x29E9 : 'Unassigned [0x29E9]',
	0x29EA : 'Unassigned [0x29EA]',
	0x29EB : 'Unassigned [0x29EB]',
	0x29EC : 'Unassigned [0x29EC]',
	0x29ED : 'Unassigned [0x29ED]',
	0x29EE : 'Unassigned [0x29EE]',
	0x29EF : 'Unassigned [0x29EF]',
	0x29F0 : 'Unassigned [0x29F0]',
	0x29F1 : 'Unassigned [0x29F1]',
	0x29F2 : 'Unassigned [0x29F2]',
	0x29F3 : 'Unassigned [0x29F3]',
	0x29F4 : 'Unassigned [0x29F4]',
	0x29F5 : 'Unassigned [0x29F5]',
	0x29F6 : 'Unassigned [0x29F6]',
	0x29F7 : 'Unassigned [0x29F7]',
	0x29F8 : 'Unassigned [0x29F8]',
	0x29F9 : 'Unassigned [0x29F9]',
	0x29FA : 'Unassigned [0x29FA]',
	0x29FB : 'Unassigned [0x29FB]',
	0x29FC : 'Unassigned [0x29FC]',
	0x29FD : 'Unassigned [0x29FD]',
	0x29FE : 'Unassigned [0x29FE]',
	0x29FF : 'Unassigned [0x29FF]',
	0x2A00 : 'Unassigned [0x2A00]',
	0x2A01 : 'Unassigned [0x2A01]',
	0x2A02 : 'Unassigned [0x2A02]',
	0x2A03 : 'Unassigned [0x2A03]',
	0x2A04 : 'Unassigned [0x2A04]',
	0x2A05 : 'Unassigned [0x2A05]',
	0x2A06 : 'Unassigned [0x2A06]',
	0x2A07 : 'Unassigned [0x2A07]',
	0x2A08 : 'Unassigned [0x2A08]',
	0x2A09 : 'Unassigned [0x2A09]',
	0x2A0A : 'Unassigned [0x2A0A]',
	0x2A0B : 'Unassigned [0x2A0B]',
	0x2A0C : 'Unassigned [0x2A0C]',
	0x2A0D : 'Unassigned [0x2A0D]',
	0x2A0E : 'Unassigned [0x2A0E]',
	0x2A0F : 'Unassigned [0x2A0F]',
	0x2A10 : 'Unassigned [0x2A10]',
	0x2A11 : 'Unassigned [0x2A11]',
	0x2A12 : 'Unassigned [0x2A12]',
	0x2A13 : 'Unassigned [0x2A13]',
	0x2A14 : 'Unassigned [0x2A14]',
	0x2A15 : 'Unassigned [0x2A15]',
	0x2A16 : 'Unassigned [0x2A16]',
	0x2A17 : 'Unassigned [0x2A17]',
	0x2A18 : 'Unassigned [0x2A18]',
	0x2A19 : 'Unassigned [0x2A19]',
	0x2A1A : 'Unassigned [0x2A1A]',
	0x2A1B : 'Unassigned [0x2A1B]',
	0x2A1C : 'Unassigned [0x2A1C]',
	0x2A1D : 'Unassigned [0x2A1D]',
	0x2A1E : 'Unassigned [0x2A1E]',
	0x2A1F : 'Unassigned [0x2A1F]',
	0x2A20 : 'Unassigned [0x2A20]',
	0x2A21 : 'Unassigned [0x2A21]',
	0x2A22 : 'Unassigned [0x2A22]',
	0x2A23 : 'Unassigned [0x2A23]',
	0x2A24 : 'Unassigned [0x2A24]',
	0x2A25 : 'Unassigned [0x2A25]',
	0x2A26 : 'Unassigned [0x2A26]',
	0x2A27 : 'Unassigned [0x2A27]',
	0x2A28 : 'Unassigned [0x2A28]',
	0x2A29 : 'Unassigned [0x2A29]',
	0x2A2A : 'Unassigned [0x2A2A]',
	0x2A2B : 'Unassigned [0x2A2B]',
	0x2A2C : 'Unassigned [0x2A2C]',
	0x2A2D : 'Unassigned [0x2A2D]',
	0x2A2E : 'Unassigned [0x2A2E]',
	0x2A2F : 'Unassigned [0x2A2F]',
	0x2A30 : 'Unassigned [0x2A30]',
	0x2A31 : 'Unassigned [0x2A31]',
	0x2A32 : 'Unassigned [0x2A32]',
	0x2A33 : 'Unassigned [0x2A33]',
	0x2A34 : 'Unassigned [0x2A34]',
	0x2A35 : 'Unassigned [0x2A35]',
	0x2A36 : 'Unassigned [0x2A36]',
	0x2A37 : 'Unassigned [0x2A37]',
	0x2A38 : 'Unassigned [0x2A38]',
	0x2A39 : 'Unassigned [0x2A39]',
	0x2A3A : 'Unassigned [0x2A3A]',
	0x2A3B : 'Unassigned [0x2A3B]',
	0x2A3C : 'Unassigned [0x2A3C]',
	0x2A3D : 'Unassigned [0x2A3D]',
	0x2A3E : 'Unassigned [0x2A3E]',
	0x2A3F : 'Unassigned [0x2A3F]',
	0x2A40 : 'Unassigned [0x2A40]',
	0x2A41 : 'Unassigned [0x2A41]',
	0x2A42 : 'Unassigned [0x2A42]',
	0x2A43 : 'Unassigned [0x2A43]',
	0x2A44 : 'Unassigned [0x2A44]',
	0x2A45 : 'Unassigned [0x2A45]',
	0x2A46 : 'Unassigned [0x2A46]',
	0x2A47 : 'Unassigned [0x2A47]',
	0x2A48 : 'Unassigned [0x2A48]',
	0x2A49 : 'Unassigned [0x2A49]',
	0x2A4A : 'Unassigned [0x2A4A]',
	0x2A4B : 'Unassigned [0x2A4B]',
	0x2A4C : 'Unassigned [0x2A4C]',
	0x2A4D : 'Unassigned [0x2A4D]',
	0x2A4E : 'Unassigned [0x2A4E]',
	0x2A4F : 'Unassigned [0x2A4F]',
	0x2A50 : 'Unassigned [0x2A50]',
	0x2A51 : 'Unassigned [0x2A51]',
	0x2A52 : 'Unassigned [0x2A52]',
	0x2A53 : 'Unassigned [0x2A53]',
	0x2A54 : 'Unassigned [0x2A54]',
	0x2A55 : 'Unassigned [0x2A55]',
	0x2A56 : 'Unassigned [0x2A56]',
	0x2A57 : 'Unassigned [0x2A57]',
	0x2A58 : 'Unassigned [0x2A58]',
	0x2A59 : 'Unassigned [0x2A59]',
	0x2A5A : 'Unassigned [0x2A5A]',
	0x2A5B : 'Unassigned [0x2A5B]',
	0x2A5C : 'Unassigned [0x2A5C]',
	0x2A5D : 'Unassigned [0x2A5D]',
	0x2A5E : 'Unassigned [0x2A5E]',
	0x2A5F : 'Unassigned [0x2A5F]',
	0x2A60 : 'Unassigned [0x2A60]',
	0x2A61 : 'Unassigned [0x2A61]',
	0x2A62 : 'Unassigned [0x2A62]',
	0x2A63 : 'Unassigned [0x2A63]',
	0x2A64 : 'Unassigned [0x2A64]',
	0x2A65 : 'Unassigned [0x2A65]',
	0x2A66 : 'Unassigned [0x2A66]',
	0x2A67 : 'Unassigned [0x2A67]',
	0x2A68 : 'Unassigned [0x2A68]',
	0x2A69 : 'Unassigned [0x2A69]',
	0x2A6A : 'Unassigned [0x2A6A]',
	0x2A6B : 'Unassigned [0x2A6B]',
	0x2A6C : 'Unassigned [0x2A6C]',
	0x2A6D : 'Unassigned [0x2A6D]',
	0x2A6E : 'Unassigned [0x2A6E]',
	0x2A6F : 'Unassigned [0x2A6F]',
	0x2A70 : 'Unassigned [0x2A70]',
	0x2A71 : 'Unassigned [0x2A71]',
	0x2A72 : 'Unassigned [0x2A72]',
	0x2A73 : 'Unassigned [0x2A73]',
	0x2A74 : 'Unassigned [0x2A74]',
	0x2A75 : 'Unassigned [0x2A75]',
	0x2A76 : 'Unassigned [0x2A76]',
	0x2A77 : 'Unassigned [0x2A77]',
	0x2A78 : 'Unassigned [0x2A78]',
	0x2A79 : 'Unassigned [0x2A79]',
	0x2A7A : 'Unassigned [0x2A7A]',
	0x2A7B : 'Unassigned [0x2A7B]',
	0x2A7C : 'Unassigned [0x2A7C]',
	0x2A7D : 'Unassigned [0x2A7D]',
	0x2A7E : 'Unassigned [0x2A7E]',
	0x2A7F : 'Unassigned [0x2A7F]',
	0x2A80 : 'Unassigned [0x2A80]',
	0x2A81 : 'Unassigned [0x2A81]',
	0x2A82 : 'Unassigned [0x2A82]',
	0x2A83 : 'Unassigned [0x2A83]',
	0x2A84 : 'Unassigned [0x2A84]',
	0x2A85 : 'Unassigned [0x2A85]',
	0x2A86 : 'Unassigned [0x2A86]',
	0x2A87 : 'Unassigned [0x2A87]',
	0x2A88 : 'Unassigned [0x2A88]',
	0x2A89 : 'Unassigned [0x2A89]',
	0x2A8A : 'Unassigned [0x2A8A]',
	0x2A8B : 'Unassigned [0x2A8B]',
	0x2A8C : 'Unassigned [0x2A8C]',
	0x2A8D : 'Unassigned [0x2A8D]',
	0x2A8E : 'Unassigned [0x2A8E]',
	0x2A8F : 'Unassigned [0x2A8F]',
	0x2A90 : 'Unassigned [0x2A90]',
	0x2A91 : 'Unassigned [0x2A91]',
	0x2A92 : 'Unassigned [0x2A92]',
	0x2A93 : 'Unassigned [0x2A93]',
	0x2A94 : 'Unassigned [0x2A94]',
	0x2A95 : 'Unassigned [0x2A95]',
	0x2A96 : 'Unassigned [0x2A96]',
	0x2A97 : 'Unassigned [0x2A97]',
	0x2A98 : 'Unassigned [0x2A98]',
	0x2A99 : 'Unassigned [0x2A99]',
	0x2A9A : 'Unassigned [0x2A9A]',
	0x2A9B : 'Unassigned [0x2A9B]',
	0x2A9C : 'Unassigned [0x2A9C]',
	0x2A9D : 'Unassigned [0x2A9D]',
	0x2A9E : 'Unassigned [0x2A9E]',
	0x2A9F : 'Unassigned [0x2A9F]',
	0x2AA0 : 'Unassigned [0x2AA0]',
	0x2AA1 : 'Unassigned [0x2AA1]',
	0x2AA2 : 'Unassigned [0x2AA2]',
	0x2AA3 : 'Unassigned [0x2AA3]',
	0x2AA4 : 'Unassigned [0x2AA4]',
	0x2AA5 : 'Unassigned [0x2AA5]',
	0x2AA6 : 'Unassigned [0x2AA6]',
	0x2AA7 : 'Unassigned [0x2AA7]',
	0x2AA8 : 'Unassigned [0x2AA8]',
	0x2AA9 : 'Unassigned [0x2AA9]',
	0x2AAA : 'Unassigned [0x2AAA]',
	0x2AAB : 'Unassigned [0x2AAB]',
	0x2AAC : 'Unassigned [0x2AAC]',
	0x2AAD : 'Unassigned [0x2AAD]',
	0x2AAE : 'Unassigned [0x2AAE]',
	0x2AAF : 'Unassigned [0x2AAF]',
	0x2AB0 : 'Unassigned [0x2AB0]',
	0x2AB1 : 'Unassigned [0x2AB1]',
	0x2AB2 : 'Unassigned [0x2AB2]',
	0x2AB3 : 'Unassigned [0x2AB3]',
	0x2AB4 : 'Unassigned [0x2AB4]',
	0x2AB5 : 'Unassigned [0x2AB5]',
	0x2AB6 : 'Unassigned [0x2AB6]',
	0x2AB7 : 'Unassigned [0x2AB7]',
	0x2AB8 : 'Unassigned [0x2AB8]',
	0x2AB9 : 'Unassigned [0x2AB9]',
	0x2ABA : 'Unassigned [0x2ABA]',
	0x2ABB : 'Unassigned [0x2ABB]',
	0x2ABC : 'Unassigned [0x2ABC]',
	0x2ABD : 'Unassigned [0x2ABD]',
	0x2ABE : 'Unassigned [0x2ABE]',
	0x2ABF : 'Unassigned [0x2ABF]',
	0x2AC0 : 'Unassigned [0x2AC0]',
	0x2AC1 : 'Unassigned [0x2AC1]',
	0x2AC2 : 'Unassigned [0x2AC2]',
	0x2AC3 : 'Unassigned [0x2AC3]',
	0x2AC4 : 'Unassigned [0x2AC4]',
	0x2AC5 : 'Unassigned [0x2AC5]',
	0x2AC6 : 'Unassigned [0x2AC6]',
	0x2AC7 : 'Unassigned [0x2AC7]',
	0x2AC8 : 'Unassigned [0x2AC8]',
	0x2AC9 : 'Unassigned [0x2AC9]',
	0x2ACA : 'Unassigned [0x2ACA]',
	0x2ACB : 'Unassigned [0x2ACB]',
	0x2ACC : 'Unassigned [0x2ACC]',
	0x2ACD : 'Unassigned [0x2ACD]',
	0x2ACE : 'Unassigned [0x2ACE]',
	0x2ACF : 'Unassigned [0x2ACF]',
	0x2AD0 : 'Unassigned [0x2AD0]',
	0x2AD1 : 'Unassigned [0x2AD1]',
	0x2AD2 : 'Unassigned [0x2AD2]',
	0x2AD3 : 'Unassigned [0x2AD3]',
	0x2AD4 : 'Unassigned [0x2AD4]',
	0x2AD5 : 'Unassigned [0x2AD5]',
	0x2AD6 : 'Unassigned [0x2AD6]',
	0x2AD7 : 'Unassigned [0x2AD7]',
	0x2AD8 : 'Unassigned [0x2AD8]',
	0x2AD9 : 'Unassigned [0x2AD9]',
	0x2ADA : 'Unassigned [0x2ADA]',
	0x2ADB : 'Unassigned [0x2ADB]',
	0x2ADC : 'Unassigned [0x2ADC]',
	0x2ADD : 'Unassigned [0x2ADD]',
	0x2ADE : 'Unassigned [0x2ADE]',
	0x2ADF : 'Unassigned [0x2ADF]',
	0x2AE0 : 'Unassigned [0x2AE0]',
	0x2AE1 : 'Unassigned [0x2AE1]',
	0x2AE2 : 'Unassigned [0x2AE2]',
	0x2AE3 : 'Unassigned [0x2AE3]',
	0x2AE4 : 'Unassigned [0x2AE4]',
	0x2AE5 : 'Unassigned [0x2AE5]',
	0x2AE6 : 'Unassigned [0x2AE6]',
	0x2AE7 : 'Unassigned [0x2AE7]',
	0x2AE8 : 'Unassigned [0x2AE8]',
	0x2AE9 : 'Unassigned [0x2AE9]',
	0x2AEA : 'Unassigned [0x2AEA]',
	0x2AEB : 'Unassigned [0x2AEB]',
	0x2AEC : 'Unassigned [0x2AEC]',
	0x2AED : 'Unassigned [0x2AED]',
	0x2AEE : 'Unassigned [0x2AEE]',
	0x2AEF : 'Unassigned [0x2AEF]',
	0x2AF0 : 'Unassigned [0x2AF0]',
	0x2AF1 : 'Unassigned [0x2AF1]',
	0x2AF2 : 'Unassigned [0x2AF2]',
	0x2AF3 : 'Unassigned [0x2AF3]',
	0x2AF4 : 'Unassigned [0x2AF4]',
	0x2AF5 : 'Unassigned [0x2AF5]',
	0x2AF6 : 'Unassigned [0x2AF6]',
	0x2AF7 : 'Unassigned [0x2AF7]',
	0x2AF8 : 'Unassigned [0x2AF8]',
	0x2AF9 : 'Unassigned [0x2AF9]',
	0x2AFA : 'Unassigned [0x2AFA]',
	0x2AFB : 'Unassigned [0x2AFB]',
	0x2AFC : 'Unassigned [0x2AFC]',
	0x2AFD : 'Unassigned [0x2AFD]',
	0x2AFE : 'Unassigned [0x2AFE]',
	0x2AFF : 'Unassigned [0x2AFF]',
	0x2B00 : 'Unassigned [0x2B00]',
	0x2B01 : 'Unassigned [0x2B01]',
	0x2B02 : 'Unassigned [0x2B02]',
	0x2B03 : 'Unassigned [0x2B03]',
	0x2B04 : 'Unassigned [0x2B04]',
	0x2B05 : 'Unassigned [0x2B05]',
	0x2B06 : 'Unassigned [0x2B06]',
	0x2B07 : 'Unassigned [0x2B07]',
	0x2B08 : 'Unassigned [0x2B08]',
	0x2B09 : 'Unassigned [0x2B09]',
	0x2B0A : 'Unassigned [0x2B0A]',
	0x2B0B : 'Unassigned [0x2B0B]',
	0x2B0C : 'Unassigned [0x2B0C]',
	0x2B0D : 'Unassigned [0x2B0D]',
	0x2B0E : 'Unassigned [0x2B0E]',
	0x2B0F : 'Unassigned [0x2B0F]',
	0x2B10 : 'Unassigned [0x2B10]',
	0x2B11 : 'Unassigned [0x2B11]',
	0x2B12 : 'Unassigned [0x2B12]',
	0x2B13 : 'Unassigned [0x2B13]',
	0x2B14 : 'Unassigned [0x2B14]',
	0x2B15 : 'Unassigned [0x2B15]',
	0x2B16 : 'Unassigned [0x2B16]',
	0x2B17 : 'Unassigned [0x2B17]',
	0x2B18 : 'Unassigned [0x2B18]',
	0x2B19 : 'Unassigned [0x2B19]',
	0x2B1A : 'Unassigned [0x2B1A]',
	0x2B1B : 'Unassigned [0x2B1B]',
	0x2B1C : 'Unassigned [0x2B1C]',
	0x2B1D : 'Unassigned [0x2B1D]',
	0x2B1E : 'Unassigned [0x2B1E]',
	0x2B1F : 'Unassigned [0x2B1F]',
	0x2B20 : 'Unassigned [0x2B20]',
	0x2B21 : 'Unassigned [0x2B21]',
	0x2B22 : 'Unassigned [0x2B22]',
	0x2B23 : 'Unassigned [0x2B23]',
	0x2B24 : 'Unassigned [0x2B24]',
	0x2B25 : 'Unassigned [0x2B25]',
	0x2B26 : 'Unassigned [0x2B26]',
	0x2B27 : 'Unassigned [0x2B27]',
	0x2B28 : 'Unassigned [0x2B28]',
	0x2B29 : 'Unassigned [0x2B29]',
	0x2B2A : 'Unassigned [0x2B2A]',
	0x2B2B : 'Unassigned [0x2B2B]',
	0x2B2C : 'Unassigned [0x2B2C]',
	0x2B2D : 'Unassigned [0x2B2D]',
	0x2B2E : 'Unassigned [0x2B2E]',
	0x2B2F : 'Unassigned [0x2B2F]',
	0x2B30 : 'Unassigned [0x2B30]',
	0x2B31 : 'Unassigned [0x2B31]',
	0x2B32 : 'Unassigned [0x2B32]',
	0x2B33 : 'Unassigned [0x2B33]',
	0x2B34 : 'Unassigned [0x2B34]',
	0x2B35 : 'Unassigned [0x2B35]',
	0x2B36 : 'Unassigned [0x2B36]',
	0x2B37 : 'Unassigned [0x2B37]',
	0x2B38 : 'Unassigned [0x2B38]',
	0x2B39 : 'Unassigned [0x2B39]',
	0x2B3A : 'Unassigned [0x2B3A]',
	0x2B3B : 'Unassigned [0x2B3B]',
	0x2B3C : 'Unassigned [0x2B3C]',
	0x2B3D : 'Unassigned [0x2B3D]',
	0x2B3E : 'Unassigned [0x2B3E]',
	0x2B3F : 'Unassigned [0x2B3F]',
	0x2B40 : 'Unassigned [0x2B40]',
	0x2B41 : 'Unassigned [0x2B41]',
	0x2B42 : 'Unassigned [0x2B42]',
	0x2B43 : 'Unassigned [0x2B43]',
	0x2B44 : 'Unassigned [0x2B44]',
	0x2B45 : 'Unassigned [0x2B45]',
	0x2B46 : 'Unassigned [0x2B46]',
	0x2B47 : 'Unassigned [0x2B47]',
	0x2B48 : 'Unassigned [0x2B48]',
	0x2B49 : 'Unassigned [0x2B49]',
	0x2B4A : 'Unassigned [0x2B4A]',
	0x2B4B : 'Unassigned [0x2B4B]',
	0x2B4C : 'Unassigned [0x2B4C]',
	0x2B4D : 'Unassigned [0x2B4D]',
	0x2B4E : 'Unassigned [0x2B4E]',
	0x2B4F : 'Unassigned [0x2B4F]',
	0x2B50 : 'Unassigned [0x2B50]',
	0x2B51 : 'Unassigned [0x2B51]',
	0x2B52 : 'Unassigned [0x2B52]',
	0x2B53 : 'Unassigned [0x2B53]',
	0x2B54 : 'Unassigned [0x2B54]',
	0x2B55 : 'Unassigned [0x2B55]',
	0x2B56 : 'Unassigned [0x2B56]',
	0x2B57 : 'Unassigned [0x2B57]',
	0x2B58 : 'Unassigned [0x2B58]',
	0x2B59 : 'Unassigned [0x2B59]',
	0x2B5A : 'Unassigned [0x2B5A]',
	0x2B5B : 'Unassigned [0x2B5B]',
	0x2B5C : 'Unassigned [0x2B5C]',
	0x2B5D : 'Unassigned [0x2B5D]',
	0x2B5E : 'Unassigned [0x2B5E]',
	0x2B5F : 'Unassigned [0x2B5F]',
	0x2B60 : 'Unassigned [0x2B60]',
	0x2B61 : 'Unassigned [0x2B61]',
	0x2B62 : 'Unassigned [0x2B62]',
	0x2B63 : 'Unassigned [0x2B63]',
	0x2B64 : 'Unassigned [0x2B64]',
	0x2B65 : 'Unassigned [0x2B65]',
	0x2B66 : 'Unassigned [0x2B66]',
	0x2B67 : 'Unassigned [0x2B67]',
	0x2B68 : 'Unassigned [0x2B68]',
	0x2B69 : 'Unassigned [0x2B69]',
	0x2B6A : 'Unassigned [0x2B6A]',
	0x2B6B : 'Unassigned [0x2B6B]',
	0x2B6C : 'Unassigned [0x2B6C]',
	0x2B6D : 'Unassigned [0x2B6D]',
	0x2B6E : 'Unassigned [0x2B6E]',
	0x2B6F : 'Unassigned [0x2B6F]',
	0x2B70 : 'Unassigned [0x2B70]',
	0x2B71 : 'Unassigned [0x2B71]',
	0x2B72 : 'Unassigned [0x2B72]',
	0x2B73 : 'Unassigned [0x2B73]',
	0x2B74 : 'Unassigned [0x2B74]',
	0x2B75 : 'Unassigned [0x2B75]',
	0x2B76 : 'Unassigned [0x2B76]',
	0x2B77 : 'Unassigned [0x2B77]',
	0x2B78 : 'Unassigned [0x2B78]',
	0x2B79 : 'Unassigned [0x2B79]',
	0x2B7A : 'Unassigned [0x2B7A]',
	0x2B7B : 'Unassigned [0x2B7B]',
	0x2B7C : 'Unassigned [0x2B7C]',
	0x2B7D : 'Unassigned [0x2B7D]',
	0x2B7E : 'Unassigned [0x2B7E]',
	0x2B7F : 'Unassigned [0x2B7F]',
	0x2B80 : 'Unassigned [0x2B80]',
	0x2B81 : 'Unassigned [0x2B81]',
	0x2B82 : 'Unassigned [0x2B82]',
	0x2B83 : 'Unassigned [0x2B83]',
	0x2B84 : 'Unassigned [0x2B84]',
	0x2B85 : 'Unassigned [0x2B85]',
	0x2B86 : 'Unassigned [0x2B86]',
	0x2B87 : 'Unassigned [0x2B87]',
	0x2B88 : 'Unassigned [0x2B88]',
	0x2B89 : 'Unassigned [0x2B89]',
	0x2B8A : 'Unassigned [0x2B8A]',
	0x2B8B : 'Unassigned [0x2B8B]',
	0x2B8C : 'Unassigned [0x2B8C]',
	0x2B8D : 'Unassigned [0x2B8D]',
	0x2B8E : 'Unassigned [0x2B8E]',
	0x2B8F : 'Unassigned [0x2B8F]',
	0x2B90 : 'Unassigned [0x2B90]',
	0x2B91 : 'Unassigned [0x2B91]',
	0x2B92 : 'Unassigned [0x2B92]',
	0x2B93 : 'Unassigned [0x2B93]',
	0x2B94 : 'Unassigned [0x2B94]',
	0x2B95 : 'Unassigned [0x2B95]',
	0x2B96 : 'Unassigned [0x2B96]',
	0x2B97 : 'Unassigned [0x2B97]',
	0x2B98 : 'Unassigned [0x2B98]',
	0x2B99 : 'Unassigned [0x2B99]',
	0x2B9A : 'Unassigned [0x2B9A]',
	0x2B9B : 'Unassigned [0x2B9B]',
	0x2B9C : 'Unassigned [0x2B9C]',
	0x2B9D : 'Unassigned [0x2B9D]',
	0x2B9E : 'Unassigned [0x2B9E]',
	0x2B9F : 'Unassigned [0x2B9F]',
	0x2BA0 : 'Unassigned [0x2BA0]',
	0x2BA1 : 'Unassigned [0x2BA1]',
	0x2BA2 : 'Unassigned [0x2BA2]',
	0x2BA3 : 'Unassigned [0x2BA3]',
	0x2BA4 : 'Unassigned [0x2BA4]',
	0x2BA5 : 'Unassigned [0x2BA5]',
	0x2BA6 : 'Unassigned [0x2BA6]',
	0x2BA7 : 'Unassigned [0x2BA7]',
	0x2BA8 : 'Unassigned [0x2BA8]',
	0x2BA9 : 'Unassigned [0x2BA9]',
	0x2BAA : 'Unassigned [0x2BAA]',
	0x2BAB : 'Unassigned [0x2BAB]',
	0x2BAC : 'Unassigned [0x2BAC]',
	0x2BAD : 'Unassigned [0x2BAD]',
	0x2BAE : 'Unassigned [0x2BAE]',
	0x2BAF : 'Unassigned [0x2BAF]',
	0x2BB0 : 'Unassigned [0x2BB0]',
	0x2BB1 : 'Unassigned [0x2BB1]',
	0x2BB2 : 'Unassigned [0x2BB2]',
	0x2BB3 : 'Unassigned [0x2BB3]',
	0x2BB4 : 'Unassigned [0x2BB4]',
	0x2BB5 : 'Unassigned [0x2BB5]',
	0x2BB6 : 'Unassigned [0x2BB6]',
	0x2BB7 : 'Unassigned [0x2BB7]',
	0x2BB8 : 'Unassigned [0x2BB8]',
	0x2BB9 : 'Unassigned [0x2BB9]',
	0x2BBA : 'Unassigned [0x2BBA]',
	0x2BBB : 'Unassigned [0x2BBB]',
	0x2BBC : 'Unassigned [0x2BBC]',
	0x2BBD : 'Unassigned [0x2BBD]',
	0x2BBE : 'Unassigned [0x2BBE]',
	0x2BBF : 'Unassigned [0x2BBF]',
	0x2BC0 : 'Unassigned [0x2BC0]',
	0x2BC1 : 'Unassigned [0x2BC1]',
	0x2BC2 : 'Unassigned [0x2BC2]',
	0x2BC3 : 'Unassigned [0x2BC3]',
	0x2BC4 : 'Unassigned [0x2BC4]',
	0x2BC5 : 'Unassigned [0x2BC5]',
	0x2BC6 : 'Unassigned [0x2BC6]',
	0x2BC7 : 'Unassigned [0x2BC7]',
	0x2BC8 : 'Unassigned [0x2BC8]',
	0x2BC9 : 'Unassigned [0x2BC9]',
	0x2BCA : 'Unassigned [0x2BCA]',
	0x2BCB : 'Unassigned [0x2BCB]',
	0x2BCC : 'Unassigned [0x2BCC]',
	0x2BCD : 'Unassigned [0x2BCD]',
	0x2BCE : 'Unassigned [0x2BCE]',
	0x2BCF : 'Unassigned [0x2BCF]',
	0x2BD0 : 'Unassigned [0x2BD0]',
	0x2BD1 : 'Unassigned [0x2BD1]',
	0x2BD2 : 'Unassigned [0x2BD2]',
	0x2BD3 : 'Unassigned [0x2BD3]',
	0x2BD4 : 'Unassigned [0x2BD4]',
	0x2BD5 : 'Unassigned [0x2BD5]',
	0x2BD6 : 'Unassigned [0x2BD6]',
	0x2BD7 : 'Unassigned [0x2BD7]',
	0x2BD8 : 'Unassigned [0x2BD8]',
	0x2BD9 : 'Unassigned [0x2BD9]',
	0x2BDA : 'Unassigned [0x2BDA]',
	0x2BDB : 'Unassigned [0x2BDB]',
	0x2BDC : 'Unassigned [0x2BDC]',
	0x2BDD : 'Unassigned [0x2BDD]',
	0x2BDE : 'Unassigned [0x2BDE]',
	0x2BDF : 'Unassigned [0x2BDF]',
	0x2BE0 : 'Unassigned [0x2BE0]',
	0x2BE1 : 'Unassigned [0x2BE1]',
	0x2BE2 : 'Unassigned [0x2BE2]',
	0x2BE3 : 'Unassigned [0x2BE3]',
	0x2BE4 : 'Unassigned [0x2BE4]',
	0x2BE5 : 'Unassigned [0x2BE5]',
	0x2BE6 : 'Unassigned [0x2BE6]',
	0x2BE7 : 'Unassigned [0x2BE7]',
	0x2BE8 : 'Unassigned [0x2BE8]',
	0x2BE9 : 'Unassigned [0x2BE9]',
	0x2BEA : 'Unassigned [0x2BEA]',
	0x2BEB : 'Unassigned [0x2BEB]',
	0x2BEC : 'Unassigned [0x2BEC]',
	0x2BED : 'Unassigned [0x2BED]',
	0x2BEE : 'Unassigned [0x2BEE]',
	0x2BEF : 'Unassigned [0x2BEF]',
	0x2BF0 : 'Unassigned [0x2BF0]',
	0x2BF1 : 'Unassigned [0x2BF1]',
	0x2BF2 : 'Unassigned [0x2BF2]',
	0x2BF3 : 'Unassigned [0x2BF3]',
	0x2BF4 : 'Unassigned [0x2BF4]',
	0x2BF5 : 'Unassigned [0x2BF5]',
	0x2BF6 : 'Unassigned [0x2BF6]',
	0x2BF7 : 'Unassigned [0x2BF7]',
	0x2BF8 : 'Unassigned [0x2BF8]',
	0x2BF9 : 'Unassigned [0x2BF9]',
	0x2BFA : 'Unassigned [0x2BFA]',
	0x2BFB : 'Unassigned [0x2BFB]',
	0x2BFC : 'Unassigned [0x2BFC]',
	0x2BFD : 'Unassigned [0x2BFD]',
	0x2BFE : 'Unassigned [0x2BFE]',
	0x2BFF : 'Unassigned [0x2BFF]',
	0x2C00 : 'Unassigned [0x2C00]',
	0x2C01 : 'Unassigned [0x2C01]',
	0x2C02 : 'Unassigned [0x2C02]',
	0x2C03 : 'Unassigned [0x2C03]',
	0x2C04 : 'Unassigned [0x2C04]',
	0x2C05 : 'Unassigned [0x2C05]',
	0x2C06 : 'Unassigned [0x2C06]',
	0x2C07 : 'Unassigned [0x2C07]',
	0x2C08 : 'Unassigned [0x2C08]',
	0x2C09 : 'Unassigned [0x2C09]',
	0x2C0A : 'Unassigned [0x2C0A]',
	0x2C0B : 'Unassigned [0x2C0B]',
	0x2C0C : 'Unassigned [0x2C0C]',
	0x2C0D : 'Unassigned [0x2C0D]',
	0x2C0E : 'Unassigned [0x2C0E]',
	0x2C0F : 'Unassigned [0x2C0F]',
	0x2C10 : 'Unassigned [0x2C10]',
	0x2C11 : 'Unassigned [0x2C11]',
	0x2C12 : 'Unassigned [0x2C12]',
	0x2C13 : 'Unassigned [0x2C13]',
	0x2C14 : 'Unassigned [0x2C14]',
	0x2C15 : 'Unassigned [0x2C15]',
	0x2C16 : 'Unassigned [0x2C16]',
	0x2C17 : 'Unassigned [0x2C17]',
	0x2C18 : 'Unassigned [0x2C18]',
	0x2C19 : 'Unassigned [0x2C19]',
	0x2C1A : 'Unassigned [0x2C1A]',
	0x2C1B : 'Unassigned [0x2C1B]',
	0x2C1C : 'Unassigned [0x2C1C]',
	0x2C1D : 'Unassigned [0x2C1D]',
	0x2C1E : 'Unassigned [0x2C1E]',
	0x2C1F : 'Unassigned [0x2C1F]',
	0x2C20 : 'Unassigned [0x2C20]',
	0x2C21 : 'Unassigned [0x2C21]',
	0x2C22 : 'Unassigned [0x2C22]',
	0x2C23 : 'Unassigned [0x2C23]',
	0x2C24 : 'Unassigned [0x2C24]',
	0x2C25 : 'Unassigned [0x2C25]',
	0x2C26 : 'Unassigned [0x2C26]',
	0x2C27 : 'Unassigned [0x2C27]',
	0x2C28 : 'Unassigned [0x2C28]',
	0x2C29 : 'Unassigned [0x2C29]',
	0x2C2A : 'Unassigned [0x2C2A]',
	0x2C2B : 'Unassigned [0x2C2B]',
	0x2C2C : 'Unassigned [0x2C2C]',
	0x2C2D : 'Unassigned [0x2C2D]',
	0x2C2E : 'Unassigned [0x2C2E]',
	0x2C2F : 'Unassigned [0x2C2F]',
	0x2C30 : 'Unassigned [0x2C30]',
	0x2C31 : 'Unassigned [0x2C31]',
	0x2C32 : 'Unassigned [0x2C32]',
	0x2C33 : 'Unassigned [0x2C33]',
	0x2C34 : 'Unassigned [0x2C34]',
	0x2C35 : 'Unassigned [0x2C35]',
	0x2C36 : 'Unassigned [0x2C36]',
	0x2C37 : 'Unassigned [0x2C37]',
	0x2C38 : 'Unassigned [0x2C38]',
	0x2C39 : 'Unassigned [0x2C39]',
	0x2C3A : 'Unassigned [0x2C3A]',
	0x2C3B : 'Unassigned [0x2C3B]',
	0x2C3C : 'Unassigned [0x2C3C]',
	0x2C3D : 'Unassigned [0x2C3D]',
	0x2C3E : 'Unassigned [0x2C3E]',
	0x2C3F : 'Unassigned [0x2C3F]',
	0x2C40 : 'Unassigned [0x2C40]',
	0x2C41 : 'Unassigned [0x2C41]',
	0x2C42 : 'Unassigned [0x2C42]',
	0x2C43 : 'Unassigned [0x2C43]',
	0x2C44 : 'Unassigned [0x2C44]',
	0x2C45 : 'Unassigned [0x2C45]',
	0x2C46 : 'Unassigned [0x2C46]',
	0x2C47 : 'Unassigned [0x2C47]',
	0x2C48 : 'Unassigned [0x2C48]',
	0x2C49 : 'Unassigned [0x2C49]',
	0x2C4A : 'Unassigned [0x2C4A]',
	0x2C4B : 'Unassigned [0x2C4B]',
	0x2C4C : 'Unassigned [0x2C4C]',
	0x2C4D : 'Unassigned [0x2C4D]',
	0x2C4E : 'Unassigned [0x2C4E]',
	0x2C4F : 'Unassigned [0x2C4F]',
	0x2C50 : 'Unassigned [0x2C50]',
	0x2C51 : 'Unassigned [0x2C51]',
	0x2C52 : 'Unassigned [0x2C52]',
	0x2C53 : 'Unassigned [0x2C53]',
	0x2C54 : 'Unassigned [0x2C54]',
	0x2C55 : 'Unassigned [0x2C55]',
	0x2C56 : 'Unassigned [0x2C56]',
	0x2C57 : 'Unassigned [0x2C57]',
	0x2C58 : 'Unassigned [0x2C58]',
	0x2C59 : 'Unassigned [0x2C59]',
	0x2C5A : 'Unassigned [0x2C5A]',
	0x2C5B : 'Unassigned [0x2C5B]',
	0x2C5C : 'Unassigned [0x2C5C]',
	0x2C5D : 'Unassigned [0x2C5D]',
	0x2C5E : 'Unassigned [0x2C5E]',
	0x2C5F : 'Unassigned [0x2C5F]',
	0x2C60 : 'Unassigned [0x2C60]',
	0x2C61 : 'Unassigned [0x2C61]',
	0x2C62 : 'Unassigned [0x2C62]',
	0x2C63 : 'Unassigned [0x2C63]',
	0x2C64 : 'Unassigned [0x2C64]',
	0x2C65 : 'Unassigned [0x2C65]',
	0x2C66 : 'Unassigned [0x2C66]',
	0x2C67 : 'Unassigned [0x2C67]',
	0x2C68 : 'Unassigned [0x2C68]',
	0x2C69 : 'Unassigned [0x2C69]',
	0x2C6A : 'Unassigned [0x2C6A]',
	0x2C6B : 'Unassigned [0x2C6B]',
	0x2C6C : 'Unassigned [0x2C6C]',
	0x2C6D : 'Unassigned [0x2C6D]',
	0x2C6E : 'Unassigned [0x2C6E]',
	0x2C6F : 'Unassigned [0x2C6F]',
	0x2C70 : 'Unassigned [0x2C70]',
	0x2C71 : 'Unassigned [0x2C71]',
	0x2C72 : 'Unassigned [0x2C72]',
	0x2C73 : 'Unassigned [0x2C73]',
	0x2C74 : 'Unassigned [0x2C74]',
	0x2C75 : 'Unassigned [0x2C75]',
	0x2C76 : 'Unassigned [0x2C76]',
	0x2C77 : 'Unassigned [0x2C77]',
	0x2C78 : 'Unassigned [0x2C78]',
	0x2C79 : 'Unassigned [0x2C79]',
	0x2C7A : 'Unassigned [0x2C7A]',
	0x2C7B : 'Unassigned [0x2C7B]',
	0x2C7C : 'Unassigned [0x2C7C]',
	0x2C7D : 'Unassigned [0x2C7D]',
	0x2C7E : 'Unassigned [0x2C7E]',
	0x2C7F : 'Unassigned [0x2C7F]',
	0x2C80 : 'Unassigned [0x2C80]',
	0x2C81 : 'Unassigned [0x2C81]',
	0x2C82 : 'Unassigned [0x2C82]',
	0x2C83 : 'Unassigned [0x2C83]',
	0x2C84 : 'Unassigned [0x2C84]',
	0x2C85 : 'Unassigned [0x2C85]',
	0x2C86 : 'Unassigned [0x2C86]',
	0x2C87 : 'Unassigned [0x2C87]',
	0x2C88 : 'Unassigned [0x2C88]',
	0x2C89 : 'Unassigned [0x2C89]',
	0x2C8A : 'Unassigned [0x2C8A]',
	0x2C8B : 'Unassigned [0x2C8B]',
	0x2C8C : 'Unassigned [0x2C8C]',
	0x2C8D : 'Unassigned [0x2C8D]',
	0x2C8E : 'Unassigned [0x2C8E]',
	0x2C8F : 'Unassigned [0x2C8F]',
	0x2C90 : 'Unassigned [0x2C90]',
	0x2C91 : 'Unassigned [0x2C91]',
	0x2C92 : 'Unassigned [0x2C92]',
	0x2C93 : 'Unassigned [0x2C93]',
	0x2C94 : 'Unassigned [0x2C94]',
	0x2C95 : 'Unassigned [0x2C95]',
	0x2C96 : 'Unassigned [0x2C96]',
	0x2C97 : 'Unassigned [0x2C97]',
	0x2C98 : 'Unassigned [0x2C98]',
	0x2C99 : 'Unassigned [0x2C99]',
	0x2C9A : 'Unassigned [0x2C9A]',
	0x2C9B : 'Unassigned [0x2C9B]',
	0x2C9C : 'Unassigned [0x2C9C]',
	0x2C9D : 'Unassigned [0x2C9D]',
	0x2C9E : 'Unassigned [0x2C9E]',
	0x2C9F : 'Unassigned [0x2C9F]',
	0x2CA0 : 'Unassigned [0x2CA0]',
	0x2CA1 : 'Unassigned [0x2CA1]',
	0x2CA2 : 'Unassigned [0x2CA2]',
	0x2CA3 : 'Unassigned [0x2CA3]',
	0x2CA4 : 'Unassigned [0x2CA4]',
	0x2CA5 : 'Unassigned [0x2CA5]',
	0x2CA6 : 'Unassigned [0x2CA6]',
	0x2CA7 : 'Unassigned [0x2CA7]',
	0x2CA8 : 'Unassigned [0x2CA8]',
	0x2CA9 : 'Unassigned [0x2CA9]',
	0x2CAA : 'Unassigned [0x2CAA]',
	0x2CAB : 'Unassigned [0x2CAB]',
	0x2CAC : 'Unassigned [0x2CAC]',
	0x2CAD : 'Unassigned [0x2CAD]',
	0x2CAE : 'Unassigned [0x2CAE]',
	0x2CAF : 'Unassigned [0x2CAF]',
	0x2CB0 : 'Unassigned [0x2CB0]',
	0x2CB1 : 'Unassigned [0x2CB1]',
	0x2CB2 : 'Unassigned [0x2CB2]',
	0x2CB3 : 'Unassigned [0x2CB3]',
	0x2CB4 : 'Unassigned [0x2CB4]',
	0x2CB5 : 'Unassigned [0x2CB5]',
	0x2CB6 : 'Unassigned [0x2CB6]',
	0x2CB7 : 'Unassigned [0x2CB7]',
	0x2CB8 : 'Unassigned [0x2CB8]',
	0x2CB9 : 'Unassigned [0x2CB9]',
	0x2CBA : 'Unassigned [0x2CBA]',
	0x2CBB : 'Unassigned [0x2CBB]',
	0x2CBC : 'Unassigned [0x2CBC]',
	0x2CBD : 'Unassigned [0x2CBD]',
	0x2CBE : 'Unassigned [0x2CBE]',
	0x2CBF : 'Unassigned [0x2CBF]',
	0x2CC0 : 'Unassigned [0x2CC0]',
	0x2CC1 : 'Unassigned [0x2CC1]',
	0x2CC2 : 'Unassigned [0x2CC2]',
	0x2CC3 : 'Unassigned [0x2CC3]',
	0x2CC4 : 'Unassigned [0x2CC4]',
	0x2CC5 : 'Unassigned [0x2CC5]',
	0x2CC6 : 'Unassigned [0x2CC6]',
	0x2CC7 : 'Unassigned [0x2CC7]',
	0x2CC8 : 'Unassigned [0x2CC8]',
	0x2CC9 : 'Unassigned [0x2CC9]',
	0x2CCA : 'Unassigned [0x2CCA]',
	0x2CCB : 'Unassigned [0x2CCB]',
	0x2CCC : 'Unassigned [0x2CCC]',
	0x2CCD : 'Unassigned [0x2CCD]',
	0x2CCE : 'Unassigned [0x2CCE]',
	0x2CCF : 'Unassigned [0x2CCF]',
	0x2CD0 : 'Unassigned [0x2CD0]',
	0x2CD1 : 'Unassigned [0x2CD1]',
	0x2CD2 : 'Unassigned [0x2CD2]',
	0x2CD3 : 'Unassigned [0x2CD3]',
	0x2CD4 : 'Unassigned [0x2CD4]',
	0x2CD5 : 'Unassigned [0x2CD5]',
	0x2CD6 : 'Unassigned [0x2CD6]',
	0x2CD7 : 'Unassigned [0x2CD7]',
	0x2CD8 : 'Unassigned [0x2CD8]',
	0x2CD9 : 'Unassigned [0x2CD9]',
	0x2CDA : 'Unassigned [0x2CDA]',
	0x2CDB : 'Unassigned [0x2CDB]',
	0x2CDC : 'Unassigned [0x2CDC]',
	0x2CDD : 'Unassigned [0x2CDD]',
	0x2CDE : 'Unassigned [0x2CDE]',
	0x2CDF : 'Unassigned [0x2CDF]',
	0x2CE0 : 'Unassigned [0x2CE0]',
	0x2CE1 : 'Unassigned [0x2CE1]',
	0x2CE2 : 'Unassigned [0x2CE2]',
	0x2CE3 : 'Unassigned [0x2CE3]',
	0x2CE4 : 'Unassigned [0x2CE4]',
	0x2CE5 : 'Unassigned [0x2CE5]',
	0x2CE6 : 'Unassigned [0x2CE6]',
	0x2CE7 : 'Unassigned [0x2CE7]',
	0x2CE8 : 'Unassigned [0x2CE8]',
	0x2CE9 : 'Unassigned [0x2CE9]',
	0x2CEA : 'Unassigned [0x2CEA]',
	0x2CEB : 'Unassigned [0x2CEB]',
	0x2CEC : 'Unassigned [0x2CEC]',
	0x2CED : 'Unassigned [0x2CED]',
	0x2CEE : 'Unassigned [0x2CEE]',
	0x2CEF : 'Unassigned [0x2CEF]',
	0x2CF0 : 'Unassigned [0x2CF0]',
	0x2CF1 : 'Unassigned [0x2CF1]',
	0x2CF2 : 'Unassigned [0x2CF2]',
	0x2CF3 : 'Unassigned [0x2CF3]',
	0x2CF4 : 'Unassigned [0x2CF4]',
	0x2CF5 : 'Unassigned [0x2CF5]',
	0x2CF6 : 'Unassigned [0x2CF6]',
	0x2CF7 : 'Unassigned [0x2CF7]',
	0x2CF8 : 'Unassigned [0x2CF8]',
	0x2CF9 : 'Unassigned [0x2CF9]',
	0x2CFA : 'Unassigned [0x2CFA]',
	0x2CFB : 'Unassigned [0x2CFB]',
	0x2CFC : 'Unassigned [0x2CFC]',
	0x2CFD : 'Unassigned [0x2CFD]',
	0x2CFE : 'Unassigned [0x2CFE]',
	0x2CFF : 'Unassigned [0x2CFF]',
	0x2D00 : 'Unassigned [0x2D00]',
	0x2D01 : 'Unassigned [0x2D01]',
	0x2D02 : 'Unassigned [0x2D02]',
	0x2D03 : 'Unassigned [0x2D03]',
	0x2D04 : 'Unassigned [0x2D04]',
	0x2D05 : 'Unassigned [0x2D05]',
	0x2D06 : 'Unassigned [0x2D06]',
	0x2D07 : 'Unassigned [0x2D07]',
	0x2D08 : 'Unassigned [0x2D08]',
	0x2D09 : 'Unassigned [0x2D09]',
	0x2D0A : 'Unassigned [0x2D0A]',
	0x2D0B : 'Unassigned [0x2D0B]',
	0x2D0C : 'Unassigned [0x2D0C]',
	0x2D0D : 'Unassigned [0x2D0D]',
	0x2D0E : 'Unassigned [0x2D0E]',
	0x2D0F : 'Unassigned [0x2D0F]',
	0x2D10 : 'Unassigned [0x2D10]',
	0x2D11 : 'Unassigned [0x2D11]',
	0x2D12 : 'Unassigned [0x2D12]',
	0x2D13 : 'Unassigned [0x2D13]',
	0x2D14 : 'Unassigned [0x2D14]',
	0x2D15 : 'Unassigned [0x2D15]',
	0x2D16 : 'Unassigned [0x2D16]',
	0x2D17 : 'Unassigned [0x2D17]',
	0x2D18 : 'Unassigned [0x2D18]',
	0x2D19 : 'Unassigned [0x2D19]',
	0x2D1A : 'Unassigned [0x2D1A]',
	0x2D1B : 'Unassigned [0x2D1B]',
	0x2D1C : 'Unassigned [0x2D1C]',
	0x2D1D : 'Unassigned [0x2D1D]',
	0x2D1E : 'Unassigned [0x2D1E]',
	0x2D1F : 'Unassigned [0x2D1F]',
	0x2D20 : 'Unassigned [0x2D20]',
	0x2D21 : 'Unassigned [0x2D21]',
	0x2D22 : 'Unassigned [0x2D22]',
	0x2D23 : 'Unassigned [0x2D23]',
	0x2D24 : 'Unassigned [0x2D24]',
	0x2D25 : 'Unassigned [0x2D25]',
	0x2D26 : 'Unassigned [0x2D26]',
	0x2D27 : 'Unassigned [0x2D27]',
	0x2D28 : 'Unassigned [0x2D28]',
	0x2D29 : 'Unassigned [0x2D29]',
	0x2D2A : 'Unassigned [0x2D2A]',
	0x2D2B : 'Unassigned [0x2D2B]',
	0x2D2C : 'Unassigned [0x2D2C]',
	0x2D2D : 'Unassigned [0x2D2D]',
	0x2D2E : 'Unassigned [0x2D2E]',
	0x2D2F : 'Unassigned [0x2D2F]',
	0x2D30 : 'Unassigned [0x2D30]',
	0x2D31 : 'Unassigned [0x2D31]',
	0x2D32 : 'Unassigned [0x2D32]',
	0x2D33 : 'Unassigned [0x2D33]',
	0x2D34 : 'Unassigned [0x2D34]',
	0x2D35 : 'Unassigned [0x2D35]',
	0x2D36 : 'Unassigned [0x2D36]',
	0x2D37 : 'Unassigned [0x2D37]',
	0x2D38 : 'Unassigned [0x2D38]',
	0x2D39 : 'Unassigned [0x2D39]',
	0x2D3A : 'Unassigned [0x2D3A]',
	0x2D3B : 'Unassigned [0x2D3B]',
	0x2D3C : 'Unassigned [0x2D3C]',
	0x2D3D : 'Unassigned [0x2D3D]',
	0x2D3E : 'Unassigned [0x2D3E]',
	0x2D3F : 'Unassigned [0x2D3F]',
	0x2D40 : 'Unassigned [0x2D40]',
	0x2D41 : 'Unassigned [0x2D41]',
	0x2D42 : 'Unassigned [0x2D42]',
	0x2D43 : 'Unassigned [0x2D43]',
	0x2D44 : 'Unassigned [0x2D44]',
	0x2D45 : 'Unassigned [0x2D45]',
	0x2D46 : 'Unassigned [0x2D46]',
	0x2D47 : 'Unassigned [0x2D47]',
	0x2D48 : 'Unassigned [0x2D48]',
	0x2D49 : 'Unassigned [0x2D49]',
	0x2D4A : 'Unassigned [0x2D4A]',
	0x2D4B : 'Unassigned [0x2D4B]',
	0x2D4C : 'Unassigned [0x2D4C]',
	0x2D4D : 'Unassigned [0x2D4D]',
	0x2D4E : 'Unassigned [0x2D4E]',
	0x2D4F : 'Unassigned [0x2D4F]',
	0x2D50 : 'Unassigned [0x2D50]',
	0x2D51 : 'Unassigned [0x2D51]',
	0x2D52 : 'Unassigned [0x2D52]',
	0x2D53 : 'Unassigned [0x2D53]',
	0x2D54 : 'Unassigned [0x2D54]',
	0x2D55 : 'Unassigned [0x2D55]',
	0x2D56 : 'Unassigned [0x2D56]',
	0x2D57 : 'Unassigned [0x2D57]',
	0x2D58 : 'Unassigned [0x2D58]',
	0x2D59 : 'Unassigned [0x2D59]',
	0x2D5A : 'Unassigned [0x2D5A]',
	0x2D5B : 'Unassigned [0x2D5B]',
	0x2D5C : 'Unassigned [0x2D5C]',
	0x2D5D : 'Unassigned [0x2D5D]',
	0x2D5E : 'Unassigned [0x2D5E]',
	0x2D5F : 'Unassigned [0x2D5F]',
	0x2D60 : 'Unassigned [0x2D60]',
	0x2D61 : 'Unassigned [0x2D61]',
	0x2D62 : 'Unassigned [0x2D62]',
	0x2D63 : 'Unassigned [0x2D63]',
	0x2D64 : 'Unassigned [0x2D64]',
	0x2D65 : 'Unassigned [0x2D65]',
	0x2D66 : 'Unassigned [0x2D66]',
	0x2D67 : 'Unassigned [0x2D67]',
	0x2D68 : 'Unassigned [0x2D68]',
	0x2D69 : 'Unassigned [0x2D69]',
	0x2D6A : 'Unassigned [0x2D6A]',
	0x2D6B : 'Unassigned [0x2D6B]',
	0x2D6C : 'Unassigned [0x2D6C]',
	0x2D6D : 'Unassigned [0x2D6D]',
	0x2D6E : 'Unassigned [0x2D6E]',
	0x2D6F : 'Unassigned [0x2D6F]',
	0x2D70 : 'Unassigned [0x2D70]',
	0x2D71 : 'Unassigned [0x2D71]',
	0x2D72 : 'Unassigned [0x2D72]',
	0x2D73 : 'Unassigned [0x2D73]',
	0x2D74 : 'Unassigned [0x2D74]',
	0x2D75 : 'Unassigned [0x2D75]',
	0x2D76 : 'Unassigned [0x2D76]',
	0x2D77 : 'Unassigned [0x2D77]',
	0x2D78 : 'Unassigned [0x2D78]',
	0x2D79 : 'Unassigned [0x2D79]',
	0x2D7A : 'Unassigned [0x2D7A]',
	0x2D7B : 'Unassigned [0x2D7B]',
	0x2D7C : 'Unassigned [0x2D7C]',
	0x2D7D : 'Unassigned [0x2D7D]',
	0x2D7E : 'Unassigned [0x2D7E]',
	0x2D7F : 'Unassigned [0x2D7F]',
	0x2D80 : 'Unassigned [0x2D80]',
	0x2D81 : 'Unassigned [0x2D81]',
	0x2D82 : 'Unassigned [0x2D82]',
	0x2D83 : 'Unassigned [0x2D83]',
	0x2D84 : 'Unassigned [0x2D84]',
	0x2D85 : 'Unassigned [0x2D85]',
	0x2D86 : 'Unassigned [0x2D86]',
	0x2D87 : 'Unassigned [0x2D87]',
	0x2D88 : 'Unassigned [0x2D88]',
	0x2D89 : 'Unassigned [0x2D89]',
	0x2D8A : 'Unassigned [0x2D8A]',
	0x2D8B : 'Unassigned [0x2D8B]',
	0x2D8C : 'Unassigned [0x2D8C]',
	0x2D8D : 'Unassigned [0x2D8D]',
	0x2D8E : 'Unassigned [0x2D8E]',
	0x2D8F : 'Unassigned [0x2D8F]',
	0x2D90 : 'Unassigned [0x2D90]',
	0x2D91 : 'Unassigned [0x2D91]',
	0x2D92 : 'Unassigned [0x2D92]',
	0x2D93 : 'Unassigned [0x2D93]',
	0x2D94 : 'Unassigned [0x2D94]',
	0x2D95 : 'Unassigned [0x2D95]',
	0x2D96 : 'Unassigned [0x2D96]',
	0x2D97 : 'Unassigned [0x2D97]',
	0x2D98 : 'Unassigned [0x2D98]',
	0x2D99 : 'Unassigned [0x2D99]',
	0x2D9A : 'Unassigned [0x2D9A]',
	0x2D9B : 'Unassigned [0x2D9B]',
	0x2D9C : 'Unassigned [0x2D9C]',
	0x2D9D : 'Unassigned [0x2D9D]',
	0x2D9E : 'Unassigned [0x2D9E]',
	0x2D9F : 'Unassigned [0x2D9F]',
	0x2DA0 : 'Unassigned [0x2DA0]',
	0x2DA1 : 'Unassigned [0x2DA1]',
	0x2DA2 : 'Unassigned [0x2DA2]',
	0x2DA3 : 'Unassigned [0x2DA3]',
	0x2DA4 : 'Unassigned [0x2DA4]',
	0x2DA5 : 'Unassigned [0x2DA5]',
	0x2DA6 : 'Unassigned [0x2DA6]',
	0x2DA7 : 'Unassigned [0x2DA7]',
	0x2DA8 : 'Unassigned [0x2DA8]',
	0x2DA9 : 'Unassigned [0x2DA9]',
	0x2DAA : 'Unassigned [0x2DAA]',
	0x2DAB : 'Unassigned [0x2DAB]',
	0x2DAC : 'Unassigned [0x2DAC]',
	0x2DAD : 'Unassigned [0x2DAD]',
	0x2DAE : 'Unassigned [0x2DAE]',
	0x2DAF : 'Unassigned [0x2DAF]',
	0x2DB0 : 'Unassigned [0x2DB0]',
	0x2DB1 : 'Unassigned [0x2DB1]',
	0x2DB2 : 'Unassigned [0x2DB2]',
	0x2DB3 : 'Unassigned [0x2DB3]',
	0x2DB4 : 'Unassigned [0x2DB4]',
	0x2DB5 : 'Unassigned [0x2DB5]',
	0x2DB6 : 'Unassigned [0x2DB6]',
	0x2DB7 : 'Unassigned [0x2DB7]',
	0x2DB8 : 'Unassigned [0x2DB8]',
	0x2DB9 : 'Unassigned [0x2DB9]',
	0x2DBA : 'Unassigned [0x2DBA]',
	0x2DBB : 'Unassigned [0x2DBB]',
	0x2DBC : 'Unassigned [0x2DBC]',
	0x2DBD : 'Unassigned [0x2DBD]',
	0x2DBE : 'Unassigned [0x2DBE]',
	0x2DBF : 'Unassigned [0x2DBF]',
	0x2DC0 : 'Unassigned [0x2DC0]',
	0x2DC1 : 'Unassigned [0x2DC1]',
	0x2DC2 : 'Unassigned [0x2DC2]',
	0x2DC3 : 'Unassigned [0x2DC3]',
	0x2DC4 : 'Unassigned [0x2DC4]',
	0x2DC5 : 'Unassigned [0x2DC5]',
	0x2DC6 : 'Unassigned [0x2DC6]',
	0x2DC7 : 'Unassigned [0x2DC7]',
	0x2DC8 : 'Unassigned [0x2DC8]',
	0x2DC9 : 'Unassigned [0x2DC9]',
	0x2DCA : 'Unassigned [0x2DCA]',
	0x2DCB : 'Unassigned [0x2DCB]',
	0x2DCC : 'Unassigned [0x2DCC]',
	0x2DCD : 'Unassigned [0x2DCD]',
	0x2DCE : 'Unassigned [0x2DCE]',
	0x2DCF : 'Unassigned [0x2DCF]',
	0x2DD0 : 'Unassigned [0x2DD0]',
	0x2DD1 : 'Unassigned [0x2DD1]',
	0x2DD2 : 'Unassigned [0x2DD2]',
	0x2DD3 : 'Unassigned [0x2DD3]',
	0x2DD4 : 'Unassigned [0x2DD4]',
	0x2DD5 : 'Unassigned [0x2DD5]',
	0x2DD6 : 'Unassigned [0x2DD6]',
	0x2DD7 : 'Unassigned [0x2DD7]',
	0x2DD8 : 'Unassigned [0x2DD8]',
	0x2DD9 : 'Unassigned [0x2DD9]',
	0x2DDA : 'Unassigned [0x2DDA]',
	0x2DDB : 'Unassigned [0x2DDB]',
	0x2DDC : 'Unassigned [0x2DDC]',
	0x2DDD : 'Unassigned [0x2DDD]',
	0x2DDE : 'Unassigned [0x2DDE]',
	0x2DDF : 'Unassigned [0x2DDF]',
	0x2DE0 : 'Unassigned [0x2DE0]',
	0x2DE1 : 'Unassigned [0x2DE1]',
	0x2DE2 : 'Unassigned [0x2DE2]',
	0x2DE3 : 'Unassigned [0x2DE3]',
	0x2DE4 : 'Unassigned [0x2DE4]',
	0x2DE5 : 'Unassigned [0x2DE5]',
	0x2DE6 : 'Unassigned [0x2DE6]',
	0x2DE7 : 'Unassigned [0x2DE7]',
	0x2DE8 : 'Unassigned [0x2DE8]',
	0x2DE9 : 'Unassigned [0x2DE9]',
	0x2DEA : 'Unassigned [0x2DEA]',
	0x2DEB : 'Unassigned [0x2DEB]',
	0x2DEC : 'Unassigned [0x2DEC]',
	0x2DED : 'Unassigned [0x2DED]',
	0x2DEE : 'Unassigned [0x2DEE]',
	0x2DEF : 'Unassigned [0x2DEF]',
	0x2DF0 : 'Unassigned [0x2DF0]',
	0x2DF1 : 'Unassigned [0x2DF1]',
	0x2DF2 : 'Unassigned [0x2DF2]',
	0x2DF3 : 'Unassigned [0x2DF3]',
	0x2DF4 : 'Unassigned [0x2DF4]',
	0x2DF5 : 'Unassigned [0x2DF5]',
	0x2DF6 : 'Unassigned [0x2DF6]',
	0x2DF7 : 'Unassigned [0x2DF7]',
	0x2DF8 : 'Unassigned [0x2DF8]',
	0x2DF9 : 'Unassigned [0x2DF9]',
	0x2DFA : 'Unassigned [0x2DFA]',
	0x2DFB : 'Unassigned [0x2DFB]',
	0x2DFC : 'Unassigned [0x2DFC]',
	0x2DFD : 'Unassigned [0x2DFD]',
	0x2DFE : 'Unassigned [0x2DFE]',
	0x2DFF : 'Unassigned [0x2DFF]',
	0x2E00 : 'Unassigned [0x2E00]',
	0x2E01 : 'Unassigned [0x2E01]',
	0x2E02 : 'Unassigned [0x2E02]',
	0x2E03 : 'Unassigned [0x2E03]',
	0x2E04 : 'Unassigned [0x2E04]',
	0x2E05 : 'Unassigned [0x2E05]',
	0x2E06 : 'Unassigned [0x2E06]',
	0x2E07 : 'Unassigned [0x2E07]',
	0x2E08 : 'Unassigned [0x2E08]',
	0x2E09 : 'Unassigned [0x2E09]',
	0x2E0A : 'Unassigned [0x2E0A]',
	0x2E0B : 'Unassigned [0x2E0B]',
	0x2E0C : 'Unassigned [0x2E0C]',
	0x2E0D : 'Unassigned [0x2E0D]',
	0x2E0E : 'Unassigned [0x2E0E]',
	0x2E0F : 'Unassigned [0x2E0F]',
	0x2E10 : 'Unassigned [0x2E10]',
	0x2E11 : 'Unassigned [0x2E11]',
	0x2E12 : 'Unassigned [0x2E12]',
	0x2E13 : 'Unassigned [0x2E13]',
	0x2E14 : 'Unassigned [0x2E14]',
	0x2E15 : 'Unassigned [0x2E15]',
	0x2E16 : 'Unassigned [0x2E16]',
	0x2E17 : 'Unassigned [0x2E17]',
	0x2E18 : 'Unassigned [0x2E18]',
	0x2E19 : 'Unassigned [0x2E19]',
	0x2E1A : 'Unassigned [0x2E1A]',
	0x2E1B : 'Unassigned [0x2E1B]',
	0x2E1C : 'Unassigned [0x2E1C]',
	0x2E1D : 'Unassigned [0x2E1D]',
	0x2E1E : 'Unassigned [0x2E1E]',
	0x2E1F : 'Unassigned [0x2E1F]',
	0x2E20 : 'Unassigned [0x2E20]',
	0x2E21 : 'Unassigned [0x2E21]',
	0x2E22 : 'Unassigned [0x2E22]',
	0x2E23 : 'Unassigned [0x2E23]',
	0x2E24 : 'Unassigned [0x2E24]',
	0x2E25 : 'Unassigned [0x2E25]',
	0x2E26 : 'Unassigned [0x2E26]',
	0x2E27 : 'Unassigned [0x2E27]',
	0x2E28 : 'Unassigned [0x2E28]',
	0x2E29 : 'Unassigned [0x2E29]',
	0x2E2A : 'Unassigned [0x2E2A]',
	0x2E2B : 'Unassigned [0x2E2B]',
	0x2E2C : 'Unassigned [0x2E2C]',
	0x2E2D : 'Unassigned [0x2E2D]',
	0x2E2E : 'Unassigned [0x2E2E]',
	0x2E2F : 'Unassigned [0x2E2F]',
	0x2E30 : 'Unassigned [0x2E30]',
	0x2E31 : 'Unassigned [0x2E31]',
	0x2E32 : 'Unassigned [0x2E32]',
	0x2E33 : 'Unassigned [0x2E33]',
	0x2E34 : 'Unassigned [0x2E34]',
	0x2E35 : 'Unassigned [0x2E35]',
	0x2E36 : 'Unassigned [0x2E36]',
	0x2E37 : 'Unassigned [0x2E37]',
	0x2E38 : 'Unassigned [0x2E38]',
	0x2E39 : 'Unassigned [0x2E39]',
	0x2E3A : 'Unassigned [0x2E3A]',
	0x2E3B : 'Unassigned [0x2E3B]',
	0x2E3C : 'Unassigned [0x2E3C]',
	0x2E3D : 'Unassigned [0x2E3D]',
	0x2E3E : 'Unassigned [0x2E3E]',
	0x2E3F : 'Unassigned [0x2E3F]',
	0x2E40 : 'Unassigned [0x2E40]',
	0x2E41 : 'Unassigned [0x2E41]',
	0x2E42 : 'Unassigned [0x2E42]',
	0x2E43 : 'Unassigned [0x2E43]',
	0x2E44 : 'Unassigned [0x2E44]',
	0x2E45 : 'Unassigned [0x2E45]',
	0x2E46 : 'Unassigned [0x2E46]',
	0x2E47 : 'Unassigned [0x2E47]',
	0x2E48 : 'Unassigned [0x2E48]',
	0x2E49 : 'Unassigned [0x2E49]',
	0x2E4A : 'Unassigned [0x2E4A]',
	0x2E4B : 'Unassigned [0x2E4B]',
	0x2E4C : 'Unassigned [0x2E4C]',
	0x2E4D : 'Unassigned [0x2E4D]',
	0x2E4E : 'Unassigned [0x2E4E]',
	0x2E4F : 'Unassigned [0x2E4F]',
	0x2E50 : 'Unassigned [0x2E50]',
	0x2E51 : 'Unassigned [0x2E51]',
	0x2E52 : 'Unassigned [0x2E52]',
	0x2E53 : 'Unassigned [0x2E53]',
	0x2E54 : 'Unassigned [0x2E54]',
	0x2E55 : 'Unassigned [0x2E55]',
	0x2E56 : 'Unassigned [0x2E56]',
	0x2E57 : 'Unassigned [0x2E57]',
	0x2E58 : 'Unassigned [0x2E58]',
	0x2E59 : 'Unassigned [0x2E59]',
	0x2E5A : 'Unassigned [0x2E5A]',
	0x2E5B : 'Unassigned [0x2E5B]',
	0x2E5C : 'Unassigned [0x2E5C]',
	0x2E5D : 'Unassigned [0x2E5D]',
	0x2E5E : 'Unassigned [0x2E5E]',
	0x2E5F : 'Unassigned [0x2E5F]',
	0x2E60 : 'Unassigned [0x2E60]',
	0x2E61 : 'Unassigned [0x2E61]',
	0x2E62 : 'Unassigned [0x2E62]',
	0x2E63 : 'Unassigned [0x2E63]',
	0x2E64 : 'Unassigned [0x2E64]',
	0x2E65 : 'Unassigned [0x2E65]',
	0x2E66 : 'Unassigned [0x2E66]',
	0x2E67 : 'Unassigned [0x2E67]',
	0x2E68 : 'Unassigned [0x2E68]',
	0x2E69 : 'Unassigned [0x2E69]',
	0x2E6A : 'Unassigned [0x2E6A]',
	0x2E6B : 'Unassigned [0x2E6B]',
	0x2E6C : 'Unassigned [0x2E6C]',
	0x2E6D : 'Unassigned [0x2E6D]',
	0x2E6E : 'Unassigned [0x2E6E]',
	0x2E6F : 'Unassigned [0x2E6F]',
	0x2E70 : 'Unassigned [0x2E70]',
	0x2E71 : 'Unassigned [0x2E71]',
	0x2E72 : 'Unassigned [0x2E72]',
	0x2E73 : 'Unassigned [0x2E73]',
	0x2E74 : 'Unassigned [0x2E74]',
	0x2E75 : 'Unassigned [0x2E75]',
	0x2E76 : 'Unassigned [0x2E76]',
	0x2E77 : 'Unassigned [0x2E77]',
	0x2E78 : 'Unassigned [0x2E78]',
	0x2E79 : 'Unassigned [0x2E79]',
	0x2E7A : 'Unassigned [0x2E7A]',
	0x2E7B : 'Unassigned [0x2E7B]',
	0x2E7C : 'Unassigned [0x2E7C]',
	0x2E7D : 'Unassigned [0x2E7D]',
	0x2E7E : 'Unassigned [0x2E7E]',
	0x2E7F : 'Unassigned [0x2E7F]',
	0x2E80 : 'Unassigned [0x2E80]',
	0x2E81 : 'Unassigned [0x2E81]',
	0x2E82 : 'Unassigned [0x2E82]',
	0x2E83 : 'Unassigned [0x2E83]',
	0x2E84 : 'Unassigned [0x2E84]',
	0x2E85 : 'Unassigned [0x2E85]',
	0x2E86 : 'Unassigned [0x2E86]',
	0x2E87 : 'Unassigned [0x2E87]',
	0x2E88 : 'Unassigned [0x2E88]',
	0x2E89 : 'Unassigned [0x2E89]',
	0x2E8A : 'Unassigned [0x2E8A]',
	0x2E8B : 'Unassigned [0x2E8B]',
	0x2E8C : 'Unassigned [0x2E8C]',
	0x2E8D : 'Unassigned [0x2E8D]',
	0x2E8E : 'Unassigned [0x2E8E]',
	0x2E8F : 'Unassigned [0x2E8F]',
	0x2E90 : 'Unassigned [0x2E90]',
	0x2E91 : 'Unassigned [0x2E91]',
	0x2E92 : 'Unassigned [0x2E92]',
	0x2E93 : 'Unassigned [0x2E93]',
	0x2E94 : 'Unassigned [0x2E94]',
	0x2E95 : 'Unassigned [0x2E95]',
	0x2E96 : 'Unassigned [0x2E96]',
	0x2E97 : 'Unassigned [0x2E97]',
	0x2E98 : 'Unassigned [0x2E98]',
	0x2E99 : 'Unassigned [0x2E99]',
	0x2E9A : 'Unassigned [0x2E9A]',
	0x2E9B : 'Unassigned [0x2E9B]',
	0x2E9C : 'Unassigned [0x2E9C]',
	0x2E9D : 'Unassigned [0x2E9D]',
	0x2E9E : 'Unassigned [0x2E9E]',
	0x2E9F : 'Unassigned [0x2E9F]',
	0x2EA0 : 'Unassigned [0x2EA0]',
	0x2EA1 : 'Unassigned [0x2EA1]',
	0x2EA2 : 'Unassigned [0x2EA2]',
	0x2EA3 : 'Unassigned [0x2EA3]',
	0x2EA4 : 'Unassigned [0x2EA4]',
	0x2EA5 : 'Unassigned [0x2EA5]',
	0x2EA6 : 'Unassigned [0x2EA6]',
	0x2EA7 : 'Unassigned [0x2EA7]',
	0x2EA8 : 'Unassigned [0x2EA8]',
	0x2EA9 : 'Unassigned [0x2EA9]',
	0x2EAA : 'Unassigned [0x2EAA]',
	0x2EAB : 'Unassigned [0x2EAB]',
	0x2EAC : 'Unassigned [0x2EAC]',
	0x2EAD : 'Unassigned [0x2EAD]',
	0x2EAE : 'Unassigned [0x2EAE]',
	0x2EAF : 'Unassigned [0x2EAF]',
	0x2EB0 : 'Unassigned [0x2EB0]',
	0x2EB1 : 'Unassigned [0x2EB1]',
	0x2EB2 : 'Unassigned [0x2EB2]',
	0x2EB3 : 'Unassigned [0x2EB3]',
	0x2EB4 : 'Unassigned [0x2EB4]',
	0x2EB5 : 'Unassigned [0x2EB5]',
	0x2EB6 : 'Unassigned [0x2EB6]',
	0x2EB7 : 'Unassigned [0x2EB7]',
	0x2EB8 : 'Unassigned [0x2EB8]',
	0x2EB9 : 'Unassigned [0x2EB9]',
	0x2EBA : 'Unassigned [0x2EBA]',
	0x2EBB : 'Unassigned [0x2EBB]',
	0x2EBC : 'Unassigned [0x2EBC]',
	0x2EBD : 'Unassigned [0x2EBD]',
	0x2EBE : 'Unassigned [0x2EBE]',
	0x2EBF : 'Unassigned [0x2EBF]',
	0x2EC0 : 'Unassigned [0x2EC0]',
	0x2EC1 : 'Unassigned [0x2EC1]',
	0x2EC2 : 'Unassigned [0x2EC2]',
	0x2EC3 : 'Unassigned [0x2EC3]',
	0x2EC4 : 'Unassigned [0x2EC4]',
	0x2EC5 : 'Unassigned [0x2EC5]',
	0x2EC6 : 'Unassigned [0x2EC6]',
	0x2EC7 : 'Unassigned [0x2EC7]',
	0x2EC8 : 'Unassigned [0x2EC8]',
	0x2EC9 : 'Unassigned [0x2EC9]',
	0x2ECA : 'Unassigned [0x2ECA]',
	0x2ECB : 'Unassigned [0x2ECB]',
	0x2ECC : 'Unassigned [0x2ECC]',
	0x2ECD : 'Unassigned [0x2ECD]',
	0x2ECE : 'Unassigned [0x2ECE]',
	0x2ECF : 'Unassigned [0x2ECF]',
	0x2ED0 : 'Unassigned [0x2ED0]',
	0x2ED1 : 'Unassigned [0x2ED1]',
	0x2ED2 : 'Unassigned [0x2ED2]',
	0x2ED3 : 'Unassigned [0x2ED3]',
	0x2ED4 : 'Unassigned [0x2ED4]',
	0x2ED5 : 'Unassigned [0x2ED5]',
	0x2ED6 : 'Unassigned [0x2ED6]',
	0x2ED7 : 'Unassigned [0x2ED7]',
	0x2ED8 : 'Unassigned [0x2ED8]',
	0x2ED9 : 'Unassigned [0x2ED9]',
	0x2EDA : 'Unassigned [0x2EDA]',
	0x2EDB : 'Unassigned [0x2EDB]',
	0x2EDC : 'Unassigned [0x2EDC]',
	0x2EDD : 'Unassigned [0x2EDD]',
	0x2EDE : 'Unassigned [0x2EDE]',
	0x2EDF : 'Unassigned [0x2EDF]',
	0x2EE0 : 'Unassigned [0x2EE0]',
	0x2EE1 : 'Unassigned [0x2EE1]',
	0x2EE2 : 'Unassigned [0x2EE2]',
	0x2EE3 : 'Unassigned [0x2EE3]',
	0x2EE4 : 'Unassigned [0x2EE4]',
	0x2EE5 : 'Unassigned [0x2EE5]',
	0x2EE6 : 'Unassigned [0x2EE6]',
	0x2EE7 : 'Unassigned [0x2EE7]',
	0x2EE8 : 'Unassigned [0x2EE8]',
	0x2EE9 : 'Unassigned [0x2EE9]',
	0x2EEA : 'Unassigned [0x2EEA]',
	0x2EEB : 'Unassigned [0x2EEB]',
	0x2EEC : 'Unassigned [0x2EEC]',
	0x2EED : 'Unassigned [0x2EED]',
	0x2EEE : 'Unassigned [0x2EEE]',
	0x2EEF : 'Unassigned [0x2EEF]',
	0x2EF0 : 'Unassigned [0x2EF0]',
	0x2EF1 : 'Unassigned [0x2EF1]',
	0x2EF2 : 'Unassigned [0x2EF2]',
	0x2EF3 : 'Unassigned [0x2EF3]',
	0x2EF4 : 'Unassigned [0x2EF4]',
	0x2EF5 : 'Unassigned [0x2EF5]',
	0x2EF6 : 'Unassigned [0x2EF6]',
	0x2EF7 : 'Unassigned [0x2EF7]',
	0x2EF8 : 'Unassigned [0x2EF8]',
	0x2EF9 : 'Unassigned [0x2EF9]',
	0x2EFA : 'Unassigned [0x2EFA]',
	0x2EFB : 'Unassigned [0x2EFB]',
	0x2EFC : 'Unassigned [0x2EFC]',
	0x2EFD : 'Unassigned [0x2EFD]',
	0x2EFE : 'Unassigned [0x2EFE]',
	0x2EFF : 'Unassigned [0x2EFF]',
	0x2F00 : 'Unassigned [0x2F00]',
	0x2F01 : 'Unassigned [0x2F01]',
	0x2F02 : 'Unassigned [0x2F02]',
	0x2F03 : 'Unassigned [0x2F03]',
	0x2F04 : 'Unassigned [0x2F04]',
	0x2F05 : 'Unassigned [0x2F05]',
	0x2F06 : 'Unassigned [0x2F06]',
	0x2F07 : 'Unassigned [0x2F07]',
	0x2F08 : 'Unassigned [0x2F08]',
	0x2F09 : 'Unassigned [0x2F09]',
	0x2F0A : 'Unassigned [0x2F0A]',
	0x2F0B : 'Unassigned [0x2F0B]',
	0x2F0C : 'Unassigned [0x2F0C]',
	0x2F0D : 'Unassigned [0x2F0D]',
	0x2F0E : 'Unassigned [0x2F0E]',
	0x2F0F : 'Unassigned [0x2F0F]',
	0x2F10 : 'Unassigned [0x2F10]',
	0x2F11 : 'Unassigned [0x2F11]',
	0x2F12 : 'Unassigned [0x2F12]',
	0x2F13 : 'Unassigned [0x2F13]',
	0x2F14 : 'Unassigned [0x2F14]',
	0x2F15 : 'Unassigned [0x2F15]',
	0x2F16 : 'Unassigned [0x2F16]',
	0x2F17 : 'Unassigned [0x2F17]',
	0x2F18 : 'Unassigned [0x2F18]',
	0x2F19 : 'Unassigned [0x2F19]',
	0x2F1A : 'Unassigned [0x2F1A]',
	0x2F1B : 'Unassigned [0x2F1B]',
	0x2F1C : 'Unassigned [0x2F1C]',
	0x2F1D : 'Unassigned [0x2F1D]',
	0x2F1E : 'Unassigned [0x2F1E]',
	0x2F1F : 'Unassigned [0x2F1F]',
	0x2F20 : 'Unassigned [0x2F20]',
	0x2F21 : 'Unassigned [0x2F21]',
	0x2F22 : 'Unassigned [0x2F22]',
	0x2F23 : 'Unassigned [0x2F23]',
	0x2F24 : 'Unassigned [0x2F24]',
	0x2F25 : 'Unassigned [0x2F25]',
	0x2F26 : 'Unassigned [0x2F26]',
	0x2F27 : 'Unassigned [0x2F27]',
	0x2F28 : 'Unassigned [0x2F28]',
	0x2F29 : 'Unassigned [0x2F29]',
	0x2F2A : 'Unassigned [0x2F2A]',
	0x2F2B : 'Unassigned [0x2F2B]',
	0x2F2C : 'Unassigned [0x2F2C]',
	0x2F2D : 'Unassigned [0x2F2D]',
	0x2F2E : 'Unassigned [0x2F2E]',
	0x2F2F : 'Unassigned [0x2F2F]',
	0x2F30 : 'Unassigned [0x2F30]',
	0x2F31 : 'Unassigned [0x2F31]',
	0x2F32 : 'Unassigned [0x2F32]',
	0x2F33 : 'Unassigned [0x2F33]',
	0x2F34 : 'Unassigned [0x2F34]',
	0x2F35 : 'Unassigned [0x2F35]',
	0x2F36 : 'Unassigned [0x2F36]',
	0x2F37 : 'Unassigned [0x2F37]',
	0x2F38 : 'Unassigned [0x2F38]',
	0x2F39 : 'Unassigned [0x2F39]',
	0x2F3A : 'Unassigned [0x2F3A]',
	0x2F3B : 'Unassigned [0x2F3B]',
	0x2F3C : 'Unassigned [0x2F3C]',
	0x2F3D : 'Unassigned [0x2F3D]',
	0x2F3E : 'Unassigned [0x2F3E]',
	0x2F3F : 'Unassigned [0x2F3F]',
	0x2F40 : 'Unassigned [0x2F40]',
	0x2F41 : 'Unassigned [0x2F41]',
	0x2F42 : 'Unassigned [0x2F42]',
	0x2F43 : 'Unassigned [0x2F43]',
	0x2F44 : 'Unassigned [0x2F44]',
	0x2F45 : 'Unassigned [0x2F45]',
	0x2F46 : 'Unassigned [0x2F46]',
	0x2F47 : 'Unassigned [0x2F47]',
	0x2F48 : 'Unassigned [0x2F48]',
	0x2F49 : 'Unassigned [0x2F49]',
	0x2F4A : 'Unassigned [0x2F4A]',
	0x2F4B : 'Unassigned [0x2F4B]',
	0x2F4C : 'Unassigned [0x2F4C]',
	0x2F4D : 'Unassigned [0x2F4D]',
	0x2F4E : 'Unassigned [0x2F4E]',
	0x2F4F : 'Unassigned [0x2F4F]',
	0x2F50 : 'Unassigned [0x2F50]',
	0x2F51 : 'Unassigned [0x2F51]',
	0x2F52 : 'Unassigned [0x2F52]',
	0x2F53 : 'Unassigned [0x2F53]',
	0x2F54 : 'Unassigned [0x2F54]',
	0x2F55 : 'Unassigned [0x2F55]',
	0x2F56 : 'Unassigned [0x2F56]',
	0x2F57 : 'Unassigned [0x2F57]',
	0x2F58 : 'Unassigned [0x2F58]',
	0x2F59 : 'Unassigned [0x2F59]',
	0x2F5A : 'Unassigned [0x2F5A]',
	0x2F5B : 'Unassigned [0x2F5B]',
	0x2F5C : 'Unassigned [0x2F5C]',
	0x2F5D : 'Unassigned [0x2F5D]',
	0x2F5E : 'Unassigned [0x2F5E]',
	0x2F5F : 'Unassigned [0x2F5F]',
	0x2F60 : 'Unassigned [0x2F60]',
	0x2F61 : 'Unassigned [0x2F61]',
	0x2F62 : 'Unassigned [0x2F62]',
	0x2F63 : 'Unassigned [0x2F63]',
	0x2F64 : 'Unassigned [0x2F64]',
	0x2F65 : 'Unassigned [0x2F65]',
	0x2F66 : 'Unassigned [0x2F66]',
	0x2F67 : 'Unassigned [0x2F67]',
	0x2F68 : 'Unassigned [0x2F68]',
	0x2F69 : 'Unassigned [0x2F69]',
	0x2F6A : 'Unassigned [0x2F6A]',
	0x2F6B : 'Unassigned [0x2F6B]',
	0x2F6C : 'Unassigned [0x2F6C]',
	0x2F6D : 'Unassigned [0x2F6D]',
	0x2F6E : 'Unassigned [0x2F6E]',
	0x2F6F : 'Unassigned [0x2F6F]',
	0x2F70 : 'Unassigned [0x2F70]',
	0x2F71 : 'Unassigned [0x2F71]',
	0x2F72 : 'Unassigned [0x2F72]',
	0x2F73 : 'Unassigned [0x2F73]',
	0x2F74 : 'Unassigned [0x2F74]',
	0x2F75 : 'Unassigned [0x2F75]',
	0x2F76 : 'Unassigned [0x2F76]',
	0x2F77 : 'Unassigned [0x2F77]',
	0x2F78 : 'Unassigned [0x2F78]',
	0x2F79 : 'Unassigned [0x2F79]',
	0x2F7A : 'Unassigned [0x2F7A]',
	0x2F7B : 'Unassigned [0x2F7B]',
	0x2F7C : 'Unassigned [0x2F7C]',
	0x2F7D : 'Unassigned [0x2F7D]',
	0x2F7E : 'Unassigned [0x2F7E]',
	0x2F7F : 'Unassigned [0x2F7F]',
	0x2F80 : 'Unassigned [0x2F80]',
	0x2F81 : 'Unassigned [0x2F81]',
	0x2F82 : 'Unassigned [0x2F82]',
	0x2F83 : 'Unassigned [0x2F83]',
	0x2F84 : 'Unassigned [0x2F84]',
	0x2F85 : 'Unassigned [0x2F85]',
	0x2F86 : 'Unassigned [0x2F86]',
	0x2F87 : 'Unassigned [0x2F87]',
	0x2F88 : 'Unassigned [0x2F88]',
	0x2F89 : 'Unassigned [0x2F89]',
	0x2F8A : 'Unassigned [0x2F8A]',
	0x2F8B : 'Unassigned [0x2F8B]',
	0x2F8C : 'Unassigned [0x2F8C]',
	0x2F8D : 'Unassigned [0x2F8D]',
	0x2F8E : 'Unassigned [0x2F8E]',
	0x2F8F : 'Unassigned [0x2F8F]',
	0x2F90 : 'Unassigned [0x2F90]',
	0x2F91 : 'Unassigned [0x2F91]',
	0x2F92 : 'Unassigned [0x2F92]',
	0x2F93 : 'Unassigned [0x2F93]',
	0x2F94 : 'Unassigned [0x2F94]',
	0x2F95 : 'Unassigned [0x2F95]',
	0x2F96 : 'Unassigned [0x2F96]',
	0x2F97 : 'Unassigned [0x2F97]',
	0x2F98 : 'Unassigned [0x2F98]',
	0x2F99 : 'Unassigned [0x2F99]',
	0x2F9A : 'Unassigned [0x2F9A]',
	0x2F9B : 'Unassigned [0x2F9B]',
	0x2F9C : 'Unassigned [0x2F9C]',
	0x2F9D : 'Unassigned [0x2F9D]',
	0x2F9E : 'Unassigned [0x2F9E]',
	0x2F9F : 'Unassigned [0x2F9F]',
	0x2FA0 : 'Unassigned [0x2FA0]',
	0x2FA1 : 'Unassigned [0x2FA1]',
	0x2FA2 : 'Unassigned [0x2FA2]',
	0x2FA3 : 'Unassigned [0x2FA3]',
	0x2FA4 : 'Unassigned [0x2FA4]',
	0x2FA5 : 'Unassigned [0x2FA5]',
	0x2FA6 : 'Unassigned [0x2FA6]',
	0x2FA7 : 'Unassigned [0x2FA7]',
	0x2FA8 : 'Unassigned [0x2FA8]',
	0x2FA9 : 'Unassigned [0x2FA9]',
	0x2FAA : 'Unassigned [0x2FAA]',
	0x2FAB : 'Unassigned [0x2FAB]',
	0x2FAC : 'Unassigned [0x2FAC]',
	0x2FAD : 'Unassigned [0x2FAD]',
	0x2FAE : 'Unassigned [0x2FAE]',
	0x2FAF : 'Unassigned [0x2FAF]',
	0x2FB0 : 'Unassigned [0x2FB0]',
	0x2FB1 : 'Unassigned [0x2FB1]',
	0x2FB2 : 'Unassigned [0x2FB2]',
	0x2FB3 : 'Unassigned [0x2FB3]',
	0x2FB4 : 'Unassigned [0x2FB4]',
	0x2FB5 : 'Unassigned [0x2FB5]',
	0x2FB6 : 'Unassigned [0x2FB6]',
	0x2FB7 : 'Unassigned [0x2FB7]',
	0x2FB8 : 'Unassigned [0x2FB8]',
	0x2FB9 : 'Unassigned [0x2FB9]',
	0x2FBA : 'Unassigned [0x2FBA]',
	0x2FBB : 'Unassigned [0x2FBB]',
	0x2FBC : 'Unassigned [0x2FBC]',
	0x2FBD : 'Unassigned [0x2FBD]',
	0x2FBE : 'Unassigned [0x2FBE]',
	0x2FBF : 'Unassigned [0x2FBF]',
	0x2FC0 : 'Unassigned [0x2FC0]',
	0x2FC1 : 'Unassigned [0x2FC1]',
	0x2FC2 : 'Unassigned [0x2FC2]',
	0x2FC3 : 'Unassigned [0x2FC3]',
	0x2FC4 : 'Unassigned [0x2FC4]',
	0x2FC5 : 'Unassigned [0x2FC5]',
	0x2FC6 : 'Unassigned [0x2FC6]',
	0x2FC7 : 'Unassigned [0x2FC7]',
	0x2FC8 : 'Unassigned [0x2FC8]',
	0x2FC9 : 'Unassigned [0x2FC9]',
	0x2FCA : 'Unassigned [0x2FCA]',
	0x2FCB : 'Unassigned [0x2FCB]',
	0x2FCC : 'Unassigned [0x2FCC]',
	0x2FCD : 'Unassigned [0x2FCD]',
	0x2FCE : 'Unassigned [0x2FCE]',
	0x2FCF : 'Unassigned [0x2FCF]',
	0x2FD0 : 'Unassigned [0x2FD0]',
	0x2FD1 : 'Unassigned [0x2FD1]',
	0x2FD2 : 'Unassigned [0x2FD2]',
	0x2FD3 : 'Unassigned [0x2FD3]',
	0x2FD4 : 'Unassigned [0x2FD4]',
	0x2FD5 : 'Unassigned [0x2FD5]',
	0x2FD6 : 'Unassigned [0x2FD6]',
	0x2FD7 : 'Unassigned [0x2FD7]',
	0x2FD8 : 'Unassigned [0x2FD8]',
	0x2FD9 : 'Unassigned [0x2FD9]',
	0x2FDA : 'Unassigned [0x2FDA]',
	0x2FDB : 'Unassigned [0x2FDB]',
	0x2FDC : 'Unassigned [0x2FDC]',
	0x2FDD : 'Unassigned [0x2FDD]',
	0x2FDE : 'Unassigned [0x2FDE]',
	0x2FDF : 'Unassigned [0x2FDF]',
	0x2FE0 : 'Unassigned [0x2FE0]',
	0x2FE1 : 'Unassigned [0x2FE1]',
	0x2FE2 : 'Unassigned [0x2FE2]',
	0x2FE3 : 'Unassigned [0x2FE3]',
	0x2FE4 : 'Unassigned [0x2FE4]',
	0x2FE5 : 'Unassigned [0x2FE5]',
	0x2FE6 : 'Unassigned [0x2FE6]',
	0x2FE7 : 'Unassigned [0x2FE7]',
	0x2FE8 : 'Unassigned [0x2FE8]',
	0x2FE9 : 'Unassigned [0x2FE9]',
	0x2FEA : 'Unassigned [0x2FEA]',
	0x2FEB : 'Unassigned [0x2FEB]',
	0x2FEC : 'Unassigned [0x2FEC]',
	0x2FED : 'Unassigned [0x2FED]',
	0x2FEE : 'Unassigned [0x2FEE]',
	0x2FEF : 'Unassigned [0x2FEF]',
	0x2FF0 : 'Unassigned [0x2FF0]',
	0x2FF1 : 'Unassigned [0x2FF1]',
	0x2FF2 : 'Unassigned [0x2FF2]',
	0x2FF3 : 'Unassigned [0x2FF3]',
	0x2FF4 : 'Unassigned [0x2FF4]',
	0x2FF5 : 'Unassigned [0x2FF5]',
	0x2FF6 : 'Unassigned [0x2FF6]',
	0x2FF7 : 'Unassigned [0x2FF7]',
	0x2FF8 : 'Unassigned [0x2FF8]',
	0x2FF9 : 'Unassigned [0x2FF9]',
	0x2FFA : 'Unassigned [0x2FFA]',
	0x2FFB : 'Unassigned [0x2FFB]',
	0x2FFC : 'Unassigned [0x2FFC]',
	0x2FFD : 'Unassigned [0x2FFD]',
	0x2FFE : 'Unassigned [0x2FFE]',
	0x2FFF : 'Unassigned [0x2FFF]',
	0x3000 : 'Unassigned [0x3000]',
	0x3001 : 'Unassigned [0x3001]',
	0x3002 : 'Unassigned [0x3002]',
	0x3003 : 'Unassigned [0x3003]',
	0x3004 : 'Unassigned [0x3004]',
	0x3005 : 'Unassigned [0x3005]',
	0x3006 : 'Unassigned [0x3006]',
	0x3007 : 'Unassigned [0x3007]',
	0x3008 : 'Unassigned [0x3008]',
	0x3009 : 'Unassigned [0x3009]',
	0x300A : 'Unassigned [0x300A]',
	0x300B : 'Unassigned [0x300B]',
	0x300C : 'Unassigned [0x300C]',
	0x300D : 'Unassigned [0x300D]',
	0x300E : 'Unassigned [0x300E]',
	0x300F : 'Unassigned [0x300F]',
	0x3010 : 'Unassigned [0x3010]',
	0x3011 : 'Unassigned [0x3011]',
	0x3012 : 'Unassigned [0x3012]',
	0x3013 : 'Unassigned [0x3013]',
	0x3014 : 'Unassigned [0x3014]',
	0x3015 : 'Unassigned [0x3015]',
	0x3016 : 'Unassigned [0x3016]',
	0x3017 : 'Unassigned [0x3017]',
	0x3018 : 'Unassigned [0x3018]',
	0x3019 : 'Unassigned [0x3019]',
	0x301A : 'Unassigned [0x301A]',
	0x301B : 'Unassigned [0x301B]',
	0x301C : 'Unassigned [0x301C]',
	0x301D : 'Unassigned [0x301D]',
	0x301E : 'Unassigned [0x301E]',
	0x301F : 'Unassigned [0x301F]',
	0x3020 : 'Unassigned [0x3020]',
	0x3021 : 'Unassigned [0x3021]',
	0x3022 : 'Unassigned [0x3022]',
	0x3023 : 'Unassigned [0x3023]',
	0x3024 : 'Unassigned [0x3024]',
	0x3025 : 'Unassigned [0x3025]',
	0x3026 : 'Unassigned [0x3026]',
	0x3027 : 'Unassigned [0x3027]',
	0x3028 : 'Unassigned [0x3028]',
	0x3029 : 'Unassigned [0x3029]',
	0x302A : 'Unassigned [0x302A]',
	0x302B : 'Unassigned [0x302B]',
	0x302C : 'Unassigned [0x302C]',
	0x302D : 'Unassigned [0x302D]',
	0x302E : 'Unassigned [0x302E]',
	0x302F : 'Unassigned [0x302F]',
	0x3030 : 'Unassigned [0x3030]',
	0x3031 : 'Unassigned [0x3031]',
	0x3032 : 'Unassigned [0x3032]',
	0x3033 : 'Unassigned [0x3033]',
	0x3034 : 'Unassigned [0x3034]',
	0x3035 : 'Unassigned [0x3035]',
	0x3036 : 'Unassigned [0x3036]',
	0x3037 : 'Unassigned [0x3037]',
	0x3038 : 'Unassigned [0x3038]',
	0x3039 : 'Unassigned [0x3039]',
	0x303A : 'Unassigned [0x303A]',
	0x303B : 'Unassigned [0x303B]',
	0x303C : 'Unassigned [0x303C]',
	0x303D : 'Unassigned [0x303D]',
	0x303E : 'Unassigned [0x303E]',
	0x303F : 'Unassigned [0x303F]',
	0x3040 : 'Unassigned [0x3040]',
	0x3041 : 'Unassigned [0x3041]',
	0x3042 : 'Unassigned [0x3042]',
	0x3043 : 'Unassigned [0x3043]',
	0x3044 : 'Unassigned [0x3044]',
	0x3045 : 'Unassigned [0x3045]',
	0x3046 : 'Unassigned [0x3046]',
	0x3047 : 'Unassigned [0x3047]',
	0x3048 : 'Unassigned [0x3048]',
	0x3049 : 'Unassigned [0x3049]',
	0x304A : 'Unassigned [0x304A]',
	0x304B : 'Unassigned [0x304B]',
	0x304C : 'Unassigned [0x304C]',
	0x304D : 'Unassigned [0x304D]',
	0x304E : 'Unassigned [0x304E]',
	0x304F : 'Unassigned [0x304F]',
	0x3050 : 'Unassigned [0x3050]',
	0x3051 : 'Unassigned [0x3051]',
	0x3052 : 'Unassigned [0x3052]',
	0x3053 : 'Unassigned [0x3053]',
	0x3054 : 'Unassigned [0x3054]',
	0x3055 : 'Unassigned [0x3055]',
	0x3056 : 'Unassigned [0x3056]',
	0x3057 : 'Unassigned [0x3057]',
	0x3058 : 'Unassigned [0x3058]',
	0x3059 : 'Unassigned [0x3059]',
	0x305A : 'Unassigned [0x305A]',
	0x305B : 'Unassigned [0x305B]',
	0x305C : 'Unassigned [0x305C]',
	0x305D : 'Unassigned [0x305D]',
	0x305E : 'Unassigned [0x305E]',
	0x305F : 'Unassigned [0x305F]',
	0x3060 : 'Unassigned [0x3060]',
	0x3061 : 'Unassigned [0x3061]',
	0x3062 : 'Unassigned [0x3062]',
	0x3063 : 'Unassigned [0x3063]',
	0x3064 : 'Unassigned [0x3064]',
	0x3065 : 'Unassigned [0x3065]',
	0x3066 : 'Unassigned [0x3066]',
	0x3067 : 'Unassigned [0x3067]',
	0x3068 : 'Unassigned [0x3068]',
	0x3069 : 'Unassigned [0x3069]',
	0x306A : 'Unassigned [0x306A]',
	0x306B : 'Unassigned [0x306B]',
	0x306C : 'Unassigned [0x306C]',
	0x306D : 'Unassigned [0x306D]',
	0x306E : 'Unassigned [0x306E]',
	0x306F : 'Unassigned [0x306F]',
	0x3070 : 'Unassigned [0x3070]',
	0x3071 : 'Unassigned [0x3071]',
	0x3072 : 'Unassigned [0x3072]',
	0x3073 : 'Unassigned [0x3073]',
	0x3074 : 'Unassigned [0x3074]',
	0x3075 : 'Unassigned [0x3075]',
	0x3076 : 'Unassigned [0x3076]',
	0x3077 : 'Unassigned [0x3077]',
	0x3078 : 'Unassigned [0x3078]',
	0x3079 : 'Unassigned [0x3079]',
	0x307A : 'Unassigned [0x307A]',
	0x307B : 'Unassigned [0x307B]',
	0x307C : 'Unassigned [0x307C]',
	0x307D : 'Unassigned [0x307D]',
	0x307E : 'Unassigned [0x307E]',
	0x307F : 'Unassigned [0x307F]',
	0x3080 : 'Unassigned [0x3080]',
	0x3081 : 'Unassigned [0x3081]',
	0x3082 : 'Unassigned [0x3082]',
	0x3083 : 'Unassigned [0x3083]',
	0x3084 : 'Unassigned [0x3084]',
	0x3085 : 'Unassigned [0x3085]',
	0x3086 : 'Unassigned [0x3086]',
	0x3087 : 'Unassigned [0x3087]',
	0x3088 : 'Unassigned [0x3088]',
	0x3089 : 'Unassigned [0x3089]',
	0x308A : 'Unassigned [0x308A]',
	0x308B : 'Unassigned [0x308B]',
	0x308C : 'Unassigned [0x308C]',
	0x308D : 'Unassigned [0x308D]',
	0x308E : 'Unassigned [0x308E]',
	0x308F : 'Unassigned [0x308F]',
	0x3090 : 'Unassigned [0x3090]',
	0x3091 : 'Unassigned [0x3091]',
	0x3092 : 'Unassigned [0x3092]',
	0x3093 : 'Unassigned [0x3093]',
	0x3094 : 'Unassigned [0x3094]',
	0x3095 : 'Unassigned [0x3095]',
	0x3096 : 'Unassigned [0x3096]',
	0x3097 : 'Unassigned [0x3097]',
	0x3098 : 'Unassigned [0x3098]',
	0x3099 : 'Unassigned [0x3099]',
	0x309A : 'Unassigned [0x309A]',
	0x309B : 'Unassigned [0x309B]',
	0x309C : 'Unassigned [0x309C]',
	0x309D : 'Unassigned [0x309D]',
	0x309E : 'Unassigned [0x309E]',
	0x309F : 'Unassigned [0x309F]',
	0x30A0 : 'Unassigned [0x30A0]',
	0x30A1 : 'Unassigned [0x30A1]',
	0x30A2 : 'Unassigned [0x30A2]',
	0x30A3 : 'Unassigned [0x30A3]',
	0x30A4 : 'Unassigned [0x30A4]',
	0x30A5 : 'Unassigned [0x30A5]',
	0x30A6 : 'Unassigned [0x30A6]',
	0x30A7 : 'Unassigned [0x30A7]',
	0x30A8 : 'Unassigned [0x30A8]',
	0x30A9 : 'Unassigned [0x30A9]',
	0x30AA : 'Unassigned [0x30AA]',
	0x30AB : 'Unassigned [0x30AB]',
	0x30AC : 'Unassigned [0x30AC]',
	0x30AD : 'Unassigned [0x30AD]',
	0x30AE : 'Unassigned [0x30AE]',
	0x30AF : 'Unassigned [0x30AF]',
	0x30B0 : 'Unassigned [0x30B0]',
	0x30B1 : 'Unassigned [0x30B1]',
	0x30B2 : 'Unassigned [0x30B2]',
	0x30B3 : 'Unassigned [0x30B3]',
	0x30B4 : 'Unassigned [0x30B4]',
	0x30B5 : 'Unassigned [0x30B5]',
	0x30B6 : 'Unassigned [0x30B6]',
	0x30B7 : 'Unassigned [0x30B7]',
	0x30B8 : 'Unassigned [0x30B8]',
	0x30B9 : 'Unassigned [0x30B9]',
	0x30BA : 'Unassigned [0x30BA]',
	0x30BB : 'Unassigned [0x30BB]',
	0x30BC : 'Unassigned [0x30BC]',
	0x30BD : 'Unassigned [0x30BD]',
	0x30BE : 'Unassigned [0x30BE]',
	0x30BF : 'Unassigned [0x30BF]',
	0x30C0 : 'Unassigned [0x30C0]',
	0x30C1 : 'Unassigned [0x30C1]',
	0x30C2 : 'Unassigned [0x30C2]',
	0x30C3 : 'Unassigned [0x30C3]',
	0x30C4 : 'Unassigned [0x30C4]',
	0x30C5 : 'Unassigned [0x30C5]',
	0x30C6 : 'Unassigned [0x30C6]',
	0x30C7 : 'Unassigned [0x30C7]',
	0x30C8 : 'Unassigned [0x30C8]',
	0x30C9 : 'Unassigned [0x30C9]',
	0x30CA : 'Unassigned [0x30CA]',
	0x30CB : 'Unassigned [0x30CB]',
	0x30CC : 'Unassigned [0x30CC]',
	0x30CD : 'Unassigned [0x30CD]',
	0x30CE : 'Unassigned [0x30CE]',
	0x30CF : 'Unassigned [0x30CF]',
	0x30D0 : 'Unassigned [0x30D0]',
	0x30D1 : 'Unassigned [0x30D1]',
	0x30D2 : 'Unassigned [0x30D2]',
	0x30D3 : 'Unassigned [0x30D3]',
	0x30D4 : 'Unassigned [0x30D4]',
	0x30D5 : 'Unassigned [0x30D5]',
	0x30D6 : 'Unassigned [0x30D6]',
	0x30D7 : 'Unassigned [0x30D7]',
	0x30D8 : 'Unassigned [0x30D8]',
	0x30D9 : 'Unassigned [0x30D9]',
	0x30DA : 'Unassigned [0x30DA]',
	0x30DB : 'Unassigned [0x30DB]',
	0x30DC : 'Unassigned [0x30DC]',
	0x30DD : 'Unassigned [0x30DD]',
	0x30DE : 'Unassigned [0x30DE]',
	0x30DF : 'Unassigned [0x30DF]',
	0x30E0 : 'Unassigned [0x30E0]',
	0x30E1 : 'Unassigned [0x30E1]',
	0x30E2 : 'Unassigned [0x30E2]',
	0x30E3 : 'Unassigned [0x30E3]',
	0x30E4 : 'Unassigned [0x30E4]',
	0x30E5 : 'Unassigned [0x30E5]',
	0x30E6 : 'Unassigned [0x30E6]',
	0x30E7 : 'Unassigned [0x30E7]',
	0x30E8 : 'Unassigned [0x30E8]',
	0x30E9 : 'Unassigned [0x30E9]',
	0x30EA : 'Unassigned [0x30EA]',
	0x30EB : 'Unassigned [0x30EB]',
	0x30EC : 'Unassigned [0x30EC]',
	0x30ED : 'Unassigned [0x30ED]',
	0x30EE : 'Unassigned [0x30EE]',
	0x30EF : 'Unassigned [0x30EF]',
	0x30F0 : 'Unassigned [0x30F0]',
	0x30F1 : 'Unassigned [0x30F1]',
	0x30F2 : 'Unassigned [0x30F2]',
	0x30F3 : 'Unassigned [0x30F3]',
	0x30F4 : 'Unassigned [0x30F4]',
	0x30F5 : 'Unassigned [0x30F5]',
	0x30F6 : 'Unassigned [0x30F6]',
	0x30F7 : 'Unassigned [0x30F7]',
	0x30F8 : 'Unassigned [0x30F8]',
	0x30F9 : 'Unassigned [0x30F9]',
	0x30FA : 'Unassigned [0x30FA]',
	0x30FB : 'Unassigned [0x30FB]',
	0x30FC : 'Unassigned [0x30FC]',
	0x30FD : 'Unassigned [0x30FD]',
	0x30FE : 'Unassigned [0x30FE]',
	0x30FF : 'Unassigned [0x30FF]',
	0x3100 : 'Unassigned [0x3100]',
	0x3101 : 'Unassigned [0x3101]',
	0x3102 : 'Unassigned [0x3102]',
	0x3103 : 'Unassigned [0x3103]',
	0x3104 : 'Unassigned [0x3104]',
	0x3105 : 'Unassigned [0x3105]',
	0x3106 : 'Unassigned [0x3106]',
	0x3107 : 'Unassigned [0x3107]',
	0x3108 : 'Unassigned [0x3108]',
	0x3109 : 'Unassigned [0x3109]',
	0x310A : 'Unassigned [0x310A]',
	0x310B : 'Unassigned [0x310B]',
	0x310C : 'Unassigned [0x310C]',
	0x310D : 'Unassigned [0x310D]',
	0x310E : 'Unassigned [0x310E]',
	0x310F : 'Unassigned [0x310F]',
	0x3110 : 'Unassigned [0x3110]',
	0x3111 : 'Unassigned [0x3111]',
	0x3112 : 'Unassigned [0x3112]',
	0x3113 : 'Unassigned [0x3113]',
	0x3114 : 'Unassigned [0x3114]',
	0x3115 : 'Unassigned [0x3115]',
	0x3116 : 'Unassigned [0x3116]',
	0x3117 : 'Unassigned [0x3117]',
	0x3118 : 'Unassigned [0x3118]',
	0x3119 : 'Unassigned [0x3119]',
	0x311A : 'Unassigned [0x311A]',
	0x311B : 'Unassigned [0x311B]',
	0x311C : 'Unassigned [0x311C]',
	0x311D : 'Unassigned [0x311D]',
	0x311E : 'Unassigned [0x311E]',
	0x311F : 'Unassigned [0x311F]',
	0x3120 : 'Unassigned [0x3120]',
	0x3121 : 'Unassigned [0x3121]',
	0x3122 : 'Unassigned [0x3122]',
	0x3123 : 'Unassigned [0x3123]',
	0x3124 : 'Unassigned [0x3124]',
	0x3125 : 'Unassigned [0x3125]',
	0x3126 : 'Unassigned [0x3126]',
	0x3127 : 'Unassigned [0x3127]',
	0x3128 : 'Unassigned [0x3128]',
	0x3129 : 'Unassigned [0x3129]',
	0x312A : 'Unassigned [0x312A]',
	0x312B : 'Unassigned [0x312B]',
	0x312C : 'Unassigned [0x312C]',
	0x312D : 'Unassigned [0x312D]',
	0x312E : 'Unassigned [0x312E]',
	0x312F : 'Unassigned [0x312F]',
	0x3130 : 'Unassigned [0x3130]',
	0x3131 : 'Unassigned [0x3131]',
	0x3132 : 'Unassigned [0x3132]',
	0x3133 : 'Unassigned [0x3133]',
	0x3134 : 'Unassigned [0x3134]',
	0x3135 : 'Unassigned [0x3135]',
	0x3136 : 'Unassigned [0x3136]',
	0x3137 : 'Unassigned [0x3137]',
	0x3138 : 'Unassigned [0x3138]',
	0x3139 : 'Unassigned [0x3139]',
	0x313A : 'Unassigned [0x313A]',
	0x313B : 'Unassigned [0x313B]',
	0x313C : 'Unassigned [0x313C]',
	0x313D : 'Unassigned [0x313D]',
	0x313E : 'Unassigned [0x313E]',
	0x313F : 'Unassigned [0x313F]',
	0x3140 : 'Unassigned [0x3140]',
	0x3141 : 'Unassigned [0x3141]',
	0x3142 : 'Unassigned [0x3142]',
	0x3143 : 'Unassigned [0x3143]',
	0x3144 : 'Unassigned [0x3144]',
	0x3145 : 'Unassigned [0x3145]',
	0x3146 : 'Unassigned [0x3146]',
	0x3147 : 'Unassigned [0x3147]',
	0x3148 : 'Unassigned [0x3148]',
	0x3149 : 'Unassigned [0x3149]',
	0x314A : 'Unassigned [0x314A]',
	0x314B : 'Unassigned [0x314B]',
	0x314C : 'Unassigned [0x314C]',
	0x314D : 'Unassigned [0x314D]',
	0x314E : 'Unassigned [0x314E]',
	0x314F : 'Unassigned [0x314F]',
	0x3150 : 'Unassigned [0x3150]',
	0x3151 : 'Unassigned [0x3151]',
	0x3152 : 'Unassigned [0x3152]',
	0x3153 : 'Unassigned [0x3153]',
	0x3154 : 'Unassigned [0x3154]',
	0x3155 : 'Unassigned [0x3155]',
	0x3156 : 'Unassigned [0x3156]',
	0x3157 : 'Unassigned [0x3157]',
	0x3158 : 'Unassigned [0x3158]',
	0x3159 : 'Unassigned [0x3159]',
	0x315A : 'Unassigned [0x315A]',
	0x315B : 'Unassigned [0x315B]',
	0x315C : 'Unassigned [0x315C]',
	0x315D : 'Unassigned [0x315D]',
	0x315E : 'Unassigned [0x315E]',
	0x315F : 'Unassigned [0x315F]',
	0x3160 : 'Unassigned [0x3160]',
	0x3161 : 'Unassigned [0x3161]',
	0x3162 : 'Unassigned [0x3162]',
	0x3163 : 'Unassigned [0x3163]',
	0x3164 : 'Unassigned [0x3164]',
	0x3165 : 'Unassigned [0x3165]',
	0x3166 : 'Unassigned [0x3166]',
	0x3167 : 'Unassigned [0x3167]',
	0x3168 : 'Unassigned [0x3168]',
	0x3169 : 'Unassigned [0x3169]',
	0x316A : 'Unassigned [0x316A]',
	0x316B : 'Unassigned [0x316B]',
	0x316C : 'Unassigned [0x316C]',
	0x316D : 'Unassigned [0x316D]',
	0x316E : 'Unassigned [0x316E]',
	0x316F : 'Unassigned [0x316F]',
	0x3170 : 'Unassigned [0x3170]',
	0x3171 : 'Unassigned [0x3171]',
	0x3172 : 'Unassigned [0x3172]',
	0x3173 : 'Unassigned [0x3173]',
	0x3174 : 'Unassigned [0x3174]',
	0x3175 : 'Unassigned [0x3175]',
	0x3176 : 'Unassigned [0x3176]',
	0x3177 : 'Unassigned [0x3177]',
	0x3178 : 'Unassigned [0x3178]',
	0x3179 : 'Unassigned [0x3179]',
	0x317A : 'Unassigned [0x317A]',
	0x317B : 'Unassigned [0x317B]',
	0x317C : 'Unassigned [0x317C]',
	0x317D : 'Unassigned [0x317D]',
	0x317E : 'Unassigned [0x317E]',
	0x317F : 'Unassigned [0x317F]',
	0x3180 : 'Unassigned [0x3180]',
	0x3181 : 'Unassigned [0x3181]',
	0x3182 : 'Unassigned [0x3182]',
	0x3183 : 'Unassigned [0x3183]',
	0x3184 : 'Unassigned [0x3184]',
	0x3185 : 'Unassigned [0x3185]',
	0x3186 : 'Unassigned [0x3186]',
	0x3187 : 'Unassigned [0x3187]',
	0x3188 : 'Unassigned [0x3188]',
	0x3189 : 'Unassigned [0x3189]',
	0x318A : 'Unassigned [0x318A]',
	0x318B : 'Unassigned [0x318B]',
	0x318C : 'Unassigned [0x318C]',
	0x318D : 'Unassigned [0x318D]',
	0x318E : 'Unassigned [0x318E]',
	0x318F : 'Unassigned [0x318F]',
	0x3190 : 'Unassigned [0x3190]',
	0x3191 : 'Unassigned [0x3191]',
	0x3192 : 'Unassigned [0x3192]',
	0x3193 : 'Unassigned [0x3193]',
	0x3194 : 'Unassigned [0x3194]',
	0x3195 : 'Unassigned [0x3195]',
	0x3196 : 'Unassigned [0x3196]',
	0x3197 : 'Unassigned [0x3197]',
	0x3198 : 'Unassigned [0x3198]',
	0x3199 : 'Unassigned [0x3199]',
	0x319A : 'Unassigned [0x319A]',
	0x319B : 'Unassigned [0x319B]',
	0x319C : 'Unassigned [0x319C]',
	0x319D : 'Unassigned [0x319D]',
	0x319E : 'Unassigned [0x319E]',
	0x319F : 'Unassigned [0x319F]',
	0x31A0 : 'Unassigned [0x31A0]',
	0x31A1 : 'Unassigned [0x31A1]',
	0x31A2 : 'Unassigned [0x31A2]',
	0x31A3 : 'Unassigned [0x31A3]',
	0x31A4 : 'Unassigned [0x31A4]',
	0x31A5 : 'Unassigned [0x31A5]',
	0x31A6 : 'Unassigned [0x31A6]',
	0x31A7 : 'Unassigned [0x31A7]',
	0x31A8 : 'Unassigned [0x31A8]',
	0x31A9 : 'Unassigned [0x31A9]',
	0x31AA : 'Unassigned [0x31AA]',
	0x31AB : 'Unassigned [0x31AB]',
	0x31AC : 'Unassigned [0x31AC]',
	0x31AD : 'Unassigned [0x31AD]',
	0x31AE : 'Unassigned [0x31AE]',
	0x31AF : 'Unassigned [0x31AF]',
	0x31B0 : 'Unassigned [0x31B0]',
	0x31B1 : 'Unassigned [0x31B1]',
	0x31B2 : 'Unassigned [0x31B2]',
	0x31B3 : 'Unassigned [0x31B3]',
	0x31B4 : 'Unassigned [0x31B4]',
	0x31B5 : 'Unassigned [0x31B5]',
	0x31B6 : 'Unassigned [0x31B6]',
	0x31B7 : 'Unassigned [0x31B7]',
	0x31B8 : 'Unassigned [0x31B8]',
	0x31B9 : 'Unassigned [0x31B9]',
	0x31BA : 'Unassigned [0x31BA]',
	0x31BB : 'Unassigned [0x31BB]',
	0x31BC : 'Unassigned [0x31BC]',
	0x31BD : 'Unassigned [0x31BD]',
	0x31BE : 'Unassigned [0x31BE]',
	0x31BF : 'Unassigned [0x31BF]',
	0x31C0 : 'Unassigned [0x31C0]',
	0x31C1 : 'Unassigned [0x31C1]',
	0x31C2 : 'Unassigned [0x31C2]',
	0x31C3 : 'Unassigned [0x31C3]',
	0x31C4 : 'Unassigned [0x31C4]',
	0x31C5 : 'Unassigned [0x31C5]',
	0x31C6 : 'Unassigned [0x31C6]',
	0x31C7 : 'Unassigned [0x31C7]',
	0x31C8 : 'Unassigned [0x31C8]',
	0x31C9 : 'Unassigned [0x31C9]',
	0x31CA : 'Unassigned [0x31CA]',
	0x31CB : 'Unassigned [0x31CB]',
	0x31CC : 'Unassigned [0x31CC]',
	0x31CD : 'Unassigned [0x31CD]',
	0x31CE : 'Unassigned [0x31CE]',
	0x31CF : 'Unassigned [0x31CF]',
	0x31D0 : 'Unassigned [0x31D0]',
	0x31D1 : 'Unassigned [0x31D1]',
	0x31D2 : 'Unassigned [0x31D2]',
	0x31D3 : 'Unassigned [0x31D3]',
	0x31D4 : 'Unassigned [0x31D4]',
	0x31D5 : 'Unassigned [0x31D5]',
	0x31D6 : 'Unassigned [0x31D6]',
	0x31D7 : 'Unassigned [0x31D7]',
	0x31D8 : 'Unassigned [0x31D8]',
	0x31D9 : 'Unassigned [0x31D9]',
	0x31DA : 'Unassigned [0x31DA]',
	0x31DB : 'Unassigned [0x31DB]',
	0x31DC : 'Unassigned [0x31DC]',
	0x31DD : 'Unassigned [0x31DD]',
	0x31DE : 'Unassigned [0x31DE]',
	0x31DF : 'Unassigned [0x31DF]',
	0x31E0 : 'Unassigned [0x31E0]',
	0x31E1 : 'Unassigned [0x31E1]',
	0x31E2 : 'Unassigned [0x31E2]',
	0x31E3 : 'Unassigned [0x31E3]',
	0x31E4 : 'Unassigned [0x31E4]',
	0x31E5 : 'Unassigned [0x31E5]',
	0x31E6 : 'Unassigned [0x31E6]',
	0x31E7 : 'Unassigned [0x31E7]',
	0x31E8 : 'Unassigned [0x31E8]',
	0x31E9 : 'Unassigned [0x31E9]',
	0x31EA : 'Unassigned [0x31EA]',
	0x31EB : 'Unassigned [0x31EB]',
	0x31EC : 'Unassigned [0x31EC]',
	0x31ED : 'Unassigned [0x31ED]',
	0x31EE : 'Unassigned [0x31EE]',
	0x31EF : 'Unassigned [0x31EF]',
	0x31F0 : 'Unassigned [0x31F0]',
	0x31F1 : 'Unassigned [0x31F1]',
	0x31F2 : 'Unassigned [0x31F2]',
	0x31F3 : 'Unassigned [0x31F3]',
	0x31F4 : 'Unassigned [0x31F4]',
	0x31F5 : 'Unassigned [0x31F5]',
	0x31F6 : 'Unassigned [0x31F6]',
	0x31F7 : 'Unassigned [0x31F7]',
	0x31F8 : 'Unassigned [0x31F8]',
	0x31F9 : 'Unassigned [0x31F9]',
	0x31FA : 'Unassigned [0x31FA]',
	0x31FB : 'Unassigned [0x31FB]',
	0x31FC : 'Unassigned [0x31FC]',
	0x31FD : 'Unassigned [0x31FD]',
	0x31FE : 'Unassigned [0x31FE]',
	0x31FF : 'Unassigned [0x31FF]',
	0x3200 : 'Unassigned [0x3200]',
	0x3201 : 'Unassigned [0x3201]',
	0x3202 : 'Unassigned [0x3202]',
	0x3203 : 'Unassigned [0x3203]',
	0x3204 : 'Unassigned [0x3204]',
	0x3205 : 'Unassigned [0x3205]',
	0x3206 : 'Unassigned [0x3206]',
	0x3207 : 'Unassigned [0x3207]',
	0x3208 : 'Unassigned [0x3208]',
	0x3209 : 'Unassigned [0x3209]',
	0x320A : 'Unassigned [0x320A]',
	0x320B : 'Unassigned [0x320B]',
	0x320C : 'Unassigned [0x320C]',
	0x320D : 'Unassigned [0x320D]',
	0x320E : 'Unassigned [0x320E]',
	0x320F : 'Unassigned [0x320F]',
	0x3210 : 'Unassigned [0x3210]',
	0x3211 : 'Unassigned [0x3211]',
	0x3212 : 'Unassigned [0x3212]',
	0x3213 : 'Unassigned [0x3213]',
	0x3214 : 'Unassigned [0x3214]',
	0x3215 : 'Unassigned [0x3215]',
	0x3216 : 'Unassigned [0x3216]',
	0x3217 : 'Unassigned [0x3217]',
	0x3218 : 'Unassigned [0x3218]',
	0x3219 : 'Unassigned [0x3219]',
	0x321A : 'Unassigned [0x321A]',
	0x321B : 'Unassigned [0x321B]',
	0x321C : 'Unassigned [0x321C]',
	0x321D : 'Unassigned [0x321D]',
	0x321E : 'Unassigned [0x321E]',
	0x321F : 'Unassigned [0x321F]',
	0x3220 : 'Unassigned [0x3220]',
	0x3221 : 'Unassigned [0x3221]',
	0x3222 : 'Unassigned [0x3222]',
	0x3223 : 'Unassigned [0x3223]',
	0x3224 : 'Unassigned [0x3224]',
	0x3225 : 'Unassigned [0x3225]',
	0x3226 : 'Unassigned [0x3226]',
	0x3227 : 'Unassigned [0x3227]',
	0x3228 : 'Unassigned [0x3228]',
	0x3229 : 'Unassigned [0x3229]',
	0x322A : 'Unassigned [0x322A]',
	0x322B : 'Unassigned [0x322B]',
	0x322C : 'Unassigned [0x322C]',
	0x322D : 'Unassigned [0x322D]',
	0x322E : 'Unassigned [0x322E]',
	0x322F : 'Unassigned [0x322F]',
	0x3230 : 'Unassigned [0x3230]',
	0x3231 : 'Unassigned [0x3231]',
	0x3232 : 'Unassigned [0x3232]',
	0x3233 : 'Unassigned [0x3233]',
	0x3234 : 'Unassigned [0x3234]',
	0x3235 : 'Unassigned [0x3235]',
	0x3236 : 'Unassigned [0x3236]',
	0x3237 : 'Unassigned [0x3237]',
	0x3238 : 'Unassigned [0x3238]',
	0x3239 : 'Unassigned [0x3239]',
	0x323A : 'Unassigned [0x323A]',
	0x323B : 'Unassigned [0x323B]',
	0x323C : 'Unassigned [0x323C]',
	0x323D : 'Unassigned [0x323D]',
	0x323E : 'Unassigned [0x323E]',
	0x323F : 'Unassigned [0x323F]',
	0x3240 : 'Unassigned [0x3240]',
	0x3241 : 'Unassigned [0x3241]',
	0x3242 : 'Unassigned [0x3242]',
	0x3243 : 'Unassigned [0x3243]',
	0x3244 : 'Unassigned [0x3244]',
	0x3245 : 'Unassigned [0x3245]',
	0x3246 : 'Unassigned [0x3246]',
	0x3247 : 'Unassigned [0x3247]',
	0x3248 : 'Unassigned [0x3248]',
	0x3249 : 'Unassigned [0x3249]',
	0x324A : 'Unassigned [0x324A]',
	0x324B : 'Unassigned [0x324B]',
	0x324C : 'Unassigned [0x324C]',
	0x324D : 'Unassigned [0x324D]',
	0x324E : 'Unassigned [0x324E]',
	0x324F : 'Unassigned [0x324F]',
	0x3250 : 'Unassigned [0x3250]',
	0x3251 : 'Unassigned [0x3251]',
	0x3252 : 'Unassigned [0x3252]',
	0x3253 : 'Unassigned [0x3253]',
	0x3254 : 'Unassigned [0x3254]',
	0x3255 : 'Unassigned [0x3255]',
	0x3256 : 'Unassigned [0x3256]',
	0x3257 : 'Unassigned [0x3257]',
	0x3258 : 'Unassigned [0x3258]',
	0x3259 : 'Unassigned [0x3259]',
	0x325A : 'Unassigned [0x325A]',
	0x325B : 'Unassigned [0x325B]',
	0x325C : 'Unassigned [0x325C]',
	0x325D : 'Unassigned [0x325D]',
	0x325E : 'Unassigned [0x325E]',
	0x325F : 'Unassigned [0x325F]',
	0x3260 : 'Unassigned [0x3260]',
	0x3261 : 'Unassigned [0x3261]',
	0x3262 : 'Unassigned [0x3262]',
	0x3263 : 'Unassigned [0x3263]',
	0x3264 : 'Unassigned [0x3264]',
	0x3265 : 'Unassigned [0x3265]',
	0x3266 : 'Unassigned [0x3266]',
	0x3267 : 'Unassigned [0x3267]',
	0x3268 : 'Unassigned [0x3268]',
	0x3269 : 'Unassigned [0x3269]',
	0x326A : 'Unassigned [0x326A]',
	0x326B : 'Unassigned [0x326B]',
	0x326C : 'Unassigned [0x326C]',
	0x326D : 'Unassigned [0x326D]',
	0x326E : 'Unassigned [0x326E]',
	0x326F : 'Unassigned [0x326F]',
	0x3270 : 'Unassigned [0x3270]',
	0x3271 : 'Unassigned [0x3271]',
	0x3272 : 'Unassigned [0x3272]',
	0x3273 : 'Unassigned [0x3273]',
	0x3274 : 'Unassigned [0x3274]',
	0x3275 : 'Unassigned [0x3275]',
	0x3276 : 'Unassigned [0x3276]',
	0x3277 : 'Unassigned [0x3277]',
	0x3278 : 'Unassigned [0x3278]',
	0x3279 : 'Unassigned [0x3279]',
	0x327A : 'Unassigned [0x327A]',
	0x327B : 'Unassigned [0x327B]',
	0x327C : 'Unassigned [0x327C]',
	0x327D : 'Unassigned [0x327D]',
	0x327E : 'Unassigned [0x327E]',
	0x327F : 'Unassigned [0x327F]',
	0x3280 : 'Unassigned [0x3280]',
	0x3281 : 'Unassigned [0x3281]',
	0x3282 : 'Unassigned [0x3282]',
	0x3283 : 'Unassigned [0x3283]',
	0x3284 : 'Unassigned [0x3284]',
	0x3285 : 'Unassigned [0x3285]',
	0x3286 : 'Unassigned [0x3286]',
	0x3287 : 'Unassigned [0x3287]',
	0x3288 : 'Unassigned [0x3288]',
	0x3289 : 'Unassigned [0x3289]',
	0x328A : 'Unassigned [0x328A]',
	0x328B : 'Unassigned [0x328B]',
	0x328C : 'Unassigned [0x328C]',
	0x328D : 'Unassigned [0x328D]',
	0x328E : 'Unassigned [0x328E]',
	0x328F : 'Unassigned [0x328F]',
	0x3290 : 'Unassigned [0x3290]',
	0x3291 : 'Unassigned [0x3291]',
	0x3292 : 'Unassigned [0x3292]',
	0x3293 : 'Unassigned [0x3293]',
	0x3294 : 'Unassigned [0x3294]',
	0x3295 : 'Unassigned [0x3295]',
	0x3296 : 'Unassigned [0x3296]',
	0x3297 : 'Unassigned [0x3297]',
	0x3298 : 'Unassigned [0x3298]',
	0x3299 : 'Unassigned [0x3299]',
	0x329A : 'Unassigned [0x329A]',
	0x329B : 'Unassigned [0x329B]',
	0x329C : 'Unassigned [0x329C]',
	0x329D : 'Unassigned [0x329D]',
	0x329E : 'Unassigned [0x329E]',
	0x329F : 'Unassigned [0x329F]',
	0x32A0 : 'Unassigned [0x32A0]',
	0x32A1 : 'Unassigned [0x32A1]',
	0x32A2 : 'Unassigned [0x32A2]',
	0x32A3 : 'Unassigned [0x32A3]',
	0x32A4 : 'Unassigned [0x32A4]',
	0x32A5 : 'Unassigned [0x32A5]',
	0x32A6 : 'Unassigned [0x32A6]',
	0x32A7 : 'Unassigned [0x32A7]',
	0x32A8 : 'Unassigned [0x32A8]',
	0x32A9 : 'Unassigned [0x32A9]',
	0x32AA : 'Unassigned [0x32AA]',
	0x32AB : 'Unassigned [0x32AB]',
	0x32AC : 'Unassigned [0x32AC]',
	0x32AD : 'Unassigned [0x32AD]',
	0x32AE : 'Unassigned [0x32AE]',
	0x32AF : 'Unassigned [0x32AF]',
	0x32B0 : 'Unassigned [0x32B0]',
	0x32B1 : 'Unassigned [0x32B1]',
	0x32B2 : 'Unassigned [0x32B2]',
	0x32B3 : 'Unassigned [0x32B3]',
	0x32B4 : 'Unassigned [0x32B4]',
	0x32B5 : 'Unassigned [0x32B5]',
	0x32B6 : 'Unassigned [0x32B6]',
	0x32B7 : 'Unassigned [0x32B7]',
	0x32B8 : 'Unassigned [0x32B8]',
	0x32B9 : 'Unassigned [0x32B9]',
	0x32BA : 'Unassigned [0x32BA]',
	0x32BB : 'Unassigned [0x32BB]',
	0x32BC : 'Unassigned [0x32BC]',
	0x32BD : 'Unassigned [0x32BD]',
	0x32BE : 'Unassigned [0x32BE]',
	0x32BF : 'Unassigned [0x32BF]',
	0x32C0 : 'Unassigned [0x32C0]',
	0x32C1 : 'Unassigned [0x32C1]',
	0x32C2 : 'Unassigned [0x32C2]',
	0x32C3 : 'Unassigned [0x32C3]',
	0x32C4 : 'Unassigned [0x32C4]',
	0x32C5 : 'Unassigned [0x32C5]',
	0x32C6 : 'Unassigned [0x32C6]',
	0x32C7 : 'Unassigned [0x32C7]',
	0x32C8 : 'Unassigned [0x32C8]',
	0x32C9 : 'Unassigned [0x32C9]',
	0x32CA : 'Unassigned [0x32CA]',
	0x32CB : 'Unassigned [0x32CB]',
	0x32CC : 'Unassigned [0x32CC]',
	0x32CD : 'Unassigned [0x32CD]',
	0x32CE : 'Unassigned [0x32CE]',
	0x32CF : 'Unassigned [0x32CF]',
	0x32D0 : 'Unassigned [0x32D0]',
	0x32D1 : 'Unassigned [0x32D1]',
	0x32D2 : 'Unassigned [0x32D2]',
	0x32D3 : 'Unassigned [0x32D3]',
	0x32D4 : 'Unassigned [0x32D4]',
	0x32D5 : 'Unassigned [0x32D5]',
	0x32D6 : 'Unassigned [0x32D6]',
	0x32D7 : 'Unassigned [0x32D7]',
	0x32D8 : 'Unassigned [0x32D8]',
	0x32D9 : 'Unassigned [0x32D9]',
	0x32DA : 'Unassigned [0x32DA]',
	0x32DB : 'Unassigned [0x32DB]',
	0x32DC : 'Unassigned [0x32DC]',
	0x32DD : 'Unassigned [0x32DD]',
	0x32DE : 'Unassigned [0x32DE]',
	0x32DF : 'Unassigned [0x32DF]',
	0x32E0 : 'Unassigned [0x32E0]',
	0x32E1 : 'Unassigned [0x32E1]',
	0x32E2 : 'Unassigned [0x32E2]',
	0x32E3 : 'Unassigned [0x32E3]',
	0x32E4 : 'Unassigned [0x32E4]',
	0x32E5 : 'Unassigned [0x32E5]',
	0x32E6 : 'Unassigned [0x32E6]',
	0x32E7 : 'Unassigned [0x32E7]',
	0x32E8 : 'Unassigned [0x32E8]',
	0x32E9 : 'Unassigned [0x32E9]',
	0x32EA : 'Unassigned [0x32EA]',
	0x32EB : 'Unassigned [0x32EB]',
	0x32EC : 'Unassigned [0x32EC]',
	0x32ED : 'Unassigned [0x32ED]',
	0x32EE : 'Unassigned [0x32EE]',
	0x32EF : 'Unassigned [0x32EF]',
	0x32F0 : 'Unassigned [0x32F0]',
	0x32F1 : 'Unassigned [0x32F1]',
	0x32F2 : 'Unassigned [0x32F2]',
	0x32F3 : 'Unassigned [0x32F3]',
	0x32F4 : 'Unassigned [0x32F4]',
	0x32F5 : 'Unassigned [0x32F5]',
	0x32F6 : 'Unassigned [0x32F6]',
	0x32F7 : 'Unassigned [0x32F7]',
	0x32F8 : 'Unassigned [0x32F8]',
	0x32F9 : 'Unassigned [0x32F9]',
	0x32FA : 'Unassigned [0x32FA]',
	0x32FB : 'Unassigned [0x32FB]',
	0x32FC : 'Unassigned [0x32FC]',
	0x32FD : 'Unassigned [0x32FD]',
	0x32FE : 'Unassigned [0x32FE]',
	0x32FF : 'Unassigned [0x32FF]',
	0x3300 : 'Unassigned [0x3300]',
	0x3301 : 'Unassigned [0x3301]',
	0x3302 : 'Unassigned [0x3302]',
	0x3303 : 'Unassigned [0x3303]',
	0x3304 : 'Unassigned [0x3304]',
	0x3305 : 'Unassigned [0x3305]',
	0x3306 : 'Unassigned [0x3306]',
	0x3307 : 'Unassigned [0x3307]',
	0x3308 : 'Unassigned [0x3308]',
	0x3309 : 'Unassigned [0x3309]',
	0x330A : 'Unassigned [0x330A]',
	0x330B : 'Unassigned [0x330B]',
	0x330C : 'Unassigned [0x330C]',
	0x330D : 'Unassigned [0x330D]',
	0x330E : 'Unassigned [0x330E]',
	0x330F : 'Unassigned [0x330F]',
	0x3310 : 'Unassigned [0x3310]',
	0x3311 : 'Unassigned [0x3311]',
	0x3312 : 'Unassigned [0x3312]',
	0x3313 : 'Unassigned [0x3313]',
	0x3314 : 'Unassigned [0x3314]',
	0x3315 : 'Unassigned [0x3315]',
	0x3316 : 'Unassigned [0x3316]',
	0x3317 : 'Unassigned [0x3317]',
	0x3318 : 'Unassigned [0x3318]',
	0x3319 : 'Unassigned [0x3319]',
	0x331A : 'Unassigned [0x331A]',
	0x331B : 'Unassigned [0x331B]',
	0x331C : 'Unassigned [0x331C]',
	0x331D : 'Unassigned [0x331D]',
	0x331E : 'Unassigned [0x331E]',
	0x331F : 'Unassigned [0x331F]',
	0x3320 : 'Unassigned [0x3320]',
	0x3321 : 'Unassigned [0x3321]',
	0x3322 : 'Unassigned [0x3322]',
	0x3323 : 'Unassigned [0x3323]',
	0x3324 : 'Unassigned [0x3324]',
	0x3325 : 'Unassigned [0x3325]',
	0x3326 : 'Unassigned [0x3326]',
	0x3327 : 'Unassigned [0x3327]',
	0x3328 : 'Unassigned [0x3328]',
	0x3329 : 'Unassigned [0x3329]',
	0x332A : 'Unassigned [0x332A]',
	0x332B : 'Unassigned [0x332B]',
	0x332C : 'Unassigned [0x332C]',
	0x332D : 'Unassigned [0x332D]',
	0x332E : 'Unassigned [0x332E]',
	0x332F : 'Unassigned [0x332F]',
	0x3330 : 'Unassigned [0x3330]',
	0x3331 : 'Unassigned [0x3331]',
	0x3332 : 'Unassigned [0x3332]',
	0x3333 : 'Unassigned [0x3333]',
	0x3334 : 'Unassigned [0x3334]',
	0x3335 : 'Unassigned [0x3335]',
	0x3336 : 'Unassigned [0x3336]',
	0x3337 : 'Unassigned [0x3337]',
	0x3338 : 'Unassigned [0x3338]',
	0x3339 : 'Unassigned [0x3339]',
	0x333A : 'Unassigned [0x333A]',
	0x333B : 'Unassigned [0x333B]',
	0x333C : 'Unassigned [0x333C]',
	0x333D : 'Unassigned [0x333D]',
	0x333E : 'Unassigned [0x333E]',
	0x333F : 'Unassigned [0x333F]',
	0x3340 : 'Unassigned [0x3340]',
	0x3341 : 'Unassigned [0x3341]',
	0x3342 : 'Unassigned [0x3342]',
	0x3343 : 'Unassigned [0x3343]',
	0x3344 : 'Unassigned [0x3344]',
	0x3345 : 'Unassigned [0x3345]',
	0x3346 : 'Unassigned [0x3346]',
	0x3347 : 'Unassigned [0x3347]',
	0x3348 : 'Unassigned [0x3348]',
	0x3349 : 'Unassigned [0x3349]',
	0x334A : 'Unassigned [0x334A]',
	0x334B : 'Unassigned [0x334B]',
	0x334C : 'Unassigned [0x334C]',
	0x334D : 'Unassigned [0x334D]',
	0x334E : 'Unassigned [0x334E]',
	0x334F : 'Unassigned [0x334F]',
	0x3350 : 'Unassigned [0x3350]',
	0x3351 : 'Unassigned [0x3351]',
	0x3352 : 'Unassigned [0x3352]',
	0x3353 : 'Unassigned [0x3353]',
	0x3354 : 'Unassigned [0x3354]',
	0x3355 : 'Unassigned [0x3355]',
	0x3356 : 'Unassigned [0x3356]',
	0x3357 : 'Unassigned [0x3357]',
	0x3358 : 'Unassigned [0x3358]',
	0x3359 : 'Unassigned [0x3359]',
	0x335A : 'Unassigned [0x335A]',
	0x335B : 'Unassigned [0x335B]',
	0x335C : 'Unassigned [0x335C]',
	0x335D : 'Unassigned [0x335D]',
	0x335E : 'Unassigned [0x335E]',
	0x335F : 'Unassigned [0x335F]',
	0x3360 : 'Unassigned [0x3360]',
	0x3361 : 'Unassigned [0x3361]',
	0x3362 : 'Unassigned [0x3362]',
	0x3363 : 'Unassigned [0x3363]',
	0x3364 : 'Unassigned [0x3364]',
	0x3365 : 'Unassigned [0x3365]',
	0x3366 : 'Unassigned [0x3366]',
	0x3367 : 'Unassigned [0x3367]',
	0x3368 : 'Unassigned [0x3368]',
	0x3369 : 'Unassigned [0x3369]',
	0x336A : 'Unassigned [0x336A]',
	0x336B : 'Unassigned [0x336B]',
	0x336C : 'Unassigned [0x336C]',
	0x336D : 'Unassigned [0x336D]',
	0x336E : 'Unassigned [0x336E]',
	0x336F : 'Unassigned [0x336F]',
	0x3370 : 'Unassigned [0x3370]',
	0x3371 : 'Unassigned [0x3371]',
	0x3372 : 'Unassigned [0x3372]',
	0x3373 : 'Unassigned [0x3373]',
	0x3374 : 'Unassigned [0x3374]',
	0x3375 : 'Unassigned [0x3375]',
	0x3376 : 'Unassigned [0x3376]',
	0x3377 : 'Unassigned [0x3377]',
	0x3378 : 'Unassigned [0x3378]',
	0x3379 : 'Unassigned [0x3379]',
	0x337A : 'Unassigned [0x337A]',
	0x337B : 'Unassigned [0x337B]',
	0x337C : 'Unassigned [0x337C]',
	0x337D : 'Unassigned [0x337D]',
	0x337E : 'Unassigned [0x337E]',
	0x337F : 'Unassigned [0x337F]',
	0x3380 : 'Unassigned [0x3380]',
	0x3381 : 'Unassigned [0x3381]',
	0x3382 : 'Unassigned [0x3382]',
	0x3383 : 'Unassigned [0x3383]',
	0x3384 : 'Unassigned [0x3384]',
	0x3385 : 'Unassigned [0x3385]',
	0x3386 : 'Unassigned [0x3386]',
	0x3387 : 'Unassigned [0x3387]',
	0x3388 : 'Unassigned [0x3388]',
	0x3389 : 'Unassigned [0x3389]',
	0x338A : 'Unassigned [0x338A]',
	0x338B : 'Unassigned [0x338B]',
	0x338C : 'Unassigned [0x338C]',
	0x338D : 'Unassigned [0x338D]',
	0x338E : 'Unassigned [0x338E]',
	0x338F : 'Unassigned [0x338F]',
	0x3390 : 'Unassigned [0x3390]',
	0x3391 : 'Unassigned [0x3391]',
	0x3392 : 'Unassigned [0x3392]',
	0x3393 : 'Unassigned [0x3393]',
	0x3394 : 'Unassigned [0x3394]',
	0x3395 : 'Unassigned [0x3395]',
	0x3396 : 'Unassigned [0x3396]',
	0x3397 : 'Unassigned [0x3397]',
	0x3398 : 'Unassigned [0x3398]',
	0x3399 : 'Unassigned [0x3399]',
	0x339A : 'Unassigned [0x339A]',
	0x339B : 'Unassigned [0x339B]',
	0x339C : 'Unassigned [0x339C]',
	0x339D : 'Unassigned [0x339D]',
	0x339E : 'Unassigned [0x339E]',
	0x339F : 'Unassigned [0x339F]',
	0x33A0 : 'Unassigned [0x33A0]',
	0x33A1 : 'Unassigned [0x33A1]',
	0x33A2 : 'Unassigned [0x33A2]',
	0x33A3 : 'Unassigned [0x33A3]',
	0x33A4 : 'Unassigned [0x33A4]',
	0x33A5 : 'Unassigned [0x33A5]',
	0x33A6 : 'Unassigned [0x33A6]',
	0x33A7 : 'Unassigned [0x33A7]',
	0x33A8 : 'Unassigned [0x33A8]',
	0x33A9 : 'Unassigned [0x33A9]',
	0x33AA : 'Unassigned [0x33AA]',
	0x33AB : 'Unassigned [0x33AB]',
	0x33AC : 'Unassigned [0x33AC]',
	0x33AD : 'Unassigned [0x33AD]',
	0x33AE : 'Unassigned [0x33AE]',
	0x33AF : 'Unassigned [0x33AF]',
	0x33B0 : 'Unassigned [0x33B0]',
	0x33B1 : 'Unassigned [0x33B1]',
	0x33B2 : 'Unassigned [0x33B2]',
	0x33B3 : 'Unassigned [0x33B3]',
	0x33B4 : 'Unassigned [0x33B4]',
	0x33B5 : 'Unassigned [0x33B5]',
	0x33B6 : 'Unassigned [0x33B6]',
	0x33B7 : 'Unassigned [0x33B7]',
	0x33B8 : 'Unassigned [0x33B8]',
	0x33B9 : 'Unassigned [0x33B9]',
	0x33BA : 'Unassigned [0x33BA]',
	0x33BB : 'Unassigned [0x33BB]',
	0x33BC : 'Unassigned [0x33BC]',
	0x33BD : 'Unassigned [0x33BD]',
	0x33BE : 'Unassigned [0x33BE]',
	0x33BF : 'Unassigned [0x33BF]',
	0x33C0 : 'Unassigned [0x33C0]',
	0x33C1 : 'Unassigned [0x33C1]',
	0x33C2 : 'Unassigned [0x33C2]',
	0x33C3 : 'Unassigned [0x33C3]',
	0x33C4 : 'Unassigned [0x33C4]',
	0x33C5 : 'Unassigned [0x33C5]',
	0x33C6 : 'Unassigned [0x33C6]',
	0x33C7 : 'Unassigned [0x33C7]',
	0x33C8 : 'Unassigned [0x33C8]',
	0x33C9 : 'Unassigned [0x33C9]',
	0x33CA : 'Unassigned [0x33CA]',
	0x33CB : 'Unassigned [0x33CB]',
	0x33CC : 'Unassigned [0x33CC]',
	0x33CD : 'Unassigned [0x33CD]',
	0x33CE : 'Unassigned [0x33CE]',
	0x33CF : 'Unassigned [0x33CF]',
	0x33D0 : 'Unassigned [0x33D0]',
	0x33D1 : 'Unassigned [0x33D1]',
	0x33D2 : 'Unassigned [0x33D2]',
	0x33D3 : 'Unassigned [0x33D3]',
	0x33D4 : 'Unassigned [0x33D4]',
	0x33D5 : 'Unassigned [0x33D5]',
	0x33D6 : 'Unassigned [0x33D6]',
	0x33D7 : 'Unassigned [0x33D7]',
	0x33D8 : 'Unassigned [0x33D8]',
	0x33D9 : 'Unassigned [0x33D9]',
	0x33DA : 'Unassigned [0x33DA]',
	0x33DB : 'Unassigned [0x33DB]',
	0x33DC : 'Unassigned [0x33DC]',
	0x33DD : 'Unassigned [0x33DD]',
	0x33DE : 'Unassigned [0x33DE]',
	0x33DF : 'Unassigned [0x33DF]',
	0x33E0 : 'Unassigned [0x33E0]',
	0x33E1 : 'Unassigned [0x33E1]',
	0x33E2 : 'Unassigned [0x33E2]',
	0x33E3 : 'Unassigned [0x33E3]',
	0x33E4 : 'Unassigned [0x33E4]',
	0x33E5 : 'Unassigned [0x33E5]',
	0x33E6 : 'Unassigned [0x33E6]',
	0x33E7 : 'Unassigned [0x33E7]',
	0x33E8 : 'Unassigned [0x33E8]',
	0x33E9 : 'Unassigned [0x33E9]',
	0x33EA : 'Unassigned [0x33EA]',
	0x33EB : 'Unassigned [0x33EB]',
	0x33EC : 'Unassigned [0x33EC]',
	0x33ED : 'Unassigned [0x33ED]',
	0x33EE : 'Unassigned [0x33EE]',
	0x33EF : 'Unassigned [0x33EF]',
	0x33F0 : 'Unassigned [0x33F0]',
	0x33F1 : 'Unassigned [0x33F1]',
	0x33F2 : 'Unassigned [0x33F2]',
	0x33F3 : 'Unassigned [0x33F3]',
	0x33F4 : 'Unassigned [0x33F4]',
	0x33F5 : 'Unassigned [0x33F5]',
	0x33F6 : 'Unassigned [0x33F6]',
	0x33F7 : 'Unassigned [0x33F7]',
	0x33F8 : 'Unassigned [0x33F8]',
	0x33F9 : 'Unassigned [0x33F9]',
	0x33FA : 'Unassigned [0x33FA]',
	0x33FB : 'Unassigned [0x33FB]',
	0x33FC : 'Unassigned [0x33FC]',
	0x33FD : 'Unassigned [0x33FD]',
	0x33FE : 'Unassigned [0x33FE]',
	0x33FF : 'Unassigned [0x33FF]',
	0x3400 : 'Unassigned [0x3400]',
	0x3401 : 'Unassigned [0x3401]',
	0x3402 : 'Unassigned [0x3402]',
	0x3403 : 'Unassigned [0x3403]',
	0x3404 : 'Unassigned [0x3404]',
	0x3405 : 'Unassigned [0x3405]',
	0x3406 : 'Unassigned [0x3406]',
	0x3407 : 'Unassigned [0x3407]',
	0x3408 : 'Unassigned [0x3408]',
	0x3409 : 'Unassigned [0x3409]',
	0x340A : 'Unassigned [0x340A]',
	0x340B : 'Unassigned [0x340B]',
	0x340C : 'Unassigned [0x340C]',
	0x340D : 'Unassigned [0x340D]',
	0x340E : 'Unassigned [0x340E]',
	0x340F : 'Unassigned [0x340F]',
	0x3410 : 'Unassigned [0x3410]',
	0x3411 : 'Unassigned [0x3411]',
	0x3412 : 'Unassigned [0x3412]',
	0x3413 : 'Unassigned [0x3413]',
	0x3414 : 'Unassigned [0x3414]',
	0x3415 : 'Unassigned [0x3415]',
	0x3416 : 'Unassigned [0x3416]',
	0x3417 : 'Unassigned [0x3417]',
	0x3418 : 'Unassigned [0x3418]',
	0x3419 : 'Unassigned [0x3419]',
	0x341A : 'Unassigned [0x341A]',
	0x341B : 'Unassigned [0x341B]',
	0x341C : 'Unassigned [0x341C]',
	0x341D : 'Unassigned [0x341D]',
	0x341E : 'Unassigned [0x341E]',
	0x341F : 'Unassigned [0x341F]',
	0x3420 : 'Unassigned [0x3420]',
	0x3421 : 'Unassigned [0x3421]',
	0x3422 : 'Unassigned [0x3422]',
	0x3423 : 'Unassigned [0x3423]',
	0x3424 : 'Unassigned [0x3424]',
	0x3425 : 'Unassigned [0x3425]',
	0x3426 : 'Unassigned [0x3426]',
	0x3427 : 'Unassigned [0x3427]',
	0x3428 : 'Unassigned [0x3428]',
	0x3429 : 'Unassigned [0x3429]',
	0x342A : 'Unassigned [0x342A]',
	0x342B : 'Unassigned [0x342B]',
	0x342C : 'Unassigned [0x342C]',
	0x342D : 'Unassigned [0x342D]',
	0x342E : 'Unassigned [0x342E]',
	0x342F : 'Unassigned [0x342F]',
	0x3430 : 'Unassigned [0x3430]',
	0x3431 : 'Unassigned [0x3431]',
	0x3432 : 'Unassigned [0x3432]',
	0x3433 : 'Unassigned [0x3433]',
	0x3434 : 'Unassigned [0x3434]',
	0x3435 : 'Unassigned [0x3435]',
	0x3436 : 'Unassigned [0x3436]',
	0x3437 : 'Unassigned [0x3437]',
	0x3438 : 'Unassigned [0x3438]',
	0x3439 : 'Unassigned [0x3439]',
	0x343A : 'Unassigned [0x343A]',
	0x343B : 'Unassigned [0x343B]',
	0x343C : 'Unassigned [0x343C]',
	0x343D : 'Unassigned [0x343D]',
	0x343E : 'Unassigned [0x343E]',
	0x343F : 'Unassigned [0x343F]',
	0x3440 : 'Unassigned [0x3440]',
	0x3441 : 'Unassigned [0x3441]',
	0x3442 : 'Unassigned [0x3442]',
	0x3443 : 'Unassigned [0x3443]',
	0x3444 : 'Unassigned [0x3444]',
	0x3445 : 'Unassigned [0x3445]',
	0x3446 : 'Unassigned [0x3446]',
	0x3447 : 'Unassigned [0x3447]',
	0x3448 : 'Unassigned [0x3448]',
	0x3449 : 'Unassigned [0x3449]',
	0x344A : 'Unassigned [0x344A]',
	0x344B : 'Unassigned [0x344B]',
	0x344C : 'Unassigned [0x344C]',
	0x344D : 'Unassigned [0x344D]',
	0x344E : 'Unassigned [0x344E]',
	0x344F : 'Unassigned [0x344F]',
	0x3450 : 'Unassigned [0x3450]',
	0x3451 : 'Unassigned [0x3451]',
	0x3452 : 'Unassigned [0x3452]',
	0x3453 : 'Unassigned [0x3453]',
	0x3454 : 'Unassigned [0x3454]',
	0x3455 : 'Unassigned [0x3455]',
	0x3456 : 'Unassigned [0x3456]',
	0x3457 : 'Unassigned [0x3457]',
	0x3458 : 'Unassigned [0x3458]',
	0x3459 : 'Unassigned [0x3459]',
	0x345A : 'Unassigned [0x345A]',
	0x345B : 'Unassigned [0x345B]',
	0x345C : 'Unassigned [0x345C]',
	0x345D : 'Unassigned [0x345D]',
	0x345E : 'Unassigned [0x345E]',
	0x345F : 'Unassigned [0x345F]',
	0x3460 : 'Unassigned [0x3460]',
	0x3461 : 'Unassigned [0x3461]',
	0x3462 : 'Unassigned [0x3462]',
	0x3463 : 'Unassigned [0x3463]',
	0x3464 : 'Unassigned [0x3464]',
	0x3465 : 'Unassigned [0x3465]',
	0x3466 : 'Unassigned [0x3466]',
	0x3467 : 'Unassigned [0x3467]',
	0x3468 : 'Unassigned [0x3468]',
	0x3469 : 'Unassigned [0x3469]',
	0x346A : 'Unassigned [0x346A]',
	0x346B : 'Unassigned [0x346B]',
	0x346C : 'Unassigned [0x346C]',
	0x346D : 'Unassigned [0x346D]',
	0x346E : 'Unassigned [0x346E]',
	0x346F : 'Unassigned [0x346F]',
	0x3470 : 'Unassigned [0x3470]',
	0x3471 : 'Unassigned [0x3471]',
	0x3472 : 'Unassigned [0x3472]',
	0x3473 : 'Unassigned [0x3473]',
	0x3474 : 'Unassigned [0x3474]',
	0x3475 : 'Unassigned [0x3475]',
	0x3476 : 'Unassigned [0x3476]',
	0x3477 : 'Unassigned [0x3477]',
	0x3478 : 'Unassigned [0x3478]',
	0x3479 : 'Unassigned [0x3479]',
	0x347A : 'Unassigned [0x347A]',
	0x347B : 'Unassigned [0x347B]',
	0x347C : 'Unassigned [0x347C]',
	0x347D : 'Unassigned [0x347D]',
	0x347E : 'Unassigned [0x347E]',
	0x347F : 'Unassigned [0x347F]',
	0x3480 : 'Unassigned [0x3480]',
	0x3481 : 'Unassigned [0x3481]',
	0x3482 : 'Unassigned [0x3482]',
	0x3483 : 'Unassigned [0x3483]',
	0x3484 : 'Unassigned [0x3484]',
	0x3485 : 'Unassigned [0x3485]',
	0x3486 : 'Unassigned [0x3486]',
	0x3487 : 'Unassigned [0x3487]',
	0x3488 : 'Unassigned [0x3488]',
	0x3489 : 'Unassigned [0x3489]',
	0x348A : 'Unassigned [0x348A]',
	0x348B : 'Unassigned [0x348B]',
	0x348C : 'Unassigned [0x348C]',
	0x348D : 'Unassigned [0x348D]',
	0x348E : 'Unassigned [0x348E]',
	0x348F : 'Unassigned [0x348F]',
	0x3490 : 'Unassigned [0x3490]',
	0x3491 : 'Unassigned [0x3491]',
	0x3492 : 'Unassigned [0x3492]',
	0x3493 : 'Unassigned [0x3493]',
	0x3494 : 'Unassigned [0x3494]',
	0x3495 : 'Unassigned [0x3495]',
	0x3496 : 'Unassigned [0x3496]',
	0x3497 : 'Unassigned [0x3497]',
	0x3498 : 'Unassigned [0x3498]',
	0x3499 : 'Unassigned [0x3499]',
	0x349A : 'Unassigned [0x349A]',
	0x349B : 'Unassigned [0x349B]',
	0x349C : 'Unassigned [0x349C]',
	0x349D : 'Unassigned [0x349D]',
	0x349E : 'Unassigned [0x349E]',
	0x349F : 'Unassigned [0x349F]',
	0x34A0 : 'Unassigned [0x34A0]',
	0x34A1 : 'Unassigned [0x34A1]',
	0x34A2 : 'Unassigned [0x34A2]',
	0x34A3 : 'Unassigned [0x34A3]',
	0x34A4 : 'Unassigned [0x34A4]',
	0x34A5 : 'Unassigned [0x34A5]',
	0x34A6 : 'Unassigned [0x34A6]',
	0x34A7 : 'Unassigned [0x34A7]',
	0x34A8 : 'Unassigned [0x34A8]',
	0x34A9 : 'Unassigned [0x34A9]',
	0x34AA : 'Unassigned [0x34AA]',
	0x34AB : 'Unassigned [0x34AB]',
	0x34AC : 'Unassigned [0x34AC]',
	0x34AD : 'Unassigned [0x34AD]',
	0x34AE : 'Unassigned [0x34AE]',
	0x34AF : 'Unassigned [0x34AF]',
	0x34B0 : 'Unassigned [0x34B0]',
	0x34B1 : 'Unassigned [0x34B1]',
	0x34B2 : 'Unassigned [0x34B2]',
	0x34B3 : 'Unassigned [0x34B3]',
	0x34B4 : 'Unassigned [0x34B4]',
	0x34B5 : 'Unassigned [0x34B5]',
	0x34B6 : 'Unassigned [0x34B6]',
	0x34B7 : 'Unassigned [0x34B7]',
	0x34B8 : 'Unassigned [0x34B8]',
	0x34B9 : 'Unassigned [0x34B9]',
	0x34BA : 'Unassigned [0x34BA]',
	0x34BB : 'Unassigned [0x34BB]',
	0x34BC : 'Unassigned [0x34BC]',
	0x34BD : 'Unassigned [0x34BD]',
	0x34BE : 'Unassigned [0x34BE]',
	0x34BF : 'Unassigned [0x34BF]',
	0x34C0 : 'Unassigned [0x34C0]',
	0x34C1 : 'Unassigned [0x34C1]',
	0x34C2 : 'Unassigned [0x34C2]',
	0x34C3 : 'Unassigned [0x34C3]',
	0x34C4 : 'Unassigned [0x34C4]',
	0x34C5 : 'Unassigned [0x34C5]',
	0x34C6 : 'Unassigned [0x34C6]',
	0x34C7 : 'Unassigned [0x34C7]',
	0x34C8 : 'Unassigned [0x34C8]',
	0x34C9 : 'Unassigned [0x34C9]',
	0x34CA : 'Unassigned [0x34CA]',
	0x34CB : 'Unassigned [0x34CB]',
	0x34CC : 'Unassigned [0x34CC]',
	0x34CD : 'Unassigned [0x34CD]',
	0x34CE : 'Unassigned [0x34CE]',
	0x34CF : 'Unassigned [0x34CF]',
	0x34D0 : 'Unassigned [0x34D0]',
	0x34D1 : 'Unassigned [0x34D1]',
	0x34D2 : 'Unassigned [0x34D2]',
	0x34D3 : 'Unassigned [0x34D3]',
	0x34D4 : 'Unassigned [0x34D4]',
	0x34D5 : 'Unassigned [0x34D5]',
	0x34D6 : 'Unassigned [0x34D6]',
	0x34D7 : 'Unassigned [0x34D7]',
	0x34D8 : 'Unassigned [0x34D8]',
	0x34D9 : 'Unassigned [0x34D9]',
	0x34DA : 'Unassigned [0x34DA]',
	0x34DB : 'Unassigned [0x34DB]',
	0x34DC : 'Unassigned [0x34DC]',
	0x34DD : 'Unassigned [0x34DD]',
	0x34DE : 'Unassigned [0x34DE]',
	0x34DF : 'Unassigned [0x34DF]',
	0x34E0 : 'Unassigned [0x34E0]',
	0x34E1 : 'Unassigned [0x34E1]',
	0x34E2 : 'Unassigned [0x34E2]',
	0x34E3 : 'Unassigned [0x34E3]',
	0x34E4 : 'Unassigned [0x34E4]',
	0x34E5 : 'Unassigned [0x34E5]',
	0x34E6 : 'Unassigned [0x34E6]',
	0x34E7 : 'Unassigned [0x34E7]',
	0x34E8 : 'Unassigned [0x34E8]',
	0x34E9 : 'Unassigned [0x34E9]',
	0x34EA : 'Unassigned [0x34EA]',
	0x34EB : 'Unassigned [0x34EB]',
	0x34EC : 'Unassigned [0x34EC]',
	0x34ED : 'Unassigned [0x34ED]',
	0x34EE : 'Unassigned [0x34EE]',
	0x34EF : 'Unassigned [0x34EF]',
	0x34F0 : 'Unassigned [0x34F0]',
	0x34F1 : 'Unassigned [0x34F1]',
	0x34F2 : 'Unassigned [0x34F2]',
	0x34F3 : 'Unassigned [0x34F3]',
	0x34F4 : 'Unassigned [0x34F4]',
	0x34F5 : 'Unassigned [0x34F5]',
	0x34F6 : 'Unassigned [0x34F6]',
	0x34F7 : 'Unassigned [0x34F7]',
	0x34F8 : 'Unassigned [0x34F8]',
	0x34F9 : 'Unassigned [0x34F9]',
	0x34FA : 'Unassigned [0x34FA]',
	0x34FB : 'Unassigned [0x34FB]',
	0x34FC : 'Unassigned [0x34FC]',
	0x34FD : 'Unassigned [0x34FD]',
	0x34FE : 'Unassigned [0x34FE]',
	0x34FF : 'Unassigned [0x34FF]',
	0x3500 : 'Unassigned [0x3500]',
	0x3501 : 'Unassigned [0x3501]',
	0x3502 : 'Unassigned [0x3502]',
	0x3503 : 'Unassigned [0x3503]',
	0x3504 : 'Unassigned [0x3504]',
	0x3505 : 'Unassigned [0x3505]',
	0x3506 : 'Unassigned [0x3506]',
	0x3507 : 'Unassigned [0x3507]',
	0x3508 : 'Unassigned [0x3508]',
	0x3509 : 'Unassigned [0x3509]',
	0x350A : 'Unassigned [0x350A]',
	0x350B : 'Unassigned [0x350B]',
	0x350C : 'Unassigned [0x350C]',
	0x350D : 'Unassigned [0x350D]',
	0x350E : 'Unassigned [0x350E]',
	0x350F : 'Unassigned [0x350F]',
	0x3510 : 'Unassigned [0x3510]',
	0x3511 : 'Unassigned [0x3511]',
	0x3512 : 'Unassigned [0x3512]',
	0x3513 : 'Unassigned [0x3513]',
	0x3514 : 'Unassigned [0x3514]',
	0x3515 : 'Unassigned [0x3515]',
	0x3516 : 'Unassigned [0x3516]',
	0x3517 : 'Unassigned [0x3517]',
	0x3518 : 'Unassigned [0x3518]',
	0x3519 : 'Unassigned [0x3519]',
	0x351A : 'Unassigned [0x351A]',
	0x351B : 'Unassigned [0x351B]',
	0x351C : 'Unassigned [0x351C]',
	0x351D : 'Unassigned [0x351D]',
	0x351E : 'Unassigned [0x351E]',
	0x351F : 'Unassigned [0x351F]',
	0x3520 : 'Unassigned [0x3520]',
	0x3521 : 'Unassigned [0x3521]',
	0x3522 : 'Unassigned [0x3522]',
	0x3523 : 'Unassigned [0x3523]',
	0x3524 : 'Unassigned [0x3524]',
	0x3525 : 'Unassigned [0x3525]',
	0x3526 : 'Unassigned [0x3526]',
	0x3527 : 'Unassigned [0x3527]',
	0x3528 : 'Unassigned [0x3528]',
	0x3529 : 'Unassigned [0x3529]',
	0x352A : 'Unassigned [0x352A]',
	0x352B : 'Unassigned [0x352B]',
	0x352C : 'Unassigned [0x352C]',
	0x352D : 'Unassigned [0x352D]',
	0x352E : 'Unassigned [0x352E]',
	0x352F : 'Unassigned [0x352F]',
	0x3530 : 'Unassigned [0x3530]',
	0x3531 : 'Unassigned [0x3531]',
	0x3532 : 'Unassigned [0x3532]',
	0x3533 : 'Unassigned [0x3533]',
	0x3534 : 'Unassigned [0x3534]',
	0x3535 : 'Unassigned [0x3535]',
	0x3536 : 'Unassigned [0x3536]',
	0x3537 : 'Unassigned [0x3537]',
	0x3538 : 'Unassigned [0x3538]',
	0x3539 : 'Unassigned [0x3539]',
	0x353A : 'Unassigned [0x353A]',
	0x353B : 'Unassigned [0x353B]',
	0x353C : 'Unassigned [0x353C]',
	0x353D : 'Unassigned [0x353D]',
	0x353E : 'Unassigned [0x353E]',
	0x353F : 'Unassigned [0x353F]',
	0x3540 : 'Unassigned [0x3540]',
	0x3541 : 'Unassigned [0x3541]',
	0x3542 : 'Unassigned [0x3542]',
	0x3543 : 'Unassigned [0x3543]',
	0x3544 : 'Unassigned [0x3544]',
	0x3545 : 'Unassigned [0x3545]',
	0x3546 : 'Unassigned [0x3546]',
	0x3547 : 'Unassigned [0x3547]',
	0x3548 : 'Unassigned [0x3548]',
	0x3549 : 'Unassigned [0x3549]',
	0x354A : 'Unassigned [0x354A]',
	0x354B : 'Unassigned [0x354B]',
	0x354C : 'Unassigned [0x354C]',
	0x354D : 'Unassigned [0x354D]',
	0x354E : 'Unassigned [0x354E]',
	0x354F : 'Unassigned [0x354F]',
	0x3550 : 'Unassigned [0x3550]',
	0x3551 : 'Unassigned [0x3551]',
	0x3552 : 'Unassigned [0x3552]',
	0x3553 : 'Unassigned [0x3553]',
	0x3554 : 'Unassigned [0x3554]',
	0x3555 : 'Unassigned [0x3555]',
	0x3556 : 'Unassigned [0x3556]',
	0x3557 : 'Unassigned [0x3557]',
	0x3558 : 'Unassigned [0x3558]',
	0x3559 : 'Unassigned [0x3559]',
	0x355A : 'Unassigned [0x355A]',
	0x355B : 'Unassigned [0x355B]',
	0x355C : 'Unassigned [0x355C]',
	0x355D : 'Unassigned [0x355D]',
	0x355E : 'Unassigned [0x355E]',
	0x355F : 'Unassigned [0x355F]',
	0x3560 : 'Unassigned [0x3560]',
	0x3561 : 'Unassigned [0x3561]',
	0x3562 : 'Unassigned [0x3562]',
	0x3563 : 'Unassigned [0x3563]',
	0x3564 : 'Unassigned [0x3564]',
	0x3565 : 'Unassigned [0x3565]',
	0x3566 : 'Unassigned [0x3566]',
	0x3567 : 'Unassigned [0x3567]',
	0x3568 : 'Unassigned [0x3568]',
	0x3569 : 'Unassigned [0x3569]',
	0x356A : 'Unassigned [0x356A]',
	0x356B : 'Unassigned [0x356B]',
	0x356C : 'Unassigned [0x356C]',
	0x356D : 'Unassigned [0x356D]',
	0x356E : 'Unassigned [0x356E]',
	0x356F : 'Unassigned [0x356F]',
	0x3570 : 'Unassigned [0x3570]',
	0x3571 : 'Unassigned [0x3571]',
	0x3572 : 'Unassigned [0x3572]',
	0x3573 : 'Unassigned [0x3573]',
	0x3574 : 'Unassigned [0x3574]',
	0x3575 : 'Unassigned [0x3575]',
	0x3576 : 'Unassigned [0x3576]',
	0x3577 : 'Unassigned [0x3577]',
	0x3578 : 'Unassigned [0x3578]',
	0x3579 : 'Unassigned [0x3579]',
	0x357A : 'Unassigned [0x357A]',
	0x357B : 'Unassigned [0x357B]',
	0x357C : 'Unassigned [0x357C]',
	0x357D : 'Unassigned [0x357D]',
	0x357E : 'Unassigned [0x357E]',
	0x357F : 'Unassigned [0x357F]',
	0x3580 : 'Unassigned [0x3580]',
	0x3581 : 'Unassigned [0x3581]',
	0x3582 : 'Unassigned [0x3582]',
	0x3583 : 'Unassigned [0x3583]',
	0x3584 : 'Unassigned [0x3584]',
	0x3585 : 'Unassigned [0x3585]',
	0x3586 : 'Unassigned [0x3586]',
	0x3587 : 'Unassigned [0x3587]',
	0x3588 : 'Unassigned [0x3588]',
	0x3589 : 'Unassigned [0x3589]',
	0x358A : 'Unassigned [0x358A]',
	0x358B : 'Unassigned [0x358B]',
	0x358C : 'Unassigned [0x358C]',
	0x358D : 'Unassigned [0x358D]',
	0x358E : 'Unassigned [0x358E]',
	0x358F : 'Unassigned [0x358F]',
	0x3590 : 'Unassigned [0x3590]',
	0x3591 : 'Unassigned [0x3591]',
	0x3592 : 'Unassigned [0x3592]',
	0x3593 : 'Unassigned [0x3593]',
	0x3594 : 'Unassigned [0x3594]',
	0x3595 : 'Unassigned [0x3595]',
	0x3596 : 'Unassigned [0x3596]',
	0x3597 : 'Unassigned [0x3597]',
	0x3598 : 'Unassigned [0x3598]',
	0x3599 : 'Unassigned [0x3599]',
	0x359A : 'Unassigned [0x359A]',
	0x359B : 'Unassigned [0x359B]',
	0x359C : 'Unassigned [0x359C]',
	0x359D : 'Unassigned [0x359D]',
	0x359E : 'Unassigned [0x359E]',
	0x359F : 'Unassigned [0x359F]',
	0x35A0 : 'Unassigned [0x35A0]',
	0x35A1 : 'Unassigned [0x35A1]',
	0x35A2 : 'Unassigned [0x35A2]',
	0x35A3 : 'Unassigned [0x35A3]',
	0x35A4 : 'Unassigned [0x35A4]',
	0x35A5 : 'Unassigned [0x35A5]',
	0x35A6 : 'Unassigned [0x35A6]',
	0x35A7 : 'Unassigned [0x35A7]',
	0x35A8 : 'Unassigned [0x35A8]',
	0x35A9 : 'Unassigned [0x35A9]',
	0x35AA : 'Unassigned [0x35AA]',
	0x35AB : 'Unassigned [0x35AB]',
	0x35AC : 'Unassigned [0x35AC]',
	0x35AD : 'Unassigned [0x35AD]',
	0x35AE : 'Unassigned [0x35AE]',
	0x35AF : 'Unassigned [0x35AF]',
	0x35B0 : 'Unassigned [0x35B0]',
	0x35B1 : 'Unassigned [0x35B1]',
	0x35B2 : 'Unassigned [0x35B2]',
	0x35B3 : 'Unassigned [0x35B3]',
	0x35B4 : 'Unassigned [0x35B4]',
	0x35B5 : 'Unassigned [0x35B5]',
	0x35B6 : 'Unassigned [0x35B6]',
	0x35B7 : 'Unassigned [0x35B7]',
	0x35B8 : 'Unassigned [0x35B8]',
	0x35B9 : 'Unassigned [0x35B9]',
	0x35BA : 'Unassigned [0x35BA]',
	0x35BB : 'Unassigned [0x35BB]',
	0x35BC : 'Unassigned [0x35BC]',
	0x35BD : 'Unassigned [0x35BD]',
	0x35BE : 'Unassigned [0x35BE]',
	0x35BF : 'Unassigned [0x35BF]',
	0x35C0 : 'Unassigned [0x35C0]',
	0x35C1 : 'Unassigned [0x35C1]',
	0x35C2 : 'Unassigned [0x35C2]',
	0x35C3 : 'Unassigned [0x35C3]',
	0x35C4 : 'Unassigned [0x35C4]',
	0x35C5 : 'Unassigned [0x35C5]',
	0x35C6 : 'Unassigned [0x35C6]',
	0x35C7 : 'Unassigned [0x35C7]',
	0x35C8 : 'Unassigned [0x35C8]',
	0x35C9 : 'Unassigned [0x35C9]',
	0x35CA : 'Unassigned [0x35CA]',
	0x35CB : 'Unassigned [0x35CB]',
	0x35CC : 'Unassigned [0x35CC]',
	0x35CD : 'Unassigned [0x35CD]',
	0x35CE : 'Unassigned [0x35CE]',
	0x35CF : 'Unassigned [0x35CF]',
	0x35D0 : 'Unassigned [0x35D0]',
	0x35D1 : 'Unassigned [0x35D1]',
	0x35D2 : 'Unassigned [0x35D2]',
	0x35D3 : 'Unassigned [0x35D3]',
	0x35D4 : 'Unassigned [0x35D4]',
	0x35D5 : 'Unassigned [0x35D5]',
	0x35D6 : 'Unassigned [0x35D6]',
	0x35D7 : 'Unassigned [0x35D7]',
	0x35D8 : 'Unassigned [0x35D8]',
	0x35D9 : 'Unassigned [0x35D9]',
	0x35DA : 'Unassigned [0x35DA]',
	0x35DB : 'Unassigned [0x35DB]',
	0x35DC : 'Unassigned [0x35DC]',
	0x35DD : 'Unassigned [0x35DD]',
	0x35DE : 'Unassigned [0x35DE]',
	0x35DF : 'Unassigned [0x35DF]',
	0x35E0 : 'Unassigned [0x35E0]',
	0x35E1 : 'Unassigned [0x35E1]',
	0x35E2 : 'Unassigned [0x35E2]',
	0x35E3 : 'Unassigned [0x35E3]',
	0x35E4 : 'Unassigned [0x35E4]',
	0x35E5 : 'Unassigned [0x35E5]',
	0x35E6 : 'Unassigned [0x35E6]',
	0x35E7 : 'Unassigned [0x35E7]',
	0x35E8 : 'Unassigned [0x35E8]',
	0x35E9 : 'Unassigned [0x35E9]',
	0x35EA : 'Unassigned [0x35EA]',
	0x35EB : 'Unassigned [0x35EB]',
	0x35EC : 'Unassigned [0x35EC]',
	0x35ED : 'Unassigned [0x35ED]',
	0x35EE : 'Unassigned [0x35EE]',
	0x35EF : 'Unassigned [0x35EF]',
	0x35F0 : 'Unassigned [0x35F0]',
	0x35F1 : 'Unassigned [0x35F1]',
	0x35F2 : 'Unassigned [0x35F2]',
	0x35F3 : 'Unassigned [0x35F3]',
	0x35F4 : 'Unassigned [0x35F4]',
	0x35F5 : 'Unassigned [0x35F5]',
	0x35F6 : 'Unassigned [0x35F6]',
	0x35F7 : 'Unassigned [0x35F7]',
	0x35F8 : 'Unassigned [0x35F8]',
	0x35F9 : 'Unassigned [0x35F9]',
	0x35FA : 'Unassigned [0x35FA]',
	0x35FB : 'Unassigned [0x35FB]',
	0x35FC : 'Unassigned [0x35FC]',
	0x35FD : 'Unassigned [0x35FD]',
	0x35FE : 'Unassigned [0x35FE]',
	0x35FF : 'Unassigned [0x35FF]',
	0x3600 : 'Unassigned [0x3600]',
	0x3601 : 'Unassigned [0x3601]',
	0x3602 : 'Unassigned [0x3602]',
	0x3603 : 'Unassigned [0x3603]',
	0x3604 : 'Unassigned [0x3604]',
	0x3605 : 'Unassigned [0x3605]',
	0x3606 : 'Unassigned [0x3606]',
	0x3607 : 'Unassigned [0x3607]',
	0x3608 : 'Unassigned [0x3608]',
	0x3609 : 'Unassigned [0x3609]',
	0x360A : 'Unassigned [0x360A]',
	0x360B : 'Unassigned [0x360B]',
	0x360C : 'Unassigned [0x360C]',
	0x360D : 'Unassigned [0x360D]',
	0x360E : 'Unassigned [0x360E]',
	0x360F : 'Unassigned [0x360F]',
	0x3610 : 'Unassigned [0x3610]',
	0x3611 : 'Unassigned [0x3611]',
	0x3612 : 'Unassigned [0x3612]',
	0x3613 : 'Unassigned [0x3613]',
	0x3614 : 'Unassigned [0x3614]',
	0x3615 : 'Unassigned [0x3615]',
	0x3616 : 'Unassigned [0x3616]',
	0x3617 : 'Unassigned [0x3617]',
	0x3618 : 'Unassigned [0x3618]',
	0x3619 : 'Unassigned [0x3619]',
	0x361A : 'Unassigned [0x361A]',
	0x361B : 'Unassigned [0x361B]',
	0x361C : 'Unassigned [0x361C]',
	0x361D : 'Unassigned [0x361D]',
	0x361E : 'Unassigned [0x361E]',
	0x361F : 'Unassigned [0x361F]',
	0x3620 : 'Unassigned [0x3620]',
	0x3621 : 'Unassigned [0x3621]',
	0x3622 : 'Unassigned [0x3622]',
	0x3623 : 'Unassigned [0x3623]',
	0x3624 : 'Unassigned [0x3624]',
	0x3625 : 'Unassigned [0x3625]',
	0x3626 : 'Unassigned [0x3626]',
	0x3627 : 'Unassigned [0x3627]',
	0x3628 : 'Unassigned [0x3628]',
	0x3629 : 'Unassigned [0x3629]',
	0x362A : 'Unassigned [0x362A]',
	0x362B : 'Unassigned [0x362B]',
	0x362C : 'Unassigned [0x362C]',
	0x362D : 'Unassigned [0x362D]',
	0x362E : 'Unassigned [0x362E]',
	0x362F : 'Unassigned [0x362F]',
	0x3630 : 'Unassigned [0x3630]',
	0x3631 : 'Unassigned [0x3631]',
	0x3632 : 'Unassigned [0x3632]',
	0x3633 : 'Unassigned [0x3633]',
	0x3634 : 'Unassigned [0x3634]',
	0x3635 : 'Unassigned [0x3635]',
	0x3636 : 'Unassigned [0x3636]',
	0x3637 : 'Unassigned [0x3637]',
	0x3638 : 'Unassigned [0x3638]',
	0x3639 : 'Unassigned [0x3639]',
	0x363A : 'Unassigned [0x363A]',
	0x363B : 'Unassigned [0x363B]',
	0x363C : 'Unassigned [0x363C]',
	0x363D : 'Unassigned [0x363D]',
	0x363E : 'Unassigned [0x363E]',
	0x363F : 'Unassigned [0x363F]',
	0x3640 : 'Unassigned [0x3640]',
	0x3641 : 'Unassigned [0x3641]',
	0x3642 : 'Unassigned [0x3642]',
	0x3643 : 'Unassigned [0x3643]',
	0x3644 : 'Unassigned [0x3644]',
	0x3645 : 'Unassigned [0x3645]',
	0x3646 : 'Unassigned [0x3646]',
	0x3647 : 'Unassigned [0x3647]',
	0x3648 : 'Unassigned [0x3648]',
	0x3649 : 'Unassigned [0x3649]',
	0x364A : 'Unassigned [0x364A]',
	0x364B : 'Unassigned [0x364B]',
	0x364C : 'Unassigned [0x364C]',
	0x364D : 'Unassigned [0x364D]',
	0x364E : 'Unassigned [0x364E]',
	0x364F : 'Unassigned [0x364F]',
	0x3650 : 'Unassigned [0x3650]',
	0x3651 : 'Unassigned [0x3651]',
	0x3652 : 'Unassigned [0x3652]',
	0x3653 : 'Unassigned [0x3653]',
	0x3654 : 'Unassigned [0x3654]',
	0x3655 : 'Unassigned [0x3655]',
	0x3656 : 'Unassigned [0x3656]',
	0x3657 : 'Unassigned [0x3657]',
	0x3658 : 'Unassigned [0x3658]',
	0x3659 : 'Unassigned [0x3659]',
	0x365A : 'Unassigned [0x365A]',
	0x365B : 'Unassigned [0x365B]',
	0x365C : 'Unassigned [0x365C]',
	0x365D : 'Unassigned [0x365D]',
	0x365E : 'Unassigned [0x365E]',
	0x365F : 'Unassigned [0x365F]',
	0x3660 : 'Unassigned [0x3660]',
	0x3661 : 'Unassigned [0x3661]',
	0x3662 : 'Unassigned [0x3662]',
	0x3663 : 'Unassigned [0x3663]',
	0x3664 : 'Unassigned [0x3664]',
	0x3665 : 'Unassigned [0x3665]',
	0x3666 : 'Unassigned [0x3666]',
	0x3667 : 'Unassigned [0x3667]',
	0x3668 : 'Unassigned [0x3668]',
	0x3669 : 'Unassigned [0x3669]',
	0x366A : 'Unassigned [0x366A]',
	0x366B : 'Unassigned [0x366B]',
	0x366C : 'Unassigned [0x366C]',
	0x366D : 'Unassigned [0x366D]',
	0x366E : 'Unassigned [0x366E]',
	0x366F : 'Unassigned [0x366F]',
	0x3670 : 'Unassigned [0x3670]',
	0x3671 : 'Unassigned [0x3671]',
	0x3672 : 'Unassigned [0x3672]',
	0x3673 : 'Unassigned [0x3673]',
	0x3674 : 'Unassigned [0x3674]',
	0x3675 : 'Unassigned [0x3675]',
	0x3676 : 'Unassigned [0x3676]',
	0x3677 : 'Unassigned [0x3677]',
	0x3678 : 'Unassigned [0x3678]',
	0x3679 : 'Unassigned [0x3679]',
	0x367A : 'Unassigned [0x367A]',
	0x367B : 'Unassigned [0x367B]',
	0x367C : 'Unassigned [0x367C]',
	0x367D : 'Unassigned [0x367D]',
	0x367E : 'Unassigned [0x367E]',
	0x367F : 'Unassigned [0x367F]',
	0x3680 : 'Unassigned [0x3680]',
	0x3681 : 'Unassigned [0x3681]',
	0x3682 : 'Unassigned [0x3682]',
	0x3683 : 'Unassigned [0x3683]',
	0x3684 : 'Unassigned [0x3684]',
	0x3685 : 'Unassigned [0x3685]',
	0x3686 : 'Unassigned [0x3686]',
	0x3687 : 'Unassigned [0x3687]',
	0x3688 : 'Unassigned [0x3688]',
	0x3689 : 'Unassigned [0x3689]',
	0x368A : 'Unassigned [0x368A]',
	0x368B : 'Unassigned [0x368B]',
	0x368C : 'Unassigned [0x368C]',
	0x368D : 'Unassigned [0x368D]',
	0x368E : 'Unassigned [0x368E]',
	0x368F : 'Unassigned [0x368F]',
	0x3690 : 'Unassigned [0x3690]',
	0x3691 : 'Unassigned [0x3691]',
	0x3692 : 'Unassigned [0x3692]',
	0x3693 : 'Unassigned [0x3693]',
	0x3694 : 'Unassigned [0x3694]',
	0x3695 : 'Unassigned [0x3695]',
	0x3696 : 'Unassigned [0x3696]',
	0x3697 : 'Unassigned [0x3697]',
	0x3698 : 'Unassigned [0x3698]',
	0x3699 : 'Unassigned [0x3699]',
	0x369A : 'Unassigned [0x369A]',
	0x369B : 'Unassigned [0x369B]',
	0x369C : 'Unassigned [0x369C]',
	0x369D : 'Unassigned [0x369D]',
	0x369E : 'Unassigned [0x369E]',
	0x369F : 'Unassigned [0x369F]',
	0x36A0 : 'Unassigned [0x36A0]',
	0x36A1 : 'Unassigned [0x36A1]',
	0x36A2 : 'Unassigned [0x36A2]',
	0x36A3 : 'Unassigned [0x36A3]',
	0x36A4 : 'Unassigned [0x36A4]',
	0x36A5 : 'Unassigned [0x36A5]',
	0x36A6 : 'Unassigned [0x36A6]',
	0x36A7 : 'Unassigned [0x36A7]',
	0x36A8 : 'Unassigned [0x36A8]',
	0x36A9 : 'Unassigned [0x36A9]',
	0x36AA : 'Unassigned [0x36AA]',
	0x36AB : 'Unassigned [0x36AB]',
	0x36AC : 'Unassigned [0x36AC]',
	0x36AD : 'Unassigned [0x36AD]',
	0x36AE : 'Unassigned [0x36AE]',
	0x36AF : 'Unassigned [0x36AF]',
	0x36B0 : 'Unassigned [0x36B0]',
	0x36B1 : 'Unassigned [0x36B1]',
	0x36B2 : 'Unassigned [0x36B2]',
	0x36B3 : 'Unassigned [0x36B3]',
	0x36B4 : 'Unassigned [0x36B4]',
	0x36B5 : 'Unassigned [0x36B5]',
	0x36B6 : 'Unassigned [0x36B6]',
	0x36B7 : 'Unassigned [0x36B7]',
	0x36B8 : 'Unassigned [0x36B8]',
	0x36B9 : 'Unassigned [0x36B9]',
	0x36BA : 'Unassigned [0x36BA]',
	0x36BB : 'Unassigned [0x36BB]',
	0x36BC : 'Unassigned [0x36BC]',
	0x36BD : 'Unassigned [0x36BD]',
	0x36BE : 'Unassigned [0x36BE]',
	0x36BF : 'Unassigned [0x36BF]',
	0x36C0 : 'Unassigned [0x36C0]',
	0x36C1 : 'Unassigned [0x36C1]',
	0x36C2 : 'Unassigned [0x36C2]',
	0x36C3 : 'Unassigned [0x36C3]',
	0x36C4 : 'Unassigned [0x36C4]',
	0x36C5 : 'Unassigned [0x36C5]',
	0x36C6 : 'Unassigned [0x36C6]',
	0x36C7 : 'Unassigned [0x36C7]',
	0x36C8 : 'Unassigned [0x36C8]',
	0x36C9 : 'Unassigned [0x36C9]',
	0x36CA : 'Unassigned [0x36CA]',
	0x36CB : 'Unassigned [0x36CB]',
	0x36CC : 'Unassigned [0x36CC]',
	0x36CD : 'Unassigned [0x36CD]',
	0x36CE : 'Unassigned [0x36CE]',
	0x36CF : 'Unassigned [0x36CF]',
	0x36D0 : 'Unassigned [0x36D0]',
	0x36D1 : 'Unassigned [0x36D1]',
	0x36D2 : 'Unassigned [0x36D2]',
	0x36D3 : 'Unassigned [0x36D3]',
	0x36D4 : 'Unassigned [0x36D4]',
	0x36D5 : 'Unassigned [0x36D5]',
	0x36D6 : 'Unassigned [0x36D6]',
	0x36D7 : 'Unassigned [0x36D7]',
	0x36D8 : 'Unassigned [0x36D8]',
	0x36D9 : 'Unassigned [0x36D9]',
	0x36DA : 'Unassigned [0x36DA]',
	0x36DB : 'Unassigned [0x36DB]',
	0x36DC : 'Unassigned [0x36DC]',
	0x36DD : 'Unassigned [0x36DD]',
	0x36DE : 'Unassigned [0x36DE]',
	0x36DF : 'Unassigned [0x36DF]',
	0x36E0 : 'Unassigned [0x36E0]',
	0x36E1 : 'Unassigned [0x36E1]',
	0x36E2 : 'Unassigned [0x36E2]',
	0x36E3 : 'Unassigned [0x36E3]',
	0x36E4 : 'Unassigned [0x36E4]',
	0x36E5 : 'Unassigned [0x36E5]',
	0x36E6 : 'Unassigned [0x36E6]',
	0x36E7 : 'Unassigned [0x36E7]',
	0x36E8 : 'Unassigned [0x36E8]',
	0x36E9 : 'Unassigned [0x36E9]',
	0x36EA : 'Unassigned [0x36EA]',
	0x36EB : 'Unassigned [0x36EB]',
	0x36EC : 'Unassigned [0x36EC]',
	0x36ED : 'Unassigned [0x36ED]',
	0x36EE : 'Unassigned [0x36EE]',
	0x36EF : 'Unassigned [0x36EF]',
	0x36F0 : 'Unassigned [0x36F0]',
	0x36F1 : 'Unassigned [0x36F1]',
	0x36F2 : 'Unassigned [0x36F2]',
	0x36F3 : 'Unassigned [0x36F3]',
	0x36F4 : 'Unassigned [0x36F4]',
	0x36F5 : 'Unassigned [0x36F5]',
	0x36F6 : 'Unassigned [0x36F6]',
	0x36F7 : 'Unassigned [0x36F7]',
	0x36F8 : 'Unassigned [0x36F8]',
	0x36F9 : 'Unassigned [0x36F9]',
	0x36FA : 'Unassigned [0x36FA]',
	0x36FB : 'Unassigned [0x36FB]',
	0x36FC : 'Unassigned [0x36FC]',
	0x36FD : 'Unassigned [0x36FD]',
	0x36FE : 'Unassigned [0x36FE]',
	0x36FF : 'Unassigned [0x36FF]',
	0x3700 : 'Unassigned [0x3700]',
	0x3701 : 'Unassigned [0x3701]',
	0x3702 : 'Unassigned [0x3702]',
	0x3703 : 'Unassigned [0x3703]',
	0x3704 : 'Unassigned [0x3704]',
	0x3705 : 'Unassigned [0x3705]',
	0x3706 : 'Unassigned [0x3706]',
	0x3707 : 'Unassigned [0x3707]',
	0x3708 : 'Unassigned [0x3708]',
	0x3709 : 'Unassigned [0x3709]',
	0x370A : 'Unassigned [0x370A]',
	0x370B : 'Unassigned [0x370B]',
	0x370C : 'Unassigned [0x370C]',
	0x370D : 'Unassigned [0x370D]',
	0x370E : 'Unassigned [0x370E]',
	0x370F : 'Unassigned [0x370F]',
	0x3710 : 'Unassigned [0x3710]',
	0x3711 : 'Unassigned [0x3711]',
	0x3712 : 'Unassigned [0x3712]',
	0x3713 : 'Unassigned [0x3713]',
	0x3714 : 'Unassigned [0x3714]',
	0x3715 : 'Unassigned [0x3715]',
	0x3716 : 'Unassigned [0x3716]',
	0x3717 : 'Unassigned [0x3717]',
	0x3718 : 'Unassigned [0x3718]',
	0x3719 : 'Unassigned [0x3719]',
	0x371A : 'Unassigned [0x371A]',
	0x371B : 'Unassigned [0x371B]',
	0x371C : 'Unassigned [0x371C]',
	0x371D : 'Unassigned [0x371D]',
	0x371E : 'Unassigned [0x371E]',
	0x371F : 'Unassigned [0x371F]',
	0x3720 : 'Unassigned [0x3720]',
	0x3721 : 'Unassigned [0x3721]',
	0x3722 : 'Unassigned [0x3722]',
	0x3723 : 'Unassigned [0x3723]',
	0x3724 : 'Unassigned [0x3724]',
	0x3725 : 'Unassigned [0x3725]',
	0x3726 : 'Unassigned [0x3726]',
	0x3727 : 'Unassigned [0x3727]',
	0x3728 : 'Unassigned [0x3728]',
	0x3729 : 'Unassigned [0x3729]',
	0x372A : 'Unassigned [0x372A]',
	0x372B : 'Unassigned [0x372B]',
	0x372C : 'Unassigned [0x372C]',
	0x372D : 'Unassigned [0x372D]',
	0x372E : 'Unassigned [0x372E]',
	0x372F : 'Unassigned [0x372F]',
	0x3730 : 'Unassigned [0x3730]',
	0x3731 : 'Unassigned [0x3731]',
	0x3732 : 'Unassigned [0x3732]',
	0x3733 : 'Unassigned [0x3733]',
	0x3734 : 'Unassigned [0x3734]',
	0x3735 : 'Unassigned [0x3735]',
	0x3736 : 'Unassigned [0x3736]',
	0x3737 : 'Unassigned [0x3737]',
	0x3738 : 'Unassigned [0x3738]',
	0x3739 : 'Unassigned [0x3739]',
	0x373A : 'Unassigned [0x373A]',
	0x373B : 'Unassigned [0x373B]',
	0x373C : 'Unassigned [0x373C]',
	0x373D : 'Unassigned [0x373D]',
	0x373E : 'Unassigned [0x373E]',
	0x373F : 'Unassigned [0x373F]',
	0x3740 : 'Unassigned [0x3740]',
	0x3741 : 'Unassigned [0x3741]',
	0x3742 : 'Unassigned [0x3742]',
	0x3743 : 'Unassigned [0x3743]',
	0x3744 : 'Unassigned [0x3744]',
	0x3745 : 'Unassigned [0x3745]',
	0x3746 : 'Unassigned [0x3746]',
	0x3747 : 'Unassigned [0x3747]',
	0x3748 : 'Unassigned [0x3748]',
	0x3749 : 'Unassigned [0x3749]',
	0x374A : 'Unassigned [0x374A]',
	0x374B : 'Unassigned [0x374B]',
	0x374C : 'Unassigned [0x374C]',
	0x374D : 'Unassigned [0x374D]',
	0x374E : 'Unassigned [0x374E]',
	0x374F : 'Unassigned [0x374F]',
	0x3750 : 'Unassigned [0x3750]',
	0x3751 : 'Unassigned [0x3751]',
	0x3752 : 'Unassigned [0x3752]',
	0x3753 : 'Unassigned [0x3753]',
	0x3754 : 'Unassigned [0x3754]',
	0x3755 : 'Unassigned [0x3755]',
	0x3756 : 'Unassigned [0x3756]',
	0x3757 : 'Unassigned [0x3757]',
	0x3758 : 'Unassigned [0x3758]',
	0x3759 : 'Unassigned [0x3759]',
	0x375A : 'Unassigned [0x375A]',
	0x375B : 'Unassigned [0x375B]',
	0x375C : 'Unassigned [0x375C]',
	0x375D : 'Unassigned [0x375D]',
	0x375E : 'Unassigned [0x375E]',
	0x375F : 'Unassigned [0x375F]',
	0x3760 : 'Unassigned [0x3760]',
	0x3761 : 'Unassigned [0x3761]',
	0x3762 : 'Unassigned [0x3762]',
	0x3763 : 'Unassigned [0x3763]',
	0x3764 : 'Unassigned [0x3764]',
	0x3765 : 'Unassigned [0x3765]',
	0x3766 : 'Unassigned [0x3766]',
	0x3767 : 'Unassigned [0x3767]',
	0x3768 : 'Unassigned [0x3768]',
	0x3769 : 'Unassigned [0x3769]',
	0x376A : 'Unassigned [0x376A]',
	0x376B : 'Unassigned [0x376B]',
	0x376C : 'Unassigned [0x376C]',
	0x376D : 'Unassigned [0x376D]',
	0x376E : 'Unassigned [0x376E]',
	0x376F : 'Unassigned [0x376F]',
	0x3770 : 'Unassigned [0x3770]',
	0x3771 : 'Unassigned [0x3771]',
	0x3772 : 'Unassigned [0x3772]',
	0x3773 : 'Unassigned [0x3773]',
	0x3774 : 'Unassigned [0x3774]',
	0x3775 : 'Unassigned [0x3775]',
	0x3776 : 'Unassigned [0x3776]',
	0x3777 : 'Unassigned [0x3777]',
	0x3778 : 'Unassigned [0x3778]',
	0x3779 : 'Unassigned [0x3779]',
	0x377A : 'Unassigned [0x377A]',
	0x377B : 'Unassigned [0x377B]',
	0x377C : 'Unassigned [0x377C]',
	0x377D : 'Unassigned [0x377D]',
	0x377E : 'Unassigned [0x377E]',
	0x377F : 'Unassigned [0x377F]',
	0x3780 : 'Unassigned [0x3780]',
	0x3781 : 'Unassigned [0x3781]',
	0x3782 : 'Unassigned [0x3782]',
	0x3783 : 'Unassigned [0x3783]',
	0x3784 : 'Unassigned [0x3784]',
	0x3785 : 'Unassigned [0x3785]',
	0x3786 : 'Unassigned [0x3786]',
	0x3787 : 'Unassigned [0x3787]',
	0x3788 : 'Unassigned [0x3788]',
	0x3789 : 'Unassigned [0x3789]',
	0x378A : 'Unassigned [0x378A]',
	0x378B : 'Unassigned [0x378B]',
	0x378C : 'Unassigned [0x378C]',
	0x378D : 'Unassigned [0x378D]',
	0x378E : 'Unassigned [0x378E]',
	0x378F : 'Unassigned [0x378F]',
	0x3790 : 'Unassigned [0x3790]',
	0x3791 : 'Unassigned [0x3791]',
	0x3792 : 'Unassigned [0x3792]',
	0x3793 : 'Unassigned [0x3793]',
	0x3794 : 'Unassigned [0x3794]',
	0x3795 : 'Unassigned [0x3795]',
	0x3796 : 'Unassigned [0x3796]',
	0x3797 : 'Unassigned [0x3797]',
	0x3798 : 'Unassigned [0x3798]',
	0x3799 : 'Unassigned [0x3799]',
	0x379A : 'Unassigned [0x379A]',
	0x379B : 'Unassigned [0x379B]',
	0x379C : 'Unassigned [0x379C]',
	0x379D : 'Unassigned [0x379D]',
	0x379E : 'Unassigned [0x379E]',
	0x379F : 'Unassigned [0x379F]',
	0x37A0 : 'Unassigned [0x37A0]',
	0x37A1 : 'Unassigned [0x37A1]',
	0x37A2 : 'Unassigned [0x37A2]',
	0x37A3 : 'Unassigned [0x37A3]',
	0x37A4 : 'Unassigned [0x37A4]',
	0x37A5 : 'Unassigned [0x37A5]',
	0x37A6 : 'Unassigned [0x37A6]',
	0x37A7 : 'Unassigned [0x37A7]',
	0x37A8 : 'Unassigned [0x37A8]',
	0x37A9 : 'Unassigned [0x37A9]',
	0x37AA : 'Unassigned [0x37AA]',
	0x37AB : 'Unassigned [0x37AB]',
	0x37AC : 'Unassigned [0x37AC]',
	0x37AD : 'Unassigned [0x37AD]',
	0x37AE : 'Unassigned [0x37AE]',
	0x37AF : 'Unassigned [0x37AF]',
	0x37B0 : 'Unassigned [0x37B0]',
	0x37B1 : 'Unassigned [0x37B1]',
	0x37B2 : 'Unassigned [0x37B2]',
	0x37B3 : 'Unassigned [0x37B3]',
	0x37B4 : 'Unassigned [0x37B4]',
	0x37B5 : 'Unassigned [0x37B5]',
	0x37B6 : 'Unassigned [0x37B6]',
	0x37B7 : 'Unassigned [0x37B7]',
	0x37B8 : 'Unassigned [0x37B8]',
	0x37B9 : 'Unassigned [0x37B9]',
	0x37BA : 'Unassigned [0x37BA]',
	0x37BB : 'Unassigned [0x37BB]',
	0x37BC : 'Unassigned [0x37BC]',
	0x37BD : 'Unassigned [0x37BD]',
	0x37BE : 'Unassigned [0x37BE]',
	0x37BF : 'Unassigned [0x37BF]',
	0x37C0 : 'Unassigned [0x37C0]',
	0x37C1 : 'Unassigned [0x37C1]',
	0x37C2 : 'Unassigned [0x37C2]',
	0x37C3 : 'Unassigned [0x37C3]',
	0x37C4 : 'Unassigned [0x37C4]',
	0x37C5 : 'Unassigned [0x37C5]',
	0x37C6 : 'Unassigned [0x37C6]',
	0x37C7 : 'Unassigned [0x37C7]',
	0x37C8 : 'Unassigned [0x37C8]',
	0x37C9 : 'Unassigned [0x37C9]',
	0x37CA : 'Unassigned [0x37CA]',
	0x37CB : 'Unassigned [0x37CB]',
	0x37CC : 'Unassigned [0x37CC]',
	0x37CD : 'Unassigned [0x37CD]',
	0x37CE : 'Unassigned [0x37CE]',
	0x37CF : 'Unassigned [0x37CF]',
	0x37D0 : 'Unassigned [0x37D0]',
	0x37D1 : 'Unassigned [0x37D1]',
	0x37D2 : 'Unassigned [0x37D2]',
	0x37D3 : 'Unassigned [0x37D3]',
	0x37D4 : 'Unassigned [0x37D4]',
	0x37D5 : 'Unassigned [0x37D5]',
	0x37D6 : 'Unassigned [0x37D6]',
	0x37D7 : 'Unassigned [0x37D7]',
	0x37D8 : 'Unassigned [0x37D8]',
	0x37D9 : 'Unassigned [0x37D9]',
	0x37DA : 'Unassigned [0x37DA]',
	0x37DB : 'Unassigned [0x37DB]',
	0x37DC : 'Unassigned [0x37DC]',
	0x37DD : 'Unassigned [0x37DD]',
	0x37DE : 'Unassigned [0x37DE]',
	0x37DF : 'Unassigned [0x37DF]',
	0x37E0 : 'Unassigned [0x37E0]',
	0x37E1 : 'Unassigned [0x37E1]',
	0x37E2 : 'Unassigned [0x37E2]',
	0x37E3 : 'Unassigned [0x37E3]',
	0x37E4 : 'Unassigned [0x37E4]',
	0x37E5 : 'Unassigned [0x37E5]',
	0x37E6 : 'Unassigned [0x37E6]',
	0x37E7 : 'Unassigned [0x37E7]',
	0x37E8 : 'Unassigned [0x37E8]',
	0x37E9 : 'Unassigned [0x37E9]',
	0x37EA : 'Unassigned [0x37EA]',
	0x37EB : 'Unassigned [0x37EB]',
	0x37EC : 'Unassigned [0x37EC]',
	0x37ED : 'Unassigned [0x37ED]',
	0x37EE : 'Unassigned [0x37EE]',
	0x37EF : 'Unassigned [0x37EF]',
	0x37F0 : 'Unassigned [0x37F0]',
	0x37F1 : 'Unassigned [0x37F1]',
	0x37F2 : 'Unassigned [0x37F2]',
	0x37F3 : 'Unassigned [0x37F3]',
	0x37F4 : 'Unassigned [0x37F4]',
	0x37F5 : 'Unassigned [0x37F5]',
	0x37F6 : 'Unassigned [0x37F6]',
	0x37F7 : 'Unassigned [0x37F7]',
	0x37F8 : 'Unassigned [0x37F8]',
	0x37F9 : 'Unassigned [0x37F9]',
	0x37FA : 'Unassigned [0x37FA]',
	0x37FB : 'Unassigned [0x37FB]',
	0x37FC : 'Unassigned [0x37FC]',
	0x37FD : 'Unassigned [0x37FD]',
	0x37FE : 'Unassigned [0x37FE]',
	0x37FF : 'Unassigned [0x37FF]',
	0x3800 : 'Unassigned [0x3800]',
	0x3801 : 'Unassigned [0x3801]',
	0x3802 : 'Unassigned [0x3802]',
	0x3803 : 'Unassigned [0x3803]',
	0x3804 : 'Unassigned [0x3804]',
	0x3805 : 'Unassigned [0x3805]',
	0x3806 : 'Unassigned [0x3806]',
	0x3807 : 'Unassigned [0x3807]',
	0x3808 : 'Unassigned [0x3808]',
	0x3809 : 'Unassigned [0x3809]',
	0x380A : 'Unassigned [0x380A]',
	0x380B : 'Unassigned [0x380B]',
	0x380C : 'Unassigned [0x380C]',
	0x380D : 'Unassigned [0x380D]',
	0x380E : 'Unassigned [0x380E]',
	0x380F : 'Unassigned [0x380F]',
	0x3810 : 'Unassigned [0x3810]',
	0x3811 : 'Unassigned [0x3811]',
	0x3812 : 'Unassigned [0x3812]',
	0x3813 : 'Unassigned [0x3813]',
	0x3814 : 'Unassigned [0x3814]',
	0x3815 : 'Unassigned [0x3815]',
	0x3816 : 'Unassigned [0x3816]',
	0x3817 : 'Unassigned [0x3817]',
	0x3818 : 'Unassigned [0x3818]',
	0x3819 : 'Unassigned [0x3819]',
	0x381A : 'Unassigned [0x381A]',
	0x381B : 'Unassigned [0x381B]',
	0x381C : 'Unassigned [0x381C]',
	0x381D : 'Unassigned [0x381D]',
	0x381E : 'Unassigned [0x381E]',
	0x381F : 'Unassigned [0x381F]',
	0x3820 : 'Unassigned [0x3820]',
	0x3821 : 'Unassigned [0x3821]',
	0x3822 : 'Unassigned [0x3822]',
	0x3823 : 'Unassigned [0x3823]',
	0x3824 : 'Unassigned [0x3824]',
	0x3825 : 'Unassigned [0x3825]',
	0x3826 : 'Unassigned [0x3826]',
	0x3827 : 'Unassigned [0x3827]',
	0x3828 : 'Unassigned [0x3828]',
	0x3829 : 'Unassigned [0x3829]',
	0x382A : 'Unassigned [0x382A]',
	0x382B : 'Unassigned [0x382B]',
	0x382C : 'Unassigned [0x382C]',
	0x382D : 'Unassigned [0x382D]',
	0x382E : 'Unassigned [0x382E]',
	0x382F : 'Unassigned [0x382F]',
	0x3830 : 'Unassigned [0x3830]',
	0x3831 : 'Unassigned [0x3831]',
	0x3832 : 'Unassigned [0x3832]',
	0x3833 : 'Unassigned [0x3833]',
	0x3834 : 'Unassigned [0x3834]',
	0x3835 : 'Unassigned [0x3835]',
	0x3836 : 'Unassigned [0x3836]',
	0x3837 : 'Unassigned [0x3837]',
	0x3838 : 'Unassigned [0x3838]',
	0x3839 : 'Unassigned [0x3839]',
	0x383A : 'Unassigned [0x383A]',
	0x383B : 'Unassigned [0x383B]',
	0x383C : 'Unassigned [0x383C]',
	0x383D : 'Unassigned [0x383D]',
	0x383E : 'Unassigned [0x383E]',
	0x383F : 'Unassigned [0x383F]',
	0x3840 : 'Unassigned [0x3840]',
	0x3841 : 'Unassigned [0x3841]',
	0x3842 : 'Unassigned [0x3842]',
	0x3843 : 'Unassigned [0x3843]',
	0x3844 : 'Unassigned [0x3844]',
	0x3845 : 'Unassigned [0x3845]',
	0x3846 : 'Unassigned [0x3846]',
	0x3847 : 'Unassigned [0x3847]',
	0x3848 : 'Unassigned [0x3848]',
	0x3849 : 'Unassigned [0x3849]',
	0x384A : 'Unassigned [0x384A]',
	0x384B : 'Unassigned [0x384B]',
	0x384C : 'Unassigned [0x384C]',
	0x384D : 'Unassigned [0x384D]',
	0x384E : 'Unassigned [0x384E]',
	0x384F : 'Unassigned [0x384F]',
	0x3850 : 'Unassigned [0x3850]',
	0x3851 : 'Unassigned [0x3851]',
	0x3852 : 'Unassigned [0x3852]',
	0x3853 : 'Unassigned [0x3853]',
	0x3854 : 'Unassigned [0x3854]',
	0x3855 : 'Unassigned [0x3855]',
	0x3856 : 'Unassigned [0x3856]',
	0x3857 : 'Unassigned [0x3857]',
	0x3858 : 'Unassigned [0x3858]',
	0x3859 : 'Unassigned [0x3859]',
	0x385A : 'Unassigned [0x385A]',
	0x385B : 'Unassigned [0x385B]',
	0x385C : 'Unassigned [0x385C]',
	0x385D : 'Unassigned [0x385D]',
	0x385E : 'Unassigned [0x385E]',
	0x385F : 'Unassigned [0x385F]',
	0x3860 : 'Unassigned [0x3860]',
	0x3861 : 'Unassigned [0x3861]',
	0x3862 : 'Unassigned [0x3862]',
	0x3863 : 'Unassigned [0x3863]',
	0x3864 : 'Unassigned [0x3864]',
	0x3865 : 'Unassigned [0x3865]',
	0x3866 : 'Unassigned [0x3866]',
	0x3867 : 'Unassigned [0x3867]',
	0x3868 : 'Unassigned [0x3868]',
	0x3869 : 'Unassigned [0x3869]',
	0x386A : 'Unassigned [0x386A]',
	0x386B : 'Unassigned [0x386B]',
	0x386C : 'Unassigned [0x386C]',
	0x386D : 'Unassigned [0x386D]',
	0x386E : 'Unassigned [0x386E]',
	0x386F : 'Unassigned [0x386F]',
	0x3870 : 'Unassigned [0x3870]',
	0x3871 : 'Unassigned [0x3871]',
	0x3872 : 'Unassigned [0x3872]',
	0x3873 : 'Unassigned [0x3873]',
	0x3874 : 'Unassigned [0x3874]',
	0x3875 : 'Unassigned [0x3875]',
	0x3876 : 'Unassigned [0x3876]',
	0x3877 : 'Unassigned [0x3877]',
	0x3878 : 'Unassigned [0x3878]',
	0x3879 : 'Unassigned [0x3879]',
	0x387A : 'Unassigned [0x387A]',
	0x387B : 'Unassigned [0x387B]',
	0x387C : 'Unassigned [0x387C]',
	0x387D : 'Unassigned [0x387D]',
	0x387E : 'Unassigned [0x387E]',
	0x387F : 'Unassigned [0x387F]',
	0x3880 : 'Unassigned [0x3880]',
	0x3881 : 'Unassigned [0x3881]',
	0x3882 : 'Unassigned [0x3882]',
	0x3883 : 'Unassigned [0x3883]',
	0x3884 : 'Unassigned [0x3884]',
	0x3885 : 'Unassigned [0x3885]',
	0x3886 : 'Unassigned [0x3886]',
	0x3887 : 'Unassigned [0x3887]',
	0x3888 : 'Unassigned [0x3888]',
	0x3889 : 'Unassigned [0x3889]',
	0x388A : 'Unassigned [0x388A]',
	0x388B : 'Unassigned [0x388B]',
	0x388C : 'Unassigned [0x388C]',
	0x388D : 'Unassigned [0x388D]',
	0x388E : 'Unassigned [0x388E]',
	0x388F : 'Unassigned [0x388F]',
	0x3890 : 'Unassigned [0x3890]',
	0x3891 : 'Unassigned [0x3891]',
	0x3892 : 'Unassigned [0x3892]',
	0x3893 : 'Unassigned [0x3893]',
	0x3894 : 'Unassigned [0x3894]',
	0x3895 : 'Unassigned [0x3895]',
	0x3896 : 'Unassigned [0x3896]',
	0x3897 : 'Unassigned [0x3897]',
	0x3898 : 'Unassigned [0x3898]',
	0x3899 : 'Unassigned [0x3899]',
	0x389A : 'Unassigned [0x389A]',
	0x389B : 'Unassigned [0x389B]',
	0x389C : 'Unassigned [0x389C]',
	0x389D : 'Unassigned [0x389D]',
	0x389E : 'Unassigned [0x389E]',
	0x389F : 'Unassigned [0x389F]',
	0x38A0 : 'Unassigned [0x38A0]',
	0x38A1 : 'Unassigned [0x38A1]',
	0x38A2 : 'Unassigned [0x38A2]',
	0x38A3 : 'Unassigned [0x38A3]',
	0x38A4 : 'Unassigned [0x38A4]',
	0x38A5 : 'Unassigned [0x38A5]',
	0x38A6 : 'Unassigned [0x38A6]',
	0x38A7 : 'Unassigned [0x38A7]',
	0x38A8 : 'Unassigned [0x38A8]',
	0x38A9 : 'Unassigned [0x38A9]',
	0x38AA : 'Unassigned [0x38AA]',
	0x38AB : 'Unassigned [0x38AB]',
	0x38AC : 'Unassigned [0x38AC]',
	0x38AD : 'Unassigned [0x38AD]',
	0x38AE : 'Unassigned [0x38AE]',
	0x38AF : 'Unassigned [0x38AF]',
	0x38B0 : 'Unassigned [0x38B0]',
	0x38B1 : 'Unassigned [0x38B1]',
	0x38B2 : 'Unassigned [0x38B2]',
	0x38B3 : 'Unassigned [0x38B3]',
	0x38B4 : 'Unassigned [0x38B4]',
	0x38B5 : 'Unassigned [0x38B5]',
	0x38B6 : 'Unassigned [0x38B6]',
	0x38B7 : 'Unassigned [0x38B7]',
	0x38B8 : 'Unassigned [0x38B8]',
	0x38B9 : 'Unassigned [0x38B9]',
	0x38BA : 'Unassigned [0x38BA]',
	0x38BB : 'Unassigned [0x38BB]',
	0x38BC : 'Unassigned [0x38BC]',
	0x38BD : 'Unassigned [0x38BD]',
	0x38BE : 'Unassigned [0x38BE]',
	0x38BF : 'Unassigned [0x38BF]',
	0x38C0 : 'Unassigned [0x38C0]',
	0x38C1 : 'Unassigned [0x38C1]',
	0x38C2 : 'Unassigned [0x38C2]',
	0x38C3 : 'Unassigned [0x38C3]',
	0x38C4 : 'Unassigned [0x38C4]',
	0x38C5 : 'Unassigned [0x38C5]',
	0x38C6 : 'Unassigned [0x38C6]',
	0x38C7 : 'Unassigned [0x38C7]',
	0x38C8 : 'Unassigned [0x38C8]',
	0x38C9 : 'Unassigned [0x38C9]',
	0x38CA : 'Unassigned [0x38CA]',
	0x38CB : 'Unassigned [0x38CB]',
	0x38CC : 'Unassigned [0x38CC]',
	0x38CD : 'Unassigned [0x38CD]',
	0x38CE : 'Unassigned [0x38CE]',
	0x38CF : 'Unassigned [0x38CF]',
	0x38D0 : 'Unassigned [0x38D0]',
	0x38D1 : 'Unassigned [0x38D1]',
	0x38D2 : 'Unassigned [0x38D2]',
	0x38D3 : 'Unassigned [0x38D3]',
	0x38D4 : 'Unassigned [0x38D4]',
	0x38D5 : 'Unassigned [0x38D5]',
	0x38D6 : 'Unassigned [0x38D6]',
	0x38D7 : 'Unassigned [0x38D7]',
	0x38D8 : 'Unassigned [0x38D8]',
	0x38D9 : 'Unassigned [0x38D9]',
	0x38DA : 'Unassigned [0x38DA]',
	0x38DB : 'Unassigned [0x38DB]',
	0x38DC : 'Unassigned [0x38DC]',
	0x38DD : 'Unassigned [0x38DD]',
	0x38DE : 'Unassigned [0x38DE]',
	0x38DF : 'Unassigned [0x38DF]',
	0x38E0 : 'Unassigned [0x38E0]',
	0x38E1 : 'Unassigned [0x38E1]',
	0x38E2 : 'Unassigned [0x38E2]',
	0x38E3 : 'Unassigned [0x38E3]',
	0x38E4 : 'Unassigned [0x38E4]',
	0x38E5 : 'Unassigned [0x38E5]',
	0x38E6 : 'Unassigned [0x38E6]',
	0x38E7 : 'Unassigned [0x38E7]',
	0x38E8 : 'Unassigned [0x38E8]',
	0x38E9 : 'Unassigned [0x38E9]',
	0x38EA : 'Unassigned [0x38EA]',
	0x38EB : 'Unassigned [0x38EB]',
	0x38EC : 'Unassigned [0x38EC]',
	0x38ED : 'Unassigned [0x38ED]',
	0x38EE : 'Unassigned [0x38EE]',
	0x38EF : 'Unassigned [0x38EF]',
	0x38F0 : 'Unassigned [0x38F0]',
	0x38F1 : 'Unassigned [0x38F1]',
	0x38F2 : 'Unassigned [0x38F2]',
	0x38F3 : 'Unassigned [0x38F3]',
	0x38F4 : 'Unassigned [0x38F4]',
	0x38F5 : 'Unassigned [0x38F5]',
	0x38F6 : 'Unassigned [0x38F6]',
	0x38F7 : 'Unassigned [0x38F7]',
	0x38F8 : 'Unassigned [0x38F8]',
	0x38F9 : 'Unassigned [0x38F9]',
	0x38FA : 'Unassigned [0x38FA]',
	0x38FB : 'Unassigned [0x38FB]',
	0x38FC : 'Unassigned [0x38FC]',
	0x38FD : 'Unassigned [0x38FD]',
	0x38FE : 'Unassigned [0x38FE]',
	0x38FF : 'Unassigned [0x38FF]',
	0x3900 : 'Unassigned [0x3900]',
	0x3901 : 'Unassigned [0x3901]',
	0x3902 : 'Unassigned [0x3902]',
	0x3903 : 'Unassigned [0x3903]',
	0x3904 : 'Unassigned [0x3904]',
	0x3905 : 'Unassigned [0x3905]',
	0x3906 : 'Unassigned [0x3906]',
	0x3907 : 'Unassigned [0x3907]',
	0x3908 : 'Unassigned [0x3908]',
	0x3909 : 'Unassigned [0x3909]',
	0x390A : 'Unassigned [0x390A]',
	0x390B : 'Unassigned [0x390B]',
	0x390C : 'Unassigned [0x390C]',
	0x390D : 'Unassigned [0x390D]',
	0x390E : 'Unassigned [0x390E]',
	0x390F : 'Unassigned [0x390F]',
	0x3910 : 'Unassigned [0x3910]',
	0x3911 : 'Unassigned [0x3911]',
	0x3912 : 'Unassigned [0x3912]',
	0x3913 : 'Unassigned [0x3913]',
	0x3914 : 'Unassigned [0x3914]',
	0x3915 : 'Unassigned [0x3915]',
	0x3916 : 'Unassigned [0x3916]',
	0x3917 : 'Unassigned [0x3917]',
	0x3918 : 'Unassigned [0x3918]',
	0x3919 : 'Unassigned [0x3919]',
	0x391A : 'Unassigned [0x391A]',
	0x391B : 'Unassigned [0x391B]',
	0x391C : 'Unassigned [0x391C]',
	0x391D : 'Unassigned [0x391D]',
	0x391E : 'Unassigned [0x391E]',
	0x391F : 'Unassigned [0x391F]',
	0x3920 : 'Unassigned [0x3920]',
	0x3921 : 'Unassigned [0x3921]',
	0x3922 : 'Unassigned [0x3922]',
	0x3923 : 'Unassigned [0x3923]',
	0x3924 : 'Unassigned [0x3924]',
	0x3925 : 'Unassigned [0x3925]',
	0x3926 : 'Unassigned [0x3926]',
	0x3927 : 'Unassigned [0x3927]',
	0x3928 : 'Unassigned [0x3928]',
	0x3929 : 'Unassigned [0x3929]',
	0x392A : 'Unassigned [0x392A]',
	0x392B : 'Unassigned [0x392B]',
	0x392C : 'Unassigned [0x392C]',
	0x392D : 'Unassigned [0x392D]',
	0x392E : 'Unassigned [0x392E]',
	0x392F : 'Unassigned [0x392F]',
	0x3930 : 'Unassigned [0x3930]',
	0x3931 : 'Unassigned [0x3931]',
	0x3932 : 'Unassigned [0x3932]',
	0x3933 : 'Unassigned [0x3933]',
	0x3934 : 'Unassigned [0x3934]',
	0x3935 : 'Unassigned [0x3935]',
	0x3936 : 'Unassigned [0x3936]',
	0x3937 : 'Unassigned [0x3937]',
	0x3938 : 'Unassigned [0x3938]',
	0x3939 : 'Unassigned [0x3939]',
	0x393A : 'Unassigned [0x393A]',
	0x393B : 'Unassigned [0x393B]',
	0x393C : 'Unassigned [0x393C]',
	0x393D : 'Unassigned [0x393D]',
	0x393E : 'Unassigned [0x393E]',
	0x393F : 'Unassigned [0x393F]',
	0x3940 : 'Unassigned [0x3940]',
	0x3941 : 'Unassigned [0x3941]',
	0x3942 : 'Unassigned [0x3942]',
	0x3943 : 'Unassigned [0x3943]',
	0x3944 : 'Unassigned [0x3944]',
	0x3945 : 'Unassigned [0x3945]',
	0x3946 : 'Unassigned [0x3946]',
	0x3947 : 'Unassigned [0x3947]',
	0x3948 : 'Unassigned [0x3948]',
	0x3949 : 'Unassigned [0x3949]',
	0x394A : 'Unassigned [0x394A]',
	0x394B : 'Unassigned [0x394B]',
	0x394C : 'Unassigned [0x394C]',
	0x394D : 'Unassigned [0x394D]',
	0x394E : 'Unassigned [0x394E]',
	0x394F : 'Unassigned [0x394F]',
	0x3950 : 'Unassigned [0x3950]',
	0x3951 : 'Unassigned [0x3951]',
	0x3952 : 'Unassigned [0x3952]',
	0x3953 : 'Unassigned [0x3953]',
	0x3954 : 'Unassigned [0x3954]',
	0x3955 : 'Unassigned [0x3955]',
	0x3956 : 'Unassigned [0x3956]',
	0x3957 : 'Unassigned [0x3957]',
	0x3958 : 'Unassigned [0x3958]',
	0x3959 : 'Unassigned [0x3959]',
	0x395A : 'Unassigned [0x395A]',
	0x395B : 'Unassigned [0x395B]',
	0x395C : 'Unassigned [0x395C]',
	0x395D : 'Unassigned [0x395D]',
	0x395E : 'Unassigned [0x395E]',
	0x395F : 'Unassigned [0x395F]',
	0x3960 : 'Unassigned [0x3960]',
	0x3961 : 'Unassigned [0x3961]',
	0x3962 : 'Unassigned [0x3962]',
	0x3963 : 'Unassigned [0x3963]',
	0x3964 : 'Unassigned [0x3964]',
	0x3965 : 'Unassigned [0x3965]',
	0x3966 : 'Unassigned [0x3966]',
	0x3967 : 'Unassigned [0x3967]',
	0x3968 : 'Unassigned [0x3968]',
	0x3969 : 'Unassigned [0x3969]',
	0x396A : 'Unassigned [0x396A]',
	0x396B : 'Unassigned [0x396B]',
	0x396C : 'Unassigned [0x396C]',
	0x396D : 'Unassigned [0x396D]',
	0x396E : 'Unassigned [0x396E]',
	0x396F : 'Unassigned [0x396F]',
	0x3970 : 'Unassigned [0x3970]',
	0x3971 : 'Unassigned [0x3971]',
	0x3972 : 'Unassigned [0x3972]',
	0x3973 : 'Unassigned [0x3973]',
	0x3974 : 'Unassigned [0x3974]',
	0x3975 : 'Unassigned [0x3975]',
	0x3976 : 'Unassigned [0x3976]',
	0x3977 : 'Unassigned [0x3977]',
	0x3978 : 'Unassigned [0x3978]',
	0x3979 : 'Unassigned [0x3979]',
	0x397A : 'Unassigned [0x397A]',
	0x397B : 'Unassigned [0x397B]',
	0x397C : 'Unassigned [0x397C]',
	0x397D : 'Unassigned [0x397D]',
	0x397E : 'Unassigned [0x397E]',
	0x397F : 'Unassigned [0x397F]',
	0x3980 : 'Unassigned [0x3980]',
	0x3981 : 'Unassigned [0x3981]',
	0x3982 : 'Unassigned [0x3982]',
	0x3983 : 'Unassigned [0x3983]',
	0x3984 : 'Unassigned [0x3984]',
	0x3985 : 'Unassigned [0x3985]',
	0x3986 : 'Unassigned [0x3986]',
	0x3987 : 'Unassigned [0x3987]',
	0x3988 : 'Unassigned [0x3988]',
	0x3989 : 'Unassigned [0x3989]',
	0x398A : 'Unassigned [0x398A]',
	0x398B : 'Unassigned [0x398B]',
	0x398C : 'Unassigned [0x398C]',
	0x398D : 'Unassigned [0x398D]',
	0x398E : 'Unassigned [0x398E]',
	0x398F : 'Unassigned [0x398F]',
	0x3990 : 'Unassigned [0x3990]',
	0x3991 : 'Unassigned [0x3991]',
	0x3992 : 'Unassigned [0x3992]',
	0x3993 : 'Unassigned [0x3993]',
	0x3994 : 'Unassigned [0x3994]',
	0x3995 : 'Unassigned [0x3995]',
	0x3996 : 'Unassigned [0x3996]',
	0x3997 : 'Unassigned [0x3997]',
	0x3998 : 'Unassigned [0x3998]',
	0x3999 : 'Unassigned [0x3999]',
	0x399A : 'Unassigned [0x399A]',
	0x399B : 'Unassigned [0x399B]',
	0x399C : 'Unassigned [0x399C]',
	0x399D : 'Unassigned [0x399D]',
	0x399E : 'Unassigned [0x399E]',
	0x399F : 'Unassigned [0x399F]',
	0x39A0 : 'Unassigned [0x39A0]',
	0x39A1 : 'Unassigned [0x39A1]',
	0x39A2 : 'Unassigned [0x39A2]',
	0x39A3 : 'Unassigned [0x39A3]',
	0x39A4 : 'Unassigned [0x39A4]',
	0x39A5 : 'Unassigned [0x39A5]',
	0x39A6 : 'Unassigned [0x39A6]',
	0x39A7 : 'Unassigned [0x39A7]',
	0x39A8 : 'Unassigned [0x39A8]',
	0x39A9 : 'Unassigned [0x39A9]',
	0x39AA : 'Unassigned [0x39AA]',
	0x39AB : 'Unassigned [0x39AB]',
	0x39AC : 'Unassigned [0x39AC]',
	0x39AD : 'Unassigned [0x39AD]',
	0x39AE : 'Unassigned [0x39AE]',
	0x39AF : 'Unassigned [0x39AF]',
	0x39B0 : 'Unassigned [0x39B0]',
	0x39B1 : 'Unassigned [0x39B1]',
	0x39B2 : 'Unassigned [0x39B2]',
	0x39B3 : 'Unassigned [0x39B3]',
	0x39B4 : 'Unassigned [0x39B4]',
	0x39B5 : 'Unassigned [0x39B5]',
	0x39B6 : 'Unassigned [0x39B6]',
	0x39B7 : 'Unassigned [0x39B7]',
	0x39B8 : 'Unassigned [0x39B8]',
	0x39B9 : 'Unassigned [0x39B9]',
	0x39BA : 'Unassigned [0x39BA]',
	0x39BB : 'Unassigned [0x39BB]',
	0x39BC : 'Unassigned [0x39BC]',
	0x39BD : 'Unassigned [0x39BD]',
	0x39BE : 'Unassigned [0x39BE]',
	0x39BF : 'Unassigned [0x39BF]',
	0x39C0 : 'Unassigned [0x39C0]',
	0x39C1 : 'Unassigned [0x39C1]',
	0x39C2 : 'Unassigned [0x39C2]',
	0x39C3 : 'Unassigned [0x39C3]',
	0x39C4 : 'Unassigned [0x39C4]',
	0x39C5 : 'Unassigned [0x39C5]',
	0x39C6 : 'Unassigned [0x39C6]',
	0x39C7 : 'Unassigned [0x39C7]',
	0x39C8 : 'Unassigned [0x39C8]',
	0x39C9 : 'Unassigned [0x39C9]',
	0x39CA : 'Unassigned [0x39CA]',
	0x39CB : 'Unassigned [0x39CB]',
	0x39CC : 'Unassigned [0x39CC]',
	0x39CD : 'Unassigned [0x39CD]',
	0x39CE : 'Unassigned [0x39CE]',
	0x39CF : 'Unassigned [0x39CF]',
	0x39D0 : 'Unassigned [0x39D0]',
	0x39D1 : 'Unassigned [0x39D1]',
	0x39D2 : 'Unassigned [0x39D2]',
	0x39D3 : 'Unassigned [0x39D3]',
	0x39D4 : 'Unassigned [0x39D4]',
	0x39D5 : 'Unassigned [0x39D5]',
	0x39D6 : 'Unassigned [0x39D6]',
	0x39D7 : 'Unassigned [0x39D7]',
	0x39D8 : 'Unassigned [0x39D8]',
	0x39D9 : 'Unassigned [0x39D9]',
	0x39DA : 'Unassigned [0x39DA]',
	0x39DB : 'Unassigned [0x39DB]',
	0x39DC : 'Unassigned [0x39DC]',
	0x39DD : 'Unassigned [0x39DD]',
	0x39DE : 'Unassigned [0x39DE]',
	0x39DF : 'Unassigned [0x39DF]',
	0x39E0 : 'Unassigned [0x39E0]',
	0x39E1 : 'Unassigned [0x39E1]',
	0x39E2 : 'Unassigned [0x39E2]',
	0x39E3 : 'Unassigned [0x39E3]',
	0x39E4 : 'Unassigned [0x39E4]',
	0x39E5 : 'Unassigned [0x39E5]',
	0x39E6 : 'Unassigned [0x39E6]',
	0x39E7 : 'Unassigned [0x39E7]',
	0x39E8 : 'Unassigned [0x39E8]',
	0x39E9 : 'Unassigned [0x39E9]',
	0x39EA : 'Unassigned [0x39EA]',
	0x39EB : 'Unassigned [0x39EB]',
	0x39EC : 'Unassigned [0x39EC]',
	0x39ED : 'Unassigned [0x39ED]',
	0x39EE : 'Unassigned [0x39EE]',
	0x39EF : 'Unassigned [0x39EF]',
	0x39F0 : 'Unassigned [0x39F0]',
	0x39F1 : 'Unassigned [0x39F1]',
	0x39F2 : 'Unassigned [0x39F2]',
	0x39F3 : 'Unassigned [0x39F3]',
	0x39F4 : 'Unassigned [0x39F4]',
	0x39F5 : 'Unassigned [0x39F5]',
	0x39F6 : 'Unassigned [0x39F6]',
	0x39F7 : 'Unassigned [0x39F7]',
	0x39F8 : 'Unassigned [0x39F8]',
	0x39F9 : 'Unassigned [0x39F9]',
	0x39FA : 'Unassigned [0x39FA]',
	0x39FB : 'Unassigned [0x39FB]',
	0x39FC : 'Unassigned [0x39FC]',
	0x39FD : 'Unassigned [0x39FD]',
	0x39FE : 'Unassigned [0x39FE]',
	0x39FF : 'Unassigned [0x39FF]',
	0x3A00 : 'Unassigned [0x3A00]',
	0x3A01 : 'Unassigned [0x3A01]',
	0x3A02 : 'Unassigned [0x3A02]',
	0x3A03 : 'Unassigned [0x3A03]',
	0x3A04 : 'Unassigned [0x3A04]',
	0x3A05 : 'Unassigned [0x3A05]',
	0x3A06 : 'Unassigned [0x3A06]',
	0x3A07 : 'Unassigned [0x3A07]',
	0x3A08 : 'Unassigned [0x3A08]',
	0x3A09 : 'Unassigned [0x3A09]',
	0x3A0A : 'Unassigned [0x3A0A]',
	0x3A0B : 'Unassigned [0x3A0B]',
	0x3A0C : 'Unassigned [0x3A0C]',
	0x3A0D : 'Unassigned [0x3A0D]',
	0x3A0E : 'Unassigned [0x3A0E]',
	0x3A0F : 'Unassigned [0x3A0F]',
	0x3A10 : 'Unassigned [0x3A10]',
	0x3A11 : 'Unassigned [0x3A11]',
	0x3A12 : 'Unassigned [0x3A12]',
	0x3A13 : 'Unassigned [0x3A13]',
	0x3A14 : 'Unassigned [0x3A14]',
	0x3A15 : 'Unassigned [0x3A15]',
	0x3A16 : 'Unassigned [0x3A16]',
	0x3A17 : 'Unassigned [0x3A17]',
	0x3A18 : 'Unassigned [0x3A18]',
	0x3A19 : 'Unassigned [0x3A19]',
	0x3A1A : 'Unassigned [0x3A1A]',
	0x3A1B : 'Unassigned [0x3A1B]',
	0x3A1C : 'Unassigned [0x3A1C]',
	0x3A1D : 'Unassigned [0x3A1D]',
	0x3A1E : 'Unassigned [0x3A1E]',
	0x3A1F : 'Unassigned [0x3A1F]',
	0x3A20 : 'Unassigned [0x3A20]',
	0x3A21 : 'Unassigned [0x3A21]',
	0x3A22 : 'Unassigned [0x3A22]',
	0x3A23 : 'Unassigned [0x3A23]',
	0x3A24 : 'Unassigned [0x3A24]',
	0x3A25 : 'Unassigned [0x3A25]',
	0x3A26 : 'Unassigned [0x3A26]',
	0x3A27 : 'Unassigned [0x3A27]',
	0x3A28 : 'Unassigned [0x3A28]',
	0x3A29 : 'Unassigned [0x3A29]',
	0x3A2A : 'Unassigned [0x3A2A]',
	0x3A2B : 'Unassigned [0x3A2B]',
	0x3A2C : 'Unassigned [0x3A2C]',
	0x3A2D : 'Unassigned [0x3A2D]',
	0x3A2E : 'Unassigned [0x3A2E]',
	0x3A2F : 'Unassigned [0x3A2F]',
	0x3A30 : 'Unassigned [0x3A30]',
	0x3A31 : 'Unassigned [0x3A31]',
	0x3A32 : 'Unassigned [0x3A32]',
	0x3A33 : 'Unassigned [0x3A33]',
	0x3A34 : 'Unassigned [0x3A34]',
	0x3A35 : 'Unassigned [0x3A35]',
	0x3A36 : 'Unassigned [0x3A36]',
	0x3A37 : 'Unassigned [0x3A37]',
	0x3A38 : 'Unassigned [0x3A38]',
	0x3A39 : 'Unassigned [0x3A39]',
	0x3A3A : 'Unassigned [0x3A3A]',
	0x3A3B : 'Unassigned [0x3A3B]',
	0x3A3C : 'Unassigned [0x3A3C]',
	0x3A3D : 'Unassigned [0x3A3D]',
	0x3A3E : 'Unassigned [0x3A3E]',
	0x3A3F : 'Unassigned [0x3A3F]',
	0x3A40 : 'Unassigned [0x3A40]',
	0x3A41 : 'Unassigned [0x3A41]',
	0x3A42 : 'Unassigned [0x3A42]',
	0x3A43 : 'Unassigned [0x3A43]',
	0x3A44 : 'Unassigned [0x3A44]',
	0x3A45 : 'Unassigned [0x3A45]',
	0x3A46 : 'Unassigned [0x3A46]',
	0x3A47 : 'Unassigned [0x3A47]',
	0x3A48 : 'Unassigned [0x3A48]',
	0x3A49 : 'Unassigned [0x3A49]',
	0x3A4A : 'Unassigned [0x3A4A]',
	0x3A4B : 'Unassigned [0x3A4B]',
	0x3A4C : 'Unassigned [0x3A4C]',
	0x3A4D : 'Unassigned [0x3A4D]',
	0x3A4E : 'Unassigned [0x3A4E]',
	0x3A4F : 'Unassigned [0x3A4F]',
	0x3A50 : 'Unassigned [0x3A50]',
	0x3A51 : 'Unassigned [0x3A51]',
	0x3A52 : 'Unassigned [0x3A52]',
	0x3A53 : 'Unassigned [0x3A53]',
	0x3A54 : 'Unassigned [0x3A54]',
	0x3A55 : 'Unassigned [0x3A55]',
	0x3A56 : 'Unassigned [0x3A56]',
	0x3A57 : 'Unassigned [0x3A57]',
	0x3A58 : 'Unassigned [0x3A58]',
	0x3A59 : 'Unassigned [0x3A59]',
	0x3A5A : 'Unassigned [0x3A5A]',
	0x3A5B : 'Unassigned [0x3A5B]',
	0x3A5C : 'Unassigned [0x3A5C]',
	0x3A5D : 'Unassigned [0x3A5D]',
	0x3A5E : 'Unassigned [0x3A5E]',
	0x3A5F : 'Unassigned [0x3A5F]',
	0x3A60 : 'Unassigned [0x3A60]',
	0x3A61 : 'Unassigned [0x3A61]',
	0x3A62 : 'Unassigned [0x3A62]',
	0x3A63 : 'Unassigned [0x3A63]',
	0x3A64 : 'Unassigned [0x3A64]',
	0x3A65 : 'Unassigned [0x3A65]',
	0x3A66 : 'Unassigned [0x3A66]',
	0x3A67 : 'Unassigned [0x3A67]',
	0x3A68 : 'Unassigned [0x3A68]',
	0x3A69 : 'Unassigned [0x3A69]',
	0x3A6A : 'Unassigned [0x3A6A]',
	0x3A6B : 'Unassigned [0x3A6B]',
	0x3A6C : 'Unassigned [0x3A6C]',
	0x3A6D : 'Unassigned [0x3A6D]',
	0x3A6E : 'Unassigned [0x3A6E]',
	0x3A6F : 'Unassigned [0x3A6F]',
	0x3A70 : 'Unassigned [0x3A70]',
	0x3A71 : 'Unassigned [0x3A71]',
	0x3A72 : 'Unassigned [0x3A72]',
	0x3A73 : 'Unassigned [0x3A73]',
	0x3A74 : 'Unassigned [0x3A74]',
	0x3A75 : 'Unassigned [0x3A75]',
	0x3A76 : 'Unassigned [0x3A76]',
	0x3A77 : 'Unassigned [0x3A77]',
	0x3A78 : 'Unassigned [0x3A78]',
	0x3A79 : 'Unassigned [0x3A79]',
	0x3A7A : 'Unassigned [0x3A7A]',
	0x3A7B : 'Unassigned [0x3A7B]',
	0x3A7C : 'Unassigned [0x3A7C]',
	0x3A7D : 'Unassigned [0x3A7D]',
	0x3A7E : 'Unassigned [0x3A7E]',
	0x3A7F : 'Unassigned [0x3A7F]',
	0x3A80 : 'Unassigned [0x3A80]',
	0x3A81 : 'Unassigned [0x3A81]',
	0x3A82 : 'Unassigned [0x3A82]',
	0x3A83 : 'Unassigned [0x3A83]',
	0x3A84 : 'Unassigned [0x3A84]',
	0x3A85 : 'Unassigned [0x3A85]',
	0x3A86 : 'Unassigned [0x3A86]',
	0x3A87 : 'Unassigned [0x3A87]',
	0x3A88 : 'Unassigned [0x3A88]',
	0x3A89 : 'Unassigned [0x3A89]',
	0x3A8A : 'Unassigned [0x3A8A]',
	0x3A8B : 'Unassigned [0x3A8B]',
	0x3A8C : 'Unassigned [0x3A8C]',
	0x3A8D : 'Unassigned [0x3A8D]',
	0x3A8E : 'Unassigned [0x3A8E]',
	0x3A8F : 'Unassigned [0x3A8F]',
	0x3A90 : 'Unassigned [0x3A90]',
	0x3A91 : 'Unassigned [0x3A91]',
	0x3A92 : 'Unassigned [0x3A92]',
	0x3A93 : 'Unassigned [0x3A93]',
	0x3A94 : 'Unassigned [0x3A94]',
	0x3A95 : 'Unassigned [0x3A95]',
	0x3A96 : 'Unassigned [0x3A96]',
	0x3A97 : 'Unassigned [0x3A97]',
	0x3A98 : 'Unassigned [0x3A98]',
	0x3A99 : 'Unassigned [0x3A99]',
	0x3A9A : 'Unassigned [0x3A9A]',
	0x3A9B : 'Unassigned [0x3A9B]',
	0x3A9C : 'Unassigned [0x3A9C]',
	0x3A9D : 'Unassigned [0x3A9D]',
	0x3A9E : 'Unassigned [0x3A9E]',
	0x3A9F : 'Unassigned [0x3A9F]',
	0x3AA0 : 'Unassigned [0x3AA0]',
	0x3AA1 : 'Unassigned [0x3AA1]',
	0x3AA2 : 'Unassigned [0x3AA2]',
	0x3AA3 : 'Unassigned [0x3AA3]',
	0x3AA4 : 'Unassigned [0x3AA4]',
	0x3AA5 : 'Unassigned [0x3AA5]',
	0x3AA6 : 'Unassigned [0x3AA6]',
	0x3AA7 : 'Unassigned [0x3AA7]',
	0x3AA8 : 'Unassigned [0x3AA8]',
	0x3AA9 : 'Unassigned [0x3AA9]',
	0x3AAA : 'Unassigned [0x3AAA]',
	0x3AAB : 'Unassigned [0x3AAB]',
	0x3AAC : 'Unassigned [0x3AAC]',
	0x3AAD : 'Unassigned [0x3AAD]',
	0x3AAE : 'Unassigned [0x3AAE]',
	0x3AAF : 'Unassigned [0x3AAF]',
	0x3AB0 : 'Unassigned [0x3AB0]',
	0x3AB1 : 'Unassigned [0x3AB1]',
	0x3AB2 : 'Unassigned [0x3AB2]',
	0x3AB3 : 'Unassigned [0x3AB3]',
	0x3AB4 : 'Unassigned [0x3AB4]',
	0x3AB5 : 'Unassigned [0x3AB5]',
	0x3AB6 : 'Unassigned [0x3AB6]',
	0x3AB7 : 'Unassigned [0x3AB7]',
	0x3AB8 : 'Unassigned [0x3AB8]',
	0x3AB9 : 'Unassigned [0x3AB9]',
	0x3ABA : 'Unassigned [0x3ABA]',
	0x3ABB : 'Unassigned [0x3ABB]',
	0x3ABC : 'Unassigned [0x3ABC]',
	0x3ABD : 'Unassigned [0x3ABD]',
	0x3ABE : 'Unassigned [0x3ABE]',
	0x3ABF : 'Unassigned [0x3ABF]',
	0x3AC0 : 'Unassigned [0x3AC0]',
	0x3AC1 : 'Unassigned [0x3AC1]',
	0x3AC2 : 'Unassigned [0x3AC2]',
	0x3AC3 : 'Unassigned [0x3AC3]',
	0x3AC4 : 'Unassigned [0x3AC4]',
	0x3AC5 : 'Unassigned [0x3AC5]',
	0x3AC6 : 'Unassigned [0x3AC6]',
	0x3AC7 : 'Unassigned [0x3AC7]',
	0x3AC8 : 'Unassigned [0x3AC8]',
	0x3AC9 : 'Unassigned [0x3AC9]',
	0x3ACA : 'Unassigned [0x3ACA]',
	0x3ACB : 'Unassigned [0x3ACB]',
	0x3ACC : 'Unassigned [0x3ACC]',
	0x3ACD : 'Unassigned [0x3ACD]',
	0x3ACE : 'Unassigned [0x3ACE]',
	0x3ACF : 'Unassigned [0x3ACF]',
	0x3AD0 : 'Unassigned [0x3AD0]',
	0x3AD1 : 'Unassigned [0x3AD1]',
	0x3AD2 : 'Unassigned [0x3AD2]',
	0x3AD3 : 'Unassigned [0x3AD3]',
	0x3AD4 : 'Unassigned [0x3AD4]',
	0x3AD5 : 'Unassigned [0x3AD5]',
	0x3AD6 : 'Unassigned [0x3AD6]',
	0x3AD7 : 'Unassigned [0x3AD7]',
	0x3AD8 : 'Unassigned [0x3AD8]',
	0x3AD9 : 'Unassigned [0x3AD9]',
	0x3ADA : 'Unassigned [0x3ADA]',
	0x3ADB : 'Unassigned [0x3ADB]',
	0x3ADC : 'Unassigned [0x3ADC]',
	0x3ADD : 'Unassigned [0x3ADD]',
	0x3ADE : 'Unassigned [0x3ADE]',
	0x3ADF : 'Unassigned [0x3ADF]',
	0x3AE0 : 'Unassigned [0x3AE0]',
	0x3AE1 : 'Unassigned [0x3AE1]',
	0x3AE2 : 'Unassigned [0x3AE2]',
	0x3AE3 : 'Unassigned [0x3AE3]',
	0x3AE4 : 'Unassigned [0x3AE4]',
	0x3AE5 : 'Unassigned [0x3AE5]',
	0x3AE6 : 'Unassigned [0x3AE6]',
	0x3AE7 : 'Unassigned [0x3AE7]',
	0x3AE8 : 'Unassigned [0x3AE8]',
	0x3AE9 : 'Unassigned [0x3AE9]',
	0x3AEA : 'Unassigned [0x3AEA]',
	0x3AEB : 'Unassigned [0x3AEB]',
	0x3AEC : 'Unassigned [0x3AEC]',
	0x3AED : 'Unassigned [0x3AED]',
	0x3AEE : 'Unassigned [0x3AEE]',
	0x3AEF : 'Unassigned [0x3AEF]',
	0x3AF0 : 'Unassigned [0x3AF0]',
	0x3AF1 : 'Unassigned [0x3AF1]',
	0x3AF2 : 'Unassigned [0x3AF2]',
	0x3AF3 : 'Unassigned [0x3AF3]',
	0x3AF4 : 'Unassigned [0x3AF4]',
	0x3AF5 : 'Unassigned [0x3AF5]',
	0x3AF6 : 'Unassigned [0x3AF6]',
	0x3AF7 : 'Unassigned [0x3AF7]',
	0x3AF8 : 'Unassigned [0x3AF8]',
	0x3AF9 : 'Unassigned [0x3AF9]',
	0x3AFA : 'Unassigned [0x3AFA]',
	0x3AFB : 'Unassigned [0x3AFB]',
	0x3AFC : 'Unassigned [0x3AFC]',
	0x3AFD : 'Unassigned [0x3AFD]',
	0x3AFE : 'Unassigned [0x3AFE]',
	0x3AFF : 'Unassigned [0x3AFF]',
	0x3B00 : 'Unassigned [0x3B00]',
	0x3B01 : 'Unassigned [0x3B01]',
	0x3B02 : 'Unassigned [0x3B02]',
	0x3B03 : 'Unassigned [0x3B03]',
	0x3B04 : 'Unassigned [0x3B04]',
	0x3B05 : 'Unassigned [0x3B05]',
	0x3B06 : 'Unassigned [0x3B06]',
	0x3B07 : 'Unassigned [0x3B07]',
	0x3B08 : 'Unassigned [0x3B08]',
	0x3B09 : 'Unassigned [0x3B09]',
	0x3B0A : 'Unassigned [0x3B0A]',
	0x3B0B : 'Unassigned [0x3B0B]',
	0x3B0C : 'Unassigned [0x3B0C]',
	0x3B0D : 'Unassigned [0x3B0D]',
	0x3B0E : 'Unassigned [0x3B0E]',
	0x3B0F : 'Unassigned [0x3B0F]',
	0x3B10 : 'Unassigned [0x3B10]',
	0x3B11 : 'Unassigned [0x3B11]',
	0x3B12 : 'Unassigned [0x3B12]',
	0x3B13 : 'Unassigned [0x3B13]',
	0x3B14 : 'Unassigned [0x3B14]',
	0x3B15 : 'Unassigned [0x3B15]',
	0x3B16 : 'Unassigned [0x3B16]',
	0x3B17 : 'Unassigned [0x3B17]',
	0x3B18 : 'Unassigned [0x3B18]',
	0x3B19 : 'Unassigned [0x3B19]',
	0x3B1A : 'Unassigned [0x3B1A]',
	0x3B1B : 'Unassigned [0x3B1B]',
	0x3B1C : 'Unassigned [0x3B1C]',
	0x3B1D : 'Unassigned [0x3B1D]',
	0x3B1E : 'Unassigned [0x3B1E]',
	0x3B1F : 'Unassigned [0x3B1F]',
	0x3B20 : 'Unassigned [0x3B20]',
	0x3B21 : 'Unassigned [0x3B21]',
	0x3B22 : 'Unassigned [0x3B22]',
	0x3B23 : 'Unassigned [0x3B23]',
	0x3B24 : 'Unassigned [0x3B24]',
	0x3B25 : 'Unassigned [0x3B25]',
	0x3B26 : 'Unassigned [0x3B26]',
	0x3B27 : 'Unassigned [0x3B27]',
	0x3B28 : 'Unassigned [0x3B28]',
	0x3B29 : 'Unassigned [0x3B29]',
	0x3B2A : 'Unassigned [0x3B2A]',
	0x3B2B : 'Unassigned [0x3B2B]',
	0x3B2C : 'Unassigned [0x3B2C]',
	0x3B2D : 'Unassigned [0x3B2D]',
	0x3B2E : 'Unassigned [0x3B2E]',
	0x3B2F : 'Unassigned [0x3B2F]',
	0x3B30 : 'Unassigned [0x3B30]',
	0x3B31 : 'Unassigned [0x3B31]',
	0x3B32 : 'Unassigned [0x3B32]',
	0x3B33 : 'Unassigned [0x3B33]',
	0x3B34 : 'Unassigned [0x3B34]',
	0x3B35 : 'Unassigned [0x3B35]',
	0x3B36 : 'Unassigned [0x3B36]',
	0x3B37 : 'Unassigned [0x3B37]',
	0x3B38 : 'Unassigned [0x3B38]',
	0x3B39 : 'Unassigned [0x3B39]',
	0x3B3A : 'Unassigned [0x3B3A]',
	0x3B3B : 'Unassigned [0x3B3B]',
	0x3B3C : 'Unassigned [0x3B3C]',
	0x3B3D : 'Unassigned [0x3B3D]',
	0x3B3E : 'Unassigned [0x3B3E]',
	0x3B3F : 'Unassigned [0x3B3F]',
	0x3B40 : 'Unassigned [0x3B40]',
	0x3B41 : 'Unassigned [0x3B41]',
	0x3B42 : 'Unassigned [0x3B42]',
	0x3B43 : 'Unassigned [0x3B43]',
	0x3B44 : 'Unassigned [0x3B44]',
	0x3B45 : 'Unassigned [0x3B45]',
	0x3B46 : 'Unassigned [0x3B46]',
	0x3B47 : 'Unassigned [0x3B47]',
	0x3B48 : 'Unassigned [0x3B48]',
	0x3B49 : 'Unassigned [0x3B49]',
	0x3B4A : 'Unassigned [0x3B4A]',
	0x3B4B : 'Unassigned [0x3B4B]',
	0x3B4C : 'Unassigned [0x3B4C]',
	0x3B4D : 'Unassigned [0x3B4D]',
	0x3B4E : 'Unassigned [0x3B4E]',
	0x3B4F : 'Unassigned [0x3B4F]',
	0x3B50 : 'Unassigned [0x3B50]',
	0x3B51 : 'Unassigned [0x3B51]',
	0x3B52 : 'Unassigned [0x3B52]',
	0x3B53 : 'Unassigned [0x3B53]',
	0x3B54 : 'Unassigned [0x3B54]',
	0x3B55 : 'Unassigned [0x3B55]',
	0x3B56 : 'Unassigned [0x3B56]',
	0x3B57 : 'Unassigned [0x3B57]',
	0x3B58 : 'Unassigned [0x3B58]',
	0x3B59 : 'Unassigned [0x3B59]',
	0x3B5A : 'Unassigned [0x3B5A]',
	0x3B5B : 'Unassigned [0x3B5B]',
	0x3B5C : 'Unassigned [0x3B5C]',
	0x3B5D : 'Unassigned [0x3B5D]',
	0x3B5E : 'Unassigned [0x3B5E]',
	0x3B5F : 'Unassigned [0x3B5F]',
	0x3B60 : 'Unassigned [0x3B60]',
	0x3B61 : 'Unassigned [0x3B61]',
	0x3B62 : 'Unassigned [0x3B62]',
	0x3B63 : 'Unassigned [0x3B63]',
	0x3B64 : 'Unassigned [0x3B64]',
	0x3B65 : 'Unassigned [0x3B65]',
	0x3B66 : 'Unassigned [0x3B66]',
	0x3B67 : 'Unassigned [0x3B67]',
	0x3B68 : 'Unassigned [0x3B68]',
	0x3B69 : 'Unassigned [0x3B69]',
	0x3B6A : 'Unassigned [0x3B6A]',
	0x3B6B : 'Unassigned [0x3B6B]',
	0x3B6C : 'Unassigned [0x3B6C]',
	0x3B6D : 'Unassigned [0x3B6D]',
	0x3B6E : 'Unassigned [0x3B6E]',
	0x3B6F : 'Unassigned [0x3B6F]',
	0x3B70 : 'Unassigned [0x3B70]',
	0x3B71 : 'Unassigned [0x3B71]',
	0x3B72 : 'Unassigned [0x3B72]',
	0x3B73 : 'Unassigned [0x3B73]',
	0x3B74 : 'Unassigned [0x3B74]',
	0x3B75 : 'Unassigned [0x3B75]',
	0x3B76 : 'Unassigned [0x3B76]',
	0x3B77 : 'Unassigned [0x3B77]',
	0x3B78 : 'Unassigned [0x3B78]',
	0x3B79 : 'Unassigned [0x3B79]',
	0x3B7A : 'Unassigned [0x3B7A]',
	0x3B7B : 'Unassigned [0x3B7B]',
	0x3B7C : 'Unassigned [0x3B7C]',
	0x3B7D : 'Unassigned [0x3B7D]',
	0x3B7E : 'Unassigned [0x3B7E]',
	0x3B7F : 'Unassigned [0x3B7F]',
	0x3B80 : 'Unassigned [0x3B80]',
	0x3B81 : 'Unassigned [0x3B81]',
	0x3B82 : 'Unassigned [0x3B82]',
	0x3B83 : 'Unassigned [0x3B83]',
	0x3B84 : 'Unassigned [0x3B84]',
	0x3B85 : 'Unassigned [0x3B85]',
	0x3B86 : 'Unassigned [0x3B86]',
	0x3B87 : 'Unassigned [0x3B87]',
	0x3B88 : 'Unassigned [0x3B88]',
	0x3B89 : 'Unassigned [0x3B89]',
	0x3B8A : 'Unassigned [0x3B8A]',
	0x3B8B : 'Unassigned [0x3B8B]',
	0x3B8C : 'Unassigned [0x3B8C]',
	0x3B8D : 'Unassigned [0x3B8D]',
	0x3B8E : 'Unassigned [0x3B8E]',
	0x3B8F : 'Unassigned [0x3B8F]',
	0x3B90 : 'Unassigned [0x3B90]',
	0x3B91 : 'Unassigned [0x3B91]',
	0x3B92 : 'Unassigned [0x3B92]',
	0x3B93 : 'Unassigned [0x3B93]',
	0x3B94 : 'Unassigned [0x3B94]',
	0x3B95 : 'Unassigned [0x3B95]',
	0x3B96 : 'Unassigned [0x3B96]',
	0x3B97 : 'Unassigned [0x3B97]',
	0x3B98 : 'Unassigned [0x3B98]',
	0x3B99 : 'Unassigned [0x3B99]',
	0x3B9A : 'Unassigned [0x3B9A]',
	0x3B9B : 'Unassigned [0x3B9B]',
	0x3B9C : 'Unassigned [0x3B9C]',
	0x3B9D : 'Unassigned [0x3B9D]',
	0x3B9E : 'Unassigned [0x3B9E]',
	0x3B9F : 'Unassigned [0x3B9F]',
	0x3BA0 : 'Unassigned [0x3BA0]',
	0x3BA1 : 'Unassigned [0x3BA1]',
	0x3BA2 : 'Unassigned [0x3BA2]',
	0x3BA3 : 'Unassigned [0x3BA3]',
	0x3BA4 : 'Unassigned [0x3BA4]',
	0x3BA5 : 'Unassigned [0x3BA5]',
	0x3BA6 : 'Unassigned [0x3BA6]',
	0x3BA7 : 'Unassigned [0x3BA7]',
	0x3BA8 : 'Unassigned [0x3BA8]',
	0x3BA9 : 'Unassigned [0x3BA9]',
	0x3BAA : 'Unassigned [0x3BAA]',
	0x3BAB : 'Unassigned [0x3BAB]',
	0x3BAC : 'Unassigned [0x3BAC]',
	0x3BAD : 'Unassigned [0x3BAD]',
	0x3BAE : 'Unassigned [0x3BAE]',
	0x3BAF : 'Unassigned [0x3BAF]',
	0x3BB0 : 'Unassigned [0x3BB0]',
	0x3BB1 : 'Unassigned [0x3BB1]',
	0x3BB2 : 'Unassigned [0x3BB2]',
	0x3BB3 : 'Unassigned [0x3BB3]',
	0x3BB4 : 'Unassigned [0x3BB4]',
	0x3BB5 : 'Unassigned [0x3BB5]',
	0x3BB6 : 'Unassigned [0x3BB6]',
	0x3BB7 : 'Unassigned [0x3BB7]',
	0x3BB8 : 'Unassigned [0x3BB8]',
	0x3BB9 : 'Unassigned [0x3BB9]',
	0x3BBA : 'Unassigned [0x3BBA]',
	0x3BBB : 'Unassigned [0x3BBB]',
	0x3BBC : 'Unassigned [0x3BBC]',
	0x3BBD : 'Unassigned [0x3BBD]',
	0x3BBE : 'Unassigned [0x3BBE]',
	0x3BBF : 'Unassigned [0x3BBF]',
	0x3BC0 : 'Unassigned [0x3BC0]',
	0x3BC1 : 'Unassigned [0x3BC1]',
	0x3BC2 : 'Unassigned [0x3BC2]',
	0x3BC3 : 'Unassigned [0x3BC3]',
	0x3BC4 : 'Unassigned [0x3BC4]',
	0x3BC5 : 'Unassigned [0x3BC5]',
	0x3BC6 : 'Unassigned [0x3BC6]',
	0x3BC7 : 'Unassigned [0x3BC7]',
	0x3BC8 : 'Unassigned [0x3BC8]',
	0x3BC9 : 'Unassigned [0x3BC9]',
	0x3BCA : 'Unassigned [0x3BCA]',
	0x3BCB : 'Unassigned [0x3BCB]',
	0x3BCC : 'Unassigned [0x3BCC]',
	0x3BCD : 'Unassigned [0x3BCD]',
	0x3BCE : 'Unassigned [0x3BCE]',
	0x3BCF : 'Unassigned [0x3BCF]',
	0x3BD0 : 'Unassigned [0x3BD0]',
	0x3BD1 : 'Unassigned [0x3BD1]',
	0x3BD2 : 'Unassigned [0x3BD2]',
	0x3BD3 : 'Unassigned [0x3BD3]',
	0x3BD4 : 'Unassigned [0x3BD4]',
	0x3BD5 : 'Unassigned [0x3BD5]',
	0x3BD6 : 'Unassigned [0x3BD6]',
	0x3BD7 : 'Unassigned [0x3BD7]',
	0x3BD8 : 'Unassigned [0x3BD8]',
	0x3BD9 : 'Unassigned [0x3BD9]',
	0x3BDA : 'Unassigned [0x3BDA]',
	0x3BDB : 'Unassigned [0x3BDB]',
	0x3BDC : 'Unassigned [0x3BDC]',
	0x3BDD : 'Unassigned [0x3BDD]',
	0x3BDE : 'Unassigned [0x3BDE]',
	0x3BDF : 'Unassigned [0x3BDF]',
	0x3BE0 : 'Unassigned [0x3BE0]',
	0x3BE1 : 'Unassigned [0x3BE1]',
	0x3BE2 : 'Unassigned [0x3BE2]',
	0x3BE3 : 'Unassigned [0x3BE3]',
	0x3BE4 : 'Unassigned [0x3BE4]',
	0x3BE5 : 'Unassigned [0x3BE5]',
	0x3BE6 : 'Unassigned [0x3BE6]',
	0x3BE7 : 'Unassigned [0x3BE7]',
	0x3BE8 : 'Unassigned [0x3BE8]',
	0x3BE9 : 'Unassigned [0x3BE9]',
	0x3BEA : 'Unassigned [0x3BEA]',
	0x3BEB : 'Unassigned [0x3BEB]',
	0x3BEC : 'Unassigned [0x3BEC]',
	0x3BED : 'Unassigned [0x3BED]',
	0x3BEE : 'Unassigned [0x3BEE]',
	0x3BEF : 'Unassigned [0x3BEF]',
	0x3BF0 : 'Unassigned [0x3BF0]',
	0x3BF1 : 'Unassigned [0x3BF1]',
	0x3BF2 : 'Unassigned [0x3BF2]',
	0x3BF3 : 'Unassigned [0x3BF3]',
	0x3BF4 : 'Unassigned [0x3BF4]',
	0x3BF5 : 'Unassigned [0x3BF5]',
	0x3BF6 : 'Unassigned [0x3BF6]',
	0x3BF7 : 'Unassigned [0x3BF7]',
	0x3BF8 : 'Unassigned [0x3BF8]',
	0x3BF9 : 'Unassigned [0x3BF9]',
	0x3BFA : 'Unassigned [0x3BFA]',
	0x3BFB : 'Unassigned [0x3BFB]',
	0x3BFC : 'Unassigned [0x3BFC]',
	0x3BFD : 'Unassigned [0x3BFD]',
	0x3BFE : 'Unassigned [0x3BFE]',
	0x3BFF : 'Unassigned [0x3BFF]',
	0x3C00 : 'Unassigned [0x3C00]',
	0x3C01 : 'Unassigned [0x3C01]',
	0x3C02 : 'Unassigned [0x3C02]',
	0x3C03 : 'Unassigned [0x3C03]',
	0x3C04 : 'Unassigned [0x3C04]',
	0x3C05 : 'Unassigned [0x3C05]',
	0x3C06 : 'Unassigned [0x3C06]',
	0x3C07 : 'Unassigned [0x3C07]',
	0x3C08 : 'Unassigned [0x3C08]',
	0x3C09 : 'Unassigned [0x3C09]',
	0x3C0A : 'Unassigned [0x3C0A]',
	0x3C0B : 'Unassigned [0x3C0B]',
	0x3C0C : 'Unassigned [0x3C0C]',
	0x3C0D : 'Unassigned [0x3C0D]',
	0x3C0E : 'Unassigned [0x3C0E]',
	0x3C0F : 'Unassigned [0x3C0F]',
	0x3C10 : 'Unassigned [0x3C10]',
	0x3C11 : 'Unassigned [0x3C11]',
	0x3C12 : 'Unassigned [0x3C12]',
	0x3C13 : 'Unassigned [0x3C13]',
	0x3C14 : 'Unassigned [0x3C14]',
	0x3C15 : 'Unassigned [0x3C15]',
	0x3C16 : 'Unassigned [0x3C16]',
	0x3C17 : 'Unassigned [0x3C17]',
	0x3C18 : 'Unassigned [0x3C18]',
	0x3C19 : 'Unassigned [0x3C19]',
	0x3C1A : 'Unassigned [0x3C1A]',
	0x3C1B : 'Unassigned [0x3C1B]',
	0x3C1C : 'Unassigned [0x3C1C]',
	0x3C1D : 'Unassigned [0x3C1D]',
	0x3C1E : 'Unassigned [0x3C1E]',
	0x3C1F : 'Unassigned [0x3C1F]',
	0x3C20 : 'Unassigned [0x3C20]',
	0x3C21 : 'Unassigned [0x3C21]',
	0x3C22 : 'Unassigned [0x3C22]',
	0x3C23 : 'Unassigned [0x3C23]',
	0x3C24 : 'Unassigned [0x3C24]',
	0x3C25 : 'Unassigned [0x3C25]',
	0x3C26 : 'Unassigned [0x3C26]',
	0x3C27 : 'Unassigned [0x3C27]',
	0x3C28 : 'Unassigned [0x3C28]',
	0x3C29 : 'Unassigned [0x3C29]',
	0x3C2A : 'Unassigned [0x3C2A]',
	0x3C2B : 'Unassigned [0x3C2B]',
	0x3C2C : 'Unassigned [0x3C2C]',
	0x3C2D : 'Unassigned [0x3C2D]',
	0x3C2E : 'Unassigned [0x3C2E]',
	0x3C2F : 'Unassigned [0x3C2F]',
	0x3C30 : 'Unassigned [0x3C30]',
	0x3C31 : 'Unassigned [0x3C31]',
	0x3C32 : 'Unassigned [0x3C32]',
	0x3C33 : 'Unassigned [0x3C33]',
	0x3C34 : 'Unassigned [0x3C34]',
	0x3C35 : 'Unassigned [0x3C35]',
	0x3C36 : 'Unassigned [0x3C36]',
	0x3C37 : 'Unassigned [0x3C37]',
	0x3C38 : 'Unassigned [0x3C38]',
	0x3C39 : 'Unassigned [0x3C39]',
	0x3C3A : 'Unassigned [0x3C3A]',
	0x3C3B : 'Unassigned [0x3C3B]',
	0x3C3C : 'Unassigned [0x3C3C]',
	0x3C3D : 'Unassigned [0x3C3D]',
	0x3C3E : 'Unassigned [0x3C3E]',
	0x3C3F : 'Unassigned [0x3C3F]',
	0x3C40 : 'Unassigned [0x3C40]',
	0x3C41 : 'Unassigned [0x3C41]',
	0x3C42 : 'Unassigned [0x3C42]',
	0x3C43 : 'Unassigned [0x3C43]',
	0x3C44 : 'Unassigned [0x3C44]',
	0x3C45 : 'Unassigned [0x3C45]',
	0x3C46 : 'Unassigned [0x3C46]',
	0x3C47 : 'Unassigned [0x3C47]',
	0x3C48 : 'Unassigned [0x3C48]',
	0x3C49 : 'Unassigned [0x3C49]',
	0x3C4A : 'Unassigned [0x3C4A]',
	0x3C4B : 'Unassigned [0x3C4B]',
	0x3C4C : 'Unassigned [0x3C4C]',
	0x3C4D : 'Unassigned [0x3C4D]',
	0x3C4E : 'Unassigned [0x3C4E]',
	0x3C4F : 'Unassigned [0x3C4F]',
	0x3C50 : 'Unassigned [0x3C50]',
	0x3C51 : 'Unassigned [0x3C51]',
	0x3C52 : 'Unassigned [0x3C52]',
	0x3C53 : 'Unassigned [0x3C53]',
	0x3C54 : 'Unassigned [0x3C54]',
	0x3C55 : 'Unassigned [0x3C55]',
	0x3C56 : 'Unassigned [0x3C56]',
	0x3C57 : 'Unassigned [0x3C57]',
	0x3C58 : 'Unassigned [0x3C58]',
	0x3C59 : 'Unassigned [0x3C59]',
	0x3C5A : 'Unassigned [0x3C5A]',
	0x3C5B : 'Unassigned [0x3C5B]',
	0x3C5C : 'Unassigned [0x3C5C]',
	0x3C5D : 'Unassigned [0x3C5D]',
	0x3C5E : 'Unassigned [0x3C5E]',
	0x3C5F : 'Unassigned [0x3C5F]',
	0x3C60 : 'Unassigned [0x3C60]',
	0x3C61 : 'Unassigned [0x3C61]',
	0x3C62 : 'Unassigned [0x3C62]',
	0x3C63 : 'Unassigned [0x3C63]',
	0x3C64 : 'Unassigned [0x3C64]',
	0x3C65 : 'Unassigned [0x3C65]',
	0x3C66 : 'Unassigned [0x3C66]',
	0x3C67 : 'Unassigned [0x3C67]',
	0x3C68 : 'Unassigned [0x3C68]',
	0x3C69 : 'Unassigned [0x3C69]',
	0x3C6A : 'Unassigned [0x3C6A]',
	0x3C6B : 'Unassigned [0x3C6B]',
	0x3C6C : 'Unassigned [0x3C6C]',
	0x3C6D : 'Unassigned [0x3C6D]',
	0x3C6E : 'Unassigned [0x3C6E]',
	0x3C6F : 'Unassigned [0x3C6F]',
	0x3C70 : 'Unassigned [0x3C70]',
	0x3C71 : 'Unassigned [0x3C71]',
	0x3C72 : 'Unassigned [0x3C72]',
	0x3C73 : 'Unassigned [0x3C73]',
	0x3C74 : 'Unassigned [0x3C74]',
	0x3C75 : 'Unassigned [0x3C75]',
	0x3C76 : 'Unassigned [0x3C76]',
	0x3C77 : 'Unassigned [0x3C77]',
	0x3C78 : 'Unassigned [0x3C78]',
	0x3C79 : 'Unassigned [0x3C79]',
	0x3C7A : 'Unassigned [0x3C7A]',
	0x3C7B : 'Unassigned [0x3C7B]',
	0x3C7C : 'Unassigned [0x3C7C]',
	0x3C7D : 'Unassigned [0x3C7D]',
	0x3C7E : 'Unassigned [0x3C7E]',
	0x3C7F : 'Unassigned [0x3C7F]',
	0x3C80 : 'Unassigned [0x3C80]',
	0x3C81 : 'Unassigned [0x3C81]',
	0x3C82 : 'Unassigned [0x3C82]',
	0x3C83 : 'Unassigned [0x3C83]',
	0x3C84 : 'Unassigned [0x3C84]',
	0x3C85 : 'Unassigned [0x3C85]',
	0x3C86 : 'Unassigned [0x3C86]',
	0x3C87 : 'Unassigned [0x3C87]',
	0x3C88 : 'Unassigned [0x3C88]',
	0x3C89 : 'Unassigned [0x3C89]',
	0x3C8A : 'Unassigned [0x3C8A]',
	0x3C8B : 'Unassigned [0x3C8B]',
	0x3C8C : 'Unassigned [0x3C8C]',
	0x3C8D : 'Unassigned [0x3C8D]',
	0x3C8E : 'Unassigned [0x3C8E]',
	0x3C8F : 'Unassigned [0x3C8F]',
	0x3C90 : 'Unassigned [0x3C90]',
	0x3C91 : 'Unassigned [0x3C91]',
	0x3C92 : 'Unassigned [0x3C92]',
	0x3C93 : 'Unassigned [0x3C93]',
	0x3C94 : 'Unassigned [0x3C94]',
	0x3C95 : 'Unassigned [0x3C95]',
	0x3C96 : 'Unassigned [0x3C96]',
	0x3C97 : 'Unassigned [0x3C97]',
	0x3C98 : 'Unassigned [0x3C98]',
	0x3C99 : 'Unassigned [0x3C99]',
	0x3C9A : 'Unassigned [0x3C9A]',
	0x3C9B : 'Unassigned [0x3C9B]',
	0x3C9C : 'Unassigned [0x3C9C]',
	0x3C9D : 'Unassigned [0x3C9D]',
	0x3C9E : 'Unassigned [0x3C9E]',
	0x3C9F : 'Unassigned [0x3C9F]',
	0x3CA0 : 'Unassigned [0x3CA0]',
	0x3CA1 : 'Unassigned [0x3CA1]',
	0x3CA2 : 'Unassigned [0x3CA2]',
	0x3CA3 : 'Unassigned [0x3CA3]',
	0x3CA4 : 'Unassigned [0x3CA4]',
	0x3CA5 : 'Unassigned [0x3CA5]',
	0x3CA6 : 'Unassigned [0x3CA6]',
	0x3CA7 : 'Unassigned [0x3CA7]',
	0x3CA8 : 'Unassigned [0x3CA8]',
	0x3CA9 : 'Unassigned [0x3CA9]',
	0x3CAA : 'Unassigned [0x3CAA]',
	0x3CAB : 'Unassigned [0x3CAB]',
	0x3CAC : 'Unassigned [0x3CAC]',
	0x3CAD : 'Unassigned [0x3CAD]',
	0x3CAE : 'Unassigned [0x3CAE]',
	0x3CAF : 'Unassigned [0x3CAF]',
	0x3CB0 : 'Unassigned [0x3CB0]',
	0x3CB1 : 'Unassigned [0x3CB1]',
	0x3CB2 : 'Unassigned [0x3CB2]',
	0x3CB3 : 'Unassigned [0x3CB3]',
	0x3CB4 : 'Unassigned [0x3CB4]',
	0x3CB5 : 'Unassigned [0x3CB5]',
	0x3CB6 : 'Unassigned [0x3CB6]',
	0x3CB7 : 'Unassigned [0x3CB7]',
	0x3CB8 : 'Unassigned [0x3CB8]',
	0x3CB9 : 'Unassigned [0x3CB9]',
	0x3CBA : 'Unassigned [0x3CBA]',
	0x3CBB : 'Unassigned [0x3CBB]',
	0x3CBC : 'Unassigned [0x3CBC]',
	0x3CBD : 'Unassigned [0x3CBD]',
	0x3CBE : 'Unassigned [0x3CBE]',
	0x3CBF : 'Unassigned [0x3CBF]',
	0x3CC0 : 'Unassigned [0x3CC0]',
	0x3CC1 : 'Unassigned [0x3CC1]',
	0x3CC2 : 'Unassigned [0x3CC2]',
	0x3CC3 : 'Unassigned [0x3CC3]',
	0x3CC4 : 'Unassigned [0x3CC4]',
	0x3CC5 : 'Unassigned [0x3CC5]',
	0x3CC6 : 'Unassigned [0x3CC6]',
	0x3CC7 : 'Unassigned [0x3CC7]',
	0x3CC8 : 'Unassigned [0x3CC8]',
	0x3CC9 : 'Unassigned [0x3CC9]',
	0x3CCA : 'Unassigned [0x3CCA]',
	0x3CCB : 'Unassigned [0x3CCB]',
	0x3CCC : 'Unassigned [0x3CCC]',
	0x3CCD : 'Unassigned [0x3CCD]',
	0x3CCE : 'Unassigned [0x3CCE]',
	0x3CCF : 'Unassigned [0x3CCF]',
	0x3CD0 : 'Unassigned [0x3CD0]',
	0x3CD1 : 'Unassigned [0x3CD1]',
	0x3CD2 : 'Unassigned [0x3CD2]',
	0x3CD3 : 'Unassigned [0x3CD3]',
	0x3CD4 : 'Unassigned [0x3CD4]',
	0x3CD5 : 'Unassigned [0x3CD5]',
	0x3CD6 : 'Unassigned [0x3CD6]',
	0x3CD7 : 'Unassigned [0x3CD7]',
	0x3CD8 : 'Unassigned [0x3CD8]',
	0x3CD9 : 'Unassigned [0x3CD9]',
	0x3CDA : 'Unassigned [0x3CDA]',
	0x3CDB : 'Unassigned [0x3CDB]',
	0x3CDC : 'Unassigned [0x3CDC]',
	0x3CDD : 'Unassigned [0x3CDD]',
	0x3CDE : 'Unassigned [0x3CDE]',
	0x3CDF : 'Unassigned [0x3CDF]',
	0x3CE0 : 'Unassigned [0x3CE0]',
	0x3CE1 : 'Unassigned [0x3CE1]',
	0x3CE2 : 'Unassigned [0x3CE2]',
	0x3CE3 : 'Unassigned [0x3CE3]',
	0x3CE4 : 'Unassigned [0x3CE4]',
	0x3CE5 : 'Unassigned [0x3CE5]',
	0x3CE6 : 'Unassigned [0x3CE6]',
	0x3CE7 : 'Unassigned [0x3CE7]',
	0x3CE8 : 'Unassigned [0x3CE8]',
	0x3CE9 : 'Unassigned [0x3CE9]',
	0x3CEA : 'Unassigned [0x3CEA]',
	0x3CEB : 'Unassigned [0x3CEB]',
	0x3CEC : 'Unassigned [0x3CEC]',
	0x3CED : 'Unassigned [0x3CED]',
	0x3CEE : 'Unassigned [0x3CEE]',
	0x3CEF : 'Unassigned [0x3CEF]',
	0x3CF0 : 'Unassigned [0x3CF0]',
	0x3CF1 : 'Unassigned [0x3CF1]',
	0x3CF2 : 'Unassigned [0x3CF2]',
	0x3CF3 : 'Unassigned [0x3CF3]',
	0x3CF4 : 'Unassigned [0x3CF4]',
	0x3CF5 : 'Unassigned [0x3CF5]',
	0x3CF6 : 'Unassigned [0x3CF6]',
	0x3CF7 : 'Unassigned [0x3CF7]',
	0x3CF8 : 'Unassigned [0x3CF8]',
	0x3CF9 : 'Unassigned [0x3CF9]',
	0x3CFA : 'Unassigned [0x3CFA]',
	0x3CFB : 'Unassigned [0x3CFB]',
	0x3CFC : 'Unassigned [0x3CFC]',
	0x3CFD : 'Unassigned [0x3CFD]',
	0x3CFE : 'Unassigned [0x3CFE]',
	0x3CFF : 'Unassigned [0x3CFF]',
	0x3D00 : 'Unassigned [0x3D00]',
	0x3D01 : 'Unassigned [0x3D01]',
	0x3D02 : 'Unassigned [0x3D02]',
	0x3D03 : 'Unassigned [0x3D03]',
	0x3D04 : 'Unassigned [0x3D04]',
	0x3D05 : 'Unassigned [0x3D05]',
	0x3D06 : 'Unassigned [0x3D06]',
	0x3D07 : 'Unassigned [0x3D07]',
	0x3D08 : 'Unassigned [0x3D08]',
	0x3D09 : 'Unassigned [0x3D09]',
	0x3D0A : 'Unassigned [0x3D0A]',
	0x3D0B : 'Unassigned [0x3D0B]',
	0x3D0C : 'Unassigned [0x3D0C]',
	0x3D0D : 'Unassigned [0x3D0D]',
	0x3D0E : 'Unassigned [0x3D0E]',
	0x3D0F : 'Unassigned [0x3D0F]',
	0x3D10 : 'Unassigned [0x3D10]',
	0x3D11 : 'Unassigned [0x3D11]',
	0x3D12 : 'Unassigned [0x3D12]',
	0x3D13 : 'Unassigned [0x3D13]',
	0x3D14 : 'Unassigned [0x3D14]',
	0x3D15 : 'Unassigned [0x3D15]',
	0x3D16 : 'Unassigned [0x3D16]',
	0x3D17 : 'Unassigned [0x3D17]',
	0x3D18 : 'Unassigned [0x3D18]',
	0x3D19 : 'Unassigned [0x3D19]',
	0x3D1A : 'Unassigned [0x3D1A]',
	0x3D1B : 'Unassigned [0x3D1B]',
	0x3D1C : 'Unassigned [0x3D1C]',
	0x3D1D : 'Unassigned [0x3D1D]',
	0x3D1E : 'Unassigned [0x3D1E]',
	0x3D1F : 'Unassigned [0x3D1F]',
	0x3D20 : 'Unassigned [0x3D20]',
	0x3D21 : 'Unassigned [0x3D21]',
	0x3D22 : 'Unassigned [0x3D22]',
	0x3D23 : 'Unassigned [0x3D23]',
	0x3D24 : 'Unassigned [0x3D24]',
	0x3D25 : 'Unassigned [0x3D25]',
	0x3D26 : 'Unassigned [0x3D26]',
	0x3D27 : 'Unassigned [0x3D27]',
	0x3D28 : 'Unassigned [0x3D28]',
	0x3D29 : 'Unassigned [0x3D29]',
	0x3D2A : 'Unassigned [0x3D2A]',
	0x3D2B : 'Unassigned [0x3D2B]',
	0x3D2C : 'Unassigned [0x3D2C]',
	0x3D2D : 'Unassigned [0x3D2D]',
	0x3D2E : 'Unassigned [0x3D2E]',
	0x3D2F : 'Unassigned [0x3D2F]',
	0x3D30 : 'Unassigned [0x3D30]',
	0x3D31 : 'Unassigned [0x3D31]',
	0x3D32 : 'Unassigned [0x3D32]',
	0x3D33 : 'Unassigned [0x3D33]',
	0x3D34 : 'Unassigned [0x3D34]',
	0x3D35 : 'Unassigned [0x3D35]',
	0x3D36 : 'Unassigned [0x3D36]',
	0x3D37 : 'Unassigned [0x3D37]',
	0x3D38 : 'Unassigned [0x3D38]',
	0x3D39 : 'Unassigned [0x3D39]',
	0x3D3A : 'Unassigned [0x3D3A]',
	0x3D3B : 'Unassigned [0x3D3B]',
	0x3D3C : 'Unassigned [0x3D3C]',
	0x3D3D : 'Unassigned [0x3D3D]',
	0x3D3E : 'Unassigned [0x3D3E]',
	0x3D3F : 'Unassigned [0x3D3F]',
	0x3D40 : 'Unassigned [0x3D40]',
	0x3D41 : 'Unassigned [0x3D41]',
	0x3D42 : 'Unassigned [0x3D42]',
	0x3D43 : 'Unassigned [0x3D43]',
	0x3D44 : 'Unassigned [0x3D44]',
	0x3D45 : 'Unassigned [0x3D45]',
	0x3D46 : 'Unassigned [0x3D46]',
	0x3D47 : 'Unassigned [0x3D47]',
	0x3D48 : 'Unassigned [0x3D48]',
	0x3D49 : 'Unassigned [0x3D49]',
	0x3D4A : 'Unassigned [0x3D4A]',
	0x3D4B : 'Unassigned [0x3D4B]',
	0x3D4C : 'Unassigned [0x3D4C]',
	0x3D4D : 'Unassigned [0x3D4D]',
	0x3D4E : 'Unassigned [0x3D4E]',
	0x3D4F : 'Unassigned [0x3D4F]',
	0x3D50 : 'Unassigned [0x3D50]',
	0x3D51 : 'Unassigned [0x3D51]',
	0x3D52 : 'Unassigned [0x3D52]',
	0x3D53 : 'Unassigned [0x3D53]',
	0x3D54 : 'Unassigned [0x3D54]',
	0x3D55 : 'Unassigned [0x3D55]',
	0x3D56 : 'Unassigned [0x3D56]',
	0x3D57 : 'Unassigned [0x3D57]',
	0x3D58 : 'Unassigned [0x3D58]',
	0x3D59 : 'Unassigned [0x3D59]',
	0x3D5A : 'Unassigned [0x3D5A]',
	0x3D5B : 'Unassigned [0x3D5B]',
	0x3D5C : 'Unassigned [0x3D5C]',
	0x3D5D : 'Unassigned [0x3D5D]',
	0x3D5E : 'Unassigned [0x3D5E]',
	0x3D5F : 'Unassigned [0x3D5F]',
	0x3D60 : 'Unassigned [0x3D60]',
	0x3D61 : 'Unassigned [0x3D61]',
	0x3D62 : 'Unassigned [0x3D62]',
	0x3D63 : 'Unassigned [0x3D63]',
	0x3D64 : 'Unassigned [0x3D64]',
	0x3D65 : 'Unassigned [0x3D65]',
	0x3D66 : 'Unassigned [0x3D66]',
	0x3D67 : 'Unassigned [0x3D67]',
	0x3D68 : 'Unassigned [0x3D68]',
	0x3D69 : 'Unassigned [0x3D69]',
	0x3D6A : 'Unassigned [0x3D6A]',
	0x3D6B : 'Unassigned [0x3D6B]',
	0x3D6C : 'Unassigned [0x3D6C]',
	0x3D6D : 'Unassigned [0x3D6D]',
	0x3D6E : 'Unassigned [0x3D6E]',
	0x3D6F : 'Unassigned [0x3D6F]',
	0x3D70 : 'Unassigned [0x3D70]',
	0x3D71 : 'Unassigned [0x3D71]',
	0x3D72 : 'Unassigned [0x3D72]',
	0x3D73 : 'Unassigned [0x3D73]',
	0x3D74 : 'Unassigned [0x3D74]',
	0x3D75 : 'Unassigned [0x3D75]',
	0x3D76 : 'Unassigned [0x3D76]',
	0x3D77 : 'Unassigned [0x3D77]',
	0x3D78 : 'Unassigned [0x3D78]',
	0x3D79 : 'Unassigned [0x3D79]',
	0x3D7A : 'Unassigned [0x3D7A]',
	0x3D7B : 'Unassigned [0x3D7B]',
	0x3D7C : 'Unassigned [0x3D7C]',
	0x3D7D : 'Unassigned [0x3D7D]',
	0x3D7E : 'Unassigned [0x3D7E]',
	0x3D7F : 'Unassigned [0x3D7F]',
	0x3D80 : 'Unassigned [0x3D80]',
	0x3D81 : 'Unassigned [0x3D81]',
	0x3D82 : 'Unassigned [0x3D82]',
	0x3D83 : 'Unassigned [0x3D83]',
	0x3D84 : 'Unassigned [0x3D84]',
	0x3D85 : 'Unassigned [0x3D85]',
	0x3D86 : 'Unassigned [0x3D86]',
	0x3D87 : 'Unassigned [0x3D87]',
	0x3D88 : 'Unassigned [0x3D88]',
	0x3D89 : 'Unassigned [0x3D89]',
	0x3D8A : 'Unassigned [0x3D8A]',
	0x3D8B : 'Unassigned [0x3D8B]',
	0x3D8C : 'Unassigned [0x3D8C]',
	0x3D8D : 'Unassigned [0x3D8D]',
	0x3D8E : 'Unassigned [0x3D8E]',
	0x3D8F : 'Unassigned [0x3D8F]',
	0x3D90 : 'Unassigned [0x3D90]',
	0x3D91 : 'Unassigned [0x3D91]',
	0x3D92 : 'Unassigned [0x3D92]',
	0x3D93 : 'Unassigned [0x3D93]',
	0x3D94 : 'Unassigned [0x3D94]',
	0x3D95 : 'Unassigned [0x3D95]',
	0x3D96 : 'Unassigned [0x3D96]',
	0x3D97 : 'Unassigned [0x3D97]',
	0x3D98 : 'Unassigned [0x3D98]',
	0x3D99 : 'Unassigned [0x3D99]',
	0x3D9A : 'Unassigned [0x3D9A]',
	0x3D9B : 'Unassigned [0x3D9B]',
	0x3D9C : 'Unassigned [0x3D9C]',
	0x3D9D : 'Unassigned [0x3D9D]',
	0x3D9E : 'Unassigned [0x3D9E]',
	0x3D9F : 'Unassigned [0x3D9F]',
	0x3DA0 : 'Unassigned [0x3DA0]',
	0x3DA1 : 'Unassigned [0x3DA1]',
	0x3DA2 : 'Unassigned [0x3DA2]',
	0x3DA3 : 'Unassigned [0x3DA3]',
	0x3DA4 : 'Unassigned [0x3DA4]',
	0x3DA5 : 'Unassigned [0x3DA5]',
	0x3DA6 : 'Unassigned [0x3DA6]',
	0x3DA7 : 'Unassigned [0x3DA7]',
	0x3DA8 : 'Unassigned [0x3DA8]',
	0x3DA9 : 'Unassigned [0x3DA9]',
	0x3DAA : 'Unassigned [0x3DAA]',
	0x3DAB : 'Unassigned [0x3DAB]',
	0x3DAC : 'Unassigned [0x3DAC]',
	0x3DAD : 'Unassigned [0x3DAD]',
	0x3DAE : 'Unassigned [0x3DAE]',
	0x3DAF : 'Unassigned [0x3DAF]',
	0x3DB0 : 'Unassigned [0x3DB0]',
	0x3DB1 : 'Unassigned [0x3DB1]',
	0x3DB2 : 'Unassigned [0x3DB2]',
	0x3DB3 : 'Unassigned [0x3DB3]',
	0x3DB4 : 'Unassigned [0x3DB4]',
	0x3DB5 : 'Unassigned [0x3DB5]',
	0x3DB6 : 'Unassigned [0x3DB6]',
	0x3DB7 : 'Unassigned [0x3DB7]',
	0x3DB8 : 'Unassigned [0x3DB8]',
	0x3DB9 : 'Unassigned [0x3DB9]',
	0x3DBA : 'Unassigned [0x3DBA]',
	0x3DBB : 'Unassigned [0x3DBB]',
	0x3DBC : 'Unassigned [0x3DBC]',
	0x3DBD : 'Unassigned [0x3DBD]',
	0x3DBE : 'Unassigned [0x3DBE]',
	0x3DBF : 'Unassigned [0x3DBF]',
	0x3DC0 : 'Unassigned [0x3DC0]',
	0x3DC1 : 'Unassigned [0x3DC1]',
	0x3DC2 : 'Unassigned [0x3DC2]',
	0x3DC3 : 'Unassigned [0x3DC3]',
	0x3DC4 : 'Unassigned [0x3DC4]',
	0x3DC5 : 'Unassigned [0x3DC5]',
	0x3DC6 : 'Unassigned [0x3DC6]',
	0x3DC7 : 'Unassigned [0x3DC7]',
	0x3DC8 : 'Unassigned [0x3DC8]',
	0x3DC9 : 'Unassigned [0x3DC9]',
	0x3DCA : 'Unassigned [0x3DCA]',
	0x3DCB : 'Unassigned [0x3DCB]',
	0x3DCC : 'Unassigned [0x3DCC]',
	0x3DCD : 'Unassigned [0x3DCD]',
	0x3DCE : 'Unassigned [0x3DCE]',
	0x3DCF : 'Unassigned [0x3DCF]',
	0x3DD0 : 'Unassigned [0x3DD0]',
	0x3DD1 : 'Unassigned [0x3DD1]',
	0x3DD2 : 'Unassigned [0x3DD2]',
	0x3DD3 : 'Unassigned [0x3DD3]',
	0x3DD4 : 'Unassigned [0x3DD4]',
	0x3DD5 : 'Unassigned [0x3DD5]',
	0x3DD6 : 'Unassigned [0x3DD6]',
	0x3DD7 : 'Unassigned [0x3DD7]',
	0x3DD8 : 'Unassigned [0x3DD8]',
	0x3DD9 : 'Unassigned [0x3DD9]',
	0x3DDA : 'Unassigned [0x3DDA]',
	0x3DDB : 'Unassigned [0x3DDB]',
	0x3DDC : 'Unassigned [0x3DDC]',
	0x3DDD : 'Unassigned [0x3DDD]',
	0x3DDE : 'Unassigned [0x3DDE]',
	0x3DDF : 'Unassigned [0x3DDF]',
	0x3DE0 : 'Unassigned [0x3DE0]',
	0x3DE1 : 'Unassigned [0x3DE1]',
	0x3DE2 : 'Unassigned [0x3DE2]',
	0x3DE3 : 'Unassigned [0x3DE3]',
	0x3DE4 : 'Unassigned [0x3DE4]',
	0x3DE5 : 'Unassigned [0x3DE5]',
	0x3DE6 : 'Unassigned [0x3DE6]',
	0x3DE7 : 'Unassigned [0x3DE7]',
	0x3DE8 : 'Unassigned [0x3DE8]',
	0x3DE9 : 'Unassigned [0x3DE9]',
	0x3DEA : 'Unassigned [0x3DEA]',
	0x3DEB : 'Unassigned [0x3DEB]',
	0x3DEC : 'Unassigned [0x3DEC]',
	0x3DED : 'Unassigned [0x3DED]',
	0x3DEE : 'Unassigned [0x3DEE]',
	0x3DEF : 'Unassigned [0x3DEF]',
	0x3DF0 : 'Unassigned [0x3DF0]',
	0x3DF1 : 'Unassigned [0x3DF1]',
	0x3DF2 : 'Unassigned [0x3DF2]',
	0x3DF3 : 'Unassigned [0x3DF3]',
	0x3DF4 : 'Unassigned [0x3DF4]',
	0x3DF5 : 'Unassigned [0x3DF5]',
	0x3DF6 : 'Unassigned [0x3DF6]',
	0x3DF7 : 'Unassigned [0x3DF7]',
	0x3DF8 : 'Unassigned [0x3DF8]',
	0x3DF9 : 'Unassigned [0x3DF9]',
	0x3DFA : 'Unassigned [0x3DFA]',
	0x3DFB : 'Unassigned [0x3DFB]',
	0x3DFC : 'Unassigned [0x3DFC]',
	0x3DFD : 'Unassigned [0x3DFD]',
	0x3DFE : 'Unassigned [0x3DFE]',
	0x3DFF : 'Unassigned [0x3DFF]',
	0x3E00 : 'Unassigned [0x3E00]',
	0x3E01 : 'Unassigned [0x3E01]',
	0x3E02 : 'Unassigned [0x3E02]',
	0x3E03 : 'Unassigned [0x3E03]',
	0x3E04 : 'Unassigned [0x3E04]',
	0x3E05 : 'Unassigned [0x3E05]',
	0x3E06 : 'Unassigned [0x3E06]',
	0x3E07 : 'Unassigned [0x3E07]',
	0x3E08 : 'Unassigned [0x3E08]',
	0x3E09 : 'Unassigned [0x3E09]',
	0x3E0A : 'Unassigned [0x3E0A]',
	0x3E0B : 'Unassigned [0x3E0B]',
	0x3E0C : 'Unassigned [0x3E0C]',
	0x3E0D : 'Unassigned [0x3E0D]',
	0x3E0E : 'Unassigned [0x3E0E]',
	0x3E0F : 'Unassigned [0x3E0F]',
	0x3E10 : 'Unassigned [0x3E10]',
	0x3E11 : 'Unassigned [0x3E11]',
	0x3E12 : 'Unassigned [0x3E12]',
	0x3E13 : 'Unassigned [0x3E13]',
	0x3E14 : 'Unassigned [0x3E14]',
	0x3E15 : 'Unassigned [0x3E15]',
	0x3E16 : 'Unassigned [0x3E16]',
	0x3E17 : 'Unassigned [0x3E17]',
	0x3E18 : 'Unassigned [0x3E18]',
	0x3E19 : 'Unassigned [0x3E19]',
	0x3E1A : 'Unassigned [0x3E1A]',
	0x3E1B : 'Unassigned [0x3E1B]',
	0x3E1C : 'Unassigned [0x3E1C]',
	0x3E1D : 'Unassigned [0x3E1D]',
	0x3E1E : 'Unassigned [0x3E1E]',
	0x3E1F : 'Unassigned [0x3E1F]',
	0x3E20 : 'Unassigned [0x3E20]',
	0x3E21 : 'Unassigned [0x3E21]',
	0x3E22 : 'Unassigned [0x3E22]',
	0x3E23 : 'Unassigned [0x3E23]',
	0x3E24 : 'Unassigned [0x3E24]',
	0x3E25 : 'Unassigned [0x3E25]',
	0x3E26 : 'Unassigned [0x3E26]',
	0x3E27 : 'Unassigned [0x3E27]',
	0x3E28 : 'Unassigned [0x3E28]',
	0x3E29 : 'Unassigned [0x3E29]',
	0x3E2A : 'Unassigned [0x3E2A]',
	0x3E2B : 'Unassigned [0x3E2B]',
	0x3E2C : 'Unassigned [0x3E2C]',
	0x3E2D : 'Unassigned [0x3E2D]',
	0x3E2E : 'Unassigned [0x3E2E]',
	0x3E2F : 'Unassigned [0x3E2F]',
	0x3E30 : 'Unassigned [0x3E30]',
	0x3E31 : 'Unassigned [0x3E31]',
	0x3E32 : 'Unassigned [0x3E32]',
	0x3E33 : 'Unassigned [0x3E33]',
	0x3E34 : 'Unassigned [0x3E34]',
	0x3E35 : 'Unassigned [0x3E35]',
	0x3E36 : 'Unassigned [0x3E36]',
	0x3E37 : 'Unassigned [0x3E37]',
	0x3E38 : 'Unassigned [0x3E38]',
	0x3E39 : 'Unassigned [0x3E39]',
	0x3E3A : 'Unassigned [0x3E3A]',
	0x3E3B : 'Unassigned [0x3E3B]',
	0x3E3C : 'Unassigned [0x3E3C]',
	0x3E3D : 'Unassigned [0x3E3D]',
	0x3E3E : 'Unassigned [0x3E3E]',
	0x3E3F : 'Unassigned [0x3E3F]',
	0x3E40 : 'Unassigned [0x3E40]',
	0x3E41 : 'Unassigned [0x3E41]',
	0x3E42 : 'Unassigned [0x3E42]',
	0x3E43 : 'Unassigned [0x3E43]',
	0x3E44 : 'Unassigned [0x3E44]',
	0x3E45 : 'Unassigned [0x3E45]',
	0x3E46 : 'Unassigned [0x3E46]',
	0x3E47 : 'Unassigned [0x3E47]',
	0x3E48 : 'Unassigned [0x3E48]',
	0x3E49 : 'Unassigned [0x3E49]',
	0x3E4A : 'Unassigned [0x3E4A]',
	0x3E4B : 'Unassigned [0x3E4B]',
	0x3E4C : 'Unassigned [0x3E4C]',
	0x3E4D : 'Unassigned [0x3E4D]',
	0x3E4E : 'Unassigned [0x3E4E]',
	0x3E4F : 'Unassigned [0x3E4F]',
	0x3E50 : 'Unassigned [0x3E50]',
	0x3E51 : 'Unassigned [0x3E51]',
	0x3E52 : 'Unassigned [0x3E52]',
	0x3E53 : 'Unassigned [0x3E53]',
	0x3E54 : 'Unassigned [0x3E54]',
	0x3E55 : 'Unassigned [0x3E55]',
	0x3E56 : 'Unassigned [0x3E56]',
	0x3E57 : 'Unassigned [0x3E57]',
	0x3E58 : 'Unassigned [0x3E58]',
	0x3E59 : 'Unassigned [0x3E59]',
	0x3E5A : 'Unassigned [0x3E5A]',
	0x3E5B : 'Unassigned [0x3E5B]',
	0x3E5C : 'Unassigned [0x3E5C]',
	0x3E5D : 'Unassigned [0x3E5D]',
	0x3E5E : 'Unassigned [0x3E5E]',
	0x3E5F : 'Unassigned [0x3E5F]',
	0x3E60 : 'Unassigned [0x3E60]',
	0x3E61 : 'Unassigned [0x3E61]',
	0x3E62 : 'Unassigned [0x3E62]',
	0x3E63 : 'Unassigned [0x3E63]',
	0x3E64 : 'Unassigned [0x3E64]',
	0x3E65 : 'Unassigned [0x3E65]',
	0x3E66 : 'Unassigned [0x3E66]',
	0x3E67 : 'Unassigned [0x3E67]',
	0x3E68 : 'Unassigned [0x3E68]',
	0x3E69 : 'Unassigned [0x3E69]',
	0x3E6A : 'Unassigned [0x3E6A]',
	0x3E6B : 'Unassigned [0x3E6B]',
	0x3E6C : 'Unassigned [0x3E6C]',
	0x3E6D : 'Unassigned [0x3E6D]',
	0x3E6E : 'Unassigned [0x3E6E]',
	0x3E6F : 'Unassigned [0x3E6F]',
	0x3E70 : 'Unassigned [0x3E70]',
	0x3E71 : 'Unassigned [0x3E71]',
	0x3E72 : 'Unassigned [0x3E72]',
	0x3E73 : 'Unassigned [0x3E73]',
	0x3E74 : 'Unassigned [0x3E74]',
	0x3E75 : 'Unassigned [0x3E75]',
	0x3E76 : 'Unassigned [0x3E76]',
	0x3E77 : 'Unassigned [0x3E77]',
	0x3E78 : 'Unassigned [0x3E78]',
	0x3E79 : 'Unassigned [0x3E79]',
	0x3E7A : 'Unassigned [0x3E7A]',
	0x3E7B : 'Unassigned [0x3E7B]',
	0x3E7C : 'Unassigned [0x3E7C]',
	0x3E7D : 'Unassigned [0x3E7D]',
	0x3E7E : 'Unassigned [0x3E7E]',
	0x3E7F : 'Unassigned [0x3E7F]',
	0x3E80 : 'Unassigned [0x3E80]',
	0x3E81 : 'Unassigned [0x3E81]',
	0x3E82 : 'Unassigned [0x3E82]',
	0x3E83 : 'Unassigned [0x3E83]',
	0x3E84 : 'Unassigned [0x3E84]',
	0x3E85 : 'Unassigned [0x3E85]',
	0x3E86 : 'Unassigned [0x3E86]',
	0x3E87 : 'Unassigned [0x3E87]',
	0x3E88 : 'Unassigned [0x3E88]',
	0x3E89 : 'Unassigned [0x3E89]',
	0x3E8A : 'Unassigned [0x3E8A]',
	0x3E8B : 'Unassigned [0x3E8B]',
	0x3E8C : 'Unassigned [0x3E8C]',
	0x3E8D : 'Unassigned [0x3E8D]',
	0x3E8E : 'Unassigned [0x3E8E]',
	0x3E8F : 'Unassigned [0x3E8F]',
	0x3E90 : 'Unassigned [0x3E90]',
	0x3E91 : 'Unassigned [0x3E91]',
	0x3E92 : 'Unassigned [0x3E92]',
	0x3E93 : 'Unassigned [0x3E93]',
	0x3E94 : 'Unassigned [0x3E94]',
	0x3E95 : 'Unassigned [0x3E95]',
	0x3E96 : 'Unassigned [0x3E96]',
	0x3E97 : 'Unassigned [0x3E97]',
	0x3E98 : 'Unassigned [0x3E98]',
	0x3E99 : 'Unassigned [0x3E99]',
	0x3E9A : 'Unassigned [0x3E9A]',
	0x3E9B : 'Unassigned [0x3E9B]',
	0x3E9C : 'Unassigned [0x3E9C]',
	0x3E9D : 'Unassigned [0x3E9D]',
	0x3E9E : 'Unassigned [0x3E9E]',
	0x3E9F : 'Unassigned [0x3E9F]',
	0x3EA0 : 'Unassigned [0x3EA0]',
	0x3EA1 : 'Unassigned [0x3EA1]',
	0x3EA2 : 'Unassigned [0x3EA2]',
	0x3EA3 : 'Unassigned [0x3EA3]',
	0x3EA4 : 'Unassigned [0x3EA4]',
	0x3EA5 : 'Unassigned [0x3EA5]',
	0x3EA6 : 'Unassigned [0x3EA6]',
	0x3EA7 : 'Unassigned [0x3EA7]',
	0x3EA8 : 'Unassigned [0x3EA8]',
	0x3EA9 : 'Unassigned [0x3EA9]',
	0x3EAA : 'Unassigned [0x3EAA]',
	0x3EAB : 'Unassigned [0x3EAB]',
	0x3EAC : 'Unassigned [0x3EAC]',
	0x3EAD : 'Unassigned [0x3EAD]',
	0x3EAE : 'Unassigned [0x3EAE]',
	0x3EAF : 'Unassigned [0x3EAF]',
	0x3EB0 : 'Unassigned [0x3EB0]',
	0x3EB1 : 'Unassigned [0x3EB1]',
	0x3EB2 : 'Unassigned [0x3EB2]',
	0x3EB3 : 'Unassigned [0x3EB3]',
	0x3EB4 : 'Unassigned [0x3EB4]',
	0x3EB5 : 'Unassigned [0x3EB5]',
	0x3EB6 : 'Unassigned [0x3EB6]',
	0x3EB7 : 'Unassigned [0x3EB7]',
	0x3EB8 : 'Unassigned [0x3EB8]',
	0x3EB9 : 'Unassigned [0x3EB9]',
	0x3EBA : 'Unassigned [0x3EBA]',
	0x3EBB : 'Unassigned [0x3EBB]',
	0x3EBC : 'Unassigned [0x3EBC]',
	0x3EBD : 'Unassigned [0x3EBD]',
	0x3EBE : 'Unassigned [0x3EBE]',
	0x3EBF : 'Unassigned [0x3EBF]',
	0x3EC0 : 'Unassigned [0x3EC0]',
	0x3EC1 : 'Unassigned [0x3EC1]',
	0x3EC2 : 'Unassigned [0x3EC2]',
	0x3EC3 : 'Unassigned [0x3EC3]',
	0x3EC4 : 'Unassigned [0x3EC4]',
	0x3EC5 : 'Unassigned [0x3EC5]',
	0x3EC6 : 'Unassigned [0x3EC6]',
	0x3EC7 : 'Unassigned [0x3EC7]',
	0x3EC8 : 'Unassigned [0x3EC8]',
	0x3EC9 : 'Unassigned [0x3EC9]',
	0x3ECA : 'Unassigned [0x3ECA]',
	0x3ECB : 'Unassigned [0x3ECB]',
	0x3ECC : 'Unassigned [0x3ECC]',
	0x3ECD : 'Unassigned [0x3ECD]',
	0x3ECE : 'Unassigned [0x3ECE]',
	0x3ECF : 'Unassigned [0x3ECF]',
	0x3ED0 : 'Unassigned [0x3ED0]',
	0x3ED1 : 'Unassigned [0x3ED1]',
	0x3ED2 : 'Unassigned [0x3ED2]',
	0x3ED3 : 'Unassigned [0x3ED3]',
	0x3ED4 : 'Unassigned [0x3ED4]',
	0x3ED5 : 'Unassigned [0x3ED5]',
	0x3ED6 : 'Unassigned [0x3ED6]',
	0x3ED7 : 'Unassigned [0x3ED7]',
	0x3ED8 : 'Unassigned [0x3ED8]',
	0x3ED9 : 'Unassigned [0x3ED9]',
	0x3EDA : 'Unassigned [0x3EDA]',
	0x3EDB : 'Unassigned [0x3EDB]',
	0x3EDC : 'Unassigned [0x3EDC]',
	0x3EDD : 'Unassigned [0x3EDD]',
	0x3EDE : 'Unassigned [0x3EDE]',
	0x3EDF : 'Unassigned [0x3EDF]',
	0x3EE0 : 'Unassigned [0x3EE0]',
	0x3EE1 : 'Unassigned [0x3EE1]',
	0x3EE2 : 'Unassigned [0x3EE2]',
	0x3EE3 : 'Unassigned [0x3EE3]',
	0x3EE4 : 'Unassigned [0x3EE4]',
	0x3EE5 : 'Unassigned [0x3EE5]',
	0x3EE6 : 'Unassigned [0x3EE6]',
	0x3EE7 : 'Unassigned [0x3EE7]',
	0x3EE8 : 'Unassigned [0x3EE8]',
	0x3EE9 : 'Unassigned [0x3EE9]',
	0x3EEA : 'Unassigned [0x3EEA]',
	0x3EEB : 'Unassigned [0x3EEB]',
	0x3EEC : 'Unassigned [0x3EEC]',
	0x3EED : 'Unassigned [0x3EED]',
	0x3EEE : 'Unassigned [0x3EEE]',
	0x3EEF : 'Unassigned [0x3EEF]',
	0x3EF0 : 'Unassigned [0x3EF0]',
	0x3EF1 : 'Unassigned [0x3EF1]',
	0x3EF2 : 'Unassigned [0x3EF2]',
	0x3EF3 : 'Unassigned [0x3EF3]',
	0x3EF4 : 'Unassigned [0x3EF4]',
	0x3EF5 : 'Unassigned [0x3EF5]',
	0x3EF6 : 'Unassigned [0x3EF6]',
	0x3EF7 : 'Unassigned [0x3EF7]',
	0x3EF8 : 'Unassigned [0x3EF8]',
	0x3EF9 : 'Unassigned [0x3EF9]',
	0x3EFA : 'Unassigned [0x3EFA]',
	0x3EFB : 'Unassigned [0x3EFB]',
	0x3EFC : 'Unassigned [0x3EFC]',
	0x3EFD : 'Unassigned [0x3EFD]',
	0x3EFE : 'Unassigned [0x3EFE]',
	0x3EFF : 'Unassigned [0x3EFF]',
	0x3F00 : 'Unassigned [0x3F00]',
	0x3F01 : 'Unassigned [0x3F01]',
	0x3F02 : 'Unassigned [0x3F02]',
	0x3F03 : 'Unassigned [0x3F03]',
	0x3F04 : 'Unassigned [0x3F04]',
	0x3F05 : 'Unassigned [0x3F05]',
	0x3F06 : 'Unassigned [0x3F06]',
	0x3F07 : 'Unassigned [0x3F07]',
	0x3F08 : 'Unassigned [0x3F08]',
	0x3F09 : 'Unassigned [0x3F09]',
	0x3F0A : 'Unassigned [0x3F0A]',
	0x3F0B : 'Unassigned [0x3F0B]',
	0x3F0C : 'Unassigned [0x3F0C]',
	0x3F0D : 'Unassigned [0x3F0D]',
	0x3F0E : 'Unassigned [0x3F0E]',
	0x3F0F : 'Unassigned [0x3F0F]',
	0x3F10 : 'Unassigned [0x3F10]',
	0x3F11 : 'Unassigned [0x3F11]',
	0x3F12 : 'Unassigned [0x3F12]',
	0x3F13 : 'Unassigned [0x3F13]',
	0x3F14 : 'Unassigned [0x3F14]',
	0x3F15 : 'Unassigned [0x3F15]',
	0x3F16 : 'Unassigned [0x3F16]',
	0x3F17 : 'Unassigned [0x3F17]',
	0x3F18 : 'Unassigned [0x3F18]',
	0x3F19 : 'Unassigned [0x3F19]',
	0x3F1A : 'Unassigned [0x3F1A]',
	0x3F1B : 'Unassigned [0x3F1B]',
	0x3F1C : 'Unassigned [0x3F1C]',
	0x3F1D : 'Unassigned [0x3F1D]',
	0x3F1E : 'Unassigned [0x3F1E]',
	0x3F1F : 'Unassigned [0x3F1F]',
	0x3F20 : 'Unassigned [0x3F20]',
	0x3F21 : 'Unassigned [0x3F21]',
	0x3F22 : 'Unassigned [0x3F22]',
	0x3F23 : 'Unassigned [0x3F23]',
	0x3F24 : 'Unassigned [0x3F24]',
	0x3F25 : 'Unassigned [0x3F25]',
	0x3F26 : 'Unassigned [0x3F26]',
	0x3F27 : 'Unassigned [0x3F27]',
	0x3F28 : 'Unassigned [0x3F28]',
	0x3F29 : 'Unassigned [0x3F29]',
	0x3F2A : 'Unassigned [0x3F2A]',
	0x3F2B : 'Unassigned [0x3F2B]',
	0x3F2C : 'Unassigned [0x3F2C]',
	0x3F2D : 'Unassigned [0x3F2D]',
	0x3F2E : 'Unassigned [0x3F2E]',
	0x3F2F : 'Unassigned [0x3F2F]',
	0x3F30 : 'Unassigned [0x3F30]',
	0x3F31 : 'Unassigned [0x3F31]',
	0x3F32 : 'Unassigned [0x3F32]',
	0x3F33 : 'Unassigned [0x3F33]',
	0x3F34 : 'Unassigned [0x3F34]',
	0x3F35 : 'Unassigned [0x3F35]',
	0x3F36 : 'Unassigned [0x3F36]',
	0x3F37 : 'Unassigned [0x3F37]',
	0x3F38 : 'Unassigned [0x3F38]',
	0x3F39 : 'Unassigned [0x3F39]',
	0x3F3A : 'Unassigned [0x3F3A]',
	0x3F3B : 'Unassigned [0x3F3B]',
	0x3F3C : 'Unassigned [0x3F3C]',
	0x3F3D : 'Unassigned [0x3F3D]',
	0x3F3E : 'Unassigned [0x3F3E]',
	0x3F3F : 'Unassigned [0x3F3F]',
	0x3F40 : 'Unassigned [0x3F40]',
	0x3F41 : 'Unassigned [0x3F41]',
	0x3F42 : 'Unassigned [0x3F42]',
	0x3F43 : 'Unassigned [0x3F43]',
	0x3F44 : 'Unassigned [0x3F44]',
	0x3F45 : 'Unassigned [0x3F45]',
	0x3F46 : 'Unassigned [0x3F46]',
	0x3F47 : 'Unassigned [0x3F47]',
	0x3F48 : 'Unassigned [0x3F48]',
	0x3F49 : 'Unassigned [0x3F49]',
	0x3F4A : 'Unassigned [0x3F4A]',
	0x3F4B : 'Unassigned [0x3F4B]',
	0x3F4C : 'Unassigned [0x3F4C]',
	0x3F4D : 'Unassigned [0x3F4D]',
	0x3F4E : 'Unassigned [0x3F4E]',
	0x3F4F : 'Unassigned [0x3F4F]',
	0x3F50 : 'Unassigned [0x3F50]',
	0x3F51 : 'Unassigned [0x3F51]',
	0x3F52 : 'Unassigned [0x3F52]',
	0x3F53 : 'Unassigned [0x3F53]',
	0x3F54 : 'Unassigned [0x3F54]',
	0x3F55 : 'Unassigned [0x3F55]',
	0x3F56 : 'Unassigned [0x3F56]',
	0x3F57 : 'Unassigned [0x3F57]',
	0x3F58 : 'Unassigned [0x3F58]',
	0x3F59 : 'Unassigned [0x3F59]',
	0x3F5A : 'Unassigned [0x3F5A]',
	0x3F5B : 'Unassigned [0x3F5B]',
	0x3F5C : 'Unassigned [0x3F5C]',
	0x3F5D : 'Unassigned [0x3F5D]',
	0x3F5E : 'Unassigned [0x3F5E]',
	0x3F5F : 'Unassigned [0x3F5F]',
	0x3F60 : 'Unassigned [0x3F60]',
	0x3F61 : 'Unassigned [0x3F61]',
	0x3F62 : 'Unassigned [0x3F62]',
	0x3F63 : 'Unassigned [0x3F63]',
	0x3F64 : 'Unassigned [0x3F64]',
	0x3F65 : 'Unassigned [0x3F65]',
	0x3F66 : 'Unassigned [0x3F66]',
	0x3F67 : 'Unassigned [0x3F67]',
	0x3F68 : 'Unassigned [0x3F68]',
	0x3F69 : 'Unassigned [0x3F69]',
	0x3F6A : 'Unassigned [0x3F6A]',
	0x3F6B : 'Unassigned [0x3F6B]',
	0x3F6C : 'Unassigned [0x3F6C]',
	0x3F6D : 'Unassigned [0x3F6D]',
	0x3F6E : 'Unassigned [0x3F6E]',
	0x3F6F : 'Unassigned [0x3F6F]',
	0x3F70 : 'Unassigned [0x3F70]',
	0x3F71 : 'Unassigned [0x3F71]',
	0x3F72 : 'Unassigned [0x3F72]',
	0x3F73 : 'Unassigned [0x3F73]',
	0x3F74 : 'Unassigned [0x3F74]',
	0x3F75 : 'Unassigned [0x3F75]',
	0x3F76 : 'Unassigned [0x3F76]',
	0x3F77 : 'Unassigned [0x3F77]',
	0x3F78 : 'Unassigned [0x3F78]',
	0x3F79 : 'Unassigned [0x3F79]',
	0x3F7A : 'Unassigned [0x3F7A]',
	0x3F7B : 'Unassigned [0x3F7B]',
	0x3F7C : 'Unassigned [0x3F7C]',
	0x3F7D : 'Unassigned [0x3F7D]',
	0x3F7E : 'Unassigned [0x3F7E]',
	0x3F7F : 'Unassigned [0x3F7F]',
	0x3F80 : 'Unassigned [0x3F80]',
	0x3F81 : 'Unassigned [0x3F81]',
	0x3F82 : 'Unassigned [0x3F82]',
	0x3F83 : 'Unassigned [0x3F83]',
	0x3F84 : 'Unassigned [0x3F84]',
	0x3F85 : 'Unassigned [0x3F85]',
	0x3F86 : 'Unassigned [0x3F86]',
	0x3F87 : 'Unassigned [0x3F87]',
	0x3F88 : 'Unassigned [0x3F88]',
	0x3F89 : 'Unassigned [0x3F89]',
	0x3F8A : 'Unassigned [0x3F8A]',
	0x3F8B : 'Unassigned [0x3F8B]',
	0x3F8C : 'Unassigned [0x3F8C]',
	0x3F8D : 'Unassigned [0x3F8D]',
	0x3F8E : 'Unassigned [0x3F8E]',
	0x3F8F : 'Unassigned [0x3F8F]',
	0x3F90 : 'Unassigned [0x3F90]',
	0x3F91 : 'Unassigned [0x3F91]',
	0x3F92 : 'Unassigned [0x3F92]',
	0x3F93 : 'Unassigned [0x3F93]',
	0x3F94 : 'Unassigned [0x3F94]',
	0x3F95 : 'Unassigned [0x3F95]',
	0x3F96 : 'Unassigned [0x3F96]',
	0x3F97 : 'Unassigned [0x3F97]',
	0x3F98 : 'Unassigned [0x3F98]',
	0x3F99 : 'Unassigned [0x3F99]',
	0x3F9A : 'Unassigned [0x3F9A]',
	0x3F9B : 'Unassigned [0x3F9B]',
	0x3F9C : 'Unassigned [0x3F9C]',
	0x3F9D : 'Unassigned [0x3F9D]',
	0x3F9E : 'Unassigned [0x3F9E]',
	0x3F9F : 'Unassigned [0x3F9F]',
	0x3FA0 : 'Unassigned [0x3FA0]',
	0x3FA1 : 'Unassigned [0x3FA1]',
	0x3FA2 : 'Unassigned [0x3FA2]',
	0x3FA3 : 'Unassigned [0x3FA3]',
	0x3FA4 : 'Unassigned [0x3FA4]',
	0x3FA5 : 'Unassigned [0x3FA5]',
	0x3FA6 : 'Unassigned [0x3FA6]',
	0x3FA7 : 'Unassigned [0x3FA7]',
	0x3FA8 : 'Unassigned [0x3FA8]',
	0x3FA9 : 'Unassigned [0x3FA9]',
	0x3FAA : 'Unassigned [0x3FAA]',
	0x3FAB : 'Unassigned [0x3FAB]',
	0x3FAC : 'Unassigned [0x3FAC]',
	0x3FAD : 'Unassigned [0x3FAD]',
	0x3FAE : 'Unassigned [0x3FAE]',
	0x3FAF : 'Unassigned [0x3FAF]',
	0x3FB0 : 'Unassigned [0x3FB0]',
	0x3FB1 : 'Unassigned [0x3FB1]',
	0x3FB2 : 'Unassigned [0x3FB2]',
	0x3FB3 : 'Unassigned [0x3FB3]',
	0x3FB4 : 'Unassigned [0x3FB4]',
	0x3FB5 : 'Unassigned [0x3FB5]',
	0x3FB6 : 'Unassigned [0x3FB6]',
	0x3FB7 : 'Unassigned [0x3FB7]',
	0x3FB8 : 'Unassigned [0x3FB8]',
	0x3FB9 : 'Unassigned [0x3FB9]',
	0x3FBA : 'Unassigned [0x3FBA]',
	0x3FBB : 'Unassigned [0x3FBB]',
	0x3FBC : 'Unassigned [0x3FBC]',
	0x3FBD : 'Unassigned [0x3FBD]',
	0x3FBE : 'Unassigned [0x3FBE]',
	0x3FBF : 'Unassigned [0x3FBF]',
	0x3FC0 : 'Unassigned [0x3FC0]',
	0x3FC1 : 'Unassigned [0x3FC1]',
	0x3FC2 : 'Unassigned [0x3FC2]',
	0x3FC3 : 'Unassigned [0x3FC3]',
	0x3FC4 : 'Unassigned [0x3FC4]',
	0x3FC5 : 'Unassigned [0x3FC5]',
	0x3FC6 : 'Unassigned [0x3FC6]',
	0x3FC7 : 'Unassigned [0x3FC7]',
	0x3FC8 : 'Unassigned [0x3FC8]',
	0x3FC9 : 'Unassigned [0x3FC9]',
	0x3FCA : 'Unassigned [0x3FCA]',
	0x3FCB : 'Unassigned [0x3FCB]',
	0x3FCC : 'Unassigned [0x3FCC]',
	0x3FCD : 'Unassigned [0x3FCD]',
	0x3FCE : 'Unassigned [0x3FCE]',
	0x3FCF : 'Unassigned [0x3FCF]',
	0x3FD0 : 'Unassigned [0x3FD0]',
	0x3FD1 : 'Unassigned [0x3FD1]',
	0x3FD2 : 'Unassigned [0x3FD2]',
	0x3FD3 : 'Unassigned [0x3FD3]',
	0x3FD4 : 'Unassigned [0x3FD4]',
	0x3FD5 : 'Unassigned [0x3FD5]',
	0x3FD6 : 'Unassigned [0x3FD6]',
	0x3FD7 : 'Unassigned [0x3FD7]',
	0x3FD8 : 'Unassigned [0x3FD8]',
	0x3FD9 : 'Unassigned [0x3FD9]',
	0x3FDA : 'Unassigned [0x3FDA]',
	0x3FDB : 'Unassigned [0x3FDB]',
	0x3FDC : 'Unassigned [0x3FDC]',
	0x3FDD : 'Unassigned [0x3FDD]',
	0x3FDE : 'Unassigned [0x3FDE]',
	0x3FDF : 'Unassigned [0x3FDF]',
	0x3FE0 : 'Unassigned [0x3FE0]',
	0x3FE1 : 'Unassigned [0x3FE1]',
	0x3FE2 : 'Unassigned [0x3FE2]',
	0x3FE3 : 'Unassigned [0x3FE3]',
	0x3FE4 : 'Unassigned [0x3FE4]',
	0x3FE5 : 'Unassigned [0x3FE5]',
	0x3FE6 : 'Unassigned [0x3FE6]',
	0x3FE7 : 'Unassigned [0x3FE7]',
	0x3FE8 : 'Unassigned [0x3FE8]',
	0x3FE9 : 'Unassigned [0x3FE9]',
	0x3FEA : 'Unassigned [0x3FEA]',
	0x3FEB : 'Unassigned [0x3FEB]',
	0x3FEC : 'Unassigned [0x3FEC]',
	0x3FED : 'Unassigned [0x3FED]',
	0x3FEE : 'Unassigned [0x3FEE]',
	0x3FEF : 'Unassigned [0x3FEF]',
	0x3FF0 : 'Unassigned [0x3FF0]',
	0x3FF1 : 'Unassigned [0x3FF1]',
	0x3FF2 : 'Unassigned [0x3FF2]',
	0x3FF3 : 'Unassigned [0x3FF3]',
	0x3FF4 : 'Unassigned [0x3FF4]',
	0x3FF5 : 'Unassigned [0x3FF5]',
	0x3FF6 : 'Unassigned [0x3FF6]',
	0x3FF7 : 'Unassigned [0x3FF7]',
	0x3FF8 : 'Unassigned [0x3FF8]',
	0x3FF9 : 'Unassigned [0x3FF9]',
	0x3FFA : 'Unassigned [0x3FFA]',
	0x3FFB : 'Unassigned [0x3FFB]',
	0x3FFC : 'Unassigned [0x3FFC]',
	0x3FFD : 'Unassigned [0x3FFD]',
	0x3FFE : 'Unassigned [0x3FFE]',
	0x3FFF : 'Unassigned [0x3FFF]',
	0x4000 : 'Unassigned [0x4000]',
	0x4001 : 'Unassigned [0x4001]',
	0x4002 : 'Unassigned [0x4002]',
	0x4003 : 'Unassigned [0x4003]',
	0x4004 : 'Unassigned [0x4004]',
	0x4005 : 'Unassigned [0x4005]',
	0x4006 : 'Unassigned [0x4006]',
	0x4007 : 'Unassigned [0x4007]',
	0x4008 : 'Unassigned [0x4008]',
	0x4009 : 'Unassigned [0x4009]',
	0x400A : 'Unassigned [0x400A]',
	0x400B : 'Unassigned [0x400B]',
	0x400C : 'Unassigned [0x400C]',
	0x400D : 'Unassigned [0x400D]',
	0x400E : 'Unassigned [0x400E]',
	0x400F : 'Unassigned [0x400F]',
	0x4010 : 'Unassigned [0x4010]',
	0x4011 : 'Unassigned [0x4011]',
	0x4012 : 'Unassigned [0x4012]',
	0x4013 : 'Unassigned [0x4013]',
	0x4014 : 'Unassigned [0x4014]',
	0x4015 : 'Unassigned [0x4015]',
	0x4016 : 'Unassigned [0x4016]',
	0x4017 : 'Unassigned [0x4017]',
	0x4018 : 'Unassigned [0x4018]',
	0x4019 : 'Unassigned [0x4019]',
	0x401A : 'Unassigned [0x401A]',
	0x401B : 'Unassigned [0x401B]',
	0x401C : 'Unassigned [0x401C]',
	0x401D : 'Unassigned [0x401D]',
	0x401E : 'Unassigned [0x401E]',
	0x401F : 'Unassigned [0x401F]',
	0x4020 : 'Unassigned [0x4020]',
	0x4021 : 'Unassigned [0x4021]',
	0x4022 : 'Unassigned [0x4022]',
	0x4023 : 'Unassigned [0x4023]',
	0x4024 : 'Unassigned [0x4024]',
	0x4025 : 'Unassigned [0x4025]',
	0x4026 : 'Unassigned [0x4026]',
	0x4027 : 'Unassigned [0x4027]',
	0x4028 : 'Unassigned [0x4028]',
	0x4029 : 'Unassigned [0x4029]',
	0x402A : 'Unassigned [0x402A]',
	0x402B : 'Unassigned [0x402B]',
	0x402C : 'Unassigned [0x402C]',
	0x402D : 'Unassigned [0x402D]',
	0x402E : 'Unassigned [0x402E]',
	0x402F : 'Unassigned [0x402F]',
	0x4030 : 'Unassigned [0x4030]',
	0x4031 : 'Unassigned [0x4031]',
	0x4032 : 'Unassigned [0x4032]',
	0x4033 : 'Unassigned [0x4033]',
	0x4034 : 'Unassigned [0x4034]',
	0x4035 : 'Unassigned [0x4035]',
	0x4036 : 'Unassigned [0x4036]',
	0x4037 : 'Unassigned [0x4037]',
	0x4038 : 'Unassigned [0x4038]',
	0x4039 : 'Unassigned [0x4039]',
	0x403A : 'Unassigned [0x403A]',
	0x403B : 'Unassigned [0x403B]',
	0x403C : 'Unassigned [0x403C]',
	0x403D : 'Unassigned [0x403D]',
	0x403E : 'Unassigned [0x403E]',
	0x403F : 'Unassigned [0x403F]',
	0x4040 : 'Unassigned [0x4040]',
	0x4041 : 'Unassigned [0x4041]',
	0x4042 : 'Unassigned [0x4042]',
	0x4043 : 'Unassigned [0x4043]',
	0x4044 : 'Unassigned [0x4044]',
	0x4045 : 'Unassigned [0x4045]',
	0x4046 : 'Unassigned [0x4046]',
	0x4047 : 'Unassigned [0x4047]',
	0x4048 : 'Unassigned [0x4048]',
	0x4049 : 'Unassigned [0x4049]',
	0x404A : 'Unassigned [0x404A]',
	0x404B : 'Unassigned [0x404B]',
	0x404C : 'Unassigned [0x404C]',
	0x404D : 'Unassigned [0x404D]',
	0x404E : 'Unassigned [0x404E]',
	0x404F : 'Unassigned [0x404F]',
	0x4050 : 'Unassigned [0x4050]',
	0x4051 : 'Unassigned [0x4051]',
	0x4052 : 'Unassigned [0x4052]',
	0x4053 : 'Unassigned [0x4053]',
	0x4054 : 'Unassigned [0x4054]',
	0x4055 : 'Unassigned [0x4055]',
	0x4056 : 'Unassigned [0x4056]',
	0x4057 : 'Unassigned [0x4057]',
	0x4058 : 'Unassigned [0x4058]',
	0x4059 : 'Unassigned [0x4059]',
	0x405A : 'Unassigned [0x405A]',
	0x405B : 'Unassigned [0x405B]',
	0x405C : 'Unassigned [0x405C]',
	0x405D : 'Unassigned [0x405D]',
	0x405E : 'Unassigned [0x405E]',
	0x405F : 'Unassigned [0x405F]',
	0x4060 : 'Unassigned [0x4060]',
	0x4061 : 'Unassigned [0x4061]',
	0x4062 : 'Unassigned [0x4062]',
	0x4063 : 'Unassigned [0x4063]',
	0x4064 : 'Unassigned [0x4064]',
	0x4065 : 'Unassigned [0x4065]',
	0x4066 : 'Unassigned [0x4066]',
	0x4067 : 'Unassigned [0x4067]',
	0x4068 : 'Unassigned [0x4068]',
	0x4069 : 'Unassigned [0x4069]',
	0x406A : 'Unassigned [0x406A]',
	0x406B : 'Unassigned [0x406B]',
	0x406C : 'Unassigned [0x406C]',
	0x406D : 'Unassigned [0x406D]',
	0x406E : 'Unassigned [0x406E]',
	0x406F : 'Unassigned [0x406F]',
	0x4070 : 'Unassigned [0x4070]',
	0x4071 : 'Unassigned [0x4071]',
	0x4072 : 'Unassigned [0x4072]',
	0x4073 : 'Unassigned [0x4073]',
	0x4074 : 'Unassigned [0x4074]',
	0x4075 : 'Unassigned [0x4075]',
	0x4076 : 'Unassigned [0x4076]',
	0x4077 : 'Unassigned [0x4077]',
	0x4078 : 'Unassigned [0x4078]',
	0x4079 : 'Unassigned [0x4079]',
	0x407A : 'Unassigned [0x407A]',
	0x407B : 'Unassigned [0x407B]',
	0x407C : 'Unassigned [0x407C]',
	0x407D : 'Unassigned [0x407D]',
	0x407E : 'Unassigned [0x407E]',
	0x407F : 'Unassigned [0x407F]',
	0x4080 : 'Unassigned [0x4080]',
	0x4081 : 'Unassigned [0x4081]',
	0x4082 : 'Unassigned [0x4082]',
	0x4083 : 'Unassigned [0x4083]',
	0x4084 : 'Unassigned [0x4084]',
	0x4085 : 'Unassigned [0x4085]',
	0x4086 : 'Unassigned [0x4086]',
	0x4087 : 'Unassigned [0x4087]',
	0x4088 : 'Unassigned [0x4088]',
	0x4089 : 'Unassigned [0x4089]',
	0x408A : 'Unassigned [0x408A]',
	0x408B : 'Unassigned [0x408B]',
	0x408C : 'Unassigned [0x408C]',
	0x408D : 'Unassigned [0x408D]',
	0x408E : 'Unassigned [0x408E]',
	0x408F : 'Unassigned [0x408F]',
	0x4090 : 'Unassigned [0x4090]',
	0x4091 : 'Unassigned [0x4091]',
	0x4092 : 'Unassigned [0x4092]',
	0x4093 : 'Unassigned [0x4093]',
	0x4094 : 'Unassigned [0x4094]',
	0x4095 : 'Unassigned [0x4095]',
	0x4096 : 'Unassigned [0x4096]',
	0x4097 : 'Unassigned [0x4097]',
	0x4098 : 'Unassigned [0x4098]',
	0x4099 : 'Unassigned [0x4099]',
	0x409A : 'Unassigned [0x409A]',
	0x409B : 'Unassigned [0x409B]',
	0x409C : 'Unassigned [0x409C]',
	0x409D : 'Unassigned [0x409D]',
	0x409E : 'Unassigned [0x409E]',
	0x409F : 'Unassigned [0x409F]',
	0x40A0 : 'Unassigned [0x40A0]',
	0x40A1 : 'Unassigned [0x40A1]',
	0x40A2 : 'Unassigned [0x40A2]',
	0x40A3 : 'Unassigned [0x40A3]',
	0x40A4 : 'Unassigned [0x40A4]',
	0x40A5 : 'Unassigned [0x40A5]',
	0x40A6 : 'Unassigned [0x40A6]',
	0x40A7 : 'Unassigned [0x40A7]',
	0x40A8 : 'Unassigned [0x40A8]',
	0x40A9 : 'Unassigned [0x40A9]',
	0x40AA : 'Unassigned [0x40AA]',
	0x40AB : 'Unassigned [0x40AB]',
	0x40AC : 'Unassigned [0x40AC]',
	0x40AD : 'Unassigned [0x40AD]',
	0x40AE : 'Unassigned [0x40AE]',
	0x40AF : 'Unassigned [0x40AF]',
	0x40B0 : 'Unassigned [0x40B0]',
	0x40B1 : 'Unassigned [0x40B1]',
	0x40B2 : 'Unassigned [0x40B2]',
	0x40B3 : 'Unassigned [0x40B3]',
	0x40B4 : 'Unassigned [0x40B4]',
	0x40B5 : 'Unassigned [0x40B5]',
	0x40B6 : 'Unassigned [0x40B6]',
	0x40B7 : 'Unassigned [0x40B7]',
	0x40B8 : 'Unassigned [0x40B8]',
	0x40B9 : 'Unassigned [0x40B9]',
	0x40BA : 'Unassigned [0x40BA]',
	0x40BB : 'Unassigned [0x40BB]',
	0x40BC : 'Unassigned [0x40BC]',
	0x40BD : 'Unassigned [0x40BD]',
	0x40BE : 'Unassigned [0x40BE]',
	0x40BF : 'Unassigned [0x40BF]',
	0x40C0 : 'Unassigned [0x40C0]',
	0x40C1 : 'Unassigned [0x40C1]',
	0x40C2 : 'Unassigned [0x40C2]',
	0x40C3 : 'Unassigned [0x40C3]',
	0x40C4 : 'Unassigned [0x40C4]',
	0x40C5 : 'Unassigned [0x40C5]',
	0x40C6 : 'Unassigned [0x40C6]',
	0x40C7 : 'Unassigned [0x40C7]',
	0x40C8 : 'Unassigned [0x40C8]',
	0x40C9 : 'Unassigned [0x40C9]',
	0x40CA : 'Unassigned [0x40CA]',
	0x40CB : 'Unassigned [0x40CB]',
	0x40CC : 'Unassigned [0x40CC]',
	0x40CD : 'Unassigned [0x40CD]',
	0x40CE : 'Unassigned [0x40CE]',
	0x40CF : 'Unassigned [0x40CF]',
	0x40D0 : 'Unassigned [0x40D0]',
	0x40D1 : 'Unassigned [0x40D1]',
	0x40D2 : 'Unassigned [0x40D2]',
	0x40D3 : 'Unassigned [0x40D3]',
	0x40D4 : 'Unassigned [0x40D4]',
	0x40D5 : 'Unassigned [0x40D5]',
	0x40D6 : 'Unassigned [0x40D6]',
	0x40D7 : 'Unassigned [0x40D7]',
	0x40D8 : 'Unassigned [0x40D8]',
	0x40D9 : 'Unassigned [0x40D9]',
	0x40DA : 'Unassigned [0x40DA]',
	0x40DB : 'Unassigned [0x40DB]',
	0x40DC : 'Unassigned [0x40DC]',
	0x40DD : 'Unassigned [0x40DD]',
	0x40DE : 'Unassigned [0x40DE]',
	0x40DF : 'Unassigned [0x40DF]',
	0x40E0 : 'Unassigned [0x40E0]',
	0x40E1 : 'Unassigned [0x40E1]',
	0x40E2 : 'Unassigned [0x40E2]',
	0x40E3 : 'Unassigned [0x40E3]',
	0x40E4 : 'Unassigned [0x40E4]',
	0x40E5 : 'Unassigned [0x40E5]',
	0x40E6 : 'Unassigned [0x40E6]',
	0x40E7 : 'Unassigned [0x40E7]',
	0x40E8 : 'Unassigned [0x40E8]',
	0x40E9 : 'Unassigned [0x40E9]',
	0x40EA : 'Unassigned [0x40EA]',
	0x40EB : 'Unassigned [0x40EB]',
	0x40EC : 'Unassigned [0x40EC]',
	0x40ED : 'Unassigned [0x40ED]',
	0x40EE : 'Unassigned [0x40EE]',
	0x40EF : 'Unassigned [0x40EF]',
	0x40F0 : 'Unassigned [0x40F0]',
	0x40F1 : 'Unassigned [0x40F1]',
	0x40F2 : 'Unassigned [0x40F2]',
	0x40F3 : 'Unassigned [0x40F3]',
	0x40F4 : 'Unassigned [0x40F4]',
	0x40F5 : 'Unassigned [0x40F5]',
	0x40F6 : 'Unassigned [0x40F6]',
	0x40F7 : 'Unassigned [0x40F7]',
	0x40F8 : 'Unassigned [0x40F8]',
	0x40F9 : 'Unassigned [0x40F9]',
	0x40FA : 'Unassigned [0x40FA]',
	0x40FB : 'Unassigned [0x40FB]',
	0x40FC : 'Unassigned [0x40FC]',
	0x40FD : 'Unassigned [0x40FD]',
	0x40FE : 'Unassigned [0x40FE]',
	0x40FF : 'Unassigned [0x40FF]',
	0x4100 : 'Unassigned [0x4100]',
	0x4101 : 'Unassigned [0x4101]',
	0x4102 : 'Unassigned [0x4102]',
	0x4103 : 'Unassigned [0x4103]',
	0x4104 : 'Unassigned [0x4104]',
	0x4105 : 'Unassigned [0x4105]',
	0x4106 : 'Unassigned [0x4106]',
	0x4107 : 'Unassigned [0x4107]',
	0x4108 : 'Unassigned [0x4108]',
	0x4109 : 'Unassigned [0x4109]',
	0x410A : 'Unassigned [0x410A]',
	0x410B : 'Unassigned [0x410B]',
	0x410C : 'Unassigned [0x410C]',
	0x410D : 'Unassigned [0x410D]',
	0x410E : 'Unassigned [0x410E]',
	0x410F : 'Unassigned [0x410F]',
	0x4110 : 'Unassigned [0x4110]',
	0x4111 : 'Unassigned [0x4111]',
	0x4112 : 'Unassigned [0x4112]',
	0x4113 : 'Unassigned [0x4113]',
	0x4114 : 'Unassigned [0x4114]',
	0x4115 : 'Unassigned [0x4115]',
	0x4116 : 'Unassigned [0x4116]',
	0x4117 : 'Unassigned [0x4117]',
	0x4118 : 'Unassigned [0x4118]',
	0x4119 : 'Unassigned [0x4119]',
	0x411A : 'Unassigned [0x411A]',
	0x411B : 'Unassigned [0x411B]',
	0x411C : 'Unassigned [0x411C]',
	0x411D : 'Unassigned [0x411D]',
	0x411E : 'Unassigned [0x411E]',
	0x411F : 'Unassigned [0x411F]',
	0x4120 : 'Unassigned [0x4120]',
	0x4121 : 'Unassigned [0x4121]',
	0x4122 : 'Unassigned [0x4122]',
	0x4123 : 'Unassigned [0x4123]',
	0x4124 : 'Unassigned [0x4124]',
	0x4125 : 'Unassigned [0x4125]',
	0x4126 : 'Unassigned [0x4126]',
	0x4127 : 'Unassigned [0x4127]',
	0x4128 : 'Unassigned [0x4128]',
	0x4129 : 'Unassigned [0x4129]',
	0x412A : 'Unassigned [0x412A]',
	0x412B : 'Unassigned [0x412B]',
	0x412C : 'Unassigned [0x412C]',
	0x412D : 'Unassigned [0x412D]',
	0x412E : 'Unassigned [0x412E]',
	0x412F : 'Unassigned [0x412F]',
	0x4130 : 'Unassigned [0x4130]',
	0x4131 : 'Unassigned [0x4131]',
	0x4132 : 'Unassigned [0x4132]',
	0x4133 : 'Unassigned [0x4133]',
	0x4134 : 'Unassigned [0x4134]',
	0x4135 : 'Unassigned [0x4135]',
	0x4136 : 'Unassigned [0x4136]',
	0x4137 : 'Unassigned [0x4137]',
	0x4138 : 'Unassigned [0x4138]',
	0x4139 : 'Unassigned [0x4139]',
	0x413A : 'Unassigned [0x413A]',
	0x413B : 'Unassigned [0x413B]',
	0x413C : 'Unassigned [0x413C]',
	0x413D : 'Unassigned [0x413D]',
	0x413E : 'Unassigned [0x413E]',
	0x413F : 'Unassigned [0x413F]',
	0x4140 : 'Unassigned [0x4140]',
	0x4141 : 'Unassigned [0x4141]',
	0x4142 : 'Unassigned [0x4142]',
	0x4143 : 'Unassigned [0x4143]',
	0x4144 : 'Unassigned [0x4144]',
	0x4145 : 'Unassigned [0x4145]',
	0x4146 : 'Unassigned [0x4146]',
	0x4147 : 'Unassigned [0x4147]',
	0x4148 : 'Unassigned [0x4148]',
	0x4149 : 'Unassigned [0x4149]',
	0x414A : 'Unassigned [0x414A]',
	0x414B : 'Unassigned [0x414B]',
	0x414C : 'Unassigned [0x414C]',
	0x414D : 'Unassigned [0x414D]',
	0x414E : 'Unassigned [0x414E]',
	0x414F : 'Unassigned [0x414F]',
	0x4150 : 'Unassigned [0x4150]',
	0x4151 : 'Unassigned [0x4151]',
	0x4152 : 'Unassigned [0x4152]',
	0x4153 : 'Unassigned [0x4153]',
	0x4154 : 'Unassigned [0x4154]',
	0x4155 : 'Unassigned [0x4155]',
	0x4156 : 'Unassigned [0x4156]',
	0x4157 : 'Unassigned [0x4157]',
	0x4158 : 'Unassigned [0x4158]',
	0x4159 : 'Unassigned [0x4159]',
	0x415A : 'Unassigned [0x415A]',
	0x415B : 'Unassigned [0x415B]',
	0x415C : 'Unassigned [0x415C]',
	0x415D : 'Unassigned [0x415D]',
	0x415E : 'Unassigned [0x415E]',
	0x415F : 'Unassigned [0x415F]',
	0x4160 : 'Unassigned [0x4160]',
	0x4161 : 'Unassigned [0x4161]',
	0x4162 : 'Unassigned [0x4162]',
	0x4163 : 'Unassigned [0x4163]',
	0x4164 : 'Unassigned [0x4164]',
	0x4165 : 'Unassigned [0x4165]',
	0x4166 : 'Unassigned [0x4166]',
	0x4167 : 'Unassigned [0x4167]',
	0x4168 : 'Unassigned [0x4168]',
	0x4169 : 'Unassigned [0x4169]',
	0x416A : 'Unassigned [0x416A]',
	0x416B : 'Unassigned [0x416B]',
	0x416C : 'Unassigned [0x416C]',
	0x416D : 'Unassigned [0x416D]',
	0x416E : 'Unassigned [0x416E]',
	0x416F : 'Unassigned [0x416F]',
	0x4170 : 'Unassigned [0x4170]',
	0x4171 : 'Unassigned [0x4171]',
	0x4172 : 'Unassigned [0x4172]',
	0x4173 : 'Unassigned [0x4173]',
	0x4174 : 'Unassigned [0x4174]',
	0x4175 : 'Unassigned [0x4175]',
	0x4176 : 'Unassigned [0x4176]',
	0x4177 : 'Unassigned [0x4177]',
	0x4178 : 'Unassigned [0x4178]',
	0x4179 : 'Unassigned [0x4179]',
	0x417A : 'Unassigned [0x417A]',
	0x417B : 'Unassigned [0x417B]',
	0x417C : 'Unassigned [0x417C]',
	0x417D : 'Unassigned [0x417D]',
	0x417E : 'Unassigned [0x417E]',
	0x417F : 'Unassigned [0x417F]',
	0x4180 : 'Unassigned [0x4180]',
	0x4181 : 'Unassigned [0x4181]',
	0x4182 : 'Unassigned [0x4182]',
	0x4183 : 'Unassigned [0x4183]',
	0x4184 : 'Unassigned [0x4184]',
	0x4185 : 'Unassigned [0x4185]',
	0x4186 : 'Unassigned [0x4186]',
	0x4187 : 'Unassigned [0x4187]',
	0x4188 : 'Unassigned [0x4188]',
	0x4189 : 'Unassigned [0x4189]',
	0x418A : 'Unassigned [0x418A]',
	0x418B : 'Unassigned [0x418B]',
	0x418C : 'Unassigned [0x418C]',
	0x418D : 'Unassigned [0x418D]',
	0x418E : 'Unassigned [0x418E]',
	0x418F : 'Unassigned [0x418F]',
	0x4190 : 'Unassigned [0x4190]',
	0x4191 : 'Unassigned [0x4191]',
	0x4192 : 'Unassigned [0x4192]',
	0x4193 : 'Unassigned [0x4193]',
	0x4194 : 'Unassigned [0x4194]',
	0x4195 : 'Unassigned [0x4195]',
	0x4196 : 'Unassigned [0x4196]',
	0x4197 : 'Unassigned [0x4197]',
	0x4198 : 'Unassigned [0x4198]',
	0x4199 : 'Unassigned [0x4199]',
	0x419A : 'Unassigned [0x419A]',
	0x419B : 'Unassigned [0x419B]',
	0x419C : 'Unassigned [0x419C]',
	0x419D : 'Unassigned [0x419D]',
	0x419E : 'Unassigned [0x419E]',
	0x419F : 'Unassigned [0x419F]',
	0x41A0 : 'Unassigned [0x41A0]',
	0x41A1 : 'Unassigned [0x41A1]',
	0x41A2 : 'Unassigned [0x41A2]',
	0x41A3 : 'Unassigned [0x41A3]',
	0x41A4 : 'Unassigned [0x41A4]',
	0x41A5 : 'Unassigned [0x41A5]',
	0x41A6 : 'Unassigned [0x41A6]',
	0x41A7 : 'Unassigned [0x41A7]',
	0x41A8 : 'Unassigned [0x41A8]',
	0x41A9 : 'Unassigned [0x41A9]',
	0x41AA : 'Unassigned [0x41AA]',
	0x41AB : 'Unassigned [0x41AB]',
	0x41AC : 'Unassigned [0x41AC]',
	0x41AD : 'Unassigned [0x41AD]',
	0x41AE : 'Unassigned [0x41AE]',
	0x41AF : 'Unassigned [0x41AF]',
	0x41B0 : 'Unassigned [0x41B0]',
	0x41B1 : 'Unassigned [0x41B1]',
	0x41B2 : 'Unassigned [0x41B2]',
	0x41B3 : 'Unassigned [0x41B3]',
	0x41B4 : 'Unassigned [0x41B4]',
	0x41B5 : 'Unassigned [0x41B5]',
	0x41B6 : 'Unassigned [0x41B6]',
	0x41B7 : 'Unassigned [0x41B7]',
	0x41B8 : 'Unassigned [0x41B8]',
	0x41B9 : 'Unassigned [0x41B9]',
	0x41BA : 'Unassigned [0x41BA]',
	0x41BB : 'Unassigned [0x41BB]',
	0x41BC : 'Unassigned [0x41BC]',
	0x41BD : 'Unassigned [0x41BD]',
	0x41BE : 'Unassigned [0x41BE]',
	0x41BF : 'Unassigned [0x41BF]',
	0x41C0 : 'Unassigned [0x41C0]',
	0x41C1 : 'Unassigned [0x41C1]',
	0x41C2 : 'Unassigned [0x41C2]',
	0x41C3 : 'Unassigned [0x41C3]',
	0x41C4 : 'Unassigned [0x41C4]',
	0x41C5 : 'Unassigned [0x41C5]',
	0x41C6 : 'Unassigned [0x41C6]',
	0x41C7 : 'Unassigned [0x41C7]',
	0x41C8 : 'Unassigned [0x41C8]',
	0x41C9 : 'Unassigned [0x41C9]',
	0x41CA : 'Unassigned [0x41CA]',
	0x41CB : 'Unassigned [0x41CB]',
	0x41CC : 'Unassigned [0x41CC]',
	0x41CD : 'Unassigned [0x41CD]',
	0x41CE : 'Unassigned [0x41CE]',
	0x41CF : 'Unassigned [0x41CF]',
	0x41D0 : 'Unassigned [0x41D0]',
	0x41D1 : 'Unassigned [0x41D1]',
	0x41D2 : 'Unassigned [0x41D2]',
	0x41D3 : 'Unassigned [0x41D3]',
	0x41D4 : 'Unassigned [0x41D4]',
	0x41D5 : 'Unassigned [0x41D5]',
	0x41D6 : 'Unassigned [0x41D6]',
	0x41D7 : 'Unassigned [0x41D7]',
	0x41D8 : 'Unassigned [0x41D8]',
	0x41D9 : 'Unassigned [0x41D9]',
	0x41DA : 'Unassigned [0x41DA]',
	0x41DB : 'Unassigned [0x41DB]',
	0x41DC : 'Unassigned [0x41DC]',
	0x41DD : 'Unassigned [0x41DD]',
	0x41DE : 'Unassigned [0x41DE]',
	0x41DF : 'Unassigned [0x41DF]',
	0x41E0 : 'Unassigned [0x41E0]',
	0x41E1 : 'Unassigned [0x41E1]',
	0x41E2 : 'Unassigned [0x41E2]',
	0x41E3 : 'Unassigned [0x41E3]',
	0x41E4 : 'Unassigned [0x41E4]',
	0x41E5 : 'Unassigned [0x41E5]',
	0x41E6 : 'Unassigned [0x41E6]',
	0x41E7 : 'Unassigned [0x41E7]',
	0x41E8 : 'Unassigned [0x41E8]',
	0x41E9 : 'Unassigned [0x41E9]',
	0x41EA : 'Unassigned [0x41EA]',
	0x41EB : 'Unassigned [0x41EB]',
	0x41EC : 'Unassigned [0x41EC]',
	0x41ED : 'Unassigned [0x41ED]',
	0x41EE : 'Unassigned [0x41EE]',
	0x41EF : 'Unassigned [0x41EF]',
	0x41F0 : 'Unassigned [0x41F0]',
	0x41F1 : 'Unassigned [0x41F1]',
	0x41F2 : 'Unassigned [0x41F2]',
	0x41F3 : 'Unassigned [0x41F3]',
	0x41F4 : 'Unassigned [0x41F4]',
	0x41F5 : 'Unassigned [0x41F5]',
	0x41F6 : 'Unassigned [0x41F6]',
	0x41F7 : 'Unassigned [0x41F7]',
	0x41F8 : 'Unassigned [0x41F8]',
	0x41F9 : 'Unassigned [0x41F9]',
	0x41FA : 'Unassigned [0x41FA]',
	0x41FB : 'Unassigned [0x41FB]',
	0x41FC : 'Unassigned [0x41FC]',
	0x41FD : 'Unassigned [0x41FD]',
	0x41FE : 'Unassigned [0x41FE]',
	0x41FF : 'Unassigned [0x41FF]',
	0x4200 : 'Unassigned [0x4200]',
	0x4201 : 'Unassigned [0x4201]',
	0x4202 : 'Unassigned [0x4202]',
	0x4203 : 'Unassigned [0x4203]',
	0x4204 : 'Unassigned [0x4204]',
	0x4205 : 'Unassigned [0x4205]',
	0x4206 : 'Unassigned [0x4206]',
	0x4207 : 'Unassigned [0x4207]',
	0x4208 : 'Unassigned [0x4208]',
	0x4209 : 'Unassigned [0x4209]',
	0x420A : 'Unassigned [0x420A]',
	0x420B : 'Unassigned [0x420B]',
	0x420C : 'Unassigned [0x420C]',
	0x420D : 'Unassigned [0x420D]',
	0x420E : 'Unassigned [0x420E]',
	0x420F : 'Unassigned [0x420F]',
	0x4210 : 'Unassigned [0x4210]',
	0x4211 : 'Unassigned [0x4211]',
	0x4212 : 'Unassigned [0x4212]',
	0x4213 : 'Unassigned [0x4213]',
	0x4214 : 'Unassigned [0x4214]',
	0x4215 : 'Unassigned [0x4215]',
	0x4216 : 'Unassigned [0x4216]',
	0x4217 : 'Unassigned [0x4217]',
	0x4218 : 'Unassigned [0x4218]',
	0x4219 : 'Unassigned [0x4219]',
	0x421A : 'Unassigned [0x421A]',
	0x421B : 'Unassigned [0x421B]',
	0x421C : 'Unassigned [0x421C]',
	0x421D : 'Unassigned [0x421D]',
	0x421E : 'Unassigned [0x421E]',
	0x421F : 'Unassigned [0x421F]',
	0x4220 : 'Unassigned [0x4220]',
	0x4221 : 'Unassigned [0x4221]',
	0x4222 : 'Unassigned [0x4222]',
	0x4223 : 'Unassigned [0x4223]',
	0x4224 : 'Unassigned [0x4224]',
	0x4225 : 'Unassigned [0x4225]',
	0x4226 : 'Unassigned [0x4226]',
	0x4227 : 'Unassigned [0x4227]',
	0x4228 : 'Unassigned [0x4228]',
	0x4229 : 'Unassigned [0x4229]',
	0x422A : 'Unassigned [0x422A]',
	0x422B : 'Unassigned [0x422B]',
	0x422C : 'Unassigned [0x422C]',
	0x422D : 'Unassigned [0x422D]',
	0x422E : 'Unassigned [0x422E]',
	0x422F : 'Unassigned [0x422F]',
	0x4230 : 'Unassigned [0x4230]',
	0x4231 : 'Unassigned [0x4231]',
	0x4232 : 'Unassigned [0x4232]',
	0x4233 : 'Unassigned [0x4233]',
	0x4234 : 'Unassigned [0x4234]',
	0x4235 : 'Unassigned [0x4235]',
	0x4236 : 'Unassigned [0x4236]',
	0x4237 : 'Unassigned [0x4237]',
	0x4238 : 'Unassigned [0x4238]',
	0x4239 : 'Unassigned [0x4239]',
	0x423A : 'Unassigned [0x423A]',
	0x423B : 'Unassigned [0x423B]',
	0x423C : 'Unassigned [0x423C]',
	0x423D : 'Unassigned [0x423D]',
	0x423E : 'Unassigned [0x423E]',
	0x423F : 'Unassigned [0x423F]',
	0x4240 : 'Unassigned [0x4240]',
	0x4241 : 'Unassigned [0x4241]',
	0x4242 : 'Unassigned [0x4242]',
	0x4243 : 'Unassigned [0x4243]',
	0x4244 : 'Unassigned [0x4244]',
	0x4245 : 'Unassigned [0x4245]',
	0x4246 : 'Unassigned [0x4246]',
	0x4247 : 'Unassigned [0x4247]',
	0x4248 : 'Unassigned [0x4248]',
	0x4249 : 'Unassigned [0x4249]',
	0x424A : 'Unassigned [0x424A]',
	0x424B : 'Unassigned [0x424B]',
	0x424C : 'Unassigned [0x424C]',
	0x424D : 'Unassigned [0x424D]',
	0x424E : 'Unassigned [0x424E]',
	0x424F : 'Unassigned [0x424F]',
	0x4250 : 'Unassigned [0x4250]',
	0x4251 : 'Unassigned [0x4251]',
	0x4252 : 'Unassigned [0x4252]',
	0x4253 : 'Unassigned [0x4253]',
	0x4254 : 'Unassigned [0x4254]',
	0x4255 : 'Unassigned [0x4255]',
	0x4256 : 'Unassigned [0x4256]',
	0x4257 : 'Unassigned [0x4257]',
	0x4258 : 'Unassigned [0x4258]',
	0x4259 : 'Unassigned [0x4259]',
	0x425A : 'Unassigned [0x425A]',
	0x425B : 'Unassigned [0x425B]',
	0x425C : 'Unassigned [0x425C]',
	0x425D : 'Unassigned [0x425D]',
	0x425E : 'Unassigned [0x425E]',
	0x425F : 'Unassigned [0x425F]',
	0x4260 : 'Unassigned [0x4260]',
	0x4261 : 'Unassigned [0x4261]',
	0x4262 : 'Unassigned [0x4262]',
	0x4263 : 'Unassigned [0x4263]',
	0x4264 : 'Unassigned [0x4264]',
	0x4265 : 'Unassigned [0x4265]',
	0x4266 : 'Unassigned [0x4266]',
	0x4267 : 'Unassigned [0x4267]',
	0x4268 : 'Unassigned [0x4268]',
	0x4269 : 'Unassigned [0x4269]',
	0x426A : 'Unassigned [0x426A]',
	0x426B : 'Unassigned [0x426B]',
	0x426C : 'Unassigned [0x426C]',
	0x426D : 'Unassigned [0x426D]',
	0x426E : 'Unassigned [0x426E]',
	0x426F : 'Unassigned [0x426F]',
	0x4270 : 'Unassigned [0x4270]',
	0x4271 : 'Unassigned [0x4271]',
	0x4272 : 'Unassigned [0x4272]',
	0x4273 : 'Unassigned [0x4273]',
	0x4274 : 'Unassigned [0x4274]',
	0x4275 : 'Unassigned [0x4275]',
	0x4276 : 'Unassigned [0x4276]',
	0x4277 : 'Unassigned [0x4277]',
	0x4278 : 'Unassigned [0x4278]',
	0x4279 : 'Unassigned [0x4279]',
	0x427A : 'Unassigned [0x427A]',
	0x427B : 'Unassigned [0x427B]',
	0x427C : 'Unassigned [0x427C]',
	0x427D : 'Unassigned [0x427D]',
	0x427E : 'Unassigned [0x427E]',
	0x427F : 'Unassigned [0x427F]',
	0x4280 : 'Unassigned [0x4280]',
	0x4281 : 'Unassigned [0x4281]',
	0x4282 : 'Unassigned [0x4282]',
	0x4283 : 'Unassigned [0x4283]',
	0x4284 : 'Unassigned [0x4284]',
	0x4285 : 'Unassigned [0x4285]',
	0x4286 : 'Unassigned [0x4286]',
	0x4287 : 'Unassigned [0x4287]',
	0x4288 : 'Unassigned [0x4288]',
	0x4289 : 'Unassigned [0x4289]',
	0x428A : 'Unassigned [0x428A]',
	0x428B : 'Unassigned [0x428B]',
	0x428C : 'Unassigned [0x428C]',
	0x428D : 'Unassigned [0x428D]',
	0x428E : 'Unassigned [0x428E]',
	0x428F : 'Unassigned [0x428F]',
	0x4290 : 'Unassigned [0x4290]',
	0x4291 : 'Unassigned [0x4291]',
	0x4292 : 'Unassigned [0x4292]',
	0x4293 : 'Unassigned [0x4293]',
	0x4294 : 'Unassigned [0x4294]',
	0x4295 : 'Unassigned [0x4295]',
	0x4296 : 'Unassigned [0x4296]',
	0x4297 : 'Unassigned [0x4297]',
	0x4298 : 'Unassigned [0x4298]',
	0x4299 : 'Unassigned [0x4299]',
	0x429A : 'Unassigned [0x429A]',
	0x429B : 'Unassigned [0x429B]',
	0x429C : 'Unassigned [0x429C]',
	0x429D : 'Unassigned [0x429D]',
	0x429E : 'Unassigned [0x429E]',
	0x429F : 'Unassigned [0x429F]',
	0x42A0 : 'Unassigned [0x42A0]',
	0x42A1 : 'Unassigned [0x42A1]',
	0x42A2 : 'Unassigned [0x42A2]',
	0x42A3 : 'Unassigned [0x42A3]',
	0x42A4 : 'Unassigned [0x42A4]',
	0x42A5 : 'Unassigned [0x42A5]',
	0x42A6 : 'Unassigned [0x42A6]',
	0x42A7 : 'Unassigned [0x42A7]',
	0x42A8 : 'Unassigned [0x42A8]',
	0x42A9 : 'Unassigned [0x42A9]',
	0x42AA : 'Unassigned [0x42AA]',
	0x42AB : 'Unassigned [0x42AB]',
	0x42AC : 'Unassigned [0x42AC]',
	0x42AD : 'Unassigned [0x42AD]',
	0x42AE : 'Unassigned [0x42AE]',
	0x42AF : 'Unassigned [0x42AF]',
	0x42B0 : 'Unassigned [0x42B0]',
	0x42B1 : 'Unassigned [0x42B1]',
	0x42B2 : 'Unassigned [0x42B2]',
	0x42B3 : 'Unassigned [0x42B3]',
	0x42B4 : 'Unassigned [0x42B4]',
	0x42B5 : 'Unassigned [0x42B5]',
	0x42B6 : 'Unassigned [0x42B6]',
	0x42B7 : 'Unassigned [0x42B7]',
	0x42B8 : 'Unassigned [0x42B8]',
	0x42B9 : 'Unassigned [0x42B9]',
	0x42BA : 'Unassigned [0x42BA]',
	0x42BB : 'Unassigned [0x42BB]',
	0x42BC : 'Unassigned [0x42BC]',
	0x42BD : 'Unassigned [0x42BD]',
	0x42BE : 'Unassigned [0x42BE]',
	0x42BF : 'Unassigned [0x42BF]',
	0x42C0 : 'Unassigned [0x42C0]',
	0x42C1 : 'Unassigned [0x42C1]',
	0x42C2 : 'Unassigned [0x42C2]',
	0x42C3 : 'Unassigned [0x42C3]',
	0x42C4 : 'Unassigned [0x42C4]',
	0x42C5 : 'Unassigned [0x42C5]',
	0x42C6 : 'Unassigned [0x42C6]',
	0x42C7 : 'Unassigned [0x42C7]',
	0x42C8 : 'Unassigned [0x42C8]',
	0x42C9 : 'Unassigned [0x42C9]',
	0x42CA : 'Unassigned [0x42CA]',
	0x42CB : 'Unassigned [0x42CB]',
	0x42CC : 'Unassigned [0x42CC]',
	0x42CD : 'Unassigned [0x42CD]',
	0x42CE : 'Unassigned [0x42CE]',
	0x42CF : 'Unassigned [0x42CF]',
	0x42D0 : 'Unassigned [0x42D0]',
	0x42D1 : 'Unassigned [0x42D1]',
	0x42D2 : 'Unassigned [0x42D2]',
	0x42D3 : 'Unassigned [0x42D3]',
	0x42D4 : 'Unassigned [0x42D4]',
	0x42D5 : 'Unassigned [0x42D5]',
	0x42D6 : 'Unassigned [0x42D6]',
	0x42D7 : 'Unassigned [0x42D7]',
	0x42D8 : 'Unassigned [0x42D8]',
	0x42D9 : 'Unassigned [0x42D9]',
	0x42DA : 'Unassigned [0x42DA]',
	0x42DB : 'Unassigned [0x42DB]',
	0x42DC : 'Unassigned [0x42DC]',
	0x42DD : 'Unassigned [0x42DD]',
	0x42DE : 'Unassigned [0x42DE]',
	0x42DF : 'Unassigned [0x42DF]',
	0x42E0 : 'Unassigned [0x42E0]',
	0x42E1 : 'Unassigned [0x42E1]',
	0x42E2 : 'Unassigned [0x42E2]',
	0x42E3 : 'Unassigned [0x42E3]',
	0x42E4 : 'Unassigned [0x42E4]',
	0x42E5 : 'Unassigned [0x42E5]',
	0x42E6 : 'Unassigned [0x42E6]',
	0x42E7 : 'Unassigned [0x42E7]',
	0x42E8 : 'Unassigned [0x42E8]',
	0x42E9 : 'Unassigned [0x42E9]',
	0x42EA : 'Unassigned [0x42EA]',
	0x42EB : 'Unassigned [0x42EB]',
	0x42EC : 'Unassigned [0x42EC]',
	0x42ED : 'Unassigned [0x42ED]',
	0x42EE : 'Unassigned [0x42EE]',
	0x42EF : 'Unassigned [0x42EF]',
	0x42F0 : 'Unassigned [0x42F0]',
	0x42F1 : 'Unassigned [0x42F1]',
	0x42F2 : 'Unassigned [0x42F2]',
	0x42F3 : 'Unassigned [0x42F3]',
	0x42F4 : 'Unassigned [0x42F4]',
	0x42F5 : 'Unassigned [0x42F5]',
	0x42F6 : 'Unassigned [0x42F6]',
	0x42F7 : 'Unassigned [0x42F7]',
	0x42F8 : 'Unassigned [0x42F8]',
	0x42F9 : 'Unassigned [0x42F9]',
	0x42FA : 'Unassigned [0x42FA]',
	0x42FB : 'Unassigned [0x42FB]',
	0x42FC : 'Unassigned [0x42FC]',
	0x42FD : 'Unassigned [0x42FD]',
	0x42FE : 'Unassigned [0x42FE]',
	0x42FF : 'Unassigned [0x42FF]',
	0x4300 : 'Unassigned [0x4300]',
	0x4301 : 'Unassigned [0x4301]',
	0x4302 : 'Unassigned [0x4302]',
	0x4303 : 'Unassigned [0x4303]',
	0x4304 : 'Unassigned [0x4304]',
	0x4305 : 'Unassigned [0x4305]',
	0x4306 : 'Unassigned [0x4306]',
	0x4307 : 'Unassigned [0x4307]',
	0x4308 : 'Unassigned [0x4308]',
	0x4309 : 'Unassigned [0x4309]',
	0x430A : 'Unassigned [0x430A]',
	0x430B : 'Unassigned [0x430B]',
	0x430C : 'Unassigned [0x430C]',
	0x430D : 'Unassigned [0x430D]',
	0x430E : 'Unassigned [0x430E]',
	0x430F : 'Unassigned [0x430F]',
	0x4310 : 'Unassigned [0x4310]',
	0x4311 : 'Unassigned [0x4311]',
	0x4312 : 'Unassigned [0x4312]',
	0x4313 : 'Unassigned [0x4313]',
	0x4314 : 'Unassigned [0x4314]',
	0x4315 : 'Unassigned [0x4315]',
	0x4316 : 'Unassigned [0x4316]',
	0x4317 : 'Unassigned [0x4317]',
	0x4318 : 'Unassigned [0x4318]',
	0x4319 : 'Unassigned [0x4319]',
	0x431A : 'Unassigned [0x431A]',
	0x431B : 'Unassigned [0x431B]',
	0x431C : 'Unassigned [0x431C]',
	0x431D : 'Unassigned [0x431D]',
	0x431E : 'Unassigned [0x431E]',
	0x431F : 'Unassigned [0x431F]',
	0x4320 : 'Unassigned [0x4320]',
	0x4321 : 'Unassigned [0x4321]',
	0x4322 : 'Unassigned [0x4322]',
	0x4323 : 'Unassigned [0x4323]',
	0x4324 : 'Unassigned [0x4324]',
	0x4325 : 'Unassigned [0x4325]',
	0x4326 : 'Unassigned [0x4326]',
	0x4327 : 'Unassigned [0x4327]',
	0x4328 : 'Unassigned [0x4328]',
	0x4329 : 'Unassigned [0x4329]',
	0x432A : 'Unassigned [0x432A]',
	0x432B : 'Unassigned [0x432B]',
	0x432C : 'Unassigned [0x432C]',
	0x432D : 'Unassigned [0x432D]',
	0x432E : 'Unassigned [0x432E]',
	0x432F : 'Unassigned [0x432F]',
	0x4330 : 'Unassigned [0x4330]',
	0x4331 : 'Unassigned [0x4331]',
	0x4332 : 'Unassigned [0x4332]',
	0x4333 : 'Unassigned [0x4333]',
	0x4334 : 'Unassigned [0x4334]',
	0x4335 : 'Unassigned [0x4335]',
	0x4336 : 'Unassigned [0x4336]',
	0x4337 : 'Unassigned [0x4337]',
	0x4338 : 'Unassigned [0x4338]',
	0x4339 : 'Unassigned [0x4339]',
	0x433A : 'Unassigned [0x433A]',
	0x433B : 'Unassigned [0x433B]',
	0x433C : 'Unassigned [0x433C]',
	0x433D : 'Unassigned [0x433D]',
	0x433E : 'Unassigned [0x433E]',
	0x433F : 'Unassigned [0x433F]',
	0x4340 : 'Unassigned [0x4340]',
	0x4341 : 'Unassigned [0x4341]',
	0x4342 : 'Unassigned [0x4342]',
	0x4343 : 'Unassigned [0x4343]',
	0x4344 : 'Unassigned [0x4344]',
	0x4345 : 'Unassigned [0x4345]',
	0x4346 : 'Unassigned [0x4346]',
	0x4347 : 'Unassigned [0x4347]',
	0x4348 : 'Unassigned [0x4348]',
	0x4349 : 'Unassigned [0x4349]',
	0x434A : 'Unassigned [0x434A]',
	0x434B : 'Unassigned [0x434B]',
	0x434C : 'Unassigned [0x434C]',
	0x434D : 'Unassigned [0x434D]',
	0x434E : 'Unassigned [0x434E]',
	0x434F : 'Unassigned [0x434F]',
	0x4350 : 'Unassigned [0x4350]',
	0x4351 : 'Unassigned [0x4351]',
	0x4352 : 'Unassigned [0x4352]',
	0x4353 : 'Unassigned [0x4353]',
	0x4354 : 'Unassigned [0x4354]',
	0x4355 : 'Unassigned [0x4355]',
	0x4356 : 'Unassigned [0x4356]',
	0x4357 : 'Unassigned [0x4357]',
	0x4358 : 'Unassigned [0x4358]',
	0x4359 : 'Unassigned [0x4359]',
	0x435A : 'Unassigned [0x435A]',
	0x435B : 'Unassigned [0x435B]',
	0x435C : 'Unassigned [0x435C]',
	0x435D : 'Unassigned [0x435D]',
	0x435E : 'Unassigned [0x435E]',
	0x435F : 'Unassigned [0x435F]',
	0x4360 : 'Unassigned [0x4360]',
	0x4361 : 'Unassigned [0x4361]',
	0x4362 : 'Unassigned [0x4362]',
	0x4363 : 'Unassigned [0x4363]',
	0x4364 : 'Unassigned [0x4364]',
	0x4365 : 'Unassigned [0x4365]',
	0x4366 : 'Unassigned [0x4366]',
	0x4367 : 'Unassigned [0x4367]',
	0x4368 : 'Unassigned [0x4368]',
	0x4369 : 'Unassigned [0x4369]',
	0x436A : 'Unassigned [0x436A]',
	0x436B : 'Unassigned [0x436B]',
	0x436C : 'Unassigned [0x436C]',
	0x436D : 'Unassigned [0x436D]',
	0x436E : 'Unassigned [0x436E]',
	0x436F : 'Unassigned [0x436F]',
	0x4370 : 'Unassigned [0x4370]',
	0x4371 : 'Unassigned [0x4371]',
	0x4372 : 'Unassigned [0x4372]',
	0x4373 : 'Unassigned [0x4373]',
	0x4374 : 'Unassigned [0x4374]',
	0x4375 : 'Unassigned [0x4375]',
	0x4376 : 'Unassigned [0x4376]',
	0x4377 : 'Unassigned [0x4377]',
	0x4378 : 'Unassigned [0x4378]',
	0x4379 : 'Unassigned [0x4379]',
	0x437A : 'Unassigned [0x437A]',
	0x437B : 'Unassigned [0x437B]',
	0x437C : 'Unassigned [0x437C]',
	0x437D : 'Unassigned [0x437D]',
	0x437E : 'Unassigned [0x437E]',
	0x437F : 'Unassigned [0x437F]',
	0x4380 : 'Unassigned [0x4380]',
	0x4381 : 'Unassigned [0x4381]',
	0x4382 : 'Unassigned [0x4382]',
	0x4383 : 'Unassigned [0x4383]',
	0x4384 : 'Unassigned [0x4384]',
	0x4385 : 'Unassigned [0x4385]',
	0x4386 : 'Unassigned [0x4386]',
	0x4387 : 'Unassigned [0x4387]',
	0x4388 : 'Unassigned [0x4388]',
	0x4389 : 'Unassigned [0x4389]',
	0x438A : 'Unassigned [0x438A]',
	0x438B : 'Unassigned [0x438B]',
	0x438C : 'Unassigned [0x438C]',
	0x438D : 'Unassigned [0x438D]',
	0x438E : 'Unassigned [0x438E]',
	0x438F : 'Unassigned [0x438F]',
	0x4390 : 'Unassigned [0x4390]',
	0x4391 : 'Unassigned [0x4391]',
	0x4392 : 'Unassigned [0x4392]',
	0x4393 : 'Unassigned [0x4393]',
	0x4394 : 'Unassigned [0x4394]',
	0x4395 : 'Unassigned [0x4395]',
	0x4396 : 'Unassigned [0x4396]',
	0x4397 : 'Unassigned [0x4397]',
	0x4398 : 'Unassigned [0x4398]',
	0x4399 : 'Unassigned [0x4399]',
	0x439A : 'Unassigned [0x439A]',
	0x439B : 'Unassigned [0x439B]',
	0x439C : 'Unassigned [0x439C]',
	0x439D : 'Unassigned [0x439D]',
	0x439E : 'Unassigned [0x439E]',
	0x439F : 'Unassigned [0x439F]',
	0x43A0 : 'Unassigned [0x43A0]',
	0x43A1 : 'Unassigned [0x43A1]',
	0x43A2 : 'Unassigned [0x43A2]',
	0x43A3 : 'Unassigned [0x43A3]',
	0x43A4 : 'Unassigned [0x43A4]',
	0x43A5 : 'Unassigned [0x43A5]',
	0x43A6 : 'Unassigned [0x43A6]',
	0x43A7 : 'Unassigned [0x43A7]',
	0x43A8 : 'Unassigned [0x43A8]',
	0x43A9 : 'Unassigned [0x43A9]',
	0x43AA : 'Unassigned [0x43AA]',
	0x43AB : 'Unassigned [0x43AB]',
	0x43AC : 'Unassigned [0x43AC]',
	0x43AD : 'Unassigned [0x43AD]',
	0x43AE : 'Unassigned [0x43AE]',
	0x43AF : 'Unassigned [0x43AF]',
	0x43B0 : 'Unassigned [0x43B0]',
	0x43B1 : 'Unassigned [0x43B1]',
	0x43B2 : 'Unassigned [0x43B2]',
	0x43B3 : 'Unassigned [0x43B3]',
	0x43B4 : 'Unassigned [0x43B4]',
	0x43B5 : 'Unassigned [0x43B5]',
	0x43B6 : 'Unassigned [0x43B6]',
	0x43B7 : 'Unassigned [0x43B7]',
	0x43B8 : 'Unassigned [0x43B8]',
	0x43B9 : 'Unassigned [0x43B9]',
	0x43BA : 'Unassigned [0x43BA]',
	0x43BB : 'Unassigned [0x43BB]',
	0x43BC : 'Unassigned [0x43BC]',
	0x43BD : 'Unassigned [0x43BD]',
	0x43BE : 'Unassigned [0x43BE]',
	0x43BF : 'Unassigned [0x43BF]',
	0x43C0 : 'Unassigned [0x43C0]',
	0x43C1 : 'Unassigned [0x43C1]',
	0x43C2 : 'Unassigned [0x43C2]',
	0x43C3 : 'Unassigned [0x43C3]',
	0x43C4 : 'Unassigned [0x43C4]',
	0x43C5 : 'Unassigned [0x43C5]',
	0x43C6 : 'Unassigned [0x43C6]',
	0x43C7 : 'Unassigned [0x43C7]',
	0x43C8 : 'Unassigned [0x43C8]',
	0x43C9 : 'Unassigned [0x43C9]',
	0x43CA : 'Unassigned [0x43CA]',
	0x43CB : 'Unassigned [0x43CB]',
	0x43CC : 'Unassigned [0x43CC]',
	0x43CD : 'Unassigned [0x43CD]',
	0x43CE : 'Unassigned [0x43CE]',
	0x43CF : 'Unassigned [0x43CF]',
	0x43D0 : 'Unassigned [0x43D0]',
	0x43D1 : 'Unassigned [0x43D1]',
	0x43D2 : 'Unassigned [0x43D2]',
	0x43D3 : 'Unassigned [0x43D3]',
	0x43D4 : 'Unassigned [0x43D4]',
	0x43D5 : 'Unassigned [0x43D5]',
	0x43D6 : 'Unassigned [0x43D6]',
	0x43D7 : 'Unassigned [0x43D7]',
	0x43D8 : 'Unassigned [0x43D8]',
	0x43D9 : 'Unassigned [0x43D9]',
	0x43DA : 'Unassigned [0x43DA]',
	0x43DB : 'Unassigned [0x43DB]',
	0x43DC : 'Unassigned [0x43DC]',
	0x43DD : 'Unassigned [0x43DD]',
	0x43DE : 'Unassigned [0x43DE]',
	0x43DF : 'Unassigned [0x43DF]',
	0x43E0 : 'Unassigned [0x43E0]',
	0x43E1 : 'Unassigned [0x43E1]',
	0x43E2 : 'Unassigned [0x43E2]',
	0x43E3 : 'Unassigned [0x43E3]',
	0x43E4 : 'Unassigned [0x43E4]',
	0x43E5 : 'Unassigned [0x43E5]',
	0x43E6 : 'Unassigned [0x43E6]',
	0x43E7 : 'Unassigned [0x43E7]',
	0x43E8 : 'Unassigned [0x43E8]',
	0x43E9 : 'Unassigned [0x43E9]',
	0x43EA : 'Unassigned [0x43EA]',
	0x43EB : 'Unassigned [0x43EB]',
	0x43EC : 'Unassigned [0x43EC]',
	0x43ED : 'Unassigned [0x43ED]',
	0x43EE : 'Unassigned [0x43EE]',
	0x43EF : 'Unassigned [0x43EF]',
	0x43F0 : 'Unassigned [0x43F0]',
	0x43F1 : 'Unassigned [0x43F1]',
	0x43F2 : 'Unassigned [0x43F2]',
	0x43F3 : 'Unassigned [0x43F3]',
	0x43F4 : 'Unassigned [0x43F4]',
	0x43F5 : 'Unassigned [0x43F5]',
	0x43F6 : 'Unassigned [0x43F6]',
	0x43F7 : 'Unassigned [0x43F7]',
	0x43F8 : 'Unassigned [0x43F8]',
	0x43F9 : 'Unassigned [0x43F9]',
	0x43FA : 'Unassigned [0x43FA]',
	0x43FB : 'Unassigned [0x43FB]',
	0x43FC : 'Unassigned [0x43FC]',
	0x43FD : 'Unassigned [0x43FD]',
	0x43FE : 'Unassigned [0x43FE]',
	0x43FF : 'Unassigned [0x43FF]',
	0x4400 : 'Unassigned [0x4400]',
	0x4401 : 'Unassigned [0x4401]',
	0x4402 : 'Unassigned [0x4402]',
	0x4403 : 'Unassigned [0x4403]',
	0x4404 : 'Unassigned [0x4404]',
	0x4405 : 'Unassigned [0x4405]',
	0x4406 : 'Unassigned [0x4406]',
	0x4407 : 'Unassigned [0x4407]',
	0x4408 : 'Unassigned [0x4408]',
	0x4409 : 'Unassigned [0x4409]',
	0x440A : 'Unassigned [0x440A]',
	0x440B : 'Unassigned [0x440B]',
	0x440C : 'Unassigned [0x440C]',
	0x440D : 'Unassigned [0x440D]',
	0x440E : 'Unassigned [0x440E]',
	0x440F : 'Unassigned [0x440F]',
	0x4410 : 'Unassigned [0x4410]',
	0x4411 : 'Unassigned [0x4411]',
	0x4412 : 'Unassigned [0x4412]',
	0x4413 : 'Unassigned [0x4413]',
	0x4414 : 'Unassigned [0x4414]',
	0x4415 : 'Unassigned [0x4415]',
	0x4416 : 'Unassigned [0x4416]',
	0x4417 : 'Unassigned [0x4417]',
	0x4418 : 'Unassigned [0x4418]',
	0x4419 : 'Unassigned [0x4419]',
	0x441A : 'Unassigned [0x441A]',
	0x441B : 'Unassigned [0x441B]',
	0x441C : 'Unassigned [0x441C]',
	0x441D : 'Unassigned [0x441D]',
	0x441E : 'Unassigned [0x441E]',
	0x441F : 'Unassigned [0x441F]',
	0x4420 : 'Unassigned [0x4420]',
	0x4421 : 'Unassigned [0x4421]',
	0x4422 : 'Unassigned [0x4422]',
	0x4423 : 'Unassigned [0x4423]',
	0x4424 : 'Unassigned [0x4424]',
	0x4425 : 'Unassigned [0x4425]',
	0x4426 : 'Unassigned [0x4426]',
	0x4427 : 'Unassigned [0x4427]',
	0x4428 : 'Unassigned [0x4428]',
	0x4429 : 'Unassigned [0x4429]',
	0x442A : 'Unassigned [0x442A]',
	0x442B : 'Unassigned [0x442B]',
	0x442C : 'Unassigned [0x442C]',
	0x442D : 'Unassigned [0x442D]',
	0x442E : 'Unassigned [0x442E]',
	0x442F : 'Unassigned [0x442F]',
	0x4430 : 'Unassigned [0x4430]',
	0x4431 : 'Unassigned [0x4431]',
	0x4432 : 'Unassigned [0x4432]',
	0x4433 : 'Unassigned [0x4433]',
	0x4434 : 'Unassigned [0x4434]',
	0x4435 : 'Unassigned [0x4435]',
	0x4436 : 'Unassigned [0x4436]',
	0x4437 : 'Unassigned [0x4437]',
	0x4438 : 'Unassigned [0x4438]',
	0x4439 : 'Unassigned [0x4439]',
	0x443A : 'Unassigned [0x443A]',
	0x443B : 'Unassigned [0x443B]',
	0x443C : 'Unassigned [0x443C]',
	0x443D : 'Unassigned [0x443D]',
	0x443E : 'Unassigned [0x443E]',
	0x443F : 'Unassigned [0x443F]',
	0x4440 : 'Unassigned [0x4440]',
	0x4441 : 'Unassigned [0x4441]',
	0x4442 : 'Unassigned [0x4442]',
	0x4443 : 'Unassigned [0x4443]',
	0x4444 : 'Unassigned [0x4444]',
	0x4445 : 'Unassigned [0x4445]',
	0x4446 : 'Unassigned [0x4446]',
	0x4447 : 'Unassigned [0x4447]',
	0x4448 : 'Unassigned [0x4448]',
	0x4449 : 'Unassigned [0x4449]',
	0x444A : 'Unassigned [0x444A]',
	0x444B : 'Unassigned [0x444B]',
	0x444C : 'Unassigned [0x444C]',
	0x444D : 'Unassigned [0x444D]',
	0x444E : 'Unassigned [0x444E]',
	0x444F : 'Unassigned [0x444F]',
	0x4450 : 'Unassigned [0x4450]',
	0x4451 : 'Unassigned [0x4451]',
	0x4452 : 'Unassigned [0x4452]',
	0x4453 : 'Unassigned [0x4453]',
	0x4454 : 'Unassigned [0x4454]',
	0x4455 : 'Unassigned [0x4455]',
	0x4456 : 'Unassigned [0x4456]',
	0x4457 : 'Unassigned [0x4457]',
	0x4458 : 'Unassigned [0x4458]',
	0x4459 : 'Unassigned [0x4459]',
	0x445A : 'Unassigned [0x445A]',
	0x445B : 'Unassigned [0x445B]',
	0x445C : 'Unassigned [0x445C]',
	0x445D : 'Unassigned [0x445D]',
	0x445E : 'Unassigned [0x445E]',
	0x445F : 'Unassigned [0x445F]',
	0x4460 : 'Unassigned [0x4460]',
	0x4461 : 'Unassigned [0x4461]',
	0x4462 : 'Unassigned [0x4462]',
	0x4463 : 'Unassigned [0x4463]',
	0x4464 : 'Unassigned [0x4464]',
	0x4465 : 'Unassigned [0x4465]',
	0x4466 : 'Unassigned [0x4466]',
	0x4467 : 'Unassigned [0x4467]',
	0x4468 : 'Unassigned [0x4468]',
	0x4469 : 'Unassigned [0x4469]',
	0x446A : 'Unassigned [0x446A]',
	0x446B : 'Unassigned [0x446B]',
	0x446C : 'Unassigned [0x446C]',
	0x446D : 'Unassigned [0x446D]',
	0x446E : 'Unassigned [0x446E]',
	0x446F : 'Unassigned [0x446F]',
	0x4470 : 'Unassigned [0x4470]',
	0x4471 : 'Unassigned [0x4471]',
	0x4472 : 'Unassigned [0x4472]',
	0x4473 : 'Unassigned [0x4473]',
	0x4474 : 'Unassigned [0x4474]',
	0x4475 : 'Unassigned [0x4475]',
	0x4476 : 'Unassigned [0x4476]',
	0x4477 : 'Unassigned [0x4477]',
	0x4478 : 'Unassigned [0x4478]',
	0x4479 : 'Unassigned [0x4479]',
	0x447A : 'Unassigned [0x447A]',
	0x447B : 'Unassigned [0x447B]',
	0x447C : 'Unassigned [0x447C]',
	0x447D : 'Unassigned [0x447D]',
	0x447E : 'Unassigned [0x447E]',
	0x447F : 'Unassigned [0x447F]',
	0x4480 : 'Unassigned [0x4480]',
	0x4481 : 'Unassigned [0x4481]',
	0x4482 : 'Unassigned [0x4482]',
	0x4483 : 'Unassigned [0x4483]',
	0x4484 : 'Unassigned [0x4484]',
	0x4485 : 'Unassigned [0x4485]',
	0x4486 : 'Unassigned [0x4486]',
	0x4487 : 'Unassigned [0x4487]',
	0x4488 : 'Unassigned [0x4488]',
	0x4489 : 'Unassigned [0x4489]',
	0x448A : 'Unassigned [0x448A]',
	0x448B : 'Unassigned [0x448B]',
	0x448C : 'Unassigned [0x448C]',
	0x448D : 'Unassigned [0x448D]',
	0x448E : 'Unassigned [0x448E]',
	0x448F : 'Unassigned [0x448F]',
	0x4490 : 'Unassigned [0x4490]',
	0x4491 : 'Unassigned [0x4491]',
	0x4492 : 'Unassigned [0x4492]',
	0x4493 : 'Unassigned [0x4493]',
	0x4494 : 'Unassigned [0x4494]',
	0x4495 : 'Unassigned [0x4495]',
	0x4496 : 'Unassigned [0x4496]',
	0x4497 : 'Unassigned [0x4497]',
	0x4498 : 'Unassigned [0x4498]',
	0x4499 : 'Unassigned [0x4499]',
	0x449A : 'Unassigned [0x449A]',
	0x449B : 'Unassigned [0x449B]',
	0x449C : 'Unassigned [0x449C]',
	0x449D : 'Unassigned [0x449D]',
	0x449E : 'Unassigned [0x449E]',
	0x449F : 'Unassigned [0x449F]',
	0x44A0 : 'Unassigned [0x44A0]',
	0x44A1 : 'Unassigned [0x44A1]',
	0x44A2 : 'Unassigned [0x44A2]',
	0x44A3 : 'Unassigned [0x44A3]',
	0x44A4 : 'Unassigned [0x44A4]',
	0x44A5 : 'Unassigned [0x44A5]',
	0x44A6 : 'Unassigned [0x44A6]',
	0x44A7 : 'Unassigned [0x44A7]',
	0x44A8 : 'Unassigned [0x44A8]',
	0x44A9 : 'Unassigned [0x44A9]',
	0x44AA : 'Unassigned [0x44AA]',
	0x44AB : 'Unassigned [0x44AB]',
	0x44AC : 'Unassigned [0x44AC]',
	0x44AD : 'Unassigned [0x44AD]',
	0x44AE : 'Unassigned [0x44AE]',
	0x44AF : 'Unassigned [0x44AF]',
	0x44B0 : 'Unassigned [0x44B0]',
	0x44B1 : 'Unassigned [0x44B1]',
	0x44B2 : 'Unassigned [0x44B2]',
	0x44B3 : 'Unassigned [0x44B3]',
	0x44B4 : 'Unassigned [0x44B4]',
	0x44B5 : 'Unassigned [0x44B5]',
	0x44B6 : 'Unassigned [0x44B6]',
	0x44B7 : 'Unassigned [0x44B7]',
	0x44B8 : 'Unassigned [0x44B8]',
	0x44B9 : 'Unassigned [0x44B9]',
	0x44BA : 'Unassigned [0x44BA]',
	0x44BB : 'Unassigned [0x44BB]',
	0x44BC : 'Unassigned [0x44BC]',
	0x44BD : 'Unassigned [0x44BD]',
	0x44BE : 'Unassigned [0x44BE]',
	0x44BF : 'Unassigned [0x44BF]',
	0x44C0 : 'Unassigned [0x44C0]',
	0x44C1 : 'Unassigned [0x44C1]',
	0x44C2 : 'Unassigned [0x44C2]',
	0x44C3 : 'Unassigned [0x44C3]',
	0x44C4 : 'Unassigned [0x44C4]',
	0x44C5 : 'Unassigned [0x44C5]',
	0x44C6 : 'Unassigned [0x44C6]',
	0x44C7 : 'Unassigned [0x44C7]',
	0x44C8 : 'Unassigned [0x44C8]',
	0x44C9 : 'Unassigned [0x44C9]',
	0x44CA : 'Unassigned [0x44CA]',
	0x44CB : 'Unassigned [0x44CB]',
	0x44CC : 'Unassigned [0x44CC]',
	0x44CD : 'Unassigned [0x44CD]',
	0x44CE : 'Unassigned [0x44CE]',
	0x44CF : 'Unassigned [0x44CF]',
	0x44D0 : 'Unassigned [0x44D0]',
	0x44D1 : 'Unassigned [0x44D1]',
	0x44D2 : 'Unassigned [0x44D2]',
	0x44D3 : 'Unassigned [0x44D3]',
	0x44D4 : 'Unassigned [0x44D4]',
	0x44D5 : 'Unassigned [0x44D5]',
	0x44D6 : 'Unassigned [0x44D6]',
	0x44D7 : 'Unassigned [0x44D7]',
	0x44D8 : 'Unassigned [0x44D8]',
	0x44D9 : 'Unassigned [0x44D9]',
	0x44DA : 'Unassigned [0x44DA]',
	0x44DB : 'Unassigned [0x44DB]',
	0x44DC : 'Unassigned [0x44DC]',
	0x44DD : 'Unassigned [0x44DD]',
	0x44DE : 'Unassigned [0x44DE]',
	0x44DF : 'Unassigned [0x44DF]',
	0x44E0 : 'Unassigned [0x44E0]',
	0x44E1 : 'Unassigned [0x44E1]',
	0x44E2 : 'Unassigned [0x44E2]',
	0x44E3 : 'Unassigned [0x44E3]',
	0x44E4 : 'Unassigned [0x44E4]',
	0x44E5 : 'Unassigned [0x44E5]',
	0x44E6 : 'Unassigned [0x44E6]',
	0x44E7 : 'Unassigned [0x44E7]',
	0x44E8 : 'Unassigned [0x44E8]',
	0x44E9 : 'Unassigned [0x44E9]',
	0x44EA : 'Unassigned [0x44EA]',
	0x44EB : 'Unassigned [0x44EB]',
	0x44EC : 'Unassigned [0x44EC]',
	0x44ED : 'Unassigned [0x44ED]',
	0x44EE : 'Unassigned [0x44EE]',
	0x44EF : 'Unassigned [0x44EF]',
	0x44F0 : 'Unassigned [0x44F0]',
	0x44F1 : 'Unassigned [0x44F1]',
	0x44F2 : 'Unassigned [0x44F2]',
	0x44F3 : 'Unassigned [0x44F3]',
	0x44F4 : 'Unassigned [0x44F4]',
	0x44F5 : 'Unassigned [0x44F5]',
	0x44F6 : 'Unassigned [0x44F6]',
	0x44F7 : 'Unassigned [0x44F7]',
	0x44F8 : 'Unassigned [0x44F8]',
	0x44F9 : 'Unassigned [0x44F9]',
	0x44FA : 'Unassigned [0x44FA]',
	0x44FB : 'Unassigned [0x44FB]',
	0x44FC : 'Unassigned [0x44FC]',
	0x44FD : 'Unassigned [0x44FD]',
	0x44FE : 'Unassigned [0x44FE]',
	0x44FF : 'Unassigned [0x44FF]',
	0x4500 : 'Unassigned [0x4500]',
	0x4501 : 'Unassigned [0x4501]',
	0x4502 : 'Unassigned [0x4502]',
	0x4503 : 'Unassigned [0x4503]',
	0x4504 : 'Unassigned [0x4504]',
	0x4505 : 'Unassigned [0x4505]',
	0x4506 : 'Unassigned [0x4506]',
	0x4507 : 'Unassigned [0x4507]',
	0x4508 : 'Unassigned [0x4508]',
	0x4509 : 'Unassigned [0x4509]',
	0x450A : 'Unassigned [0x450A]',
	0x450B : 'Unassigned [0x450B]',
	0x450C : 'Unassigned [0x450C]',
	0x450D : 'Unassigned [0x450D]',
	0x450E : 'Unassigned [0x450E]',
	0x450F : 'Unassigned [0x450F]',
	0x4510 : 'Unassigned [0x4510]',
	0x4511 : 'Unassigned [0x4511]',
	0x4512 : 'Unassigned [0x4512]',
	0x4513 : 'Unassigned [0x4513]',
	0x4514 : 'Unassigned [0x4514]',
	0x4515 : 'Unassigned [0x4515]',
	0x4516 : 'Unassigned [0x4516]',
	0x4517 : 'Unassigned [0x4517]',
	0x4518 : 'Unassigned [0x4518]',
	0x4519 : 'Unassigned [0x4519]',
	0x451A : 'Unassigned [0x451A]',
	0x451B : 'Unassigned [0x451B]',
	0x451C : 'Unassigned [0x451C]',
	0x451D : 'Unassigned [0x451D]',
	0x451E : 'Unassigned [0x451E]',
	0x451F : 'Unassigned [0x451F]',
	0x4520 : 'Unassigned [0x4520]',
	0x4521 : 'Unassigned [0x4521]',
	0x4522 : 'Unassigned [0x4522]',
	0x4523 : 'Unassigned [0x4523]',
	0x4524 : 'Unassigned [0x4524]',
	0x4525 : 'Unassigned [0x4525]',
	0x4526 : 'Unassigned [0x4526]',
	0x4527 : 'Unassigned [0x4527]',
	0x4528 : 'Unassigned [0x4528]',
	0x4529 : 'Unassigned [0x4529]',
	0x452A : 'Unassigned [0x452A]',
	0x452B : 'Unassigned [0x452B]',
	0x452C : 'Unassigned [0x452C]',
	0x452D : 'Unassigned [0x452D]',
	0x452E : 'Unassigned [0x452E]',
	0x452F : 'Unassigned [0x452F]',
	0x4530 : 'Unassigned [0x4530]',
	0x4531 : 'Unassigned [0x4531]',
	0x4532 : 'Unassigned [0x4532]',
	0x4533 : 'Unassigned [0x4533]',
	0x4534 : 'Unassigned [0x4534]',
	0x4535 : 'Unassigned [0x4535]',
	0x4536 : 'Unassigned [0x4536]',
	0x4537 : 'Unassigned [0x4537]',
	0x4538 : 'Unassigned [0x4538]',
	0x4539 : 'Unassigned [0x4539]',
	0x453A : 'Unassigned [0x453A]',
	0x453B : 'Unassigned [0x453B]',
	0x453C : 'Unassigned [0x453C]',
	0x453D : 'Unassigned [0x453D]',
	0x453E : 'Unassigned [0x453E]',
	0x453F : 'Unassigned [0x453F]',
	0x4540 : 'Unassigned [0x4540]',
	0x4541 : 'Unassigned [0x4541]',
	0x4542 : 'Unassigned [0x4542]',
	0x4543 : 'Unassigned [0x4543]',
	0x4544 : 'Unassigned [0x4544]',
	0x4545 : 'Unassigned [0x4545]',
	0x4546 : 'Unassigned [0x4546]',
	0x4547 : 'Unassigned [0x4547]',
	0x4548 : 'Unassigned [0x4548]',
	0x4549 : 'Unassigned [0x4549]',
	0x454A : 'Unassigned [0x454A]',
	0x454B : 'Unassigned [0x454B]',
	0x454C : 'Unassigned [0x454C]',
	0x454D : 'Unassigned [0x454D]',
	0x454E : 'Unassigned [0x454E]',
	0x454F : 'Unassigned [0x454F]',
	0x4550 : 'Unassigned [0x4550]',
	0x4551 : 'Unassigned [0x4551]',
	0x4552 : 'Unassigned [0x4552]',
	0x4553 : 'Unassigned [0x4553]',
	0x4554 : 'Unassigned [0x4554]',
	0x4555 : 'Unassigned [0x4555]',
	0x4556 : 'Unassigned [0x4556]',
	0x4557 : 'Unassigned [0x4557]',
	0x4558 : 'Unassigned [0x4558]',
	0x4559 : 'Unassigned [0x4559]',
	0x455A : 'Unassigned [0x455A]',
	0x455B : 'Unassigned [0x455B]',
	0x455C : 'Unassigned [0x455C]',
	0x455D : 'Unassigned [0x455D]',
	0x455E : 'Unassigned [0x455E]',
	0x455F : 'Unassigned [0x455F]',
	0x4560 : 'Unassigned [0x4560]',
	0x4561 : 'Unassigned [0x4561]',
	0x4562 : 'Unassigned [0x4562]',
	0x4563 : 'Unassigned [0x4563]',
	0x4564 : 'Unassigned [0x4564]',
	0x4565 : 'Unassigned [0x4565]',
	0x4566 : 'Unassigned [0x4566]',
	0x4567 : 'Unassigned [0x4567]',
	0x4568 : 'Unassigned [0x4568]',
	0x4569 : 'Unassigned [0x4569]',
	0x456A : 'Unassigned [0x456A]',
	0x456B : 'Unassigned [0x456B]',
	0x456C : 'Unassigned [0x456C]',
	0x456D : 'Unassigned [0x456D]',
	0x456E : 'Unassigned [0x456E]',
	0x456F : 'Unassigned [0x456F]',
	0x4570 : 'Unassigned [0x4570]',
	0x4571 : 'Unassigned [0x4571]',
	0x4572 : 'Unassigned [0x4572]',
	0x4573 : 'Unassigned [0x4573]',
	0x4574 : 'Unassigned [0x4574]',
	0x4575 : 'Unassigned [0x4575]',
	0x4576 : 'Unassigned [0x4576]',
	0x4577 : 'Unassigned [0x4577]',
	0x4578 : 'Unassigned [0x4578]',
	0x4579 : 'Unassigned [0x4579]',
	0x457A : 'Unassigned [0x457A]',
	0x457B : 'Unassigned [0x457B]',
	0x457C : 'Unassigned [0x457C]',
	0x457D : 'Unassigned [0x457D]',
	0x457E : 'Unassigned [0x457E]',
	0x457F : 'Unassigned [0x457F]',
	0x4580 : 'Unassigned [0x4580]',
	0x4581 : 'Unassigned [0x4581]',
	0x4582 : 'Unassigned [0x4582]',
	0x4583 : 'Unassigned [0x4583]',
	0x4584 : 'Unassigned [0x4584]',
	0x4585 : 'Unassigned [0x4585]',
	0x4586 : 'Unassigned [0x4586]',
	0x4587 : 'Unassigned [0x4587]',
	0x4588 : 'Unassigned [0x4588]',
	0x4589 : 'Unassigned [0x4589]',
	0x458A : 'Unassigned [0x458A]',
	0x458B : 'Unassigned [0x458B]',
	0x458C : 'Unassigned [0x458C]',
	0x458D : 'Unassigned [0x458D]',
	0x458E : 'Unassigned [0x458E]',
	0x458F : 'Unassigned [0x458F]',
	0x4590 : 'Unassigned [0x4590]',
	0x4591 : 'Unassigned [0x4591]',
	0x4592 : 'Unassigned [0x4592]',
	0x4593 : 'Unassigned [0x4593]',
	0x4594 : 'Unassigned [0x4594]',
	0x4595 : 'Unassigned [0x4595]',
	0x4596 : 'Unassigned [0x4596]',
	0x4597 : 'Unassigned [0x4597]',
	0x4598 : 'Unassigned [0x4598]',
	0x4599 : 'Unassigned [0x4599]',
	0x459A : 'Unassigned [0x459A]',
	0x459B : 'Unassigned [0x459B]',
	0x459C : 'Unassigned [0x459C]',
	0x459D : 'Unassigned [0x459D]',
	0x459E : 'Unassigned [0x459E]',
	0x459F : 'Unassigned [0x459F]',
	0x45A0 : 'Unassigned [0x45A0]',
	0x45A1 : 'Unassigned [0x45A1]',
	0x45A2 : 'Unassigned [0x45A2]',
	0x45A3 : 'Unassigned [0x45A3]',
	0x45A4 : 'Unassigned [0x45A4]',
	0x45A5 : 'Unassigned [0x45A5]',
	0x45A6 : 'Unassigned [0x45A6]',
	0x45A7 : 'Unassigned [0x45A7]',
	0x45A8 : 'Unassigned [0x45A8]',
	0x45A9 : 'Unassigned [0x45A9]',
	0x45AA : 'Unassigned [0x45AA]',
	0x45AB : 'Unassigned [0x45AB]',
	0x45AC : 'Unassigned [0x45AC]',
	0x45AD : 'Unassigned [0x45AD]',
	0x45AE : 'Unassigned [0x45AE]',
	0x45AF : 'Unassigned [0x45AF]',
	0x45B0 : 'Unassigned [0x45B0]',
	0x45B1 : 'Unassigned [0x45B1]',
	0x45B2 : 'Unassigned [0x45B2]',
	0x45B3 : 'Unassigned [0x45B3]',
	0x45B4 : 'Unassigned [0x45B4]',
	0x45B5 : 'Unassigned [0x45B5]',
	0x45B6 : 'Unassigned [0x45B6]',
	0x45B7 : 'Unassigned [0x45B7]',
	0x45B8 : 'Unassigned [0x45B8]',
	0x45B9 : 'Unassigned [0x45B9]',
	0x45BA : 'Unassigned [0x45BA]',
	0x45BB : 'Unassigned [0x45BB]',
	0x45BC : 'Unassigned [0x45BC]',
	0x45BD : 'Unassigned [0x45BD]',
	0x45BE : 'Unassigned [0x45BE]',
	0x45BF : 'Unassigned [0x45BF]',
	0x45C0 : 'Unassigned [0x45C0]',
	0x45C1 : 'Unassigned [0x45C1]',
	0x45C2 : 'Unassigned [0x45C2]',
	0x45C3 : 'Unassigned [0x45C3]',
	0x45C4 : 'Unassigned [0x45C4]',
	0x45C5 : 'Unassigned [0x45C5]',
	0x45C6 : 'Unassigned [0x45C6]',
	0x45C7 : 'Unassigned [0x45C7]',
	0x45C8 : 'Unassigned [0x45C8]',
	0x45C9 : 'Unassigned [0x45C9]',
	0x45CA : 'Unassigned [0x45CA]',
	0x45CB : 'Unassigned [0x45CB]',
	0x45CC : 'Unassigned [0x45CC]',
	0x45CD : 'Unassigned [0x45CD]',
	0x45CE : 'Unassigned [0x45CE]',
	0x45CF : 'Unassigned [0x45CF]',
	0x45D0 : 'Unassigned [0x45D0]',
	0x45D1 : 'Unassigned [0x45D1]',
	0x45D2 : 'Unassigned [0x45D2]',
	0x45D3 : 'Unassigned [0x45D3]',
	0x45D4 : 'Unassigned [0x45D4]',
	0x45D5 : 'Unassigned [0x45D5]',
	0x45D6 : 'Unassigned [0x45D6]',
	0x45D7 : 'Unassigned [0x45D7]',
	0x45D8 : 'Unassigned [0x45D8]',
	0x45D9 : 'Unassigned [0x45D9]',
	0x45DA : 'Unassigned [0x45DA]',
	0x45DB : 'Unassigned [0x45DB]',
	0x45DC : 'Unassigned [0x45DC]',
	0x45DD : 'Unassigned [0x45DD]',
	0x45DE : 'Unassigned [0x45DE]',
	0x45DF : 'Unassigned [0x45DF]',
	0x45E0 : 'Unassigned [0x45E0]',
	0x45E1 : 'Unassigned [0x45E1]',
	0x45E2 : 'Unassigned [0x45E2]',
	0x45E3 : 'Unassigned [0x45E3]',
	0x45E4 : 'Unassigned [0x45E4]',
	0x45E5 : 'Unassigned [0x45E5]',
	0x45E6 : 'Unassigned [0x45E6]',
	0x45E7 : 'Unassigned [0x45E7]',
	0x45E8 : 'Unassigned [0x45E8]',
	0x45E9 : 'Unassigned [0x45E9]',
	0x45EA : 'Unassigned [0x45EA]',
	0x45EB : 'Unassigned [0x45EB]',
	0x45EC : 'Unassigned [0x45EC]',
	0x45ED : 'Unassigned [0x45ED]',
	0x45EE : 'Unassigned [0x45EE]',
	0x45EF : 'Unassigned [0x45EF]',
	0x45F0 : 'Unassigned [0x45F0]',
	0x45F1 : 'Unassigned [0x45F1]',
	0x45F2 : 'Unassigned [0x45F2]',
	0x45F3 : 'Unassigned [0x45F3]',
	0x45F4 : 'Unassigned [0x45F4]',
	0x45F5 : 'Unassigned [0x45F5]',
	0x45F6 : 'Unassigned [0x45F6]',
	0x45F7 : 'Unassigned [0x45F7]',
	0x45F8 : 'Unassigned [0x45F8]',
	0x45F9 : 'Unassigned [0x45F9]',
	0x45FA : 'Unassigned [0x45FA]',
	0x45FB : 'Unassigned [0x45FB]',
	0x45FC : 'Unassigned [0x45FC]',
	0x45FD : 'Unassigned [0x45FD]',
	0x45FE : 'Unassigned [0x45FE]',
	0x45FF : 'Unassigned [0x45FF]',
	0x4600 : 'Unassigned [0x4600]',
	0x4601 : 'Unassigned [0x4601]',
	0x4602 : 'Unassigned [0x4602]',
	0x4603 : 'Unassigned [0x4603]',
	0x4604 : 'Unassigned [0x4604]',
	0x4605 : 'Unassigned [0x4605]',
	0x4606 : 'Unassigned [0x4606]',
	0x4607 : 'Unassigned [0x4607]',
	0x4608 : 'Unassigned [0x4608]',
	0x4609 : 'Unassigned [0x4609]',
	0x460A : 'Unassigned [0x460A]',
	0x460B : 'Unassigned [0x460B]',
	0x460C : 'Unassigned [0x460C]',
	0x460D : 'Unassigned [0x460D]',
	0x460E : 'Unassigned [0x460E]',
	0x460F : 'Unassigned [0x460F]',
	0x4610 : 'Unassigned [0x4610]',
	0x4611 : 'Unassigned [0x4611]',
	0x4612 : 'Unassigned [0x4612]',
	0x4613 : 'Unassigned [0x4613]',
	0x4614 : 'Unassigned [0x4614]',
	0x4615 : 'Unassigned [0x4615]',
	0x4616 : 'Unassigned [0x4616]',
	0x4617 : 'Unassigned [0x4617]',
	0x4618 : 'Unassigned [0x4618]',
	0x4619 : 'Unassigned [0x4619]',
	0x461A : 'Unassigned [0x461A]',
	0x461B : 'Unassigned [0x461B]',
	0x461C : 'Unassigned [0x461C]',
	0x461D : 'Unassigned [0x461D]',
	0x461E : 'Unassigned [0x461E]',
	0x461F : 'Unassigned [0x461F]',
	0x4620 : 'Unassigned [0x4620]',
	0x4621 : 'Unassigned [0x4621]',
	0x4622 : 'Unassigned [0x4622]',
	0x4623 : 'Unassigned [0x4623]',
	0x4624 : 'Unassigned [0x4624]',
	0x4625 : 'Unassigned [0x4625]',
	0x4626 : 'Unassigned [0x4626]',
	0x4627 : 'Unassigned [0x4627]',
	0x4628 : 'Unassigned [0x4628]',
	0x4629 : 'Unassigned [0x4629]',
	0x462A : 'Unassigned [0x462A]',
	0x462B : 'Unassigned [0x462B]',
	0x462C : 'Unassigned [0x462C]',
	0x462D : 'Unassigned [0x462D]',
	0x462E : 'Unassigned [0x462E]',
	0x462F : 'Unassigned [0x462F]',
	0x4630 : 'Unassigned [0x4630]',
	0x4631 : 'Unassigned [0x4631]',
	0x4632 : 'Unassigned [0x4632]',
	0x4633 : 'Unassigned [0x4633]',
	0x4634 : 'Unassigned [0x4634]',
	0x4635 : 'Unassigned [0x4635]',
	0x4636 : 'Unassigned [0x4636]',
	0x4637 : 'Unassigned [0x4637]',
	0x4638 : 'Unassigned [0x4638]',
	0x4639 : 'Unassigned [0x4639]',
	0x463A : 'Unassigned [0x463A]',
	0x463B : 'Unassigned [0x463B]',
	0x463C : 'Unassigned [0x463C]',
	0x463D : 'Unassigned [0x463D]',
	0x463E : 'Unassigned [0x463E]',
	0x463F : 'Unassigned [0x463F]',
	0x4640 : 'Unassigned [0x4640]',
	0x4641 : 'Unassigned [0x4641]',
	0x4642 : 'Unassigned [0x4642]',
	0x4643 : 'Unassigned [0x4643]',
	0x4644 : 'Unassigned [0x4644]',
	0x4645 : 'Unassigned [0x4645]',
	0x4646 : 'Unassigned [0x4646]',
	0x4647 : 'Unassigned [0x4647]',
	0x4648 : 'Unassigned [0x4648]',
	0x4649 : 'Unassigned [0x4649]',
	0x464A : 'Unassigned [0x464A]',
	0x464B : 'Unassigned [0x464B]',
	0x464C : 'Unassigned [0x464C]',
	0x464D : 'Unassigned [0x464D]',
	0x464E : 'Unassigned [0x464E]',
	0x464F : 'Unassigned [0x464F]',
	0x4650 : 'Unassigned [0x4650]',
	0x4651 : 'Unassigned [0x4651]',
	0x4652 : 'Unassigned [0x4652]',
	0x4653 : 'Unassigned [0x4653]',
	0x4654 : 'Unassigned [0x4654]',
	0x4655 : 'Unassigned [0x4655]',
	0x4656 : 'Unassigned [0x4656]',
	0x4657 : 'Unassigned [0x4657]',
	0x4658 : 'Unassigned [0x4658]',
	0x4659 : 'Unassigned [0x4659]',
	0x465A : 'Unassigned [0x465A]',
	0x465B : 'Unassigned [0x465B]',
	0x465C : 'Unassigned [0x465C]',
	0x465D : 'Unassigned [0x465D]',
	0x465E : 'Unassigned [0x465E]',
	0x465F : 'Unassigned [0x465F]',
	0x4660 : 'Unassigned [0x4660]',
	0x4661 : 'Unassigned [0x4661]',
	0x4662 : 'Unassigned [0x4662]',
	0x4663 : 'Unassigned [0x4663]',
	0x4664 : 'Unassigned [0x4664]',
	0x4665 : 'Unassigned [0x4665]',
	0x4666 : 'Unassigned [0x4666]',
	0x4667 : 'Unassigned [0x4667]',
	0x4668 : 'Unassigned [0x4668]',
	0x4669 : 'Unassigned [0x4669]',
	0x466A : 'Unassigned [0x466A]',
	0x466B : 'Unassigned [0x466B]',
	0x466C : 'Unassigned [0x466C]',
	0x466D : 'Unassigned [0x466D]',
	0x466E : 'Unassigned [0x466E]',
	0x466F : 'Unassigned [0x466F]',
	0x4670 : 'Unassigned [0x4670]',
	0x4671 : 'Unassigned [0x4671]',
	0x4672 : 'Unassigned [0x4672]',
	0x4673 : 'Unassigned [0x4673]',
	0x4674 : 'Unassigned [0x4674]',
	0x4675 : 'Unassigned [0x4675]',
	0x4676 : 'Unassigned [0x4676]',
	0x4677 : 'Unassigned [0x4677]',
	0x4678 : 'Unassigned [0x4678]',
	0x4679 : 'Unassigned [0x4679]',
	0x467A : 'Unassigned [0x467A]',
	0x467B : 'Unassigned [0x467B]',
	0x467C : 'Unassigned [0x467C]',
	0x467D : 'Unassigned [0x467D]',
	0x467E : 'Unassigned [0x467E]',
	0x467F : 'Unassigned [0x467F]',
	0x4680 : 'Unassigned [0x4680]',
	0x4681 : 'Unassigned [0x4681]',
	0x4682 : 'Unassigned [0x4682]',
	0x4683 : 'Unassigned [0x4683]',
	0x4684 : 'Unassigned [0x4684]',
	0x4685 : 'Unassigned [0x4685]',
	0x4686 : 'Unassigned [0x4686]',
	0x4687 : 'Unassigned [0x4687]',
	0x4688 : 'Unassigned [0x4688]',
	0x4689 : 'Unassigned [0x4689]',
	0x468A : 'Unassigned [0x468A]',
	0x468B : 'Unassigned [0x468B]',
	0x468C : 'Unassigned [0x468C]',
	0x468D : 'Unassigned [0x468D]',
	0x468E : 'Unassigned [0x468E]',
	0x468F : 'Unassigned [0x468F]',
	0x4690 : 'Unassigned [0x4690]',
	0x4691 : 'Unassigned [0x4691]',
	0x4692 : 'Unassigned [0x4692]',
	0x4693 : 'Unassigned [0x4693]',
	0x4694 : 'Unassigned [0x4694]',
	0x4695 : 'Unassigned [0x4695]',
	0x4696 : 'Unassigned [0x4696]',
	0x4697 : 'Unassigned [0x4697]',
	0x4698 : 'Unassigned [0x4698]',
	0x4699 : 'Unassigned [0x4699]',
	0x469A : 'Unassigned [0x469A]',
	0x469B : 'Unassigned [0x469B]',
	0x469C : 'Unassigned [0x469C]',
	0x469D : 'Unassigned [0x469D]',
	0x469E : 'Unassigned [0x469E]',
	0x469F : 'Unassigned [0x469F]',
	0x46A0 : 'Unassigned [0x46A0]',
	0x46A1 : 'Unassigned [0x46A1]',
	0x46A2 : 'Unassigned [0x46A2]',
	0x46A3 : 'Unassigned [0x46A3]',
	0x46A4 : 'Unassigned [0x46A4]',
	0x46A5 : 'Unassigned [0x46A5]',
	0x46A6 : 'Unassigned [0x46A6]',
	0x46A7 : 'Unassigned [0x46A7]',
	0x46A8 : 'Unassigned [0x46A8]',
	0x46A9 : 'Unassigned [0x46A9]',
	0x46AA : 'Unassigned [0x46AA]',
	0x46AB : 'Unassigned [0x46AB]',
	0x46AC : 'Unassigned [0x46AC]',
	0x46AD : 'Unassigned [0x46AD]',
	0x46AE : 'Unassigned [0x46AE]',
	0x46AF : 'Unassigned [0x46AF]',
	0x46B0 : 'Unassigned [0x46B0]',
	0x46B1 : 'Unassigned [0x46B1]',
	0x46B2 : 'Unassigned [0x46B2]',
	0x46B3 : 'Unassigned [0x46B3]',
	0x46B4 : 'Unassigned [0x46B4]',
	0x46B5 : 'Unassigned [0x46B5]',
	0x46B6 : 'Unassigned [0x46B6]',
	0x46B7 : 'Unassigned [0x46B7]',
	0x46B8 : 'Unassigned [0x46B8]',
	0x46B9 : 'Unassigned [0x46B9]',
	0x46BA : 'Unassigned [0x46BA]',
	0x46BB : 'Unassigned [0x46BB]',
	0x46BC : 'Unassigned [0x46BC]',
	0x46BD : 'Unassigned [0x46BD]',
	0x46BE : 'Unassigned [0x46BE]',
	0x46BF : 'Unassigned [0x46BF]',
	0x46C0 : 'Unassigned [0x46C0]',
	0x46C1 : 'Unassigned [0x46C1]',
	0x46C2 : 'Unassigned [0x46C2]',
	0x46C3 : 'Unassigned [0x46C3]',
	0x46C4 : 'Unassigned [0x46C4]',
	0x46C5 : 'Unassigned [0x46C5]',
	0x46C6 : 'Unassigned [0x46C6]',
	0x46C7 : 'Unassigned [0x46C7]',
	0x46C8 : 'Unassigned [0x46C8]',
	0x46C9 : 'Unassigned [0x46C9]',
	0x46CA : 'Unassigned [0x46CA]',
	0x46CB : 'Unassigned [0x46CB]',
	0x46CC : 'Unassigned [0x46CC]',
	0x46CD : 'Unassigned [0x46CD]',
	0x46CE : 'Unassigned [0x46CE]',
	0x46CF : 'Unassigned [0x46CF]',
	0x46D0 : 'Unassigned [0x46D0]',
	0x46D1 : 'Unassigned [0x46D1]',
	0x46D2 : 'Unassigned [0x46D2]',
	0x46D3 : 'Unassigned [0x46D3]',
	0x46D4 : 'Unassigned [0x46D4]',
	0x46D5 : 'Unassigned [0x46D5]',
	0x46D6 : 'Unassigned [0x46D6]',
	0x46D7 : 'Unassigned [0x46D7]',
	0x46D8 : 'Unassigned [0x46D8]',
	0x46D9 : 'Unassigned [0x46D9]',
	0x46DA : 'Unassigned [0x46DA]',
	0x46DB : 'Unassigned [0x46DB]',
	0x46DC : 'Unassigned [0x46DC]',
	0x46DD : 'Unassigned [0x46DD]',
	0x46DE : 'Unassigned [0x46DE]',
	0x46DF : 'Unassigned [0x46DF]',
	0x46E0 : 'Unassigned [0x46E0]',
	0x46E1 : 'Unassigned [0x46E1]',
	0x46E2 : 'Unassigned [0x46E2]',
	0x46E3 : 'Unassigned [0x46E3]',
	0x46E4 : 'Unassigned [0x46E4]',
	0x46E5 : 'Unassigned [0x46E5]',
	0x46E6 : 'Unassigned [0x46E6]',
	0x46E7 : 'Unassigned [0x46E7]',
	0x46E8 : 'Unassigned [0x46E8]',
	0x46E9 : 'Unassigned [0x46E9]',
	0x46EA : 'Unassigned [0x46EA]',
	0x46EB : 'Unassigned [0x46EB]',
	0x46EC : 'Unassigned [0x46EC]',
	0x46ED : 'Unassigned [0x46ED]',
	0x46EE : 'Unassigned [0x46EE]',
	0x46EF : 'Unassigned [0x46EF]',
	0x46F0 : 'Unassigned [0x46F0]',
	0x46F1 : 'Unassigned [0x46F1]',
	0x46F2 : 'Unassigned [0x46F2]',
	0x46F3 : 'Unassigned [0x46F3]',
	0x46F4 : 'Unassigned [0x46F4]',
	0x46F5 : 'Unassigned [0x46F5]',
	0x46F6 : 'Unassigned [0x46F6]',
	0x46F7 : 'Unassigned [0x46F7]',
	0x46F8 : 'Unassigned [0x46F8]',
	0x46F9 : 'Unassigned [0x46F9]',
	0x46FA : 'Unassigned [0x46FA]',
	0x46FB : 'Unassigned [0x46FB]',
	0x46FC : 'Unassigned [0x46FC]',
	0x46FD : 'Unassigned [0x46FD]',
	0x46FE : 'Unassigned [0x46FE]',
	0x46FF : 'Unassigned [0x46FF]',
	0x4700 : 'Unassigned [0x4700]',
	0x4701 : 'Unassigned [0x4701]',
	0x4702 : 'Unassigned [0x4702]',
	0x4703 : 'Unassigned [0x4703]',
	0x4704 : 'Unassigned [0x4704]',
	0x4705 : 'Unassigned [0x4705]',
	0x4706 : 'Unassigned [0x4706]',
	0x4707 : 'Unassigned [0x4707]',
	0x4708 : 'Unassigned [0x4708]',
	0x4709 : 'Unassigned [0x4709]',
	0x470A : 'Unassigned [0x470A]',
	0x470B : 'Unassigned [0x470B]',
	0x470C : 'Unassigned [0x470C]',
	0x470D : 'Unassigned [0x470D]',
	0x470E : 'Unassigned [0x470E]',
	0x470F : 'Unassigned [0x470F]',
	0x4710 : 'Unassigned [0x4710]',
	0x4711 : 'Unassigned [0x4711]',
	0x4712 : 'Unassigned [0x4712]',
	0x4713 : 'Unassigned [0x4713]',
	0x4714 : 'Unassigned [0x4714]',
	0x4715 : 'Unassigned [0x4715]',
	0x4716 : 'Unassigned [0x4716]',
	0x4717 : 'Unassigned [0x4717]',
	0x4718 : 'Unassigned [0x4718]',
	0x4719 : 'Unassigned [0x4719]',
	0x471A : 'Unassigned [0x471A]',
	0x471B : 'Unassigned [0x471B]',
	0x471C : 'Unassigned [0x471C]',
	0x471D : 'Unassigned [0x471D]',
	0x471E : 'Unassigned [0x471E]',
	0x471F : 'Unassigned [0x471F]',
	0x4720 : 'Unassigned [0x4720]',
	0x4721 : 'Unassigned [0x4721]',
	0x4722 : 'Unassigned [0x4722]',
	0x4723 : 'Unassigned [0x4723]',
	0x4724 : 'Unassigned [0x4724]',
	0x4725 : 'Unassigned [0x4725]',
	0x4726 : 'Unassigned [0x4726]',
	0x4727 : 'Unassigned [0x4727]',
	0x4728 : 'Unassigned [0x4728]',
	0x4729 : 'Unassigned [0x4729]',
	0x472A : 'Unassigned [0x472A]',
	0x472B : 'Unassigned [0x472B]',
	0x472C : 'Unassigned [0x472C]',
	0x472D : 'Unassigned [0x472D]',
	0x472E : 'Unassigned [0x472E]',
	0x472F : 'Unassigned [0x472F]',
	0x4730 : 'Unassigned [0x4730]',
	0x4731 : 'Unassigned [0x4731]',
	0x4732 : 'Unassigned [0x4732]',
	0x4733 : 'Unassigned [0x4733]',
	0x4734 : 'Unassigned [0x4734]',
	0x4735 : 'Unassigned [0x4735]',
	0x4736 : 'Unassigned [0x4736]',
	0x4737 : 'Unassigned [0x4737]',
	0x4738 : 'Unassigned [0x4738]',
	0x4739 : 'Unassigned [0x4739]',
	0x473A : 'Unassigned [0x473A]',
	0x473B : 'Unassigned [0x473B]',
	0x473C : 'Unassigned [0x473C]',
	0x473D : 'Unassigned [0x473D]',
	0x473E : 'Unassigned [0x473E]',
	0x473F : 'Unassigned [0x473F]',
	0x4740 : 'Unassigned [0x4740]',
	0x4741 : 'Unassigned [0x4741]',
	0x4742 : 'Unassigned [0x4742]',
	0x4743 : 'Unassigned [0x4743]',
	0x4744 : 'Unassigned [0x4744]',
	0x4745 : 'Unassigned [0x4745]',
	0x4746 : 'Unassigned [0x4746]',
	0x4747 : 'Unassigned [0x4747]',
	0x4748 : 'Unassigned [0x4748]',
	0x4749 : 'Unassigned [0x4749]',
	0x474A : 'Unassigned [0x474A]',
	0x474B : 'Unassigned [0x474B]',
	0x474C : 'Unassigned [0x474C]',
	0x474D : 'Unassigned [0x474D]',
	0x474E : 'Unassigned [0x474E]',
	0x474F : 'Unassigned [0x474F]',
	0x4750 : 'Unassigned [0x4750]',
	0x4751 : 'Unassigned [0x4751]',
	0x4752 : 'Unassigned [0x4752]',
	0x4753 : 'Unassigned [0x4753]',
	0x4754 : 'Unassigned [0x4754]',
	0x4755 : 'Unassigned [0x4755]',
	0x4756 : 'Unassigned [0x4756]',
	0x4757 : 'Unassigned [0x4757]',
	0x4758 : 'Unassigned [0x4758]',
	0x4759 : 'Unassigned [0x4759]',
	0x475A : 'Unassigned [0x475A]',
	0x475B : 'Unassigned [0x475B]',
	0x475C : 'Unassigned [0x475C]',
	0x475D : 'Unassigned [0x475D]',
	0x475E : 'Unassigned [0x475E]',
	0x475F : 'Unassigned [0x475F]',
	0x4760 : 'Unassigned [0x4760]',
	0x4761 : 'Unassigned [0x4761]',
	0x4762 : 'Unassigned [0x4762]',
	0x4763 : 'Unassigned [0x4763]',
	0x4764 : 'Unassigned [0x4764]',
	0x4765 : 'Unassigned [0x4765]',
	0x4766 : 'Unassigned [0x4766]',
	0x4767 : 'Unassigned [0x4767]',
	0x4768 : 'Unassigned [0x4768]',
	0x4769 : 'Unassigned [0x4769]',
	0x476A : 'Unassigned [0x476A]',
	0x476B : 'Unassigned [0x476B]',
	0x476C : 'Unassigned [0x476C]',
	0x476D : 'Unassigned [0x476D]',
	0x476E : 'Unassigned [0x476E]',
	0x476F : 'Unassigned [0x476F]',
	0x4770 : 'Unassigned [0x4770]',
	0x4771 : 'Unassigned [0x4771]',
	0x4772 : 'Unassigned [0x4772]',
	0x4773 : 'Unassigned [0x4773]',
	0x4774 : 'Unassigned [0x4774]',
	0x4775 : 'Unassigned [0x4775]',
	0x4776 : 'Unassigned [0x4776]',
	0x4777 : 'Unassigned [0x4777]',
	0x4778 : 'Unassigned [0x4778]',
	0x4779 : 'Unassigned [0x4779]',
	0x477A : 'Unassigned [0x477A]',
	0x477B : 'Unassigned [0x477B]',
	0x477C : 'Unassigned [0x477C]',
	0x477D : 'Unassigned [0x477D]',
	0x477E : 'Unassigned [0x477E]',
	0x477F : 'Unassigned [0x477F]',
	0x4780 : 'Unassigned [0x4780]',
	0x4781 : 'Unassigned [0x4781]',
	0x4782 : 'Unassigned [0x4782]',
	0x4783 : 'Unassigned [0x4783]',
	0x4784 : 'Unassigned [0x4784]',
	0x4785 : 'Unassigned [0x4785]',
	0x4786 : 'Unassigned [0x4786]',
	0x4787 : 'Unassigned [0x4787]',
	0x4788 : 'Unassigned [0x4788]',
	0x4789 : 'Unassigned [0x4789]',
	0x478A : 'Unassigned [0x478A]',
	0x478B : 'Unassigned [0x478B]',
	0x478C : 'Unassigned [0x478C]',
	0x478D : 'Unassigned [0x478D]',
	0x478E : 'Unassigned [0x478E]',
	0x478F : 'Unassigned [0x478F]',
	0x4790 : 'Unassigned [0x4790]',
	0x4791 : 'Unassigned [0x4791]',
	0x4792 : 'Unassigned [0x4792]',
	0x4793 : 'Unassigned [0x4793]',
	0x4794 : 'Unassigned [0x4794]',
	0x4795 : 'Unassigned [0x4795]',
	0x4796 : 'Unassigned [0x4796]',
	0x4797 : 'Unassigned [0x4797]',
	0x4798 : 'Unassigned [0x4798]',
	0x4799 : 'Unassigned [0x4799]',
	0x479A : 'Unassigned [0x479A]',
	0x479B : 'Unassigned [0x479B]',
	0x479C : 'Unassigned [0x479C]',
	0x479D : 'Unassigned [0x479D]',
	0x479E : 'Unassigned [0x479E]',
	0x479F : 'Unassigned [0x479F]',
	0x47A0 : 'Unassigned [0x47A0]',
	0x47A1 : 'Unassigned [0x47A1]',
	0x47A2 : 'Unassigned [0x47A2]',
	0x47A3 : 'Unassigned [0x47A3]',
	0x47A4 : 'Unassigned [0x47A4]',
	0x47A5 : 'Unassigned [0x47A5]',
	0x47A6 : 'Unassigned [0x47A6]',
	0x47A7 : 'Unassigned [0x47A7]',
	0x47A8 : 'Unassigned [0x47A8]',
	0x47A9 : 'Unassigned [0x47A9]',
	0x47AA : 'Unassigned [0x47AA]',
	0x47AB : 'Unassigned [0x47AB]',
	0x47AC : 'Unassigned [0x47AC]',
	0x47AD : 'Unassigned [0x47AD]',
	0x47AE : 'Unassigned [0x47AE]',
	0x47AF : 'Unassigned [0x47AF]',
	0x47B0 : 'Unassigned [0x47B0]',
	0x47B1 : 'Unassigned [0x47B1]',
	0x47B2 : 'Unassigned [0x47B2]',
	0x47B3 : 'Unassigned [0x47B3]',
	0x47B4 : 'Unassigned [0x47B4]',
	0x47B5 : 'Unassigned [0x47B5]',
	0x47B6 : 'Unassigned [0x47B6]',
	0x47B7 : 'Unassigned [0x47B7]',
	0x47B8 : 'Unassigned [0x47B8]',
	0x47B9 : 'Unassigned [0x47B9]',
	0x47BA : 'Unassigned [0x47BA]',
	0x47BB : 'Unassigned [0x47BB]',
	0x47BC : 'Unassigned [0x47BC]',
	0x47BD : 'Unassigned [0x47BD]',
	0x47BE : 'Unassigned [0x47BE]',
	0x47BF : 'Unassigned [0x47BF]',
	0x47C0 : 'Unassigned [0x47C0]',
	0x47C1 : 'Unassigned [0x47C1]',
	0x47C2 : 'Unassigned [0x47C2]',
	0x47C3 : 'Unassigned [0x47C3]',
	0x47C4 : 'Unassigned [0x47C4]',
	0x47C5 : 'Unassigned [0x47C5]',
	0x47C6 : 'Unassigned [0x47C6]',
	0x47C7 : 'Unassigned [0x47C7]',
	0x47C8 : 'Unassigned [0x47C8]',
	0x47C9 : 'Unassigned [0x47C9]',
	0x47CA : 'Unassigned [0x47CA]',
	0x47CB : 'Unassigned [0x47CB]',
	0x47CC : 'Unassigned [0x47CC]',
	0x47CD : 'Unassigned [0x47CD]',
	0x47CE : 'Unassigned [0x47CE]',
	0x47CF : 'Unassigned [0x47CF]',
	0x47D0 : 'Unassigned [0x47D0]',
	0x47D1 : 'Unassigned [0x47D1]',
	0x47D2 : 'Unassigned [0x47D2]',
	0x47D3 : 'Unassigned [0x47D3]',
	0x47D4 : 'Unassigned [0x47D4]',
	0x47D5 : 'Unassigned [0x47D5]',
	0x47D6 : 'Unassigned [0x47D6]',
	0x47D7 : 'Unassigned [0x47D7]',
	0x47D8 : 'Unassigned [0x47D8]',
	0x47D9 : 'Unassigned [0x47D9]',
	0x47DA : 'Unassigned [0x47DA]',
	0x47DB : 'Unassigned [0x47DB]',
	0x47DC : 'Unassigned [0x47DC]',
	0x47DD : 'Unassigned [0x47DD]',
	0x47DE : 'Unassigned [0x47DE]',
	0x47DF : 'Unassigned [0x47DF]',
	0x47E0 : 'Unassigned [0x47E0]',
	0x47E1 : 'Unassigned [0x47E1]',
	0x47E2 : 'Unassigned [0x47E2]',
	0x47E3 : 'Unassigned [0x47E3]',
	0x47E4 : 'Unassigned [0x47E4]',
	0x47E5 : 'Unassigned [0x47E5]',
	0x47E6 : 'Unassigned [0x47E6]',
	0x47E7 : 'Unassigned [0x47E7]',
	0x47E8 : 'Unassigned [0x47E8]',
	0x47E9 : 'Unassigned [0x47E9]',
	0x47EA : 'Unassigned [0x47EA]',
	0x47EB : 'Unassigned [0x47EB]',
	0x47EC : 'Unassigned [0x47EC]',
	0x47ED : 'Unassigned [0x47ED]',
	0x47EE : 'Unassigned [0x47EE]',
	0x47EF : 'Unassigned [0x47EF]',
	0x47F0 : 'Unassigned [0x47F0]',
	0x47F1 : 'Unassigned [0x47F1]',
	0x47F2 : 'Unassigned [0x47F2]',
	0x47F3 : 'Unassigned [0x47F3]',
	0x47F4 : 'Unassigned [0x47F4]',
	0x47F5 : 'Unassigned [0x47F5]',
	0x47F6 : 'Unassigned [0x47F6]',
	0x47F7 : 'Unassigned [0x47F7]',
	0x47F8 : 'Unassigned [0x47F8]',
	0x47F9 : 'Unassigned [0x47F9]',
	0x47FA : 'Unassigned [0x47FA]',
	0x47FB : 'Unassigned [0x47FB]',
	0x47FC : 'Unassigned [0x47FC]',
	0x47FD : 'Unassigned [0x47FD]',
	0x47FE : 'Unassigned [0x47FE]',
	0x47FF : 'Unassigned [0x47FF]',
	0x4800 : 'Unassigned [0x4800]',
	0x4801 : 'Unassigned [0x4801]',
	0x4802 : 'Unassigned [0x4802]',
	0x4803 : 'Unassigned [0x4803]',
	0x4804 : 'Unassigned [0x4804]',
	0x4805 : 'Unassigned [0x4805]',
	0x4806 : 'Unassigned [0x4806]',
	0x4807 : 'Unassigned [0x4807]',
	0x4808 : 'Unassigned [0x4808]',
	0x4809 : 'Unassigned [0x4809]',
	0x480A : 'Unassigned [0x480A]',
	0x480B : 'Unassigned [0x480B]',
	0x480C : 'Unassigned [0x480C]',
	0x480D : 'Unassigned [0x480D]',
	0x480E : 'Unassigned [0x480E]',
	0x480F : 'Unassigned [0x480F]',
	0x4810 : 'Unassigned [0x4810]',
	0x4811 : 'Unassigned [0x4811]',
	0x4812 : 'Unassigned [0x4812]',
	0x4813 : 'Unassigned [0x4813]',
	0x4814 : 'Unassigned [0x4814]',
	0x4815 : 'Unassigned [0x4815]',
	0x4816 : 'Unassigned [0x4816]',
	0x4817 : 'Unassigned [0x4817]',
	0x4818 : 'Unassigned [0x4818]',
	0x4819 : 'Unassigned [0x4819]',
	0x481A : 'Unassigned [0x481A]',
	0x481B : 'Unassigned [0x481B]',
	0x481C : 'Unassigned [0x481C]',
	0x481D : 'Unassigned [0x481D]',
	0x481E : 'Unassigned [0x481E]',
	0x481F : 'Unassigned [0x481F]',
	0x4820 : 'Unassigned [0x4820]',
	0x4821 : 'Unassigned [0x4821]',
	0x4822 : 'Unassigned [0x4822]',
	0x4823 : 'Unassigned [0x4823]',
	0x4824 : 'Unassigned [0x4824]',
	0x4825 : 'Unassigned [0x4825]',
	0x4826 : 'Unassigned [0x4826]',
	0x4827 : 'Unassigned [0x4827]',
	0x4828 : 'Unassigned [0x4828]',
	0x4829 : 'Unassigned [0x4829]',
	0x482A : 'Unassigned [0x482A]',
	0x482B : 'Unassigned [0x482B]',
	0x482C : 'Unassigned [0x482C]',
	0x482D : 'Unassigned [0x482D]',
	0x482E : 'Unassigned [0x482E]',
	0x482F : 'Unassigned [0x482F]',
	0x4830 : 'Unassigned [0x4830]',
	0x4831 : 'Unassigned [0x4831]',
	0x4832 : 'Unassigned [0x4832]',
	0x4833 : 'Unassigned [0x4833]',
	0x4834 : 'Unassigned [0x4834]',
	0x4835 : 'Unassigned [0x4835]',
	0x4836 : 'Unassigned [0x4836]',
	0x4837 : 'Unassigned [0x4837]',
	0x4838 : 'Unassigned [0x4838]',
	0x4839 : 'Unassigned [0x4839]',
	0x483A : 'Unassigned [0x483A]',
	0x483B : 'Unassigned [0x483B]',
	0x483C : 'Unassigned [0x483C]',
	0x483D : 'Unassigned [0x483D]',
	0x483E : 'Unassigned [0x483E]',
	0x483F : 'Unassigned [0x483F]',
	0x4840 : 'Unassigned [0x4840]',
	0x4841 : 'Unassigned [0x4841]',
	0x4842 : 'Unassigned [0x4842]',
	0x4843 : 'Unassigned [0x4843]',
	0x4844 : 'Unassigned [0x4844]',
	0x4845 : 'Unassigned [0x4845]',
	0x4846 : 'Unassigned [0x4846]',
	0x4847 : 'Unassigned [0x4847]',
	0x4848 : 'Unassigned [0x4848]',
	0x4849 : 'Unassigned [0x4849]',
	0x484A : 'Unassigned [0x484A]',
	0x484B : 'Unassigned [0x484B]',
	0x484C : 'Unassigned [0x484C]',
	0x484D : 'Unassigned [0x484D]',
	0x484E : 'Unassigned [0x484E]',
	0x484F : 'Unassigned [0x484F]',
	0x4850 : 'Unassigned [0x4850]',
	0x4851 : 'Unassigned [0x4851]',
	0x4852 : 'Unassigned [0x4852]',
	0x4853 : 'Unassigned [0x4853]',
	0x4854 : 'Unassigned [0x4854]',
	0x4855 : 'Unassigned [0x4855]',
	0x4856 : 'Unassigned [0x4856]',
	0x4857 : 'Unassigned [0x4857]',
	0x4858 : 'Unassigned [0x4858]',
	0x4859 : 'Unassigned [0x4859]',
	0x485A : 'Unassigned [0x485A]',
	0x485B : 'Unassigned [0x485B]',
	0x485C : 'Unassigned [0x485C]',
	0x485D : 'Unassigned [0x485D]',
	0x485E : 'Unassigned [0x485E]',
	0x485F : 'Unassigned [0x485F]',
	0x4860 : 'Unassigned [0x4860]',
	0x4861 : 'Unassigned [0x4861]',
	0x4862 : 'Unassigned [0x4862]',
	0x4863 : 'Unassigned [0x4863]',
	0x4864 : 'Unassigned [0x4864]',
	0x4865 : 'Unassigned [0x4865]',
	0x4866 : 'Unassigned [0x4866]',
	0x4867 : 'Unassigned [0x4867]',
	0x4868 : 'Unassigned [0x4868]',
	0x4869 : 'Unassigned [0x4869]',
	0x486A : 'Unassigned [0x486A]',
	0x486B : 'Unassigned [0x486B]',
	0x486C : 'Unassigned [0x486C]',
	0x486D : 'Unassigned [0x486D]',
	0x486E : 'Unassigned [0x486E]',
	0x486F : 'Unassigned [0x486F]',
	0x4870 : 'Unassigned [0x4870]',
	0x4871 : 'Unassigned [0x4871]',
	0x4872 : 'Unassigned [0x4872]',
	0x4873 : 'Unassigned [0x4873]',
	0x4874 : 'Unassigned [0x4874]',
	0x4875 : 'Unassigned [0x4875]',
	0x4876 : 'Unassigned [0x4876]',
	0x4877 : 'Unassigned [0x4877]',
	0x4878 : 'Unassigned [0x4878]',
	0x4879 : 'Unassigned [0x4879]',
	0x487A : 'Unassigned [0x487A]',
	0x487B : 'Unassigned [0x487B]',
	0x487C : 'Unassigned [0x487C]',
	0x487D : 'Unassigned [0x487D]',
	0x487E : 'Unassigned [0x487E]',
	0x487F : 'Unassigned [0x487F]',
	0x4880 : 'Unassigned [0x4880]',
	0x4881 : 'Unassigned [0x4881]',
	0x4882 : 'Unassigned [0x4882]',
	0x4883 : 'Unassigned [0x4883]',
	0x4884 : 'Unassigned [0x4884]',
	0x4885 : 'Unassigned [0x4885]',
	0x4886 : 'Unassigned [0x4886]',
	0x4887 : 'Unassigned [0x4887]',
	0x4888 : 'Unassigned [0x4888]',
	0x4889 : 'Unassigned [0x4889]',
	0x488A : 'Unassigned [0x488A]',
	0x488B : 'Unassigned [0x488B]',
	0x488C : 'Unassigned [0x488C]',
	0x488D : 'Unassigned [0x488D]',
	0x488E : 'Unassigned [0x488E]',
	0x488F : 'Unassigned [0x488F]',
	0x4890 : 'Unassigned [0x4890]',
	0x4891 : 'Unassigned [0x4891]',
	0x4892 : 'Unassigned [0x4892]',
	0x4893 : 'Unassigned [0x4893]',
	0x4894 : 'Unassigned [0x4894]',
	0x4895 : 'Unassigned [0x4895]',
	0x4896 : 'Unassigned [0x4896]',
	0x4897 : 'Unassigned [0x4897]',
	0x4898 : 'Unassigned [0x4898]',
	0x4899 : 'Unassigned [0x4899]',
	0x489A : 'Unassigned [0x489A]',
	0x489B : 'Unassigned [0x489B]',
	0x489C : 'Unassigned [0x489C]',
	0x489D : 'Unassigned [0x489D]',
	0x489E : 'Unassigned [0x489E]',
	0x489F : 'Unassigned [0x489F]',
	0x48A0 : 'Unassigned [0x48A0]',
	0x48A1 : 'Unassigned [0x48A1]',
	0x48A2 : 'Unassigned [0x48A2]',
	0x48A3 : 'Unassigned [0x48A3]',
	0x48A4 : 'Unassigned [0x48A4]',
	0x48A5 : 'Unassigned [0x48A5]',
	0x48A6 : 'Unassigned [0x48A6]',
	0x48A7 : 'Unassigned [0x48A7]',
	0x48A8 : 'Unassigned [0x48A8]',
	0x48A9 : 'Unassigned [0x48A9]',
	0x48AA : 'Unassigned [0x48AA]',
	0x48AB : 'Unassigned [0x48AB]',
	0x48AC : 'Unassigned [0x48AC]',
	0x48AD : 'Unassigned [0x48AD]',
	0x48AE : 'Unassigned [0x48AE]',
	0x48AF : 'Unassigned [0x48AF]',
	0x48B0 : 'Unassigned [0x48B0]',
	0x48B1 : 'Unassigned [0x48B1]',
	0x48B2 : 'Unassigned [0x48B2]',
	0x48B3 : 'Unassigned [0x48B3]',
	0x48B4 : 'Unassigned [0x48B4]',
	0x48B5 : 'Unassigned [0x48B5]',
	0x48B6 : 'Unassigned [0x48B6]',
	0x48B7 : 'Unassigned [0x48B7]',
	0x48B8 : 'Unassigned [0x48B8]',
	0x48B9 : 'Unassigned [0x48B9]',
	0x48BA : 'Unassigned [0x48BA]',
	0x48BB : 'Unassigned [0x48BB]',
	0x48BC : 'Unassigned [0x48BC]',
	0x48BD : 'Unassigned [0x48BD]',
	0x48BE : 'Unassigned [0x48BE]',
	0x48BF : 'Unassigned [0x48BF]',
	0x48C0 : 'Unassigned [0x48C0]',
	0x48C1 : 'Unassigned [0x48C1]',
	0x48C2 : 'Unassigned [0x48C2]',
	0x48C3 : 'Unassigned [0x48C3]',
	0x48C4 : 'Unassigned [0x48C4]',
	0x48C5 : 'Unassigned [0x48C5]',
	0x48C6 : 'Unassigned [0x48C6]',
	0x48C7 : 'Unassigned [0x48C7]',
	0x48C8 : 'Unassigned [0x48C8]',
	0x48C9 : 'Unassigned [0x48C9]',
	0x48CA : 'Unassigned [0x48CA]',
	0x48CB : 'Unassigned [0x48CB]',
	0x48CC : 'Unassigned [0x48CC]',
	0x48CD : 'Unassigned [0x48CD]',
	0x48CE : 'Unassigned [0x48CE]',
	0x48CF : 'Unassigned [0x48CF]',
	0x48D0 : 'Unassigned [0x48D0]',
	0x48D1 : 'Unassigned [0x48D1]',
	0x48D2 : 'Unassigned [0x48D2]',
	0x48D3 : 'Unassigned [0x48D3]',
	0x48D4 : 'Unassigned [0x48D4]',
	0x48D5 : 'Unassigned [0x48D5]',
	0x48D6 : 'Unassigned [0x48D6]',
	0x48D7 : 'Unassigned [0x48D7]',
	0x48D8 : 'Unassigned [0x48D8]',
	0x48D9 : 'Unassigned [0x48D9]',
	0x48DA : 'Unassigned [0x48DA]',
	0x48DB : 'Unassigned [0x48DB]',
	0x48DC : 'Unassigned [0x48DC]',
	0x48DD : 'Unassigned [0x48DD]',
	0x48DE : 'Unassigned [0x48DE]',
	0x48DF : 'Unassigned [0x48DF]',
	0x48E0 : 'Unassigned [0x48E0]',
	0x48E1 : 'Unassigned [0x48E1]',
	0x48E2 : 'Unassigned [0x48E2]',
	0x48E3 : 'Unassigned [0x48E3]',
	0x48E4 : 'Unassigned [0x48E4]',
	0x48E5 : 'Unassigned [0x48E5]',
	0x48E6 : 'Unassigned [0x48E6]',
	0x48E7 : 'Unassigned [0x48E7]',
	0x48E8 : 'Unassigned [0x48E8]',
	0x48E9 : 'Unassigned [0x48E9]',
	0x48EA : 'Unassigned [0x48EA]',
	0x48EB : 'Unassigned [0x48EB]',
	0x48EC : 'Unassigned [0x48EC]',
	0x48ED : 'Unassigned [0x48ED]',
	0x48EE : 'Unassigned [0x48EE]',
	0x48EF : 'Unassigned [0x48EF]',
	0x48F0 : 'Unassigned [0x48F0]',
	0x48F1 : 'Unassigned [0x48F1]',
	0x48F2 : 'Unassigned [0x48F2]',
	0x48F3 : 'Unassigned [0x48F3]',
	0x48F4 : 'Unassigned [0x48F4]',
	0x48F5 : 'Unassigned [0x48F5]',
	0x48F6 : 'Unassigned [0x48F6]',
	0x48F7 : 'Unassigned [0x48F7]',
	0x48F8 : 'Unassigned [0x48F8]',
	0x48F9 : 'Unassigned [0x48F9]',
	0x48FA : 'Unassigned [0x48FA]',
	0x48FB : 'Unassigned [0x48FB]',
	0x48FC : 'Unassigned [0x48FC]',
	0x48FD : 'Unassigned [0x48FD]',
	0x48FE : 'Unassigned [0x48FE]',
	0x48FF : 'Unassigned [0x48FF]',
	0x4900 : 'Unassigned [0x4900]',
	0x4901 : 'Unassigned [0x4901]',
	0x4902 : 'Unassigned [0x4902]',
	0x4903 : 'Unassigned [0x4903]',
	0x4904 : 'Unassigned [0x4904]',
	0x4905 : 'Unassigned [0x4905]',
	0x4906 : 'Unassigned [0x4906]',
	0x4907 : 'Unassigned [0x4907]',
	0x4908 : 'Unassigned [0x4908]',
	0x4909 : 'Unassigned [0x4909]',
	0x490A : 'Unassigned [0x490A]',
	0x490B : 'Unassigned [0x490B]',
	0x490C : 'Unassigned [0x490C]',
	0x490D : 'Unassigned [0x490D]',
	0x490E : 'Unassigned [0x490E]',
	0x490F : 'Unassigned [0x490F]',
	0x4910 : 'Unassigned [0x4910]',
	0x4911 : 'Unassigned [0x4911]',
	0x4912 : 'Unassigned [0x4912]',
	0x4913 : 'Unassigned [0x4913]',
	0x4914 : 'Unassigned [0x4914]',
	0x4915 : 'Unassigned [0x4915]',
	0x4916 : 'Unassigned [0x4916]',
	0x4917 : 'Unassigned [0x4917]',
	0x4918 : 'Unassigned [0x4918]',
	0x4919 : 'Unassigned [0x4919]',
	0x491A : 'Unassigned [0x491A]',
	0x491B : 'Unassigned [0x491B]',
	0x491C : 'Unassigned [0x491C]',
	0x491D : 'Unassigned [0x491D]',
	0x491E : 'Unassigned [0x491E]',
	0x491F : 'Unassigned [0x491F]',
	0x4920 : 'Unassigned [0x4920]',
	0x4921 : 'Unassigned [0x4921]',
	0x4922 : 'Unassigned [0x4922]',
	0x4923 : 'Unassigned [0x4923]',
	0x4924 : 'Unassigned [0x4924]',
	0x4925 : 'Unassigned [0x4925]',
	0x4926 : 'Unassigned [0x4926]',
	0x4927 : 'Unassigned [0x4927]',
	0x4928 : 'Unassigned [0x4928]',
	0x4929 : 'Unassigned [0x4929]',
	0x492A : 'Unassigned [0x492A]',
	0x492B : 'Unassigned [0x492B]',
	0x492C : 'Unassigned [0x492C]',
	0x492D : 'Unassigned [0x492D]',
	0x492E : 'Unassigned [0x492E]',
	0x492F : 'Unassigned [0x492F]',
	0x4930 : 'Unassigned [0x4930]',
	0x4931 : 'Unassigned [0x4931]',
	0x4932 : 'Unassigned [0x4932]',
	0x4933 : 'Unassigned [0x4933]',
	0x4934 : 'Unassigned [0x4934]',
	0x4935 : 'Unassigned [0x4935]',
	0x4936 : 'Unassigned [0x4936]',
	0x4937 : 'Unassigned [0x4937]',
	0x4938 : 'Unassigned [0x4938]',
	0x4939 : 'Unassigned [0x4939]',
	0x493A : 'Unassigned [0x493A]',
	0x493B : 'Unassigned [0x493B]',
	0x493C : 'Unassigned [0x493C]',
	0x493D : 'Unassigned [0x493D]',
	0x493E : 'Unassigned [0x493E]',
	0x493F : 'Unassigned [0x493F]',
	0x4940 : 'Unassigned [0x4940]',
	0x4941 : 'Unassigned [0x4941]',
	0x4942 : 'Unassigned [0x4942]',
	0x4943 : 'Unassigned [0x4943]',
	0x4944 : 'Unassigned [0x4944]',
	0x4945 : 'Unassigned [0x4945]',
	0x4946 : 'Unassigned [0x4946]',
	0x4947 : 'Unassigned [0x4947]',
	0x4948 : 'Unassigned [0x4948]',
	0x4949 : 'Unassigned [0x4949]',
	0x494A : 'Unassigned [0x494A]',
	0x494B : 'Unassigned [0x494B]',
	0x494C : 'Unassigned [0x494C]',
	0x494D : 'Unassigned [0x494D]',
	0x494E : 'Unassigned [0x494E]',
	0x494F : 'Unassigned [0x494F]',
	0x4950 : 'Unassigned [0x4950]',
	0x4951 : 'Unassigned [0x4951]',
	0x4952 : 'Unassigned [0x4952]',
	0x4953 : 'Unassigned [0x4953]',
	0x4954 : 'Unassigned [0x4954]',
	0x4955 : 'Unassigned [0x4955]',
	0x4956 : 'Unassigned [0x4956]',
	0x4957 : 'Unassigned [0x4957]',
	0x4958 : 'Unassigned [0x4958]',
	0x4959 : 'Unassigned [0x4959]',
	0x495A : 'Unassigned [0x495A]',
	0x495B : 'Unassigned [0x495B]',
	0x495C : 'Unassigned [0x495C]',
	0x495D : 'Unassigned [0x495D]',
	0x495E : 'Unassigned [0x495E]',
	0x495F : 'Unassigned [0x495F]',
	0x4960 : 'Unassigned [0x4960]',
	0x4961 : 'Unassigned [0x4961]',
	0x4962 : 'Unassigned [0x4962]',
	0x4963 : 'Unassigned [0x4963]',
	0x4964 : 'Unassigned [0x4964]',
	0x4965 : 'Unassigned [0x4965]',
	0x4966 : 'Unassigned [0x4966]',
	0x4967 : 'Unassigned [0x4967]',
	0x4968 : 'Unassigned [0x4968]',
	0x4969 : 'Unassigned [0x4969]',
	0x496A : 'Unassigned [0x496A]',
	0x496B : 'Unassigned [0x496B]',
	0x496C : 'Unassigned [0x496C]',
	0x496D : 'Unassigned [0x496D]',
	0x496E : 'Unassigned [0x496E]',
	0x496F : 'Unassigned [0x496F]',
	0x4970 : 'Unassigned [0x4970]',
	0x4971 : 'Unassigned [0x4971]',
	0x4972 : 'Unassigned [0x4972]',
	0x4973 : 'Unassigned [0x4973]',
	0x4974 : 'Unassigned [0x4974]',
	0x4975 : 'Unassigned [0x4975]',
	0x4976 : 'Unassigned [0x4976]',
	0x4977 : 'Unassigned [0x4977]',
	0x4978 : 'Unassigned [0x4978]',
	0x4979 : 'Unassigned [0x4979]',
	0x497A : 'Unassigned [0x497A]',
	0x497B : 'Unassigned [0x497B]',
	0x497C : 'Unassigned [0x497C]',
	0x497D : 'Unassigned [0x497D]',
	0x497E : 'Unassigned [0x497E]',
	0x497F : 'Unassigned [0x497F]',
	0x4980 : 'Unassigned [0x4980]',
	0x4981 : 'Unassigned [0x4981]',
	0x4982 : 'Unassigned [0x4982]',
	0x4983 : 'Unassigned [0x4983]',
	0x4984 : 'Unassigned [0x4984]',
	0x4985 : 'Unassigned [0x4985]',
	0x4986 : 'Unassigned [0x4986]',
	0x4987 : 'Unassigned [0x4987]',
	0x4988 : 'Unassigned [0x4988]',
	0x4989 : 'Unassigned [0x4989]',
	0x498A : 'Unassigned [0x498A]',
	0x498B : 'Unassigned [0x498B]',
	0x498C : 'Unassigned [0x498C]',
	0x498D : 'Unassigned [0x498D]',
	0x498E : 'Unassigned [0x498E]',
	0x498F : 'Unassigned [0x498F]',
	0x4990 : 'Unassigned [0x4990]',
	0x4991 : 'Unassigned [0x4991]',
	0x4992 : 'Unassigned [0x4992]',
	0x4993 : 'Unassigned [0x4993]',
	0x4994 : 'Unassigned [0x4994]',
	0x4995 : 'Unassigned [0x4995]',
	0x4996 : 'Unassigned [0x4996]',
	0x4997 : 'Unassigned [0x4997]',
	0x4998 : 'Unassigned [0x4998]',
	0x4999 : 'Unassigned [0x4999]',
	0x499A : 'Unassigned [0x499A]',
	0x499B : 'Unassigned [0x499B]',
	0x499C : 'Unassigned [0x499C]',
	0x499D : 'Unassigned [0x499D]',
	0x499E : 'Unassigned [0x499E]',
	0x499F : 'Unassigned [0x499F]',
	0x49A0 : 'Unassigned [0x49A0]',
	0x49A1 : 'Unassigned [0x49A1]',
	0x49A2 : 'Unassigned [0x49A2]',
	0x49A3 : 'Unassigned [0x49A3]',
	0x49A4 : 'Unassigned [0x49A4]',
	0x49A5 : 'Unassigned [0x49A5]',
	0x49A6 : 'Unassigned [0x49A6]',
	0x49A7 : 'Unassigned [0x49A7]',
	0x49A8 : 'Unassigned [0x49A8]',
	0x49A9 : 'Unassigned [0x49A9]',
	0x49AA : 'Unassigned [0x49AA]',
	0x49AB : 'Unassigned [0x49AB]',
	0x49AC : 'Unassigned [0x49AC]',
	0x49AD : 'Unassigned [0x49AD]',
	0x49AE : 'Unassigned [0x49AE]',
	0x49AF : 'Unassigned [0x49AF]',
	0x49B0 : 'Unassigned [0x49B0]',
	0x49B1 : 'Unassigned [0x49B1]',
	0x49B2 : 'Unassigned [0x49B2]',
	0x49B3 : 'Unassigned [0x49B3]',
	0x49B4 : 'Unassigned [0x49B4]',
	0x49B5 : 'Unassigned [0x49B5]',
	0x49B6 : 'Unassigned [0x49B6]',
	0x49B7 : 'Unassigned [0x49B7]',
	0x49B8 : 'Unassigned [0x49B8]',
	0x49B9 : 'Unassigned [0x49B9]',
	0x49BA : 'Unassigned [0x49BA]',
	0x49BB : 'Unassigned [0x49BB]',
	0x49BC : 'Unassigned [0x49BC]',
	0x49BD : 'Unassigned [0x49BD]',
	0x49BE : 'Unassigned [0x49BE]',
	0x49BF : 'Unassigned [0x49BF]',
	0x49C0 : 'Unassigned [0x49C0]',
	0x49C1 : 'Unassigned [0x49C1]',
	0x49C2 : 'Unassigned [0x49C2]',
	0x49C3 : 'Unassigned [0x49C3]',
	0x49C4 : 'Unassigned [0x49C4]',
	0x49C5 : 'Unassigned [0x49C5]',
	0x49C6 : 'Unassigned [0x49C6]',
	0x49C7 : 'Unassigned [0x49C7]',
	0x49C8 : 'Unassigned [0x49C8]',
	0x49C9 : 'Unassigned [0x49C9]',
	0x49CA : 'Unassigned [0x49CA]',
	0x49CB : 'Unassigned [0x49CB]',
	0x49CC : 'Unassigned [0x49CC]',
	0x49CD : 'Unassigned [0x49CD]',
	0x49CE : 'Unassigned [0x49CE]',
	0x49CF : 'Unassigned [0x49CF]',
	0x49D0 : 'Unassigned [0x49D0]',
	0x49D1 : 'Unassigned [0x49D1]',
	0x49D2 : 'Unassigned [0x49D2]',
	0x49D3 : 'Unassigned [0x49D3]',
	0x49D4 : 'Unassigned [0x49D4]',
	0x49D5 : 'Unassigned [0x49D5]',
	0x49D6 : 'Unassigned [0x49D6]',
	0x49D7 : 'Unassigned [0x49D7]',
	0x49D8 : 'Unassigned [0x49D8]',
	0x49D9 : 'Unassigned [0x49D9]',
	0x49DA : 'Unassigned [0x49DA]',
	0x49DB : 'Unassigned [0x49DB]',
	0x49DC : 'Unassigned [0x49DC]',
	0x49DD : 'Unassigned [0x49DD]',
	0x49DE : 'Unassigned [0x49DE]',
	0x49DF : 'Unassigned [0x49DF]',
	0x49E0 : 'Unassigned [0x49E0]',
	0x49E1 : 'Unassigned [0x49E1]',
	0x49E2 : 'Unassigned [0x49E2]',
	0x49E3 : 'Unassigned [0x49E3]',
	0x49E4 : 'Unassigned [0x49E4]',
	0x49E5 : 'Unassigned [0x49E5]',
	0x49E6 : 'Unassigned [0x49E6]',
	0x49E7 : 'Unassigned [0x49E7]',
	0x49E8 : 'Unassigned [0x49E8]',
	0x49E9 : 'Unassigned [0x49E9]',
	0x49EA : 'Unassigned [0x49EA]',
	0x49EB : 'Unassigned [0x49EB]',
	0x49EC : 'Unassigned [0x49EC]',
	0x49ED : 'Unassigned [0x49ED]',
	0x49EE : 'Unassigned [0x49EE]',
	0x49EF : 'Unassigned [0x49EF]',
	0x49F0 : 'Unassigned [0x49F0]',
	0x49F1 : 'Unassigned [0x49F1]',
	0x49F2 : 'Unassigned [0x49F2]',
	0x49F3 : 'Unassigned [0x49F3]',
	0x49F4 : 'Unassigned [0x49F4]',
	0x49F5 : 'Unassigned [0x49F5]',
	0x49F6 : 'Unassigned [0x49F6]',
	0x49F7 : 'Unassigned [0x49F7]',
	0x49F8 : 'Unassigned [0x49F8]',
	0x49F9 : 'Unassigned [0x49F9]',
	0x49FA : 'Unassigned [0x49FA]',
	0x49FB : 'Unassigned [0x49FB]',
	0x49FC : 'Unassigned [0x49FC]',
	0x49FD : 'Unassigned [0x49FD]',
	0x49FE : 'Unassigned [0x49FE]',
	0x49FF : 'Unassigned [0x49FF]',
	0x4A00 : 'Unassigned [0x4A00]',
	0x4A01 : 'Unassigned [0x4A01]',
	0x4A02 : 'Unassigned [0x4A02]',
	0x4A03 : 'Unassigned [0x4A03]',
	0x4A04 : 'Unassigned [0x4A04]',
	0x4A05 : 'Unassigned [0x4A05]',
	0x4A06 : 'Unassigned [0x4A06]',
	0x4A07 : 'Unassigned [0x4A07]',
	0x4A08 : 'Unassigned [0x4A08]',
	0x4A09 : 'Unassigned [0x4A09]',
	0x4A0A : 'Unassigned [0x4A0A]',
	0x4A0B : 'Unassigned [0x4A0B]',
	0x4A0C : 'Unassigned [0x4A0C]',
	0x4A0D : 'Unassigned [0x4A0D]',
	0x4A0E : 'Unassigned [0x4A0E]',
	0x4A0F : 'Unassigned [0x4A0F]',
	0x4A10 : 'Unassigned [0x4A10]',
	0x4A11 : 'Unassigned [0x4A11]',
	0x4A12 : 'Unassigned [0x4A12]',
	0x4A13 : 'Unassigned [0x4A13]',
	0x4A14 : 'Unassigned [0x4A14]',
	0x4A15 : 'Unassigned [0x4A15]',
	0x4A16 : 'Unassigned [0x4A16]',
	0x4A17 : 'Unassigned [0x4A17]',
	0x4A18 : 'Unassigned [0x4A18]',
	0x4A19 : 'Unassigned [0x4A19]',
	0x4A1A : 'Unassigned [0x4A1A]',
	0x4A1B : 'Unassigned [0x4A1B]',
	0x4A1C : 'Unassigned [0x4A1C]',
	0x4A1D : 'Unassigned [0x4A1D]',
	0x4A1E : 'Unassigned [0x4A1E]',
	0x4A1F : 'Unassigned [0x4A1F]',
	0x4A20 : 'Unassigned [0x4A20]',
	0x4A21 : 'Unassigned [0x4A21]',
	0x4A22 : 'Unassigned [0x4A22]',
	0x4A23 : 'Unassigned [0x4A23]',
	0x4A24 : 'Unassigned [0x4A24]',
	0x4A25 : 'Unassigned [0x4A25]',
	0x4A26 : 'Unassigned [0x4A26]',
	0x4A27 : 'Unassigned [0x4A27]',
	0x4A28 : 'Unassigned [0x4A28]',
	0x4A29 : 'Unassigned [0x4A29]',
	0x4A2A : 'Unassigned [0x4A2A]',
	0x4A2B : 'Unassigned [0x4A2B]',
	0x4A2C : 'Unassigned [0x4A2C]',
	0x4A2D : 'Unassigned [0x4A2D]',
	0x4A2E : 'Unassigned [0x4A2E]',
	0x4A2F : 'Unassigned [0x4A2F]',
	0x4A30 : 'Unassigned [0x4A30]',
	0x4A31 : 'Unassigned [0x4A31]',
	0x4A32 : 'Unassigned [0x4A32]',
	0x4A33 : 'Unassigned [0x4A33]',
	0x4A34 : 'Unassigned [0x4A34]',
	0x4A35 : 'Unassigned [0x4A35]',
	0x4A36 : 'Unassigned [0x4A36]',
	0x4A37 : 'Unassigned [0x4A37]',
	0x4A38 : 'Unassigned [0x4A38]',
	0x4A39 : 'Unassigned [0x4A39]',
	0x4A3A : 'Unassigned [0x4A3A]',
	0x4A3B : 'Unassigned [0x4A3B]',
	0x4A3C : 'Unassigned [0x4A3C]',
	0x4A3D : 'Unassigned [0x4A3D]',
	0x4A3E : 'Unassigned [0x4A3E]',
	0x4A3F : 'Unassigned [0x4A3F]',
	0x4A40 : 'Unassigned [0x4A40]',
	0x4A41 : 'Unassigned [0x4A41]',
	0x4A42 : 'Unassigned [0x4A42]',
	0x4A43 : 'Unassigned [0x4A43]',
	0x4A44 : 'Unassigned [0x4A44]',
	0x4A45 : 'Unassigned [0x4A45]',
	0x4A46 : 'Unassigned [0x4A46]',
	0x4A47 : 'Unassigned [0x4A47]',
	0x4A48 : 'Unassigned [0x4A48]',
	0x4A49 : 'Unassigned [0x4A49]',
	0x4A4A : 'Unassigned [0x4A4A]',
	0x4A4B : 'Unassigned [0x4A4B]',
	0x4A4C : 'Unassigned [0x4A4C]',
	0x4A4D : 'Unassigned [0x4A4D]',
	0x4A4E : 'Unassigned [0x4A4E]',
	0x4A4F : 'Unassigned [0x4A4F]',
	0x4A50 : 'Unassigned [0x4A50]',
	0x4A51 : 'Unassigned [0x4A51]',
	0x4A52 : 'Unassigned [0x4A52]',
	0x4A53 : 'Unassigned [0x4A53]',
	0x4A54 : 'Unassigned [0x4A54]',
	0x4A55 : 'Unassigned [0x4A55]',
	0x4A56 : 'Unassigned [0x4A56]',
	0x4A57 : 'Unassigned [0x4A57]',
	0x4A58 : 'Unassigned [0x4A58]',
	0x4A59 : 'Unassigned [0x4A59]',
	0x4A5A : 'Unassigned [0x4A5A]',
	0x4A5B : 'Unassigned [0x4A5B]',
	0x4A5C : 'Unassigned [0x4A5C]',
	0x4A5D : 'Unassigned [0x4A5D]',
	0x4A5E : 'Unassigned [0x4A5E]',
	0x4A5F : 'Unassigned [0x4A5F]',
	0x4A60 : 'Unassigned [0x4A60]',
	0x4A61 : 'Unassigned [0x4A61]',
	0x4A62 : 'Unassigned [0x4A62]',
	0x4A63 : 'Unassigned [0x4A63]',
	0x4A64 : 'Unassigned [0x4A64]',
	0x4A65 : 'Unassigned [0x4A65]',
	0x4A66 : 'Unassigned [0x4A66]',
	0x4A67 : 'Unassigned [0x4A67]',
	0x4A68 : 'Unassigned [0x4A68]',
	0x4A69 : 'Unassigned [0x4A69]',
	0x4A6A : 'Unassigned [0x4A6A]',
	0x4A6B : 'Unassigned [0x4A6B]',
	0x4A6C : 'Unassigned [0x4A6C]',
	0x4A6D : 'Unassigned [0x4A6D]',
	0x4A6E : 'Unassigned [0x4A6E]',
	0x4A6F : 'Unassigned [0x4A6F]',
	0x4A70 : 'Unassigned [0x4A70]',
	0x4A71 : 'Unassigned [0x4A71]',
	0x4A72 : 'Unassigned [0x4A72]',
	0x4A73 : 'Unassigned [0x4A73]',
	0x4A74 : 'Unassigned [0x4A74]',
	0x4A75 : 'Unassigned [0x4A75]',
	0x4A76 : 'Unassigned [0x4A76]',
	0x4A77 : 'Unassigned [0x4A77]',
	0x4A78 : 'Unassigned [0x4A78]',
	0x4A79 : 'Unassigned [0x4A79]',
	0x4A7A : 'Unassigned [0x4A7A]',
	0x4A7B : 'Unassigned [0x4A7B]',
	0x4A7C : 'Unassigned [0x4A7C]',
	0x4A7D : 'Unassigned [0x4A7D]',
	0x4A7E : 'Unassigned [0x4A7E]',
	0x4A7F : 'Unassigned [0x4A7F]',
	0x4A80 : 'Unassigned [0x4A80]',
	0x4A81 : 'Unassigned [0x4A81]',
	0x4A82 : 'Unassigned [0x4A82]',
	0x4A83 : 'Unassigned [0x4A83]',
	0x4A84 : 'Unassigned [0x4A84]',
	0x4A85 : 'Unassigned [0x4A85]',
	0x4A86 : 'Unassigned [0x4A86]',
	0x4A87 : 'Unassigned [0x4A87]',
	0x4A88 : 'Unassigned [0x4A88]',
	0x4A89 : 'Unassigned [0x4A89]',
	0x4A8A : 'Unassigned [0x4A8A]',
	0x4A8B : 'Unassigned [0x4A8B]',
	0x4A8C : 'Unassigned [0x4A8C]',
	0x4A8D : 'Unassigned [0x4A8D]',
	0x4A8E : 'Unassigned [0x4A8E]',
	0x4A8F : 'Unassigned [0x4A8F]',
	0x4A90 : 'Unassigned [0x4A90]',
	0x4A91 : 'Unassigned [0x4A91]',
	0x4A92 : 'Unassigned [0x4A92]',
	0x4A93 : 'Unassigned [0x4A93]',
	0x4A94 : 'Unassigned [0x4A94]',
	0x4A95 : 'Unassigned [0x4A95]',
	0x4A96 : 'Unassigned [0x4A96]',
	0x4A97 : 'Unassigned [0x4A97]',
	0x4A98 : 'Unassigned [0x4A98]',
	0x4A99 : 'Unassigned [0x4A99]',
	0x4A9A : 'Unassigned [0x4A9A]',
	0x4A9B : 'Unassigned [0x4A9B]',
	0x4A9C : 'Unassigned [0x4A9C]',
	0x4A9D : 'Unassigned [0x4A9D]',
	0x4A9E : 'Unassigned [0x4A9E]',
	0x4A9F : 'Unassigned [0x4A9F]',
	0x4AA0 : 'Unassigned [0x4AA0]',
	0x4AA1 : 'Unassigned [0x4AA1]',
	0x4AA2 : 'Unassigned [0x4AA2]',
	0x4AA3 : 'Unassigned [0x4AA3]',
	0x4AA4 : 'Unassigned [0x4AA4]',
	0x4AA5 : 'Unassigned [0x4AA5]',
	0x4AA6 : 'Unassigned [0x4AA6]',
	0x4AA7 : 'Unassigned [0x4AA7]',
	0x4AA8 : 'Unassigned [0x4AA8]',
	0x4AA9 : 'Unassigned [0x4AA9]',
	0x4AAA : 'Unassigned [0x4AAA]',
	0x4AAB : 'Unassigned [0x4AAB]',
	0x4AAC : 'Unassigned [0x4AAC]',
	0x4AAD : 'Unassigned [0x4AAD]',
	0x4AAE : 'Unassigned [0x4AAE]',
	0x4AAF : 'Unassigned [0x4AAF]',
	0x4AB0 : 'Unassigned [0x4AB0]',
	0x4AB1 : 'Unassigned [0x4AB1]',
	0x4AB2 : 'Unassigned [0x4AB2]',
	0x4AB3 : 'Unassigned [0x4AB3]',
	0x4AB4 : 'Unassigned [0x4AB4]',
	0x4AB5 : 'Unassigned [0x4AB5]',
	0x4AB6 : 'Unassigned [0x4AB6]',
	0x4AB7 : 'Unassigned [0x4AB7]',
	0x4AB8 : 'Unassigned [0x4AB8]',
	0x4AB9 : 'Unassigned [0x4AB9]',
	0x4ABA : 'Unassigned [0x4ABA]',
	0x4ABB : 'Unassigned [0x4ABB]',
	0x4ABC : 'Unassigned [0x4ABC]',
	0x4ABD : 'Unassigned [0x4ABD]',
	0x4ABE : 'Unassigned [0x4ABE]',
	0x4ABF : 'Unassigned [0x4ABF]',
	0x4AC0 : 'Unassigned [0x4AC0]',
	0x4AC1 : 'Unassigned [0x4AC1]',
	0x4AC2 : 'Unassigned [0x4AC2]',
	0x4AC3 : 'Unassigned [0x4AC3]',
	0x4AC4 : 'Unassigned [0x4AC4]',
	0x4AC5 : 'Unassigned [0x4AC5]',
	0x4AC6 : 'Unassigned [0x4AC6]',
	0x4AC7 : 'Unassigned [0x4AC7]',
	0x4AC8 : 'Unassigned [0x4AC8]',
	0x4AC9 : 'Unassigned [0x4AC9]',
	0x4ACA : 'Unassigned [0x4ACA]',
	0x4ACB : 'Unassigned [0x4ACB]',
	0x4ACC : 'Unassigned [0x4ACC]',
	0x4ACD : 'Unassigned [0x4ACD]',
	0x4ACE : 'Unassigned [0x4ACE]',
	0x4ACF : 'Unassigned [0x4ACF]',
	0x4AD0 : 'Unassigned [0x4AD0]',
	0x4AD1 : 'Unassigned [0x4AD1]',
	0x4AD2 : 'Unassigned [0x4AD2]',
	0x4AD3 : 'Unassigned [0x4AD3]',
	0x4AD4 : 'Unassigned [0x4AD4]',
	0x4AD5 : 'Unassigned [0x4AD5]',
	0x4AD6 : 'Unassigned [0x4AD6]',
	0x4AD7 : 'Unassigned [0x4AD7]',
	0x4AD8 : 'Unassigned [0x4AD8]',
	0x4AD9 : 'Unassigned [0x4AD9]',
	0x4ADA : 'Unassigned [0x4ADA]',
	0x4ADB : 'Unassigned [0x4ADB]',
	0x4ADC : 'Unassigned [0x4ADC]',
	0x4ADD : 'Unassigned [0x4ADD]',
	0x4ADE : 'Unassigned [0x4ADE]',
	0x4ADF : 'Unassigned [0x4ADF]',
	0x4AE0 : 'Unassigned [0x4AE0]',
	0x4AE1 : 'Unassigned [0x4AE1]',
	0x4AE2 : 'Unassigned [0x4AE2]',
	0x4AE3 : 'Unassigned [0x4AE3]',
	0x4AE4 : 'Unassigned [0x4AE4]',
	0x4AE5 : 'Unassigned [0x4AE5]',
	0x4AE6 : 'Unassigned [0x4AE6]',
	0x4AE7 : 'Unassigned [0x4AE7]',
	0x4AE8 : 'Unassigned [0x4AE8]',
	0x4AE9 : 'Unassigned [0x4AE9]',
	0x4AEA : 'Unassigned [0x4AEA]',
	0x4AEB : 'Unassigned [0x4AEB]',
	0x4AEC : 'Unassigned [0x4AEC]',
	0x4AED : 'Unassigned [0x4AED]',
	0x4AEE : 'Unassigned [0x4AEE]',
	0x4AEF : 'Unassigned [0x4AEF]',
	0x4AF0 : 'Unassigned [0x4AF0]',
	0x4AF1 : 'Unassigned [0x4AF1]',
	0x4AF2 : 'Unassigned [0x4AF2]',
	0x4AF3 : 'Unassigned [0x4AF3]',
	0x4AF4 : 'Unassigned [0x4AF4]',
	0x4AF5 : 'Unassigned [0x4AF5]',
	0x4AF6 : 'Unassigned [0x4AF6]',
	0x4AF7 : 'Unassigned [0x4AF7]',
	0x4AF8 : 'Unassigned [0x4AF8]',
	0x4AF9 : 'Unassigned [0x4AF9]',
	0x4AFA : 'Unassigned [0x4AFA]',
	0x4AFB : 'Unassigned [0x4AFB]',
	0x4AFC : 'Unassigned [0x4AFC]',
	0x4AFD : 'Unassigned [0x4AFD]',
	0x4AFE : 'Unassigned [0x4AFE]',
	0x4AFF : 'Unassigned [0x4AFF]',
	0x4B00 : 'Unassigned [0x4B00]',
	0x4B01 : 'Unassigned [0x4B01]',
	0x4B02 : 'Unassigned [0x4B02]',
	0x4B03 : 'Unassigned [0x4B03]',
	0x4B04 : 'Unassigned [0x4B04]',
	0x4B05 : 'Unassigned [0x4B05]',
	0x4B06 : 'Unassigned [0x4B06]',
	0x4B07 : 'Unassigned [0x4B07]',
	0x4B08 : 'Unassigned [0x4B08]',
	0x4B09 : 'Unassigned [0x4B09]',
	0x4B0A : 'Unassigned [0x4B0A]',
	0x4B0B : 'Unassigned [0x4B0B]',
	0x4B0C : 'Unassigned [0x4B0C]',
	0x4B0D : 'Unassigned [0x4B0D]',
	0x4B0E : 'Unassigned [0x4B0E]',
	0x4B0F : 'Unassigned [0x4B0F]',
	0x4B10 : 'Unassigned [0x4B10]',
	0x4B11 : 'Unassigned [0x4B11]',
	0x4B12 : 'Unassigned [0x4B12]',
	0x4B13 : 'Unassigned [0x4B13]',
	0x4B14 : 'Unassigned [0x4B14]',
	0x4B15 : 'Unassigned [0x4B15]',
	0x4B16 : 'Unassigned [0x4B16]',
	0x4B17 : 'Unassigned [0x4B17]',
	0x4B18 : 'Unassigned [0x4B18]',
	0x4B19 : 'Unassigned [0x4B19]',
	0x4B1A : 'Unassigned [0x4B1A]',
	0x4B1B : 'Unassigned [0x4B1B]',
	0x4B1C : 'Unassigned [0x4B1C]',
	0x4B1D : 'Unassigned [0x4B1D]',
	0x4B1E : 'Unassigned [0x4B1E]',
	0x4B1F : 'Unassigned [0x4B1F]',
	0x4B20 : 'Unassigned [0x4B20]',
	0x4B21 : 'Unassigned [0x4B21]',
	0x4B22 : 'Unassigned [0x4B22]',
	0x4B23 : 'Unassigned [0x4B23]',
	0x4B24 : 'Unassigned [0x4B24]',
	0x4B25 : 'Unassigned [0x4B25]',
	0x4B26 : 'Unassigned [0x4B26]',
	0x4B27 : 'Unassigned [0x4B27]',
	0x4B28 : 'Unassigned [0x4B28]',
	0x4B29 : 'Unassigned [0x4B29]',
	0x4B2A : 'Unassigned [0x4B2A]',
	0x4B2B : 'Unassigned [0x4B2B]',
	0x4B2C : 'Unassigned [0x4B2C]',
	0x4B2D : 'Unassigned [0x4B2D]',
	0x4B2E : 'Unassigned [0x4B2E]',
	0x4B2F : 'Unassigned [0x4B2F]',
	0x4B30 : 'Unassigned [0x4B30]',
	0x4B31 : 'Unassigned [0x4B31]',
	0x4B32 : 'Unassigned [0x4B32]',
	0x4B33 : 'Unassigned [0x4B33]',
	0x4B34 : 'Unassigned [0x4B34]',
	0x4B35 : 'Unassigned [0x4B35]',
	0x4B36 : 'Unassigned [0x4B36]',
	0x4B37 : 'Unassigned [0x4B37]',
	0x4B38 : 'Unassigned [0x4B38]',
	0x4B39 : 'Unassigned [0x4B39]',
	0x4B3A : 'Unassigned [0x4B3A]',
	0x4B3B : 'Unassigned [0x4B3B]',
	0x4B3C : 'Unassigned [0x4B3C]',
	0x4B3D : 'Unassigned [0x4B3D]',
	0x4B3E : 'Unassigned [0x4B3E]',
	0x4B3F : 'Unassigned [0x4B3F]',
	0x4B40 : 'Unassigned [0x4B40]',
	0x4B41 : 'Unassigned [0x4B41]',
	0x4B42 : 'Unassigned [0x4B42]',
	0x4B43 : 'Unassigned [0x4B43]',
	0x4B44 : 'Unassigned [0x4B44]',
	0x4B45 : 'Unassigned [0x4B45]',
	0x4B46 : 'Unassigned [0x4B46]',
	0x4B47 : 'Unassigned [0x4B47]',
	0x4B48 : 'Unassigned [0x4B48]',
	0x4B49 : 'Unassigned [0x4B49]',
	0x4B4A : 'Unassigned [0x4B4A]',
	0x4B4B : 'Unassigned [0x4B4B]',
	0x4B4C : 'Unassigned [0x4B4C]',
	0x4B4D : 'Unassigned [0x4B4D]',
	0x4B4E : 'Unassigned [0x4B4E]',
	0x4B4F : 'Unassigned [0x4B4F]',
	0x4B50 : 'Unassigned [0x4B50]',
	0x4B51 : 'Unassigned [0x4B51]',
	0x4B52 : 'Unassigned [0x4B52]',
	0x4B53 : 'Unassigned [0x4B53]',
	0x4B54 : 'Unassigned [0x4B54]',
	0x4B55 : 'Unassigned [0x4B55]',
	0x4B56 : 'Unassigned [0x4B56]',
	0x4B57 : 'Unassigned [0x4B57]',
	0x4B58 : 'Unassigned [0x4B58]',
	0x4B59 : 'Unassigned [0x4B59]',
	0x4B5A : 'Unassigned [0x4B5A]',
	0x4B5B : 'Unassigned [0x4B5B]',
	0x4B5C : 'Unassigned [0x4B5C]',
	0x4B5D : 'Unassigned [0x4B5D]',
	0x4B5E : 'Unassigned [0x4B5E]',
	0x4B5F : 'Unassigned [0x4B5F]',
	0x4B60 : 'Unassigned [0x4B60]',
	0x4B61 : 'Unassigned [0x4B61]',
	0x4B62 : 'Unassigned [0x4B62]',
	0x4B63 : 'Unassigned [0x4B63]',
	0x4B64 : 'Unassigned [0x4B64]',
	0x4B65 : 'Unassigned [0x4B65]',
	0x4B66 : 'Unassigned [0x4B66]',
	0x4B67 : 'Unassigned [0x4B67]',
	0x4B68 : 'Unassigned [0x4B68]',
	0x4B69 : 'Unassigned [0x4B69]',
	0x4B6A : 'Unassigned [0x4B6A]',
	0x4B6B : 'Unassigned [0x4B6B]',
	0x4B6C : 'Unassigned [0x4B6C]',
	0x4B6D : 'Unassigned [0x4B6D]',
	0x4B6E : 'Unassigned [0x4B6E]',
	0x4B6F : 'Unassigned [0x4B6F]',
	0x4B70 : 'Unassigned [0x4B70]',
	0x4B71 : 'Unassigned [0x4B71]',
	0x4B72 : 'Unassigned [0x4B72]',
	0x4B73 : 'Unassigned [0x4B73]',
	0x4B74 : 'Unassigned [0x4B74]',
	0x4B75 : 'Unassigned [0x4B75]',
	0x4B76 : 'Unassigned [0x4B76]',
	0x4B77 : 'Unassigned [0x4B77]',
	0x4B78 : 'Unassigned [0x4B78]',
	0x4B79 : 'Unassigned [0x4B79]',
	0x4B7A : 'Unassigned [0x4B7A]',
	0x4B7B : 'Unassigned [0x4B7B]',
	0x4B7C : 'Unassigned [0x4B7C]',
	0x4B7D : 'Unassigned [0x4B7D]',
	0x4B7E : 'Unassigned [0x4B7E]',
	0x4B7F : 'Unassigned [0x4B7F]',
	0x4B80 : 'Unassigned [0x4B80]',
	0x4B81 : 'Unassigned [0x4B81]',
	0x4B82 : 'Unassigned [0x4B82]',
	0x4B83 : 'Unassigned [0x4B83]',
	0x4B84 : 'Unassigned [0x4B84]',
	0x4B85 : 'Unassigned [0x4B85]',
	0x4B86 : 'Unassigned [0x4B86]',
	0x4B87 : 'Unassigned [0x4B87]',
	0x4B88 : 'Unassigned [0x4B88]',
	0x4B89 : 'Unassigned [0x4B89]',
	0x4B8A : 'Unassigned [0x4B8A]',
	0x4B8B : 'Unassigned [0x4B8B]',
	0x4B8C : 'Unassigned [0x4B8C]',
	0x4B8D : 'Unassigned [0x4B8D]',
	0x4B8E : 'Unassigned [0x4B8E]',
	0x4B8F : 'Unassigned [0x4B8F]',
	0x4B90 : 'Unassigned [0x4B90]',
	0x4B91 : 'Unassigned [0x4B91]',
	0x4B92 : 'Unassigned [0x4B92]',
	0x4B93 : 'Unassigned [0x4B93]',
	0x4B94 : 'Unassigned [0x4B94]',
	0x4B95 : 'Unassigned [0x4B95]',
	0x4B96 : 'Unassigned [0x4B96]',
	0x4B97 : 'Unassigned [0x4B97]',
	0x4B98 : 'Unassigned [0x4B98]',
	0x4B99 : 'Unassigned [0x4B99]',
	0x4B9A : 'Unassigned [0x4B9A]',
	0x4B9B : 'Unassigned [0x4B9B]',
	0x4B9C : 'Unassigned [0x4B9C]',
	0x4B9D : 'Unassigned [0x4B9D]',
	0x4B9E : 'Unassigned [0x4B9E]',
	0x4B9F : 'Unassigned [0x4B9F]',
	0x4BA0 : 'Unassigned [0x4BA0]',
	0x4BA1 : 'Unassigned [0x4BA1]',
	0x4BA2 : 'Unassigned [0x4BA2]',
	0x4BA3 : 'Unassigned [0x4BA3]',
	0x4BA4 : 'Unassigned [0x4BA4]',
	0x4BA5 : 'Unassigned [0x4BA5]',
	0x4BA6 : 'Unassigned [0x4BA6]',
	0x4BA7 : 'Unassigned [0x4BA7]',
	0x4BA8 : 'Unassigned [0x4BA8]',
	0x4BA9 : 'Unassigned [0x4BA9]',
	0x4BAA : 'Unassigned [0x4BAA]',
	0x4BAB : 'Unassigned [0x4BAB]',
	0x4BAC : 'Unassigned [0x4BAC]',
	0x4BAD : 'Unassigned [0x4BAD]',
	0x4BAE : 'Unassigned [0x4BAE]',
	0x4BAF : 'Unassigned [0x4BAF]',
	0x4BB0 : 'Unassigned [0x4BB0]',
	0x4BB1 : 'Unassigned [0x4BB1]',
	0x4BB2 : 'Unassigned [0x4BB2]',
	0x4BB3 : 'Unassigned [0x4BB3]',
	0x4BB4 : 'Unassigned [0x4BB4]',
	0x4BB5 : 'Unassigned [0x4BB5]',
	0x4BB6 : 'Unassigned [0x4BB6]',
	0x4BB7 : 'Unassigned [0x4BB7]',
	0x4BB8 : 'Unassigned [0x4BB8]',
	0x4BB9 : 'Unassigned [0x4BB9]',
	0x4BBA : 'Unassigned [0x4BBA]',
	0x4BBB : 'Unassigned [0x4BBB]',
	0x4BBC : 'Unassigned [0x4BBC]',
	0x4BBD : 'Unassigned [0x4BBD]',
	0x4BBE : 'Unassigned [0x4BBE]',
	0x4BBF : 'Unassigned [0x4BBF]',
	0x4BC0 : 'Unassigned [0x4BC0]',
	0x4BC1 : 'Unassigned [0x4BC1]',
	0x4BC2 : 'Unassigned [0x4BC2]',
	0x4BC3 : 'Unassigned [0x4BC3]',
	0x4BC4 : 'Unassigned [0x4BC4]',
	0x4BC5 : 'Unassigned [0x4BC5]',
	0x4BC6 : 'Unassigned [0x4BC6]',
	0x4BC7 : 'Unassigned [0x4BC7]',
	0x4BC8 : 'Unassigned [0x4BC8]',
	0x4BC9 : 'Unassigned [0x4BC9]',
	0x4BCA : 'Unassigned [0x4BCA]',
	0x4BCB : 'Unassigned [0x4BCB]',
	0x4BCC : 'Unassigned [0x4BCC]',
	0x4BCD : 'Unassigned [0x4BCD]',
	0x4BCE : 'Unassigned [0x4BCE]',
	0x4BCF : 'Unassigned [0x4BCF]',
	0x4BD0 : 'Unassigned [0x4BD0]',
	0x4BD1 : 'Unassigned [0x4BD1]',
	0x4BD2 : 'Unassigned [0x4BD2]',
	0x4BD3 : 'Unassigned [0x4BD3]',
	0x4BD4 : 'Unassigned [0x4BD4]',
	0x4BD5 : 'Unassigned [0x4BD5]',
	0x4BD6 : 'Unassigned [0x4BD6]',
	0x4BD7 : 'Unassigned [0x4BD7]',
	0x4BD8 : 'Unassigned [0x4BD8]',
	0x4BD9 : 'Unassigned [0x4BD9]',
	0x4BDA : 'Unassigned [0x4BDA]',
	0x4BDB : 'Unassigned [0x4BDB]',
	0x4BDC : 'Unassigned [0x4BDC]',
	0x4BDD : 'Unassigned [0x4BDD]',
	0x4BDE : 'Unassigned [0x4BDE]',
	0x4BDF : 'Unassigned [0x4BDF]',
	0x4BE0 : 'Unassigned [0x4BE0]',
	0x4BE1 : 'Unassigned [0x4BE1]',
	0x4BE2 : 'Unassigned [0x4BE2]',
	0x4BE3 : 'Unassigned [0x4BE3]',
	0x4BE4 : 'Unassigned [0x4BE4]',
	0x4BE5 : 'Unassigned [0x4BE5]',
	0x4BE6 : 'Unassigned [0x4BE6]',
	0x4BE7 : 'Unassigned [0x4BE7]',
	0x4BE8 : 'Unassigned [0x4BE8]',
	0x4BE9 : 'Unassigned [0x4BE9]',
	0x4BEA : 'Unassigned [0x4BEA]',
	0x4BEB : 'Unassigned [0x4BEB]',
	0x4BEC : 'Unassigned [0x4BEC]',
	0x4BED : 'Unassigned [0x4BED]',
	0x4BEE : 'Unassigned [0x4BEE]',
	0x4BEF : 'Unassigned [0x4BEF]',
	0x4BF0 : 'Unassigned [0x4BF0]',
	0x4BF1 : 'Unassigned [0x4BF1]',
	0x4BF2 : 'Unassigned [0x4BF2]',
	0x4BF3 : 'Unassigned [0x4BF3]',
	0x4BF4 : 'Unassigned [0x4BF4]',
	0x4BF5 : 'Unassigned [0x4BF5]',
	0x4BF6 : 'Unassigned [0x4BF6]',
	0x4BF7 : 'Unassigned [0x4BF7]',
	0x4BF8 : 'Unassigned [0x4BF8]',
	0x4BF9 : 'Unassigned [0x4BF9]',
	0x4BFA : 'Unassigned [0x4BFA]',
	0x4BFB : 'Unassigned [0x4BFB]',
	0x4BFC : 'Unassigned [0x4BFC]',
	0x4BFD : 'Unassigned [0x4BFD]',
	0x4BFE : 'Unassigned [0x4BFE]',
	0x4BFF : 'Unassigned [0x4BFF]',
	0x4C00 : 'Unassigned [0x4C00]',
	0x4C01 : 'Unassigned [0x4C01]',
	0x4C02 : 'Unassigned [0x4C02]',
	0x4C03 : 'Unassigned [0x4C03]',
	0x4C04 : 'Unassigned [0x4C04]',
	0x4C05 : 'Unassigned [0x4C05]',
	0x4C06 : 'Unassigned [0x4C06]',
	0x4C07 : 'Unassigned [0x4C07]',
	0x4C08 : 'Unassigned [0x4C08]',
	0x4C09 : 'Unassigned [0x4C09]',
	0x4C0A : 'Unassigned [0x4C0A]',
	0x4C0B : 'Unassigned [0x4C0B]',
	0x4C0C : 'Unassigned [0x4C0C]',
	0x4C0D : 'Unassigned [0x4C0D]',
	0x4C0E : 'Unassigned [0x4C0E]',
	0x4C0F : 'Unassigned [0x4C0F]',
	0x4C10 : 'Unassigned [0x4C10]',
	0x4C11 : 'Unassigned [0x4C11]',
	0x4C12 : 'Unassigned [0x4C12]',
	0x4C13 : 'Unassigned [0x4C13]',
	0x4C14 : 'Unassigned [0x4C14]',
	0x4C15 : 'Unassigned [0x4C15]',
	0x4C16 : 'Unassigned [0x4C16]',
	0x4C17 : 'Unassigned [0x4C17]',
	0x4C18 : 'Unassigned [0x4C18]',
	0x4C19 : 'Unassigned [0x4C19]',
	0x4C1A : 'Unassigned [0x4C1A]',
	0x4C1B : 'Unassigned [0x4C1B]',
	0x4C1C : 'Unassigned [0x4C1C]',
	0x4C1D : 'Unassigned [0x4C1D]',
	0x4C1E : 'Unassigned [0x4C1E]',
	0x4C1F : 'Unassigned [0x4C1F]',
	0x4C20 : 'Unassigned [0x4C20]',
	0x4C21 : 'Unassigned [0x4C21]',
	0x4C22 : 'Unassigned [0x4C22]',
	0x4C23 : 'Unassigned [0x4C23]',
	0x4C24 : 'Unassigned [0x4C24]',
	0x4C25 : 'Unassigned [0x4C25]',
	0x4C26 : 'Unassigned [0x4C26]',
	0x4C27 : 'Unassigned [0x4C27]',
	0x4C28 : 'Unassigned [0x4C28]',
	0x4C29 : 'Unassigned [0x4C29]',
	0x4C2A : 'Unassigned [0x4C2A]',
	0x4C2B : 'Unassigned [0x4C2B]',
	0x4C2C : 'Unassigned [0x4C2C]',
	0x4C2D : 'Unassigned [0x4C2D]',
	0x4C2E : 'Unassigned [0x4C2E]',
	0x4C2F : 'Unassigned [0x4C2F]',
	0x4C30 : 'Unassigned [0x4C30]',
	0x4C31 : 'Unassigned [0x4C31]',
	0x4C32 : 'Unassigned [0x4C32]',
	0x4C33 : 'Unassigned [0x4C33]',
	0x4C34 : 'Unassigned [0x4C34]',
	0x4C35 : 'Unassigned [0x4C35]',
	0x4C36 : 'Unassigned [0x4C36]',
	0x4C37 : 'Unassigned [0x4C37]',
	0x4C38 : 'Unassigned [0x4C38]',
	0x4C39 : 'Unassigned [0x4C39]',
	0x4C3A : 'Unassigned [0x4C3A]',
	0x4C3B : 'Unassigned [0x4C3B]',
	0x4C3C : 'Unassigned [0x4C3C]',
	0x4C3D : 'Unassigned [0x4C3D]',
	0x4C3E : 'Unassigned [0x4C3E]',
	0x4C3F : 'Unassigned [0x4C3F]',
	0x4C40 : 'Unassigned [0x4C40]',
	0x4C41 : 'Unassigned [0x4C41]',
	0x4C42 : 'Unassigned [0x4C42]',
	0x4C43 : 'Unassigned [0x4C43]',
	0x4C44 : 'Unassigned [0x4C44]',
	0x4C45 : 'Unassigned [0x4C45]',
	0x4C46 : 'Unassigned [0x4C46]',
	0x4C47 : 'Unassigned [0x4C47]',
	0x4C48 : 'Unassigned [0x4C48]',
	0x4C49 : 'Unassigned [0x4C49]',
	0x4C4A : 'Unassigned [0x4C4A]',
	0x4C4B : 'Unassigned [0x4C4B]',
	0x4C4C : 'Unassigned [0x4C4C]',
	0x4C4D : 'Unassigned [0x4C4D]',
	0x4C4E : 'Unassigned [0x4C4E]',
	0x4C4F : 'Unassigned [0x4C4F]',
	0x4C50 : 'Unassigned [0x4C50]',
	0x4C51 : 'Unassigned [0x4C51]',
	0x4C52 : 'Unassigned [0x4C52]',
	0x4C53 : 'Unassigned [0x4C53]',
	0x4C54 : 'Unassigned [0x4C54]',
	0x4C55 : 'Unassigned [0x4C55]',
	0x4C56 : 'Unassigned [0x4C56]',
	0x4C57 : 'Unassigned [0x4C57]',
	0x4C58 : 'Unassigned [0x4C58]',
	0x4C59 : 'Unassigned [0x4C59]',
	0x4C5A : 'Unassigned [0x4C5A]',
	0x4C5B : 'Unassigned [0x4C5B]',
	0x4C5C : 'Unassigned [0x4C5C]',
	0x4C5D : 'Unassigned [0x4C5D]',
	0x4C5E : 'Unassigned [0x4C5E]',
	0x4C5F : 'Unassigned [0x4C5F]',
	0x4C60 : 'Unassigned [0x4C60]',
	0x4C61 : 'Unassigned [0x4C61]',
	0x4C62 : 'Unassigned [0x4C62]',
	0x4C63 : 'Unassigned [0x4C63]',
	0x4C64 : 'Unassigned [0x4C64]',
	0x4C65 : 'Unassigned [0x4C65]',
	0x4C66 : 'Unassigned [0x4C66]',
	0x4C67 : 'Unassigned [0x4C67]',
	0x4C68 : 'Unassigned [0x4C68]',
	0x4C69 : 'Unassigned [0x4C69]',
	0x4C6A : 'Unassigned [0x4C6A]',
	0x4C6B : 'Unassigned [0x4C6B]',
	0x4C6C : 'Unassigned [0x4C6C]',
	0x4C6D : 'Unassigned [0x4C6D]',
	0x4C6E : 'Unassigned [0x4C6E]',
	0x4C6F : 'Unassigned [0x4C6F]',
	0x4C70 : 'Unassigned [0x4C70]',
	0x4C71 : 'Unassigned [0x4C71]',
	0x4C72 : 'Unassigned [0x4C72]',
	0x4C73 : 'Unassigned [0x4C73]',
	0x4C74 : 'Unassigned [0x4C74]',
	0x4C75 : 'Unassigned [0x4C75]',
	0x4C76 : 'Unassigned [0x4C76]',
	0x4C77 : 'Unassigned [0x4C77]',
	0x4C78 : 'Unassigned [0x4C78]',
	0x4C79 : 'Unassigned [0x4C79]',
	0x4C7A : 'Unassigned [0x4C7A]',
	0x4C7B : 'Unassigned [0x4C7B]',
	0x4C7C : 'Unassigned [0x4C7C]',
	0x4C7D : 'Unassigned [0x4C7D]',
	0x4C7E : 'Unassigned [0x4C7E]',
	0x4C7F : 'Unassigned [0x4C7F]',
	0x4C80 : 'Unassigned [0x4C80]',
	0x4C81 : 'Unassigned [0x4C81]',
	0x4C82 : 'Unassigned [0x4C82]',
	0x4C83 : 'Unassigned [0x4C83]',
	0x4C84 : 'Unassigned [0x4C84]',
	0x4C85 : 'Unassigned [0x4C85]',
	0x4C86 : 'Unassigned [0x4C86]',
	0x4C87 : 'Unassigned [0x4C87]',
	0x4C88 : 'Unassigned [0x4C88]',
	0x4C89 : 'Unassigned [0x4C89]',
	0x4C8A : 'Unassigned [0x4C8A]',
	0x4C8B : 'Unassigned [0x4C8B]',
	0x4C8C : 'Unassigned [0x4C8C]',
	0x4C8D : 'Unassigned [0x4C8D]',
	0x4C8E : 'Unassigned [0x4C8E]',
	0x4C8F : 'Unassigned [0x4C8F]',
	0x4C90 : 'Unassigned [0x4C90]',
	0x4C91 : 'Unassigned [0x4C91]',
	0x4C92 : 'Unassigned [0x4C92]',
	0x4C93 : 'Unassigned [0x4C93]',
	0x4C94 : 'Unassigned [0x4C94]',
	0x4C95 : 'Unassigned [0x4C95]',
	0x4C96 : 'Unassigned [0x4C96]',
	0x4C97 : 'Unassigned [0x4C97]',
	0x4C98 : 'Unassigned [0x4C98]',
	0x4C99 : 'Unassigned [0x4C99]',
	0x4C9A : 'Unassigned [0x4C9A]',
	0x4C9B : 'Unassigned [0x4C9B]',
	0x4C9C : 'Unassigned [0x4C9C]',
	0x4C9D : 'Unassigned [0x4C9D]',
	0x4C9E : 'Unassigned [0x4C9E]',
	0x4C9F : 'Unassigned [0x4C9F]',
	0x4CA0 : 'Unassigned [0x4CA0]',
	0x4CA1 : 'Unassigned [0x4CA1]',
	0x4CA2 : 'Unassigned [0x4CA2]',
	0x4CA3 : 'Unassigned [0x4CA3]',
	0x4CA4 : 'Unassigned [0x4CA4]',
	0x4CA5 : 'Unassigned [0x4CA5]',
	0x4CA6 : 'Unassigned [0x4CA6]',
	0x4CA7 : 'Unassigned [0x4CA7]',
	0x4CA8 : 'Unassigned [0x4CA8]',
	0x4CA9 : 'Unassigned [0x4CA9]',
	0x4CAA : 'Unassigned [0x4CAA]',
	0x4CAB : 'Unassigned [0x4CAB]',
	0x4CAC : 'Unassigned [0x4CAC]',
	0x4CAD : 'Unassigned [0x4CAD]',
	0x4CAE : 'Unassigned [0x4CAE]',
	0x4CAF : 'Unassigned [0x4CAF]',
	0x4CB0 : 'Unassigned [0x4CB0]',
	0x4CB1 : 'Unassigned [0x4CB1]',
	0x4CB2 : 'Unassigned [0x4CB2]',
	0x4CB3 : 'Unassigned [0x4CB3]',
	0x4CB4 : 'Unassigned [0x4CB4]',
	0x4CB5 : 'Unassigned [0x4CB5]',
	0x4CB6 : 'Unassigned [0x4CB6]',
	0x4CB7 : 'Unassigned [0x4CB7]',
	0x4CB8 : 'Unassigned [0x4CB8]',
	0x4CB9 : 'Unassigned [0x4CB9]',
	0x4CBA : 'Unassigned [0x4CBA]',
	0x4CBB : 'Unassigned [0x4CBB]',
	0x4CBC : 'Unassigned [0x4CBC]',
	0x4CBD : 'Unassigned [0x4CBD]',
	0x4CBE : 'Unassigned [0x4CBE]',
	0x4CBF : 'Unassigned [0x4CBF]',
	0x4CC0 : 'Unassigned [0x4CC0]',
	0x4CC1 : 'Unassigned [0x4CC1]',
	0x4CC2 : 'Unassigned [0x4CC2]',
	0x4CC3 : 'Unassigned [0x4CC3]',
	0x4CC4 : 'Unassigned [0x4CC4]',
	0x4CC5 : 'Unassigned [0x4CC5]',
	0x4CC6 : 'Unassigned [0x4CC6]',
	0x4CC7 : 'Unassigned [0x4CC7]',
	0x4CC8 : 'Unassigned [0x4CC8]',
	0x4CC9 : 'Unassigned [0x4CC9]',
	0x4CCA : 'Unassigned [0x4CCA]',
	0x4CCB : 'Unassigned [0x4CCB]',
	0x4CCC : 'Unassigned [0x4CCC]',
	0x4CCD : 'Unassigned [0x4CCD]',
	0x4CCE : 'Unassigned [0x4CCE]',
	0x4CCF : 'Unassigned [0x4CCF]',
	0x4CD0 : 'Unassigned [0x4CD0]',
	0x4CD1 : 'Unassigned [0x4CD1]',
	0x4CD2 : 'Unassigned [0x4CD2]',
	0x4CD3 : 'Unassigned [0x4CD3]',
	0x4CD4 : 'Unassigned [0x4CD4]',
	0x4CD5 : 'Unassigned [0x4CD5]',
	0x4CD6 : 'Unassigned [0x4CD6]',
	0x4CD7 : 'Unassigned [0x4CD7]',
	0x4CD8 : 'Unassigned [0x4CD8]',
	0x4CD9 : 'Unassigned [0x4CD9]',
	0x4CDA : 'Unassigned [0x4CDA]',
	0x4CDB : 'Unassigned [0x4CDB]',
	0x4CDC : 'Unassigned [0x4CDC]',
	0x4CDD : 'Unassigned [0x4CDD]',
	0x4CDE : 'Unassigned [0x4CDE]',
	0x4CDF : 'Unassigned [0x4CDF]',
	0x4CE0 : 'Unassigned [0x4CE0]',
	0x4CE1 : 'Unassigned [0x4CE1]',
	0x4CE2 : 'Unassigned [0x4CE2]',
	0x4CE3 : 'Unassigned [0x4CE3]',
	0x4CE4 : 'Unassigned [0x4CE4]',
	0x4CE5 : 'Unassigned [0x4CE5]',
	0x4CE6 : 'Unassigned [0x4CE6]',
	0x4CE7 : 'Unassigned [0x4CE7]',
	0x4CE8 : 'Unassigned [0x4CE8]',
	0x4CE9 : 'Unassigned [0x4CE9]',
	0x4CEA : 'Unassigned [0x4CEA]',
	0x4CEB : 'Unassigned [0x4CEB]',
	0x4CEC : 'Unassigned [0x4CEC]',
	0x4CED : 'Unassigned [0x4CED]',
	0x4CEE : 'Unassigned [0x4CEE]',
	0x4CEF : 'Unassigned [0x4CEF]',
	0x4CF0 : 'Unassigned [0x4CF0]',
	0x4CF1 : 'Unassigned [0x4CF1]',
	0x4CF2 : 'Unassigned [0x4CF2]',
	0x4CF3 : 'Unassigned [0x4CF3]',
	0x4CF4 : 'Unassigned [0x4CF4]',
	0x4CF5 : 'Unassigned [0x4CF5]',
	0x4CF6 : 'Unassigned [0x4CF6]',
	0x4CF7 : 'Unassigned [0x4CF7]',
	0x4CF8 : 'Unassigned [0x4CF8]',
	0x4CF9 : 'Unassigned [0x4CF9]',
	0x4CFA : 'Unassigned [0x4CFA]',
	0x4CFB : 'Unassigned [0x4CFB]',
	0x4CFC : 'Unassigned [0x4CFC]',
	0x4CFD : 'Unassigned [0x4CFD]',
	0x4CFE : 'Unassigned [0x4CFE]',
	0x4CFF : 'Unassigned [0x4CFF]',
	0x4D00 : 'Unassigned [0x4D00]',
	0x4D01 : 'Unassigned [0x4D01]',
	0x4D02 : 'Unassigned [0x4D02]',
	0x4D03 : 'Unassigned [0x4D03]',
	0x4D04 : 'Unassigned [0x4D04]',
	0x4D05 : 'Unassigned [0x4D05]',
	0x4D06 : 'Unassigned [0x4D06]',
	0x4D07 : 'Unassigned [0x4D07]',
	0x4D08 : 'Unassigned [0x4D08]',
	0x4D09 : 'Unassigned [0x4D09]',
	0x4D0A : 'Unassigned [0x4D0A]',
	0x4D0B : 'Unassigned [0x4D0B]',
	0x4D0C : 'Unassigned [0x4D0C]',
	0x4D0D : 'Unassigned [0x4D0D]',
	0x4D0E : 'Unassigned [0x4D0E]',
	0x4D0F : 'Unassigned [0x4D0F]',
	0x4D10 : 'Unassigned [0x4D10]',
	0x4D11 : 'Unassigned [0x4D11]',
	0x4D12 : 'Unassigned [0x4D12]',
	0x4D13 : 'Unassigned [0x4D13]',
	0x4D14 : 'Unassigned [0x4D14]',
	0x4D15 : 'Unassigned [0x4D15]',
	0x4D16 : 'Unassigned [0x4D16]',
	0x4D17 : 'Unassigned [0x4D17]',
	0x4D18 : 'Unassigned [0x4D18]',
	0x4D19 : 'Unassigned [0x4D19]',
	0x4D1A : 'Unassigned [0x4D1A]',
	0x4D1B : 'Unassigned [0x4D1B]',
	0x4D1C : 'Unassigned [0x4D1C]',
	0x4D1D : 'Unassigned [0x4D1D]',
	0x4D1E : 'Unassigned [0x4D1E]',
	0x4D1F : 'Unassigned [0x4D1F]',
	0x4D20 : 'Unassigned [0x4D20]',
	0x4D21 : 'Unassigned [0x4D21]',
	0x4D22 : 'Unassigned [0x4D22]',
	0x4D23 : 'Unassigned [0x4D23]',
	0x4D24 : 'Unassigned [0x4D24]',
	0x4D25 : 'Unassigned [0x4D25]',
	0x4D26 : 'Unassigned [0x4D26]',
	0x4D27 : 'Unassigned [0x4D27]',
	0x4D28 : 'Unassigned [0x4D28]',
	0x4D29 : 'Unassigned [0x4D29]',
	0x4D2A : 'Unassigned [0x4D2A]',
	0x4D2B : 'Unassigned [0x4D2B]',
	0x4D2C : 'Unassigned [0x4D2C]',
	0x4D2D : 'Unassigned [0x4D2D]',
	0x4D2E : 'Unassigned [0x4D2E]',
	0x4D2F : 'Unassigned [0x4D2F]',
	0x4D30 : 'Unassigned [0x4D30]',
	0x4D31 : 'Unassigned [0x4D31]',
	0x4D32 : 'Unassigned [0x4D32]',
	0x4D33 : 'Unassigned [0x4D33]',
	0x4D34 : 'Unassigned [0x4D34]',
	0x4D35 : 'Unassigned [0x4D35]',
	0x4D36 : 'Unassigned [0x4D36]',
	0x4D37 : 'Unassigned [0x4D37]',
	0x4D38 : 'Unassigned [0x4D38]',
	0x4D39 : 'Unassigned [0x4D39]',
	0x4D3A : 'Unassigned [0x4D3A]',
	0x4D3B : 'Unassigned [0x4D3B]',
	0x4D3C : 'Unassigned [0x4D3C]',
	0x4D3D : 'Unassigned [0x4D3D]',
	0x4D3E : 'Unassigned [0x4D3E]',
	0x4D3F : 'Unassigned [0x4D3F]',
	0x4D40 : 'Unassigned [0x4D40]',
	0x4D41 : 'Unassigned [0x4D41]',
	0x4D42 : 'Unassigned [0x4D42]',
	0x4D43 : 'Unassigned [0x4D43]',
	0x4D44 : 'Unassigned [0x4D44]',
	0x4D45 : 'Unassigned [0x4D45]',
	0x4D46 : 'Unassigned [0x4D46]',
	0x4D47 : 'Unassigned [0x4D47]',
	0x4D48 : 'Unassigned [0x4D48]',
	0x4D49 : 'Unassigned [0x4D49]',
	0x4D4A : 'Unassigned [0x4D4A]',
	0x4D4B : 'Unassigned [0x4D4B]',
	0x4D4C : 'Unassigned [0x4D4C]',
	0x4D4D : 'Unassigned [0x4D4D]',
	0x4D4E : 'Unassigned [0x4D4E]',
	0x4D4F : 'Unassigned [0x4D4F]',
	0x4D50 : 'Unassigned [0x4D50]',
	0x4D51 : 'Unassigned [0x4D51]',
	0x4D52 : 'Unassigned [0x4D52]',
	0x4D53 : 'Unassigned [0x4D53]',
	0x4D54 : 'Unassigned [0x4D54]',
	0x4D55 : 'Unassigned [0x4D55]',
	0x4D56 : 'Unassigned [0x4D56]',
	0x4D57 : 'Unassigned [0x4D57]',
	0x4D58 : 'Unassigned [0x4D58]',
	0x4D59 : 'Unassigned [0x4D59]',
	0x4D5A : 'Unassigned [0x4D5A]',
	0x4D5B : 'Unassigned [0x4D5B]',
	0x4D5C : 'Unassigned [0x4D5C]',
	0x4D5D : 'Unassigned [0x4D5D]',
	0x4D5E : 'Unassigned [0x4D5E]',
	0x4D5F : 'Unassigned [0x4D5F]',
	0x4D60 : 'Unassigned [0x4D60]',
	0x4D61 : 'Unassigned [0x4D61]',
	0x4D62 : 'Unassigned [0x4D62]',
	0x4D63 : 'Unassigned [0x4D63]',
	0x4D64 : 'Unassigned [0x4D64]',
	0x4D65 : 'Unassigned [0x4D65]',
	0x4D66 : 'Unassigned [0x4D66]',
	0x4D67 : 'Unassigned [0x4D67]',
	0x4D68 : 'Unassigned [0x4D68]',
	0x4D69 : 'Unassigned [0x4D69]',
	0x4D6A : 'Unassigned [0x4D6A]',
	0x4D6B : 'Unassigned [0x4D6B]',
	0x4D6C : 'Unassigned [0x4D6C]',
	0x4D6D : 'Unassigned [0x4D6D]',
	0x4D6E : 'Unassigned [0x4D6E]',
	0x4D6F : 'Unassigned [0x4D6F]',
	0x4D70 : 'Unassigned [0x4D70]',
	0x4D71 : 'Unassigned [0x4D71]',
	0x4D72 : 'Unassigned [0x4D72]',
	0x4D73 : 'Unassigned [0x4D73]',
	0x4D74 : 'Unassigned [0x4D74]',
	0x4D75 : 'Unassigned [0x4D75]',
	0x4D76 : 'Unassigned [0x4D76]',
	0x4D77 : 'Unassigned [0x4D77]',
	0x4D78 : 'Unassigned [0x4D78]',
	0x4D79 : 'Unassigned [0x4D79]',
	0x4D7A : 'Unassigned [0x4D7A]',
	0x4D7B : 'Unassigned [0x4D7B]',
	0x4D7C : 'Unassigned [0x4D7C]',
	0x4D7D : 'Unassigned [0x4D7D]',
	0x4D7E : 'Unassigned [0x4D7E]',
	0x4D7F : 'Unassigned [0x4D7F]',
	0x4D80 : 'Unassigned [0x4D80]',
	0x4D81 : 'Unassigned [0x4D81]',
	0x4D82 : 'Unassigned [0x4D82]',
	0x4D83 : 'Unassigned [0x4D83]',
	0x4D84 : 'Unassigned [0x4D84]',
	0x4D85 : 'Unassigned [0x4D85]',
	0x4D86 : 'Unassigned [0x4D86]',
	0x4D87 : 'Unassigned [0x4D87]',
	0x4D88 : 'Unassigned [0x4D88]',
	0x4D89 : 'Unassigned [0x4D89]',
	0x4D8A : 'Unassigned [0x4D8A]',
	0x4D8B : 'Unassigned [0x4D8B]',
	0x4D8C : 'Unassigned [0x4D8C]',
	0x4D8D : 'Unassigned [0x4D8D]',
	0x4D8E : 'Unassigned [0x4D8E]',
	0x4D8F : 'Unassigned [0x4D8F]',
	0x4D90 : 'Unassigned [0x4D90]',
	0x4D91 : 'Unassigned [0x4D91]',
	0x4D92 : 'Unassigned [0x4D92]',
	0x4D93 : 'Unassigned [0x4D93]',
	0x4D94 : 'Unassigned [0x4D94]',
	0x4D95 : 'Unassigned [0x4D95]',
	0x4D96 : 'Unassigned [0x4D96]',
	0x4D97 : 'Unassigned [0x4D97]',
	0x4D98 : 'Unassigned [0x4D98]',
	0x4D99 : 'Unassigned [0x4D99]',
	0x4D9A : 'Unassigned [0x4D9A]',
	0x4D9B : 'Unassigned [0x4D9B]',
	0x4D9C : 'Unassigned [0x4D9C]',
	0x4D9D : 'Unassigned [0x4D9D]',
	0x4D9E : 'Unassigned [0x4D9E]',
	0x4D9F : 'Unassigned [0x4D9F]',
	0x4DA0 : 'Unassigned [0x4DA0]',
	0x4DA1 : 'Unassigned [0x4DA1]',
	0x4DA2 : 'Unassigned [0x4DA2]',
	0x4DA3 : 'Unassigned [0x4DA3]',
	0x4DA4 : 'Unassigned [0x4DA4]',
	0x4DA5 : 'Unassigned [0x4DA5]',
	0x4DA6 : 'Unassigned [0x4DA6]',
	0x4DA7 : 'Unassigned [0x4DA7]',
	0x4DA8 : 'Unassigned [0x4DA8]',
	0x4DA9 : 'Unassigned [0x4DA9]',
	0x4DAA : 'Unassigned [0x4DAA]',
	0x4DAB : 'Unassigned [0x4DAB]',
	0x4DAC : 'Unassigned [0x4DAC]',
	0x4DAD : 'Unassigned [0x4DAD]',
	0x4DAE : 'Unassigned [0x4DAE]',
	0x4DAF : 'Unassigned [0x4DAF]',
	0x4DB0 : 'Unassigned [0x4DB0]',
	0x4DB1 : 'Unassigned [0x4DB1]',
	0x4DB2 : 'Unassigned [0x4DB2]',
	0x4DB3 : 'Unassigned [0x4DB3]',
	0x4DB4 : 'Unassigned [0x4DB4]',
	0x4DB5 : 'Unassigned [0x4DB5]',
	0x4DB6 : 'Unassigned [0x4DB6]',
	0x4DB7 : 'Unassigned [0x4DB7]',
	0x4DB8 : 'Unassigned [0x4DB8]',
	0x4DB9 : 'Unassigned [0x4DB9]',
	0x4DBA : 'Unassigned [0x4DBA]',
	0x4DBB : 'Unassigned [0x4DBB]',
	0x4DBC : 'Unassigned [0x4DBC]',
	0x4DBD : 'Unassigned [0x4DBD]',
	0x4DBE : 'Unassigned [0x4DBE]',
	0x4DBF : 'Unassigned [0x4DBF]',
	0x4DC0 : 'Unassigned [0x4DC0]',
	0x4DC1 : 'Unassigned [0x4DC1]',
	0x4DC2 : 'Unassigned [0x4DC2]',
	0x4DC3 : 'Unassigned [0x4DC3]',
	0x4DC4 : 'Unassigned [0x4DC4]',
	0x4DC5 : 'Unassigned [0x4DC5]',
	0x4DC6 : 'Unassigned [0x4DC6]',
	0x4DC7 : 'Unassigned [0x4DC7]',
	0x4DC8 : 'Unassigned [0x4DC8]',
	0x4DC9 : 'Unassigned [0x4DC9]',
	0x4DCA : 'Unassigned [0x4DCA]',
	0x4DCB : 'Unassigned [0x4DCB]',
	0x4DCC : 'Unassigned [0x4DCC]',
	0x4DCD : 'Unassigned [0x4DCD]',
	0x4DCE : 'Unassigned [0x4DCE]',
	0x4DCF : 'Unassigned [0x4DCF]',
	0x4DD0 : 'Unassigned [0x4DD0]',
	0x4DD1 : 'Unassigned [0x4DD1]',
	0x4DD2 : 'Unassigned [0x4DD2]',
	0x4DD3 : 'Unassigned [0x4DD3]',
	0x4DD4 : 'Unassigned [0x4DD4]',
	0x4DD5 : 'Unassigned [0x4DD5]',
	0x4DD6 : 'Unassigned [0x4DD6]',
	0x4DD7 : 'Unassigned [0x4DD7]',
	0x4DD8 : 'Unassigned [0x4DD8]',
	0x4DD9 : 'Unassigned [0x4DD9]',
	0x4DDA : 'Unassigned [0x4DDA]',
	0x4DDB : 'Unassigned [0x4DDB]',
	0x4DDC : 'Unassigned [0x4DDC]',
	0x4DDD : 'Unassigned [0x4DDD]',
	0x4DDE : 'Unassigned [0x4DDE]',
	0x4DDF : 'Unassigned [0x4DDF]',
	0x4DE0 : 'Unassigned [0x4DE0]',
	0x4DE1 : 'Unassigned [0x4DE1]',
	0x4DE2 : 'Unassigned [0x4DE2]',
	0x4DE3 : 'Unassigned [0x4DE3]',
	0x4DE4 : 'Unassigned [0x4DE4]',
	0x4DE5 : 'Unassigned [0x4DE5]',
	0x4DE6 : 'Unassigned [0x4DE6]',
	0x4DE7 : 'Unassigned [0x4DE7]',
	0x4DE8 : 'Unassigned [0x4DE8]',
	0x4DE9 : 'Unassigned [0x4DE9]',
	0x4DEA : 'Unassigned [0x4DEA]',
	0x4DEB : 'Unassigned [0x4DEB]',
	0x4DEC : 'Unassigned [0x4DEC]',
	0x4DED : 'Unassigned [0x4DED]',
	0x4DEE : 'Unassigned [0x4DEE]',
	0x4DEF : 'Unassigned [0x4DEF]',
	0x4DF0 : 'Unassigned [0x4DF0]',
	0x4DF1 : 'Unassigned [0x4DF1]',
	0x4DF2 : 'Unassigned [0x4DF2]',
	0x4DF3 : 'Unassigned [0x4DF3]',
	0x4DF4 : 'Unassigned [0x4DF4]',
	0x4DF5 : 'Unassigned [0x4DF5]',
	0x4DF6 : 'Unassigned [0x4DF6]',
	0x4DF7 : 'Unassigned [0x4DF7]',
	0x4DF8 : 'Unassigned [0x4DF8]',
	0x4DF9 : 'Unassigned [0x4DF9]',
	0x4DFA : 'Unassigned [0x4DFA]',
	0x4DFB : 'Unassigned [0x4DFB]',
	0x4DFC : 'Unassigned [0x4DFC]',
	0x4DFD : 'Unassigned [0x4DFD]',
	0x4DFE : 'Unassigned [0x4DFE]',
	0x4DFF : 'Unassigned [0x4DFF]',
	0x4E00 : 'Unassigned [0x4E00]',
	0x4E01 : 'Unassigned [0x4E01]',
	0x4E02 : 'Unassigned [0x4E02]',
	0x4E03 : 'Unassigned [0x4E03]',
	0x4E04 : 'Unassigned [0x4E04]',
	0x4E05 : 'Unassigned [0x4E05]',
	0x4E06 : 'Unassigned [0x4E06]',
	0x4E07 : 'Unassigned [0x4E07]',
	0x4E08 : 'Unassigned [0x4E08]',
	0x4E09 : 'Unassigned [0x4E09]',
	0x4E0A : 'Unassigned [0x4E0A]',
	0x4E0B : 'Unassigned [0x4E0B]',
	0x4E0C : 'Unassigned [0x4E0C]',
	0x4E0D : 'Unassigned [0x4E0D]',
	0x4E0E : 'Unassigned [0x4E0E]',
	0x4E0F : 'Unassigned [0x4E0F]',
	0x4E10 : 'Unassigned [0x4E10]',
	0x4E11 : 'Unassigned [0x4E11]',
	0x4E12 : 'Unassigned [0x4E12]',
	0x4E13 : 'Unassigned [0x4E13]',
	0x4E14 : 'Unassigned [0x4E14]',
	0x4E15 : 'Unassigned [0x4E15]',
	0x4E16 : 'Unassigned [0x4E16]',
	0x4E17 : 'Unassigned [0x4E17]',
	0x4E18 : 'Unassigned [0x4E18]',
	0x4E19 : 'Unassigned [0x4E19]',
	0x4E1A : 'Unassigned [0x4E1A]',
	0x4E1B : 'Unassigned [0x4E1B]',
	0x4E1C : 'Unassigned [0x4E1C]',
	0x4E1D : 'Unassigned [0x4E1D]',
	0x4E1E : 'Unassigned [0x4E1E]',
	0x4E1F : 'Unassigned [0x4E1F]',
	0x4E20 : 'Unassigned [0x4E20]',
	0x4E21 : 'Unassigned [0x4E21]',
	0x4E22 : 'Unassigned [0x4E22]',
	0x4E23 : 'Unassigned [0x4E23]',
	0x4E24 : 'Unassigned [0x4E24]',
	0x4E25 : 'Unassigned [0x4E25]',
	0x4E26 : 'Unassigned [0x4E26]',
	0x4E27 : 'Unassigned [0x4E27]',
	0x4E28 : 'Unassigned [0x4E28]',
	0x4E29 : 'Unassigned [0x4E29]',
	0x4E2A : 'Unassigned [0x4E2A]',
	0x4E2B : 'Unassigned [0x4E2B]',
	0x4E2C : 'Unassigned [0x4E2C]',
	0x4E2D : 'Unassigned [0x4E2D]',
	0x4E2E : 'Unassigned [0x4E2E]',
	0x4E2F : 'Unassigned [0x4E2F]',
	0x4E30 : 'Unassigned [0x4E30]',
	0x4E31 : 'Unassigned [0x4E31]',
	0x4E32 : 'Unassigned [0x4E32]',
	0x4E33 : 'Unassigned [0x4E33]',
	0x4E34 : 'Unassigned [0x4E34]',
	0x4E35 : 'Unassigned [0x4E35]',
	0x4E36 : 'Unassigned [0x4E36]',
	0x4E37 : 'Unassigned [0x4E37]',
	0x4E38 : 'Unassigned [0x4E38]',
	0x4E39 : 'Unassigned [0x4E39]',
	0x4E3A : 'Unassigned [0x4E3A]',
	0x4E3B : 'Unassigned [0x4E3B]',
	0x4E3C : 'Unassigned [0x4E3C]',
	0x4E3D : 'Unassigned [0x4E3D]',
	0x4E3E : 'Unassigned [0x4E3E]',
	0x4E3F : 'Unassigned [0x4E3F]',
	0x4E40 : 'Unassigned [0x4E40]',
	0x4E41 : 'Unassigned [0x4E41]',
	0x4E42 : 'Unassigned [0x4E42]',
	0x4E43 : 'Unassigned [0x4E43]',
	0x4E44 : 'Unassigned [0x4E44]',
	0x4E45 : 'Unassigned [0x4E45]',
	0x4E46 : 'Unassigned [0x4E46]',
	0x4E47 : 'Unassigned [0x4E47]',
	0x4E48 : 'Unassigned [0x4E48]',
	0x4E49 : 'Unassigned [0x4E49]',
	0x4E4A : 'Unassigned [0x4E4A]',
	0x4E4B : 'Unassigned [0x4E4B]',
	0x4E4C : 'Unassigned [0x4E4C]',
	0x4E4D : 'Unassigned [0x4E4D]',
	0x4E4E : 'Unassigned [0x4E4E]',
	0x4E4F : 'Unassigned [0x4E4F]',
	0x4E50 : 'Unassigned [0x4E50]',
	0x4E51 : 'Unassigned [0x4E51]',
	0x4E52 : 'Unassigned [0x4E52]',
	0x4E53 : 'Unassigned [0x4E53]',
	0x4E54 : 'Unassigned [0x4E54]',
	0x4E55 : 'Unassigned [0x4E55]',
	0x4E56 : 'Unassigned [0x4E56]',
	0x4E57 : 'Unassigned [0x4E57]',
	0x4E58 : 'Unassigned [0x4E58]',
	0x4E59 : 'Unassigned [0x4E59]',
	0x4E5A : 'Unassigned [0x4E5A]',
	0x4E5B : 'Unassigned [0x4E5B]',
	0x4E5C : 'Unassigned [0x4E5C]',
	0x4E5D : 'Unassigned [0x4E5D]',
	0x4E5E : 'Unassigned [0x4E5E]',
	0x4E5F : 'Unassigned [0x4E5F]',
	0x4E60 : 'Unassigned [0x4E60]',
	0x4E61 : 'Unassigned [0x4E61]',
	0x4E62 : 'Unassigned [0x4E62]',
	0x4E63 : 'Unassigned [0x4E63]',
	0x4E64 : 'Unassigned [0x4E64]',
	0x4E65 : 'Unassigned [0x4E65]',
	0x4E66 : 'Unassigned [0x4E66]',
	0x4E67 : 'Unassigned [0x4E67]',
	0x4E68 : 'Unassigned [0x4E68]',
	0x4E69 : 'Unassigned [0x4E69]',
	0x4E6A : 'Unassigned [0x4E6A]',
	0x4E6B : 'Unassigned [0x4E6B]',
	0x4E6C : 'Unassigned [0x4E6C]',
	0x4E6D : 'Unassigned [0x4E6D]',
	0x4E6E : 'Unassigned [0x4E6E]',
	0x4E6F : 'Unassigned [0x4E6F]',
	0x4E70 : 'Unassigned [0x4E70]',
	0x4E71 : 'Unassigned [0x4E71]',
	0x4E72 : 'Unassigned [0x4E72]',
	0x4E73 : 'Unassigned [0x4E73]',
	0x4E74 : 'Unassigned [0x4E74]',
	0x4E75 : 'Unassigned [0x4E75]',
	0x4E76 : 'Unassigned [0x4E76]',
	0x4E77 : 'Unassigned [0x4E77]',
	0x4E78 : 'Unassigned [0x4E78]',
	0x4E79 : 'Unassigned [0x4E79]',
	0x4E7A : 'Unassigned [0x4E7A]',
	0x4E7B : 'Unassigned [0x4E7B]',
	0x4E7C : 'Unassigned [0x4E7C]',
	0x4E7D : 'Unassigned [0x4E7D]',
	0x4E7E : 'Unassigned [0x4E7E]',
	0x4E7F : 'Unassigned [0x4E7F]',
	0x4E80 : 'Unassigned [0x4E80]',
	0x4E81 : 'Unassigned [0x4E81]',
	0x4E82 : 'Unassigned [0x4E82]',
	0x4E83 : 'Unassigned [0x4E83]',
	0x4E84 : 'Unassigned [0x4E84]',
	0x4E85 : 'Unassigned [0x4E85]',
	0x4E86 : 'Unassigned [0x4E86]',
	0x4E87 : 'Unassigned [0x4E87]',
	0x4E88 : 'Unassigned [0x4E88]',
	0x4E89 : 'Unassigned [0x4E89]',
	0x4E8A : 'Unassigned [0x4E8A]',
	0x4E8B : 'Unassigned [0x4E8B]',
	0x4E8C : 'Unassigned [0x4E8C]',
	0x4E8D : 'Unassigned [0x4E8D]',
	0x4E8E : 'Unassigned [0x4E8E]',
	0x4E8F : 'Unassigned [0x4E8F]',
	0x4E90 : 'Unassigned [0x4E90]',
	0x4E91 : 'Unassigned [0x4E91]',
	0x4E92 : 'Unassigned [0x4E92]',
	0x4E93 : 'Unassigned [0x4E93]',
	0x4E94 : 'Unassigned [0x4E94]',
	0x4E95 : 'Unassigned [0x4E95]',
	0x4E96 : 'Unassigned [0x4E96]',
	0x4E97 : 'Unassigned [0x4E97]',
	0x4E98 : 'Unassigned [0x4E98]',
	0x4E99 : 'Unassigned [0x4E99]',
	0x4E9A : 'Unassigned [0x4E9A]',
	0x4E9B : 'Unassigned [0x4E9B]',
	0x4E9C : 'Unassigned [0x4E9C]',
	0x4E9D : 'Unassigned [0x4E9D]',
	0x4E9E : 'Unassigned [0x4E9E]',
	0x4E9F : 'Unassigned [0x4E9F]',
	0x4EA0 : 'Unassigned [0x4EA0]',
	0x4EA1 : 'Unassigned [0x4EA1]',
	0x4EA2 : 'Unassigned [0x4EA2]',
	0x4EA3 : 'Unassigned [0x4EA3]',
	0x4EA4 : 'Unassigned [0x4EA4]',
	0x4EA5 : 'Unassigned [0x4EA5]',
	0x4EA6 : 'Unassigned [0x4EA6]',
	0x4EA7 : 'Unassigned [0x4EA7]',
	0x4EA8 : 'Unassigned [0x4EA8]',
	0x4EA9 : 'Unassigned [0x4EA9]',
	0x4EAA : 'Unassigned [0x4EAA]',
	0x4EAB : 'Unassigned [0x4EAB]',
	0x4EAC : 'Unassigned [0x4EAC]',
	0x4EAD : 'Unassigned [0x4EAD]',
	0x4EAE : 'Unassigned [0x4EAE]',
	0x4EAF : 'Unassigned [0x4EAF]',
	0x4EB0 : 'Unassigned [0x4EB0]',
	0x4EB1 : 'Unassigned [0x4EB1]',
	0x4EB2 : 'Unassigned [0x4EB2]',
	0x4EB3 : 'Unassigned [0x4EB3]',
	0x4EB4 : 'Unassigned [0x4EB4]',
	0x4EB5 : 'Unassigned [0x4EB5]',
	0x4EB6 : 'Unassigned [0x4EB6]',
	0x4EB7 : 'Unassigned [0x4EB7]',
	0x4EB8 : 'Unassigned [0x4EB8]',
	0x4EB9 : 'Unassigned [0x4EB9]',
	0x4EBA : 'Unassigned [0x4EBA]',
	0x4EBB : 'Unassigned [0x4EBB]',
	0x4EBC : 'Unassigned [0x4EBC]',
	0x4EBD : 'Unassigned [0x4EBD]',
	0x4EBE : 'Unassigned [0x4EBE]',
	0x4EBF : 'Unassigned [0x4EBF]',
	0x4EC0 : 'Unassigned [0x4EC0]',
	0x4EC1 : 'Unassigned [0x4EC1]',
	0x4EC2 : 'Unassigned [0x4EC2]',
	0x4EC3 : 'Unassigned [0x4EC3]',
	0x4EC4 : 'Unassigned [0x4EC4]',
	0x4EC5 : 'Unassigned [0x4EC5]',
	0x4EC6 : 'Unassigned [0x4EC6]',
	0x4EC7 : 'Unassigned [0x4EC7]',
	0x4EC8 : 'Unassigned [0x4EC8]',
	0x4EC9 : 'Unassigned [0x4EC9]',
	0x4ECA : 'Unassigned [0x4ECA]',
	0x4ECB : 'Unassigned [0x4ECB]',
	0x4ECC : 'Unassigned [0x4ECC]',
	0x4ECD : 'Unassigned [0x4ECD]',
	0x4ECE : 'Unassigned [0x4ECE]',
	0x4ECF : 'Unassigned [0x4ECF]',
	0x4ED0 : 'Unassigned [0x4ED0]',
	0x4ED1 : 'Unassigned [0x4ED1]',
	0x4ED2 : 'Unassigned [0x4ED2]',
	0x4ED3 : 'Unassigned [0x4ED3]',
	0x4ED4 : 'Unassigned [0x4ED4]',
	0x4ED5 : 'Unassigned [0x4ED5]',
	0x4ED6 : 'Unassigned [0x4ED6]',
	0x4ED7 : 'Unassigned [0x4ED7]',
	0x4ED8 : 'Unassigned [0x4ED8]',
	0x4ED9 : 'Unassigned [0x4ED9]',
	0x4EDA : 'Unassigned [0x4EDA]',
	0x4EDB : 'Unassigned [0x4EDB]',
	0x4EDC : 'Unassigned [0x4EDC]',
	0x4EDD : 'Unassigned [0x4EDD]',
	0x4EDE : 'Unassigned [0x4EDE]',
	0x4EDF : 'Unassigned [0x4EDF]',
	0x4EE0 : 'Unassigned [0x4EE0]',
	0x4EE1 : 'Unassigned [0x4EE1]',
	0x4EE2 : 'Unassigned [0x4EE2]',
	0x4EE3 : 'Unassigned [0x4EE3]',
	0x4EE4 : 'Unassigned [0x4EE4]',
	0x4EE5 : 'Unassigned [0x4EE5]',
	0x4EE6 : 'Unassigned [0x4EE6]',
	0x4EE7 : 'Unassigned [0x4EE7]',
	0x4EE8 : 'Unassigned [0x4EE8]',
	0x4EE9 : 'Unassigned [0x4EE9]',
	0x4EEA : 'Unassigned [0x4EEA]',
	0x4EEB : 'Unassigned [0x4EEB]',
	0x4EEC : 'Unassigned [0x4EEC]',
	0x4EED : 'Unassigned [0x4EED]',
	0x4EEE : 'Unassigned [0x4EEE]',
	0x4EEF : 'Unassigned [0x4EEF]',
	0x4EF0 : 'Unassigned [0x4EF0]',
	0x4EF1 : 'Unassigned [0x4EF1]',
	0x4EF2 : 'Unassigned [0x4EF2]',
	0x4EF3 : 'Unassigned [0x4EF3]',
	0x4EF4 : 'Unassigned [0x4EF4]',
	0x4EF5 : 'Unassigned [0x4EF5]',
	0x4EF6 : 'Unassigned [0x4EF6]',
	0x4EF7 : 'Unassigned [0x4EF7]',
	0x4EF8 : 'Unassigned [0x4EF8]',
	0x4EF9 : 'Unassigned [0x4EF9]',
	0x4EFA : 'Unassigned [0x4EFA]',
	0x4EFB : 'Unassigned [0x4EFB]',
	0x4EFC : 'Unassigned [0x4EFC]',
	0x4EFD : 'Unassigned [0x4EFD]',
	0x4EFE : 'Unassigned [0x4EFE]',
	0x4EFF : 'Unassigned [0x4EFF]',
	0x4F00 : 'Unassigned [0x4F00]',
	0x4F01 : 'Unassigned [0x4F01]',
	0x4F02 : 'Unassigned [0x4F02]',
	0x4F03 : 'Unassigned [0x4F03]',
	0x4F04 : 'Unassigned [0x4F04]',
	0x4F05 : 'Unassigned [0x4F05]',
	0x4F06 : 'Unassigned [0x4F06]',
	0x4F07 : 'Unassigned [0x4F07]',
	0x4F08 : 'Unassigned [0x4F08]',
	0x4F09 : 'Unassigned [0x4F09]',
	0x4F0A : 'Unassigned [0x4F0A]',
	0x4F0B : 'Unassigned [0x4F0B]',
	0x4F0C : 'Unassigned [0x4F0C]',
	0x4F0D : 'Unassigned [0x4F0D]',
	0x4F0E : 'Unassigned [0x4F0E]',
	0x4F0F : 'Unassigned [0x4F0F]',
	0x4F10 : 'Unassigned [0x4F10]',
	0x4F11 : 'Unassigned [0x4F11]',
	0x4F12 : 'Unassigned [0x4F12]',
	0x4F13 : 'Unassigned [0x4F13]',
	0x4F14 : 'Unassigned [0x4F14]',
	0x4F15 : 'Unassigned [0x4F15]',
	0x4F16 : 'Unassigned [0x4F16]',
	0x4F17 : 'Unassigned [0x4F17]',
	0x4F18 : 'Unassigned [0x4F18]',
	0x4F19 : 'Unassigned [0x4F19]',
	0x4F1A : 'Unassigned [0x4F1A]',
	0x4F1B : 'Unassigned [0x4F1B]',
	0x4F1C : 'Unassigned [0x4F1C]',
	0x4F1D : 'Unassigned [0x4F1D]',
	0x4F1E : 'Unassigned [0x4F1E]',
	0x4F1F : 'Unassigned [0x4F1F]',
	0x4F20 : 'Unassigned [0x4F20]',
	0x4F21 : 'Unassigned [0x4F21]',
	0x4F22 : 'Unassigned [0x4F22]',
	0x4F23 : 'Unassigned [0x4F23]',
	0x4F24 : 'Unassigned [0x4F24]',
	0x4F25 : 'Unassigned [0x4F25]',
	0x4F26 : 'Unassigned [0x4F26]',
	0x4F27 : 'Unassigned [0x4F27]',
	0x4F28 : 'Unassigned [0x4F28]',
	0x4F29 : 'Unassigned [0x4F29]',
	0x4F2A : 'Unassigned [0x4F2A]',
	0x4F2B : 'Unassigned [0x4F2B]',
	0x4F2C : 'Unassigned [0x4F2C]',
	0x4F2D : 'Unassigned [0x4F2D]',
	0x4F2E : 'Unassigned [0x4F2E]',
	0x4F2F : 'Unassigned [0x4F2F]',
	0x4F30 : 'Unassigned [0x4F30]',
	0x4F31 : 'Unassigned [0x4F31]',
	0x4F32 : 'Unassigned [0x4F32]',
	0x4F33 : 'Unassigned [0x4F33]',
	0x4F34 : 'Unassigned [0x4F34]',
	0x4F35 : 'Unassigned [0x4F35]',
	0x4F36 : 'Unassigned [0x4F36]',
	0x4F37 : 'Unassigned [0x4F37]',
	0x4F38 : 'Unassigned [0x4F38]',
	0x4F39 : 'Unassigned [0x4F39]',
	0x4F3A : 'Unassigned [0x4F3A]',
	0x4F3B : 'Unassigned [0x4F3B]',
	0x4F3C : 'Unassigned [0x4F3C]',
	0x4F3D : 'Unassigned [0x4F3D]',
	0x4F3E : 'Unassigned [0x4F3E]',
	0x4F3F : 'Unassigned [0x4F3F]',
	0x4F40 : 'Unassigned [0x4F40]',
	0x4F41 : 'Unassigned [0x4F41]',
	0x4F42 : 'Unassigned [0x4F42]',
	0x4F43 : 'Unassigned [0x4F43]',
	0x4F44 : 'Unassigned [0x4F44]',
	0x4F45 : 'Unassigned [0x4F45]',
	0x4F46 : 'Unassigned [0x4F46]',
	0x4F47 : 'Unassigned [0x4F47]',
	0x4F48 : 'Unassigned [0x4F48]',
	0x4F49 : 'Unassigned [0x4F49]',
	0x4F4A : 'Unassigned [0x4F4A]',
	0x4F4B : 'Unassigned [0x4F4B]',
	0x4F4C : 'Unassigned [0x4F4C]',
	0x4F4D : 'Unassigned [0x4F4D]',
	0x4F4E : 'Unassigned [0x4F4E]',
	0x4F4F : 'Unassigned [0x4F4F]',
	0x4F50 : 'Unassigned [0x4F50]',
	0x4F51 : 'Unassigned [0x4F51]',
	0x4F52 : 'Unassigned [0x4F52]',
	0x4F53 : 'Unassigned [0x4F53]',
	0x4F54 : 'Unassigned [0x4F54]',
	0x4F55 : 'Unassigned [0x4F55]',
	0x4F56 : 'Unassigned [0x4F56]',
	0x4F57 : 'Unassigned [0x4F57]',
	0x4F58 : 'Unassigned [0x4F58]',
	0x4F59 : 'Unassigned [0x4F59]',
	0x4F5A : 'Unassigned [0x4F5A]',
	0x4F5B : 'Unassigned [0x4F5B]',
	0x4F5C : 'Unassigned [0x4F5C]',
	0x4F5D : 'Unassigned [0x4F5D]',
	0x4F5E : 'Unassigned [0x4F5E]',
	0x4F5F : 'Unassigned [0x4F5F]',
	0x4F60 : 'Unassigned [0x4F60]',
	0x4F61 : 'Unassigned [0x4F61]',
	0x4F62 : 'Unassigned [0x4F62]',
	0x4F63 : 'Unassigned [0x4F63]',
	0x4F64 : 'Unassigned [0x4F64]',
	0x4F65 : 'Unassigned [0x4F65]',
	0x4F66 : 'Unassigned [0x4F66]',
	0x4F67 : 'Unassigned [0x4F67]',
	0x4F68 : 'Unassigned [0x4F68]',
	0x4F69 : 'Unassigned [0x4F69]',
	0x4F6A : 'Unassigned [0x4F6A]',
	0x4F6B : 'Unassigned [0x4F6B]',
	0x4F6C : 'Unassigned [0x4F6C]',
	0x4F6D : 'Unassigned [0x4F6D]',
	0x4F6E : 'Unassigned [0x4F6E]',
	0x4F6F : 'Unassigned [0x4F6F]',
	0x4F70 : 'Unassigned [0x4F70]',
	0x4F71 : 'Unassigned [0x4F71]',
	0x4F72 : 'Unassigned [0x4F72]',
	0x4F73 : 'Unassigned [0x4F73]',
	0x4F74 : 'Unassigned [0x4F74]',
	0x4F75 : 'Unassigned [0x4F75]',
	0x4F76 : 'Unassigned [0x4F76]',
	0x4F77 : 'Unassigned [0x4F77]',
	0x4F78 : 'Unassigned [0x4F78]',
	0x4F79 : 'Unassigned [0x4F79]',
	0x4F7A : 'Unassigned [0x4F7A]',
	0x4F7B : 'Unassigned [0x4F7B]',
	0x4F7C : 'Unassigned [0x4F7C]',
	0x4F7D : 'Unassigned [0x4F7D]',
	0x4F7E : 'Unassigned [0x4F7E]',
	0x4F7F : 'Unassigned [0x4F7F]',
	0x4F80 : 'Unassigned [0x4F80]',
	0x4F81 : 'Unassigned [0x4F81]',
	0x4F82 : 'Unassigned [0x4F82]',
	0x4F83 : 'Unassigned [0x4F83]',
	0x4F84 : 'Unassigned [0x4F84]',
	0x4F85 : 'Unassigned [0x4F85]',
	0x4F86 : 'Unassigned [0x4F86]',
	0x4F87 : 'Unassigned [0x4F87]',
	0x4F88 : 'Unassigned [0x4F88]',
	0x4F89 : 'Unassigned [0x4F89]',
	0x4F8A : 'Unassigned [0x4F8A]',
	0x4F8B : 'Unassigned [0x4F8B]',
	0x4F8C : 'Unassigned [0x4F8C]',
	0x4F8D : 'Unassigned [0x4F8D]',
	0x4F8E : 'Unassigned [0x4F8E]',
	0x4F8F : 'Unassigned [0x4F8F]',
	0x4F90 : 'Unassigned [0x4F90]',
	0x4F91 : 'Unassigned [0x4F91]',
	0x4F92 : 'Unassigned [0x4F92]',
	0x4F93 : 'Unassigned [0x4F93]',
	0x4F94 : 'Unassigned [0x4F94]',
	0x4F95 : 'Unassigned [0x4F95]',
	0x4F96 : 'Unassigned [0x4F96]',
	0x4F97 : 'Unassigned [0x4F97]',
	0x4F98 : 'Unassigned [0x4F98]',
	0x4F99 : 'Unassigned [0x4F99]',
	0x4F9A : 'Unassigned [0x4F9A]',
	0x4F9B : 'Unassigned [0x4F9B]',
	0x4F9C : 'Unassigned [0x4F9C]',
	0x4F9D : 'Unassigned [0x4F9D]',
	0x4F9E : 'Unassigned [0x4F9E]',
	0x4F9F : 'Unassigned [0x4F9F]',
	0x4FA0 : 'Unassigned [0x4FA0]',
	0x4FA1 : 'Unassigned [0x4FA1]',
	0x4FA2 : 'Unassigned [0x4FA2]',
	0x4FA3 : 'Unassigned [0x4FA3]',
	0x4FA4 : 'Unassigned [0x4FA4]',
	0x4FA5 : 'Unassigned [0x4FA5]',
	0x4FA6 : 'Unassigned [0x4FA6]',
	0x4FA7 : 'Unassigned [0x4FA7]',
	0x4FA8 : 'Unassigned [0x4FA8]',
	0x4FA9 : 'Unassigned [0x4FA9]',
	0x4FAA : 'Unassigned [0x4FAA]',
	0x4FAB : 'Unassigned [0x4FAB]',
	0x4FAC : 'Unassigned [0x4FAC]',
	0x4FAD : 'Unassigned [0x4FAD]',
	0x4FAE : 'Unassigned [0x4FAE]',
	0x4FAF : 'Unassigned [0x4FAF]',
	0x4FB0 : 'Unassigned [0x4FB0]',
	0x4FB1 : 'Unassigned [0x4FB1]',
	0x4FB2 : 'Unassigned [0x4FB2]',
	0x4FB3 : 'Unassigned [0x4FB3]',
	0x4FB4 : 'Unassigned [0x4FB4]',
	0x4FB5 : 'Unassigned [0x4FB5]',
	0x4FB6 : 'Unassigned [0x4FB6]',
	0x4FB7 : 'Unassigned [0x4FB7]',
	0x4FB8 : 'Unassigned [0x4FB8]',
	0x4FB9 : 'Unassigned [0x4FB9]',
	0x4FBA : 'Unassigned [0x4FBA]',
	0x4FBB : 'Unassigned [0x4FBB]',
	0x4FBC : 'Unassigned [0x4FBC]',
	0x4FBD : 'Unassigned [0x4FBD]',
	0x4FBE : 'Unassigned [0x4FBE]',
	0x4FBF : 'Unassigned [0x4FBF]',
	0x4FC0 : 'Unassigned [0x4FC0]',
	0x4FC1 : 'Unassigned [0x4FC1]',
	0x4FC2 : 'Unassigned [0x4FC2]',
	0x4FC3 : 'Unassigned [0x4FC3]',
	0x4FC4 : 'Unassigned [0x4FC4]',
	0x4FC5 : 'Unassigned [0x4FC5]',
	0x4FC6 : 'Unassigned [0x4FC6]',
	0x4FC7 : 'Unassigned [0x4FC7]',
	0x4FC8 : 'Unassigned [0x4FC8]',
	0x4FC9 : 'Unassigned [0x4FC9]',
	0x4FCA : 'Unassigned [0x4FCA]',
	0x4FCB : 'Unassigned [0x4FCB]',
	0x4FCC : 'Unassigned [0x4FCC]',
	0x4FCD : 'Unassigned [0x4FCD]',
	0x4FCE : 'Unassigned [0x4FCE]',
	0x4FCF : 'Unassigned [0x4FCF]',
	0x4FD0 : 'Unassigned [0x4FD0]',
	0x4FD1 : 'Unassigned [0x4FD1]',
	0x4FD2 : 'Unassigned [0x4FD2]',
	0x4FD3 : 'Unassigned [0x4FD3]',
	0x4FD4 : 'Unassigned [0x4FD4]',
	0x4FD5 : 'Unassigned [0x4FD5]',
	0x4FD6 : 'Unassigned [0x4FD6]',
	0x4FD7 : 'Unassigned [0x4FD7]',
	0x4FD8 : 'Unassigned [0x4FD8]',
	0x4FD9 : 'Unassigned [0x4FD9]',
	0x4FDA : 'Unassigned [0x4FDA]',
	0x4FDB : 'Unassigned [0x4FDB]',
	0x4FDC : 'Unassigned [0x4FDC]',
	0x4FDD : 'Unassigned [0x4FDD]',
	0x4FDE : 'Unassigned [0x4FDE]',
	0x4FDF : 'Unassigned [0x4FDF]',
	0x4FE0 : 'Unassigned [0x4FE0]',
	0x4FE1 : 'Unassigned [0x4FE1]',
	0x4FE2 : 'Unassigned [0x4FE2]',
	0x4FE3 : 'Unassigned [0x4FE3]',
	0x4FE4 : 'Unassigned [0x4FE4]',
	0x4FE5 : 'Unassigned [0x4FE5]',
	0x4FE6 : 'Unassigned [0x4FE6]',
	0x4FE7 : 'Unassigned [0x4FE7]',
	0x4FE8 : 'Unassigned [0x4FE8]',
	0x4FE9 : 'Unassigned [0x4FE9]',
	0x4FEA : 'Unassigned [0x4FEA]',
	0x4FEB : 'Unassigned [0x4FEB]',
	0x4FEC : 'Unassigned [0x4FEC]',
	0x4FED : 'Unassigned [0x4FED]',
	0x4FEE : 'Unassigned [0x4FEE]',
	0x4FEF : 'Unassigned [0x4FEF]',
	0x4FF0 : 'Unassigned [0x4FF0]',
	0x4FF1 : 'Unassigned [0x4FF1]',
	0x4FF2 : 'Unassigned [0x4FF2]',
	0x4FF3 : 'Unassigned [0x4FF3]',
	0x4FF4 : 'Unassigned [0x4FF4]',
	0x4FF5 : 'Unassigned [0x4FF5]',
	0x4FF6 : 'Unassigned [0x4FF6]',
	0x4FF7 : 'Unassigned [0x4FF7]',
	0x4FF8 : 'Unassigned [0x4FF8]',
	0x4FF9 : 'Unassigned [0x4FF9]',
	0x4FFA : 'Unassigned [0x4FFA]',
	0x4FFB : 'Unassigned [0x4FFB]',
	0x4FFC : 'Unassigned [0x4FFC]',
	0x4FFD : 'Unassigned [0x4FFD]',
	0x4FFE : 'Unassigned [0x4FFE]',
	0x4FFF : 'Unassigned [0x4FFF]',
	0x5000 : 'Unassigned [0x5000]',
	0x5001 : 'Unassigned [0x5001]',
	0x5002 : 'Unassigned [0x5002]',
	0x5003 : 'Unassigned [0x5003]',
	0x5004 : 'Unassigned [0x5004]',
	0x5005 : 'Unassigned [0x5005]',
	0x5006 : 'Unassigned [0x5006]',
	0x5007 : 'Unassigned [0x5007]',
	0x5008 : 'Unassigned [0x5008]',
	0x5009 : 'Unassigned [0x5009]',
	0x500A : 'Unassigned [0x500A]',
	0x500B : 'Unassigned [0x500B]',
	0x500C : 'Unassigned [0x500C]',
	0x500D : 'Unassigned [0x500D]',
	0x500E : 'Unassigned [0x500E]',
	0x500F : 'Unassigned [0x500F]',
	0x5010 : 'Unassigned [0x5010]',
	0x5011 : 'Unassigned [0x5011]',
	0x5012 : 'Unassigned [0x5012]',
	0x5013 : 'Unassigned [0x5013]',
	0x5014 : 'Unassigned [0x5014]',
	0x5015 : 'Unassigned [0x5015]',
	0x5016 : 'Unassigned [0x5016]',
	0x5017 : 'Unassigned [0x5017]',
	0x5018 : 'Unassigned [0x5018]',
	0x5019 : 'Unassigned [0x5019]',
	0x501A : 'Unassigned [0x501A]',
	0x501B : 'Unassigned [0x501B]',
	0x501C : 'Unassigned [0x501C]',
	0x501D : 'Unassigned [0x501D]',
	0x501E : 'Unassigned [0x501E]',
	0x501F : 'Unassigned [0x501F]',
	0x5020 : 'Unassigned [0x5020]',
	0x5021 : 'Unassigned [0x5021]',
	0x5022 : 'Unassigned [0x5022]',
	0x5023 : 'Unassigned [0x5023]',
	0x5024 : 'Unassigned [0x5024]',
	0x5025 : 'Unassigned [0x5025]',
	0x5026 : 'Unassigned [0x5026]',
	0x5027 : 'Unassigned [0x5027]',
	0x5028 : 'Unassigned [0x5028]',
	0x5029 : 'Unassigned [0x5029]',
	0x502A : 'Unassigned [0x502A]',
	0x502B : 'Unassigned [0x502B]',
	0x502C : 'Unassigned [0x502C]',
	0x502D : 'Unassigned [0x502D]',
	0x502E : 'Unassigned [0x502E]',
	0x502F : 'Unassigned [0x502F]',
	0x5030 : 'Unassigned [0x5030]',
	0x5031 : 'Unassigned [0x5031]',
	0x5032 : 'Unassigned [0x5032]',
	0x5033 : 'Unassigned [0x5033]',
	0x5034 : 'Unassigned [0x5034]',
	0x5035 : 'Unassigned [0x5035]',
	0x5036 : 'Unassigned [0x5036]',
	0x5037 : 'Unassigned [0x5037]',
	0x5038 : 'Unassigned [0x5038]',
	0x5039 : 'Unassigned [0x5039]',
	0x503A : 'Unassigned [0x503A]',
	0x503B : 'Unassigned [0x503B]',
	0x503C : 'Unassigned [0x503C]',
	0x503D : 'Unassigned [0x503D]',
	0x503E : 'Unassigned [0x503E]',
	0x503F : 'Unassigned [0x503F]',
	0x5040 : 'Unassigned [0x5040]',
	0x5041 : 'Unassigned [0x5041]',
	0x5042 : 'Unassigned [0x5042]',
	0x5043 : 'Unassigned [0x5043]',
	0x5044 : 'Unassigned [0x5044]',
	0x5045 : 'Unassigned [0x5045]',
	0x5046 : 'Unassigned [0x5046]',
	0x5047 : 'Unassigned [0x5047]',
	0x5048 : 'Unassigned [0x5048]',
	0x5049 : 'Unassigned [0x5049]',
	0x504A : 'Unassigned [0x504A]',
	0x504B : 'Unassigned [0x504B]',
	0x504C : 'Unassigned [0x504C]',
	0x504D : 'Unassigned [0x504D]',
	0x504E : 'Unassigned [0x504E]',
	0x504F : 'Unassigned [0x504F]',
	0x5050 : 'Unassigned [0x5050]',
	0x5051 : 'Unassigned [0x5051]',
	0x5052 : 'Unassigned [0x5052]',
	0x5053 : 'Unassigned [0x5053]',
	0x5054 : 'Unassigned [0x5054]',
	0x5055 : 'Unassigned [0x5055]',
	0x5056 : 'Unassigned [0x5056]',
	0x5057 : 'Unassigned [0x5057]',
	0x5058 : 'Unassigned [0x5058]',
	0x5059 : 'Unassigned [0x5059]',
	0x505A : 'Unassigned [0x505A]',
	0x505B : 'Unassigned [0x505B]',
	0x505C : 'Unassigned [0x505C]',
	0x505D : 'Unassigned [0x505D]',
	0x505E : 'Unassigned [0x505E]',
	0x505F : 'Unassigned [0x505F]',
	0x5060 : 'Unassigned [0x5060]',
	0x5061 : 'Unassigned [0x5061]',
	0x5062 : 'Unassigned [0x5062]',
	0x5063 : 'Unassigned [0x5063]',
	0x5064 : 'Unassigned [0x5064]',
	0x5065 : 'Unassigned [0x5065]',
	0x5066 : 'Unassigned [0x5066]',
	0x5067 : 'Unassigned [0x5067]',
	0x5068 : 'Unassigned [0x5068]',
	0x5069 : 'Unassigned [0x5069]',
	0x506A : 'Unassigned [0x506A]',
	0x506B : 'Unassigned [0x506B]',
	0x506C : 'Unassigned [0x506C]',
	0x506D : 'Unassigned [0x506D]',
	0x506E : 'Unassigned [0x506E]',
	0x506F : 'Unassigned [0x506F]',
	0x5070 : 'Unassigned [0x5070]',
	0x5071 : 'Unassigned [0x5071]',
	0x5072 : 'Unassigned [0x5072]',
	0x5073 : 'Unassigned [0x5073]',
	0x5074 : 'Unassigned [0x5074]',
	0x5075 : 'Unassigned [0x5075]',
	0x5076 : 'Unassigned [0x5076]',
	0x5077 : 'Unassigned [0x5077]',
	0x5078 : 'Unassigned [0x5078]',
	0x5079 : 'Unassigned [0x5079]',
	0x507A : 'Unassigned [0x507A]',
	0x507B : 'Unassigned [0x507B]',
	0x507C : 'Unassigned [0x507C]',
	0x507D : 'Unassigned [0x507D]',
	0x507E : 'Unassigned [0x507E]',
	0x507F : 'Unassigned [0x507F]',
	0x5080 : 'Unassigned [0x5080]',
	0x5081 : 'Unassigned [0x5081]',
	0x5082 : 'Unassigned [0x5082]',
	0x5083 : 'Unassigned [0x5083]',
	0x5084 : 'Unassigned [0x5084]',
	0x5085 : 'Unassigned [0x5085]',
	0x5086 : 'Unassigned [0x5086]',
	0x5087 : 'Unassigned [0x5087]',
	0x5088 : 'Unassigned [0x5088]',
	0x5089 : 'Unassigned [0x5089]',
	0x508A : 'Unassigned [0x508A]',
	0x508B : 'Unassigned [0x508B]',
	0x508C : 'Unassigned [0x508C]',
	0x508D : 'Unassigned [0x508D]',
	0x508E : 'Unassigned [0x508E]',
	0x508F : 'Unassigned [0x508F]',
	0x5090 : 'Unassigned [0x5090]',
	0x5091 : 'Unassigned [0x5091]',
	0x5092 : 'Unassigned [0x5092]',
	0x5093 : 'Unassigned [0x5093]',
	0x5094 : 'Unassigned [0x5094]',
	0x5095 : 'Unassigned [0x5095]',
	0x5096 : 'Unassigned [0x5096]',
	0x5097 : 'Unassigned [0x5097]',
	0x5098 : 'Unassigned [0x5098]',
	0x5099 : 'Unassigned [0x5099]',
	0x509A : 'Unassigned [0x509A]',
	0x509B : 'Unassigned [0x509B]',
	0x509C : 'Unassigned [0x509C]',
	0x509D : 'Unassigned [0x509D]',
	0x509E : 'Unassigned [0x509E]',
	0x509F : 'Unassigned [0x509F]',
	0x50A0 : 'Unassigned [0x50A0]',
	0x50A1 : 'Unassigned [0x50A1]',
	0x50A2 : 'Unassigned [0x50A2]',
	0x50A3 : 'Unassigned [0x50A3]',
	0x50A4 : 'Unassigned [0x50A4]',
	0x50A5 : 'Unassigned [0x50A5]',
	0x50A6 : 'Unassigned [0x50A6]',
	0x50A7 : 'Unassigned [0x50A7]',
	0x50A8 : 'Unassigned [0x50A8]',
	0x50A9 : 'Unassigned [0x50A9]',
	0x50AA : 'Unassigned [0x50AA]',
	0x50AB : 'Unassigned [0x50AB]',
	0x50AC : 'Unassigned [0x50AC]',
	0x50AD : 'Unassigned [0x50AD]',
	0x50AE : 'Unassigned [0x50AE]',
	0x50AF : 'Unassigned [0x50AF]',
	0x50B0 : 'Unassigned [0x50B0]',
	0x50B1 : 'Unassigned [0x50B1]',
	0x50B2 : 'Unassigned [0x50B2]',
	0x50B3 : 'Unassigned [0x50B3]',
	0x50B4 : 'Unassigned [0x50B4]',
	0x50B5 : 'Unassigned [0x50B5]',
	0x50B6 : 'Unassigned [0x50B6]',
	0x50B7 : 'Unassigned [0x50B7]',
	0x50B8 : 'Unassigned [0x50B8]',
	0x50B9 : 'Unassigned [0x50B9]',
	0x50BA : 'Unassigned [0x50BA]',
	0x50BB : 'Unassigned [0x50BB]',
	0x50BC : 'Unassigned [0x50BC]',
	0x50BD : 'Unassigned [0x50BD]',
	0x50BE : 'Unassigned [0x50BE]',
	0x50BF : 'Unassigned [0x50BF]',
	0x50C0 : 'Unassigned [0x50C0]',
	0x50C1 : 'Unassigned [0x50C1]',
	0x50C2 : 'Unassigned [0x50C2]',
	0x50C3 : 'Unassigned [0x50C3]',
	0x50C4 : 'Unassigned [0x50C4]',
	0x50C5 : 'Unassigned [0x50C5]',
	0x50C6 : 'Unassigned [0x50C6]',
	0x50C7 : 'Unassigned [0x50C7]',
	0x50C8 : 'Unassigned [0x50C8]',
	0x50C9 : 'Unassigned [0x50C9]',
	0x50CA : 'Unassigned [0x50CA]',
	0x50CB : 'Unassigned [0x50CB]',
	0x50CC : 'Unassigned [0x50CC]',
	0x50CD : 'Unassigned [0x50CD]',
	0x50CE : 'Unassigned [0x50CE]',
	0x50CF : 'Unassigned [0x50CF]',
	0x50D0 : 'Unassigned [0x50D0]',
	0x50D1 : 'Unassigned [0x50D1]',
	0x50D2 : 'Unassigned [0x50D2]',
	0x50D3 : 'Unassigned [0x50D3]',
	0x50D4 : 'Unassigned [0x50D4]',
	0x50D5 : 'Unassigned [0x50D5]',
	0x50D6 : 'Unassigned [0x50D6]',
	0x50D7 : 'Unassigned [0x50D7]',
	0x50D8 : 'Unassigned [0x50D8]',
	0x50D9 : 'Unassigned [0x50D9]',
	0x50DA : 'Unassigned [0x50DA]',
	0x50DB : 'Unassigned [0x50DB]',
	0x50DC : 'Unassigned [0x50DC]',
	0x50DD : 'Unassigned [0x50DD]',
	0x50DE : 'Unassigned [0x50DE]',
	0x50DF : 'Unassigned [0x50DF]',
	0x50E0 : 'Unassigned [0x50E0]',
	0x50E1 : 'Unassigned [0x50E1]',
	0x50E2 : 'Unassigned [0x50E2]',
	0x50E3 : 'Unassigned [0x50E3]',
	0x50E4 : 'Unassigned [0x50E4]',
	0x50E5 : 'Unassigned [0x50E5]',
	0x50E6 : 'Unassigned [0x50E6]',
	0x50E7 : 'Unassigned [0x50E7]',
	0x50E8 : 'Unassigned [0x50E8]',
	0x50E9 : 'Unassigned [0x50E9]',
	0x50EA : 'Unassigned [0x50EA]',
	0x50EB : 'Unassigned [0x50EB]',
	0x50EC : 'Unassigned [0x50EC]',
	0x50ED : 'Unassigned [0x50ED]',
	0x50EE : 'Unassigned [0x50EE]',
	0x50EF : 'Unassigned [0x50EF]',
	0x50F0 : 'Unassigned [0x50F0]',
	0x50F1 : 'Unassigned [0x50F1]',
	0x50F2 : 'Unassigned [0x50F2]',
	0x50F3 : 'Unassigned [0x50F3]',
	0x50F4 : 'Unassigned [0x50F4]',
	0x50F5 : 'Unassigned [0x50F5]',
	0x50F6 : 'Unassigned [0x50F6]',
	0x50F7 : 'Unassigned [0x50F7]',
	0x50F8 : 'Unassigned [0x50F8]',
	0x50F9 : 'Unassigned [0x50F9]',
	0x50FA : 'Unassigned [0x50FA]',
	0x50FB : 'Unassigned [0x50FB]',
	0x50FC : 'Unassigned [0x50FC]',
	0x50FD : 'Unassigned [0x50FD]',
	0x50FE : 'Unassigned [0x50FE]',
	0x50FF : 'Unassigned [0x50FF]',
	0x5100 : 'Unassigned [0x5100]',
	0x5101 : 'Unassigned [0x5101]',
	0x5102 : 'Unassigned [0x5102]',
	0x5103 : 'Unassigned [0x5103]',
	0x5104 : 'Unassigned [0x5104]',
	0x5105 : 'Unassigned [0x5105]',
	0x5106 : 'Unassigned [0x5106]',
	0x5107 : 'Unassigned [0x5107]',
	0x5108 : 'Unassigned [0x5108]',
	0x5109 : 'Unassigned [0x5109]',
	0x510A : 'Unassigned [0x510A]',
	0x510B : 'Unassigned [0x510B]',
	0x510C : 'Unassigned [0x510C]',
	0x510D : 'Unassigned [0x510D]',
	0x510E : 'Unassigned [0x510E]',
	0x510F : 'Unassigned [0x510F]',
	0x5110 : 'Unassigned [0x5110]',
	0x5111 : 'Unassigned [0x5111]',
	0x5112 : 'Unassigned [0x5112]',
	0x5113 : 'Unassigned [0x5113]',
	0x5114 : 'Unassigned [0x5114]',
	0x5115 : 'Unassigned [0x5115]',
	0x5116 : 'Unassigned [0x5116]',
	0x5117 : 'Unassigned [0x5117]',
	0x5118 : 'Unassigned [0x5118]',
	0x5119 : 'Unassigned [0x5119]',
	0x511A : 'Unassigned [0x511A]',
	0x511B : 'Unassigned [0x511B]',
	0x511C : 'Unassigned [0x511C]',
	0x511D : 'Unassigned [0x511D]',
	0x511E : 'Unassigned [0x511E]',
	0x511F : 'Unassigned [0x511F]',
	0x5120 : 'Unassigned [0x5120]',
	0x5121 : 'Unassigned [0x5121]',
	0x5122 : 'Unassigned [0x5122]',
	0x5123 : 'Unassigned [0x5123]',
	0x5124 : 'Unassigned [0x5124]',
	0x5125 : 'Unassigned [0x5125]',
	0x5126 : 'Unassigned [0x5126]',
	0x5127 : 'Unassigned [0x5127]',
	0x5128 : 'Unassigned [0x5128]',
	0x5129 : 'Unassigned [0x5129]',
	0x512A : 'Unassigned [0x512A]',
	0x512B : 'Unassigned [0x512B]',
	0x512C : 'Unassigned [0x512C]',
	0x512D : 'Unassigned [0x512D]',
	0x512E : 'Unassigned [0x512E]',
	0x512F : 'Unassigned [0x512F]',
	0x5130 : 'Unassigned [0x5130]',
	0x5131 : 'Unassigned [0x5131]',
	0x5132 : 'Unassigned [0x5132]',
	0x5133 : 'Unassigned [0x5133]',
	0x5134 : 'Unassigned [0x5134]',
	0x5135 : 'Unassigned [0x5135]',
	0x5136 : 'Unassigned [0x5136]',
	0x5137 : 'Unassigned [0x5137]',
	0x5138 : 'Unassigned [0x5138]',
	0x5139 : 'Unassigned [0x5139]',
	0x513A : 'Unassigned [0x513A]',
	0x513B : 'Unassigned [0x513B]',
	0x513C : 'Unassigned [0x513C]',
	0x513D : 'Unassigned [0x513D]',
	0x513E : 'Unassigned [0x513E]',
	0x513F : 'Unassigned [0x513F]',
	0x5140 : 'Unassigned [0x5140]',
	0x5141 : 'Unassigned [0x5141]',
	0x5142 : 'Unassigned [0x5142]',
	0x5143 : 'Unassigned [0x5143]',
	0x5144 : 'Unassigned [0x5144]',
	0x5145 : 'Unassigned [0x5145]',
	0x5146 : 'Unassigned [0x5146]',
	0x5147 : 'Unassigned [0x5147]',
	0x5148 : 'Unassigned [0x5148]',
	0x5149 : 'Unassigned [0x5149]',
	0x514A : 'Unassigned [0x514A]',
	0x514B : 'Unassigned [0x514B]',
	0x514C : 'Unassigned [0x514C]',
	0x514D : 'Unassigned [0x514D]',
	0x514E : 'Unassigned [0x514E]',
	0x514F : 'Unassigned [0x514F]',
	0x5150 : 'Unassigned [0x5150]',
	0x5151 : 'Unassigned [0x5151]',
	0x5152 : 'Unassigned [0x5152]',
	0x5153 : 'Unassigned [0x5153]',
	0x5154 : 'Unassigned [0x5154]',
	0x5155 : 'Unassigned [0x5155]',
	0x5156 : 'Unassigned [0x5156]',
	0x5157 : 'Unassigned [0x5157]',
	0x5158 : 'Unassigned [0x5158]',
	0x5159 : 'Unassigned [0x5159]',
	0x515A : 'Unassigned [0x515A]',
	0x515B : 'Unassigned [0x515B]',
	0x515C : 'Unassigned [0x515C]',
	0x515D : 'Unassigned [0x515D]',
	0x515E : 'Unassigned [0x515E]',
	0x515F : 'Unassigned [0x515F]',
	0x5160 : 'Unassigned [0x5160]',
	0x5161 : 'Unassigned [0x5161]',
	0x5162 : 'Unassigned [0x5162]',
	0x5163 : 'Unassigned [0x5163]',
	0x5164 : 'Unassigned [0x5164]',
	0x5165 : 'Unassigned [0x5165]',
	0x5166 : 'Unassigned [0x5166]',
	0x5167 : 'Unassigned [0x5167]',
	0x5168 : 'Unassigned [0x5168]',
	0x5169 : 'Unassigned [0x5169]',
	0x516A : 'Unassigned [0x516A]',
	0x516B : 'Unassigned [0x516B]',
	0x516C : 'Unassigned [0x516C]',
	0x516D : 'Unassigned [0x516D]',
	0x516E : 'Unassigned [0x516E]',
	0x516F : 'Unassigned [0x516F]',
	0x5170 : 'Unassigned [0x5170]',
	0x5171 : 'Unassigned [0x5171]',
	0x5172 : 'Unassigned [0x5172]',
	0x5173 : 'Unassigned [0x5173]',
	0x5174 : 'Unassigned [0x5174]',
	0x5175 : 'Unassigned [0x5175]',
	0x5176 : 'Unassigned [0x5176]',
	0x5177 : 'Unassigned [0x5177]',
	0x5178 : 'Unassigned [0x5178]',
	0x5179 : 'Unassigned [0x5179]',
	0x517A : 'Unassigned [0x517A]',
	0x517B : 'Unassigned [0x517B]',
	0x517C : 'Unassigned [0x517C]',
	0x517D : 'Unassigned [0x517D]',
	0x517E : 'Unassigned [0x517E]',
	0x517F : 'Unassigned [0x517F]',
	0x5180 : 'Unassigned [0x5180]',
	0x5181 : 'Unassigned [0x5181]',
	0x5182 : 'Unassigned [0x5182]',
	0x5183 : 'Unassigned [0x5183]',
	0x5184 : 'Unassigned [0x5184]',
	0x5185 : 'Unassigned [0x5185]',
	0x5186 : 'Unassigned [0x5186]',
	0x5187 : 'Unassigned [0x5187]',
	0x5188 : 'Unassigned [0x5188]',
	0x5189 : 'Unassigned [0x5189]',
	0x518A : 'Unassigned [0x518A]',
	0x518B : 'Unassigned [0x518B]',
	0x518C : 'Unassigned [0x518C]',
	0x518D : 'Unassigned [0x518D]',
	0x518E : 'Unassigned [0x518E]',
	0x518F : 'Unassigned [0x518F]',
	0x5190 : 'Unassigned [0x5190]',
	0x5191 : 'Unassigned [0x5191]',
	0x5192 : 'Unassigned [0x5192]',
	0x5193 : 'Unassigned [0x5193]',
	0x5194 : 'Unassigned [0x5194]',
	0x5195 : 'Unassigned [0x5195]',
	0x5196 : 'Unassigned [0x5196]',
	0x5197 : 'Unassigned [0x5197]',
	0x5198 : 'Unassigned [0x5198]',
	0x5199 : 'Unassigned [0x5199]',
	0x519A : 'Unassigned [0x519A]',
	0x519B : 'Unassigned [0x519B]',
	0x519C : 'Unassigned [0x519C]',
	0x519D : 'Unassigned [0x519D]',
	0x519E : 'Unassigned [0x519E]',
	0x519F : 'Unassigned [0x519F]',
	0x51A0 : 'Unassigned [0x51A0]',
	0x51A1 : 'Unassigned [0x51A1]',
	0x51A2 : 'Unassigned [0x51A2]',
	0x51A3 : 'Unassigned [0x51A3]',
	0x51A4 : 'Unassigned [0x51A4]',
	0x51A5 : 'Unassigned [0x51A5]',
	0x51A6 : 'Unassigned [0x51A6]',
	0x51A7 : 'Unassigned [0x51A7]',
	0x51A8 : 'Unassigned [0x51A8]',
	0x51A9 : 'Unassigned [0x51A9]',
	0x51AA : 'Unassigned [0x51AA]',
	0x51AB : 'Unassigned [0x51AB]',
	0x51AC : 'Unassigned [0x51AC]',
	0x51AD : 'Unassigned [0x51AD]',
	0x51AE : 'Unassigned [0x51AE]',
	0x51AF : 'Unassigned [0x51AF]',
	0x51B0 : 'Unassigned [0x51B0]',
	0x51B1 : 'Unassigned [0x51B1]',
	0x51B2 : 'Unassigned [0x51B2]',
	0x51B3 : 'Unassigned [0x51B3]',
	0x51B4 : 'Unassigned [0x51B4]',
	0x51B5 : 'Unassigned [0x51B5]',
	0x51B6 : 'Unassigned [0x51B6]',
	0x51B7 : 'Unassigned [0x51B7]',
	0x51B8 : 'Unassigned [0x51B8]',
	0x51B9 : 'Unassigned [0x51B9]',
	0x51BA : 'Unassigned [0x51BA]',
	0x51BB : 'Unassigned [0x51BB]',
	0x51BC : 'Unassigned [0x51BC]',
	0x51BD : 'Unassigned [0x51BD]',
	0x51BE : 'Unassigned [0x51BE]',
	0x51BF : 'Unassigned [0x51BF]',
	0x51C0 : 'Unassigned [0x51C0]',
	0x51C1 : 'Unassigned [0x51C1]',
	0x51C2 : 'Unassigned [0x51C2]',
	0x51C3 : 'Unassigned [0x51C3]',
	0x51C4 : 'Unassigned [0x51C4]',
	0x51C5 : 'Unassigned [0x51C5]',
	0x51C6 : 'Unassigned [0x51C6]',
	0x51C7 : 'Unassigned [0x51C7]',
	0x51C8 : 'Unassigned [0x51C8]',
	0x51C9 : 'Unassigned [0x51C9]',
	0x51CA : 'Unassigned [0x51CA]',
	0x51CB : 'Unassigned [0x51CB]',
	0x51CC : 'Unassigned [0x51CC]',
	0x51CD : 'Unassigned [0x51CD]',
	0x51CE : 'Unassigned [0x51CE]',
	0x51CF : 'Unassigned [0x51CF]',
	0x51D0 : 'Unassigned [0x51D0]',
	0x51D1 : 'Unassigned [0x51D1]',
	0x51D2 : 'Unassigned [0x51D2]',
	0x51D3 : 'Unassigned [0x51D3]',
	0x51D4 : 'Unassigned [0x51D4]',
	0x51D5 : 'Unassigned [0x51D5]',
	0x51D6 : 'Unassigned [0x51D6]',
	0x51D7 : 'Unassigned [0x51D7]',
	0x51D8 : 'Unassigned [0x51D8]',
	0x51D9 : 'Unassigned [0x51D9]',
	0x51DA : 'Unassigned [0x51DA]',
	0x51DB : 'Unassigned [0x51DB]',
	0x51DC : 'Unassigned [0x51DC]',
	0x51DD : 'Unassigned [0x51DD]',
	0x51DE : 'Unassigned [0x51DE]',
	0x51DF : 'Unassigned [0x51DF]',
	0x51E0 : 'Unassigned [0x51E0]',
	0x51E1 : 'Unassigned [0x51E1]',
	0x51E2 : 'Unassigned [0x51E2]',
	0x51E3 : 'Unassigned [0x51E3]',
	0x51E4 : 'Unassigned [0x51E4]',
	0x51E5 : 'Unassigned [0x51E5]',
	0x51E6 : 'Unassigned [0x51E6]',
	0x51E7 : 'Unassigned [0x51E7]',
	0x51E8 : 'Unassigned [0x51E8]',
	0x51E9 : 'Unassigned [0x51E9]',
	0x51EA : 'Unassigned [0x51EA]',
	0x51EB : 'Unassigned [0x51EB]',
	0x51EC : 'Unassigned [0x51EC]',
	0x51ED : 'Unassigned [0x51ED]',
	0x51EE : 'Unassigned [0x51EE]',
	0x51EF : 'Unassigned [0x51EF]',
	0x51F0 : 'Unassigned [0x51F0]',
	0x51F1 : 'Unassigned [0x51F1]',
	0x51F2 : 'Unassigned [0x51F2]',
	0x51F3 : 'Unassigned [0x51F3]',
	0x51F4 : 'Unassigned [0x51F4]',
	0x51F5 : 'Unassigned [0x51F5]',
	0x51F6 : 'Unassigned [0x51F6]',
	0x51F7 : 'Unassigned [0x51F7]',
	0x51F8 : 'Unassigned [0x51F8]',
	0x51F9 : 'Unassigned [0x51F9]',
	0x51FA : 'Unassigned [0x51FA]',
	0x51FB : 'Unassigned [0x51FB]',
	0x51FC : 'Unassigned [0x51FC]',
	0x51FD : 'Unassigned [0x51FD]',
	0x51FE : 'Unassigned [0x51FE]',
	0x51FF : 'Unassigned [0x51FF]',
	0x5200 : 'Unassigned [0x5200]',
	0x5201 : 'Unassigned [0x5201]',
	0x5202 : 'Unassigned [0x5202]',
	0x5203 : 'Unassigned [0x5203]',
	0x5204 : 'Unassigned [0x5204]',
	0x5205 : 'Unassigned [0x5205]',
	0x5206 : 'Unassigned [0x5206]',
	0x5207 : 'Unassigned [0x5207]',
	0x5208 : 'Unassigned [0x5208]',
	0x5209 : 'Unassigned [0x5209]',
	0x520A : 'Unassigned [0x520A]',
	0x520B : 'Unassigned [0x520B]',
	0x520C : 'Unassigned [0x520C]',
	0x520D : 'Unassigned [0x520D]',
	0x520E : 'Unassigned [0x520E]',
	0x520F : 'Unassigned [0x520F]',
	0x5210 : 'Unassigned [0x5210]',
	0x5211 : 'Unassigned [0x5211]',
	0x5212 : 'Unassigned [0x5212]',
	0x5213 : 'Unassigned [0x5213]',
	0x5214 : 'Unassigned [0x5214]',
	0x5215 : 'Unassigned [0x5215]',
	0x5216 : 'Unassigned [0x5216]',
	0x5217 : 'Unassigned [0x5217]',
	0x5218 : 'Unassigned [0x5218]',
	0x5219 : 'Unassigned [0x5219]',
	0x521A : 'Unassigned [0x521A]',
	0x521B : 'Unassigned [0x521B]',
	0x521C : 'Unassigned [0x521C]',
	0x521D : 'Unassigned [0x521D]',
	0x521E : 'Unassigned [0x521E]',
	0x521F : 'Unassigned [0x521F]',
	0x5220 : 'Unassigned [0x5220]',
	0x5221 : 'Unassigned [0x5221]',
	0x5222 : 'Unassigned [0x5222]',
	0x5223 : 'Unassigned [0x5223]',
	0x5224 : 'Unassigned [0x5224]',
	0x5225 : 'Unassigned [0x5225]',
	0x5226 : 'Unassigned [0x5226]',
	0x5227 : 'Unassigned [0x5227]',
	0x5228 : 'Unassigned [0x5228]',
	0x5229 : 'Unassigned [0x5229]',
	0x522A : 'Unassigned [0x522A]',
	0x522B : 'Unassigned [0x522B]',
	0x522C : 'Unassigned [0x522C]',
	0x522D : 'Unassigned [0x522D]',
	0x522E : 'Unassigned [0x522E]',
	0x522F : 'Unassigned [0x522F]',
	0x5230 : 'Unassigned [0x5230]',
	0x5231 : 'Unassigned [0x5231]',
	0x5232 : 'Unassigned [0x5232]',
	0x5233 : 'Unassigned [0x5233]',
	0x5234 : 'Unassigned [0x5234]',
	0x5235 : 'Unassigned [0x5235]',
	0x5236 : 'Unassigned [0x5236]',
	0x5237 : 'Unassigned [0x5237]',
	0x5238 : 'Unassigned [0x5238]',
	0x5239 : 'Unassigned [0x5239]',
	0x523A : 'Unassigned [0x523A]',
	0x523B : 'Unassigned [0x523B]',
	0x523C : 'Unassigned [0x523C]',
	0x523D : 'Unassigned [0x523D]',
	0x523E : 'Unassigned [0x523E]',
	0x523F : 'Unassigned [0x523F]',
	0x5240 : 'Unassigned [0x5240]',
	0x5241 : 'Unassigned [0x5241]',
	0x5242 : 'Unassigned [0x5242]',
	0x5243 : 'Unassigned [0x5243]',
	0x5244 : 'Unassigned [0x5244]',
	0x5245 : 'Unassigned [0x5245]',
	0x5246 : 'Unassigned [0x5246]',
	0x5247 : 'Unassigned [0x5247]',
	0x5248 : 'Unassigned [0x5248]',
	0x5249 : 'Unassigned [0x5249]',
	0x524A : 'Unassigned [0x524A]',
	0x524B : 'Unassigned [0x524B]',
	0x524C : 'Unassigned [0x524C]',
	0x524D : 'Unassigned [0x524D]',
	0x524E : 'Unassigned [0x524E]',
	0x524F : 'Unassigned [0x524F]',
	0x5250 : 'Unassigned [0x5250]',
	0x5251 : 'Unassigned [0x5251]',
	0x5252 : 'Unassigned [0x5252]',
	0x5253 : 'Unassigned [0x5253]',
	0x5254 : 'Unassigned [0x5254]',
	0x5255 : 'Unassigned [0x5255]',
	0x5256 : 'Unassigned [0x5256]',
	0x5257 : 'Unassigned [0x5257]',
	0x5258 : 'Unassigned [0x5258]',
	0x5259 : 'Unassigned [0x5259]',
	0x525A : 'Unassigned [0x525A]',
	0x525B : 'Unassigned [0x525B]',
	0x525C : 'Unassigned [0x525C]',
	0x525D : 'Unassigned [0x525D]',
	0x525E : 'Unassigned [0x525E]',
	0x525F : 'Unassigned [0x525F]',
	0x5260 : 'Unassigned [0x5260]',
	0x5261 : 'Unassigned [0x5261]',
	0x5262 : 'Unassigned [0x5262]',
	0x5263 : 'Unassigned [0x5263]',
	0x5264 : 'Unassigned [0x5264]',
	0x5265 : 'Unassigned [0x5265]',
	0x5266 : 'Unassigned [0x5266]',
	0x5267 : 'Unassigned [0x5267]',
	0x5268 : 'Unassigned [0x5268]',
	0x5269 : 'Unassigned [0x5269]',
	0x526A : 'Unassigned [0x526A]',
	0x526B : 'Unassigned [0x526B]',
	0x526C : 'Unassigned [0x526C]',
	0x526D : 'Unassigned [0x526D]',
	0x526E : 'Unassigned [0x526E]',
	0x526F : 'Unassigned [0x526F]',
	0x5270 : 'Unassigned [0x5270]',
	0x5271 : 'Unassigned [0x5271]',
	0x5272 : 'Unassigned [0x5272]',
	0x5273 : 'Unassigned [0x5273]',
	0x5274 : 'Unassigned [0x5274]',
	0x5275 : 'Unassigned [0x5275]',
	0x5276 : 'Unassigned [0x5276]',
	0x5277 : 'Unassigned [0x5277]',
	0x5278 : 'Unassigned [0x5278]',
	0x5279 : 'Unassigned [0x5279]',
	0x527A : 'Unassigned [0x527A]',
	0x527B : 'Unassigned [0x527B]',
	0x527C : 'Unassigned [0x527C]',
	0x527D : 'Unassigned [0x527D]',
	0x527E : 'Unassigned [0x527E]',
	0x527F : 'Unassigned [0x527F]',
	0x5280 : 'Unassigned [0x5280]',
	0x5281 : 'Unassigned [0x5281]',
	0x5282 : 'Unassigned [0x5282]',
	0x5283 : 'Unassigned [0x5283]',
	0x5284 : 'Unassigned [0x5284]',
	0x5285 : 'Unassigned [0x5285]',
	0x5286 : 'Unassigned [0x5286]',
	0x5287 : 'Unassigned [0x5287]',
	0x5288 : 'Unassigned [0x5288]',
	0x5289 : 'Unassigned [0x5289]',
	0x528A : 'Unassigned [0x528A]',
	0x528B : 'Unassigned [0x528B]',
	0x528C : 'Unassigned [0x528C]',
	0x528D : 'Unassigned [0x528D]',
	0x528E : 'Unassigned [0x528E]',
	0x528F : 'Unassigned [0x528F]',
	0x5290 : 'Unassigned [0x5290]',
	0x5291 : 'Unassigned [0x5291]',
	0x5292 : 'Unassigned [0x5292]',
	0x5293 : 'Unassigned [0x5293]',
	0x5294 : 'Unassigned [0x5294]',
	0x5295 : 'Unassigned [0x5295]',
	0x5296 : 'Unassigned [0x5296]',
	0x5297 : 'Unassigned [0x5297]',
	0x5298 : 'Unassigned [0x5298]',
	0x5299 : 'Unassigned [0x5299]',
	0x529A : 'Unassigned [0x529A]',
	0x529B : 'Unassigned [0x529B]',
	0x529C : 'Unassigned [0x529C]',
	0x529D : 'Unassigned [0x529D]',
	0x529E : 'Unassigned [0x529E]',
	0x529F : 'Unassigned [0x529F]',
	0x52A0 : 'Unassigned [0x52A0]',
	0x52A1 : 'Unassigned [0x52A1]',
	0x52A2 : 'Unassigned [0x52A2]',
	0x52A3 : 'Unassigned [0x52A3]',
	0x52A4 : 'Unassigned [0x52A4]',
	0x52A5 : 'Unassigned [0x52A5]',
	0x52A6 : 'Unassigned [0x52A6]',
	0x52A7 : 'Unassigned [0x52A7]',
	0x52A8 : 'Unassigned [0x52A8]',
	0x52A9 : 'Unassigned [0x52A9]',
	0x52AA : 'Unassigned [0x52AA]',
	0x52AB : 'Unassigned [0x52AB]',
	0x52AC : 'Unassigned [0x52AC]',
	0x52AD : 'Unassigned [0x52AD]',
	0x52AE : 'Unassigned [0x52AE]',
	0x52AF : 'Unassigned [0x52AF]',
	0x52B0 : 'Unassigned [0x52B0]',
	0x52B1 : 'Unassigned [0x52B1]',
	0x52B2 : 'Unassigned [0x52B2]',
	0x52B3 : 'Unassigned [0x52B3]',
	0x52B4 : 'Unassigned [0x52B4]',
	0x52B5 : 'Unassigned [0x52B5]',
	0x52B6 : 'Unassigned [0x52B6]',
	0x52B7 : 'Unassigned [0x52B7]',
	0x52B8 : 'Unassigned [0x52B8]',
	0x52B9 : 'Unassigned [0x52B9]',
	0x52BA : 'Unassigned [0x52BA]',
	0x52BB : 'Unassigned [0x52BB]',
	0x52BC : 'Unassigned [0x52BC]',
	0x52BD : 'Unassigned [0x52BD]',
	0x52BE : 'Unassigned [0x52BE]',
	0x52BF : 'Unassigned [0x52BF]',
	0x52C0 : 'Unassigned [0x52C0]',
	0x52C1 : 'Unassigned [0x52C1]',
	0x52C2 : 'Unassigned [0x52C2]',
	0x52C3 : 'Unassigned [0x52C3]',
	0x52C4 : 'Unassigned [0x52C4]',
	0x52C5 : 'Unassigned [0x52C5]',
	0x52C6 : 'Unassigned [0x52C6]',
	0x52C7 : 'Unassigned [0x52C7]',
	0x52C8 : 'Unassigned [0x52C8]',
	0x52C9 : 'Unassigned [0x52C9]',
	0x52CA : 'Unassigned [0x52CA]',
	0x52CB : 'Unassigned [0x52CB]',
	0x52CC : 'Unassigned [0x52CC]',
	0x52CD : 'Unassigned [0x52CD]',
	0x52CE : 'Unassigned [0x52CE]',
	0x52CF : 'Unassigned [0x52CF]',
	0x52D0 : 'Unassigned [0x52D0]',
	0x52D1 : 'Unassigned [0x52D1]',
	0x52D2 : 'Unassigned [0x52D2]',
	0x52D3 : 'Unassigned [0x52D3]',
	0x52D4 : 'Unassigned [0x52D4]',
	0x52D5 : 'Unassigned [0x52D5]',
	0x52D6 : 'Unassigned [0x52D6]',
	0x52D7 : 'Unassigned [0x52D7]',
	0x52D8 : 'Unassigned [0x52D8]',
	0x52D9 : 'Unassigned [0x52D9]',
	0x52DA : 'Unassigned [0x52DA]',
	0x52DB : 'Unassigned [0x52DB]',
	0x52DC : 'Unassigned [0x52DC]',
	0x52DD : 'Unassigned [0x52DD]',
	0x52DE : 'Unassigned [0x52DE]',
	0x52DF : 'Unassigned [0x52DF]',
	0x52E0 : 'Unassigned [0x52E0]',
	0x52E1 : 'Unassigned [0x52E1]',
	0x52E2 : 'Unassigned [0x52E2]',
	0x52E3 : 'Unassigned [0x52E3]',
	0x52E4 : 'Unassigned [0x52E4]',
	0x52E5 : 'Unassigned [0x52E5]',
	0x52E6 : 'Unassigned [0x52E6]',
	0x52E7 : 'Unassigned [0x52E7]',
	0x52E8 : 'Unassigned [0x52E8]',
	0x52E9 : 'Unassigned [0x52E9]',
	0x52EA : 'Unassigned [0x52EA]',
	0x52EB : 'Unassigned [0x52EB]',
	0x52EC : 'Unassigned [0x52EC]',
	0x52ED : 'Unassigned [0x52ED]',
	0x52EE : 'Unassigned [0x52EE]',
	0x52EF : 'Unassigned [0x52EF]',
	0x52F0 : 'Unassigned [0x52F0]',
	0x52F1 : 'Unassigned [0x52F1]',
	0x52F2 : 'Unassigned [0x52F2]',
	0x52F3 : 'Unassigned [0x52F3]',
	0x52F4 : 'Unassigned [0x52F4]',
	0x52F5 : 'Unassigned [0x52F5]',
	0x52F6 : 'Unassigned [0x52F6]',
	0x52F7 : 'Unassigned [0x52F7]',
	0x52F8 : 'Unassigned [0x52F8]',
	0x52F9 : 'Unassigned [0x52F9]',
	0x52FA : 'Unassigned [0x52FA]',
	0x52FB : 'Unassigned [0x52FB]',
	0x52FC : 'Unassigned [0x52FC]',
	0x52FD : 'Unassigned [0x52FD]',
	0x52FE : 'Unassigned [0x52FE]',
	0x52FF : 'Unassigned [0x52FF]',
	0x5300 : 'Unassigned [0x5300]',
	0x5301 : 'Unassigned [0x5301]',
	0x5302 : 'Unassigned [0x5302]',
	0x5303 : 'Unassigned [0x5303]',
	0x5304 : 'Unassigned [0x5304]',
	0x5305 : 'Unassigned [0x5305]',
	0x5306 : 'Unassigned [0x5306]',
	0x5307 : 'Unassigned [0x5307]',
	0x5308 : 'Unassigned [0x5308]',
	0x5309 : 'Unassigned [0x5309]',
	0x530A : 'Unassigned [0x530A]',
	0x530B : 'Unassigned [0x530B]',
	0x530C : 'Unassigned [0x530C]',
	0x530D : 'Unassigned [0x530D]',
	0x530E : 'Unassigned [0x530E]',
	0x530F : 'Unassigned [0x530F]',
	0x5310 : 'Unassigned [0x5310]',
	0x5311 : 'Unassigned [0x5311]',
	0x5312 : 'Unassigned [0x5312]',
	0x5313 : 'Unassigned [0x5313]',
	0x5314 : 'Unassigned [0x5314]',
	0x5315 : 'Unassigned [0x5315]',
	0x5316 : 'Unassigned [0x5316]',
	0x5317 : 'Unassigned [0x5317]',
	0x5318 : 'Unassigned [0x5318]',
	0x5319 : 'Unassigned [0x5319]',
	0x531A : 'Unassigned [0x531A]',
	0x531B : 'Unassigned [0x531B]',
	0x531C : 'Unassigned [0x531C]',
	0x531D : 'Unassigned [0x531D]',
	0x531E : 'Unassigned [0x531E]',
	0x531F : 'Unassigned [0x531F]',
	0x5320 : 'Unassigned [0x5320]',
	0x5321 : 'Unassigned [0x5321]',
	0x5322 : 'Unassigned [0x5322]',
	0x5323 : 'Unassigned [0x5323]',
	0x5324 : 'Unassigned [0x5324]',
	0x5325 : 'Unassigned [0x5325]',
	0x5326 : 'Unassigned [0x5326]',
	0x5327 : 'Unassigned [0x5327]',
	0x5328 : 'Unassigned [0x5328]',
	0x5329 : 'Unassigned [0x5329]',
	0x532A : 'Unassigned [0x532A]',
	0x532B : 'Unassigned [0x532B]',
	0x532C : 'Unassigned [0x532C]',
	0x532D : 'Unassigned [0x532D]',
	0x532E : 'Unassigned [0x532E]',
	0x532F : 'Unassigned [0x532F]',
	0x5330 : 'Unassigned [0x5330]',
	0x5331 : 'Unassigned [0x5331]',
	0x5332 : 'Unassigned [0x5332]',
	0x5333 : 'Unassigned [0x5333]',
	0x5334 : 'Unassigned [0x5334]',
	0x5335 : 'Unassigned [0x5335]',
	0x5336 : 'Unassigned [0x5336]',
	0x5337 : 'Unassigned [0x5337]',
	0x5338 : 'Unassigned [0x5338]',
	0x5339 : 'Unassigned [0x5339]',
	0x533A : 'Unassigned [0x533A]',
	0x533B : 'Unassigned [0x533B]',
	0x533C : 'Unassigned [0x533C]',
	0x533D : 'Unassigned [0x533D]',
	0x533E : 'Unassigned [0x533E]',
	0x533F : 'Unassigned [0x533F]',
	0x5340 : 'Unassigned [0x5340]',
	0x5341 : 'Unassigned [0x5341]',
	0x5342 : 'Unassigned [0x5342]',
	0x5343 : 'Unassigned [0x5343]',
	0x5344 : 'Unassigned [0x5344]',
	0x5345 : 'Unassigned [0x5345]',
	0x5346 : 'Unassigned [0x5346]',
	0x5347 : 'Unassigned [0x5347]',
	0x5348 : 'Unassigned [0x5348]',
	0x5349 : 'Unassigned [0x5349]',
	0x534A : 'Unassigned [0x534A]',
	0x534B : 'Unassigned [0x534B]',
	0x534C : 'Unassigned [0x534C]',
	0x534D : 'Unassigned [0x534D]',
	0x534E : 'Unassigned [0x534E]',
	0x534F : 'Unassigned [0x534F]',
	0x5350 : 'Unassigned [0x5350]',
	0x5351 : 'Unassigned [0x5351]',
	0x5352 : 'Unassigned [0x5352]',
	0x5353 : 'Unassigned [0x5353]',
	0x5354 : 'Unassigned [0x5354]',
	0x5355 : 'Unassigned [0x5355]',
	0x5356 : 'Unassigned [0x5356]',
	0x5357 : 'Unassigned [0x5357]',
	0x5358 : 'Unassigned [0x5358]',
	0x5359 : 'Unassigned [0x5359]',
	0x535A : 'Unassigned [0x535A]',
	0x535B : 'Unassigned [0x535B]',
	0x535C : 'Unassigned [0x535C]',
	0x535D : 'Unassigned [0x535D]',
	0x535E : 'Unassigned [0x535E]',
	0x535F : 'Unassigned [0x535F]',
	0x5360 : 'Unassigned [0x5360]',
	0x5361 : 'Unassigned [0x5361]',
	0x5362 : 'Unassigned [0x5362]',
	0x5363 : 'Unassigned [0x5363]',
	0x5364 : 'Unassigned [0x5364]',
	0x5365 : 'Unassigned [0x5365]',
	0x5366 : 'Unassigned [0x5366]',
	0x5367 : 'Unassigned [0x5367]',
	0x5368 : 'Unassigned [0x5368]',
	0x5369 : 'Unassigned [0x5369]',
	0x536A : 'Unassigned [0x536A]',
	0x536B : 'Unassigned [0x536B]',
	0x536C : 'Unassigned [0x536C]',
	0x536D : 'Unassigned [0x536D]',
	0x536E : 'Unassigned [0x536E]',
	0x536F : 'Unassigned [0x536F]',
	0x5370 : 'Unassigned [0x5370]',
	0x5371 : 'Unassigned [0x5371]',
	0x5372 : 'Unassigned [0x5372]',
	0x5373 : 'Unassigned [0x5373]',
	0x5374 : 'Unassigned [0x5374]',
	0x5375 : 'Unassigned [0x5375]',
	0x5376 : 'Unassigned [0x5376]',
	0x5377 : 'Unassigned [0x5377]',
	0x5378 : 'Unassigned [0x5378]',
	0x5379 : 'Unassigned [0x5379]',
	0x537A : 'Unassigned [0x537A]',
	0x537B : 'Unassigned [0x537B]',
	0x537C : 'Unassigned [0x537C]',
	0x537D : 'Unassigned [0x537D]',
	0x537E : 'Unassigned [0x537E]',
	0x537F : 'Unassigned [0x537F]',
	0x5380 : 'Unassigned [0x5380]',
	0x5381 : 'Unassigned [0x5381]',
	0x5382 : 'Unassigned [0x5382]',
	0x5383 : 'Unassigned [0x5383]',
	0x5384 : 'Unassigned [0x5384]',
	0x5385 : 'Unassigned [0x5385]',
	0x5386 : 'Unassigned [0x5386]',
	0x5387 : 'Unassigned [0x5387]',
	0x5388 : 'Unassigned [0x5388]',
	0x5389 : 'Unassigned [0x5389]',
	0x538A : 'Unassigned [0x538A]',
	0x538B : 'Unassigned [0x538B]',
	0x538C : 'Unassigned [0x538C]',
	0x538D : 'Unassigned [0x538D]',
	0x538E : 'Unassigned [0x538E]',
	0x538F : 'Unassigned [0x538F]',
	0x5390 : 'Unassigned [0x5390]',
	0x5391 : 'Unassigned [0x5391]',
	0x5392 : 'Unassigned [0x5392]',
	0x5393 : 'Unassigned [0x5393]',
	0x5394 : 'Unassigned [0x5394]',
	0x5395 : 'Unassigned [0x5395]',
	0x5396 : 'Unassigned [0x5396]',
	0x5397 : 'Unassigned [0x5397]',
	0x5398 : 'Unassigned [0x5398]',
	0x5399 : 'Unassigned [0x5399]',
	0x539A : 'Unassigned [0x539A]',
	0x539B : 'Unassigned [0x539B]',
	0x539C : 'Unassigned [0x539C]',
	0x539D : 'Unassigned [0x539D]',
	0x539E : 'Unassigned [0x539E]',
	0x539F : 'Unassigned [0x539F]',
	0x53A0 : 'Unassigned [0x53A0]',
	0x53A1 : 'Unassigned [0x53A1]',
	0x53A2 : 'Unassigned [0x53A2]',
	0x53A3 : 'Unassigned [0x53A3]',
	0x53A4 : 'Unassigned [0x53A4]',
	0x53A5 : 'Unassigned [0x53A5]',
	0x53A6 : 'Unassigned [0x53A6]',
	0x53A7 : 'Unassigned [0x53A7]',
	0x53A8 : 'Unassigned [0x53A8]',
	0x53A9 : 'Unassigned [0x53A9]',
	0x53AA : 'Unassigned [0x53AA]',
	0x53AB : 'Unassigned [0x53AB]',
	0x53AC : 'Unassigned [0x53AC]',
	0x53AD : 'Unassigned [0x53AD]',
	0x53AE : 'Unassigned [0x53AE]',
	0x53AF : 'Unassigned [0x53AF]',
	0x53B0 : 'Unassigned [0x53B0]',
	0x53B1 : 'Unassigned [0x53B1]',
	0x53B2 : 'Unassigned [0x53B2]',
	0x53B3 : 'Unassigned [0x53B3]',
	0x53B4 : 'Unassigned [0x53B4]',
	0x53B5 : 'Unassigned [0x53B5]',
	0x53B6 : 'Unassigned [0x53B6]',
	0x53B7 : 'Unassigned [0x53B7]',
	0x53B8 : 'Unassigned [0x53B8]',
	0x53B9 : 'Unassigned [0x53B9]',
	0x53BA : 'Unassigned [0x53BA]',
	0x53BB : 'Unassigned [0x53BB]',
	0x53BC : 'Unassigned [0x53BC]',
	0x53BD : 'Unassigned [0x53BD]',
	0x53BE : 'Unassigned [0x53BE]',
	0x53BF : 'Unassigned [0x53BF]',
	0x53C0 : 'Unassigned [0x53C0]',
	0x53C1 : 'Unassigned [0x53C1]',
	0x53C2 : 'Unassigned [0x53C2]',
	0x53C3 : 'Unassigned [0x53C3]',
	0x53C4 : 'Unassigned [0x53C4]',
	0x53C5 : 'Unassigned [0x53C5]',
	0x53C6 : 'Unassigned [0x53C6]',
	0x53C7 : 'Unassigned [0x53C7]',
	0x53C8 : 'Unassigned [0x53C8]',
	0x53C9 : 'Unassigned [0x53C9]',
	0x53CA : 'Unassigned [0x53CA]',
	0x53CB : 'Unassigned [0x53CB]',
	0x53CC : 'Unassigned [0x53CC]',
	0x53CD : 'Unassigned [0x53CD]',
	0x53CE : 'Unassigned [0x53CE]',
	0x53CF : 'Unassigned [0x53CF]',
	0x53D0 : 'Unassigned [0x53D0]',
	0x53D1 : 'Unassigned [0x53D1]',
	0x53D2 : 'Unassigned [0x53D2]',
	0x53D3 : 'Unassigned [0x53D3]',
	0x53D4 : 'Unassigned [0x53D4]',
	0x53D5 : 'Unassigned [0x53D5]',
	0x53D6 : 'Unassigned [0x53D6]',
	0x53D7 : 'Unassigned [0x53D7]',
	0x53D8 : 'Unassigned [0x53D8]',
	0x53D9 : 'Unassigned [0x53D9]',
	0x53DA : 'Unassigned [0x53DA]',
	0x53DB : 'Unassigned [0x53DB]',
	0x53DC : 'Unassigned [0x53DC]',
	0x53DD : 'Unassigned [0x53DD]',
	0x53DE : 'Unassigned [0x53DE]',
	0x53DF : 'Unassigned [0x53DF]',
	0x53E0 : 'Unassigned [0x53E0]',
	0x53E1 : 'Unassigned [0x53E1]',
	0x53E2 : 'Unassigned [0x53E2]',
	0x53E3 : 'Unassigned [0x53E3]',
	0x53E4 : 'Unassigned [0x53E4]',
	0x53E5 : 'Unassigned [0x53E5]',
	0x53E6 : 'Unassigned [0x53E6]',
	0x53E7 : 'Unassigned [0x53E7]',
	0x53E8 : 'Unassigned [0x53E8]',
	0x53E9 : 'Unassigned [0x53E9]',
	0x53EA : 'Unassigned [0x53EA]',
	0x53EB : 'Unassigned [0x53EB]',
	0x53EC : 'Unassigned [0x53EC]',
	0x53ED : 'Unassigned [0x53ED]',
	0x53EE : 'Unassigned [0x53EE]',
	0x53EF : 'Unassigned [0x53EF]',
	0x53F0 : 'Unassigned [0x53F0]',
	0x53F1 : 'Unassigned [0x53F1]',
	0x53F2 : 'Unassigned [0x53F2]',
	0x53F3 : 'Unassigned [0x53F3]',
	0x53F4 : 'Unassigned [0x53F4]',
	0x53F5 : 'Unassigned [0x53F5]',
	0x53F6 : 'Unassigned [0x53F6]',
	0x53F7 : 'Unassigned [0x53F7]',
	0x53F8 : 'Unassigned [0x53F8]',
	0x53F9 : 'Unassigned [0x53F9]',
	0x53FA : 'Unassigned [0x53FA]',
	0x53FB : 'Unassigned [0x53FB]',
	0x53FC : 'Unassigned [0x53FC]',
	0x53FD : 'Unassigned [0x53FD]',
	0x53FE : 'Unassigned [0x53FE]',
	0x53FF : 'Unassigned [0x53FF]',
	0x5400 : 'Unassigned [0x5400]',
	0x5401 : 'Unassigned [0x5401]',
	0x5402 : 'Unassigned [0x5402]',
	0x5403 : 'Unassigned [0x5403]',
	0x5404 : 'Unassigned [0x5404]',
	0x5405 : 'Unassigned [0x5405]',
	0x5406 : 'Unassigned [0x5406]',
	0x5407 : 'Unassigned [0x5407]',
	0x5408 : 'Unassigned [0x5408]',
	0x5409 : 'Unassigned [0x5409]',
	0x540A : 'Unassigned [0x540A]',
	0x540B : 'Unassigned [0x540B]',
	0x540C : 'Unassigned [0x540C]',
	0x540D : 'Unassigned [0x540D]',
	0x540E : 'Unassigned [0x540E]',
	0x540F : 'Unassigned [0x540F]',
	0x5410 : 'Unassigned [0x5410]',
	0x5411 : 'Unassigned [0x5411]',
	0x5412 : 'Unassigned [0x5412]',
	0x5413 : 'Unassigned [0x5413]',
	0x5414 : 'Unassigned [0x5414]',
	0x5415 : 'Unassigned [0x5415]',
	0x5416 : 'Unassigned [0x5416]',
	0x5417 : 'Unassigned [0x5417]',
	0x5418 : 'Unassigned [0x5418]',
	0x5419 : 'Unassigned [0x5419]',
	0x541A : 'Unassigned [0x541A]',
	0x541B : 'Unassigned [0x541B]',
	0x541C : 'Unassigned [0x541C]',
	0x541D : 'Unassigned [0x541D]',
	0x541E : 'Unassigned [0x541E]',
	0x541F : 'Unassigned [0x541F]',
	0x5420 : 'Unassigned [0x5420]',
	0x5421 : 'Unassigned [0x5421]',
	0x5422 : 'Unassigned [0x5422]',
	0x5423 : 'Unassigned [0x5423]',
	0x5424 : 'Unassigned [0x5424]',
	0x5425 : 'Unassigned [0x5425]',
	0x5426 : 'Unassigned [0x5426]',
	0x5427 : 'Unassigned [0x5427]',
	0x5428 : 'Unassigned [0x5428]',
	0x5429 : 'Unassigned [0x5429]',
	0x542A : 'Unassigned [0x542A]',
	0x542B : 'Unassigned [0x542B]',
	0x542C : 'Unassigned [0x542C]',
	0x542D : 'Unassigned [0x542D]',
	0x542E : 'Unassigned [0x542E]',
	0x542F : 'Unassigned [0x542F]',
	0x5430 : 'Unassigned [0x5430]',
	0x5431 : 'Unassigned [0x5431]',
	0x5432 : 'Unassigned [0x5432]',
	0x5433 : 'Unassigned [0x5433]',
	0x5434 : 'Unassigned [0x5434]',
	0x5435 : 'Unassigned [0x5435]',
	0x5436 : 'Unassigned [0x5436]',
	0x5437 : 'Unassigned [0x5437]',
	0x5438 : 'Unassigned [0x5438]',
	0x5439 : 'Unassigned [0x5439]',
	0x543A : 'Unassigned [0x543A]',
	0x543B : 'Unassigned [0x543B]',
	0x543C : 'Unassigned [0x543C]',
	0x543D : 'Unassigned [0x543D]',
	0x543E : 'Unassigned [0x543E]',
	0x543F : 'Unassigned [0x543F]',
	0x5440 : 'Unassigned [0x5440]',
	0x5441 : 'Unassigned [0x5441]',
	0x5442 : 'Unassigned [0x5442]',
	0x5443 : 'Unassigned [0x5443]',
	0x5444 : 'Unassigned [0x5444]',
	0x5445 : 'Unassigned [0x5445]',
	0x5446 : 'Unassigned [0x5446]',
	0x5447 : 'Unassigned [0x5447]',
	0x5448 : 'Unassigned [0x5448]',
	0x5449 : 'Unassigned [0x5449]',
	0x544A : 'Unassigned [0x544A]',
	0x544B : 'Unassigned [0x544B]',
	0x544C : 'Unassigned [0x544C]',
	0x544D : 'Unassigned [0x544D]',
	0x544E : 'Unassigned [0x544E]',
	0x544F : 'Unassigned [0x544F]',
	0x5450 : 'Unassigned [0x5450]',
	0x5451 : 'Unassigned [0x5451]',
	0x5452 : 'Unassigned [0x5452]',
	0x5453 : 'Unassigned [0x5453]',
	0x5454 : 'Unassigned [0x5454]',
	0x5455 : 'Unassigned [0x5455]',
	0x5456 : 'Unassigned [0x5456]',
	0x5457 : 'Unassigned [0x5457]',
	0x5458 : 'Unassigned [0x5458]',
	0x5459 : 'Unassigned [0x5459]',
	0x545A : 'Unassigned [0x545A]',
	0x545B : 'Unassigned [0x545B]',
	0x545C : 'Unassigned [0x545C]',
	0x545D : 'Unassigned [0x545D]',
	0x545E : 'Unassigned [0x545E]',
	0x545F : 'Unassigned [0x545F]',
	0x5460 : 'Unassigned [0x5460]',
	0x5461 : 'Unassigned [0x5461]',
	0x5462 : 'Unassigned [0x5462]',
	0x5463 : 'Unassigned [0x5463]',
	0x5464 : 'Unassigned [0x5464]',
	0x5465 : 'Unassigned [0x5465]',
	0x5466 : 'Unassigned [0x5466]',
	0x5467 : 'Unassigned [0x5467]',
	0x5468 : 'Unassigned [0x5468]',
	0x5469 : 'Unassigned [0x5469]',
	0x546A : 'Unassigned [0x546A]',
	0x546B : 'Unassigned [0x546B]',
	0x546C : 'Unassigned [0x546C]',
	0x546D : 'Unassigned [0x546D]',
	0x546E : 'Unassigned [0x546E]',
	0x546F : 'Unassigned [0x546F]',
	0x5470 : 'Unassigned [0x5470]',
	0x5471 : 'Unassigned [0x5471]',
	0x5472 : 'Unassigned [0x5472]',
	0x5473 : 'Unassigned [0x5473]',
	0x5474 : 'Unassigned [0x5474]',
	0x5475 : 'Unassigned [0x5475]',
	0x5476 : 'Unassigned [0x5476]',
	0x5477 : 'Unassigned [0x5477]',
	0x5478 : 'Unassigned [0x5478]',
	0x5479 : 'Unassigned [0x5479]',
	0x547A : 'Unassigned [0x547A]',
	0x547B : 'Unassigned [0x547B]',
	0x547C : 'Unassigned [0x547C]',
	0x547D : 'Unassigned [0x547D]',
	0x547E : 'Unassigned [0x547E]',
	0x547F : 'Unassigned [0x547F]',
	0x5480 : 'Unassigned [0x5480]',
	0x5481 : 'Unassigned [0x5481]',
	0x5482 : 'Unassigned [0x5482]',
	0x5483 : 'Unassigned [0x5483]',
	0x5484 : 'Unassigned [0x5484]',
	0x5485 : 'Unassigned [0x5485]',
	0x5486 : 'Unassigned [0x5486]',
	0x5487 : 'Unassigned [0x5487]',
	0x5488 : 'Unassigned [0x5488]',
	0x5489 : 'Unassigned [0x5489]',
	0x548A : 'Unassigned [0x548A]',
	0x548B : 'Unassigned [0x548B]',
	0x548C : 'Unassigned [0x548C]',
	0x548D : 'Unassigned [0x548D]',
	0x548E : 'Unassigned [0x548E]',
	0x548F : 'Unassigned [0x548F]',
	0x5490 : 'Unassigned [0x5490]',
	0x5491 : 'Unassigned [0x5491]',
	0x5492 : 'Unassigned [0x5492]',
	0x5493 : 'Unassigned [0x5493]',
	0x5494 : 'Unassigned [0x5494]',
	0x5495 : 'Unassigned [0x5495]',
	0x5496 : 'Unassigned [0x5496]',
	0x5497 : 'Unassigned [0x5497]',
	0x5498 : 'Unassigned [0x5498]',
	0x5499 : 'Unassigned [0x5499]',
	0x549A : 'Unassigned [0x549A]',
	0x549B : 'Unassigned [0x549B]',
	0x549C : 'Unassigned [0x549C]',
	0x549D : 'Unassigned [0x549D]',
	0x549E : 'Unassigned [0x549E]',
	0x549F : 'Unassigned [0x549F]',
	0x54A0 : 'Unassigned [0x54A0]',
	0x54A1 : 'Unassigned [0x54A1]',
	0x54A2 : 'Unassigned [0x54A2]',
	0x54A3 : 'Unassigned [0x54A3]',
	0x54A4 : 'Unassigned [0x54A4]',
	0x54A5 : 'Unassigned [0x54A5]',
	0x54A6 : 'Unassigned [0x54A6]',
	0x54A7 : 'Unassigned [0x54A7]',
	0x54A8 : 'Unassigned [0x54A8]',
	0x54A9 : 'Unassigned [0x54A9]',
	0x54AA : 'Unassigned [0x54AA]',
	0x54AB : 'Unassigned [0x54AB]',
	0x54AC : 'Unassigned [0x54AC]',
	0x54AD : 'Unassigned [0x54AD]',
	0x54AE : 'Unassigned [0x54AE]',
	0x54AF : 'Unassigned [0x54AF]',
	0x54B0 : 'Unassigned [0x54B0]',
	0x54B1 : 'Unassigned [0x54B1]',
	0x54B2 : 'Unassigned [0x54B2]',
	0x54B3 : 'Unassigned [0x54B3]',
	0x54B4 : 'Unassigned [0x54B4]',
	0x54B5 : 'Unassigned [0x54B5]',
	0x54B6 : 'Unassigned [0x54B6]',
	0x54B7 : 'Unassigned [0x54B7]',
	0x54B8 : 'Unassigned [0x54B8]',
	0x54B9 : 'Unassigned [0x54B9]',
	0x54BA : 'Unassigned [0x54BA]',
	0x54BB : 'Unassigned [0x54BB]',
	0x54BC : 'Unassigned [0x54BC]',
	0x54BD : 'Unassigned [0x54BD]',
	0x54BE : 'Unassigned [0x54BE]',
	0x54BF : 'Unassigned [0x54BF]',
	0x54C0 : 'Unassigned [0x54C0]',
	0x54C1 : 'Unassigned [0x54C1]',
	0x54C2 : 'Unassigned [0x54C2]',
	0x54C3 : 'Unassigned [0x54C3]',
	0x54C4 : 'Unassigned [0x54C4]',
	0x54C5 : 'Unassigned [0x54C5]',
	0x54C6 : 'Unassigned [0x54C6]',
	0x54C7 : 'Unassigned [0x54C7]',
	0x54C8 : 'Unassigned [0x54C8]',
	0x54C9 : 'Unassigned [0x54C9]',
	0x54CA : 'Unassigned [0x54CA]',
	0x54CB : 'Unassigned [0x54CB]',
	0x54CC : 'Unassigned [0x54CC]',
	0x54CD : 'Unassigned [0x54CD]',
	0x54CE : 'Unassigned [0x54CE]',
	0x54CF : 'Unassigned [0x54CF]',
	0x54D0 : 'Unassigned [0x54D0]',
	0x54D1 : 'Unassigned [0x54D1]',
	0x54D2 : 'Unassigned [0x54D2]',
	0x54D3 : 'Unassigned [0x54D3]',
	0x54D4 : 'Unassigned [0x54D4]',
	0x54D5 : 'Unassigned [0x54D5]',
	0x54D6 : 'Unassigned [0x54D6]',
	0x54D7 : 'Unassigned [0x54D7]',
	0x54D8 : 'Unassigned [0x54D8]',
	0x54D9 : 'Unassigned [0x54D9]',
	0x54DA : 'Unassigned [0x54DA]',
	0x54DB : 'Unassigned [0x54DB]',
	0x54DC : 'Unassigned [0x54DC]',
	0x54DD : 'Unassigned [0x54DD]',
	0x54DE : 'Unassigned [0x54DE]',
	0x54DF : 'Unassigned [0x54DF]',
	0x54E0 : 'Unassigned [0x54E0]',
	0x54E1 : 'Unassigned [0x54E1]',
	0x54E2 : 'Unassigned [0x54E2]',
	0x54E3 : 'Unassigned [0x54E3]',
	0x54E4 : 'Unassigned [0x54E4]',
	0x54E5 : 'Unassigned [0x54E5]',
	0x54E6 : 'Unassigned [0x54E6]',
	0x54E7 : 'Unassigned [0x54E7]',
	0x54E8 : 'Unassigned [0x54E8]',
	0x54E9 : 'Unassigned [0x54E9]',
	0x54EA : 'Unassigned [0x54EA]',
	0x54EB : 'Unassigned [0x54EB]',
	0x54EC : 'Unassigned [0x54EC]',
	0x54ED : 'Unassigned [0x54ED]',
	0x54EE : 'Unassigned [0x54EE]',
	0x54EF : 'Unassigned [0x54EF]',
	0x54F0 : 'Unassigned [0x54F0]',
	0x54F1 : 'Unassigned [0x54F1]',
	0x54F2 : 'Unassigned [0x54F2]',
	0x54F3 : 'Unassigned [0x54F3]',
	0x54F4 : 'Unassigned [0x54F4]',
	0x54F5 : 'Unassigned [0x54F5]',
	0x54F6 : 'Unassigned [0x54F6]',
	0x54F7 : 'Unassigned [0x54F7]',
	0x54F8 : 'Unassigned [0x54F8]',
	0x54F9 : 'Unassigned [0x54F9]',
	0x54FA : 'Unassigned [0x54FA]',
	0x54FB : 'Unassigned [0x54FB]',
	0x54FC : 'Unassigned [0x54FC]',
	0x54FD : 'Unassigned [0x54FD]',
	0x54FE : 'Unassigned [0x54FE]',
	0x54FF : 'Unassigned [0x54FF]',
	0x5500 : 'Unassigned [0x5500]',
	0x5501 : 'Unassigned [0x5501]',
	0x5502 : 'Unassigned [0x5502]',
	0x5503 : 'Unassigned [0x5503]',
	0x5504 : 'Unassigned [0x5504]',
	0x5505 : 'Unassigned [0x5505]',
	0x5506 : 'Unassigned [0x5506]',
	0x5507 : 'Unassigned [0x5507]',
	0x5508 : 'Unassigned [0x5508]',
	0x5509 : 'Unassigned [0x5509]',
	0x550A : 'Unassigned [0x550A]',
	0x550B : 'Unassigned [0x550B]',
	0x550C : 'Unassigned [0x550C]',
	0x550D : 'Unassigned [0x550D]',
	0x550E : 'Unassigned [0x550E]',
	0x550F : 'Unassigned [0x550F]',
	0x5510 : 'Unassigned [0x5510]',
	0x5511 : 'Unassigned [0x5511]',
	0x5512 : 'Unassigned [0x5512]',
	0x5513 : 'Unassigned [0x5513]',
	0x5514 : 'Unassigned [0x5514]',
	0x5515 : 'Unassigned [0x5515]',
	0x5516 : 'Unassigned [0x5516]',
	0x5517 : 'Unassigned [0x5517]',
	0x5518 : 'Unassigned [0x5518]',
	0x5519 : 'Unassigned [0x5519]',
	0x551A : 'Unassigned [0x551A]',
	0x551B : 'Unassigned [0x551B]',
	0x551C : 'Unassigned [0x551C]',
	0x551D : 'Unassigned [0x551D]',
	0x551E : 'Unassigned [0x551E]',
	0x551F : 'Unassigned [0x551F]',
	0x5520 : 'Unassigned [0x5520]',
	0x5521 : 'Unassigned [0x5521]',
	0x5522 : 'Unassigned [0x5522]',
	0x5523 : 'Unassigned [0x5523]',
	0x5524 : 'Unassigned [0x5524]',
	0x5525 : 'Unassigned [0x5525]',
	0x5526 : 'Unassigned [0x5526]',
	0x5527 : 'Unassigned [0x5527]',
	0x5528 : 'Unassigned [0x5528]',
	0x5529 : 'Unassigned [0x5529]',
	0x552A : 'Unassigned [0x552A]',
	0x552B : 'Unassigned [0x552B]',
	0x552C : 'Unassigned [0x552C]',
	0x552D : 'Unassigned [0x552D]',
	0x552E : 'Unassigned [0x552E]',
	0x552F : 'Unassigned [0x552F]',
	0x5530 : 'Unassigned [0x5530]',
	0x5531 : 'Unassigned [0x5531]',
	0x5532 : 'Unassigned [0x5532]',
	0x5533 : 'Unassigned [0x5533]',
	0x5534 : 'Unassigned [0x5534]',
	0x5535 : 'Unassigned [0x5535]',
	0x5536 : 'Unassigned [0x5536]',
	0x5537 : 'Unassigned [0x5537]',
	0x5538 : 'Unassigned [0x5538]',
	0x5539 : 'Unassigned [0x5539]',
	0x553A : 'Unassigned [0x553A]',
	0x553B : 'Unassigned [0x553B]',
	0x553C : 'Unassigned [0x553C]',
	0x553D : 'Unassigned [0x553D]',
	0x553E : 'Unassigned [0x553E]',
	0x553F : 'Unassigned [0x553F]',
	0x5540 : 'Unassigned [0x5540]',
	0x5541 : 'Unassigned [0x5541]',
	0x5542 : 'Unassigned [0x5542]',
	0x5543 : 'Unassigned [0x5543]',
	0x5544 : 'Unassigned [0x5544]',
	0x5545 : 'Unassigned [0x5545]',
	0x5546 : 'Unassigned [0x5546]',
	0x5547 : 'Unassigned [0x5547]',
	0x5548 : 'Unassigned [0x5548]',
	0x5549 : 'Unassigned [0x5549]',
	0x554A : 'Unassigned [0x554A]',
	0x554B : 'Unassigned [0x554B]',
	0x554C : 'Unassigned [0x554C]',
	0x554D : 'Unassigned [0x554D]',
	0x554E : 'Unassigned [0x554E]',
	0x554F : 'Unassigned [0x554F]',
	0x5550 : 'Unassigned [0x5550]',
	0x5551 : 'Unassigned [0x5551]',
	0x5552 : 'Unassigned [0x5552]',
	0x5553 : 'Unassigned [0x5553]',
	0x5554 : 'Unassigned [0x5554]',
	0x5555 : 'Unassigned [0x5555]',
	0x5556 : 'Unassigned [0x5556]',
	0x5557 : 'Unassigned [0x5557]',
	0x5558 : 'Unassigned [0x5558]',
	0x5559 : 'Unassigned [0x5559]',
	0x555A : 'Unassigned [0x555A]',
	0x555B : 'Unassigned [0x555B]',
	0x555C : 'Unassigned [0x555C]',
	0x555D : 'Unassigned [0x555D]',
	0x555E : 'Unassigned [0x555E]',
	0x555F : 'Unassigned [0x555F]',
	0x5560 : 'Unassigned [0x5560]',
	0x5561 : 'Unassigned [0x5561]',
	0x5562 : 'Unassigned [0x5562]',
	0x5563 : 'Unassigned [0x5563]',
	0x5564 : 'Unassigned [0x5564]',
	0x5565 : 'Unassigned [0x5565]',
	0x5566 : 'Unassigned [0x5566]',
	0x5567 : 'Unassigned [0x5567]',
	0x5568 : 'Unassigned [0x5568]',
	0x5569 : 'Unassigned [0x5569]',
	0x556A : 'Unassigned [0x556A]',
	0x556B : 'Unassigned [0x556B]',
	0x556C : 'Unassigned [0x556C]',
	0x556D : 'Unassigned [0x556D]',
	0x556E : 'Unassigned [0x556E]',
	0x556F : 'Unassigned [0x556F]',
	0x5570 : 'Unassigned [0x5570]',
	0x5571 : 'Unassigned [0x5571]',
	0x5572 : 'Unassigned [0x5572]',
	0x5573 : 'Unassigned [0x5573]',
	0x5574 : 'Unassigned [0x5574]',
	0x5575 : 'Unassigned [0x5575]',
	0x5576 : 'Unassigned [0x5576]',
	0x5577 : 'Unassigned [0x5577]',
	0x5578 : 'Unassigned [0x5578]',
	0x5579 : 'Unassigned [0x5579]',
	0x557A : 'Unassigned [0x557A]',
	0x557B : 'Unassigned [0x557B]',
	0x557C : 'Unassigned [0x557C]',
	0x557D : 'Unassigned [0x557D]',
	0x557E : 'Unassigned [0x557E]',
	0x557F : 'Unassigned [0x557F]',
	0x5580 : 'Unassigned [0x5580]',
	0x5581 : 'Unassigned [0x5581]',
	0x5582 : 'Unassigned [0x5582]',
	0x5583 : 'Unassigned [0x5583]',
	0x5584 : 'Unassigned [0x5584]',
	0x5585 : 'Unassigned [0x5585]',
	0x5586 : 'Unassigned [0x5586]',
	0x5587 : 'Unassigned [0x5587]',
	0x5588 : 'Unassigned [0x5588]',
	0x5589 : 'Unassigned [0x5589]',
	0x558A : 'Unassigned [0x558A]',
	0x558B : 'Unassigned [0x558B]',
	0x558C : 'Unassigned [0x558C]',
	0x558D : 'Unassigned [0x558D]',
	0x558E : 'Unassigned [0x558E]',
	0x558F : 'Unassigned [0x558F]',
	0x5590 : 'Unassigned [0x5590]',
	0x5591 : 'Unassigned [0x5591]',
	0x5592 : 'Unassigned [0x5592]',
	0x5593 : 'Unassigned [0x5593]',
	0x5594 : 'Unassigned [0x5594]',
	0x5595 : 'Unassigned [0x5595]',
	0x5596 : 'Unassigned [0x5596]',
	0x5597 : 'Unassigned [0x5597]',
	0x5598 : 'Unassigned [0x5598]',
	0x5599 : 'Unassigned [0x5599]',
	0x559A : 'Unassigned [0x559A]',
	0x559B : 'Unassigned [0x559B]',
	0x559C : 'Unassigned [0x559C]',
	0x559D : 'Unassigned [0x559D]',
	0x559E : 'Unassigned [0x559E]',
	0x559F : 'Unassigned [0x559F]',
	0x55A0 : 'Unassigned [0x55A0]',
	0x55A1 : 'Unassigned [0x55A1]',
	0x55A2 : 'Unassigned [0x55A2]',
	0x55A3 : 'Unassigned [0x55A3]',
	0x55A4 : 'Unassigned [0x55A4]',
	0x55A5 : 'Unassigned [0x55A5]',
	0x55A6 : 'Unassigned [0x55A6]',
	0x55A7 : 'Unassigned [0x55A7]',
	0x55A8 : 'Unassigned [0x55A8]',
	0x55A9 : 'Unassigned [0x55A9]',
	0x55AA : 'Unassigned [0x55AA]',
	0x55AB : 'Unassigned [0x55AB]',
	0x55AC : 'Unassigned [0x55AC]',
	0x55AD : 'Unassigned [0x55AD]',
	0x55AE : 'Unassigned [0x55AE]',
	0x55AF : 'Unassigned [0x55AF]',
	0x55B0 : 'Unassigned [0x55B0]',
	0x55B1 : 'Unassigned [0x55B1]',
	0x55B2 : 'Unassigned [0x55B2]',
	0x55B3 : 'Unassigned [0x55B3]',
	0x55B4 : 'Unassigned [0x55B4]',
	0x55B5 : 'Unassigned [0x55B5]',
	0x55B6 : 'Unassigned [0x55B6]',
	0x55B7 : 'Unassigned [0x55B7]',
	0x55B8 : 'Unassigned [0x55B8]',
	0x55B9 : 'Unassigned [0x55B9]',
	0x55BA : 'Unassigned [0x55BA]',
	0x55BB : 'Unassigned [0x55BB]',
	0x55BC : 'Unassigned [0x55BC]',
	0x55BD : 'Unassigned [0x55BD]',
	0x55BE : 'Unassigned [0x55BE]',
	0x55BF : 'Unassigned [0x55BF]',
	0x55C0 : 'Unassigned [0x55C0]',
	0x55C1 : 'Unassigned [0x55C1]',
	0x55C2 : 'Unassigned [0x55C2]',
	0x55C3 : 'Unassigned [0x55C3]',
	0x55C4 : 'Unassigned [0x55C4]',
	0x55C5 : 'Unassigned [0x55C5]',
	0x55C6 : 'Unassigned [0x55C6]',
	0x55C7 : 'Unassigned [0x55C7]',
	0x55C8 : 'Unassigned [0x55C8]',
	0x55C9 : 'Unassigned [0x55C9]',
	0x55CA : 'Unassigned [0x55CA]',
	0x55CB : 'Unassigned [0x55CB]',
	0x55CC : 'Unassigned [0x55CC]',
	0x55CD : 'Unassigned [0x55CD]',
	0x55CE : 'Unassigned [0x55CE]',
	0x55CF : 'Unassigned [0x55CF]',
	0x55D0 : 'Unassigned [0x55D0]',
	0x55D1 : 'Unassigned [0x55D1]',
	0x55D2 : 'Unassigned [0x55D2]',
	0x55D3 : 'Unassigned [0x55D3]',
	0x55D4 : 'Unassigned [0x55D4]',
	0x55D5 : 'Unassigned [0x55D5]',
	0x55D6 : 'Unassigned [0x55D6]',
	0x55D7 : 'Unassigned [0x55D7]',
	0x55D8 : 'Unassigned [0x55D8]',
	0x55D9 : 'Unassigned [0x55D9]',
	0x55DA : 'Unassigned [0x55DA]',
	0x55DB : 'Unassigned [0x55DB]',
	0x55DC : 'Unassigned [0x55DC]',
	0x55DD : 'Unassigned [0x55DD]',
	0x55DE : 'Unassigned [0x55DE]',
	0x55DF : 'Unassigned [0x55DF]',
	0x55E0 : 'Unassigned [0x55E0]',
	0x55E1 : 'Unassigned [0x55E1]',
	0x55E2 : 'Unassigned [0x55E2]',
	0x55E3 : 'Unassigned [0x55E3]',
	0x55E4 : 'Unassigned [0x55E4]',
	0x55E5 : 'Unassigned [0x55E5]',
	0x55E6 : 'Unassigned [0x55E6]',
	0x55E7 : 'Unassigned [0x55E7]',
	0x55E8 : 'Unassigned [0x55E8]',
	0x55E9 : 'Unassigned [0x55E9]',
	0x55EA : 'Unassigned [0x55EA]',
	0x55EB : 'Unassigned [0x55EB]',
	0x55EC : 'Unassigned [0x55EC]',
	0x55ED : 'Unassigned [0x55ED]',
	0x55EE : 'Unassigned [0x55EE]',
	0x55EF : 'Unassigned [0x55EF]',
	0x55F0 : 'Unassigned [0x55F0]',
	0x55F1 : 'Unassigned [0x55F1]',
	0x55F2 : 'Unassigned [0x55F2]',
	0x55F3 : 'Unassigned [0x55F3]',
	0x55F4 : 'Unassigned [0x55F4]',
	0x55F5 : 'Unassigned [0x55F5]',
	0x55F6 : 'Unassigned [0x55F6]',
	0x55F7 : 'Unassigned [0x55F7]',
	0x55F8 : 'Unassigned [0x55F8]',
	0x55F9 : 'Unassigned [0x55F9]',
	0x55FA : 'Unassigned [0x55FA]',
	0x55FB : 'Unassigned [0x55FB]',
	0x55FC : 'Unassigned [0x55FC]',
	0x55FD : 'Unassigned [0x55FD]',
	0x55FE : 'Unassigned [0x55FE]',
	0x55FF : 'Unassigned [0x55FF]',
	0x5600 : 'Unassigned [0x5600]',
	0x5601 : 'Unassigned [0x5601]',
	0x5602 : 'Unassigned [0x5602]',
	0x5603 : 'Unassigned [0x5603]',
	0x5604 : 'Unassigned [0x5604]',
	0x5605 : 'Unassigned [0x5605]',
	0x5606 : 'Unassigned [0x5606]',
	0x5607 : 'Unassigned [0x5607]',
	0x5608 : 'Unassigned [0x5608]',
	0x5609 : 'Unassigned [0x5609]',
	0x560A : 'Unassigned [0x560A]',
	0x560B : 'Unassigned [0x560B]',
	0x560C : 'Unassigned [0x560C]',
	0x560D : 'Unassigned [0x560D]',
	0x560E : 'Unassigned [0x560E]',
	0x560F : 'Unassigned [0x560F]',
	0x5610 : 'Unassigned [0x5610]',
	0x5611 : 'Unassigned [0x5611]',
	0x5612 : 'Unassigned [0x5612]',
	0x5613 : 'Unassigned [0x5613]',
	0x5614 : 'Unassigned [0x5614]',
	0x5615 : 'Unassigned [0x5615]',
	0x5616 : 'Unassigned [0x5616]',
	0x5617 : 'Unassigned [0x5617]',
	0x5618 : 'Unassigned [0x5618]',
	0x5619 : 'Unassigned [0x5619]',
	0x561A : 'Unassigned [0x561A]',
	0x561B : 'Unassigned [0x561B]',
	0x561C : 'Unassigned [0x561C]',
	0x561D : 'Unassigned [0x561D]',
	0x561E : 'Unassigned [0x561E]',
	0x561F : 'Unassigned [0x561F]',
	0x5620 : 'Unassigned [0x5620]',
	0x5621 : 'Unassigned [0x5621]',
	0x5622 : 'Unassigned [0x5622]',
	0x5623 : 'Unassigned [0x5623]',
	0x5624 : 'Unassigned [0x5624]',
	0x5625 : 'Unassigned [0x5625]',
	0x5626 : 'Unassigned [0x5626]',
	0x5627 : 'Unassigned [0x5627]',
	0x5628 : 'Unassigned [0x5628]',
	0x5629 : 'Unassigned [0x5629]',
	0x562A : 'Unassigned [0x562A]',
	0x562B : 'Unassigned [0x562B]',
	0x562C : 'Unassigned [0x562C]',
	0x562D : 'Unassigned [0x562D]',
	0x562E : 'Unassigned [0x562E]',
	0x562F : 'Unassigned [0x562F]',
	0x5630 : 'Unassigned [0x5630]',
	0x5631 : 'Unassigned [0x5631]',
	0x5632 : 'Unassigned [0x5632]',
	0x5633 : 'Unassigned [0x5633]',
	0x5634 : 'Unassigned [0x5634]',
	0x5635 : 'Unassigned [0x5635]',
	0x5636 : 'Unassigned [0x5636]',
	0x5637 : 'Unassigned [0x5637]',
	0x5638 : 'Unassigned [0x5638]',
	0x5639 : 'Unassigned [0x5639]',
	0x563A : 'Unassigned [0x563A]',
	0x563B : 'Unassigned [0x563B]',
	0x563C : 'Unassigned [0x563C]',
	0x563D : 'Unassigned [0x563D]',
	0x563E : 'Unassigned [0x563E]',
	0x563F : 'Unassigned [0x563F]',
	0x5640 : 'Unassigned [0x5640]',
	0x5641 : 'Unassigned [0x5641]',
	0x5642 : 'Unassigned [0x5642]',
	0x5643 : 'Unassigned [0x5643]',
	0x5644 : 'Unassigned [0x5644]',
	0x5645 : 'Unassigned [0x5645]',
	0x5646 : 'Unassigned [0x5646]',
	0x5647 : 'Unassigned [0x5647]',
	0x5648 : 'Unassigned [0x5648]',
	0x5649 : 'Unassigned [0x5649]',
	0x564A : 'Unassigned [0x564A]',
	0x564B : 'Unassigned [0x564B]',
	0x564C : 'Unassigned [0x564C]',
	0x564D : 'Unassigned [0x564D]',
	0x564E : 'Unassigned [0x564E]',
	0x564F : 'Unassigned [0x564F]',
	0x5650 : 'Unassigned [0x5650]',
	0x5651 : 'Unassigned [0x5651]',
	0x5652 : 'Unassigned [0x5652]',
	0x5653 : 'Unassigned [0x5653]',
	0x5654 : 'Unassigned [0x5654]',
	0x5655 : 'Unassigned [0x5655]',
	0x5656 : 'Unassigned [0x5656]',
	0x5657 : 'Unassigned [0x5657]',
	0x5658 : 'Unassigned [0x5658]',
	0x5659 : 'Unassigned [0x5659]',
	0x565A : 'Unassigned [0x565A]',
	0x565B : 'Unassigned [0x565B]',
	0x565C : 'Unassigned [0x565C]',
	0x565D : 'Unassigned [0x565D]',
	0x565E : 'Unassigned [0x565E]',
	0x565F : 'Unassigned [0x565F]',
	0x5660 : 'Unassigned [0x5660]',
	0x5661 : 'Unassigned [0x5661]',
	0x5662 : 'Unassigned [0x5662]',
	0x5663 : 'Unassigned [0x5663]',
	0x5664 : 'Unassigned [0x5664]',
	0x5665 : 'Unassigned [0x5665]',
	0x5666 : 'Unassigned [0x5666]',
	0x5667 : 'Unassigned [0x5667]',
	0x5668 : 'Unassigned [0x5668]',
	0x5669 : 'Unassigned [0x5669]',
	0x566A : 'Unassigned [0x566A]',
	0x566B : 'Unassigned [0x566B]',
	0x566C : 'Unassigned [0x566C]',
	0x566D : 'Unassigned [0x566D]',
	0x566E : 'Unassigned [0x566E]',
	0x566F : 'Unassigned [0x566F]',
	0x5670 : 'Unassigned [0x5670]',
	0x5671 : 'Unassigned [0x5671]',
	0x5672 : 'Unassigned [0x5672]',
	0x5673 : 'Unassigned [0x5673]',
	0x5674 : 'Unassigned [0x5674]',
	0x5675 : 'Unassigned [0x5675]',
	0x5676 : 'Unassigned [0x5676]',
	0x5677 : 'Unassigned [0x5677]',
	0x5678 : 'Unassigned [0x5678]',
	0x5679 : 'Unassigned [0x5679]',
	0x567A : 'Unassigned [0x567A]',
	0x567B : 'Unassigned [0x567B]',
	0x567C : 'Unassigned [0x567C]',
	0x567D : 'Unassigned [0x567D]',
	0x567E : 'Unassigned [0x567E]',
	0x567F : 'Unassigned [0x567F]',
	0x5680 : 'Unassigned [0x5680]',
	0x5681 : 'Unassigned [0x5681]',
	0x5682 : 'Unassigned [0x5682]',
	0x5683 : 'Unassigned [0x5683]',
	0x5684 : 'Unassigned [0x5684]',
	0x5685 : 'Unassigned [0x5685]',
	0x5686 : 'Unassigned [0x5686]',
	0x5687 : 'Unassigned [0x5687]',
	0x5688 : 'Unassigned [0x5688]',
	0x5689 : 'Unassigned [0x5689]',
	0x568A : 'Unassigned [0x568A]',
	0x568B : 'Unassigned [0x568B]',
	0x568C : 'Unassigned [0x568C]',
	0x568D : 'Unassigned [0x568D]',
	0x568E : 'Unassigned [0x568E]',
	0x568F : 'Unassigned [0x568F]',
	0x5690 : 'Unassigned [0x5690]',
	0x5691 : 'Unassigned [0x5691]',
	0x5692 : 'Unassigned [0x5692]',
	0x5693 : 'Unassigned [0x5693]',
	0x5694 : 'Unassigned [0x5694]',
	0x5695 : 'Unassigned [0x5695]',
	0x5696 : 'Unassigned [0x5696]',
	0x5697 : 'Unassigned [0x5697]',
	0x5698 : 'Unassigned [0x5698]',
	0x5699 : 'Unassigned [0x5699]',
	0x569A : 'Unassigned [0x569A]',
	0x569B : 'Unassigned [0x569B]',
	0x569C : 'Unassigned [0x569C]',
	0x569D : 'Unassigned [0x569D]',
	0x569E : 'Unassigned [0x569E]',
	0x569F : 'Unassigned [0x569F]',
	0x56A0 : 'Unassigned [0x56A0]',
	0x56A1 : 'Unassigned [0x56A1]',
	0x56A2 : 'Unassigned [0x56A2]',
	0x56A3 : 'Unassigned [0x56A3]',
	0x56A4 : 'Unassigned [0x56A4]',
	0x56A5 : 'Unassigned [0x56A5]',
	0x56A6 : 'Unassigned [0x56A6]',
	0x56A7 : 'Unassigned [0x56A7]',
	0x56A8 : 'Unassigned [0x56A8]',
	0x56A9 : 'Unassigned [0x56A9]',
	0x56AA : 'Unassigned [0x56AA]',
	0x56AB : 'Unassigned [0x56AB]',
	0x56AC : 'Unassigned [0x56AC]',
	0x56AD : 'Unassigned [0x56AD]',
	0x56AE : 'Unassigned [0x56AE]',
	0x56AF : 'Unassigned [0x56AF]',
	0x56B0 : 'Unassigned [0x56B0]',
	0x56B1 : 'Unassigned [0x56B1]',
	0x56B2 : 'Unassigned [0x56B2]',
	0x56B3 : 'Unassigned [0x56B3]',
	0x56B4 : 'Unassigned [0x56B4]',
	0x56B5 : 'Unassigned [0x56B5]',
	0x56B6 : 'Unassigned [0x56B6]',
	0x56B7 : 'Unassigned [0x56B7]',
	0x56B8 : 'Unassigned [0x56B8]',
	0x56B9 : 'Unassigned [0x56B9]',
	0x56BA : 'Unassigned [0x56BA]',
	0x56BB : 'Unassigned [0x56BB]',
	0x56BC : 'Unassigned [0x56BC]',
	0x56BD : 'Unassigned [0x56BD]',
	0x56BE : 'Unassigned [0x56BE]',
	0x56BF : 'Unassigned [0x56BF]',
	0x56C0 : 'Unassigned [0x56C0]',
	0x56C1 : 'Unassigned [0x56C1]',
	0x56C2 : 'Unassigned [0x56C2]',
	0x56C3 : 'Unassigned [0x56C3]',
	0x56C4 : 'Unassigned [0x56C4]',
	0x56C5 : 'Unassigned [0x56C5]',
	0x56C6 : 'Unassigned [0x56C6]',
	0x56C7 : 'Unassigned [0x56C7]',
	0x56C8 : 'Unassigned [0x56C8]',
	0x56C9 : 'Unassigned [0x56C9]',
	0x56CA : 'Unassigned [0x56CA]',
	0x56CB : 'Unassigned [0x56CB]',
	0x56CC : 'Unassigned [0x56CC]',
	0x56CD : 'Unassigned [0x56CD]',
	0x56CE : 'Unassigned [0x56CE]',
	0x56CF : 'Unassigned [0x56CF]',
	0x56D0 : 'Unassigned [0x56D0]',
	0x56D1 : 'Unassigned [0x56D1]',
	0x56D2 : 'Unassigned [0x56D2]',
	0x56D3 : 'Unassigned [0x56D3]',
	0x56D4 : 'Unassigned [0x56D4]',
	0x56D5 : 'Unassigned [0x56D5]',
	0x56D6 : 'Unassigned [0x56D6]',
	0x56D7 : 'Unassigned [0x56D7]',
	0x56D8 : 'Unassigned [0x56D8]',
	0x56D9 : 'Unassigned [0x56D9]',
	0x56DA : 'Unassigned [0x56DA]',
	0x56DB : 'Unassigned [0x56DB]',
	0x56DC : 'Unassigned [0x56DC]',
	0x56DD : 'Unassigned [0x56DD]',
	0x56DE : 'Unassigned [0x56DE]',
	0x56DF : 'Unassigned [0x56DF]',
	0x56E0 : 'Unassigned [0x56E0]',
	0x56E1 : 'Unassigned [0x56E1]',
	0x56E2 : 'Unassigned [0x56E2]',
	0x56E3 : 'Unassigned [0x56E3]',
	0x56E4 : 'Unassigned [0x56E4]',
	0x56E5 : 'Unassigned [0x56E5]',
	0x56E6 : 'Unassigned [0x56E6]',
	0x56E7 : 'Unassigned [0x56E7]',
	0x56E8 : 'Unassigned [0x56E8]',
	0x56E9 : 'Unassigned [0x56E9]',
	0x56EA : 'Unassigned [0x56EA]',
	0x56EB : 'Unassigned [0x56EB]',
	0x56EC : 'Unassigned [0x56EC]',
	0x56ED : 'Unassigned [0x56ED]',
	0x56EE : 'Unassigned [0x56EE]',
	0x56EF : 'Unassigned [0x56EF]',
	0x56F0 : 'Unassigned [0x56F0]',
	0x56F1 : 'Unassigned [0x56F1]',
	0x56F2 : 'Unassigned [0x56F2]',
	0x56F3 : 'Unassigned [0x56F3]',
	0x56F4 : 'Unassigned [0x56F4]',
	0x56F5 : 'Unassigned [0x56F5]',
	0x56F6 : 'Unassigned [0x56F6]',
	0x56F7 : 'Unassigned [0x56F7]',
	0x56F8 : 'Unassigned [0x56F8]',
	0x56F9 : 'Unassigned [0x56F9]',
	0x56FA : 'Unassigned [0x56FA]',
	0x56FB : 'Unassigned [0x56FB]',
	0x56FC : 'Unassigned [0x56FC]',
	0x56FD : 'Unassigned [0x56FD]',
	0x56FE : 'Unassigned [0x56FE]',
	0x56FF : 'Unassigned [0x56FF]',
	0x5700 : 'Unassigned [0x5700]',
	0x5701 : 'Unassigned [0x5701]',
	0x5702 : 'Unassigned [0x5702]',
	0x5703 : 'Unassigned [0x5703]',
	0x5704 : 'Unassigned [0x5704]',
	0x5705 : 'Unassigned [0x5705]',
	0x5706 : 'Unassigned [0x5706]',
	0x5707 : 'Unassigned [0x5707]',
	0x5708 : 'Unassigned [0x5708]',
	0x5709 : 'Unassigned [0x5709]',
	0x570A : 'Unassigned [0x570A]',
	0x570B : 'Unassigned [0x570B]',
	0x570C : 'Unassigned [0x570C]',
	0x570D : 'Unassigned [0x570D]',
	0x570E : 'Unassigned [0x570E]',
	0x570F : 'Unassigned [0x570F]',
	0x5710 : 'Unassigned [0x5710]',
	0x5711 : 'Unassigned [0x5711]',
	0x5712 : 'Unassigned [0x5712]',
	0x5713 : 'Unassigned [0x5713]',
	0x5714 : 'Unassigned [0x5714]',
	0x5715 : 'Unassigned [0x5715]',
	0x5716 : 'Unassigned [0x5716]',
	0x5717 : 'Unassigned [0x5717]',
	0x5718 : 'Unassigned [0x5718]',
	0x5719 : 'Unassigned [0x5719]',
	0x571A : 'Unassigned [0x571A]',
	0x571B : 'Unassigned [0x571B]',
	0x571C : 'Unassigned [0x571C]',
	0x571D : 'Unassigned [0x571D]',
	0x571E : 'Unassigned [0x571E]',
	0x571F : 'Unassigned [0x571F]',
	0x5720 : 'Unassigned [0x5720]',
	0x5721 : 'Unassigned [0x5721]',
	0x5722 : 'Unassigned [0x5722]',
	0x5723 : 'Unassigned [0x5723]',
	0x5724 : 'Unassigned [0x5724]',
	0x5725 : 'Unassigned [0x5725]',
	0x5726 : 'Unassigned [0x5726]',
	0x5727 : 'Unassigned [0x5727]',
	0x5728 : 'Unassigned [0x5728]',
	0x5729 : 'Unassigned [0x5729]',
	0x572A : 'Unassigned [0x572A]',
	0x572B : 'Unassigned [0x572B]',
	0x572C : 'Unassigned [0x572C]',
	0x572D : 'Unassigned [0x572D]',
	0x572E : 'Unassigned [0x572E]',
	0x572F : 'Unassigned [0x572F]',
	0x5730 : 'Unassigned [0x5730]',
	0x5731 : 'Unassigned [0x5731]',
	0x5732 : 'Unassigned [0x5732]',
	0x5733 : 'Unassigned [0x5733]',
	0x5734 : 'Unassigned [0x5734]',
	0x5735 : 'Unassigned [0x5735]',
	0x5736 : 'Unassigned [0x5736]',
	0x5737 : 'Unassigned [0x5737]',
	0x5738 : 'Unassigned [0x5738]',
	0x5739 : 'Unassigned [0x5739]',
	0x573A : 'Unassigned [0x573A]',
	0x573B : 'Unassigned [0x573B]',
	0x573C : 'Unassigned [0x573C]',
	0x573D : 'Unassigned [0x573D]',
	0x573E : 'Unassigned [0x573E]',
	0x573F : 'Unassigned [0x573F]',
	0x5740 : 'Unassigned [0x5740]',
	0x5741 : 'Unassigned [0x5741]',
	0x5742 : 'Unassigned [0x5742]',
	0x5743 : 'Unassigned [0x5743]',
	0x5744 : 'Unassigned [0x5744]',
	0x5745 : 'Unassigned [0x5745]',
	0x5746 : 'Unassigned [0x5746]',
	0x5747 : 'Unassigned [0x5747]',
	0x5748 : 'Unassigned [0x5748]',
	0x5749 : 'Unassigned [0x5749]',
	0x574A : 'Unassigned [0x574A]',
	0x574B : 'Unassigned [0x574B]',
	0x574C : 'Unassigned [0x574C]',
	0x574D : 'Unassigned [0x574D]',
	0x574E : 'Unassigned [0x574E]',
	0x574F : 'Unassigned [0x574F]',
	0x5750 : 'Unassigned [0x5750]',
	0x5751 : 'Unassigned [0x5751]',
	0x5752 : 'Unassigned [0x5752]',
	0x5753 : 'Unassigned [0x5753]',
	0x5754 : 'Unassigned [0x5754]',
	0x5755 : 'Unassigned [0x5755]',
	0x5756 : 'Unassigned [0x5756]',
	0x5757 : 'Unassigned [0x5757]',
	0x5758 : 'Unassigned [0x5758]',
	0x5759 : 'Unassigned [0x5759]',
	0x575A : 'Unassigned [0x575A]',
	0x575B : 'Unassigned [0x575B]',
	0x575C : 'Unassigned [0x575C]',
	0x575D : 'Unassigned [0x575D]',
	0x575E : 'Unassigned [0x575E]',
	0x575F : 'Unassigned [0x575F]',
	0x5760 : 'Unassigned [0x5760]',
	0x5761 : 'Unassigned [0x5761]',
	0x5762 : 'Unassigned [0x5762]',
	0x5763 : 'Unassigned [0x5763]',
	0x5764 : 'Unassigned [0x5764]',
	0x5765 : 'Unassigned [0x5765]',
	0x5766 : 'Unassigned [0x5766]',
	0x5767 : 'Unassigned [0x5767]',
	0x5768 : 'Unassigned [0x5768]',
	0x5769 : 'Unassigned [0x5769]',
	0x576A : 'Unassigned [0x576A]',
	0x576B : 'Unassigned [0x576B]',
	0x576C : 'Unassigned [0x576C]',
	0x576D : 'Unassigned [0x576D]',
	0x576E : 'Unassigned [0x576E]',
	0x576F : 'Unassigned [0x576F]',
	0x5770 : 'Unassigned [0x5770]',
	0x5771 : 'Unassigned [0x5771]',
	0x5772 : 'Unassigned [0x5772]',
	0x5773 : 'Unassigned [0x5773]',
	0x5774 : 'Unassigned [0x5774]',
	0x5775 : 'Unassigned [0x5775]',
	0x5776 : 'Unassigned [0x5776]',
	0x5777 : 'Unassigned [0x5777]',
	0x5778 : 'Unassigned [0x5778]',
	0x5779 : 'Unassigned [0x5779]',
	0x577A : 'Unassigned [0x577A]',
	0x577B : 'Unassigned [0x577B]',
	0x577C : 'Unassigned [0x577C]',
	0x577D : 'Unassigned [0x577D]',
	0x577E : 'Unassigned [0x577E]',
	0x577F : 'Unassigned [0x577F]',
	0x5780 : 'Unassigned [0x5780]',
	0x5781 : 'Unassigned [0x5781]',
	0x5782 : 'Unassigned [0x5782]',
	0x5783 : 'Unassigned [0x5783]',
	0x5784 : 'Unassigned [0x5784]',
	0x5785 : 'Unassigned [0x5785]',
	0x5786 : 'Unassigned [0x5786]',
	0x5787 : 'Unassigned [0x5787]',
	0x5788 : 'Unassigned [0x5788]',
	0x5789 : 'Unassigned [0x5789]',
	0x578A : 'Unassigned [0x578A]',
	0x578B : 'Unassigned [0x578B]',
	0x578C : 'Unassigned [0x578C]',
	0x578D : 'Unassigned [0x578D]',
	0x578E : 'Unassigned [0x578E]',
	0x578F : 'Unassigned [0x578F]',
	0x5790 : 'Unassigned [0x5790]',
	0x5791 : 'Unassigned [0x5791]',
	0x5792 : 'Unassigned [0x5792]',
	0x5793 : 'Unassigned [0x5793]',
	0x5794 : 'Unassigned [0x5794]',
	0x5795 : 'Unassigned [0x5795]',
	0x5796 : 'Unassigned [0x5796]',
	0x5797 : 'Unassigned [0x5797]',
	0x5798 : 'Unassigned [0x5798]',
	0x5799 : 'Unassigned [0x5799]',
	0x579A : 'Unassigned [0x579A]',
	0x579B : 'Unassigned [0x579B]',
	0x579C : 'Unassigned [0x579C]',
	0x579D : 'Unassigned [0x579D]',
	0x579E : 'Unassigned [0x579E]',
	0x579F : 'Unassigned [0x579F]',
	0x57A0 : 'Unassigned [0x57A0]',
	0x57A1 : 'Unassigned [0x57A1]',
	0x57A2 : 'Unassigned [0x57A2]',
	0x57A3 : 'Unassigned [0x57A3]',
	0x57A4 : 'Unassigned [0x57A4]',
	0x57A5 : 'Unassigned [0x57A5]',
	0x57A6 : 'Unassigned [0x57A6]',
	0x57A7 : 'Unassigned [0x57A7]',
	0x57A8 : 'Unassigned [0x57A8]',
	0x57A9 : 'Unassigned [0x57A9]',
	0x57AA : 'Unassigned [0x57AA]',
	0x57AB : 'Unassigned [0x57AB]',
	0x57AC : 'Unassigned [0x57AC]',
	0x57AD : 'Unassigned [0x57AD]',
	0x57AE : 'Unassigned [0x57AE]',
	0x57AF : 'Unassigned [0x57AF]',
	0x57B0 : 'Unassigned [0x57B0]',
	0x57B1 : 'Unassigned [0x57B1]',
	0x57B2 : 'Unassigned [0x57B2]',
	0x57B3 : 'Unassigned [0x57B3]',
	0x57B4 : 'Unassigned [0x57B4]',
	0x57B5 : 'Unassigned [0x57B5]',
	0x57B6 : 'Unassigned [0x57B6]',
	0x57B7 : 'Unassigned [0x57B7]',
	0x57B8 : 'Unassigned [0x57B8]',
	0x57B9 : 'Unassigned [0x57B9]',
	0x57BA : 'Unassigned [0x57BA]',
	0x57BB : 'Unassigned [0x57BB]',
	0x57BC : 'Unassigned [0x57BC]',
	0x57BD : 'Unassigned [0x57BD]',
	0x57BE : 'Unassigned [0x57BE]',
	0x57BF : 'Unassigned [0x57BF]',
	0x57C0 : 'Unassigned [0x57C0]',
	0x57C1 : 'Unassigned [0x57C1]',
	0x57C2 : 'Unassigned [0x57C2]',
	0x57C3 : 'Unassigned [0x57C3]',
	0x57C4 : 'Unassigned [0x57C4]',
	0x57C5 : 'Unassigned [0x57C5]',
	0x57C6 : 'Unassigned [0x57C6]',
	0x57C7 : 'Unassigned [0x57C7]',
	0x57C8 : 'Unassigned [0x57C8]',
	0x57C9 : 'Unassigned [0x57C9]',
	0x57CA : 'Unassigned [0x57CA]',
	0x57CB : 'Unassigned [0x57CB]',
	0x57CC : 'Unassigned [0x57CC]',
	0x57CD : 'Unassigned [0x57CD]',
	0x57CE : 'Unassigned [0x57CE]',
	0x57CF : 'Unassigned [0x57CF]',
	0x57D0 : 'Unassigned [0x57D0]',
	0x57D1 : 'Unassigned [0x57D1]',
	0x57D2 : 'Unassigned [0x57D2]',
	0x57D3 : 'Unassigned [0x57D3]',
	0x57D4 : 'Unassigned [0x57D4]',
	0x57D5 : 'Unassigned [0x57D5]',
	0x57D6 : 'Unassigned [0x57D6]',
	0x57D7 : 'Unassigned [0x57D7]',
	0x57D8 : 'Unassigned [0x57D8]',
	0x57D9 : 'Unassigned [0x57D9]',
	0x57DA : 'Unassigned [0x57DA]',
	0x57DB : 'Unassigned [0x57DB]',
	0x57DC : 'Unassigned [0x57DC]',
	0x57DD : 'Unassigned [0x57DD]',
	0x57DE : 'Unassigned [0x57DE]',
	0x57DF : 'Unassigned [0x57DF]',
	0x57E0 : 'Unassigned [0x57E0]',
	0x57E1 : 'Unassigned [0x57E1]',
	0x57E2 : 'Unassigned [0x57E2]',
	0x57E3 : 'Unassigned [0x57E3]',
	0x57E4 : 'Unassigned [0x57E4]',
	0x57E5 : 'Unassigned [0x57E5]',
	0x57E6 : 'Unassigned [0x57E6]',
	0x57E7 : 'Unassigned [0x57E7]',
	0x57E8 : 'Unassigned [0x57E8]',
	0x57E9 : 'Unassigned [0x57E9]',
	0x57EA : 'Unassigned [0x57EA]',
	0x57EB : 'Unassigned [0x57EB]',
	0x57EC : 'Unassigned [0x57EC]',
	0x57ED : 'Unassigned [0x57ED]',
	0x57EE : 'Unassigned [0x57EE]',
	0x57EF : 'Unassigned [0x57EF]',
	0x57F0 : 'Unassigned [0x57F0]',
	0x57F1 : 'Unassigned [0x57F1]',
	0x57F2 : 'Unassigned [0x57F2]',
	0x57F3 : 'Unassigned [0x57F3]',
	0x57F4 : 'Unassigned [0x57F4]',
	0x57F5 : 'Unassigned [0x57F5]',
	0x57F6 : 'Unassigned [0x57F6]',
	0x57F7 : 'Unassigned [0x57F7]',
	0x57F8 : 'Unassigned [0x57F8]',
	0x57F9 : 'Unassigned [0x57F9]',
	0x57FA : 'Unassigned [0x57FA]',
	0x57FB : 'Unassigned [0x57FB]',
	0x57FC : 'Unassigned [0x57FC]',
	0x57FD : 'Unassigned [0x57FD]',
	0x57FE : 'Unassigned [0x57FE]',
	0x57FF : 'Unassigned [0x57FF]',
	0x5800 : 'Unassigned [0x5800]',
	0x5801 : 'Unassigned [0x5801]',
	0x5802 : 'Unassigned [0x5802]',
	0x5803 : 'Unassigned [0x5803]',
	0x5804 : 'Unassigned [0x5804]',
	0x5805 : 'Unassigned [0x5805]',
	0x5806 : 'Unassigned [0x5806]',
	0x5807 : 'Unassigned [0x5807]',
	0x5808 : 'Unassigned [0x5808]',
	0x5809 : 'Unassigned [0x5809]',
	0x580A : 'Unassigned [0x580A]',
	0x580B : 'Unassigned [0x580B]',
	0x580C : 'Unassigned [0x580C]',
	0x580D : 'Unassigned [0x580D]',
	0x580E : 'Unassigned [0x580E]',
	0x580F : 'Unassigned [0x580F]',
	0x5810 : 'Unassigned [0x5810]',
	0x5811 : 'Unassigned [0x5811]',
	0x5812 : 'Unassigned [0x5812]',
	0x5813 : 'Unassigned [0x5813]',
	0x5814 : 'Unassigned [0x5814]',
	0x5815 : 'Unassigned [0x5815]',
	0x5816 : 'Unassigned [0x5816]',
	0x5817 : 'Unassigned [0x5817]',
	0x5818 : 'Unassigned [0x5818]',
	0x5819 : 'Unassigned [0x5819]',
	0x581A : 'Unassigned [0x581A]',
	0x581B : 'Unassigned [0x581B]',
	0x581C : 'Unassigned [0x581C]',
	0x581D : 'Unassigned [0x581D]',
	0x581E : 'Unassigned [0x581E]',
	0x581F : 'Unassigned [0x581F]',
	0x5820 : 'Unassigned [0x5820]',
	0x5821 : 'Unassigned [0x5821]',
	0x5822 : 'Unassigned [0x5822]',
	0x5823 : 'Unassigned [0x5823]',
	0x5824 : 'Unassigned [0x5824]',
	0x5825 : 'Unassigned [0x5825]',
	0x5826 : 'Unassigned [0x5826]',
	0x5827 : 'Unassigned [0x5827]',
	0x5828 : 'Unassigned [0x5828]',
	0x5829 : 'Unassigned [0x5829]',
	0x582A : 'Unassigned [0x582A]',
	0x582B : 'Unassigned [0x582B]',
	0x582C : 'Unassigned [0x582C]',
	0x582D : 'Unassigned [0x582D]',
	0x582E : 'Unassigned [0x582E]',
	0x582F : 'Unassigned [0x582F]',
	0x5830 : 'Unassigned [0x5830]',
	0x5831 : 'Unassigned [0x5831]',
	0x5832 : 'Unassigned [0x5832]',
	0x5833 : 'Unassigned [0x5833]',
	0x5834 : 'Unassigned [0x5834]',
	0x5835 : 'Unassigned [0x5835]',
	0x5836 : 'Unassigned [0x5836]',
	0x5837 : 'Unassigned [0x5837]',
	0x5838 : 'Unassigned [0x5838]',
	0x5839 : 'Unassigned [0x5839]',
	0x583A : 'Unassigned [0x583A]',
	0x583B : 'Unassigned [0x583B]',
	0x583C : 'Unassigned [0x583C]',
	0x583D : 'Unassigned [0x583D]',
	0x583E : 'Unassigned [0x583E]',
	0x583F : 'Unassigned [0x583F]',
	0x5840 : 'Unassigned [0x5840]',
	0x5841 : 'Unassigned [0x5841]',
	0x5842 : 'Unassigned [0x5842]',
	0x5843 : 'Unassigned [0x5843]',
	0x5844 : 'Unassigned [0x5844]',
	0x5845 : 'Unassigned [0x5845]',
	0x5846 : 'Unassigned [0x5846]',
	0x5847 : 'Unassigned [0x5847]',
	0x5848 : 'Unassigned [0x5848]',
	0x5849 : 'Unassigned [0x5849]',
	0x584A : 'Unassigned [0x584A]',
	0x584B : 'Unassigned [0x584B]',
	0x584C : 'Unassigned [0x584C]',
	0x584D : 'Unassigned [0x584D]',
	0x584E : 'Unassigned [0x584E]',
	0x584F : 'Unassigned [0x584F]',
	0x5850 : 'Unassigned [0x5850]',
	0x5851 : 'Unassigned [0x5851]',
	0x5852 : 'Unassigned [0x5852]',
	0x5853 : 'Unassigned [0x5853]',
	0x5854 : 'Unassigned [0x5854]',
	0x5855 : 'Unassigned [0x5855]',
	0x5856 : 'Unassigned [0x5856]',
	0x5857 : 'Unassigned [0x5857]',
	0x5858 : 'Unassigned [0x5858]',
	0x5859 : 'Unassigned [0x5859]',
	0x585A : 'Unassigned [0x585A]',
	0x585B : 'Unassigned [0x585B]',
	0x585C : 'Unassigned [0x585C]',
	0x585D : 'Unassigned [0x585D]',
	0x585E : 'Unassigned [0x585E]',
	0x585F : 'Unassigned [0x585F]',
	0x5860 : 'Unassigned [0x5860]',
	0x5861 : 'Unassigned [0x5861]',
	0x5862 : 'Unassigned [0x5862]',
	0x5863 : 'Unassigned [0x5863]',
	0x5864 : 'Unassigned [0x5864]',
	0x5865 : 'Unassigned [0x5865]',
	0x5866 : 'Unassigned [0x5866]',
	0x5867 : 'Unassigned [0x5867]',
	0x5868 : 'Unassigned [0x5868]',
	0x5869 : 'Unassigned [0x5869]',
	0x586A : 'Unassigned [0x586A]',
	0x586B : 'Unassigned [0x586B]',
	0x586C : 'Unassigned [0x586C]',
	0x586D : 'Unassigned [0x586D]',
	0x586E : 'Unassigned [0x586E]',
	0x586F : 'Unassigned [0x586F]',
	0x5870 : 'Unassigned [0x5870]',
	0x5871 : 'Unassigned [0x5871]',
	0x5872 : 'Unassigned [0x5872]',
	0x5873 : 'Unassigned [0x5873]',
	0x5874 : 'Unassigned [0x5874]',
	0x5875 : 'Unassigned [0x5875]',
	0x5876 : 'Unassigned [0x5876]',
	0x5877 : 'Unassigned [0x5877]',
	0x5878 : 'Unassigned [0x5878]',
	0x5879 : 'Unassigned [0x5879]',
	0x587A : 'Unassigned [0x587A]',
	0x587B : 'Unassigned [0x587B]',
	0x587C : 'Unassigned [0x587C]',
	0x587D : 'Unassigned [0x587D]',
	0x587E : 'Unassigned [0x587E]',
	0x587F : 'Unassigned [0x587F]',
	0x5880 : 'Unassigned [0x5880]',
	0x5881 : 'Unassigned [0x5881]',
	0x5882 : 'Unassigned [0x5882]',
	0x5883 : 'Unassigned [0x5883]',
	0x5884 : 'Unassigned [0x5884]',
	0x5885 : 'Unassigned [0x5885]',
	0x5886 : 'Unassigned [0x5886]',
	0x5887 : 'Unassigned [0x5887]',
	0x5888 : 'Unassigned [0x5888]',
	0x5889 : 'Unassigned [0x5889]',
	0x588A : 'Unassigned [0x588A]',
	0x588B : 'Unassigned [0x588B]',
	0x588C : 'Unassigned [0x588C]',
	0x588D : 'Unassigned [0x588D]',
	0x588E : 'Unassigned [0x588E]',
	0x588F : 'Unassigned [0x588F]',
	0x5890 : 'Unassigned [0x5890]',
	0x5891 : 'Unassigned [0x5891]',
	0x5892 : 'Unassigned [0x5892]',
	0x5893 : 'Unassigned [0x5893]',
	0x5894 : 'Unassigned [0x5894]',
	0x5895 : 'Unassigned [0x5895]',
	0x5896 : 'Unassigned [0x5896]',
	0x5897 : 'Unassigned [0x5897]',
	0x5898 : 'Unassigned [0x5898]',
	0x5899 : 'Unassigned [0x5899]',
	0x589A : 'Unassigned [0x589A]',
	0x589B : 'Unassigned [0x589B]',
	0x589C : 'Unassigned [0x589C]',
	0x589D : 'Unassigned [0x589D]',
	0x589E : 'Unassigned [0x589E]',
	0x589F : 'Unassigned [0x589F]',
	0x58A0 : 'Unassigned [0x58A0]',
	0x58A1 : 'Unassigned [0x58A1]',
	0x58A2 : 'Unassigned [0x58A2]',
	0x58A3 : 'Unassigned [0x58A3]',
	0x58A4 : 'Unassigned [0x58A4]',
	0x58A5 : 'Unassigned [0x58A5]',
	0x58A6 : 'Unassigned [0x58A6]',
	0x58A7 : 'Unassigned [0x58A7]',
	0x58A8 : 'Unassigned [0x58A8]',
	0x58A9 : 'Unassigned [0x58A9]',
	0x58AA : 'Unassigned [0x58AA]',
	0x58AB : 'Unassigned [0x58AB]',
	0x58AC : 'Unassigned [0x58AC]',
	0x58AD : 'Unassigned [0x58AD]',
	0x58AE : 'Unassigned [0x58AE]',
	0x58AF : 'Unassigned [0x58AF]',
	0x58B0 : 'Unassigned [0x58B0]',
	0x58B1 : 'Unassigned [0x58B1]',
	0x58B2 : 'Unassigned [0x58B2]',
	0x58B3 : 'Unassigned [0x58B3]',
	0x58B4 : 'Unassigned [0x58B4]',
	0x58B5 : 'Unassigned [0x58B5]',
	0x58B6 : 'Unassigned [0x58B6]',
	0x58B7 : 'Unassigned [0x58B7]',
	0x58B8 : 'Unassigned [0x58B8]',
	0x58B9 : 'Unassigned [0x58B9]',
	0x58BA : 'Unassigned [0x58BA]',
	0x58BB : 'Unassigned [0x58BB]',
	0x58BC : 'Unassigned [0x58BC]',
	0x58BD : 'Unassigned [0x58BD]',
	0x58BE : 'Unassigned [0x58BE]',
	0x58BF : 'Unassigned [0x58BF]',
	0x58C0 : 'Unassigned [0x58C0]',
	0x58C1 : 'Unassigned [0x58C1]',
	0x58C2 : 'Unassigned [0x58C2]',
	0x58C3 : 'Unassigned [0x58C3]',
	0x58C4 : 'Unassigned [0x58C4]',
	0x58C5 : 'Unassigned [0x58C5]',
	0x58C6 : 'Unassigned [0x58C6]',
	0x58C7 : 'Unassigned [0x58C7]',
	0x58C8 : 'Unassigned [0x58C8]',
	0x58C9 : 'Unassigned [0x58C9]',
	0x58CA : 'Unassigned [0x58CA]',
	0x58CB : 'Unassigned [0x58CB]',
	0x58CC : 'Unassigned [0x58CC]',
	0x58CD : 'Unassigned [0x58CD]',
	0x58CE : 'Unassigned [0x58CE]',
	0x58CF : 'Unassigned [0x58CF]',
	0x58D0 : 'Unassigned [0x58D0]',
	0x58D1 : 'Unassigned [0x58D1]',
	0x58D2 : 'Unassigned [0x58D2]',
	0x58D3 : 'Unassigned [0x58D3]',
	0x58D4 : 'Unassigned [0x58D4]',
	0x58D5 : 'Unassigned [0x58D5]',
	0x58D6 : 'Unassigned [0x58D6]',
	0x58D7 : 'Unassigned [0x58D7]',
	0x58D8 : 'Unassigned [0x58D8]',
	0x58D9 : 'Unassigned [0x58D9]',
	0x58DA : 'Unassigned [0x58DA]',
	0x58DB : 'Unassigned [0x58DB]',
	0x58DC : 'Unassigned [0x58DC]',
	0x58DD : 'Unassigned [0x58DD]',
	0x58DE : 'Unassigned [0x58DE]',
	0x58DF : 'Unassigned [0x58DF]',
	0x58E0 : 'Unassigned [0x58E0]',
	0x58E1 : 'Unassigned [0x58E1]',
	0x58E2 : 'Unassigned [0x58E2]',
	0x58E3 : 'Unassigned [0x58E3]',
	0x58E4 : 'Unassigned [0x58E4]',
	0x58E5 : 'Unassigned [0x58E5]',
	0x58E6 : 'Unassigned [0x58E6]',
	0x58E7 : 'Unassigned [0x58E7]',
	0x58E8 : 'Unassigned [0x58E8]',
	0x58E9 : 'Unassigned [0x58E9]',
	0x58EA : 'Unassigned [0x58EA]',
	0x58EB : 'Unassigned [0x58EB]',
	0x58EC : 'Unassigned [0x58EC]',
	0x58ED : 'Unassigned [0x58ED]',
	0x58EE : 'Unassigned [0x58EE]',
	0x58EF : 'Unassigned [0x58EF]',
	0x58F0 : 'Unassigned [0x58F0]',
	0x58F1 : 'Unassigned [0x58F1]',
	0x58F2 : 'Unassigned [0x58F2]',
	0x58F3 : 'Unassigned [0x58F3]',
	0x58F4 : 'Unassigned [0x58F4]',
	0x58F5 : 'Unassigned [0x58F5]',
	0x58F6 : 'Unassigned [0x58F6]',
	0x58F7 : 'Unassigned [0x58F7]',
	0x58F8 : 'Unassigned [0x58F8]',
	0x58F9 : 'Unassigned [0x58F9]',
	0x58FA : 'Unassigned [0x58FA]',
	0x58FB : 'Unassigned [0x58FB]',
	0x58FC : 'Unassigned [0x58FC]',
	0x58FD : 'Unassigned [0x58FD]',
	0x58FE : 'Unassigned [0x58FE]',
	0x58FF : 'Unassigned [0x58FF]',
	0x5900 : 'Unassigned [0x5900]',
	0x5901 : 'Unassigned [0x5901]',
	0x5902 : 'Unassigned [0x5902]',
	0x5903 : 'Unassigned [0x5903]',
	0x5904 : 'Unassigned [0x5904]',
	0x5905 : 'Unassigned [0x5905]',
	0x5906 : 'Unassigned [0x5906]',
	0x5907 : 'Unassigned [0x5907]',
	0x5908 : 'Unassigned [0x5908]',
	0x5909 : 'Unassigned [0x5909]',
	0x590A : 'Unassigned [0x590A]',
	0x590B : 'Unassigned [0x590B]',
	0x590C : 'Unassigned [0x590C]',
	0x590D : 'Unassigned [0x590D]',
	0x590E : 'Unassigned [0x590E]',
	0x590F : 'Unassigned [0x590F]',
	0x5910 : 'Unassigned [0x5910]',
	0x5911 : 'Unassigned [0x5911]',
	0x5912 : 'Unassigned [0x5912]',
	0x5913 : 'Unassigned [0x5913]',
	0x5914 : 'Unassigned [0x5914]',
	0x5915 : 'Unassigned [0x5915]',
	0x5916 : 'Unassigned [0x5916]',
	0x5917 : 'Unassigned [0x5917]',
	0x5918 : 'Unassigned [0x5918]',
	0x5919 : 'Unassigned [0x5919]',
	0x591A : 'Unassigned [0x591A]',
	0x591B : 'Unassigned [0x591B]',
	0x591C : 'Unassigned [0x591C]',
	0x591D : 'Unassigned [0x591D]',
	0x591E : 'Unassigned [0x591E]',
	0x591F : 'Unassigned [0x591F]',
	0x5920 : 'Unassigned [0x5920]',
	0x5921 : 'Unassigned [0x5921]',
	0x5922 : 'Unassigned [0x5922]',
	0x5923 : 'Unassigned [0x5923]',
	0x5924 : 'Unassigned [0x5924]',
	0x5925 : 'Unassigned [0x5925]',
	0x5926 : 'Unassigned [0x5926]',
	0x5927 : 'Unassigned [0x5927]',
	0x5928 : 'Unassigned [0x5928]',
	0x5929 : 'Unassigned [0x5929]',
	0x592A : 'Unassigned [0x592A]',
	0x592B : 'Unassigned [0x592B]',
	0x592C : 'Unassigned [0x592C]',
	0x592D : 'Unassigned [0x592D]',
	0x592E : 'Unassigned [0x592E]',
	0x592F : 'Unassigned [0x592F]',
	0x5930 : 'Unassigned [0x5930]',
	0x5931 : 'Unassigned [0x5931]',
	0x5932 : 'Unassigned [0x5932]',
	0x5933 : 'Unassigned [0x5933]',
	0x5934 : 'Unassigned [0x5934]',
	0x5935 : 'Unassigned [0x5935]',
	0x5936 : 'Unassigned [0x5936]',
	0x5937 : 'Unassigned [0x5937]',
	0x5938 : 'Unassigned [0x5938]',
	0x5939 : 'Unassigned [0x5939]',
	0x593A : 'Unassigned [0x593A]',
	0x593B : 'Unassigned [0x593B]',
	0x593C : 'Unassigned [0x593C]',
	0x593D : 'Unassigned [0x593D]',
	0x593E : 'Unassigned [0x593E]',
	0x593F : 'Unassigned [0x593F]',
	0x5940 : 'Unassigned [0x5940]',
	0x5941 : 'Unassigned [0x5941]',
	0x5942 : 'Unassigned [0x5942]',
	0x5943 : 'Unassigned [0x5943]',
	0x5944 : 'Unassigned [0x5944]',
	0x5945 : 'Unassigned [0x5945]',
	0x5946 : 'Unassigned [0x5946]',
	0x5947 : 'Unassigned [0x5947]',
	0x5948 : 'Unassigned [0x5948]',
	0x5949 : 'Unassigned [0x5949]',
	0x594A : 'Unassigned [0x594A]',
	0x594B : 'Unassigned [0x594B]',
	0x594C : 'Unassigned [0x594C]',
	0x594D : 'Unassigned [0x594D]',
	0x594E : 'Unassigned [0x594E]',
	0x594F : 'Unassigned [0x594F]',
	0x5950 : 'Unassigned [0x5950]',
	0x5951 : 'Unassigned [0x5951]',
	0x5952 : 'Unassigned [0x5952]',
	0x5953 : 'Unassigned [0x5953]',
	0x5954 : 'Unassigned [0x5954]',
	0x5955 : 'Unassigned [0x5955]',
	0x5956 : 'Unassigned [0x5956]',
	0x5957 : 'Unassigned [0x5957]',
	0x5958 : 'Unassigned [0x5958]',
	0x5959 : 'Unassigned [0x5959]',
	0x595A : 'Unassigned [0x595A]',
	0x595B : 'Unassigned [0x595B]',
	0x595C : 'Unassigned [0x595C]',
	0x595D : 'Unassigned [0x595D]',
	0x595E : 'Unassigned [0x595E]',
	0x595F : 'Unassigned [0x595F]',
	0x5960 : 'Unassigned [0x5960]',
	0x5961 : 'Unassigned [0x5961]',
	0x5962 : 'Unassigned [0x5962]',
	0x5963 : 'Unassigned [0x5963]',
	0x5964 : 'Unassigned [0x5964]',
	0x5965 : 'Unassigned [0x5965]',
	0x5966 : 'Unassigned [0x5966]',
	0x5967 : 'Unassigned [0x5967]',
	0x5968 : 'Unassigned [0x5968]',
	0x5969 : 'Unassigned [0x5969]',
	0x596A : 'Unassigned [0x596A]',
	0x596B : 'Unassigned [0x596B]',
	0x596C : 'Unassigned [0x596C]',
	0x596D : 'Unassigned [0x596D]',
	0x596E : 'Unassigned [0x596E]',
	0x596F : 'Unassigned [0x596F]',
	0x5970 : 'Unassigned [0x5970]',
	0x5971 : 'Unassigned [0x5971]',
	0x5972 : 'Unassigned [0x5972]',
	0x5973 : 'Unassigned [0x5973]',
	0x5974 : 'Unassigned [0x5974]',
	0x5975 : 'Unassigned [0x5975]',
	0x5976 : 'Unassigned [0x5976]',
	0x5977 : 'Unassigned [0x5977]',
	0x5978 : 'Unassigned [0x5978]',
	0x5979 : 'Unassigned [0x5979]',
	0x597A : 'Unassigned [0x597A]',
	0x597B : 'Unassigned [0x597B]',
	0x597C : 'Unassigned [0x597C]',
	0x597D : 'Unassigned [0x597D]',
	0x597E : 'Unassigned [0x597E]',
	0x597F : 'Unassigned [0x597F]',
	0x5980 : 'Unassigned [0x5980]',
	0x5981 : 'Unassigned [0x5981]',
	0x5982 : 'Unassigned [0x5982]',
	0x5983 : 'Unassigned [0x5983]',
	0x5984 : 'Unassigned [0x5984]',
	0x5985 : 'Unassigned [0x5985]',
	0x5986 : 'Unassigned [0x5986]',
	0x5987 : 'Unassigned [0x5987]',
	0x5988 : 'Unassigned [0x5988]',
	0x5989 : 'Unassigned [0x5989]',
	0x598A : 'Unassigned [0x598A]',
	0x598B : 'Unassigned [0x598B]',
	0x598C : 'Unassigned [0x598C]',
	0x598D : 'Unassigned [0x598D]',
	0x598E : 'Unassigned [0x598E]',
	0x598F : 'Unassigned [0x598F]',
	0x5990 : 'Unassigned [0x5990]',
	0x5991 : 'Unassigned [0x5991]',
	0x5992 : 'Unassigned [0x5992]',
	0x5993 : 'Unassigned [0x5993]',
	0x5994 : 'Unassigned [0x5994]',
	0x5995 : 'Unassigned [0x5995]',
	0x5996 : 'Unassigned [0x5996]',
	0x5997 : 'Unassigned [0x5997]',
	0x5998 : 'Unassigned [0x5998]',
	0x5999 : 'Unassigned [0x5999]',
	0x599A : 'Unassigned [0x599A]',
	0x599B : 'Unassigned [0x599B]',
	0x599C : 'Unassigned [0x599C]',
	0x599D : 'Unassigned [0x599D]',
	0x599E : 'Unassigned [0x599E]',
	0x599F : 'Unassigned [0x599F]',
	0x59A0 : 'Unassigned [0x59A0]',
	0x59A1 : 'Unassigned [0x59A1]',
	0x59A2 : 'Unassigned [0x59A2]',
	0x59A3 : 'Unassigned [0x59A3]',
	0x59A4 : 'Unassigned [0x59A4]',
	0x59A5 : 'Unassigned [0x59A5]',
	0x59A6 : 'Unassigned [0x59A6]',
	0x59A7 : 'Unassigned [0x59A7]',
	0x59A8 : 'Unassigned [0x59A8]',
	0x59A9 : 'Unassigned [0x59A9]',
	0x59AA : 'Unassigned [0x59AA]',
	0x59AB : 'Unassigned [0x59AB]',
	0x59AC : 'Unassigned [0x59AC]',
	0x59AD : 'Unassigned [0x59AD]',
	0x59AE : 'Unassigned [0x59AE]',
	0x59AF : 'Unassigned [0x59AF]',
	0x59B0 : 'Unassigned [0x59B0]',
	0x59B1 : 'Unassigned [0x59B1]',
	0x59B2 : 'Unassigned [0x59B2]',
	0x59B3 : 'Unassigned [0x59B3]',
	0x59B4 : 'Unassigned [0x59B4]',
	0x59B5 : 'Unassigned [0x59B5]',
	0x59B6 : 'Unassigned [0x59B6]',
	0x59B7 : 'Unassigned [0x59B7]',
	0x59B8 : 'Unassigned [0x59B8]',
	0x59B9 : 'Unassigned [0x59B9]',
	0x59BA : 'Unassigned [0x59BA]',
	0x59BB : 'Unassigned [0x59BB]',
	0x59BC : 'Unassigned [0x59BC]',
	0x59BD : 'Unassigned [0x59BD]',
	0x59BE : 'Unassigned [0x59BE]',
	0x59BF : 'Unassigned [0x59BF]',
	0x59C0 : 'Unassigned [0x59C0]',
	0x59C1 : 'Unassigned [0x59C1]',
	0x59C2 : 'Unassigned [0x59C2]',
	0x59C3 : 'Unassigned [0x59C3]',
	0x59C4 : 'Unassigned [0x59C4]',
	0x59C5 : 'Unassigned [0x59C5]',
	0x59C6 : 'Unassigned [0x59C6]',
	0x59C7 : 'Unassigned [0x59C7]',
	0x59C8 : 'Unassigned [0x59C8]',
	0x59C9 : 'Unassigned [0x59C9]',
	0x59CA : 'Unassigned [0x59CA]',
	0x59CB : 'Unassigned [0x59CB]',
	0x59CC : 'Unassigned [0x59CC]',
	0x59CD : 'Unassigned [0x59CD]',
	0x59CE : 'Unassigned [0x59CE]',
	0x59CF : 'Unassigned [0x59CF]',
	0x59D0 : 'Unassigned [0x59D0]',
	0x59D1 : 'Unassigned [0x59D1]',
	0x59D2 : 'Unassigned [0x59D2]',
	0x59D3 : 'Unassigned [0x59D3]',
	0x59D4 : 'Unassigned [0x59D4]',
	0x59D5 : 'Unassigned [0x59D5]',
	0x59D6 : 'Unassigned [0x59D6]',
	0x59D7 : 'Unassigned [0x59D7]',
	0x59D8 : 'Unassigned [0x59D8]',
	0x59D9 : 'Unassigned [0x59D9]',
	0x59DA : 'Unassigned [0x59DA]',
	0x59DB : 'Unassigned [0x59DB]',
	0x59DC : 'Unassigned [0x59DC]',
	0x59DD : 'Unassigned [0x59DD]',
	0x59DE : 'Unassigned [0x59DE]',
	0x59DF : 'Unassigned [0x59DF]',
	0x59E0 : 'Unassigned [0x59E0]',
	0x59E1 : 'Unassigned [0x59E1]',
	0x59E2 : 'Unassigned [0x59E2]',
	0x59E3 : 'Unassigned [0x59E3]',
	0x59E4 : 'Unassigned [0x59E4]',
	0x59E5 : 'Unassigned [0x59E5]',
	0x59E6 : 'Unassigned [0x59E6]',
	0x59E7 : 'Unassigned [0x59E7]',
	0x59E8 : 'Unassigned [0x59E8]',
	0x59E9 : 'Unassigned [0x59E9]',
	0x59EA : 'Unassigned [0x59EA]',
	0x59EB : 'Unassigned [0x59EB]',
	0x59EC : 'Unassigned [0x59EC]',
	0x59ED : 'Unassigned [0x59ED]',
	0x59EE : 'Unassigned [0x59EE]',
	0x59EF : 'Unassigned [0x59EF]',
	0x59F0 : 'Unassigned [0x59F0]',
	0x59F1 : 'Unassigned [0x59F1]',
	0x59F2 : 'Unassigned [0x59F2]',
	0x59F3 : 'Unassigned [0x59F3]',
	0x59F4 : 'Unassigned [0x59F4]',
	0x59F5 : 'Unassigned [0x59F5]',
	0x59F6 : 'Unassigned [0x59F6]',
	0x59F7 : 'Unassigned [0x59F7]',
	0x59F8 : 'Unassigned [0x59F8]',
	0x59F9 : 'Unassigned [0x59F9]',
	0x59FA : 'Unassigned [0x59FA]',
	0x59FB : 'Unassigned [0x59FB]',
	0x59FC : 'Unassigned [0x59FC]',
	0x59FD : 'Unassigned [0x59FD]',
	0x59FE : 'Unassigned [0x59FE]',
	0x59FF : 'Unassigned [0x59FF]',
	0x5A00 : 'Unassigned [0x5A00]',
	0x5A01 : 'Unassigned [0x5A01]',
	0x5A02 : 'Unassigned [0x5A02]',
	0x5A03 : 'Unassigned [0x5A03]',
	0x5A04 : 'Unassigned [0x5A04]',
	0x5A05 : 'Unassigned [0x5A05]',
	0x5A06 : 'Unassigned [0x5A06]',
	0x5A07 : 'Unassigned [0x5A07]',
	0x5A08 : 'Unassigned [0x5A08]',
	0x5A09 : 'Unassigned [0x5A09]',
	0x5A0A : 'Unassigned [0x5A0A]',
	0x5A0B : 'Unassigned [0x5A0B]',
	0x5A0C : 'Unassigned [0x5A0C]',
	0x5A0D : 'Unassigned [0x5A0D]',
	0x5A0E : 'Unassigned [0x5A0E]',
	0x5A0F : 'Unassigned [0x5A0F]',
	0x5A10 : 'Unassigned [0x5A10]',
	0x5A11 : 'Unassigned [0x5A11]',
	0x5A12 : 'Unassigned [0x5A12]',
	0x5A13 : 'Unassigned [0x5A13]',
	0x5A14 : 'Unassigned [0x5A14]',
	0x5A15 : 'Unassigned [0x5A15]',
	0x5A16 : 'Unassigned [0x5A16]',
	0x5A17 : 'Unassigned [0x5A17]',
	0x5A18 : 'Unassigned [0x5A18]',
	0x5A19 : 'Unassigned [0x5A19]',
	0x5A1A : 'Unassigned [0x5A1A]',
	0x5A1B : 'Unassigned [0x5A1B]',
	0x5A1C : 'Unassigned [0x5A1C]',
	0x5A1D : 'Unassigned [0x5A1D]',
	0x5A1E : 'Unassigned [0x5A1E]',
	0x5A1F : 'Unassigned [0x5A1F]',
	0x5A20 : 'Unassigned [0x5A20]',
	0x5A21 : 'Unassigned [0x5A21]',
	0x5A22 : 'Unassigned [0x5A22]',
	0x5A23 : 'Unassigned [0x5A23]',
	0x5A24 : 'Unassigned [0x5A24]',
	0x5A25 : 'Unassigned [0x5A25]',
	0x5A26 : 'Unassigned [0x5A26]',
	0x5A27 : 'Unassigned [0x5A27]',
	0x5A28 : 'Unassigned [0x5A28]',
	0x5A29 : 'Unassigned [0x5A29]',
	0x5A2A : 'Unassigned [0x5A2A]',
	0x5A2B : 'Unassigned [0x5A2B]',
	0x5A2C : 'Unassigned [0x5A2C]',
	0x5A2D : 'Unassigned [0x5A2D]',
	0x5A2E : 'Unassigned [0x5A2E]',
	0x5A2F : 'Unassigned [0x5A2F]',
	0x5A30 : 'Unassigned [0x5A30]',
	0x5A31 : 'Unassigned [0x5A31]',
	0x5A32 : 'Unassigned [0x5A32]',
	0x5A33 : 'Unassigned [0x5A33]',
	0x5A34 : 'Unassigned [0x5A34]',
	0x5A35 : 'Unassigned [0x5A35]',
	0x5A36 : 'Unassigned [0x5A36]',
	0x5A37 : 'Unassigned [0x5A37]',
	0x5A38 : 'Unassigned [0x5A38]',
	0x5A39 : 'Unassigned [0x5A39]',
	0x5A3A : 'Unassigned [0x5A3A]',
	0x5A3B : 'Unassigned [0x5A3B]',
	0x5A3C : 'Unassigned [0x5A3C]',
	0x5A3D : 'Unassigned [0x5A3D]',
	0x5A3E : 'Unassigned [0x5A3E]',
	0x5A3F : 'Unassigned [0x5A3F]',
	0x5A40 : 'Unassigned [0x5A40]',
	0x5A41 : 'Unassigned [0x5A41]',
	0x5A42 : 'Unassigned [0x5A42]',
	0x5A43 : 'Unassigned [0x5A43]',
	0x5A44 : 'Unassigned [0x5A44]',
	0x5A45 : 'Unassigned [0x5A45]',
	0x5A46 : 'Unassigned [0x5A46]',
	0x5A47 : 'Unassigned [0x5A47]',
	0x5A48 : 'Unassigned [0x5A48]',
	0x5A49 : 'Unassigned [0x5A49]',
	0x5A4A : 'Unassigned [0x5A4A]',
	0x5A4B : 'Unassigned [0x5A4B]',
	0x5A4C : 'Unassigned [0x5A4C]',
	0x5A4D : 'Unassigned [0x5A4D]',
	0x5A4E : 'Unassigned [0x5A4E]',
	0x5A4F : 'Unassigned [0x5A4F]',
	0x5A50 : 'Unassigned [0x5A50]',
	0x5A51 : 'Unassigned [0x5A51]',
	0x5A52 : 'Unassigned [0x5A52]',
	0x5A53 : 'Unassigned [0x5A53]',
	0x5A54 : 'Unassigned [0x5A54]',
	0x5A55 : 'Unassigned [0x5A55]',
	0x5A56 : 'Unassigned [0x5A56]',
	0x5A57 : 'Unassigned [0x5A57]',
	0x5A58 : 'Unassigned [0x5A58]',
	0x5A59 : 'Unassigned [0x5A59]',
	0x5A5A : 'Unassigned [0x5A5A]',
	0x5A5B : 'Unassigned [0x5A5B]',
	0x5A5C : 'Unassigned [0x5A5C]',
	0x5A5D : 'Unassigned [0x5A5D]',
	0x5A5E : 'Unassigned [0x5A5E]',
	0x5A5F : 'Unassigned [0x5A5F]',
	0x5A60 : 'Unassigned [0x5A60]',
	0x5A61 : 'Unassigned [0x5A61]',
	0x5A62 : 'Unassigned [0x5A62]',
	0x5A63 : 'Unassigned [0x5A63]',
	0x5A64 : 'Unassigned [0x5A64]',
	0x5A65 : 'Unassigned [0x5A65]',
	0x5A66 : 'Unassigned [0x5A66]',
	0x5A67 : 'Unassigned [0x5A67]',
	0x5A68 : 'Unassigned [0x5A68]',
	0x5A69 : 'Unassigned [0x5A69]',
	0x5A6A : 'Unassigned [0x5A6A]',
	0x5A6B : 'Unassigned [0x5A6B]',
	0x5A6C : 'Unassigned [0x5A6C]',
	0x5A6D : 'Unassigned [0x5A6D]',
	0x5A6E : 'Unassigned [0x5A6E]',
	0x5A6F : 'Unassigned [0x5A6F]',
	0x5A70 : 'Unassigned [0x5A70]',
	0x5A71 : 'Unassigned [0x5A71]',
	0x5A72 : 'Unassigned [0x5A72]',
	0x5A73 : 'Unassigned [0x5A73]',
	0x5A74 : 'Unassigned [0x5A74]',
	0x5A75 : 'Unassigned [0x5A75]',
	0x5A76 : 'Unassigned [0x5A76]',
	0x5A77 : 'Unassigned [0x5A77]',
	0x5A78 : 'Unassigned [0x5A78]',
	0x5A79 : 'Unassigned [0x5A79]',
	0x5A7A : 'Unassigned [0x5A7A]',
	0x5A7B : 'Unassigned [0x5A7B]',
	0x5A7C : 'Unassigned [0x5A7C]',
	0x5A7D : 'Unassigned [0x5A7D]',
	0x5A7E : 'Unassigned [0x5A7E]',
	0x5A7F : 'Unassigned [0x5A7F]',
	0x5A80 : 'Unassigned [0x5A80]',
	0x5A81 : 'Unassigned [0x5A81]',
	0x5A82 : 'Unassigned [0x5A82]',
	0x5A83 : 'Unassigned [0x5A83]',
	0x5A84 : 'Unassigned [0x5A84]',
	0x5A85 : 'Unassigned [0x5A85]',
	0x5A86 : 'Unassigned [0x5A86]',
	0x5A87 : 'Unassigned [0x5A87]',
	0x5A88 : 'Unassigned [0x5A88]',
	0x5A89 : 'Unassigned [0x5A89]',
	0x5A8A : 'Unassigned [0x5A8A]',
	0x5A8B : 'Unassigned [0x5A8B]',
	0x5A8C : 'Unassigned [0x5A8C]',
	0x5A8D : 'Unassigned [0x5A8D]',
	0x5A8E : 'Unassigned [0x5A8E]',
	0x5A8F : 'Unassigned [0x5A8F]',
	0x5A90 : 'Unassigned [0x5A90]',
	0x5A91 : 'Unassigned [0x5A91]',
	0x5A92 : 'Unassigned [0x5A92]',
	0x5A93 : 'Unassigned [0x5A93]',
	0x5A94 : 'Unassigned [0x5A94]',
	0x5A95 : 'Unassigned [0x5A95]',
	0x5A96 : 'Unassigned [0x5A96]',
	0x5A97 : 'Unassigned [0x5A97]',
	0x5A98 : 'Unassigned [0x5A98]',
	0x5A99 : 'Unassigned [0x5A99]',
	0x5A9A : 'Unassigned [0x5A9A]',
	0x5A9B : 'Unassigned [0x5A9B]',
	0x5A9C : 'Unassigned [0x5A9C]',
	0x5A9D : 'Unassigned [0x5A9D]',
	0x5A9E : 'Unassigned [0x5A9E]',
	0x5A9F : 'Unassigned [0x5A9F]',
	0x5AA0 : 'Unassigned [0x5AA0]',
	0x5AA1 : 'Unassigned [0x5AA1]',
	0x5AA2 : 'Unassigned [0x5AA2]',
	0x5AA3 : 'Unassigned [0x5AA3]',
	0x5AA4 : 'Unassigned [0x5AA4]',
	0x5AA5 : 'Unassigned [0x5AA5]',
	0x5AA6 : 'Unassigned [0x5AA6]',
	0x5AA7 : 'Unassigned [0x5AA7]',
	0x5AA8 : 'Unassigned [0x5AA8]',
	0x5AA9 : 'Unassigned [0x5AA9]',
	0x5AAA : 'Unassigned [0x5AAA]',
	0x5AAB : 'Unassigned [0x5AAB]',
	0x5AAC : 'Unassigned [0x5AAC]',
	0x5AAD : 'Unassigned [0x5AAD]',
	0x5AAE : 'Unassigned [0x5AAE]',
	0x5AAF : 'Unassigned [0x5AAF]',
	0x5AB0 : 'Unassigned [0x5AB0]',
	0x5AB1 : 'Unassigned [0x5AB1]',
	0x5AB2 : 'Unassigned [0x5AB2]',
	0x5AB3 : 'Unassigned [0x5AB3]',
	0x5AB4 : 'Unassigned [0x5AB4]',
	0x5AB5 : 'Unassigned [0x5AB5]',
	0x5AB6 : 'Unassigned [0x5AB6]',
	0x5AB7 : 'Unassigned [0x5AB7]',
	0x5AB8 : 'Unassigned [0x5AB8]',
	0x5AB9 : 'Unassigned [0x5AB9]',
	0x5ABA : 'Unassigned [0x5ABA]',
	0x5ABB : 'Unassigned [0x5ABB]',
	0x5ABC : 'Unassigned [0x5ABC]',
	0x5ABD : 'Unassigned [0x5ABD]',
	0x5ABE : 'Unassigned [0x5ABE]',
	0x5ABF : 'Unassigned [0x5ABF]',
	0x5AC0 : 'Unassigned [0x5AC0]',
	0x5AC1 : 'Unassigned [0x5AC1]',
	0x5AC2 : 'Unassigned [0x5AC2]',
	0x5AC3 : 'Unassigned [0x5AC3]',
	0x5AC4 : 'Unassigned [0x5AC4]',
	0x5AC5 : 'Unassigned [0x5AC5]',
	0x5AC6 : 'Unassigned [0x5AC6]',
	0x5AC7 : 'Unassigned [0x5AC7]',
	0x5AC8 : 'Unassigned [0x5AC8]',
	0x5AC9 : 'Unassigned [0x5AC9]',
	0x5ACA : 'Unassigned [0x5ACA]',
	0x5ACB : 'Unassigned [0x5ACB]',
	0x5ACC : 'Unassigned [0x5ACC]',
	0x5ACD : 'Unassigned [0x5ACD]',
	0x5ACE : 'Unassigned [0x5ACE]',
	0x5ACF : 'Unassigned [0x5ACF]',
	0x5AD0 : 'Unassigned [0x5AD0]',
	0x5AD1 : 'Unassigned [0x5AD1]',
	0x5AD2 : 'Unassigned [0x5AD2]',
	0x5AD3 : 'Unassigned [0x5AD3]',
	0x5AD4 : 'Unassigned [0x5AD4]',
	0x5AD5 : 'Unassigned [0x5AD5]',
	0x5AD6 : 'Unassigned [0x5AD6]',
	0x5AD7 : 'Unassigned [0x5AD7]',
	0x5AD8 : 'Unassigned [0x5AD8]',
	0x5AD9 : 'Unassigned [0x5AD9]',
	0x5ADA : 'Unassigned [0x5ADA]',
	0x5ADB : 'Unassigned [0x5ADB]',
	0x5ADC : 'Unassigned [0x5ADC]',
	0x5ADD : 'Unassigned [0x5ADD]',
	0x5ADE : 'Unassigned [0x5ADE]',
	0x5ADF : 'Unassigned [0x5ADF]',
	0x5AE0 : 'Unassigned [0x5AE0]',
	0x5AE1 : 'Unassigned [0x5AE1]',
	0x5AE2 : 'Unassigned [0x5AE2]',
	0x5AE3 : 'Unassigned [0x5AE3]',
	0x5AE4 : 'Unassigned [0x5AE4]',
	0x5AE5 : 'Unassigned [0x5AE5]',
	0x5AE6 : 'Unassigned [0x5AE6]',
	0x5AE7 : 'Unassigned [0x5AE7]',
	0x5AE8 : 'Unassigned [0x5AE8]',
	0x5AE9 : 'Unassigned [0x5AE9]',
	0x5AEA : 'Unassigned [0x5AEA]',
	0x5AEB : 'Unassigned [0x5AEB]',
	0x5AEC : 'Unassigned [0x5AEC]',
	0x5AED : 'Unassigned [0x5AED]',
	0x5AEE : 'Unassigned [0x5AEE]',
	0x5AEF : 'Unassigned [0x5AEF]',
	0x5AF0 : 'Unassigned [0x5AF0]',
	0x5AF1 : 'Unassigned [0x5AF1]',
	0x5AF2 : 'Unassigned [0x5AF2]',
	0x5AF3 : 'Unassigned [0x5AF3]',
	0x5AF4 : 'Unassigned [0x5AF4]',
	0x5AF5 : 'Unassigned [0x5AF5]',
	0x5AF6 : 'Unassigned [0x5AF6]',
	0x5AF7 : 'Unassigned [0x5AF7]',
	0x5AF8 : 'Unassigned [0x5AF8]',
	0x5AF9 : 'Unassigned [0x5AF9]',
	0x5AFA : 'Unassigned [0x5AFA]',
	0x5AFB : 'Unassigned [0x5AFB]',
	0x5AFC : 'Unassigned [0x5AFC]',
	0x5AFD : 'Unassigned [0x5AFD]',
	0x5AFE : 'Unassigned [0x5AFE]',
	0x5AFF : 'Unassigned [0x5AFF]',
	0x5B00 : 'Unassigned [0x5B00]',
	0x5B01 : 'Unassigned [0x5B01]',
	0x5B02 : 'Unassigned [0x5B02]',
	0x5B03 : 'Unassigned [0x5B03]',
	0x5B04 : 'Unassigned [0x5B04]',
	0x5B05 : 'Unassigned [0x5B05]',
	0x5B06 : 'Unassigned [0x5B06]',
	0x5B07 : 'Unassigned [0x5B07]',
	0x5B08 : 'Unassigned [0x5B08]',
	0x5B09 : 'Unassigned [0x5B09]',
	0x5B0A : 'Unassigned [0x5B0A]',
	0x5B0B : 'Unassigned [0x5B0B]',
	0x5B0C : 'Unassigned [0x5B0C]',
	0x5B0D : 'Unassigned [0x5B0D]',
	0x5B0E : 'Unassigned [0x5B0E]',
	0x5B0F : 'Unassigned [0x5B0F]',
	0x5B10 : 'Unassigned [0x5B10]',
	0x5B11 : 'Unassigned [0x5B11]',
	0x5B12 : 'Unassigned [0x5B12]',
	0x5B13 : 'Unassigned [0x5B13]',
	0x5B14 : 'Unassigned [0x5B14]',
	0x5B15 : 'Unassigned [0x5B15]',
	0x5B16 : 'Unassigned [0x5B16]',
	0x5B17 : 'Unassigned [0x5B17]',
	0x5B18 : 'Unassigned [0x5B18]',
	0x5B19 : 'Unassigned [0x5B19]',
	0x5B1A : 'Unassigned [0x5B1A]',
	0x5B1B : 'Unassigned [0x5B1B]',
	0x5B1C : 'Unassigned [0x5B1C]',
	0x5B1D : 'Unassigned [0x5B1D]',
	0x5B1E : 'Unassigned [0x5B1E]',
	0x5B1F : 'Unassigned [0x5B1F]',
	0x5B20 : 'Unassigned [0x5B20]',
	0x5B21 : 'Unassigned [0x5B21]',
	0x5B22 : 'Unassigned [0x5B22]',
	0x5B23 : 'Unassigned [0x5B23]',
	0x5B24 : 'Unassigned [0x5B24]',
	0x5B25 : 'Unassigned [0x5B25]',
	0x5B26 : 'Unassigned [0x5B26]',
	0x5B27 : 'Unassigned [0x5B27]',
	0x5B28 : 'Unassigned [0x5B28]',
	0x5B29 : 'Unassigned [0x5B29]',
	0x5B2A : 'Unassigned [0x5B2A]',
	0x5B2B : 'Unassigned [0x5B2B]',
	0x5B2C : 'Unassigned [0x5B2C]',
	0x5B2D : 'Unassigned [0x5B2D]',
	0x5B2E : 'Unassigned [0x5B2E]',
	0x5B2F : 'Unassigned [0x5B2F]',
	0x5B30 : 'Unassigned [0x5B30]',
	0x5B31 : 'Unassigned [0x5B31]',
	0x5B32 : 'Unassigned [0x5B32]',
	0x5B33 : 'Unassigned [0x5B33]',
	0x5B34 : 'Unassigned [0x5B34]',
	0x5B35 : 'Unassigned [0x5B35]',
	0x5B36 : 'Unassigned [0x5B36]',
	0x5B37 : 'Unassigned [0x5B37]',
	0x5B38 : 'Unassigned [0x5B38]',
	0x5B39 : 'Unassigned [0x5B39]',
	0x5B3A : 'Unassigned [0x5B3A]',
	0x5B3B : 'Unassigned [0x5B3B]',
	0x5B3C : 'Unassigned [0x5B3C]',
	0x5B3D : 'Unassigned [0x5B3D]',
	0x5B3E : 'Unassigned [0x5B3E]',
	0x5B3F : 'Unassigned [0x5B3F]',
	0x5B40 : 'Unassigned [0x5B40]',
	0x5B41 : 'Unassigned [0x5B41]',
	0x5B42 : 'Unassigned [0x5B42]',
	0x5B43 : 'Unassigned [0x5B43]',
	0x5B44 : 'Unassigned [0x5B44]',
	0x5B45 : 'Unassigned [0x5B45]',
	0x5B46 : 'Unassigned [0x5B46]',
	0x5B47 : 'Unassigned [0x5B47]',
	0x5B48 : 'Unassigned [0x5B48]',
	0x5B49 : 'Unassigned [0x5B49]',
	0x5B4A : 'Unassigned [0x5B4A]',
	0x5B4B : 'Unassigned [0x5B4B]',
	0x5B4C : 'Unassigned [0x5B4C]',
	0x5B4D : 'Unassigned [0x5B4D]',
	0x5B4E : 'Unassigned [0x5B4E]',
	0x5B4F : 'Unassigned [0x5B4F]',
	0x5B50 : 'Unassigned [0x5B50]',
	0x5B51 : 'Unassigned [0x5B51]',
	0x5B52 : 'Unassigned [0x5B52]',
	0x5B53 : 'Unassigned [0x5B53]',
	0x5B54 : 'Unassigned [0x5B54]',
	0x5B55 : 'Unassigned [0x5B55]',
	0x5B56 : 'Unassigned [0x5B56]',
	0x5B57 : 'Unassigned [0x5B57]',
	0x5B58 : 'Unassigned [0x5B58]',
	0x5B59 : 'Unassigned [0x5B59]',
	0x5B5A : 'Unassigned [0x5B5A]',
	0x5B5B : 'Unassigned [0x5B5B]',
	0x5B5C : 'Unassigned [0x5B5C]',
	0x5B5D : 'Unassigned [0x5B5D]',
	0x5B5E : 'Unassigned [0x5B5E]',
	0x5B5F : 'Unassigned [0x5B5F]',
	0x5B60 : 'Unassigned [0x5B60]',
	0x5B61 : 'Unassigned [0x5B61]',
	0x5B62 : 'Unassigned [0x5B62]',
	0x5B63 : 'Unassigned [0x5B63]',
	0x5B64 : 'Unassigned [0x5B64]',
	0x5B65 : 'Unassigned [0x5B65]',
	0x5B66 : 'Unassigned [0x5B66]',
	0x5B67 : 'Unassigned [0x5B67]',
	0x5B68 : 'Unassigned [0x5B68]',
	0x5B69 : 'Unassigned [0x5B69]',
	0x5B6A : 'Unassigned [0x5B6A]',
	0x5B6B : 'Unassigned [0x5B6B]',
	0x5B6C : 'Unassigned [0x5B6C]',
	0x5B6D : 'Unassigned [0x5B6D]',
	0x5B6E : 'Unassigned [0x5B6E]',
	0x5B6F : 'Unassigned [0x5B6F]',
	0x5B70 : 'Unassigned [0x5B70]',
	0x5B71 : 'Unassigned [0x5B71]',
	0x5B72 : 'Unassigned [0x5B72]',
	0x5B73 : 'Unassigned [0x5B73]',
	0x5B74 : 'Unassigned [0x5B74]',
	0x5B75 : 'Unassigned [0x5B75]',
	0x5B76 : 'Unassigned [0x5B76]',
	0x5B77 : 'Unassigned [0x5B77]',
	0x5B78 : 'Unassigned [0x5B78]',
	0x5B79 : 'Unassigned [0x5B79]',
	0x5B7A : 'Unassigned [0x5B7A]',
	0x5B7B : 'Unassigned [0x5B7B]',
	0x5B7C : 'Unassigned [0x5B7C]',
	0x5B7D : 'Unassigned [0x5B7D]',
	0x5B7E : 'Unassigned [0x5B7E]',
	0x5B7F : 'Unassigned [0x5B7F]',
	0x5B80 : 'Unassigned [0x5B80]',
	0x5B81 : 'Unassigned [0x5B81]',
	0x5B82 : 'Unassigned [0x5B82]',
	0x5B83 : 'Unassigned [0x5B83]',
	0x5B84 : 'Unassigned [0x5B84]',
	0x5B85 : 'Unassigned [0x5B85]',
	0x5B86 : 'Unassigned [0x5B86]',
	0x5B87 : 'Unassigned [0x5B87]',
	0x5B88 : 'Unassigned [0x5B88]',
	0x5B89 : 'Unassigned [0x5B89]',
	0x5B8A : 'Unassigned [0x5B8A]',
	0x5B8B : 'Unassigned [0x5B8B]',
	0x5B8C : 'Unassigned [0x5B8C]',
	0x5B8D : 'Unassigned [0x5B8D]',
	0x5B8E : 'Unassigned [0x5B8E]',
	0x5B8F : 'Unassigned [0x5B8F]',
	0x5B90 : 'Unassigned [0x5B90]',
	0x5B91 : 'Unassigned [0x5B91]',
	0x5B92 : 'Unassigned [0x5B92]',
	0x5B93 : 'Unassigned [0x5B93]',
	0x5B94 : 'Unassigned [0x5B94]',
	0x5B95 : 'Unassigned [0x5B95]',
	0x5B96 : 'Unassigned [0x5B96]',
	0x5B97 : 'Unassigned [0x5B97]',
	0x5B98 : 'Unassigned [0x5B98]',
	0x5B99 : 'Unassigned [0x5B99]',
	0x5B9A : 'Unassigned [0x5B9A]',
	0x5B9B : 'Unassigned [0x5B9B]',
	0x5B9C : 'Unassigned [0x5B9C]',
	0x5B9D : 'Unassigned [0x5B9D]',
	0x5B9E : 'Unassigned [0x5B9E]',
	0x5B9F : 'Unassigned [0x5B9F]',
	0x5BA0 : 'Unassigned [0x5BA0]',
	0x5BA1 : 'Unassigned [0x5BA1]',
	0x5BA2 : 'Unassigned [0x5BA2]',
	0x5BA3 : 'Unassigned [0x5BA3]',
	0x5BA4 : 'Unassigned [0x5BA4]',
	0x5BA5 : 'Unassigned [0x5BA5]',
	0x5BA6 : 'Unassigned [0x5BA6]',
	0x5BA7 : 'Unassigned [0x5BA7]',
	0x5BA8 : 'Unassigned [0x5BA8]',
	0x5BA9 : 'Unassigned [0x5BA9]',
	0x5BAA : 'Unassigned [0x5BAA]',
	0x5BAB : 'Unassigned [0x5BAB]',
	0x5BAC : 'Unassigned [0x5BAC]',
	0x5BAD : 'Unassigned [0x5BAD]',
	0x5BAE : 'Unassigned [0x5BAE]',
	0x5BAF : 'Unassigned [0x5BAF]',
	0x5BB0 : 'Unassigned [0x5BB0]',
	0x5BB1 : 'Unassigned [0x5BB1]',
	0x5BB2 : 'Unassigned [0x5BB2]',
	0x5BB3 : 'Unassigned [0x5BB3]',
	0x5BB4 : 'Unassigned [0x5BB4]',
	0x5BB5 : 'Unassigned [0x5BB5]',
	0x5BB6 : 'Unassigned [0x5BB6]',
	0x5BB7 : 'Unassigned [0x5BB7]',
	0x5BB8 : 'Unassigned [0x5BB8]',
	0x5BB9 : 'Unassigned [0x5BB9]',
	0x5BBA : 'Unassigned [0x5BBA]',
	0x5BBB : 'Unassigned [0x5BBB]',
	0x5BBC : 'Unassigned [0x5BBC]',
	0x5BBD : 'Unassigned [0x5BBD]',
	0x5BBE : 'Unassigned [0x5BBE]',
	0x5BBF : 'Unassigned [0x5BBF]',
	0x5BC0 : 'Unassigned [0x5BC0]',
	0x5BC1 : 'Unassigned [0x5BC1]',
	0x5BC2 : 'Unassigned [0x5BC2]',
	0x5BC3 : 'Unassigned [0x5BC3]',
	0x5BC4 : 'Unassigned [0x5BC4]',
	0x5BC5 : 'Unassigned [0x5BC5]',
	0x5BC6 : 'Unassigned [0x5BC6]',
	0x5BC7 : 'Unassigned [0x5BC7]',
	0x5BC8 : 'Unassigned [0x5BC8]',
	0x5BC9 : 'Unassigned [0x5BC9]',
	0x5BCA : 'Unassigned [0x5BCA]',
	0x5BCB : 'Unassigned [0x5BCB]',
	0x5BCC : 'Unassigned [0x5BCC]',
	0x5BCD : 'Unassigned [0x5BCD]',
	0x5BCE : 'Unassigned [0x5BCE]',
	0x5BCF : 'Unassigned [0x5BCF]',
	0x5BD0 : 'Unassigned [0x5BD0]',
	0x5BD1 : 'Unassigned [0x5BD1]',
	0x5BD2 : 'Unassigned [0x5BD2]',
	0x5BD3 : 'Unassigned [0x5BD3]',
	0x5BD4 : 'Unassigned [0x5BD4]',
	0x5BD5 : 'Unassigned [0x5BD5]',
	0x5BD6 : 'Unassigned [0x5BD6]',
	0x5BD7 : 'Unassigned [0x5BD7]',
	0x5BD8 : 'Unassigned [0x5BD8]',
	0x5BD9 : 'Unassigned [0x5BD9]',
	0x5BDA : 'Unassigned [0x5BDA]',
	0x5BDB : 'Unassigned [0x5BDB]',
	0x5BDC : 'Unassigned [0x5BDC]',
	0x5BDD : 'Unassigned [0x5BDD]',
	0x5BDE : 'Unassigned [0x5BDE]',
	0x5BDF : 'Unassigned [0x5BDF]',
	0x5BE0 : 'Unassigned [0x5BE0]',
	0x5BE1 : 'Unassigned [0x5BE1]',
	0x5BE2 : 'Unassigned [0x5BE2]',
	0x5BE3 : 'Unassigned [0x5BE3]',
	0x5BE4 : 'Unassigned [0x5BE4]',
	0x5BE5 : 'Unassigned [0x5BE5]',
	0x5BE6 : 'Unassigned [0x5BE6]',
	0x5BE7 : 'Unassigned [0x5BE7]',
	0x5BE8 : 'Unassigned [0x5BE8]',
	0x5BE9 : 'Unassigned [0x5BE9]',
	0x5BEA : 'Unassigned [0x5BEA]',
	0x5BEB : 'Unassigned [0x5BEB]',
	0x5BEC : 'Unassigned [0x5BEC]',
	0x5BED : 'Unassigned [0x5BED]',
	0x5BEE : 'Unassigned [0x5BEE]',
	0x5BEF : 'Unassigned [0x5BEF]',
	0x5BF0 : 'Unassigned [0x5BF0]',
	0x5BF1 : 'Unassigned [0x5BF1]',
	0x5BF2 : 'Unassigned [0x5BF2]',
	0x5BF3 : 'Unassigned [0x5BF3]',
	0x5BF4 : 'Unassigned [0x5BF4]',
	0x5BF5 : 'Unassigned [0x5BF5]',
	0x5BF6 : 'Unassigned [0x5BF6]',
	0x5BF7 : 'Unassigned [0x5BF7]',
	0x5BF8 : 'Unassigned [0x5BF8]',
	0x5BF9 : 'Unassigned [0x5BF9]',
	0x5BFA : 'Unassigned [0x5BFA]',
	0x5BFB : 'Unassigned [0x5BFB]',
	0x5BFC : 'Unassigned [0x5BFC]',
	0x5BFD : 'Unassigned [0x5BFD]',
	0x5BFE : 'Unassigned [0x5BFE]',
	0x5BFF : 'Unassigned [0x5BFF]',
	0x5C00 : 'Unassigned [0x5C00]',
	0x5C01 : 'Unassigned [0x5C01]',
	0x5C02 : 'Unassigned [0x5C02]',
	0x5C03 : 'Unassigned [0x5C03]',
	0x5C04 : 'Unassigned [0x5C04]',
	0x5C05 : 'Unassigned [0x5C05]',
	0x5C06 : 'Unassigned [0x5C06]',
	0x5C07 : 'Unassigned [0x5C07]',
	0x5C08 : 'Unassigned [0x5C08]',
	0x5C09 : 'Unassigned [0x5C09]',
	0x5C0A : 'Unassigned [0x5C0A]',
	0x5C0B : 'Unassigned [0x5C0B]',
	0x5C0C : 'Unassigned [0x5C0C]',
	0x5C0D : 'Unassigned [0x5C0D]',
	0x5C0E : 'Unassigned [0x5C0E]',
	0x5C0F : 'Unassigned [0x5C0F]',
	0x5C10 : 'Unassigned [0x5C10]',
	0x5C11 : 'Unassigned [0x5C11]',
	0x5C12 : 'Unassigned [0x5C12]',
	0x5C13 : 'Unassigned [0x5C13]',
	0x5C14 : 'Unassigned [0x5C14]',
	0x5C15 : 'Unassigned [0x5C15]',
	0x5C16 : 'Unassigned [0x5C16]',
	0x5C17 : 'Unassigned [0x5C17]',
	0x5C18 : 'Unassigned [0x5C18]',
	0x5C19 : 'Unassigned [0x5C19]',
	0x5C1A : 'Unassigned [0x5C1A]',
	0x5C1B : 'Unassigned [0x5C1B]',
	0x5C1C : 'Unassigned [0x5C1C]',
	0x5C1D : 'Unassigned [0x5C1D]',
	0x5C1E : 'Unassigned [0x5C1E]',
	0x5C1F : 'Unassigned [0x5C1F]',
	0x5C20 : 'Unassigned [0x5C20]',
	0x5C21 : 'Unassigned [0x5C21]',
	0x5C22 : 'Unassigned [0x5C22]',
	0x5C23 : 'Unassigned [0x5C23]',
	0x5C24 : 'Unassigned [0x5C24]',
	0x5C25 : 'Unassigned [0x5C25]',
	0x5C26 : 'Unassigned [0x5C26]',
	0x5C27 : 'Unassigned [0x5C27]',
	0x5C28 : 'Unassigned [0x5C28]',
	0x5C29 : 'Unassigned [0x5C29]',
	0x5C2A : 'Unassigned [0x5C2A]',
	0x5C2B : 'Unassigned [0x5C2B]',
	0x5C2C : 'Unassigned [0x5C2C]',
	0x5C2D : 'Unassigned [0x5C2D]',
	0x5C2E : 'Unassigned [0x5C2E]',
	0x5C2F : 'Unassigned [0x5C2F]',
	0x5C30 : 'Unassigned [0x5C30]',
	0x5C31 : 'Unassigned [0x5C31]',
	0x5C32 : 'Unassigned [0x5C32]',
	0x5C33 : 'Unassigned [0x5C33]',
	0x5C34 : 'Unassigned [0x5C34]',
	0x5C35 : 'Unassigned [0x5C35]',
	0x5C36 : 'Unassigned [0x5C36]',
	0x5C37 : 'Unassigned [0x5C37]',
	0x5C38 : 'Unassigned [0x5C38]',
	0x5C39 : 'Unassigned [0x5C39]',
	0x5C3A : 'Unassigned [0x5C3A]',
	0x5C3B : 'Unassigned [0x5C3B]',
	0x5C3C : 'Unassigned [0x5C3C]',
	0x5C3D : 'Unassigned [0x5C3D]',
	0x5C3E : 'Unassigned [0x5C3E]',
	0x5C3F : 'Unassigned [0x5C3F]',
	0x5C40 : 'Unassigned [0x5C40]',
	0x5C41 : 'Unassigned [0x5C41]',
	0x5C42 : 'Unassigned [0x5C42]',
	0x5C43 : 'Unassigned [0x5C43]',
	0x5C44 : 'Unassigned [0x5C44]',
	0x5C45 : 'Unassigned [0x5C45]',
	0x5C46 : 'Unassigned [0x5C46]',
	0x5C47 : 'Unassigned [0x5C47]',
	0x5C48 : 'Unassigned [0x5C48]',
	0x5C49 : 'Unassigned [0x5C49]',
	0x5C4A : 'Unassigned [0x5C4A]',
	0x5C4B : 'Unassigned [0x5C4B]',
	0x5C4C : 'Unassigned [0x5C4C]',
	0x5C4D : 'Unassigned [0x5C4D]',
	0x5C4E : 'Unassigned [0x5C4E]',
	0x5C4F : 'Unassigned [0x5C4F]',
	0x5C50 : 'Unassigned [0x5C50]',
	0x5C51 : 'Unassigned [0x5C51]',
	0x5C52 : 'Unassigned [0x5C52]',
	0x5C53 : 'Unassigned [0x5C53]',
	0x5C54 : 'Unassigned [0x5C54]',
	0x5C55 : 'Unassigned [0x5C55]',
	0x5C56 : 'Unassigned [0x5C56]',
	0x5C57 : 'Unassigned [0x5C57]',
	0x5C58 : 'Unassigned [0x5C58]',
	0x5C59 : 'Unassigned [0x5C59]',
	0x5C5A : 'Unassigned [0x5C5A]',
	0x5C5B : 'Unassigned [0x5C5B]',
	0x5C5C : 'Unassigned [0x5C5C]',
	0x5C5D : 'Unassigned [0x5C5D]',
	0x5C5E : 'Unassigned [0x5C5E]',
	0x5C5F : 'Unassigned [0x5C5F]',
	0x5C60 : 'Unassigned [0x5C60]',
	0x5C61 : 'Unassigned [0x5C61]',
	0x5C62 : 'Unassigned [0x5C62]',
	0x5C63 : 'Unassigned [0x5C63]',
	0x5C64 : 'Unassigned [0x5C64]',
	0x5C65 : 'Unassigned [0x5C65]',
	0x5C66 : 'Unassigned [0x5C66]',
	0x5C67 : 'Unassigned [0x5C67]',
	0x5C68 : 'Unassigned [0x5C68]',
	0x5C69 : 'Unassigned [0x5C69]',
	0x5C6A : 'Unassigned [0x5C6A]',
	0x5C6B : 'Unassigned [0x5C6B]',
	0x5C6C : 'Unassigned [0x5C6C]',
	0x5C6D : 'Unassigned [0x5C6D]',
	0x5C6E : 'Unassigned [0x5C6E]',
	0x5C6F : 'Unassigned [0x5C6F]',
	0x5C70 : 'Unassigned [0x5C70]',
	0x5C71 : 'Unassigned [0x5C71]',
	0x5C72 : 'Unassigned [0x5C72]',
	0x5C73 : 'Unassigned [0x5C73]',
	0x5C74 : 'Unassigned [0x5C74]',
	0x5C75 : 'Unassigned [0x5C75]',
	0x5C76 : 'Unassigned [0x5C76]',
	0x5C77 : 'Unassigned [0x5C77]',
	0x5C78 : 'Unassigned [0x5C78]',
	0x5C79 : 'Unassigned [0x5C79]',
	0x5C7A : 'Unassigned [0x5C7A]',
	0x5C7B : 'Unassigned [0x5C7B]',
	0x5C7C : 'Unassigned [0x5C7C]',
	0x5C7D : 'Unassigned [0x5C7D]',
	0x5C7E : 'Unassigned [0x5C7E]',
	0x5C7F : 'Unassigned [0x5C7F]',
	0x5C80 : 'Unassigned [0x5C80]',
	0x5C81 : 'Unassigned [0x5C81]',
	0x5C82 : 'Unassigned [0x5C82]',
	0x5C83 : 'Unassigned [0x5C83]',
	0x5C84 : 'Unassigned [0x5C84]',
	0x5C85 : 'Unassigned [0x5C85]',
	0x5C86 : 'Unassigned [0x5C86]',
	0x5C87 : 'Unassigned [0x5C87]',
	0x5C88 : 'Unassigned [0x5C88]',
	0x5C89 : 'Unassigned [0x5C89]',
	0x5C8A : 'Unassigned [0x5C8A]',
	0x5C8B : 'Unassigned [0x5C8B]',
	0x5C8C : 'Unassigned [0x5C8C]',
	0x5C8D : 'Unassigned [0x5C8D]',
	0x5C8E : 'Unassigned [0x5C8E]',
	0x5C8F : 'Unassigned [0x5C8F]',
	0x5C90 : 'Unassigned [0x5C90]',
	0x5C91 : 'Unassigned [0x5C91]',
	0x5C92 : 'Unassigned [0x5C92]',
	0x5C93 : 'Unassigned [0x5C93]',
	0x5C94 : 'Unassigned [0x5C94]',
	0x5C95 : 'Unassigned [0x5C95]',
	0x5C96 : 'Unassigned [0x5C96]',
	0x5C97 : 'Unassigned [0x5C97]',
	0x5C98 : 'Unassigned [0x5C98]',
	0x5C99 : 'Unassigned [0x5C99]',
	0x5C9A : 'Unassigned [0x5C9A]',
	0x5C9B : 'Unassigned [0x5C9B]',
	0x5C9C : 'Unassigned [0x5C9C]',
	0x5C9D : 'Unassigned [0x5C9D]',
	0x5C9E : 'Unassigned [0x5C9E]',
	0x5C9F : 'Unassigned [0x5C9F]',
	0x5CA0 : 'Unassigned [0x5CA0]',
	0x5CA1 : 'Unassigned [0x5CA1]',
	0x5CA2 : 'Unassigned [0x5CA2]',
	0x5CA3 : 'Unassigned [0x5CA3]',
	0x5CA4 : 'Unassigned [0x5CA4]',
	0x5CA5 : 'Unassigned [0x5CA5]',
	0x5CA6 : 'Unassigned [0x5CA6]',
	0x5CA7 : 'Unassigned [0x5CA7]',
	0x5CA8 : 'Unassigned [0x5CA8]',
	0x5CA9 : 'Unassigned [0x5CA9]',
	0x5CAA : 'Unassigned [0x5CAA]',
	0x5CAB : 'Unassigned [0x5CAB]',
	0x5CAC : 'Unassigned [0x5CAC]',
	0x5CAD : 'Unassigned [0x5CAD]',
	0x5CAE : 'Unassigned [0x5CAE]',
	0x5CAF : 'Unassigned [0x5CAF]',
	0x5CB0 : 'Unassigned [0x5CB0]',
	0x5CB1 : 'Unassigned [0x5CB1]',
	0x5CB2 : 'Unassigned [0x5CB2]',
	0x5CB3 : 'Unassigned [0x5CB3]',
	0x5CB4 : 'Unassigned [0x5CB4]',
	0x5CB5 : 'Unassigned [0x5CB5]',
	0x5CB6 : 'Unassigned [0x5CB6]',
	0x5CB7 : 'Unassigned [0x5CB7]',
	0x5CB8 : 'Unassigned [0x5CB8]',
	0x5CB9 : 'Unassigned [0x5CB9]',
	0x5CBA : 'Unassigned [0x5CBA]',
	0x5CBB : 'Unassigned [0x5CBB]',
	0x5CBC : 'Unassigned [0x5CBC]',
	0x5CBD : 'Unassigned [0x5CBD]',
	0x5CBE : 'Unassigned [0x5CBE]',
	0x5CBF : 'Unassigned [0x5CBF]',
	0x5CC0 : 'Unassigned [0x5CC0]',
	0x5CC1 : 'Unassigned [0x5CC1]',
	0x5CC2 : 'Unassigned [0x5CC2]',
	0x5CC3 : 'Unassigned [0x5CC3]',
	0x5CC4 : 'Unassigned [0x5CC4]',
	0x5CC5 : 'Unassigned [0x5CC5]',
	0x5CC6 : 'Unassigned [0x5CC6]',
	0x5CC7 : 'Unassigned [0x5CC7]',
	0x5CC8 : 'Unassigned [0x5CC8]',
	0x5CC9 : 'Unassigned [0x5CC9]',
	0x5CCA : 'Unassigned [0x5CCA]',
	0x5CCB : 'Unassigned [0x5CCB]',
	0x5CCC : 'Unassigned [0x5CCC]',
	0x5CCD : 'Unassigned [0x5CCD]',
	0x5CCE : 'Unassigned [0x5CCE]',
	0x5CCF : 'Unassigned [0x5CCF]',
	0x5CD0 : 'Unassigned [0x5CD0]',
	0x5CD1 : 'Unassigned [0x5CD1]',
	0x5CD2 : 'Unassigned [0x5CD2]',
	0x5CD3 : 'Unassigned [0x5CD3]',
	0x5CD4 : 'Unassigned [0x5CD4]',
	0x5CD5 : 'Unassigned [0x5CD5]',
	0x5CD6 : 'Unassigned [0x5CD6]',
	0x5CD7 : 'Unassigned [0x5CD7]',
	0x5CD8 : 'Unassigned [0x5CD8]',
	0x5CD9 : 'Unassigned [0x5CD9]',
	0x5CDA : 'Unassigned [0x5CDA]',
	0x5CDB : 'Unassigned [0x5CDB]',
	0x5CDC : 'Unassigned [0x5CDC]',
	0x5CDD : 'Unassigned [0x5CDD]',
	0x5CDE : 'Unassigned [0x5CDE]',
	0x5CDF : 'Unassigned [0x5CDF]',
	0x5CE0 : 'Unassigned [0x5CE0]',
	0x5CE1 : 'Unassigned [0x5CE1]',
	0x5CE2 : 'Unassigned [0x5CE2]',
	0x5CE3 : 'Unassigned [0x5CE3]',
	0x5CE4 : 'Unassigned [0x5CE4]',
	0x5CE5 : 'Unassigned [0x5CE5]',
	0x5CE6 : 'Unassigned [0x5CE6]',
	0x5CE7 : 'Unassigned [0x5CE7]',
	0x5CE8 : 'Unassigned [0x5CE8]',
	0x5CE9 : 'Unassigned [0x5CE9]',
	0x5CEA : 'Unassigned [0x5CEA]',
	0x5CEB : 'Unassigned [0x5CEB]',
	0x5CEC : 'Unassigned [0x5CEC]',
	0x5CED : 'Unassigned [0x5CED]',
	0x5CEE : 'Unassigned [0x5CEE]',
	0x5CEF : 'Unassigned [0x5CEF]',
	0x5CF0 : 'Unassigned [0x5CF0]',
	0x5CF1 : 'Unassigned [0x5CF1]',
	0x5CF2 : 'Unassigned [0x5CF2]',
	0x5CF3 : 'Unassigned [0x5CF3]',
	0x5CF4 : 'Unassigned [0x5CF4]',
	0x5CF5 : 'Unassigned [0x5CF5]',
	0x5CF6 : 'Unassigned [0x5CF6]',
	0x5CF7 : 'Unassigned [0x5CF7]',
	0x5CF8 : 'Unassigned [0x5CF8]',
	0x5CF9 : 'Unassigned [0x5CF9]',
	0x5CFA : 'Unassigned [0x5CFA]',
	0x5CFB : 'Unassigned [0x5CFB]',
	0x5CFC : 'Unassigned [0x5CFC]',
	0x5CFD : 'Unassigned [0x5CFD]',
	0x5CFE : 'Unassigned [0x5CFE]',
	0x5CFF : 'Unassigned [0x5CFF]',
	0x5D00 : 'Unassigned [0x5D00]',
	0x5D01 : 'Unassigned [0x5D01]',
	0x5D02 : 'Unassigned [0x5D02]',
	0x5D03 : 'Unassigned [0x5D03]',
	0x5D04 : 'Unassigned [0x5D04]',
	0x5D05 : 'Unassigned [0x5D05]',
	0x5D06 : 'Unassigned [0x5D06]',
	0x5D07 : 'Unassigned [0x5D07]',
	0x5D08 : 'Unassigned [0x5D08]',
	0x5D09 : 'Unassigned [0x5D09]',
	0x5D0A : 'Unassigned [0x5D0A]',
	0x5D0B : 'Unassigned [0x5D0B]',
	0x5D0C : 'Unassigned [0x5D0C]',
	0x5D0D : 'Unassigned [0x5D0D]',
	0x5D0E : 'Unassigned [0x5D0E]',
	0x5D0F : 'Unassigned [0x5D0F]',
	0x5D10 : 'Unassigned [0x5D10]',
	0x5D11 : 'Unassigned [0x5D11]',
	0x5D12 : 'Unassigned [0x5D12]',
	0x5D13 : 'Unassigned [0x5D13]',
	0x5D14 : 'Unassigned [0x5D14]',
	0x5D15 : 'Unassigned [0x5D15]',
	0x5D16 : 'Unassigned [0x5D16]',
	0x5D17 : 'Unassigned [0x5D17]',
	0x5D18 : 'Unassigned [0x5D18]',
	0x5D19 : 'Unassigned [0x5D19]',
	0x5D1A : 'Unassigned [0x5D1A]',
	0x5D1B : 'Unassigned [0x5D1B]',
	0x5D1C : 'Unassigned [0x5D1C]',
	0x5D1D : 'Unassigned [0x5D1D]',
	0x5D1E : 'Unassigned [0x5D1E]',
	0x5D1F : 'Unassigned [0x5D1F]',
	0x5D20 : 'Unassigned [0x5D20]',
	0x5D21 : 'Unassigned [0x5D21]',
	0x5D22 : 'Unassigned [0x5D22]',
	0x5D23 : 'Unassigned [0x5D23]',
	0x5D24 : 'Unassigned [0x5D24]',
	0x5D25 : 'Unassigned [0x5D25]',
	0x5D26 : 'Unassigned [0x5D26]',
	0x5D27 : 'Unassigned [0x5D27]',
	0x5D28 : 'Unassigned [0x5D28]',
	0x5D29 : 'Unassigned [0x5D29]',
	0x5D2A : 'Unassigned [0x5D2A]',
	0x5D2B : 'Unassigned [0x5D2B]',
	0x5D2C : 'Unassigned [0x5D2C]',
	0x5D2D : 'Unassigned [0x5D2D]',
	0x5D2E : 'Unassigned [0x5D2E]',
	0x5D2F : 'Unassigned [0x5D2F]',
	0x5D30 : 'Unassigned [0x5D30]',
	0x5D31 : 'Unassigned [0x5D31]',
	0x5D32 : 'Unassigned [0x5D32]',
	0x5D33 : 'Unassigned [0x5D33]',
	0x5D34 : 'Unassigned [0x5D34]',
	0x5D35 : 'Unassigned [0x5D35]',
	0x5D36 : 'Unassigned [0x5D36]',
	0x5D37 : 'Unassigned [0x5D37]',
	0x5D38 : 'Unassigned [0x5D38]',
	0x5D39 : 'Unassigned [0x5D39]',
	0x5D3A : 'Unassigned [0x5D3A]',
	0x5D3B : 'Unassigned [0x5D3B]',
	0x5D3C : 'Unassigned [0x5D3C]',
	0x5D3D : 'Unassigned [0x5D3D]',
	0x5D3E : 'Unassigned [0x5D3E]',
	0x5D3F : 'Unassigned [0x5D3F]',
	0x5D40 : 'Unassigned [0x5D40]',
	0x5D41 : 'Unassigned [0x5D41]',
	0x5D42 : 'Unassigned [0x5D42]',
	0x5D43 : 'Unassigned [0x5D43]',
	0x5D44 : 'Unassigned [0x5D44]',
	0x5D45 : 'Unassigned [0x5D45]',
	0x5D46 : 'Unassigned [0x5D46]',
	0x5D47 : 'Unassigned [0x5D47]',
	0x5D48 : 'Unassigned [0x5D48]',
	0x5D49 : 'Unassigned [0x5D49]',
	0x5D4A : 'Unassigned [0x5D4A]',
	0x5D4B : 'Unassigned [0x5D4B]',
	0x5D4C : 'Unassigned [0x5D4C]',
	0x5D4D : 'Unassigned [0x5D4D]',
	0x5D4E : 'Unassigned [0x5D4E]',
	0x5D4F : 'Unassigned [0x5D4F]',
	0x5D50 : 'Unassigned [0x5D50]',
	0x5D51 : 'Unassigned [0x5D51]',
	0x5D52 : 'Unassigned [0x5D52]',
	0x5D53 : 'Unassigned [0x5D53]',
	0x5D54 : 'Unassigned [0x5D54]',
	0x5D55 : 'Unassigned [0x5D55]',
	0x5D56 : 'Unassigned [0x5D56]',
	0x5D57 : 'Unassigned [0x5D57]',
	0x5D58 : 'Unassigned [0x5D58]',
	0x5D59 : 'Unassigned [0x5D59]',
	0x5D5A : 'Unassigned [0x5D5A]',
	0x5D5B : 'Unassigned [0x5D5B]',
	0x5D5C : 'Unassigned [0x5D5C]',
	0x5D5D : 'Unassigned [0x5D5D]',
	0x5D5E : 'Unassigned [0x5D5E]',
	0x5D5F : 'Unassigned [0x5D5F]',
	0x5D60 : 'Unassigned [0x5D60]',
	0x5D61 : 'Unassigned [0x5D61]',
	0x5D62 : 'Unassigned [0x5D62]',
	0x5D63 : 'Unassigned [0x5D63]',
	0x5D64 : 'Unassigned [0x5D64]',
	0x5D65 : 'Unassigned [0x5D65]',
	0x5D66 : 'Unassigned [0x5D66]',
	0x5D67 : 'Unassigned [0x5D67]',
	0x5D68 : 'Unassigned [0x5D68]',
	0x5D69 : 'Unassigned [0x5D69]',
	0x5D6A : 'Unassigned [0x5D6A]',
	0x5D6B : 'Unassigned [0x5D6B]',
	0x5D6C : 'Unassigned [0x5D6C]',
	0x5D6D : 'Unassigned [0x5D6D]',
	0x5D6E : 'Unassigned [0x5D6E]',
	0x5D6F : 'Unassigned [0x5D6F]',
	0x5D70 : 'Unassigned [0x5D70]',
	0x5D71 : 'Unassigned [0x5D71]',
	0x5D72 : 'Unassigned [0x5D72]',
	0x5D73 : 'Unassigned [0x5D73]',
	0x5D74 : 'Unassigned [0x5D74]',
	0x5D75 : 'Unassigned [0x5D75]',
	0x5D76 : 'Unassigned [0x5D76]',
	0x5D77 : 'Unassigned [0x5D77]',
	0x5D78 : 'Unassigned [0x5D78]',
	0x5D79 : 'Unassigned [0x5D79]',
	0x5D7A : 'Unassigned [0x5D7A]',
	0x5D7B : 'Unassigned [0x5D7B]',
	0x5D7C : 'Unassigned [0x5D7C]',
	0x5D7D : 'Unassigned [0x5D7D]',
	0x5D7E : 'Unassigned [0x5D7E]',
	0x5D7F : 'Unassigned [0x5D7F]',
	0x5D80 : 'Unassigned [0x5D80]',
	0x5D81 : 'Unassigned [0x5D81]',
	0x5D82 : 'Unassigned [0x5D82]',
	0x5D83 : 'Unassigned [0x5D83]',
	0x5D84 : 'Unassigned [0x5D84]',
	0x5D85 : 'Unassigned [0x5D85]',
	0x5D86 : 'Unassigned [0x5D86]',
	0x5D87 : 'Unassigned [0x5D87]',
	0x5D88 : 'Unassigned [0x5D88]',
	0x5D89 : 'Unassigned [0x5D89]',
	0x5D8A : 'Unassigned [0x5D8A]',
	0x5D8B : 'Unassigned [0x5D8B]',
	0x5D8C : 'Unassigned [0x5D8C]',
	0x5D8D : 'Unassigned [0x5D8D]',
	0x5D8E : 'Unassigned [0x5D8E]',
	0x5D8F : 'Unassigned [0x5D8F]',
	0x5D90 : 'Unassigned [0x5D90]',
	0x5D91 : 'Unassigned [0x5D91]',
	0x5D92 : 'Unassigned [0x5D92]',
	0x5D93 : 'Unassigned [0x5D93]',
	0x5D94 : 'Unassigned [0x5D94]',
	0x5D95 : 'Unassigned [0x5D95]',
	0x5D96 : 'Unassigned [0x5D96]',
	0x5D97 : 'Unassigned [0x5D97]',
	0x5D98 : 'Unassigned [0x5D98]',
	0x5D99 : 'Unassigned [0x5D99]',
	0x5D9A : 'Unassigned [0x5D9A]',
	0x5D9B : 'Unassigned [0x5D9B]',
	0x5D9C : 'Unassigned [0x5D9C]',
	0x5D9D : 'Unassigned [0x5D9D]',
	0x5D9E : 'Unassigned [0x5D9E]',
	0x5D9F : 'Unassigned [0x5D9F]',
	0x5DA0 : 'Unassigned [0x5DA0]',
	0x5DA1 : 'Unassigned [0x5DA1]',
	0x5DA2 : 'Unassigned [0x5DA2]',
	0x5DA3 : 'Unassigned [0x5DA3]',
	0x5DA4 : 'Unassigned [0x5DA4]',
	0x5DA5 : 'Unassigned [0x5DA5]',
	0x5DA6 : 'Unassigned [0x5DA6]',
	0x5DA7 : 'Unassigned [0x5DA7]',
	0x5DA8 : 'Unassigned [0x5DA8]',
	0x5DA9 : 'Unassigned [0x5DA9]',
	0x5DAA : 'Unassigned [0x5DAA]',
	0x5DAB : 'Unassigned [0x5DAB]',
	0x5DAC : 'Unassigned [0x5DAC]',
	0x5DAD : 'Unassigned [0x5DAD]',
	0x5DAE : 'Unassigned [0x5DAE]',
	0x5DAF : 'Unassigned [0x5DAF]',
	0x5DB0 : 'Unassigned [0x5DB0]',
	0x5DB1 : 'Unassigned [0x5DB1]',
	0x5DB2 : 'Unassigned [0x5DB2]',
	0x5DB3 : 'Unassigned [0x5DB3]',
	0x5DB4 : 'Unassigned [0x5DB4]',
	0x5DB5 : 'Unassigned [0x5DB5]',
	0x5DB6 : 'Unassigned [0x5DB6]',
	0x5DB7 : 'Unassigned [0x5DB7]',
	0x5DB8 : 'Unassigned [0x5DB8]',
	0x5DB9 : 'Unassigned [0x5DB9]',
	0x5DBA : 'Unassigned [0x5DBA]',
	0x5DBB : 'Unassigned [0x5DBB]',
	0x5DBC : 'Unassigned [0x5DBC]',
	0x5DBD : 'Unassigned [0x5DBD]',
	0x5DBE : 'Unassigned [0x5DBE]',
	0x5DBF : 'Unassigned [0x5DBF]',
	0x5DC0 : 'Unassigned [0x5DC0]',
	0x5DC1 : 'Unassigned [0x5DC1]',
	0x5DC2 : 'Unassigned [0x5DC2]',
	0x5DC3 : 'Unassigned [0x5DC3]',
	0x5DC4 : 'Unassigned [0x5DC4]',
	0x5DC5 : 'Unassigned [0x5DC5]',
	0x5DC6 : 'Unassigned [0x5DC6]',
	0x5DC7 : 'Unassigned [0x5DC7]',
	0x5DC8 : 'Unassigned [0x5DC8]',
	0x5DC9 : 'Unassigned [0x5DC9]',
	0x5DCA : 'Unassigned [0x5DCA]',
	0x5DCB : 'Unassigned [0x5DCB]',
	0x5DCC : 'Unassigned [0x5DCC]',
	0x5DCD : 'Unassigned [0x5DCD]',
	0x5DCE : 'Unassigned [0x5DCE]',
	0x5DCF : 'Unassigned [0x5DCF]',
	0x5DD0 : 'Unassigned [0x5DD0]',
	0x5DD1 : 'Unassigned [0x5DD1]',
	0x5DD2 : 'Unassigned [0x5DD2]',
	0x5DD3 : 'Unassigned [0x5DD3]',
	0x5DD4 : 'Unassigned [0x5DD4]',
	0x5DD5 : 'Unassigned [0x5DD5]',
	0x5DD6 : 'Unassigned [0x5DD6]',
	0x5DD7 : 'Unassigned [0x5DD7]',
	0x5DD8 : 'Unassigned [0x5DD8]',
	0x5DD9 : 'Unassigned [0x5DD9]',
	0x5DDA : 'Unassigned [0x5DDA]',
	0x5DDB : 'Unassigned [0x5DDB]',
	0x5DDC : 'Unassigned [0x5DDC]',
	0x5DDD : 'Unassigned [0x5DDD]',
	0x5DDE : 'Unassigned [0x5DDE]',
	0x5DDF : 'Unassigned [0x5DDF]',
	0x5DE0 : 'Unassigned [0x5DE0]',
	0x5DE1 : 'Unassigned [0x5DE1]',
	0x5DE2 : 'Unassigned [0x5DE2]',
	0x5DE3 : 'Unassigned [0x5DE3]',
	0x5DE4 : 'Unassigned [0x5DE4]',
	0x5DE5 : 'Unassigned [0x5DE5]',
	0x5DE6 : 'Unassigned [0x5DE6]',
	0x5DE7 : 'Unassigned [0x5DE7]',
	0x5DE8 : 'Unassigned [0x5DE8]',
	0x5DE9 : 'Unassigned [0x5DE9]',
	0x5DEA : 'Unassigned [0x5DEA]',
	0x5DEB : 'Unassigned [0x5DEB]',
	0x5DEC : 'Unassigned [0x5DEC]',
	0x5DED : 'Unassigned [0x5DED]',
	0x5DEE : 'Unassigned [0x5DEE]',
	0x5DEF : 'Unassigned [0x5DEF]',
	0x5DF0 : 'Unassigned [0x5DF0]',
	0x5DF1 : 'Unassigned [0x5DF1]',
	0x5DF2 : 'Unassigned [0x5DF2]',
	0x5DF3 : 'Unassigned [0x5DF3]',
	0x5DF4 : 'Unassigned [0x5DF4]',
	0x5DF5 : 'Unassigned [0x5DF5]',
	0x5DF6 : 'Unassigned [0x5DF6]',
	0x5DF7 : 'Unassigned [0x5DF7]',
	0x5DF8 : 'Unassigned [0x5DF8]',
	0x5DF9 : 'Unassigned [0x5DF9]',
	0x5DFA : 'Unassigned [0x5DFA]',
	0x5DFB : 'Unassigned [0x5DFB]',
	0x5DFC : 'Unassigned [0x5DFC]',
	0x5DFD : 'Unassigned [0x5DFD]',
	0x5DFE : 'Unassigned [0x5DFE]',
	0x5DFF : 'Unassigned [0x5DFF]',
	0x5E00 : 'Unassigned [0x5E00]',
	0x5E01 : 'Unassigned [0x5E01]',
	0x5E02 : 'Unassigned [0x5E02]',
	0x5E03 : 'Unassigned [0x5E03]',
	0x5E04 : 'Unassigned [0x5E04]',
	0x5E05 : 'Unassigned [0x5E05]',
	0x5E06 : 'Unassigned [0x5E06]',
	0x5E07 : 'Unassigned [0x5E07]',
	0x5E08 : 'Unassigned [0x5E08]',
	0x5E09 : 'Unassigned [0x5E09]',
	0x5E0A : 'Unassigned [0x5E0A]',
	0x5E0B : 'Unassigned [0x5E0B]',
	0x5E0C : 'Unassigned [0x5E0C]',
	0x5E0D : 'Unassigned [0x5E0D]',
	0x5E0E : 'Unassigned [0x5E0E]',
	0x5E0F : 'Unassigned [0x5E0F]',
	0x5E10 : 'Unassigned [0x5E10]',
	0x5E11 : 'Unassigned [0x5E11]',
	0x5E12 : 'Unassigned [0x5E12]',
	0x5E13 : 'Unassigned [0x5E13]',
	0x5E14 : 'Unassigned [0x5E14]',
	0x5E15 : 'Unassigned [0x5E15]',
	0x5E16 : 'Unassigned [0x5E16]',
	0x5E17 : 'Unassigned [0x5E17]',
	0x5E18 : 'Unassigned [0x5E18]',
	0x5E19 : 'Unassigned [0x5E19]',
	0x5E1A : 'Unassigned [0x5E1A]',
	0x5E1B : 'Unassigned [0x5E1B]',
	0x5E1C : 'Unassigned [0x5E1C]',
	0x5E1D : 'Unassigned [0x5E1D]',
	0x5E1E : 'Unassigned [0x5E1E]',
	0x5E1F : 'Unassigned [0x5E1F]',
	0x5E20 : 'Unassigned [0x5E20]',
	0x5E21 : 'Unassigned [0x5E21]',
	0x5E22 : 'Unassigned [0x5E22]',
	0x5E23 : 'Unassigned [0x5E23]',
	0x5E24 : 'Unassigned [0x5E24]',
	0x5E25 : 'Unassigned [0x5E25]',
	0x5E26 : 'Unassigned [0x5E26]',
	0x5E27 : 'Unassigned [0x5E27]',
	0x5E28 : 'Unassigned [0x5E28]',
	0x5E29 : 'Unassigned [0x5E29]',
	0x5E2A : 'Unassigned [0x5E2A]',
	0x5E2B : 'Unassigned [0x5E2B]',
	0x5E2C : 'Unassigned [0x5E2C]',
	0x5E2D : 'Unassigned [0x5E2D]',
	0x5E2E : 'Unassigned [0x5E2E]',
	0x5E2F : 'Unassigned [0x5E2F]',
	0x5E30 : 'Unassigned [0x5E30]',
	0x5E31 : 'Unassigned [0x5E31]',
	0x5E32 : 'Unassigned [0x5E32]',
	0x5E33 : 'Unassigned [0x5E33]',
	0x5E34 : 'Unassigned [0x5E34]',
	0x5E35 : 'Unassigned [0x5E35]',
	0x5E36 : 'Unassigned [0x5E36]',
	0x5E37 : 'Unassigned [0x5E37]',
	0x5E38 : 'Unassigned [0x5E38]',
	0x5E39 : 'Unassigned [0x5E39]',
	0x5E3A : 'Unassigned [0x5E3A]',
	0x5E3B : 'Unassigned [0x5E3B]',
	0x5E3C : 'Unassigned [0x5E3C]',
	0x5E3D : 'Unassigned [0x5E3D]',
	0x5E3E : 'Unassigned [0x5E3E]',
	0x5E3F : 'Unassigned [0x5E3F]',
	0x5E40 : 'Unassigned [0x5E40]',
	0x5E41 : 'Unassigned [0x5E41]',
	0x5E42 : 'Unassigned [0x5E42]',
	0x5E43 : 'Unassigned [0x5E43]',
	0x5E44 : 'Unassigned [0x5E44]',
	0x5E45 : 'Unassigned [0x5E45]',
	0x5E46 : 'Unassigned [0x5E46]',
	0x5E47 : 'Unassigned [0x5E47]',
	0x5E48 : 'Unassigned [0x5E48]',
	0x5E49 : 'Unassigned [0x5E49]',
	0x5E4A : 'Unassigned [0x5E4A]',
	0x5E4B : 'Unassigned [0x5E4B]',
	0x5E4C : 'Unassigned [0x5E4C]',
	0x5E4D : 'Unassigned [0x5E4D]',
	0x5E4E : 'Unassigned [0x5E4E]',
	0x5E4F : 'Unassigned [0x5E4F]',
	0x5E50 : 'Unassigned [0x5E50]',
	0x5E51 : 'Unassigned [0x5E51]',
	0x5E52 : 'Unassigned [0x5E52]',
	0x5E53 : 'Unassigned [0x5E53]',
	0x5E54 : 'Unassigned [0x5E54]',
	0x5E55 : 'Unassigned [0x5E55]',
	0x5E56 : 'Unassigned [0x5E56]',
	0x5E57 : 'Unassigned [0x5E57]',
	0x5E58 : 'Unassigned [0x5E58]',
	0x5E59 : 'Unassigned [0x5E59]',
	0x5E5A : 'Unassigned [0x5E5A]',
	0x5E5B : 'Unassigned [0x5E5B]',
	0x5E5C : 'Unassigned [0x5E5C]',
	0x5E5D : 'Unassigned [0x5E5D]',
	0x5E5E : 'Unassigned [0x5E5E]',
	0x5E5F : 'Unassigned [0x5E5F]',
	0x5E60 : 'Unassigned [0x5E60]',
	0x5E61 : 'Unassigned [0x5E61]',
	0x5E62 : 'Unassigned [0x5E62]',
	0x5E63 : 'Unassigned [0x5E63]',
	0x5E64 : 'Unassigned [0x5E64]',
	0x5E65 : 'Unassigned [0x5E65]',
	0x5E66 : 'Unassigned [0x5E66]',
	0x5E67 : 'Unassigned [0x5E67]',
	0x5E68 : 'Unassigned [0x5E68]',
	0x5E69 : 'Unassigned [0x5E69]',
	0x5E6A : 'Unassigned [0x5E6A]',
	0x5E6B : 'Unassigned [0x5E6B]',
	0x5E6C : 'Unassigned [0x5E6C]',
	0x5E6D : 'Unassigned [0x5E6D]',
	0x5E6E : 'Unassigned [0x5E6E]',
	0x5E6F : 'Unassigned [0x5E6F]',
	0x5E70 : 'Unassigned [0x5E70]',
	0x5E71 : 'Unassigned [0x5E71]',
	0x5E72 : 'Unassigned [0x5E72]',
	0x5E73 : 'Unassigned [0x5E73]',
	0x5E74 : 'Unassigned [0x5E74]',
	0x5E75 : 'Unassigned [0x5E75]',
	0x5E76 : 'Unassigned [0x5E76]',
	0x5E77 : 'Unassigned [0x5E77]',
	0x5E78 : 'Unassigned [0x5E78]',
	0x5E79 : 'Unassigned [0x5E79]',
	0x5E7A : 'Unassigned [0x5E7A]',
	0x5E7B : 'Unassigned [0x5E7B]',
	0x5E7C : 'Unassigned [0x5E7C]',
	0x5E7D : 'Unassigned [0x5E7D]',
	0x5E7E : 'Unassigned [0x5E7E]',
	0x5E7F : 'Unassigned [0x5E7F]',
	0x5E80 : 'Unassigned [0x5E80]',
	0x5E81 : 'Unassigned [0x5E81]',
	0x5E82 : 'Unassigned [0x5E82]',
	0x5E83 : 'Unassigned [0x5E83]',
	0x5E84 : 'Unassigned [0x5E84]',
	0x5E85 : 'Unassigned [0x5E85]',
	0x5E86 : 'Unassigned [0x5E86]',
	0x5E87 : 'Unassigned [0x5E87]',
	0x5E88 : 'Unassigned [0x5E88]',
	0x5E89 : 'Unassigned [0x5E89]',
	0x5E8A : 'Unassigned [0x5E8A]',
	0x5E8B : 'Unassigned [0x5E8B]',
	0x5E8C : 'Unassigned [0x5E8C]',
	0x5E8D : 'Unassigned [0x5E8D]',
	0x5E8E : 'Unassigned [0x5E8E]',
	0x5E8F : 'Unassigned [0x5E8F]',
	0x5E90 : 'Unassigned [0x5E90]',
	0x5E91 : 'Unassigned [0x5E91]',
	0x5E92 : 'Unassigned [0x5E92]',
	0x5E93 : 'Unassigned [0x5E93]',
	0x5E94 : 'Unassigned [0x5E94]',
	0x5E95 : 'Unassigned [0x5E95]',
	0x5E96 : 'Unassigned [0x5E96]',
	0x5E97 : 'Unassigned [0x5E97]',
	0x5E98 : 'Unassigned [0x5E98]',
	0x5E99 : 'Unassigned [0x5E99]',
	0x5E9A : 'Unassigned [0x5E9A]',
	0x5E9B : 'Unassigned [0x5E9B]',
	0x5E9C : 'Unassigned [0x5E9C]',
	0x5E9D : 'Unassigned [0x5E9D]',
	0x5E9E : 'Unassigned [0x5E9E]',
	0x5E9F : 'Unassigned [0x5E9F]',
	0x5EA0 : 'Unassigned [0x5EA0]',
	0x5EA1 : 'Unassigned [0x5EA1]',
	0x5EA2 : 'Unassigned [0x5EA2]',
	0x5EA3 : 'Unassigned [0x5EA3]',
	0x5EA4 : 'Unassigned [0x5EA4]',
	0x5EA5 : 'Unassigned [0x5EA5]',
	0x5EA6 : 'Unassigned [0x5EA6]',
	0x5EA7 : 'Unassigned [0x5EA7]',
	0x5EA8 : 'Unassigned [0x5EA8]',
	0x5EA9 : 'Unassigned [0x5EA9]',
	0x5EAA : 'Unassigned [0x5EAA]',
	0x5EAB : 'Unassigned [0x5EAB]',
	0x5EAC : 'Unassigned [0x5EAC]',
	0x5EAD : 'Unassigned [0x5EAD]',
	0x5EAE : 'Unassigned [0x5EAE]',
	0x5EAF : 'Unassigned [0x5EAF]',
	0x5EB0 : 'Unassigned [0x5EB0]',
	0x5EB1 : 'Unassigned [0x5EB1]',
	0x5EB2 : 'Unassigned [0x5EB2]',
	0x5EB3 : 'Unassigned [0x5EB3]',
	0x5EB4 : 'Unassigned [0x5EB4]',
	0x5EB5 : 'Unassigned [0x5EB5]',
	0x5EB6 : 'Unassigned [0x5EB6]',
	0x5EB7 : 'Unassigned [0x5EB7]',
	0x5EB8 : 'Unassigned [0x5EB8]',
	0x5EB9 : 'Unassigned [0x5EB9]',
	0x5EBA : 'Unassigned [0x5EBA]',
	0x5EBB : 'Unassigned [0x5EBB]',
	0x5EBC : 'Unassigned [0x5EBC]',
	0x5EBD : 'Unassigned [0x5EBD]',
	0x5EBE : 'Unassigned [0x5EBE]',
	0x5EBF : 'Unassigned [0x5EBF]',
	0x5EC0 : 'Unassigned [0x5EC0]',
	0x5EC1 : 'Unassigned [0x5EC1]',
	0x5EC2 : 'Unassigned [0x5EC2]',
	0x5EC3 : 'Unassigned [0x5EC3]',
	0x5EC4 : 'Unassigned [0x5EC4]',
	0x5EC5 : 'Unassigned [0x5EC5]',
	0x5EC6 : 'Unassigned [0x5EC6]',
	0x5EC7 : 'Unassigned [0x5EC7]',
	0x5EC8 : 'Unassigned [0x5EC8]',
	0x5EC9 : 'Unassigned [0x5EC9]',
	0x5ECA : 'Unassigned [0x5ECA]',
	0x5ECB : 'Unassigned [0x5ECB]',
	0x5ECC : 'Unassigned [0x5ECC]',
	0x5ECD : 'Unassigned [0x5ECD]',
	0x5ECE : 'Unassigned [0x5ECE]',
	0x5ECF : 'Unassigned [0x5ECF]',
	0x5ED0 : 'Unassigned [0x5ED0]',
	0x5ED1 : 'Unassigned [0x5ED1]',
	0x5ED2 : 'Unassigned [0x5ED2]',
	0x5ED3 : 'Unassigned [0x5ED3]',
	0x5ED4 : 'Unassigned [0x5ED4]',
	0x5ED5 : 'Unassigned [0x5ED5]',
	0x5ED6 : 'Unassigned [0x5ED6]',
	0x5ED7 : 'Unassigned [0x5ED7]',
	0x5ED8 : 'Unassigned [0x5ED8]',
	0x5ED9 : 'Unassigned [0x5ED9]',
	0x5EDA : 'Unassigned [0x5EDA]',
	0x5EDB : 'Unassigned [0x5EDB]',
	0x5EDC : 'Unassigned [0x5EDC]',
	0x5EDD : 'Unassigned [0x5EDD]',
	0x5EDE : 'Unassigned [0x5EDE]',
	0x5EDF : 'Unassigned [0x5EDF]',
	0x5EE0 : 'Unassigned [0x5EE0]',
	0x5EE1 : 'Unassigned [0x5EE1]',
	0x5EE2 : 'Unassigned [0x5EE2]',
	0x5EE3 : 'Unassigned [0x5EE3]',
	0x5EE4 : 'Unassigned [0x5EE4]',
	0x5EE5 : 'Unassigned [0x5EE5]',
	0x5EE6 : 'Unassigned [0x5EE6]',
	0x5EE7 : 'Unassigned [0x5EE7]',
	0x5EE8 : 'Unassigned [0x5EE8]',
	0x5EE9 : 'Unassigned [0x5EE9]',
	0x5EEA : 'Unassigned [0x5EEA]',
	0x5EEB : 'Unassigned [0x5EEB]',
	0x5EEC : 'Unassigned [0x5EEC]',
	0x5EED : 'Unassigned [0x5EED]',
	0x5EEE : 'Unassigned [0x5EEE]',
	0x5EEF : 'Unassigned [0x5EEF]',
	0x5EF0 : 'Unassigned [0x5EF0]',
	0x5EF1 : 'Unassigned [0x5EF1]',
	0x5EF2 : 'Unassigned [0x5EF2]',
	0x5EF3 : 'Unassigned [0x5EF3]',
	0x5EF4 : 'Unassigned [0x5EF4]',
	0x5EF5 : 'Unassigned [0x5EF5]',
	0x5EF6 : 'Unassigned [0x5EF6]',
	0x5EF7 : 'Unassigned [0x5EF7]',
	0x5EF8 : 'Unassigned [0x5EF8]',
	0x5EF9 : 'Unassigned [0x5EF9]',
	0x5EFA : 'Unassigned [0x5EFA]',
	0x5EFB : 'Unassigned [0x5EFB]',
	0x5EFC : 'Unassigned [0x5EFC]',
	0x5EFD : 'Unassigned [0x5EFD]',
	0x5EFE : 'Unassigned [0x5EFE]',
	0x5EFF : 'Unassigned [0x5EFF]',
	0x5F00 : 'Unassigned [0x5F00]',
	0x5F01 : 'Unassigned [0x5F01]',
	0x5F02 : 'Unassigned [0x5F02]',
	0x5F03 : 'Unassigned [0x5F03]',
	0x5F04 : 'Unassigned [0x5F04]',
	0x5F05 : 'Unassigned [0x5F05]',
	0x5F06 : 'Unassigned [0x5F06]',
	0x5F07 : 'Unassigned [0x5F07]',
	0x5F08 : 'Unassigned [0x5F08]',
	0x5F09 : 'Unassigned [0x5F09]',
	0x5F0A : 'Unassigned [0x5F0A]',
	0x5F0B : 'Unassigned [0x5F0B]',
	0x5F0C : 'Unassigned [0x5F0C]',
	0x5F0D : 'Unassigned [0x5F0D]',
	0x5F0E : 'Unassigned [0x5F0E]',
	0x5F0F : 'Unassigned [0x5F0F]',
	0x5F10 : 'Unassigned [0x5F10]',
	0x5F11 : 'Unassigned [0x5F11]',
	0x5F12 : 'Unassigned [0x5F12]',
	0x5F13 : 'Unassigned [0x5F13]',
	0x5F14 : 'Unassigned [0x5F14]',
	0x5F15 : 'Unassigned [0x5F15]',
	0x5F16 : 'Unassigned [0x5F16]',
	0x5F17 : 'Unassigned [0x5F17]',
	0x5F18 : 'Unassigned [0x5F18]',
	0x5F19 : 'Unassigned [0x5F19]',
	0x5F1A : 'Unassigned [0x5F1A]',
	0x5F1B : 'Unassigned [0x5F1B]',
	0x5F1C : 'Unassigned [0x5F1C]',
	0x5F1D : 'Unassigned [0x5F1D]',
	0x5F1E : 'Unassigned [0x5F1E]',
	0x5F1F : 'Unassigned [0x5F1F]',
	0x5F20 : 'Unassigned [0x5F20]',
	0x5F21 : 'Unassigned [0x5F21]',
	0x5F22 : 'Unassigned [0x5F22]',
	0x5F23 : 'Unassigned [0x5F23]',
	0x5F24 : 'Unassigned [0x5F24]',
	0x5F25 : 'Unassigned [0x5F25]',
	0x5F26 : 'Unassigned [0x5F26]',
	0x5F27 : 'Unassigned [0x5F27]',
	0x5F28 : 'Unassigned [0x5F28]',
	0x5F29 : 'Unassigned [0x5F29]',
	0x5F2A : 'Unassigned [0x5F2A]',
	0x5F2B : 'Unassigned [0x5F2B]',
	0x5F2C : 'Unassigned [0x5F2C]',
	0x5F2D : 'Unassigned [0x5F2D]',
	0x5F2E : 'Unassigned [0x5F2E]',
	0x5F2F : 'Unassigned [0x5F2F]',
	0x5F30 : 'Unassigned [0x5F30]',
	0x5F31 : 'Unassigned [0x5F31]',
	0x5F32 : 'Unassigned [0x5F32]',
	0x5F33 : 'Unassigned [0x5F33]',
	0x5F34 : 'Unassigned [0x5F34]',
	0x5F35 : 'Unassigned [0x5F35]',
	0x5F36 : 'Unassigned [0x5F36]',
	0x5F37 : 'Unassigned [0x5F37]',
	0x5F38 : 'Unassigned [0x5F38]',
	0x5F39 : 'Unassigned [0x5F39]',
	0x5F3A : 'Unassigned [0x5F3A]',
	0x5F3B : 'Unassigned [0x5F3B]',
	0x5F3C : 'Unassigned [0x5F3C]',
	0x5F3D : 'Unassigned [0x5F3D]',
	0x5F3E : 'Unassigned [0x5F3E]',
	0x5F3F : 'Unassigned [0x5F3F]',
	0x5F40 : 'Unassigned [0x5F40]',
	0x5F41 : 'Unassigned [0x5F41]',
	0x5F42 : 'Unassigned [0x5F42]',
	0x5F43 : 'Unassigned [0x5F43]',
	0x5F44 : 'Unassigned [0x5F44]',
	0x5F45 : 'Unassigned [0x5F45]',
	0x5F46 : 'Unassigned [0x5F46]',
	0x5F47 : 'Unassigned [0x5F47]',
	0x5F48 : 'Unassigned [0x5F48]',
	0x5F49 : 'Unassigned [0x5F49]',
	0x5F4A : 'Unassigned [0x5F4A]',
	0x5F4B : 'Unassigned [0x5F4B]',
	0x5F4C : 'Unassigned [0x5F4C]',
	0x5F4D : 'Unassigned [0x5F4D]',
	0x5F4E : 'Unassigned [0x5F4E]',
	0x5F4F : 'Unassigned [0x5F4F]',
	0x5F50 : 'Unassigned [0x5F50]',
	0x5F51 : 'Unassigned [0x5F51]',
	0x5F52 : 'Unassigned [0x5F52]',
	0x5F53 : 'Unassigned [0x5F53]',
	0x5F54 : 'Unassigned [0x5F54]',
	0x5F55 : 'Unassigned [0x5F55]',
	0x5F56 : 'Unassigned [0x5F56]',
	0x5F57 : 'Unassigned [0x5F57]',
	0x5F58 : 'Unassigned [0x5F58]',
	0x5F59 : 'Unassigned [0x5F59]',
	0x5F5A : 'Unassigned [0x5F5A]',
	0x5F5B : 'Unassigned [0x5F5B]',
	0x5F5C : 'Unassigned [0x5F5C]',
	0x5F5D : 'Unassigned [0x5F5D]',
	0x5F5E : 'Unassigned [0x5F5E]',
	0x5F5F : 'Unassigned [0x5F5F]',
	0x5F60 : 'Unassigned [0x5F60]',
	0x5F61 : 'Unassigned [0x5F61]',
	0x5F62 : 'Unassigned [0x5F62]',
	0x5F63 : 'Unassigned [0x5F63]',
	0x5F64 : 'Unassigned [0x5F64]',
	0x5F65 : 'Unassigned [0x5F65]',
	0x5F66 : 'Unassigned [0x5F66]',
	0x5F67 : 'Unassigned [0x5F67]',
	0x5F68 : 'Unassigned [0x5F68]',
	0x5F69 : 'Unassigned [0x5F69]',
	0x5F6A : 'Unassigned [0x5F6A]',
	0x5F6B : 'Unassigned [0x5F6B]',
	0x5F6C : 'Unassigned [0x5F6C]',
	0x5F6D : 'Unassigned [0x5F6D]',
	0x5F6E : 'Unassigned [0x5F6E]',
	0x5F6F : 'Unassigned [0x5F6F]',
	0x5F70 : 'Unassigned [0x5F70]',
	0x5F71 : 'Unassigned [0x5F71]',
	0x5F72 : 'Unassigned [0x5F72]',
	0x5F73 : 'Unassigned [0x5F73]',
	0x5F74 : 'Unassigned [0x5F74]',
	0x5F75 : 'Unassigned [0x5F75]',
	0x5F76 : 'Unassigned [0x5F76]',
	0x5F77 : 'Unassigned [0x5F77]',
	0x5F78 : 'Unassigned [0x5F78]',
	0x5F79 : 'Unassigned [0x5F79]',
	0x5F7A : 'Unassigned [0x5F7A]',
	0x5F7B : 'Unassigned [0x5F7B]',
	0x5F7C : 'Unassigned [0x5F7C]',
	0x5F7D : 'Unassigned [0x5F7D]',
	0x5F7E : 'Unassigned [0x5F7E]',
	0x5F7F : 'Unassigned [0x5F7F]',
	0x5F80 : 'Unassigned [0x5F80]',
	0x5F81 : 'Unassigned [0x5F81]',
	0x5F82 : 'Unassigned [0x5F82]',
	0x5F83 : 'Unassigned [0x5F83]',
	0x5F84 : 'Unassigned [0x5F84]',
	0x5F85 : 'Unassigned [0x5F85]',
	0x5F86 : 'Unassigned [0x5F86]',
	0x5F87 : 'Unassigned [0x5F87]',
	0x5F88 : 'Unassigned [0x5F88]',
	0x5F89 : 'Unassigned [0x5F89]',
	0x5F8A : 'Unassigned [0x5F8A]',
	0x5F8B : 'Unassigned [0x5F8B]',
	0x5F8C : 'Unassigned [0x5F8C]',
	0x5F8D : 'Unassigned [0x5F8D]',
	0x5F8E : 'Unassigned [0x5F8E]',
	0x5F8F : 'Unassigned [0x5F8F]',
	0x5F90 : 'Unassigned [0x5F90]',
	0x5F91 : 'Unassigned [0x5F91]',
	0x5F92 : 'Unassigned [0x5F92]',
	0x5F93 : 'Unassigned [0x5F93]',
	0x5F94 : 'Unassigned [0x5F94]',
	0x5F95 : 'Unassigned [0x5F95]',
	0x5F96 : 'Unassigned [0x5F96]',
	0x5F97 : 'Unassigned [0x5F97]',
	0x5F98 : 'Unassigned [0x5F98]',
	0x5F99 : 'Unassigned [0x5F99]',
	0x5F9A : 'Unassigned [0x5F9A]',
	0x5F9B : 'Unassigned [0x5F9B]',
	0x5F9C : 'Unassigned [0x5F9C]',
	0x5F9D : 'Unassigned [0x5F9D]',
	0x5F9E : 'Unassigned [0x5F9E]',
	0x5F9F : 'Unassigned [0x5F9F]',
	0x5FA0 : 'Unassigned [0x5FA0]',
	0x5FA1 : 'Unassigned [0x5FA1]',
	0x5FA2 : 'Unassigned [0x5FA2]',
	0x5FA3 : 'Unassigned [0x5FA3]',
	0x5FA4 : 'Unassigned [0x5FA4]',
	0x5FA5 : 'Unassigned [0x5FA5]',
	0x5FA6 : 'Unassigned [0x5FA6]',
	0x5FA7 : 'Unassigned [0x5FA7]',
	0x5FA8 : 'Unassigned [0x5FA8]',
	0x5FA9 : 'Unassigned [0x5FA9]',
	0x5FAA : 'Unassigned [0x5FAA]',
	0x5FAB : 'Unassigned [0x5FAB]',
	0x5FAC : 'Unassigned [0x5FAC]',
	0x5FAD : 'Unassigned [0x5FAD]',
	0x5FAE : 'Unassigned [0x5FAE]',
	0x5FAF : 'Unassigned [0x5FAF]',
	0x5FB0 : 'Unassigned [0x5FB0]',
	0x5FB1 : 'Unassigned [0x5FB1]',
	0x5FB2 : 'Unassigned [0x5FB2]',
	0x5FB3 : 'Unassigned [0x5FB3]',
	0x5FB4 : 'Unassigned [0x5FB4]',
	0x5FB5 : 'Unassigned [0x5FB5]',
	0x5FB6 : 'Unassigned [0x5FB6]',
	0x5FB7 : 'Unassigned [0x5FB7]',
	0x5FB8 : 'Unassigned [0x5FB8]',
	0x5FB9 : 'Unassigned [0x5FB9]',
	0x5FBA : 'Unassigned [0x5FBA]',
	0x5FBB : 'Unassigned [0x5FBB]',
	0x5FBC : 'Unassigned [0x5FBC]',
	0x5FBD : 'Unassigned [0x5FBD]',
	0x5FBE : 'Unassigned [0x5FBE]',
	0x5FBF : 'Unassigned [0x5FBF]',
	0x5FC0 : 'Unassigned [0x5FC0]',
	0x5FC1 : 'Unassigned [0x5FC1]',
	0x5FC2 : 'Unassigned [0x5FC2]',
	0x5FC3 : 'Unassigned [0x5FC3]',
	0x5FC4 : 'Unassigned [0x5FC4]',
	0x5FC5 : 'Unassigned [0x5FC5]',
	0x5FC6 : 'Unassigned [0x5FC6]',
	0x5FC7 : 'Unassigned [0x5FC7]',
	0x5FC8 : 'Unassigned [0x5FC8]',
	0x5FC9 : 'Unassigned [0x5FC9]',
	0x5FCA : 'Unassigned [0x5FCA]',
	0x5FCB : 'Unassigned [0x5FCB]',
	0x5FCC : 'Unassigned [0x5FCC]',
	0x5FCD : 'Unassigned [0x5FCD]',
	0x5FCE : 'Unassigned [0x5FCE]',
	0x5FCF : 'Unassigned [0x5FCF]',
	0x5FD0 : 'Unassigned [0x5FD0]',
	0x5FD1 : 'Unassigned [0x5FD1]',
	0x5FD2 : 'Unassigned [0x5FD2]',
	0x5FD3 : 'Unassigned [0x5FD3]',
	0x5FD4 : 'Unassigned [0x5FD4]',
	0x5FD5 : 'Unassigned [0x5FD5]',
	0x5FD6 : 'Unassigned [0x5FD6]',
	0x5FD7 : 'Unassigned [0x5FD7]',
	0x5FD8 : 'Unassigned [0x5FD8]',
	0x5FD9 : 'Unassigned [0x5FD9]',
	0x5FDA : 'Unassigned [0x5FDA]',
	0x5FDB : 'Unassigned [0x5FDB]',
	0x5FDC : 'Unassigned [0x5FDC]',
	0x5FDD : 'Unassigned [0x5FDD]',
	0x5FDE : 'Unassigned [0x5FDE]',
	0x5FDF : 'Unassigned [0x5FDF]',
	0x5FE0 : 'Unassigned [0x5FE0]',
	0x5FE1 : 'Unassigned [0x5FE1]',
	0x5FE2 : 'Unassigned [0x5FE2]',
	0x5FE3 : 'Unassigned [0x5FE3]',
	0x5FE4 : 'Unassigned [0x5FE4]',
	0x5FE5 : 'Unassigned [0x5FE5]',
	0x5FE6 : 'Unassigned [0x5FE6]',
	0x5FE7 : 'Unassigned [0x5FE7]',
	0x5FE8 : 'Unassigned [0x5FE8]',
	0x5FE9 : 'Unassigned [0x5FE9]',
	0x5FEA : 'Unassigned [0x5FEA]',
	0x5FEB : 'Unassigned [0x5FEB]',
	0x5FEC : 'Unassigned [0x5FEC]',
	0x5FED : 'Unassigned [0x5FED]',
	0x5FEE : 'Unassigned [0x5FEE]',
	0x5FEF : 'Unassigned [0x5FEF]',
	0x5FF0 : 'Unassigned [0x5FF0]',
	0x5FF1 : 'Unassigned [0x5FF1]',
	0x5FF2 : 'Unassigned [0x5FF2]',
	0x5FF3 : 'Unassigned [0x5FF3]',
	0x5FF4 : 'Unassigned [0x5FF4]',
	0x5FF5 : 'Unassigned [0x5FF5]',
	0x5FF6 : 'Unassigned [0x5FF6]',
	0x5FF7 : 'Unassigned [0x5FF7]',
	0x5FF8 : 'Unassigned [0x5FF8]',
	0x5FF9 : 'Unassigned [0x5FF9]',
	0x5FFA : 'Unassigned [0x5FFA]',
	0x5FFB : 'Unassigned [0x5FFB]',
	0x5FFC : 'Unassigned [0x5FFC]',
	0x5FFD : 'Unassigned [0x5FFD]',
	0x5FFE : 'Unassigned [0x5FFE]',
	0x5FFF : 'Unassigned [0x5FFF]',
	0x6000 : 'Unassigned [0x6000]',
	0x6001 : 'Unassigned [0x6001]',
	0x6002 : 'Unassigned [0x6002]',
	0x6003 : 'Unassigned [0x6003]',
	0x6004 : 'Unassigned [0x6004]',
	0x6005 : 'Unassigned [0x6005]',
	0x6006 : 'Unassigned [0x6006]',
	0x6007 : 'Unassigned [0x6007]',
	0x6008 : 'Unassigned [0x6008]',
	0x6009 : 'Unassigned [0x6009]',
	0x600A : 'Unassigned [0x600A]',
	0x600B : 'Unassigned [0x600B]',
	0x600C : 'Unassigned [0x600C]',
	0x600D : 'Unassigned [0x600D]',
	0x600E : 'Unassigned [0x600E]',
	0x600F : 'Unassigned [0x600F]',
	0x6010 : 'Unassigned [0x6010]',
	0x6011 : 'Unassigned [0x6011]',
	0x6012 : 'Unassigned [0x6012]',
	0x6013 : 'Unassigned [0x6013]',
	0x6014 : 'Unassigned [0x6014]',
	0x6015 : 'Unassigned [0x6015]',
	0x6016 : 'Unassigned [0x6016]',
	0x6017 : 'Unassigned [0x6017]',
	0x6018 : 'Unassigned [0x6018]',
	0x6019 : 'Unassigned [0x6019]',
	0x601A : 'Unassigned [0x601A]',
	0x601B : 'Unassigned [0x601B]',
	0x601C : 'Unassigned [0x601C]',
	0x601D : 'Unassigned [0x601D]',
	0x601E : 'Unassigned [0x601E]',
	0x601F : 'Unassigned [0x601F]',
	0x6020 : 'Unassigned [0x6020]',
	0x6021 : 'Unassigned [0x6021]',
	0x6022 : 'Unassigned [0x6022]',
	0x6023 : 'Unassigned [0x6023]',
	0x6024 : 'Unassigned [0x6024]',
	0x6025 : 'Unassigned [0x6025]',
	0x6026 : 'Unassigned [0x6026]',
	0x6027 : 'Unassigned [0x6027]',
	0x6028 : 'Unassigned [0x6028]',
	0x6029 : 'Unassigned [0x6029]',
	0x602A : 'Unassigned [0x602A]',
	0x602B : 'Unassigned [0x602B]',
	0x602C : 'Unassigned [0x602C]',
	0x602D : 'Unassigned [0x602D]',
	0x602E : 'Unassigned [0x602E]',
	0x602F : 'Unassigned [0x602F]',
	0x6030 : 'Unassigned [0x6030]',
	0x6031 : 'Unassigned [0x6031]',
	0x6032 : 'Unassigned [0x6032]',
	0x6033 : 'Unassigned [0x6033]',
	0x6034 : 'Unassigned [0x6034]',
	0x6035 : 'Unassigned [0x6035]',
	0x6036 : 'Unassigned [0x6036]',
	0x6037 : 'Unassigned [0x6037]',
	0x6038 : 'Unassigned [0x6038]',
	0x6039 : 'Unassigned [0x6039]',
	0x603A : 'Unassigned [0x603A]',
	0x603B : 'Unassigned [0x603B]',
	0x603C : 'Unassigned [0x603C]',
	0x603D : 'Unassigned [0x603D]',
	0x603E : 'Unassigned [0x603E]',
	0x603F : 'Unassigned [0x603F]',
	0x6040 : 'Unassigned [0x6040]',
	0x6041 : 'Unassigned [0x6041]',
	0x6042 : 'Unassigned [0x6042]',
	0x6043 : 'Unassigned [0x6043]',
	0x6044 : 'Unassigned [0x6044]',
	0x6045 : 'Unassigned [0x6045]',
	0x6046 : 'Unassigned [0x6046]',
	0x6047 : 'Unassigned [0x6047]',
	0x6048 : 'Unassigned [0x6048]',
	0x6049 : 'Unassigned [0x6049]',
	0x604A : 'Unassigned [0x604A]',
	0x604B : 'Unassigned [0x604B]',
	0x604C : 'Unassigned [0x604C]',
	0x604D : 'Unassigned [0x604D]',
	0x604E : 'Unassigned [0x604E]',
	0x604F : 'Unassigned [0x604F]',
	0x6050 : 'Unassigned [0x6050]',
	0x6051 : 'Unassigned [0x6051]',
	0x6052 : 'Unassigned [0x6052]',
	0x6053 : 'Unassigned [0x6053]',
	0x6054 : 'Unassigned [0x6054]',
	0x6055 : 'Unassigned [0x6055]',
	0x6056 : 'Unassigned [0x6056]',
	0x6057 : 'Unassigned [0x6057]',
	0x6058 : 'Unassigned [0x6058]',
	0x6059 : 'Unassigned [0x6059]',
	0x605A : 'Unassigned [0x605A]',
	0x605B : 'Unassigned [0x605B]',
	0x605C : 'Unassigned [0x605C]',
	0x605D : 'Unassigned [0x605D]',
	0x605E : 'Unassigned [0x605E]',
	0x605F : 'Unassigned [0x605F]',
	0x6060 : 'Unassigned [0x6060]',
	0x6061 : 'Unassigned [0x6061]',
	0x6062 : 'Unassigned [0x6062]',
	0x6063 : 'Unassigned [0x6063]',
	0x6064 : 'Unassigned [0x6064]',
	0x6065 : 'Unassigned [0x6065]',
	0x6066 : 'Unassigned [0x6066]',
	0x6067 : 'Unassigned [0x6067]',
	0x6068 : 'Unassigned [0x6068]',
	0x6069 : 'Unassigned [0x6069]',
	0x606A : 'Unassigned [0x606A]',
	0x606B : 'Unassigned [0x606B]',
	0x606C : 'Unassigned [0x606C]',
	0x606D : 'Unassigned [0x606D]',
	0x606E : 'Unassigned [0x606E]',
	0x606F : 'Unassigned [0x606F]',
	0x6070 : 'Unassigned [0x6070]',
	0x6071 : 'Unassigned [0x6071]',
	0x6072 : 'Unassigned [0x6072]',
	0x6073 : 'Unassigned [0x6073]',
	0x6074 : 'Unassigned [0x6074]',
	0x6075 : 'Unassigned [0x6075]',
	0x6076 : 'Unassigned [0x6076]',
	0x6077 : 'Unassigned [0x6077]',
	0x6078 : 'Unassigned [0x6078]',
	0x6079 : 'Unassigned [0x6079]',
	0x607A : 'Unassigned [0x607A]',
	0x607B : 'Unassigned [0x607B]',
	0x607C : 'Unassigned [0x607C]',
	0x607D : 'Unassigned [0x607D]',
	0x607E : 'Unassigned [0x607E]',
	0x607F : 'Unassigned [0x607F]',
	0x6080 : 'Unassigned [0x6080]',
	0x6081 : 'Unassigned [0x6081]',
	0x6082 : 'Unassigned [0x6082]',
	0x6083 : 'Unassigned [0x6083]',
	0x6084 : 'Unassigned [0x6084]',
	0x6085 : 'Unassigned [0x6085]',
	0x6086 : 'Unassigned [0x6086]',
	0x6087 : 'Unassigned [0x6087]',
	0x6088 : 'Unassigned [0x6088]',
	0x6089 : 'Unassigned [0x6089]',
	0x608A : 'Unassigned [0x608A]',
	0x608B : 'Unassigned [0x608B]',
	0x608C : 'Unassigned [0x608C]',
	0x608D : 'Unassigned [0x608D]',
	0x608E : 'Unassigned [0x608E]',
	0x608F : 'Unassigned [0x608F]',
	0x6090 : 'Unassigned [0x6090]',
	0x6091 : 'Unassigned [0x6091]',
	0x6092 : 'Unassigned [0x6092]',
	0x6093 : 'Unassigned [0x6093]',
	0x6094 : 'Unassigned [0x6094]',
	0x6095 : 'Unassigned [0x6095]',
	0x6096 : 'Unassigned [0x6096]',
	0x6097 : 'Unassigned [0x6097]',
	0x6098 : 'Unassigned [0x6098]',
	0x6099 : 'Unassigned [0x6099]',
	0x609A : 'Unassigned [0x609A]',
	0x609B : 'Unassigned [0x609B]',
	0x609C : 'Unassigned [0x609C]',
	0x609D : 'Unassigned [0x609D]',
	0x609E : 'Unassigned [0x609E]',
	0x609F : 'Unassigned [0x609F]',
	0x60A0 : 'Unassigned [0x60A0]',
	0x60A1 : 'Unassigned [0x60A1]',
	0x60A2 : 'Unassigned [0x60A2]',
	0x60A3 : 'Unassigned [0x60A3]',
	0x60A4 : 'Unassigned [0x60A4]',
	0x60A5 : 'Unassigned [0x60A5]',
	0x60A6 : 'Unassigned [0x60A6]',
	0x60A7 : 'Unassigned [0x60A7]',
	0x60A8 : 'Unassigned [0x60A8]',
	0x60A9 : 'Unassigned [0x60A9]',
	0x60AA : 'Unassigned [0x60AA]',
	0x60AB : 'Unassigned [0x60AB]',
	0x60AC : 'Unassigned [0x60AC]',
	0x60AD : 'Unassigned [0x60AD]',
	0x60AE : 'Unassigned [0x60AE]',
	0x60AF : 'Unassigned [0x60AF]',
	0x60B0 : 'Unassigned [0x60B0]',
	0x60B1 : 'Unassigned [0x60B1]',
	0x60B2 : 'Unassigned [0x60B2]',
	0x60B3 : 'Unassigned [0x60B3]',
	0x60B4 : 'Unassigned [0x60B4]',
	0x60B5 : 'Unassigned [0x60B5]',
	0x60B6 : 'Unassigned [0x60B6]',
	0x60B7 : 'Unassigned [0x60B7]',
	0x60B8 : 'Unassigned [0x60B8]',
	0x60B9 : 'Unassigned [0x60B9]',
	0x60BA : 'Unassigned [0x60BA]',
	0x60BB : 'Unassigned [0x60BB]',
	0x60BC : 'Unassigned [0x60BC]',
	0x60BD : 'Unassigned [0x60BD]',
	0x60BE : 'Unassigned [0x60BE]',
	0x60BF : 'Unassigned [0x60BF]',
	0x60C0 : 'Unassigned [0x60C0]',
	0x60C1 : 'Unassigned [0x60C1]',
	0x60C2 : 'Unassigned [0x60C2]',
	0x60C3 : 'Unassigned [0x60C3]',
	0x60C4 : 'Unassigned [0x60C4]',
	0x60C5 : 'Unassigned [0x60C5]',
	0x60C6 : 'Unassigned [0x60C6]',
	0x60C7 : 'Unassigned [0x60C7]',
	0x60C8 : 'Unassigned [0x60C8]',
	0x60C9 : 'Unassigned [0x60C9]',
	0x60CA : 'Unassigned [0x60CA]',
	0x60CB : 'Unassigned [0x60CB]',
	0x60CC : 'Unassigned [0x60CC]',
	0x60CD : 'Unassigned [0x60CD]',
	0x60CE : 'Unassigned [0x60CE]',
	0x60CF : 'Unassigned [0x60CF]',
	0x60D0 : 'Unassigned [0x60D0]',
	0x60D1 : 'Unassigned [0x60D1]',
	0x60D2 : 'Unassigned [0x60D2]',
	0x60D3 : 'Unassigned [0x60D3]',
	0x60D4 : 'Unassigned [0x60D4]',
	0x60D5 : 'Unassigned [0x60D5]',
	0x60D6 : 'Unassigned [0x60D6]',
	0x60D7 : 'Unassigned [0x60D7]',
	0x60D8 : 'Unassigned [0x60D8]',
	0x60D9 : 'Unassigned [0x60D9]',
	0x60DA : 'Unassigned [0x60DA]',
	0x60DB : 'Unassigned [0x60DB]',
	0x60DC : 'Unassigned [0x60DC]',
	0x60DD : 'Unassigned [0x60DD]',
	0x60DE : 'Unassigned [0x60DE]',
	0x60DF : 'Unassigned [0x60DF]',
	0x60E0 : 'Unassigned [0x60E0]',
	0x60E1 : 'Unassigned [0x60E1]',
	0x60E2 : 'Unassigned [0x60E2]',
	0x60E3 : 'Unassigned [0x60E3]',
	0x60E4 : 'Unassigned [0x60E4]',
	0x60E5 : 'Unassigned [0x60E5]',
	0x60E6 : 'Unassigned [0x60E6]',
	0x60E7 : 'Unassigned [0x60E7]',
	0x60E8 : 'Unassigned [0x60E8]',
	0x60E9 : 'Unassigned [0x60E9]',
	0x60EA : 'Unassigned [0x60EA]',
	0x60EB : 'Unassigned [0x60EB]',
	0x60EC : 'Unassigned [0x60EC]',
	0x60ED : 'Unassigned [0x60ED]',
	0x60EE : 'Unassigned [0x60EE]',
	0x60EF : 'Unassigned [0x60EF]',
	0x60F0 : 'Unassigned [0x60F0]',
	0x60F1 : 'Unassigned [0x60F1]',
	0x60F2 : 'Unassigned [0x60F2]',
	0x60F3 : 'Unassigned [0x60F3]',
	0x60F4 : 'Unassigned [0x60F4]',
	0x60F5 : 'Unassigned [0x60F5]',
	0x60F6 : 'Unassigned [0x60F6]',
	0x60F7 : 'Unassigned [0x60F7]',
	0x60F8 : 'Unassigned [0x60F8]',
	0x60F9 : 'Unassigned [0x60F9]',
	0x60FA : 'Unassigned [0x60FA]',
	0x60FB : 'Unassigned [0x60FB]',
	0x60FC : 'Unassigned [0x60FC]',
	0x60FD : 'Unassigned [0x60FD]',
	0x60FE : 'Unassigned [0x60FE]',
	0x60FF : 'Unassigned [0x60FF]',
	0x6100 : 'Unassigned [0x6100]',
	0x6101 : 'Unassigned [0x6101]',
	0x6102 : 'Unassigned [0x6102]',
	0x6103 : 'Unassigned [0x6103]',
	0x6104 : 'Unassigned [0x6104]',
	0x6105 : 'Unassigned [0x6105]',
	0x6106 : 'Unassigned [0x6106]',
	0x6107 : 'Unassigned [0x6107]',
	0x6108 : 'Unassigned [0x6108]',
	0x6109 : 'Unassigned [0x6109]',
	0x610A : 'Unassigned [0x610A]',
	0x610B : 'Unassigned [0x610B]',
	0x610C : 'Unassigned [0x610C]',
	0x610D : 'Unassigned [0x610D]',
	0x610E : 'Unassigned [0x610E]',
	0x610F : 'Unassigned [0x610F]',
	0x6110 : 'Unassigned [0x6110]',
	0x6111 : 'Unassigned [0x6111]',
	0x6112 : 'Unassigned [0x6112]',
	0x6113 : 'Unassigned [0x6113]',
	0x6114 : 'Unassigned [0x6114]',
	0x6115 : 'Unassigned [0x6115]',
	0x6116 : 'Unassigned [0x6116]',
	0x6117 : 'Unassigned [0x6117]',
	0x6118 : 'Unassigned [0x6118]',
	0x6119 : 'Unassigned [0x6119]',
	0x611A : 'Unassigned [0x611A]',
	0x611B : 'Unassigned [0x611B]',
	0x611C : 'Unassigned [0x611C]',
	0x611D : 'Unassigned [0x611D]',
	0x611E : 'Unassigned [0x611E]',
	0x611F : 'Unassigned [0x611F]',
	0x6120 : 'Unassigned [0x6120]',
	0x6121 : 'Unassigned [0x6121]',
	0x6122 : 'Unassigned [0x6122]',
	0x6123 : 'Unassigned [0x6123]',
	0x6124 : 'Unassigned [0x6124]',
	0x6125 : 'Unassigned [0x6125]',
	0x6126 : 'Unassigned [0x6126]',
	0x6127 : 'Unassigned [0x6127]',
	0x6128 : 'Unassigned [0x6128]',
	0x6129 : 'Unassigned [0x6129]',
	0x612A : 'Unassigned [0x612A]',
	0x612B : 'Unassigned [0x612B]',
	0x612C : 'Unassigned [0x612C]',
	0x612D : 'Unassigned [0x612D]',
	0x612E : 'Unassigned [0x612E]',
	0x612F : 'Unassigned [0x612F]',
	0x6130 : 'Unassigned [0x6130]',
	0x6131 : 'Unassigned [0x6131]',
	0x6132 : 'Unassigned [0x6132]',
	0x6133 : 'Unassigned [0x6133]',
	0x6134 : 'Unassigned [0x6134]',
	0x6135 : 'Unassigned [0x6135]',
	0x6136 : 'Unassigned [0x6136]',
	0x6137 : 'Unassigned [0x6137]',
	0x6138 : 'Unassigned [0x6138]',
	0x6139 : 'Unassigned [0x6139]',
	0x613A : 'Unassigned [0x613A]',
	0x613B : 'Unassigned [0x613B]',
	0x613C : 'Unassigned [0x613C]',
	0x613D : 'Unassigned [0x613D]',
	0x613E : 'Unassigned [0x613E]',
	0x613F : 'Unassigned [0x613F]',
	0x6140 : 'Unassigned [0x6140]',
	0x6141 : 'Unassigned [0x6141]',
	0x6142 : 'Unassigned [0x6142]',
	0x6143 : 'Unassigned [0x6143]',
	0x6144 : 'Unassigned [0x6144]',
	0x6145 : 'Unassigned [0x6145]',
	0x6146 : 'Unassigned [0x6146]',
	0x6147 : 'Unassigned [0x6147]',
	0x6148 : 'Unassigned [0x6148]',
	0x6149 : 'Unassigned [0x6149]',
	0x614A : 'Unassigned [0x614A]',
	0x614B : 'Unassigned [0x614B]',
	0x614C : 'Unassigned [0x614C]',
	0x614D : 'Unassigned [0x614D]',
	0x614E : 'Unassigned [0x614E]',
	0x614F : 'Unassigned [0x614F]',
	0x6150 : 'Unassigned [0x6150]',
	0x6151 : 'Unassigned [0x6151]',
	0x6152 : 'Unassigned [0x6152]',
	0x6153 : 'Unassigned [0x6153]',
	0x6154 : 'Unassigned [0x6154]',
	0x6155 : 'Unassigned [0x6155]',
	0x6156 : 'Unassigned [0x6156]',
	0x6157 : 'Unassigned [0x6157]',
	0x6158 : 'Unassigned [0x6158]',
	0x6159 : 'Unassigned [0x6159]',
	0x615A : 'Unassigned [0x615A]',
	0x615B : 'Unassigned [0x615B]',
	0x615C : 'Unassigned [0x615C]',
	0x615D : 'Unassigned [0x615D]',
	0x615E : 'Unassigned [0x615E]',
	0x615F : 'Unassigned [0x615F]',
	0x6160 : 'Unassigned [0x6160]',
	0x6161 : 'Unassigned [0x6161]',
	0x6162 : 'Unassigned [0x6162]',
	0x6163 : 'Unassigned [0x6163]',
	0x6164 : 'Unassigned [0x6164]',
	0x6165 : 'Unassigned [0x6165]',
	0x6166 : 'Unassigned [0x6166]',
	0x6167 : 'Unassigned [0x6167]',
	0x6168 : 'Unassigned [0x6168]',
	0x6169 : 'Unassigned [0x6169]',
	0x616A : 'Unassigned [0x616A]',
	0x616B : 'Unassigned [0x616B]',
	0x616C : 'Unassigned [0x616C]',
	0x616D : 'Unassigned [0x616D]',
	0x616E : 'Unassigned [0x616E]',
	0x616F : 'Unassigned [0x616F]',
	0x6170 : 'Unassigned [0x6170]',
	0x6171 : 'Unassigned [0x6171]',
	0x6172 : 'Unassigned [0x6172]',
	0x6173 : 'Unassigned [0x6173]',
	0x6174 : 'Unassigned [0x6174]',
	0x6175 : 'Unassigned [0x6175]',
	0x6176 : 'Unassigned [0x6176]',
	0x6177 : 'Unassigned [0x6177]',
	0x6178 : 'Unassigned [0x6178]',
	0x6179 : 'Unassigned [0x6179]',
	0x617A : 'Unassigned [0x617A]',
	0x617B : 'Unassigned [0x617B]',
	0x617C : 'Unassigned [0x617C]',
	0x617D : 'Unassigned [0x617D]',
	0x617E : 'Unassigned [0x617E]',
	0x617F : 'Unassigned [0x617F]',
	0x6180 : 'Unassigned [0x6180]',
	0x6181 : 'Unassigned [0x6181]',
	0x6182 : 'Unassigned [0x6182]',
	0x6183 : 'Unassigned [0x6183]',
	0x6184 : 'Unassigned [0x6184]',
	0x6185 : 'Unassigned [0x6185]',
	0x6186 : 'Unassigned [0x6186]',
	0x6187 : 'Unassigned [0x6187]',
	0x6188 : 'Unassigned [0x6188]',
	0x6189 : 'Unassigned [0x6189]',
	0x618A : 'Unassigned [0x618A]',
	0x618B : 'Unassigned [0x618B]',
	0x618C : 'Unassigned [0x618C]',
	0x618D : 'Unassigned [0x618D]',
	0x618E : 'Unassigned [0x618E]',
	0x618F : 'Unassigned [0x618F]',
	0x6190 : 'Unassigned [0x6190]',
	0x6191 : 'Unassigned [0x6191]',
	0x6192 : 'Unassigned [0x6192]',
	0x6193 : 'Unassigned [0x6193]',
	0x6194 : 'Unassigned [0x6194]',
	0x6195 : 'Unassigned [0x6195]',
	0x6196 : 'Unassigned [0x6196]',
	0x6197 : 'Unassigned [0x6197]',
	0x6198 : 'Unassigned [0x6198]',
	0x6199 : 'Unassigned [0x6199]',
	0x619A : 'Unassigned [0x619A]',
	0x619B : 'Unassigned [0x619B]',
	0x619C : 'Unassigned [0x619C]',
	0x619D : 'Unassigned [0x619D]',
	0x619E : 'Unassigned [0x619E]',
	0x619F : 'Unassigned [0x619F]',
	0x61A0 : 'Unassigned [0x61A0]',
	0x61A1 : 'Unassigned [0x61A1]',
	0x61A2 : 'Unassigned [0x61A2]',
	0x61A3 : 'Unassigned [0x61A3]',
	0x61A4 : 'Unassigned [0x61A4]',
	0x61A5 : 'Unassigned [0x61A5]',
	0x61A6 : 'Unassigned [0x61A6]',
	0x61A7 : 'Unassigned [0x61A7]',
	0x61A8 : 'Unassigned [0x61A8]',
	0x61A9 : 'Unassigned [0x61A9]',
	0x61AA : 'Unassigned [0x61AA]',
	0x61AB : 'Unassigned [0x61AB]',
	0x61AC : 'Unassigned [0x61AC]',
	0x61AD : 'Unassigned [0x61AD]',
	0x61AE : 'Unassigned [0x61AE]',
	0x61AF : 'Unassigned [0x61AF]',
	0x61B0 : 'Unassigned [0x61B0]',
	0x61B1 : 'Unassigned [0x61B1]',
	0x61B2 : 'Unassigned [0x61B2]',
	0x61B3 : 'Unassigned [0x61B3]',
	0x61B4 : 'Unassigned [0x61B4]',
	0x61B5 : 'Unassigned [0x61B5]',
	0x61B6 : 'Unassigned [0x61B6]',
	0x61B7 : 'Unassigned [0x61B7]',
	0x61B8 : 'Unassigned [0x61B8]',
	0x61B9 : 'Unassigned [0x61B9]',
	0x61BA : 'Unassigned [0x61BA]',
	0x61BB : 'Unassigned [0x61BB]',
	0x61BC : 'Unassigned [0x61BC]',
	0x61BD : 'Unassigned [0x61BD]',
	0x61BE : 'Unassigned [0x61BE]',
	0x61BF : 'Unassigned [0x61BF]',
	0x61C0 : 'Unassigned [0x61C0]',
	0x61C1 : 'Unassigned [0x61C1]',
	0x61C2 : 'Unassigned [0x61C2]',
	0x61C3 : 'Unassigned [0x61C3]',
	0x61C4 : 'Unassigned [0x61C4]',
	0x61C5 : 'Unassigned [0x61C5]',
	0x61C6 : 'Unassigned [0x61C6]',
	0x61C7 : 'Unassigned [0x61C7]',
	0x61C8 : 'Unassigned [0x61C8]',
	0x61C9 : 'Unassigned [0x61C9]',
	0x61CA : 'Unassigned [0x61CA]',
	0x61CB : 'Unassigned [0x61CB]',
	0x61CC : 'Unassigned [0x61CC]',
	0x61CD : 'Unassigned [0x61CD]',
	0x61CE : 'Unassigned [0x61CE]',
	0x61CF : 'Unassigned [0x61CF]',
	0x61D0 : 'Unassigned [0x61D0]',
	0x61D1 : 'Unassigned [0x61D1]',
	0x61D2 : 'Unassigned [0x61D2]',
	0x61D3 : 'Unassigned [0x61D3]',
	0x61D4 : 'Unassigned [0x61D4]',
	0x61D5 : 'Unassigned [0x61D5]',
	0x61D6 : 'Unassigned [0x61D6]',
	0x61D7 : 'Unassigned [0x61D7]',
	0x61D8 : 'Unassigned [0x61D8]',
	0x61D9 : 'Unassigned [0x61D9]',
	0x61DA : 'Unassigned [0x61DA]',
	0x61DB : 'Unassigned [0x61DB]',
	0x61DC : 'Unassigned [0x61DC]',
	0x61DD : 'Unassigned [0x61DD]',
	0x61DE : 'Unassigned [0x61DE]',
	0x61DF : 'Unassigned [0x61DF]',
	0x61E0 : 'Unassigned [0x61E0]',
	0x61E1 : 'Unassigned [0x61E1]',
	0x61E2 : 'Unassigned [0x61E2]',
	0x61E3 : 'Unassigned [0x61E3]',
	0x61E4 : 'Unassigned [0x61E4]',
	0x61E5 : 'Unassigned [0x61E5]',
	0x61E6 : 'Unassigned [0x61E6]',
	0x61E7 : 'Unassigned [0x61E7]',
	0x61E8 : 'Unassigned [0x61E8]',
	0x61E9 : 'Unassigned [0x61E9]',
	0x61EA : 'Unassigned [0x61EA]',
	0x61EB : 'Unassigned [0x61EB]',
	0x61EC : 'Unassigned [0x61EC]',
	0x61ED : 'Unassigned [0x61ED]',
	0x61EE : 'Unassigned [0x61EE]',
	0x61EF : 'Unassigned [0x61EF]',
	0x61F0 : 'Unassigned [0x61F0]',
	0x61F1 : 'Unassigned [0x61F1]',
	0x61F2 : 'Unassigned [0x61F2]',
	0x61F3 : 'Unassigned [0x61F3]',
	0x61F4 : 'Unassigned [0x61F4]',
	0x61F5 : 'Unassigned [0x61F5]',
	0x61F6 : 'Unassigned [0x61F6]',
	0x61F7 : 'Unassigned [0x61F7]',
	0x61F8 : 'Unassigned [0x61F8]',
	0x61F9 : 'Unassigned [0x61F9]',
	0x61FA : 'Unassigned [0x61FA]',
	0x61FB : 'Unassigned [0x61FB]',
	0x61FC : 'Unassigned [0x61FC]',
	0x61FD : 'Unassigned [0x61FD]',
	0x61FE : 'Unassigned [0x61FE]',
	0x61FF : 'Unassigned [0x61FF]',
	0x6200 : 'Unassigned [0x6200]',
	0x6201 : 'Unassigned [0x6201]',
	0x6202 : 'Unassigned [0x6202]',
	0x6203 : 'Unassigned [0x6203]',
	0x6204 : 'Unassigned [0x6204]',
	0x6205 : 'Unassigned [0x6205]',
	0x6206 : 'Unassigned [0x6206]',
	0x6207 : 'Unassigned [0x6207]',
	0x6208 : 'Unassigned [0x6208]',
	0x6209 : 'Unassigned [0x6209]',
	0x620A : 'Unassigned [0x620A]',
	0x620B : 'Unassigned [0x620B]',
	0x620C : 'Unassigned [0x620C]',
	0x620D : 'Unassigned [0x620D]',
	0x620E : 'Unassigned [0x620E]',
	0x620F : 'Unassigned [0x620F]',
	0x6210 : 'Unassigned [0x6210]',
	0x6211 : 'Unassigned [0x6211]',
	0x6212 : 'Unassigned [0x6212]',
	0x6213 : 'Unassigned [0x6213]',
	0x6214 : 'Unassigned [0x6214]',
	0x6215 : 'Unassigned [0x6215]',
	0x6216 : 'Unassigned [0x6216]',
	0x6217 : 'Unassigned [0x6217]',
	0x6218 : 'Unassigned [0x6218]',
	0x6219 : 'Unassigned [0x6219]',
	0x621A : 'Unassigned [0x621A]',
	0x621B : 'Unassigned [0x621B]',
	0x621C : 'Unassigned [0x621C]',
	0x621D : 'Unassigned [0x621D]',
	0x621E : 'Unassigned [0x621E]',
	0x621F : 'Unassigned [0x621F]',
	0x6220 : 'Unassigned [0x6220]',
	0x6221 : 'Unassigned [0x6221]',
	0x6222 : 'Unassigned [0x6222]',
	0x6223 : 'Unassigned [0x6223]',
	0x6224 : 'Unassigned [0x6224]',
	0x6225 : 'Unassigned [0x6225]',
	0x6226 : 'Unassigned [0x6226]',
	0x6227 : 'Unassigned [0x6227]',
	0x6228 : 'Unassigned [0x6228]',
	0x6229 : 'Unassigned [0x6229]',
	0x622A : 'Unassigned [0x622A]',
	0x622B : 'Unassigned [0x622B]',
	0x622C : 'Unassigned [0x622C]',
	0x622D : 'Unassigned [0x622D]',
	0x622E : 'Unassigned [0x622E]',
	0x622F : 'Unassigned [0x622F]',
	0x6230 : 'Unassigned [0x6230]',
	0x6231 : 'Unassigned [0x6231]',
	0x6232 : 'Unassigned [0x6232]',
	0x6233 : 'Unassigned [0x6233]',
	0x6234 : 'Unassigned [0x6234]',
	0x6235 : 'Unassigned [0x6235]',
	0x6236 : 'Unassigned [0x6236]',
	0x6237 : 'Unassigned [0x6237]',
	0x6238 : 'Unassigned [0x6238]',
	0x6239 : 'Unassigned [0x6239]',
	0x623A : 'Unassigned [0x623A]',
	0x623B : 'Unassigned [0x623B]',
	0x623C : 'Unassigned [0x623C]',
	0x623D : 'Unassigned [0x623D]',
	0x623E : 'Unassigned [0x623E]',
	0x623F : 'Unassigned [0x623F]',
	0x6240 : 'Unassigned [0x6240]',
	0x6241 : 'Unassigned [0x6241]',
	0x6242 : 'Unassigned [0x6242]',
	0x6243 : 'Unassigned [0x6243]',
	0x6244 : 'Unassigned [0x6244]',
	0x6245 : 'Unassigned [0x6245]',
	0x6246 : 'Unassigned [0x6246]',
	0x6247 : 'Unassigned [0x6247]',
	0x6248 : 'Unassigned [0x6248]',
	0x6249 : 'Unassigned [0x6249]',
	0x624A : 'Unassigned [0x624A]',
	0x624B : 'Unassigned [0x624B]',
	0x624C : 'Unassigned [0x624C]',
	0x624D : 'Unassigned [0x624D]',
	0x624E : 'Unassigned [0x624E]',
	0x624F : 'Unassigned [0x624F]',
	0x6250 : 'Unassigned [0x6250]',
	0x6251 : 'Unassigned [0x6251]',
	0x6252 : 'Unassigned [0x6252]',
	0x6253 : 'Unassigned [0x6253]',
	0x6254 : 'Unassigned [0x6254]',
	0x6255 : 'Unassigned [0x6255]',
	0x6256 : 'Unassigned [0x6256]',
	0x6257 : 'Unassigned [0x6257]',
	0x6258 : 'Unassigned [0x6258]',
	0x6259 : 'Unassigned [0x6259]',
	0x625A : 'Unassigned [0x625A]',
	0x625B : 'Unassigned [0x625B]',
	0x625C : 'Unassigned [0x625C]',
	0x625D : 'Unassigned [0x625D]',
	0x625E : 'Unassigned [0x625E]',
	0x625F : 'Unassigned [0x625F]',
	0x6260 : 'Unassigned [0x6260]',
	0x6261 : 'Unassigned [0x6261]',
	0x6262 : 'Unassigned [0x6262]',
	0x6263 : 'Unassigned [0x6263]',
	0x6264 : 'Unassigned [0x6264]',
	0x6265 : 'Unassigned [0x6265]',
	0x6266 : 'Unassigned [0x6266]',
	0x6267 : 'Unassigned [0x6267]',
	0x6268 : 'Unassigned [0x6268]',
	0x6269 : 'Unassigned [0x6269]',
	0x626A : 'Unassigned [0x626A]',
	0x626B : 'Unassigned [0x626B]',
	0x626C : 'Unassigned [0x626C]',
	0x626D : 'Unassigned [0x626D]',
	0x626E : 'Unassigned [0x626E]',
	0x626F : 'Unassigned [0x626F]',
	0x6270 : 'Unassigned [0x6270]',
	0x6271 : 'Unassigned [0x6271]',
	0x6272 : 'Unassigned [0x6272]',
	0x6273 : 'Unassigned [0x6273]',
	0x6274 : 'Unassigned [0x6274]',
	0x6275 : 'Unassigned [0x6275]',
	0x6276 : 'Unassigned [0x6276]',
	0x6277 : 'Unassigned [0x6277]',
	0x6278 : 'Unassigned [0x6278]',
	0x6279 : 'Unassigned [0x6279]',
	0x627A : 'Unassigned [0x627A]',
	0x627B : 'Unassigned [0x627B]',
	0x627C : 'Unassigned [0x627C]',
	0x627D : 'Unassigned [0x627D]',
	0x627E : 'Unassigned [0x627E]',
	0x627F : 'Unassigned [0x627F]',
	0x6280 : 'Unassigned [0x6280]',
	0x6281 : 'Unassigned [0x6281]',
	0x6282 : 'Unassigned [0x6282]',
	0x6283 : 'Unassigned [0x6283]',
	0x6284 : 'Unassigned [0x6284]',
	0x6285 : 'Unassigned [0x6285]',
	0x6286 : 'Unassigned [0x6286]',
	0x6287 : 'Unassigned [0x6287]',
	0x6288 : 'Unassigned [0x6288]',
	0x6289 : 'Unassigned [0x6289]',
	0x628A : 'Unassigned [0x628A]',
	0x628B : 'Unassigned [0x628B]',
	0x628C : 'Unassigned [0x628C]',
	0x628D : 'Unassigned [0x628D]',
	0x628E : 'Unassigned [0x628E]',
	0x628F : 'Unassigned [0x628F]',
	0x6290 : 'Unassigned [0x6290]',
	0x6291 : 'Unassigned [0x6291]',
	0x6292 : 'Unassigned [0x6292]',
	0x6293 : 'Unassigned [0x6293]',
	0x6294 : 'Unassigned [0x6294]',
	0x6295 : 'Unassigned [0x6295]',
	0x6296 : 'Unassigned [0x6296]',
	0x6297 : 'Unassigned [0x6297]',
	0x6298 : 'Unassigned [0x6298]',
	0x6299 : 'Unassigned [0x6299]',
	0x629A : 'Unassigned [0x629A]',
	0x629B : 'Unassigned [0x629B]',
	0x629C : 'Unassigned [0x629C]',
	0x629D : 'Unassigned [0x629D]',
	0x629E : 'Unassigned [0x629E]',
	0x629F : 'Unassigned [0x629F]',
	0x62A0 : 'Unassigned [0x62A0]',
	0x62A1 : 'Unassigned [0x62A1]',
	0x62A2 : 'Unassigned [0x62A2]',
	0x62A3 : 'Unassigned [0x62A3]',
	0x62A4 : 'Unassigned [0x62A4]',
	0x62A5 : 'Unassigned [0x62A5]',
	0x62A6 : 'Unassigned [0x62A6]',
	0x62A7 : 'Unassigned [0x62A7]',
	0x62A8 : 'Unassigned [0x62A8]',
	0x62A9 : 'Unassigned [0x62A9]',
	0x62AA : 'Unassigned [0x62AA]',
	0x62AB : 'Unassigned [0x62AB]',
	0x62AC : 'Unassigned [0x62AC]',
	0x62AD : 'Unassigned [0x62AD]',
	0x62AE : 'Unassigned [0x62AE]',
	0x62AF : 'Unassigned [0x62AF]',
	0x62B0 : 'Unassigned [0x62B0]',
	0x62B1 : 'Unassigned [0x62B1]',
	0x62B2 : 'Unassigned [0x62B2]',
	0x62B3 : 'Unassigned [0x62B3]',
	0x62B4 : 'Unassigned [0x62B4]',
	0x62B5 : 'Unassigned [0x62B5]',
	0x62B6 : 'Unassigned [0x62B6]',
	0x62B7 : 'Unassigned [0x62B7]',
	0x62B8 : 'Unassigned [0x62B8]',
	0x62B9 : 'Unassigned [0x62B9]',
	0x62BA : 'Unassigned [0x62BA]',
	0x62BB : 'Unassigned [0x62BB]',
	0x62BC : 'Unassigned [0x62BC]',
	0x62BD : 'Unassigned [0x62BD]',
	0x62BE : 'Unassigned [0x62BE]',
	0x62BF : 'Unassigned [0x62BF]',
	0x62C0 : 'Unassigned [0x62C0]',
	0x62C1 : 'Unassigned [0x62C1]',
	0x62C2 : 'Unassigned [0x62C2]',
	0x62C3 : 'Unassigned [0x62C3]',
	0x62C4 : 'Unassigned [0x62C4]',
	0x62C5 : 'Unassigned [0x62C5]',
	0x62C6 : 'Unassigned [0x62C6]',
	0x62C7 : 'Unassigned [0x62C7]',
	0x62C8 : 'Unassigned [0x62C8]',
	0x62C9 : 'Unassigned [0x62C9]',
	0x62CA : 'Unassigned [0x62CA]',
	0x62CB : 'Unassigned [0x62CB]',
	0x62CC : 'Unassigned [0x62CC]',
	0x62CD : 'Unassigned [0x62CD]',
	0x62CE : 'Unassigned [0x62CE]',
	0x62CF : 'Unassigned [0x62CF]',
	0x62D0 : 'Unassigned [0x62D0]',
	0x62D1 : 'Unassigned [0x62D1]',
	0x62D2 : 'Unassigned [0x62D2]',
	0x62D3 : 'Unassigned [0x62D3]',
	0x62D4 : 'Unassigned [0x62D4]',
	0x62D5 : 'Unassigned [0x62D5]',
	0x62D6 : 'Unassigned [0x62D6]',
	0x62D7 : 'Unassigned [0x62D7]',
	0x62D8 : 'Unassigned [0x62D8]',
	0x62D9 : 'Unassigned [0x62D9]',
	0x62DA : 'Unassigned [0x62DA]',
	0x62DB : 'Unassigned [0x62DB]',
	0x62DC : 'Unassigned [0x62DC]',
	0x62DD : 'Unassigned [0x62DD]',
	0x62DE : 'Unassigned [0x62DE]',
	0x62DF : 'Unassigned [0x62DF]',
	0x62E0 : 'Unassigned [0x62E0]',
	0x62E1 : 'Unassigned [0x62E1]',
	0x62E2 : 'Unassigned [0x62E2]',
	0x62E3 : 'Unassigned [0x62E3]',
	0x62E4 : 'Unassigned [0x62E4]',
	0x62E5 : 'Unassigned [0x62E5]',
	0x62E6 : 'Unassigned [0x62E6]',
	0x62E7 : 'Unassigned [0x62E7]',
	0x62E8 : 'Unassigned [0x62E8]',
	0x62E9 : 'Unassigned [0x62E9]',
	0x62EA : 'Unassigned [0x62EA]',
	0x62EB : 'Unassigned [0x62EB]',
	0x62EC : 'Unassigned [0x62EC]',
	0x62ED : 'Unassigned [0x62ED]',
	0x62EE : 'Unassigned [0x62EE]',
	0x62EF : 'Unassigned [0x62EF]',
	0x62F0 : 'Unassigned [0x62F0]',
	0x62F1 : 'Unassigned [0x62F1]',
	0x62F2 : 'Unassigned [0x62F2]',
	0x62F3 : 'Unassigned [0x62F3]',
	0x62F4 : 'Unassigned [0x62F4]',
	0x62F5 : 'Unassigned [0x62F5]',
	0x62F6 : 'Unassigned [0x62F6]',
	0x62F7 : 'Unassigned [0x62F7]',
	0x62F8 : 'Unassigned [0x62F8]',
	0x62F9 : 'Unassigned [0x62F9]',
	0x62FA : 'Unassigned [0x62FA]',
	0x62FB : 'Unassigned [0x62FB]',
	0x62FC : 'Unassigned [0x62FC]',
	0x62FD : 'Unassigned [0x62FD]',
	0x62FE : 'Unassigned [0x62FE]',
	0x62FF : 'Unassigned [0x62FF]',
	0x6300 : 'Unassigned [0x6300]',
	0x6301 : 'Unassigned [0x6301]',
	0x6302 : 'Unassigned [0x6302]',
	0x6303 : 'Unassigned [0x6303]',
	0x6304 : 'Unassigned [0x6304]',
	0x6305 : 'Unassigned [0x6305]',
	0x6306 : 'Unassigned [0x6306]',
	0x6307 : 'Unassigned [0x6307]',
	0x6308 : 'Unassigned [0x6308]',
	0x6309 : 'Unassigned [0x6309]',
	0x630A : 'Unassigned [0x630A]',
	0x630B : 'Unassigned [0x630B]',
	0x630C : 'Unassigned [0x630C]',
	0x630D : 'Unassigned [0x630D]',
	0x630E : 'Unassigned [0x630E]',
	0x630F : 'Unassigned [0x630F]',
	0x6310 : 'Unassigned [0x6310]',
	0x6311 : 'Unassigned [0x6311]',
	0x6312 : 'Unassigned [0x6312]',
	0x6313 : 'Unassigned [0x6313]',
	0x6314 : 'Unassigned [0x6314]',
	0x6315 : 'Unassigned [0x6315]',
	0x6316 : 'Unassigned [0x6316]',
	0x6317 : 'Unassigned [0x6317]',
	0x6318 : 'Unassigned [0x6318]',
	0x6319 : 'Unassigned [0x6319]',
	0x631A : 'Unassigned [0x631A]',
	0x631B : 'Unassigned [0x631B]',
	0x631C : 'Unassigned [0x631C]',
	0x631D : 'Unassigned [0x631D]',
	0x631E : 'Unassigned [0x631E]',
	0x631F : 'Unassigned [0x631F]',
	0x6320 : 'Unassigned [0x6320]',
	0x6321 : 'Unassigned [0x6321]',
	0x6322 : 'Unassigned [0x6322]',
	0x6323 : 'Unassigned [0x6323]',
	0x6324 : 'Unassigned [0x6324]',
	0x6325 : 'Unassigned [0x6325]',
	0x6326 : 'Unassigned [0x6326]',
	0x6327 : 'Unassigned [0x6327]',
	0x6328 : 'Unassigned [0x6328]',
	0x6329 : 'Unassigned [0x6329]',
	0x632A : 'Unassigned [0x632A]',
	0x632B : 'Unassigned [0x632B]',
	0x632C : 'Unassigned [0x632C]',
	0x632D : 'Unassigned [0x632D]',
	0x632E : 'Unassigned [0x632E]',
	0x632F : 'Unassigned [0x632F]',
	0x6330 : 'Unassigned [0x6330]',
	0x6331 : 'Unassigned [0x6331]',
	0x6332 : 'Unassigned [0x6332]',
	0x6333 : 'Unassigned [0x6333]',
	0x6334 : 'Unassigned [0x6334]',
	0x6335 : 'Unassigned [0x6335]',
	0x6336 : 'Unassigned [0x6336]',
	0x6337 : 'Unassigned [0x6337]',
	0x6338 : 'Unassigned [0x6338]',
	0x6339 : 'Unassigned [0x6339]',
	0x633A : 'Unassigned [0x633A]',
	0x633B : 'Unassigned [0x633B]',
	0x633C : 'Unassigned [0x633C]',
	0x633D : 'Unassigned [0x633D]',
	0x633E : 'Unassigned [0x633E]',
	0x633F : 'Unassigned [0x633F]',
	0x6340 : 'Unassigned [0x6340]',
	0x6341 : 'Unassigned [0x6341]',
	0x6342 : 'Unassigned [0x6342]',
	0x6343 : 'Unassigned [0x6343]',
	0x6344 : 'Unassigned [0x6344]',
	0x6345 : 'Unassigned [0x6345]',
	0x6346 : 'Unassigned [0x6346]',
	0x6347 : 'Unassigned [0x6347]',
	0x6348 : 'Unassigned [0x6348]',
	0x6349 : 'Unassigned [0x6349]',
	0x634A : 'Unassigned [0x634A]',
	0x634B : 'Unassigned [0x634B]',
	0x634C : 'Unassigned [0x634C]',
	0x634D : 'Unassigned [0x634D]',
	0x634E : 'Unassigned [0x634E]',
	0x634F : 'Unassigned [0x634F]',
	0x6350 : 'Unassigned [0x6350]',
	0x6351 : 'Unassigned [0x6351]',
	0x6352 : 'Unassigned [0x6352]',
	0x6353 : 'Unassigned [0x6353]',
	0x6354 : 'Unassigned [0x6354]',
	0x6355 : 'Unassigned [0x6355]',
	0x6356 : 'Unassigned [0x6356]',
	0x6357 : 'Unassigned [0x6357]',
	0x6358 : 'Unassigned [0x6358]',
	0x6359 : 'Unassigned [0x6359]',
	0x635A : 'Unassigned [0x635A]',
	0x635B : 'Unassigned [0x635B]',
	0x635C : 'Unassigned [0x635C]',
	0x635D : 'Unassigned [0x635D]',
	0x635E : 'Unassigned [0x635E]',
	0x635F : 'Unassigned [0x635F]',
	0x6360 : 'Unassigned [0x6360]',
	0x6361 : 'Unassigned [0x6361]',
	0x6362 : 'Unassigned [0x6362]',
	0x6363 : 'Unassigned [0x6363]',
	0x6364 : 'Unassigned [0x6364]',
	0x6365 : 'Unassigned [0x6365]',
	0x6366 : 'Unassigned [0x6366]',
	0x6367 : 'Unassigned [0x6367]',
	0x6368 : 'Unassigned [0x6368]',
	0x6369 : 'Unassigned [0x6369]',
	0x636A : 'Unassigned [0x636A]',
	0x636B : 'Unassigned [0x636B]',
	0x636C : 'Unassigned [0x636C]',
	0x636D : 'Unassigned [0x636D]',
	0x636E : 'Unassigned [0x636E]',
	0x636F : 'Unassigned [0x636F]',
	0x6370 : 'Unassigned [0x6370]',
	0x6371 : 'Unassigned [0x6371]',
	0x6372 : 'Unassigned [0x6372]',
	0x6373 : 'Unassigned [0x6373]',
	0x6374 : 'Unassigned [0x6374]',
	0x6375 : 'Unassigned [0x6375]',
	0x6376 : 'Unassigned [0x6376]',
	0x6377 : 'Unassigned [0x6377]',
	0x6378 : 'Unassigned [0x6378]',
	0x6379 : 'Unassigned [0x6379]',
	0x637A : 'Unassigned [0x637A]',
	0x637B : 'Unassigned [0x637B]',
	0x637C : 'Unassigned [0x637C]',
	0x637D : 'Unassigned [0x637D]',
	0x637E : 'Unassigned [0x637E]',
	0x637F : 'Unassigned [0x637F]',
	0x6380 : 'Unassigned [0x6380]',
	0x6381 : 'Unassigned [0x6381]',
	0x6382 : 'Unassigned [0x6382]',
	0x6383 : 'Unassigned [0x6383]',
	0x6384 : 'Unassigned [0x6384]',
	0x6385 : 'Unassigned [0x6385]',
	0x6386 : 'Unassigned [0x6386]',
	0x6387 : 'Unassigned [0x6387]',
	0x6388 : 'Unassigned [0x6388]',
	0x6389 : 'Unassigned [0x6389]',
	0x638A : 'Unassigned [0x638A]',
	0x638B : 'Unassigned [0x638B]',
	0x638C : 'Unassigned [0x638C]',
	0x638D : 'Unassigned [0x638D]',
	0x638E : 'Unassigned [0x638E]',
	0x638F : 'Unassigned [0x638F]',
	0x6390 : 'Unassigned [0x6390]',
	0x6391 : 'Unassigned [0x6391]',
	0x6392 : 'Unassigned [0x6392]',
	0x6393 : 'Unassigned [0x6393]',
	0x6394 : 'Unassigned [0x6394]',
	0x6395 : 'Unassigned [0x6395]',
	0x6396 : 'Unassigned [0x6396]',
	0x6397 : 'Unassigned [0x6397]',
	0x6398 : 'Unassigned [0x6398]',
	0x6399 : 'Unassigned [0x6399]',
	0x639A : 'Unassigned [0x639A]',
	0x639B : 'Unassigned [0x639B]',
	0x639C : 'Unassigned [0x639C]',
	0x639D : 'Unassigned [0x639D]',
	0x639E : 'Unassigned [0x639E]',
	0x639F : 'Unassigned [0x639F]',
	0x63A0 : 'Unassigned [0x63A0]',
	0x63A1 : 'Unassigned [0x63A1]',
	0x63A2 : 'Unassigned [0x63A2]',
	0x63A3 : 'Unassigned [0x63A3]',
	0x63A4 : 'Unassigned [0x63A4]',
	0x63A5 : 'Unassigned [0x63A5]',
	0x63A6 : 'Unassigned [0x63A6]',
	0x63A7 : 'Unassigned [0x63A7]',
	0x63A8 : 'Unassigned [0x63A8]',
	0x63A9 : 'Unassigned [0x63A9]',
	0x63AA : 'Unassigned [0x63AA]',
	0x63AB : 'Unassigned [0x63AB]',
	0x63AC : 'Unassigned [0x63AC]',
	0x63AD : 'Unassigned [0x63AD]',
	0x63AE : 'Unassigned [0x63AE]',
	0x63AF : 'Unassigned [0x63AF]',
	0x63B0 : 'Unassigned [0x63B0]',
	0x63B1 : 'Unassigned [0x63B1]',
	0x63B2 : 'Unassigned [0x63B2]',
	0x63B3 : 'Unassigned [0x63B3]',
	0x63B4 : 'Unassigned [0x63B4]',
	0x63B5 : 'Unassigned [0x63B5]',
	0x63B6 : 'Unassigned [0x63B6]',
	0x63B7 : 'Unassigned [0x63B7]',
	0x63B8 : 'Unassigned [0x63B8]',
	0x63B9 : 'Unassigned [0x63B9]',
	0x63BA : 'Unassigned [0x63BA]',
	0x63BB : 'Unassigned [0x63BB]',
	0x63BC : 'Unassigned [0x63BC]',
	0x63BD : 'Unassigned [0x63BD]',
	0x63BE : 'Unassigned [0x63BE]',
	0x63BF : 'Unassigned [0x63BF]',
	0x63C0 : 'Unassigned [0x63C0]',
	0x63C1 : 'Unassigned [0x63C1]',
	0x63C2 : 'Unassigned [0x63C2]',
	0x63C3 : 'Unassigned [0x63C3]',
	0x63C4 : 'Unassigned [0x63C4]',
	0x63C5 : 'Unassigned [0x63C5]',
	0x63C6 : 'Unassigned [0x63C6]',
	0x63C7 : 'Unassigned [0x63C7]',
	0x63C8 : 'Unassigned [0x63C8]',
	0x63C9 : 'Unassigned [0x63C9]',
	0x63CA : 'Unassigned [0x63CA]',
	0x63CB : 'Unassigned [0x63CB]',
	0x63CC : 'Unassigned [0x63CC]',
	0x63CD : 'Unassigned [0x63CD]',
	0x63CE : 'Unassigned [0x63CE]',
	0x63CF : 'Unassigned [0x63CF]',
	0x63D0 : 'Unassigned [0x63D0]',
	0x63D1 : 'Unassigned [0x63D1]',
	0x63D2 : 'Unassigned [0x63D2]',
	0x63D3 : 'Unassigned [0x63D3]',
	0x63D4 : 'Unassigned [0x63D4]',
	0x63D5 : 'Unassigned [0x63D5]',
	0x63D6 : 'Unassigned [0x63D6]',
	0x63D7 : 'Unassigned [0x63D7]',
	0x63D8 : 'Unassigned [0x63D8]',
	0x63D9 : 'Unassigned [0x63D9]',
	0x63DA : 'Unassigned [0x63DA]',
	0x63DB : 'Unassigned [0x63DB]',
	0x63DC : 'Unassigned [0x63DC]',
	0x63DD : 'Unassigned [0x63DD]',
	0x63DE : 'Unassigned [0x63DE]',
	0x63DF : 'Unassigned [0x63DF]',
	0x63E0 : 'Unassigned [0x63E0]',
	0x63E1 : 'Unassigned [0x63E1]',
	0x63E2 : 'Unassigned [0x63E2]',
	0x63E3 : 'Unassigned [0x63E3]',
	0x63E4 : 'Unassigned [0x63E4]',
	0x63E5 : 'Unassigned [0x63E5]',
	0x63E6 : 'Unassigned [0x63E6]',
	0x63E7 : 'Unassigned [0x63E7]',
	0x63E8 : 'Unassigned [0x63E8]',
	0x63E9 : 'Unassigned [0x63E9]',
	0x63EA : 'Unassigned [0x63EA]',
	0x63EB : 'Unassigned [0x63EB]',
	0x63EC : 'Unassigned [0x63EC]',
	0x63ED : 'Unassigned [0x63ED]',
	0x63EE : 'Unassigned [0x63EE]',
	0x63EF : 'Unassigned [0x63EF]',
	0x63F0 : 'Unassigned [0x63F0]',
	0x63F1 : 'Unassigned [0x63F1]',
	0x63F2 : 'Unassigned [0x63F2]',
	0x63F3 : 'Unassigned [0x63F3]',
	0x63F4 : 'Unassigned [0x63F4]',
	0x63F5 : 'Unassigned [0x63F5]',
	0x63F6 : 'Unassigned [0x63F6]',
	0x63F7 : 'Unassigned [0x63F7]',
	0x63F8 : 'Unassigned [0x63F8]',
	0x63F9 : 'Unassigned [0x63F9]',
	0x63FA : 'Unassigned [0x63FA]',
	0x63FB : 'Unassigned [0x63FB]',
	0x63FC : 'Unassigned [0x63FC]',
	0x63FD : 'Unassigned [0x63FD]',
	0x63FE : 'Unassigned [0x63FE]',
	0x63FF : 'Unassigned [0x63FF]',
	0x6400 : 'Unassigned [0x6400]',
	0x6401 : 'Unassigned [0x6401]',
	0x6402 : 'Unassigned [0x6402]',
	0x6403 : 'Unassigned [0x6403]',
	0x6404 : 'Unassigned [0x6404]',
	0x6405 : 'Unassigned [0x6405]',
	0x6406 : 'Unassigned [0x6406]',
	0x6407 : 'Unassigned [0x6407]',
	0x6408 : 'Unassigned [0x6408]',
	0x6409 : 'Unassigned [0x6409]',
	0x640A : 'Unassigned [0x640A]',
	0x640B : 'Unassigned [0x640B]',
	0x640C : 'Unassigned [0x640C]',
	0x640D : 'Unassigned [0x640D]',
	0x640E : 'Unassigned [0x640E]',
	0x640F : 'Unassigned [0x640F]',
	0x6410 : 'Unassigned [0x6410]',
	0x6411 : 'Unassigned [0x6411]',
	0x6412 : 'Unassigned [0x6412]',
	0x6413 : 'Unassigned [0x6413]',
	0x6414 : 'Unassigned [0x6414]',
	0x6415 : 'Unassigned [0x6415]',
	0x6416 : 'Unassigned [0x6416]',
	0x6417 : 'Unassigned [0x6417]',
	0x6418 : 'Unassigned [0x6418]',
	0x6419 : 'Unassigned [0x6419]',
	0x641A : 'Unassigned [0x641A]',
	0x641B : 'Unassigned [0x641B]',
	0x641C : 'Unassigned [0x641C]',
	0x641D : 'Unassigned [0x641D]',
	0x641E : 'Unassigned [0x641E]',
	0x641F : 'Unassigned [0x641F]',
	0x6420 : 'Unassigned [0x6420]',
	0x6421 : 'Unassigned [0x6421]',
	0x6422 : 'Unassigned [0x6422]',
	0x6423 : 'Unassigned [0x6423]',
	0x6424 : 'Unassigned [0x6424]',
	0x6425 : 'Unassigned [0x6425]',
	0x6426 : 'Unassigned [0x6426]',
	0x6427 : 'Unassigned [0x6427]',
	0x6428 : 'Unassigned [0x6428]',
	0x6429 : 'Unassigned [0x6429]',
	0x642A : 'Unassigned [0x642A]',
	0x642B : 'Unassigned [0x642B]',
	0x642C : 'Unassigned [0x642C]',
	0x642D : 'Unassigned [0x642D]',
	0x642E : 'Unassigned [0x642E]',
	0x642F : 'Unassigned [0x642F]',
	0x6430 : 'Unassigned [0x6430]',
	0x6431 : 'Unassigned [0x6431]',
	0x6432 : 'Unassigned [0x6432]',
	0x6433 : 'Unassigned [0x6433]',
	0x6434 : 'Unassigned [0x6434]',
	0x6435 : 'Unassigned [0x6435]',
	0x6436 : 'Unassigned [0x6436]',
	0x6437 : 'Unassigned [0x6437]',
	0x6438 : 'Unassigned [0x6438]',
	0x6439 : 'Unassigned [0x6439]',
	0x643A : 'Unassigned [0x643A]',
	0x643B : 'Unassigned [0x643B]',
	0x643C : 'Unassigned [0x643C]',
	0x643D : 'Unassigned [0x643D]',
	0x643E : 'Unassigned [0x643E]',
	0x643F : 'Unassigned [0x643F]',
	0x6440 : 'Unassigned [0x6440]',
	0x6441 : 'Unassigned [0x6441]',
	0x6442 : 'Unassigned [0x6442]',
	0x6443 : 'Unassigned [0x6443]',
	0x6444 : 'Unassigned [0x6444]',
	0x6445 : 'Unassigned [0x6445]',
	0x6446 : 'Unassigned [0x6446]',
	0x6447 : 'Unassigned [0x6447]',
	0x6448 : 'Unassigned [0x6448]',
	0x6449 : 'Unassigned [0x6449]',
	0x644A : 'Unassigned [0x644A]',
	0x644B : 'Unassigned [0x644B]',
	0x644C : 'Unassigned [0x644C]',
	0x644D : 'Unassigned [0x644D]',
	0x644E : 'Unassigned [0x644E]',
	0x644F : 'Unassigned [0x644F]',
	0x6450 : 'Unassigned [0x6450]',
	0x6451 : 'Unassigned [0x6451]',
	0x6452 : 'Unassigned [0x6452]',
	0x6453 : 'Unassigned [0x6453]',
	0x6454 : 'Unassigned [0x6454]',
	0x6455 : 'Unassigned [0x6455]',
	0x6456 : 'Unassigned [0x6456]',
	0x6457 : 'Unassigned [0x6457]',
	0x6458 : 'Unassigned [0x6458]',
	0x6459 : 'Unassigned [0x6459]',
	0x645A : 'Unassigned [0x645A]',
	0x645B : 'Unassigned [0x645B]',
	0x645C : 'Unassigned [0x645C]',
	0x645D : 'Unassigned [0x645D]',
	0x645E : 'Unassigned [0x645E]',
	0x645F : 'Unassigned [0x645F]',
	0x6460 : 'Unassigned [0x6460]',
	0x6461 : 'Unassigned [0x6461]',
	0x6462 : 'Unassigned [0x6462]',
	0x6463 : 'Unassigned [0x6463]',
	0x6464 : 'Unassigned [0x6464]',
	0x6465 : 'Unassigned [0x6465]',
	0x6466 : 'Unassigned [0x6466]',
	0x6467 : 'Unassigned [0x6467]',
	0x6468 : 'Unassigned [0x6468]',
	0x6469 : 'Unassigned [0x6469]',
	0x646A : 'Unassigned [0x646A]',
	0x646B : 'Unassigned [0x646B]',
	0x646C : 'Unassigned [0x646C]',
	0x646D : 'Unassigned [0x646D]',
	0x646E : 'Unassigned [0x646E]',
	0x646F : 'Unassigned [0x646F]',
	0x6470 : 'Unassigned [0x6470]',
	0x6471 : 'Unassigned [0x6471]',
	0x6472 : 'Unassigned [0x6472]',
	0x6473 : 'Unassigned [0x6473]',
	0x6474 : 'Unassigned [0x6474]',
	0x6475 : 'Unassigned [0x6475]',
	0x6476 : 'Unassigned [0x6476]',
	0x6477 : 'Unassigned [0x6477]',
	0x6478 : 'Unassigned [0x6478]',
	0x6479 : 'Unassigned [0x6479]',
	0x647A : 'Unassigned [0x647A]',
	0x647B : 'Unassigned [0x647B]',
	0x647C : 'Unassigned [0x647C]',
	0x647D : 'Unassigned [0x647D]',
	0x647E : 'Unassigned [0x647E]',
	0x647F : 'Unassigned [0x647F]',
	0x6480 : 'Unassigned [0x6480]',
	0x6481 : 'Unassigned [0x6481]',
	0x6482 : 'Unassigned [0x6482]',
	0x6483 : 'Unassigned [0x6483]',
	0x6484 : 'Unassigned [0x6484]',
	0x6485 : 'Unassigned [0x6485]',
	0x6486 : 'Unassigned [0x6486]',
	0x6487 : 'Unassigned [0x6487]',
	0x6488 : 'Unassigned [0x6488]',
	0x6489 : 'Unassigned [0x6489]',
	0x648A : 'Unassigned [0x648A]',
	0x648B : 'Unassigned [0x648B]',
	0x648C : 'Unassigned [0x648C]',
	0x648D : 'Unassigned [0x648D]',
	0x648E : 'Unassigned [0x648E]',
	0x648F : 'Unassigned [0x648F]',
	0x6490 : 'Unassigned [0x6490]',
	0x6491 : 'Unassigned [0x6491]',
	0x6492 : 'Unassigned [0x6492]',
	0x6493 : 'Unassigned [0x6493]',
	0x6494 : 'Unassigned [0x6494]',
	0x6495 : 'Unassigned [0x6495]',
	0x6496 : 'Unassigned [0x6496]',
	0x6497 : 'Unassigned [0x6497]',
	0x6498 : 'Unassigned [0x6498]',
	0x6499 : 'Unassigned [0x6499]',
	0x649A : 'Unassigned [0x649A]',
	0x649B : 'Unassigned [0x649B]',
	0x649C : 'Unassigned [0x649C]',
	0x649D : 'Unassigned [0x649D]',
	0x649E : 'Unassigned [0x649E]',
	0x649F : 'Unassigned [0x649F]',
	0x64A0 : 'Unassigned [0x64A0]',
	0x64A1 : 'Unassigned [0x64A1]',
	0x64A2 : 'Unassigned [0x64A2]',
	0x64A3 : 'Unassigned [0x64A3]',
	0x64A4 : 'Unassigned [0x64A4]',
	0x64A5 : 'Unassigned [0x64A5]',
	0x64A6 : 'Unassigned [0x64A6]',
	0x64A7 : 'Unassigned [0x64A7]',
	0x64A8 : 'Unassigned [0x64A8]',
	0x64A9 : 'Unassigned [0x64A9]',
	0x64AA : 'Unassigned [0x64AA]',
	0x64AB : 'Unassigned [0x64AB]',
	0x64AC : 'Unassigned [0x64AC]',
	0x64AD : 'Unassigned [0x64AD]',
	0x64AE : 'Unassigned [0x64AE]',
	0x64AF : 'Unassigned [0x64AF]',
	0x64B0 : 'Unassigned [0x64B0]',
	0x64B1 : 'Unassigned [0x64B1]',
	0x64B2 : 'Unassigned [0x64B2]',
	0x64B3 : 'Unassigned [0x64B3]',
	0x64B4 : 'Unassigned [0x64B4]',
	0x64B5 : 'Unassigned [0x64B5]',
	0x64B6 : 'Unassigned [0x64B6]',
	0x64B7 : 'Unassigned [0x64B7]',
	0x64B8 : 'Unassigned [0x64B8]',
	0x64B9 : 'Unassigned [0x64B9]',
	0x64BA : 'Unassigned [0x64BA]',
	0x64BB : 'Unassigned [0x64BB]',
	0x64BC : 'Unassigned [0x64BC]',
	0x64BD : 'Unassigned [0x64BD]',
	0x64BE : 'Unassigned [0x64BE]',
	0x64BF : 'Unassigned [0x64BF]',
	0x64C0 : 'Unassigned [0x64C0]',
	0x64C1 : 'Unassigned [0x64C1]',
	0x64C2 : 'Unassigned [0x64C2]',
	0x64C3 : 'Unassigned [0x64C3]',
	0x64C4 : 'Unassigned [0x64C4]',
	0x64C5 : 'Unassigned [0x64C5]',
	0x64C6 : 'Unassigned [0x64C6]',
	0x64C7 : 'Unassigned [0x64C7]',
	0x64C8 : 'Unassigned [0x64C8]',
	0x64C9 : 'Unassigned [0x64C9]',
	0x64CA : 'Unassigned [0x64CA]',
	0x64CB : 'Unassigned [0x64CB]',
	0x64CC : 'Unassigned [0x64CC]',
	0x64CD : 'Unassigned [0x64CD]',
	0x64CE : 'Unassigned [0x64CE]',
	0x64CF : 'Unassigned [0x64CF]',
	0x64D0 : 'Unassigned [0x64D0]',
	0x64D1 : 'Unassigned [0x64D1]',
	0x64D2 : 'Unassigned [0x64D2]',
	0x64D3 : 'Unassigned [0x64D3]',
	0x64D4 : 'Unassigned [0x64D4]',
	0x64D5 : 'Unassigned [0x64D5]',
	0x64D6 : 'Unassigned [0x64D6]',
	0x64D7 : 'Unassigned [0x64D7]',
	0x64D8 : 'Unassigned [0x64D8]',
	0x64D9 : 'Unassigned [0x64D9]',
	0x64DA : 'Unassigned [0x64DA]',
	0x64DB : 'Unassigned [0x64DB]',
	0x64DC : 'Unassigned [0x64DC]',
	0x64DD : 'Unassigned [0x64DD]',
	0x64DE : 'Unassigned [0x64DE]',
	0x64DF : 'Unassigned [0x64DF]',
	0x64E0 : 'Unassigned [0x64E0]',
	0x64E1 : 'Unassigned [0x64E1]',
	0x64E2 : 'Unassigned [0x64E2]',
	0x64E3 : 'Unassigned [0x64E3]',
	0x64E4 : 'Unassigned [0x64E4]',
	0x64E5 : 'Unassigned [0x64E5]',
	0x64E6 : 'Unassigned [0x64E6]',
	0x64E7 : 'Unassigned [0x64E7]',
	0x64E8 : 'Unassigned [0x64E8]',
	0x64E9 : 'Unassigned [0x64E9]',
	0x64EA : 'Unassigned [0x64EA]',
	0x64EB : 'Unassigned [0x64EB]',
	0x64EC : 'Unassigned [0x64EC]',
	0x64ED : 'Unassigned [0x64ED]',
	0x64EE : 'Unassigned [0x64EE]',
	0x64EF : 'Unassigned [0x64EF]',
	0x64F0 : 'Unassigned [0x64F0]',
	0x64F1 : 'Unassigned [0x64F1]',
	0x64F2 : 'Unassigned [0x64F2]',
	0x64F3 : 'Unassigned [0x64F3]',
	0x64F4 : 'Unassigned [0x64F4]',
	0x64F5 : 'Unassigned [0x64F5]',
	0x64F6 : 'Unassigned [0x64F6]',
	0x64F7 : 'Unassigned [0x64F7]',
	0x64F8 : 'Unassigned [0x64F8]',
	0x64F9 : 'Unassigned [0x64F9]',
	0x64FA : 'Unassigned [0x64FA]',
	0x64FB : 'Unassigned [0x64FB]',
	0x64FC : 'Unassigned [0x64FC]',
	0x64FD : 'Unassigned [0x64FD]',
	0x64FE : 'Unassigned [0x64FE]',
	0x64FF : 'Unassigned [0x64FF]',
	0x6500 : 'Unassigned [0x6500]',
	0x6501 : 'Unassigned [0x6501]',
	0x6502 : 'Unassigned [0x6502]',
	0x6503 : 'Unassigned [0x6503]',
	0x6504 : 'Unassigned [0x6504]',
	0x6505 : 'Unassigned [0x6505]',
	0x6506 : 'Unassigned [0x6506]',
	0x6507 : 'Unassigned [0x6507]',
	0x6508 : 'Unassigned [0x6508]',
	0x6509 : 'Unassigned [0x6509]',
	0x650A : 'Unassigned [0x650A]',
	0x650B : 'Unassigned [0x650B]',
	0x650C : 'Unassigned [0x650C]',
	0x650D : 'Unassigned [0x650D]',
	0x650E : 'Unassigned [0x650E]',
	0x650F : 'Unassigned [0x650F]',
	0x6510 : 'Unassigned [0x6510]',
	0x6511 : 'Unassigned [0x6511]',
	0x6512 : 'Unassigned [0x6512]',
	0x6513 : 'Unassigned [0x6513]',
	0x6514 : 'Unassigned [0x6514]',
	0x6515 : 'Unassigned [0x6515]',
	0x6516 : 'Unassigned [0x6516]',
	0x6517 : 'Unassigned [0x6517]',
	0x6518 : 'Unassigned [0x6518]',
	0x6519 : 'Unassigned [0x6519]',
	0x651A : 'Unassigned [0x651A]',
	0x651B : 'Unassigned [0x651B]',
	0x651C : 'Unassigned [0x651C]',
	0x651D : 'Unassigned [0x651D]',
	0x651E : 'Unassigned [0x651E]',
	0x651F : 'Unassigned [0x651F]',
	0x6520 : 'Unassigned [0x6520]',
	0x6521 : 'Unassigned [0x6521]',
	0x6522 : 'Unassigned [0x6522]',
	0x6523 : 'Unassigned [0x6523]',
	0x6524 : 'Unassigned [0x6524]',
	0x6525 : 'Unassigned [0x6525]',
	0x6526 : 'Unassigned [0x6526]',
	0x6527 : 'Unassigned [0x6527]',
	0x6528 : 'Unassigned [0x6528]',
	0x6529 : 'Unassigned [0x6529]',
	0x652A : 'Unassigned [0x652A]',
	0x652B : 'Unassigned [0x652B]',
	0x652C : 'Unassigned [0x652C]',
	0x652D : 'Unassigned [0x652D]',
	0x652E : 'Unassigned [0x652E]',
	0x652F : 'Unassigned [0x652F]',
	0x6530 : 'Unassigned [0x6530]',
	0x6531 : 'Unassigned [0x6531]',
	0x6532 : 'Unassigned [0x6532]',
	0x6533 : 'Unassigned [0x6533]',
	0x6534 : 'Unassigned [0x6534]',
	0x6535 : 'Unassigned [0x6535]',
	0x6536 : 'Unassigned [0x6536]',
	0x6537 : 'Unassigned [0x6537]',
	0x6538 : 'Unassigned [0x6538]',
	0x6539 : 'Unassigned [0x6539]',
	0x653A : 'Unassigned [0x653A]',
	0x653B : 'Unassigned [0x653B]',
	0x653C : 'Unassigned [0x653C]',
	0x653D : 'Unassigned [0x653D]',
	0x653E : 'Unassigned [0x653E]',
	0x653F : 'Unassigned [0x653F]',
	0x6540 : 'Unassigned [0x6540]',
	0x6541 : 'Unassigned [0x6541]',
	0x6542 : 'Unassigned [0x6542]',
	0x6543 : 'Unassigned [0x6543]',
	0x6544 : 'Unassigned [0x6544]',
	0x6545 : 'Unassigned [0x6545]',
	0x6546 : 'Unassigned [0x6546]',
	0x6547 : 'Unassigned [0x6547]',
	0x6548 : 'Unassigned [0x6548]',
	0x6549 : 'Unassigned [0x6549]',
	0x654A : 'Unassigned [0x654A]',
	0x654B : 'Unassigned [0x654B]',
	0x654C : 'Unassigned [0x654C]',
	0x654D : 'Unassigned [0x654D]',
	0x654E : 'Unassigned [0x654E]',
	0x654F : 'Unassigned [0x654F]',
	0x6550 : 'Unassigned [0x6550]',
	0x6551 : 'Unassigned [0x6551]',
	0x6552 : 'Unassigned [0x6552]',
	0x6553 : 'Unassigned [0x6553]',
	0x6554 : 'Unassigned [0x6554]',
	0x6555 : 'Unassigned [0x6555]',
	0x6556 : 'Unassigned [0x6556]',
	0x6557 : 'Unassigned [0x6557]',
	0x6558 : 'Unassigned [0x6558]',
	0x6559 : 'Unassigned [0x6559]',
	0x655A : 'Unassigned [0x655A]',
	0x655B : 'Unassigned [0x655B]',
	0x655C : 'Unassigned [0x655C]',
	0x655D : 'Unassigned [0x655D]',
	0x655E : 'Unassigned [0x655E]',
	0x655F : 'Unassigned [0x655F]',
	0x6560 : 'Unassigned [0x6560]',
	0x6561 : 'Unassigned [0x6561]',
	0x6562 : 'Unassigned [0x6562]',
	0x6563 : 'Unassigned [0x6563]',
	0x6564 : 'Unassigned [0x6564]',
	0x6565 : 'Unassigned [0x6565]',
	0x6566 : 'Unassigned [0x6566]',
	0x6567 : 'Unassigned [0x6567]',
	0x6568 : 'Unassigned [0x6568]',
	0x6569 : 'Unassigned [0x6569]',
	0x656A : 'Unassigned [0x656A]',
	0x656B : 'Unassigned [0x656B]',
	0x656C : 'Unassigned [0x656C]',
	0x656D : 'Unassigned [0x656D]',
	0x656E : 'Unassigned [0x656E]',
	0x656F : 'Unassigned [0x656F]',
	0x6570 : 'Unassigned [0x6570]',
	0x6571 : 'Unassigned [0x6571]',
	0x6572 : 'Unassigned [0x6572]',
	0x6573 : 'Unassigned [0x6573]',
	0x6574 : 'Unassigned [0x6574]',
	0x6575 : 'Unassigned [0x6575]',
	0x6576 : 'Unassigned [0x6576]',
	0x6577 : 'Unassigned [0x6577]',
	0x6578 : 'Unassigned [0x6578]',
	0x6579 : 'Unassigned [0x6579]',
	0x657A : 'Unassigned [0x657A]',
	0x657B : 'Unassigned [0x657B]',
	0x657C : 'Unassigned [0x657C]',
	0x657D : 'Unassigned [0x657D]',
	0x657E : 'Unassigned [0x657E]',
	0x657F : 'Unassigned [0x657F]',
	0x6580 : 'Unassigned [0x6580]',
	0x6581 : 'Unassigned [0x6581]',
	0x6582 : 'Unassigned [0x6582]',
	0x6583 : 'Unassigned [0x6583]',
	0x6584 : 'Unassigned [0x6584]',
	0x6585 : 'Unassigned [0x6585]',
	0x6586 : 'Unassigned [0x6586]',
	0x6587 : 'Unassigned [0x6587]',
	0x6588 : 'Unassigned [0x6588]',
	0x6589 : 'Unassigned [0x6589]',
	0x658A : 'Unassigned [0x658A]',
	0x658B : 'Unassigned [0x658B]',
	0x658C : 'Unassigned [0x658C]',
	0x658D : 'Unassigned [0x658D]',
	0x658E : 'Unassigned [0x658E]',
	0x658F : 'Unassigned [0x658F]',
	0x6590 : 'Unassigned [0x6590]',
	0x6591 : 'Unassigned [0x6591]',
	0x6592 : 'Unassigned [0x6592]',
	0x6593 : 'Unassigned [0x6593]',
	0x6594 : 'Unassigned [0x6594]',
	0x6595 : 'Unassigned [0x6595]',
	0x6596 : 'Unassigned [0x6596]',
	0x6597 : 'Unassigned [0x6597]',
	0x6598 : 'Unassigned [0x6598]',
	0x6599 : 'Unassigned [0x6599]',
	0x659A : 'Unassigned [0x659A]',
	0x659B : 'Unassigned [0x659B]',
	0x659C : 'Unassigned [0x659C]',
	0x659D : 'Unassigned [0x659D]',
	0x659E : 'Unassigned [0x659E]',
	0x659F : 'Unassigned [0x659F]',
	0x65A0 : 'Unassigned [0x65A0]',
	0x65A1 : 'Unassigned [0x65A1]',
	0x65A2 : 'Unassigned [0x65A2]',
	0x65A3 : 'Unassigned [0x65A3]',
	0x65A4 : 'Unassigned [0x65A4]',
	0x65A5 : 'Unassigned [0x65A5]',
	0x65A6 : 'Unassigned [0x65A6]',
	0x65A7 : 'Unassigned [0x65A7]',
	0x65A8 : 'Unassigned [0x65A8]',
	0x65A9 : 'Unassigned [0x65A9]',
	0x65AA : 'Unassigned [0x65AA]',
	0x65AB : 'Unassigned [0x65AB]',
	0x65AC : 'Unassigned [0x65AC]',
	0x65AD : 'Unassigned [0x65AD]',
	0x65AE : 'Unassigned [0x65AE]',
	0x65AF : 'Unassigned [0x65AF]',
	0x65B0 : 'Unassigned [0x65B0]',
	0x65B1 : 'Unassigned [0x65B1]',
	0x65B2 : 'Unassigned [0x65B2]',
	0x65B3 : 'Unassigned [0x65B3]',
	0x65B4 : 'Unassigned [0x65B4]',
	0x65B5 : 'Unassigned [0x65B5]',
	0x65B6 : 'Unassigned [0x65B6]',
	0x65B7 : 'Unassigned [0x65B7]',
	0x65B8 : 'Unassigned [0x65B8]',
	0x65B9 : 'Unassigned [0x65B9]',
	0x65BA : 'Unassigned [0x65BA]',
	0x65BB : 'Unassigned [0x65BB]',
	0x65BC : 'Unassigned [0x65BC]',
	0x65BD : 'Unassigned [0x65BD]',
	0x65BE : 'Unassigned [0x65BE]',
	0x65BF : 'Unassigned [0x65BF]',
	0x65C0 : 'Unassigned [0x65C0]',
	0x65C1 : 'Unassigned [0x65C1]',
	0x65C2 : 'Unassigned [0x65C2]',
	0x65C3 : 'Unassigned [0x65C3]',
	0x65C4 : 'Unassigned [0x65C4]',
	0x65C5 : 'Unassigned [0x65C5]',
	0x65C6 : 'Unassigned [0x65C6]',
	0x65C7 : 'Unassigned [0x65C7]',
	0x65C8 : 'Unassigned [0x65C8]',
	0x65C9 : 'Unassigned [0x65C9]',
	0x65CA : 'Unassigned [0x65CA]',
	0x65CB : 'Unassigned [0x65CB]',
	0x65CC : 'Unassigned [0x65CC]',
	0x65CD : 'Unassigned [0x65CD]',
	0x65CE : 'Unassigned [0x65CE]',
	0x65CF : 'Unassigned [0x65CF]',
	0x65D0 : 'Unassigned [0x65D0]',
	0x65D1 : 'Unassigned [0x65D1]',
	0x65D2 : 'Unassigned [0x65D2]',
	0x65D3 : 'Unassigned [0x65D3]',
	0x65D4 : 'Unassigned [0x65D4]',
	0x65D5 : 'Unassigned [0x65D5]',
	0x65D6 : 'Unassigned [0x65D6]',
	0x65D7 : 'Unassigned [0x65D7]',
	0x65D8 : 'Unassigned [0x65D8]',
	0x65D9 : 'Unassigned [0x65D9]',
	0x65DA : 'Unassigned [0x65DA]',
	0x65DB : 'Unassigned [0x65DB]',
	0x65DC : 'Unassigned [0x65DC]',
	0x65DD : 'Unassigned [0x65DD]',
	0x65DE : 'Unassigned [0x65DE]',
	0x65DF : 'Unassigned [0x65DF]',
	0x65E0 : 'Unassigned [0x65E0]',
	0x65E1 : 'Unassigned [0x65E1]',
	0x65E2 : 'Unassigned [0x65E2]',
	0x65E3 : 'Unassigned [0x65E3]',
	0x65E4 : 'Unassigned [0x65E4]',
	0x65E5 : 'Unassigned [0x65E5]',
	0x65E6 : 'Unassigned [0x65E6]',
	0x65E7 : 'Unassigned [0x65E7]',
	0x65E8 : 'Unassigned [0x65E8]',
	0x65E9 : 'Unassigned [0x65E9]',
	0x65EA : 'Unassigned [0x65EA]',
	0x65EB : 'Unassigned [0x65EB]',
	0x65EC : 'Unassigned [0x65EC]',
	0x65ED : 'Unassigned [0x65ED]',
	0x65EE : 'Unassigned [0x65EE]',
	0x65EF : 'Unassigned [0x65EF]',
	0x65F0 : 'Unassigned [0x65F0]',
	0x65F1 : 'Unassigned [0x65F1]',
	0x65F2 : 'Unassigned [0x65F2]',
	0x65F3 : 'Unassigned [0x65F3]',
	0x65F4 : 'Unassigned [0x65F4]',
	0x65F5 : 'Unassigned [0x65F5]',
	0x65F6 : 'Unassigned [0x65F6]',
	0x65F7 : 'Unassigned [0x65F7]',
	0x65F8 : 'Unassigned [0x65F8]',
	0x65F9 : 'Unassigned [0x65F9]',
	0x65FA : 'Unassigned [0x65FA]',
	0x65FB : 'Unassigned [0x65FB]',
	0x65FC : 'Unassigned [0x65FC]',
	0x65FD : 'Unassigned [0x65FD]',
	0x65FE : 'Unassigned [0x65FE]',
	0x65FF : 'Unassigned [0x65FF]',
	0x6600 : 'Unassigned [0x6600]',
	0x6601 : 'Unassigned [0x6601]',
	0x6602 : 'Unassigned [0x6602]',
	0x6603 : 'Unassigned [0x6603]',
	0x6604 : 'Unassigned [0x6604]',
	0x6605 : 'Unassigned [0x6605]',
	0x6606 : 'Unassigned [0x6606]',
	0x6607 : 'Unassigned [0x6607]',
	0x6608 : 'Unassigned [0x6608]',
	0x6609 : 'Unassigned [0x6609]',
	0x660A : 'Unassigned [0x660A]',
	0x660B : 'Unassigned [0x660B]',
	0x660C : 'Unassigned [0x660C]',
	0x660D : 'Unassigned [0x660D]',
	0x660E : 'Unassigned [0x660E]',
	0x660F : 'Unassigned [0x660F]',
	0x6610 : 'Unassigned [0x6610]',
	0x6611 : 'Unassigned [0x6611]',
	0x6612 : 'Unassigned [0x6612]',
	0x6613 : 'Unassigned [0x6613]',
	0x6614 : 'Unassigned [0x6614]',
	0x6615 : 'Unassigned [0x6615]',
	0x6616 : 'Unassigned [0x6616]',
	0x6617 : 'Unassigned [0x6617]',
	0x6618 : 'Unassigned [0x6618]',
	0x6619 : 'Unassigned [0x6619]',
	0x661A : 'Unassigned [0x661A]',
	0x661B : 'Unassigned [0x661B]',
	0x661C : 'Unassigned [0x661C]',
	0x661D : 'Unassigned [0x661D]',
	0x661E : 'Unassigned [0x661E]',
	0x661F : 'Unassigned [0x661F]',
	0x6620 : 'Unassigned [0x6620]',
	0x6621 : 'Unassigned [0x6621]',
	0x6622 : 'Unassigned [0x6622]',
	0x6623 : 'Unassigned [0x6623]',
	0x6624 : 'Unassigned [0x6624]',
	0x6625 : 'Unassigned [0x6625]',
	0x6626 : 'Unassigned [0x6626]',
	0x6627 : 'Unassigned [0x6627]',
	0x6628 : 'Unassigned [0x6628]',
	0x6629 : 'Unassigned [0x6629]',
	0x662A : 'Unassigned [0x662A]',
	0x662B : 'Unassigned [0x662B]',
	0x662C : 'Unassigned [0x662C]',
	0x662D : 'Unassigned [0x662D]',
	0x662E : 'Unassigned [0x662E]',
	0x662F : 'Unassigned [0x662F]',
	0x6630 : 'Unassigned [0x6630]',
	0x6631 : 'Unassigned [0x6631]',
	0x6632 : 'Unassigned [0x6632]',
	0x6633 : 'Unassigned [0x6633]',
	0x6634 : 'Unassigned [0x6634]',
	0x6635 : 'Unassigned [0x6635]',
	0x6636 : 'Unassigned [0x6636]',
	0x6637 : 'Unassigned [0x6637]',
	0x6638 : 'Unassigned [0x6638]',
	0x6639 : 'Unassigned [0x6639]',
	0x663A : 'Unassigned [0x663A]',
	0x663B : 'Unassigned [0x663B]',
	0x663C : 'Unassigned [0x663C]',
	0x663D : 'Unassigned [0x663D]',
	0x663E : 'Unassigned [0x663E]',
	0x663F : 'Unassigned [0x663F]',
	0x6640 : 'Unassigned [0x6640]',
	0x6641 : 'Unassigned [0x6641]',
	0x6642 : 'Unassigned [0x6642]',
	0x6643 : 'Unassigned [0x6643]',
	0x6644 : 'Unassigned [0x6644]',
	0x6645 : 'Unassigned [0x6645]',
	0x6646 : 'Unassigned [0x6646]',
	0x6647 : 'Unassigned [0x6647]',
	0x6648 : 'Unassigned [0x6648]',
	0x6649 : 'Unassigned [0x6649]',
	0x664A : 'Unassigned [0x664A]',
	0x664B : 'Unassigned [0x664B]',
	0x664C : 'Unassigned [0x664C]',
	0x664D : 'Unassigned [0x664D]',
	0x664E : 'Unassigned [0x664E]',
	0x664F : 'Unassigned [0x664F]',
	0x6650 : 'Unassigned [0x6650]',
	0x6651 : 'Unassigned [0x6651]',
	0x6652 : 'Unassigned [0x6652]',
	0x6653 : 'Unassigned [0x6653]',
	0x6654 : 'Unassigned [0x6654]',
	0x6655 : 'Unassigned [0x6655]',
	0x6656 : 'Unassigned [0x6656]',
	0x6657 : 'Unassigned [0x6657]',
	0x6658 : 'Unassigned [0x6658]',
	0x6659 : 'Unassigned [0x6659]',
	0x665A : 'Unassigned [0x665A]',
	0x665B : 'Unassigned [0x665B]',
	0x665C : 'Unassigned [0x665C]',
	0x665D : 'Unassigned [0x665D]',
	0x665E : 'Unassigned [0x665E]',
	0x665F : 'Unassigned [0x665F]',
	0x6660 : 'Unassigned [0x6660]',
	0x6661 : 'Unassigned [0x6661]',
	0x6662 : 'Unassigned [0x6662]',
	0x6663 : 'Unassigned [0x6663]',
	0x6664 : 'Unassigned [0x6664]',
	0x6665 : 'Unassigned [0x6665]',
	0x6666 : 'Unassigned [0x6666]',
	0x6667 : 'Unassigned [0x6667]',
	0x6668 : 'Unassigned [0x6668]',
	0x6669 : 'Unassigned [0x6669]',
	0x666A : 'Unassigned [0x666A]',
	0x666B : 'Unassigned [0x666B]',
	0x666C : 'Unassigned [0x666C]',
	0x666D : 'Unassigned [0x666D]',
	0x666E : 'Unassigned [0x666E]',
	0x666F : 'Unassigned [0x666F]',
	0x6670 : 'Unassigned [0x6670]',
	0x6671 : 'Unassigned [0x6671]',
	0x6672 : 'Unassigned [0x6672]',
	0x6673 : 'Unassigned [0x6673]',
	0x6674 : 'Unassigned [0x6674]',
	0x6675 : 'Unassigned [0x6675]',
	0x6676 : 'Unassigned [0x6676]',
	0x6677 : 'Unassigned [0x6677]',
	0x6678 : 'Unassigned [0x6678]',
	0x6679 : 'Unassigned [0x6679]',
	0x667A : 'Unassigned [0x667A]',
	0x667B : 'Unassigned [0x667B]',
	0x667C : 'Unassigned [0x667C]',
	0x667D : 'Unassigned [0x667D]',
	0x667E : 'Unassigned [0x667E]',
	0x667F : 'Unassigned [0x667F]',
	0x6680 : 'Unassigned [0x6680]',
	0x6681 : 'Unassigned [0x6681]',
	0x6682 : 'Unassigned [0x6682]',
	0x6683 : 'Unassigned [0x6683]',
	0x6684 : 'Unassigned [0x6684]',
	0x6685 : 'Unassigned [0x6685]',
	0x6686 : 'Unassigned [0x6686]',
	0x6687 : 'Unassigned [0x6687]',
	0x6688 : 'Unassigned [0x6688]',
	0x6689 : 'Unassigned [0x6689]',
	0x668A : 'Unassigned [0x668A]',
	0x668B : 'Unassigned [0x668B]',
	0x668C : 'Unassigned [0x668C]',
	0x668D : 'Unassigned [0x668D]',
	0x668E : 'Unassigned [0x668E]',
	0x668F : 'Unassigned [0x668F]',
	0x6690 : 'Unassigned [0x6690]',
	0x6691 : 'Unassigned [0x6691]',
	0x6692 : 'Unassigned [0x6692]',
	0x6693 : 'Unassigned [0x6693]',
	0x6694 : 'Unassigned [0x6694]',
	0x6695 : 'Unassigned [0x6695]',
	0x6696 : 'Unassigned [0x6696]',
	0x6697 : 'Unassigned [0x6697]',
	0x6698 : 'Unassigned [0x6698]',
	0x6699 : 'Unassigned [0x6699]',
	0x669A : 'Unassigned [0x669A]',
	0x669B : 'Unassigned [0x669B]',
	0x669C : 'Unassigned [0x669C]',
	0x669D : 'Unassigned [0x669D]',
	0x669E : 'Unassigned [0x669E]',
	0x669F : 'Unassigned [0x669F]',
	0x66A0 : 'Unassigned [0x66A0]',
	0x66A1 : 'Unassigned [0x66A1]',
	0x66A2 : 'Unassigned [0x66A2]',
	0x66A3 : 'Unassigned [0x66A3]',
	0x66A4 : 'Unassigned [0x66A4]',
	0x66A5 : 'Unassigned [0x66A5]',
	0x66A6 : 'Unassigned [0x66A6]',
	0x66A7 : 'Unassigned [0x66A7]',
	0x66A8 : 'Unassigned [0x66A8]',
	0x66A9 : 'Unassigned [0x66A9]',
	0x66AA : 'Unassigned [0x66AA]',
	0x66AB : 'Unassigned [0x66AB]',
	0x66AC : 'Unassigned [0x66AC]',
	0x66AD : 'Unassigned [0x66AD]',
	0x66AE : 'Unassigned [0x66AE]',
	0x66AF : 'Unassigned [0x66AF]',
	0x66B0 : 'Unassigned [0x66B0]',
	0x66B1 : 'Unassigned [0x66B1]',
	0x66B2 : 'Unassigned [0x66B2]',
	0x66B3 : 'Unassigned [0x66B3]',
	0x66B4 : 'Unassigned [0x66B4]',
	0x66B5 : 'Unassigned [0x66B5]',
	0x66B6 : 'Unassigned [0x66B6]',
	0x66B7 : 'Unassigned [0x66B7]',
	0x66B8 : 'Unassigned [0x66B8]',
	0x66B9 : 'Unassigned [0x66B9]',
	0x66BA : 'Unassigned [0x66BA]',
	0x66BB : 'Unassigned [0x66BB]',
	0x66BC : 'Unassigned [0x66BC]',
	0x66BD : 'Unassigned [0x66BD]',
	0x66BE : 'Unassigned [0x66BE]',
	0x66BF : 'Unassigned [0x66BF]',
	0x66C0 : 'Unassigned [0x66C0]',
	0x66C1 : 'Unassigned [0x66C1]',
	0x66C2 : 'Unassigned [0x66C2]',
	0x66C3 : 'Unassigned [0x66C3]',
	0x66C4 : 'Unassigned [0x66C4]',
	0x66C5 : 'Unassigned [0x66C5]',
	0x66C6 : 'Unassigned [0x66C6]',
	0x66C7 : 'Unassigned [0x66C7]',
	0x66C8 : 'Unassigned [0x66C8]',
	0x66C9 : 'Unassigned [0x66C9]',
	0x66CA : 'Unassigned [0x66CA]',
	0x66CB : 'Unassigned [0x66CB]',
	0x66CC : 'Unassigned [0x66CC]',
	0x66CD : 'Unassigned [0x66CD]',
	0x66CE : 'Unassigned [0x66CE]',
	0x66CF : 'Unassigned [0x66CF]',
	0x66D0 : 'Unassigned [0x66D0]',
	0x66D1 : 'Unassigned [0x66D1]',
	0x66D2 : 'Unassigned [0x66D2]',
	0x66D3 : 'Unassigned [0x66D3]',
	0x66D4 : 'Unassigned [0x66D4]',
	0x66D5 : 'Unassigned [0x66D5]',
	0x66D6 : 'Unassigned [0x66D6]',
	0x66D7 : 'Unassigned [0x66D7]',
	0x66D8 : 'Unassigned [0x66D8]',
	0x66D9 : 'Unassigned [0x66D9]',
	0x66DA : 'Unassigned [0x66DA]',
	0x66DB : 'Unassigned [0x66DB]',
	0x66DC : 'Unassigned [0x66DC]',
	0x66DD : 'Unassigned [0x66DD]',
	0x66DE : 'Unassigned [0x66DE]',
	0x66DF : 'Unassigned [0x66DF]',
	0x66E0 : 'Unassigned [0x66E0]',
	0x66E1 : 'Unassigned [0x66E1]',
	0x66E2 : 'Unassigned [0x66E2]',
	0x66E3 : 'Unassigned [0x66E3]',
	0x66E4 : 'Unassigned [0x66E4]',
	0x66E5 : 'Unassigned [0x66E5]',
	0x66E6 : 'Unassigned [0x66E6]',
	0x66E7 : 'Unassigned [0x66E7]',
	0x66E8 : 'Unassigned [0x66E8]',
	0x66E9 : 'Unassigned [0x66E9]',
	0x66EA : 'Unassigned [0x66EA]',
	0x66EB : 'Unassigned [0x66EB]',
	0x66EC : 'Unassigned [0x66EC]',
	0x66ED : 'Unassigned [0x66ED]',
	0x66EE : 'Unassigned [0x66EE]',
	0x66EF : 'Unassigned [0x66EF]',
	0x66F0 : 'Unassigned [0x66F0]',
	0x66F1 : 'Unassigned [0x66F1]',
	0x66F2 : 'Unassigned [0x66F2]',
	0x66F3 : 'Unassigned [0x66F3]',
	0x66F4 : 'Unassigned [0x66F4]',
	0x66F5 : 'Unassigned [0x66F5]',
	0x66F6 : 'Unassigned [0x66F6]',
	0x66F7 : 'Unassigned [0x66F7]',
	0x66F8 : 'Unassigned [0x66F8]',
	0x66F9 : 'Unassigned [0x66F9]',
	0x66FA : 'Unassigned [0x66FA]',
	0x66FB : 'Unassigned [0x66FB]',
	0x66FC : 'Unassigned [0x66FC]',
	0x66FD : 'Unassigned [0x66FD]',
	0x66FE : 'Unassigned [0x66FE]',
	0x66FF : 'Unassigned [0x66FF]',
	0x6700 : 'Unassigned [0x6700]',
	0x6701 : 'Unassigned [0x6701]',
	0x6702 : 'Unassigned [0x6702]',
	0x6703 : 'Unassigned [0x6703]',
	0x6704 : 'Unassigned [0x6704]',
	0x6705 : 'Unassigned [0x6705]',
	0x6706 : 'Unassigned [0x6706]',
	0x6707 : 'Unassigned [0x6707]',
	0x6708 : 'Unassigned [0x6708]',
	0x6709 : 'Unassigned [0x6709]',
	0x670A : 'Unassigned [0x670A]',
	0x670B : 'Unassigned [0x670B]',
	0x670C : 'Unassigned [0x670C]',
	0x670D : 'Unassigned [0x670D]',
	0x670E : 'Unassigned [0x670E]',
	0x670F : 'Unassigned [0x670F]',
	0x6710 : 'Unassigned [0x6710]',
	0x6711 : 'Unassigned [0x6711]',
	0x6712 : 'Unassigned [0x6712]',
	0x6713 : 'Unassigned [0x6713]',
	0x6714 : 'Unassigned [0x6714]',
	0x6715 : 'Unassigned [0x6715]',
	0x6716 : 'Unassigned [0x6716]',
	0x6717 : 'Unassigned [0x6717]',
	0x6718 : 'Unassigned [0x6718]',
	0x6719 : 'Unassigned [0x6719]',
	0x671A : 'Unassigned [0x671A]',
	0x671B : 'Unassigned [0x671B]',
	0x671C : 'Unassigned [0x671C]',
	0x671D : 'Unassigned [0x671D]',
	0x671E : 'Unassigned [0x671E]',
	0x671F : 'Unassigned [0x671F]',
	0x6720 : 'Unassigned [0x6720]',
	0x6721 : 'Unassigned [0x6721]',
	0x6722 : 'Unassigned [0x6722]',
	0x6723 : 'Unassigned [0x6723]',
	0x6724 : 'Unassigned [0x6724]',
	0x6725 : 'Unassigned [0x6725]',
	0x6726 : 'Unassigned [0x6726]',
	0x6727 : 'Unassigned [0x6727]',
	0x6728 : 'Unassigned [0x6728]',
	0x6729 : 'Unassigned [0x6729]',
	0x672A : 'Unassigned [0x672A]',
	0x672B : 'Unassigned [0x672B]',
	0x672C : 'Unassigned [0x672C]',
	0x672D : 'Unassigned [0x672D]',
	0x672E : 'Unassigned [0x672E]',
	0x672F : 'Unassigned [0x672F]',
	0x6730 : 'Unassigned [0x6730]',
	0x6731 : 'Unassigned [0x6731]',
	0x6732 : 'Unassigned [0x6732]',
	0x6733 : 'Unassigned [0x6733]',
	0x6734 : 'Unassigned [0x6734]',
	0x6735 : 'Unassigned [0x6735]',
	0x6736 : 'Unassigned [0x6736]',
	0x6737 : 'Unassigned [0x6737]',
	0x6738 : 'Unassigned [0x6738]',
	0x6739 : 'Unassigned [0x6739]',
	0x673A : 'Unassigned [0x673A]',
	0x673B : 'Unassigned [0x673B]',
	0x673C : 'Unassigned [0x673C]',
	0x673D : 'Unassigned [0x673D]',
	0x673E : 'Unassigned [0x673E]',
	0x673F : 'Unassigned [0x673F]',
	0x6740 : 'Unassigned [0x6740]',
	0x6741 : 'Unassigned [0x6741]',
	0x6742 : 'Unassigned [0x6742]',
	0x6743 : 'Unassigned [0x6743]',
	0x6744 : 'Unassigned [0x6744]',
	0x6745 : 'Unassigned [0x6745]',
	0x6746 : 'Unassigned [0x6746]',
	0x6747 : 'Unassigned [0x6747]',
	0x6748 : 'Unassigned [0x6748]',
	0x6749 : 'Unassigned [0x6749]',
	0x674A : 'Unassigned [0x674A]',
	0x674B : 'Unassigned [0x674B]',
	0x674C : 'Unassigned [0x674C]',
	0x674D : 'Unassigned [0x674D]',
	0x674E : 'Unassigned [0x674E]',
	0x674F : 'Unassigned [0x674F]',
	0x6750 : 'Unassigned [0x6750]',
	0x6751 : 'Unassigned [0x6751]',
	0x6752 : 'Unassigned [0x6752]',
	0x6753 : 'Unassigned [0x6753]',
	0x6754 : 'Unassigned [0x6754]',
	0x6755 : 'Unassigned [0x6755]',
	0x6756 : 'Unassigned [0x6756]',
	0x6757 : 'Unassigned [0x6757]',
	0x6758 : 'Unassigned [0x6758]',
	0x6759 : 'Unassigned [0x6759]',
	0x675A : 'Unassigned [0x675A]',
	0x675B : 'Unassigned [0x675B]',
	0x675C : 'Unassigned [0x675C]',
	0x675D : 'Unassigned [0x675D]',
	0x675E : 'Unassigned [0x675E]',
	0x675F : 'Unassigned [0x675F]',
	0x6760 : 'Unassigned [0x6760]',
	0x6761 : 'Unassigned [0x6761]',
	0x6762 : 'Unassigned [0x6762]',
	0x6763 : 'Unassigned [0x6763]',
	0x6764 : 'Unassigned [0x6764]',
	0x6765 : 'Unassigned [0x6765]',
	0x6766 : 'Unassigned [0x6766]',
	0x6767 : 'Unassigned [0x6767]',
	0x6768 : 'Unassigned [0x6768]',
	0x6769 : 'Unassigned [0x6769]',
	0x676A : 'Unassigned [0x676A]',
	0x676B : 'Unassigned [0x676B]',
	0x676C : 'Unassigned [0x676C]',
	0x676D : 'Unassigned [0x676D]',
	0x676E : 'Unassigned [0x676E]',
	0x676F : 'Unassigned [0x676F]',
	0x6770 : 'Unassigned [0x6770]',
	0x6771 : 'Unassigned [0x6771]',
	0x6772 : 'Unassigned [0x6772]',
	0x6773 : 'Unassigned [0x6773]',
	0x6774 : 'Unassigned [0x6774]',
	0x6775 : 'Unassigned [0x6775]',
	0x6776 : 'Unassigned [0x6776]',
	0x6777 : 'Unassigned [0x6777]',
	0x6778 : 'Unassigned [0x6778]',
	0x6779 : 'Unassigned [0x6779]',
	0x677A : 'Unassigned [0x677A]',
	0x677B : 'Unassigned [0x677B]',
	0x677C : 'Unassigned [0x677C]',
	0x677D : 'Unassigned [0x677D]',
	0x677E : 'Unassigned [0x677E]',
	0x677F : 'Unassigned [0x677F]',
	0x6780 : 'Unassigned [0x6780]',
	0x6781 : 'Unassigned [0x6781]',
	0x6782 : 'Unassigned [0x6782]',
	0x6783 : 'Unassigned [0x6783]',
	0x6784 : 'Unassigned [0x6784]',
	0x6785 : 'Unassigned [0x6785]',
	0x6786 : 'Unassigned [0x6786]',
	0x6787 : 'Unassigned [0x6787]',
	0x6788 : 'Unassigned [0x6788]',
	0x6789 : 'Unassigned [0x6789]',
	0x678A : 'Unassigned [0x678A]',
	0x678B : 'Unassigned [0x678B]',
	0x678C : 'Unassigned [0x678C]',
	0x678D : 'Unassigned [0x678D]',
	0x678E : 'Unassigned [0x678E]',
	0x678F : 'Unassigned [0x678F]',
	0x6790 : 'Unassigned [0x6790]',
	0x6791 : 'Unassigned [0x6791]',
	0x6792 : 'Unassigned [0x6792]',
	0x6793 : 'Unassigned [0x6793]',
	0x6794 : 'Unassigned [0x6794]',
	0x6795 : 'Unassigned [0x6795]',
	0x6796 : 'Unassigned [0x6796]',
	0x6797 : 'Unassigned [0x6797]',
	0x6798 : 'Unassigned [0x6798]',
	0x6799 : 'Unassigned [0x6799]',
	0x679A : 'Unassigned [0x679A]',
	0x679B : 'Unassigned [0x679B]',
	0x679C : 'Unassigned [0x679C]',
	0x679D : 'Unassigned [0x679D]',
	0x679E : 'Unassigned [0x679E]',
	0x679F : 'Unassigned [0x679F]',
	0x67A0 : 'Unassigned [0x67A0]',
	0x67A1 : 'Unassigned [0x67A1]',
	0x67A2 : 'Unassigned [0x67A2]',
	0x67A3 : 'Unassigned [0x67A3]',
	0x67A4 : 'Unassigned [0x67A4]',
	0x67A5 : 'Unassigned [0x67A5]',
	0x67A6 : 'Unassigned [0x67A6]',
	0x67A7 : 'Unassigned [0x67A7]',
	0x67A8 : 'Unassigned [0x67A8]',
	0x67A9 : 'Unassigned [0x67A9]',
	0x67AA : 'Unassigned [0x67AA]',
	0x67AB : 'Unassigned [0x67AB]',
	0x67AC : 'Unassigned [0x67AC]',
	0x67AD : 'Unassigned [0x67AD]',
	0x67AE : 'Unassigned [0x67AE]',
	0x67AF : 'Unassigned [0x67AF]',
	0x67B0 : 'Unassigned [0x67B0]',
	0x67B1 : 'Unassigned [0x67B1]',
	0x67B2 : 'Unassigned [0x67B2]',
	0x67B3 : 'Unassigned [0x67B3]',
	0x67B4 : 'Unassigned [0x67B4]',
	0x67B5 : 'Unassigned [0x67B5]',
	0x67B6 : 'Unassigned [0x67B6]',
	0x67B7 : 'Unassigned [0x67B7]',
	0x67B8 : 'Unassigned [0x67B8]',
	0x67B9 : 'Unassigned [0x67B9]',
	0x67BA : 'Unassigned [0x67BA]',
	0x67BB : 'Unassigned [0x67BB]',
	0x67BC : 'Unassigned [0x67BC]',
	0x67BD : 'Unassigned [0x67BD]',
	0x67BE : 'Unassigned [0x67BE]',
	0x67BF : 'Unassigned [0x67BF]',
	0x67C0 : 'Unassigned [0x67C0]',
	0x67C1 : 'Unassigned [0x67C1]',
	0x67C2 : 'Unassigned [0x67C2]',
	0x67C3 : 'Unassigned [0x67C3]',
	0x67C4 : 'Unassigned [0x67C4]',
	0x67C5 : 'Unassigned [0x67C5]',
	0x67C6 : 'Unassigned [0x67C6]',
	0x67C7 : 'Unassigned [0x67C7]',
	0x67C8 : 'Unassigned [0x67C8]',
	0x67C9 : 'Unassigned [0x67C9]',
	0x67CA : 'Unassigned [0x67CA]',
	0x67CB : 'Unassigned [0x67CB]',
	0x67CC : 'Unassigned [0x67CC]',
	0x67CD : 'Unassigned [0x67CD]',
	0x67CE : 'Unassigned [0x67CE]',
	0x67CF : 'Unassigned [0x67CF]',
	0x67D0 : 'Unassigned [0x67D0]',
	0x67D1 : 'Unassigned [0x67D1]',
	0x67D2 : 'Unassigned [0x67D2]',
	0x67D3 : 'Unassigned [0x67D3]',
	0x67D4 : 'Unassigned [0x67D4]',
	0x67D5 : 'Unassigned [0x67D5]',
	0x67D6 : 'Unassigned [0x67D6]',
	0x67D7 : 'Unassigned [0x67D7]',
	0x67D8 : 'Unassigned [0x67D8]',
	0x67D9 : 'Unassigned [0x67D9]',
	0x67DA : 'Unassigned [0x67DA]',
	0x67DB : 'Unassigned [0x67DB]',
	0x67DC : 'Unassigned [0x67DC]',
	0x67DD : 'Unassigned [0x67DD]',
	0x67DE : 'Unassigned [0x67DE]',
	0x67DF : 'Unassigned [0x67DF]',
	0x67E0 : 'Unassigned [0x67E0]',
	0x67E1 : 'Unassigned [0x67E1]',
	0x67E2 : 'Unassigned [0x67E2]',
	0x67E3 : 'Unassigned [0x67E3]',
	0x67E4 : 'Unassigned [0x67E4]',
	0x67E5 : 'Unassigned [0x67E5]',
	0x67E6 : 'Unassigned [0x67E6]',
	0x67E7 : 'Unassigned [0x67E7]',
	0x67E8 : 'Unassigned [0x67E8]',
	0x67E9 : 'Unassigned [0x67E9]',
	0x67EA : 'Unassigned [0x67EA]',
	0x67EB : 'Unassigned [0x67EB]',
	0x67EC : 'Unassigned [0x67EC]',
	0x67ED : 'Unassigned [0x67ED]',
	0x67EE : 'Unassigned [0x67EE]',
	0x67EF : 'Unassigned [0x67EF]',
	0x67F0 : 'Unassigned [0x67F0]',
	0x67F1 : 'Unassigned [0x67F1]',
	0x67F2 : 'Unassigned [0x67F2]',
	0x67F3 : 'Unassigned [0x67F3]',
	0x67F4 : 'Unassigned [0x67F4]',
	0x67F5 : 'Unassigned [0x67F5]',
	0x67F6 : 'Unassigned [0x67F6]',
	0x67F7 : 'Unassigned [0x67F7]',
	0x67F8 : 'Unassigned [0x67F8]',
	0x67F9 : 'Unassigned [0x67F9]',
	0x67FA : 'Unassigned [0x67FA]',
	0x67FB : 'Unassigned [0x67FB]',
	0x67FC : 'Unassigned [0x67FC]',
	0x67FD : 'Unassigned [0x67FD]',
	0x67FE : 'Unassigned [0x67FE]',
	0x67FF : 'Unassigned [0x67FF]',
	0x6800 : 'Unassigned [0x6800]',
	0x6801 : 'Unassigned [0x6801]',
	0x6802 : 'Unassigned [0x6802]',
	0x6803 : 'Unassigned [0x6803]',
	0x6804 : 'Unassigned [0x6804]',
	0x6805 : 'Unassigned [0x6805]',
	0x6806 : 'Unassigned [0x6806]',
	0x6807 : 'Unassigned [0x6807]',
	0x6808 : 'Unassigned [0x6808]',
	0x6809 : 'Unassigned [0x6809]',
	0x680A : 'Unassigned [0x680A]',
	0x680B : 'Unassigned [0x680B]',
	0x680C : 'Unassigned [0x680C]',
	0x680D : 'Unassigned [0x680D]',
	0x680E : 'Unassigned [0x680E]',
	0x680F : 'Unassigned [0x680F]',
	0x6810 : 'Unassigned [0x6810]',
	0x6811 : 'Unassigned [0x6811]',
	0x6812 : 'Unassigned [0x6812]',
	0x6813 : 'Unassigned [0x6813]',
	0x6814 : 'Unassigned [0x6814]',
	0x6815 : 'Unassigned [0x6815]',
	0x6816 : 'Unassigned [0x6816]',
	0x6817 : 'Unassigned [0x6817]',
	0x6818 : 'Unassigned [0x6818]',
	0x6819 : 'Unassigned [0x6819]',
	0x681A : 'Unassigned [0x681A]',
	0x681B : 'Unassigned [0x681B]',
	0x681C : 'Unassigned [0x681C]',
	0x681D : 'Unassigned [0x681D]',
	0x681E : 'Unassigned [0x681E]',
	0x681F : 'Unassigned [0x681F]',
	0x6820 : 'Unassigned [0x6820]',
	0x6821 : 'Unassigned [0x6821]',
	0x6822 : 'Unassigned [0x6822]',
	0x6823 : 'Unassigned [0x6823]',
	0x6824 : 'Unassigned [0x6824]',
	0x6825 : 'Unassigned [0x6825]',
	0x6826 : 'Unassigned [0x6826]',
	0x6827 : 'Unassigned [0x6827]',
	0x6828 : 'Unassigned [0x6828]',
	0x6829 : 'Unassigned [0x6829]',
	0x682A : 'Unassigned [0x682A]',
	0x682B : 'Unassigned [0x682B]',
	0x682C : 'Unassigned [0x682C]',
	0x682D : 'Unassigned [0x682D]',
	0x682E : 'Unassigned [0x682E]',
	0x682F : 'Unassigned [0x682F]',
	0x6830 : 'Unassigned [0x6830]',
	0x6831 : 'Unassigned [0x6831]',
	0x6832 : 'Unassigned [0x6832]',
	0x6833 : 'Unassigned [0x6833]',
	0x6834 : 'Unassigned [0x6834]',
	0x6835 : 'Unassigned [0x6835]',
	0x6836 : 'Unassigned [0x6836]',
	0x6837 : 'Unassigned [0x6837]',
	0x6838 : 'Unassigned [0x6838]',
	0x6839 : 'Unassigned [0x6839]',
	0x683A : 'Unassigned [0x683A]',
	0x683B : 'Unassigned [0x683B]',
	0x683C : 'Unassigned [0x683C]',
	0x683D : 'Unassigned [0x683D]',
	0x683E : 'Unassigned [0x683E]',
	0x683F : 'Unassigned [0x683F]',
	0x6840 : 'Unassigned [0x6840]',
	0x6841 : 'Unassigned [0x6841]',
	0x6842 : 'Unassigned [0x6842]',
	0x6843 : 'Unassigned [0x6843]',
	0x6844 : 'Unassigned [0x6844]',
	0x6845 : 'Unassigned [0x6845]',
	0x6846 : 'Unassigned [0x6846]',
	0x6847 : 'Unassigned [0x6847]',
	0x6848 : 'Unassigned [0x6848]',
	0x6849 : 'Unassigned [0x6849]',
	0x684A : 'Unassigned [0x684A]',
	0x684B : 'Unassigned [0x684B]',
	0x684C : 'Unassigned [0x684C]',
	0x684D : 'Unassigned [0x684D]',
	0x684E : 'Unassigned [0x684E]',
	0x684F : 'Unassigned [0x684F]',
	0x6850 : 'Unassigned [0x6850]',
	0x6851 : 'Unassigned [0x6851]',
	0x6852 : 'Unassigned [0x6852]',
	0x6853 : 'Unassigned [0x6853]',
	0x6854 : 'Unassigned [0x6854]',
	0x6855 : 'Unassigned [0x6855]',
	0x6856 : 'Unassigned [0x6856]',
	0x6857 : 'Unassigned [0x6857]',
	0x6858 : 'Unassigned [0x6858]',
	0x6859 : 'Unassigned [0x6859]',
	0x685A : 'Unassigned [0x685A]',
	0x685B : 'Unassigned [0x685B]',
	0x685C : 'Unassigned [0x685C]',
	0x685D : 'Unassigned [0x685D]',
	0x685E : 'Unassigned [0x685E]',
	0x685F : 'Unassigned [0x685F]',
	0x6860 : 'Unassigned [0x6860]',
	0x6861 : 'Unassigned [0x6861]',
	0x6862 : 'Unassigned [0x6862]',
	0x6863 : 'Unassigned [0x6863]',
	0x6864 : 'Unassigned [0x6864]',
	0x6865 : 'Unassigned [0x6865]',
	0x6866 : 'Unassigned [0x6866]',
	0x6867 : 'Unassigned [0x6867]',
	0x6868 : 'Unassigned [0x6868]',
	0x6869 : 'Unassigned [0x6869]',
	0x686A : 'Unassigned [0x686A]',
	0x686B : 'Unassigned [0x686B]',
	0x686C : 'Unassigned [0x686C]',
	0x686D : 'Unassigned [0x686D]',
	0x686E : 'Unassigned [0x686E]',
	0x686F : 'Unassigned [0x686F]',
	0x6870 : 'Unassigned [0x6870]',
	0x6871 : 'Unassigned [0x6871]',
	0x6872 : 'Unassigned [0x6872]',
	0x6873 : 'Unassigned [0x6873]',
	0x6874 : 'Unassigned [0x6874]',
	0x6875 : 'Unassigned [0x6875]',
	0x6876 : 'Unassigned [0x6876]',
	0x6877 : 'Unassigned [0x6877]',
	0x6878 : 'Unassigned [0x6878]',
	0x6879 : 'Unassigned [0x6879]',
	0x687A : 'Unassigned [0x687A]',
	0x687B : 'Unassigned [0x687B]',
	0x687C : 'Unassigned [0x687C]',
	0x687D : 'Unassigned [0x687D]',
	0x687E : 'Unassigned [0x687E]',
	0x687F : 'Unassigned [0x687F]',
	0x6880 : 'Unassigned [0x6880]',
	0x6881 : 'Unassigned [0x6881]',
	0x6882 : 'Unassigned [0x6882]',
	0x6883 : 'Unassigned [0x6883]',
	0x6884 : 'Unassigned [0x6884]',
	0x6885 : 'Unassigned [0x6885]',
	0x6886 : 'Unassigned [0x6886]',
	0x6887 : 'Unassigned [0x6887]',
	0x6888 : 'Unassigned [0x6888]',
	0x6889 : 'Unassigned [0x6889]',
	0x688A : 'Unassigned [0x688A]',
	0x688B : 'Unassigned [0x688B]',
	0x688C : 'Unassigned [0x688C]',
	0x688D : 'Unassigned [0x688D]',
	0x688E : 'Unassigned [0x688E]',
	0x688F : 'Unassigned [0x688F]',
	0x6890 : 'Unassigned [0x6890]',
	0x6891 : 'Unassigned [0x6891]',
	0x6892 : 'Unassigned [0x6892]',
	0x6893 : 'Unassigned [0x6893]',
	0x6894 : 'Unassigned [0x6894]',
	0x6895 : 'Unassigned [0x6895]',
	0x6896 : 'Unassigned [0x6896]',
	0x6897 : 'Unassigned [0x6897]',
	0x6898 : 'Unassigned [0x6898]',
	0x6899 : 'Unassigned [0x6899]',
	0x689A : 'Unassigned [0x689A]',
	0x689B : 'Unassigned [0x689B]',
	0x689C : 'Unassigned [0x689C]',
	0x689D : 'Unassigned [0x689D]',
	0x689E : 'Unassigned [0x689E]',
	0x689F : 'Unassigned [0x689F]',
	0x68A0 : 'Unassigned [0x68A0]',
	0x68A1 : 'Unassigned [0x68A1]',
	0x68A2 : 'Unassigned [0x68A2]',
	0x68A3 : 'Unassigned [0x68A3]',
	0x68A4 : 'Unassigned [0x68A4]',
	0x68A5 : 'Unassigned [0x68A5]',
	0x68A6 : 'Unassigned [0x68A6]',
	0x68A7 : 'Unassigned [0x68A7]',
	0x68A8 : 'Unassigned [0x68A8]',
	0x68A9 : 'Unassigned [0x68A9]',
	0x68AA : 'Unassigned [0x68AA]',
	0x68AB : 'Unassigned [0x68AB]',
	0x68AC : 'Unassigned [0x68AC]',
	0x68AD : 'Unassigned [0x68AD]',
	0x68AE : 'Unassigned [0x68AE]',
	0x68AF : 'Unassigned [0x68AF]',
	0x68B0 : 'Unassigned [0x68B0]',
	0x68B1 : 'Unassigned [0x68B1]',
	0x68B2 : 'Unassigned [0x68B2]',
	0x68B3 : 'Unassigned [0x68B3]',
	0x68B4 : 'Unassigned [0x68B4]',
	0x68B5 : 'Unassigned [0x68B5]',
	0x68B6 : 'Unassigned [0x68B6]',
	0x68B7 : 'Unassigned [0x68B7]',
	0x68B8 : 'Unassigned [0x68B8]',
	0x68B9 : 'Unassigned [0x68B9]',
	0x68BA : 'Unassigned [0x68BA]',
	0x68BB : 'Unassigned [0x68BB]',
	0x68BC : 'Unassigned [0x68BC]',
	0x68BD : 'Unassigned [0x68BD]',
	0x68BE : 'Unassigned [0x68BE]',
	0x68BF : 'Unassigned [0x68BF]',
	0x68C0 : 'Unassigned [0x68C0]',
	0x68C1 : 'Unassigned [0x68C1]',
	0x68C2 : 'Unassigned [0x68C2]',
	0x68C3 : 'Unassigned [0x68C3]',
	0x68C4 : 'Unassigned [0x68C4]',
	0x68C5 : 'Unassigned [0x68C5]',
	0x68C6 : 'Unassigned [0x68C6]',
	0x68C7 : 'Unassigned [0x68C7]',
	0x68C8 : 'Unassigned [0x68C8]',
	0x68C9 : 'Unassigned [0x68C9]',
	0x68CA : 'Unassigned [0x68CA]',
	0x68CB : 'Unassigned [0x68CB]',
	0x68CC : 'Unassigned [0x68CC]',
	0x68CD : 'Unassigned [0x68CD]',
	0x68CE : 'Unassigned [0x68CE]',
	0x68CF : 'Unassigned [0x68CF]',
	0x68D0 : 'Unassigned [0x68D0]',
	0x68D1 : 'Unassigned [0x68D1]',
	0x68D2 : 'Unassigned [0x68D2]',
	0x68D3 : 'Unassigned [0x68D3]',
	0x68D4 : 'Unassigned [0x68D4]',
	0x68D5 : 'Unassigned [0x68D5]',
	0x68D6 : 'Unassigned [0x68D6]',
	0x68D7 : 'Unassigned [0x68D7]',
	0x68D8 : 'Unassigned [0x68D8]',
	0x68D9 : 'Unassigned [0x68D9]',
	0x68DA : 'Unassigned [0x68DA]',
	0x68DB : 'Unassigned [0x68DB]',
	0x68DC : 'Unassigned [0x68DC]',
	0x68DD : 'Unassigned [0x68DD]',
	0x68DE : 'Unassigned [0x68DE]',
	0x68DF : 'Unassigned [0x68DF]',
	0x68E0 : 'Unassigned [0x68E0]',
	0x68E1 : 'Unassigned [0x68E1]',
	0x68E2 : 'Unassigned [0x68E2]',
	0x68E3 : 'Unassigned [0x68E3]',
	0x68E4 : 'Unassigned [0x68E4]',
	0x68E5 : 'Unassigned [0x68E5]',
	0x68E6 : 'Unassigned [0x68E6]',
	0x68E7 : 'Unassigned [0x68E7]',
	0x68E8 : 'Unassigned [0x68E8]',
	0x68E9 : 'Unassigned [0x68E9]',
	0x68EA : 'Unassigned [0x68EA]',
	0x68EB : 'Unassigned [0x68EB]',
	0x68EC : 'Unassigned [0x68EC]',
	0x68ED : 'Unassigned [0x68ED]',
	0x68EE : 'Unassigned [0x68EE]',
	0x68EF : 'Unassigned [0x68EF]',
	0x68F0 : 'Unassigned [0x68F0]',
	0x68F1 : 'Unassigned [0x68F1]',
	0x68F2 : 'Unassigned [0x68F2]',
	0x68F3 : 'Unassigned [0x68F3]',
	0x68F4 : 'Unassigned [0x68F4]',
	0x68F5 : 'Unassigned [0x68F5]',
	0x68F6 : 'Unassigned [0x68F6]',
	0x68F7 : 'Unassigned [0x68F7]',
	0x68F8 : 'Unassigned [0x68F8]',
	0x68F9 : 'Unassigned [0x68F9]',
	0x68FA : 'Unassigned [0x68FA]',
	0x68FB : 'Unassigned [0x68FB]',
	0x68FC : 'Unassigned [0x68FC]',
	0x68FD : 'Unassigned [0x68FD]',
	0x68FE : 'Unassigned [0x68FE]',
	0x68FF : 'Unassigned [0x68FF]',
	0x6900 : 'Unassigned [0x6900]',
	0x6901 : 'Unassigned [0x6901]',
	0x6902 : 'Unassigned [0x6902]',
	0x6903 : 'Unassigned [0x6903]',
	0x6904 : 'Unassigned [0x6904]',
	0x6905 : 'Unassigned [0x6905]',
	0x6906 : 'Unassigned [0x6906]',
	0x6907 : 'Unassigned [0x6907]',
	0x6908 : 'Unassigned [0x6908]',
	0x6909 : 'Unassigned [0x6909]',
	0x690A : 'Unassigned [0x690A]',
	0x690B : 'Unassigned [0x690B]',
	0x690C : 'Unassigned [0x690C]',
	0x690D : 'Unassigned [0x690D]',
	0x690E : 'Unassigned [0x690E]',
	0x690F : 'Unassigned [0x690F]',
	0x6910 : 'Unassigned [0x6910]',
	0x6911 : 'Unassigned [0x6911]',
	0x6912 : 'Unassigned [0x6912]',
	0x6913 : 'Unassigned [0x6913]',
	0x6914 : 'Unassigned [0x6914]',
	0x6915 : 'Unassigned [0x6915]',
	0x6916 : 'Unassigned [0x6916]',
	0x6917 : 'Unassigned [0x6917]',
	0x6918 : 'Unassigned [0x6918]',
	0x6919 : 'Unassigned [0x6919]',
	0x691A : 'Unassigned [0x691A]',
	0x691B : 'Unassigned [0x691B]',
	0x691C : 'Unassigned [0x691C]',
	0x691D : 'Unassigned [0x691D]',
	0x691E : 'Unassigned [0x691E]',
	0x691F : 'Unassigned [0x691F]',
	0x6920 : 'Unassigned [0x6920]',
	0x6921 : 'Unassigned [0x6921]',
	0x6922 : 'Unassigned [0x6922]',
	0x6923 : 'Unassigned [0x6923]',
	0x6924 : 'Unassigned [0x6924]',
	0x6925 : 'Unassigned [0x6925]',
	0x6926 : 'Unassigned [0x6926]',
	0x6927 : 'Unassigned [0x6927]',
	0x6928 : 'Unassigned [0x6928]',
	0x6929 : 'Unassigned [0x6929]',
	0x692A : 'Unassigned [0x692A]',
	0x692B : 'Unassigned [0x692B]',
	0x692C : 'Unassigned [0x692C]',
	0x692D : 'Unassigned [0x692D]',
	0x692E : 'Unassigned [0x692E]',
	0x692F : 'Unassigned [0x692F]',
	0x6930 : 'Unassigned [0x6930]',
	0x6931 : 'Unassigned [0x6931]',
	0x6932 : 'Unassigned [0x6932]',
	0x6933 : 'Unassigned [0x6933]',
	0x6934 : 'Unassigned [0x6934]',
	0x6935 : 'Unassigned [0x6935]',
	0x6936 : 'Unassigned [0x6936]',
	0x6937 : 'Unassigned [0x6937]',
	0x6938 : 'Unassigned [0x6938]',
	0x6939 : 'Unassigned [0x6939]',
	0x693A : 'Unassigned [0x693A]',
	0x693B : 'Unassigned [0x693B]',
	0x693C : 'Unassigned [0x693C]',
	0x693D : 'Unassigned [0x693D]',
	0x693E : 'Unassigned [0x693E]',
	0x693F : 'Unassigned [0x693F]',
	0x6940 : 'Unassigned [0x6940]',
	0x6941 : 'Unassigned [0x6941]',
	0x6942 : 'Unassigned [0x6942]',
	0x6943 : 'Unassigned [0x6943]',
	0x6944 : 'Unassigned [0x6944]',
	0x6945 : 'Unassigned [0x6945]',
	0x6946 : 'Unassigned [0x6946]',
	0x6947 : 'Unassigned [0x6947]',
	0x6948 : 'Unassigned [0x6948]',
	0x6949 : 'Unassigned [0x6949]',
	0x694A : 'Unassigned [0x694A]',
	0x694B : 'Unassigned [0x694B]',
	0x694C : 'Unassigned [0x694C]',
	0x694D : 'Unassigned [0x694D]',
	0x694E : 'Unassigned [0x694E]',
	0x694F : 'Unassigned [0x694F]',
	0x6950 : 'Unassigned [0x6950]',
	0x6951 : 'Unassigned [0x6951]',
	0x6952 : 'Unassigned [0x6952]',
	0x6953 : 'Unassigned [0x6953]',
	0x6954 : 'Unassigned [0x6954]',
	0x6955 : 'Unassigned [0x6955]',
	0x6956 : 'Unassigned [0x6956]',
	0x6957 : 'Unassigned [0x6957]',
	0x6958 : 'Unassigned [0x6958]',
	0x6959 : 'Unassigned [0x6959]',
	0x695A : 'Unassigned [0x695A]',
	0x695B : 'Unassigned [0x695B]',
	0x695C : 'Unassigned [0x695C]',
	0x695D : 'Unassigned [0x695D]',
	0x695E : 'Unassigned [0x695E]',
	0x695F : 'Unassigned [0x695F]',
	0x6960 : 'Unassigned [0x6960]',
	0x6961 : 'Unassigned [0x6961]',
	0x6962 : 'Unassigned [0x6962]',
	0x6963 : 'Unassigned [0x6963]',
	0x6964 : 'Unassigned [0x6964]',
	0x6965 : 'Unassigned [0x6965]',
	0x6966 : 'Unassigned [0x6966]',
	0x6967 : 'Unassigned [0x6967]',
	0x6968 : 'Unassigned [0x6968]',
	0x6969 : 'Unassigned [0x6969]',
	0x696A : 'Unassigned [0x696A]',
	0x696B : 'Unassigned [0x696B]',
	0x696C : 'Unassigned [0x696C]',
	0x696D : 'Unassigned [0x696D]',
	0x696E : 'Unassigned [0x696E]',
	0x696F : 'Unassigned [0x696F]',
	0x6970 : 'Unassigned [0x6970]',
	0x6971 : 'Unassigned [0x6971]',
	0x6972 : 'Unassigned [0x6972]',
	0x6973 : 'Unassigned [0x6973]',
	0x6974 : 'Unassigned [0x6974]',
	0x6975 : 'Unassigned [0x6975]',
	0x6976 : 'Unassigned [0x6976]',
	0x6977 : 'Unassigned [0x6977]',
	0x6978 : 'Unassigned [0x6978]',
	0x6979 : 'Unassigned [0x6979]',
	0x697A : 'Unassigned [0x697A]',
	0x697B : 'Unassigned [0x697B]',
	0x697C : 'Unassigned [0x697C]',
	0x697D : 'Unassigned [0x697D]',
	0x697E : 'Unassigned [0x697E]',
	0x697F : 'Unassigned [0x697F]',
	0x6980 : 'Unassigned [0x6980]',
	0x6981 : 'Unassigned [0x6981]',
	0x6982 : 'Unassigned [0x6982]',
	0x6983 : 'Unassigned [0x6983]',
	0x6984 : 'Unassigned [0x6984]',
	0x6985 : 'Unassigned [0x6985]',
	0x6986 : 'Unassigned [0x6986]',
	0x6987 : 'Unassigned [0x6987]',
	0x6988 : 'Unassigned [0x6988]',
	0x6989 : 'Unassigned [0x6989]',
	0x698A : 'Unassigned [0x698A]',
	0x698B : 'Unassigned [0x698B]',
	0x698C : 'Unassigned [0x698C]',
	0x698D : 'Unassigned [0x698D]',
	0x698E : 'Unassigned [0x698E]',
	0x698F : 'Unassigned [0x698F]',
	0x6990 : 'Unassigned [0x6990]',
	0x6991 : 'Unassigned [0x6991]',
	0x6992 : 'Unassigned [0x6992]',
	0x6993 : 'Unassigned [0x6993]',
	0x6994 : 'Unassigned [0x6994]',
	0x6995 : 'Unassigned [0x6995]',
	0x6996 : 'Unassigned [0x6996]',
	0x6997 : 'Unassigned [0x6997]',
	0x6998 : 'Unassigned [0x6998]',
	0x6999 : 'Unassigned [0x6999]',
	0x699A : 'Unassigned [0x699A]',
	0x699B : 'Unassigned [0x699B]',
	0x699C : 'Unassigned [0x699C]',
	0x699D : 'Unassigned [0x699D]',
	0x699E : 'Unassigned [0x699E]',
	0x699F : 'Unassigned [0x699F]',
	0x69A0 : 'Unassigned [0x69A0]',
	0x69A1 : 'Unassigned [0x69A1]',
	0x69A2 : 'Unassigned [0x69A2]',
	0x69A3 : 'Unassigned [0x69A3]',
	0x69A4 : 'Unassigned [0x69A4]',
	0x69A5 : 'Unassigned [0x69A5]',
	0x69A6 : 'Unassigned [0x69A6]',
	0x69A7 : 'Unassigned [0x69A7]',
	0x69A8 : 'Unassigned [0x69A8]',
	0x69A9 : 'Unassigned [0x69A9]',
	0x69AA : 'Unassigned [0x69AA]',
	0x69AB : 'Unassigned [0x69AB]',
	0x69AC : 'Unassigned [0x69AC]',
	0x69AD : 'Unassigned [0x69AD]',
	0x69AE : 'Unassigned [0x69AE]',
	0x69AF : 'Unassigned [0x69AF]',
	0x69B0 : 'Unassigned [0x69B0]',
	0x69B1 : 'Unassigned [0x69B1]',
	0x69B2 : 'Unassigned [0x69B2]',
	0x69B3 : 'Unassigned [0x69B3]',
	0x69B4 : 'Unassigned [0x69B4]',
	0x69B5 : 'Unassigned [0x69B5]',
	0x69B6 : 'Unassigned [0x69B6]',
	0x69B7 : 'Unassigned [0x69B7]',
	0x69B8 : 'Unassigned [0x69B8]',
	0x69B9 : 'Unassigned [0x69B9]',
	0x69BA : 'Unassigned [0x69BA]',
	0x69BB : 'Unassigned [0x69BB]',
	0x69BC : 'Unassigned [0x69BC]',
	0x69BD : 'Unassigned [0x69BD]',
	0x69BE : 'Unassigned [0x69BE]',
	0x69BF : 'Unassigned [0x69BF]',
	0x69C0 : 'Unassigned [0x69C0]',
	0x69C1 : 'Unassigned [0x69C1]',
	0x69C2 : 'Unassigned [0x69C2]',
	0x69C3 : 'Unassigned [0x69C3]',
	0x69C4 : 'Unassigned [0x69C4]',
	0x69C5 : 'Unassigned [0x69C5]',
	0x69C6 : 'Unassigned [0x69C6]',
	0x69C7 : 'Unassigned [0x69C7]',
	0x69C8 : 'Unassigned [0x69C8]',
	0x69C9 : 'Unassigned [0x69C9]',
	0x69CA : 'Unassigned [0x69CA]',
	0x69CB : 'Unassigned [0x69CB]',
	0x69CC : 'Unassigned [0x69CC]',
	0x69CD : 'Unassigned [0x69CD]',
	0x69CE : 'Unassigned [0x69CE]',
	0x69CF : 'Unassigned [0x69CF]',
	0x69D0 : 'Unassigned [0x69D0]',
	0x69D1 : 'Unassigned [0x69D1]',
	0x69D2 : 'Unassigned [0x69D2]',
	0x69D3 : 'Unassigned [0x69D3]',
	0x69D4 : 'Unassigned [0x69D4]',
	0x69D5 : 'Unassigned [0x69D5]',
	0x69D6 : 'Unassigned [0x69D6]',
	0x69D7 : 'Unassigned [0x69D7]',
	0x69D8 : 'Unassigned [0x69D8]',
	0x69D9 : 'Unassigned [0x69D9]',
	0x69DA : 'Unassigned [0x69DA]',
	0x69DB : 'Unassigned [0x69DB]',
	0x69DC : 'Unassigned [0x69DC]',
	0x69DD : 'Unassigned [0x69DD]',
	0x69DE : 'Unassigned [0x69DE]',
	0x69DF : 'Unassigned [0x69DF]',
	0x69E0 : 'Unassigned [0x69E0]',
	0x69E1 : 'Unassigned [0x69E1]',
	0x69E2 : 'Unassigned [0x69E2]',
	0x69E3 : 'Unassigned [0x69E3]',
	0x69E4 : 'Unassigned [0x69E4]',
	0x69E5 : 'Unassigned [0x69E5]',
	0x69E6 : 'Unassigned [0x69E6]',
	0x69E7 : 'Unassigned [0x69E7]',
	0x69E8 : 'Unassigned [0x69E8]',
	0x69E9 : 'Unassigned [0x69E9]',
	0x69EA : 'Unassigned [0x69EA]',
	0x69EB : 'Unassigned [0x69EB]',
	0x69EC : 'Unassigned [0x69EC]',
	0x69ED : 'Unassigned [0x69ED]',
	0x69EE : 'Unassigned [0x69EE]',
	0x69EF : 'Unassigned [0x69EF]',
	0x69F0 : 'Unassigned [0x69F0]',
	0x69F1 : 'Unassigned [0x69F1]',
	0x69F2 : 'Unassigned [0x69F2]',
	0x69F3 : 'Unassigned [0x69F3]',
	0x69F4 : 'Unassigned [0x69F4]',
	0x69F5 : 'Unassigned [0x69F5]',
	0x69F6 : 'Unassigned [0x69F6]',
	0x69F7 : 'Unassigned [0x69F7]',
	0x69F8 : 'Unassigned [0x69F8]',
	0x69F9 : 'Unassigned [0x69F9]',
	0x69FA : 'Unassigned [0x69FA]',
	0x69FB : 'Unassigned [0x69FB]',
	0x69FC : 'Unassigned [0x69FC]',
	0x69FD : 'Unassigned [0x69FD]',
	0x69FE : 'Unassigned [0x69FE]',
	0x69FF : 'Unassigned [0x69FF]',
	0x6A00 : 'Unassigned [0x6A00]',
	0x6A01 : 'Unassigned [0x6A01]',
	0x6A02 : 'Unassigned [0x6A02]',
	0x6A03 : 'Unassigned [0x6A03]',
	0x6A04 : 'Unassigned [0x6A04]',
	0x6A05 : 'Unassigned [0x6A05]',
	0x6A06 : 'Unassigned [0x6A06]',
	0x6A07 : 'Unassigned [0x6A07]',
	0x6A08 : 'Unassigned [0x6A08]',
	0x6A09 : 'Unassigned [0x6A09]',
	0x6A0A : 'Unassigned [0x6A0A]',
	0x6A0B : 'Unassigned [0x6A0B]',
	0x6A0C : 'Unassigned [0x6A0C]',
	0x6A0D : 'Unassigned [0x6A0D]',
	0x6A0E : 'Unassigned [0x6A0E]',
	0x6A0F : 'Unassigned [0x6A0F]',
	0x6A10 : 'Unassigned [0x6A10]',
	0x6A11 : 'Unassigned [0x6A11]',
	0x6A12 : 'Unassigned [0x6A12]',
	0x6A13 : 'Unassigned [0x6A13]',
	0x6A14 : 'Unassigned [0x6A14]',
	0x6A15 : 'Unassigned [0x6A15]',
	0x6A16 : 'Unassigned [0x6A16]',
	0x6A17 : 'Unassigned [0x6A17]',
	0x6A18 : 'Unassigned [0x6A18]',
	0x6A19 : 'Unassigned [0x6A19]',
	0x6A1A : 'Unassigned [0x6A1A]',
	0x6A1B : 'Unassigned [0x6A1B]',
	0x6A1C : 'Unassigned [0x6A1C]',
	0x6A1D : 'Unassigned [0x6A1D]',
	0x6A1E : 'Unassigned [0x6A1E]',
	0x6A1F : 'Unassigned [0x6A1F]',
	0x6A20 : 'Unassigned [0x6A20]',
	0x6A21 : 'Unassigned [0x6A21]',
	0x6A22 : 'Unassigned [0x6A22]',
	0x6A23 : 'Unassigned [0x6A23]',
	0x6A24 : 'Unassigned [0x6A24]',
	0x6A25 : 'Unassigned [0x6A25]',
	0x6A26 : 'Unassigned [0x6A26]',
	0x6A27 : 'Unassigned [0x6A27]',
	0x6A28 : 'Unassigned [0x6A28]',
	0x6A29 : 'Unassigned [0x6A29]',
	0x6A2A : 'Unassigned [0x6A2A]',
	0x6A2B : 'Unassigned [0x6A2B]',
	0x6A2C : 'Unassigned [0x6A2C]',
	0x6A2D : 'Unassigned [0x6A2D]',
	0x6A2E : 'Unassigned [0x6A2E]',
	0x6A2F : 'Unassigned [0x6A2F]',
	0x6A30 : 'Unassigned [0x6A30]',
	0x6A31 : 'Unassigned [0x6A31]',
	0x6A32 : 'Unassigned [0x6A32]',
	0x6A33 : 'Unassigned [0x6A33]',
	0x6A34 : 'Unassigned [0x6A34]',
	0x6A35 : 'Unassigned [0x6A35]',
	0x6A36 : 'Unassigned [0x6A36]',
	0x6A37 : 'Unassigned [0x6A37]',
	0x6A38 : 'Unassigned [0x6A38]',
	0x6A39 : 'Unassigned [0x6A39]',
	0x6A3A : 'Unassigned [0x6A3A]',
	0x6A3B : 'Unassigned [0x6A3B]',
	0x6A3C : 'Unassigned [0x6A3C]',
	0x6A3D : 'Unassigned [0x6A3D]',
	0x6A3E : 'Unassigned [0x6A3E]',
	0x6A3F : 'Unassigned [0x6A3F]',
	0x6A40 : 'Unassigned [0x6A40]',
	0x6A41 : 'Unassigned [0x6A41]',
	0x6A42 : 'Unassigned [0x6A42]',
	0x6A43 : 'Unassigned [0x6A43]',
	0x6A44 : 'Unassigned [0x6A44]',
	0x6A45 : 'Unassigned [0x6A45]',
	0x6A46 : 'Unassigned [0x6A46]',
	0x6A47 : 'Unassigned [0x6A47]',
	0x6A48 : 'Unassigned [0x6A48]',
	0x6A49 : 'Unassigned [0x6A49]',
	0x6A4A : 'Unassigned [0x6A4A]',
	0x6A4B : 'Unassigned [0x6A4B]',
	0x6A4C : 'Unassigned [0x6A4C]',
	0x6A4D : 'Unassigned [0x6A4D]',
	0x6A4E : 'Unassigned [0x6A4E]',
	0x6A4F : 'Unassigned [0x6A4F]',
	0x6A50 : 'Unassigned [0x6A50]',
	0x6A51 : 'Unassigned [0x6A51]',
	0x6A52 : 'Unassigned [0x6A52]',
	0x6A53 : 'Unassigned [0x6A53]',
	0x6A54 : 'Unassigned [0x6A54]',
	0x6A55 : 'Unassigned [0x6A55]',
	0x6A56 : 'Unassigned [0x6A56]',
	0x6A57 : 'Unassigned [0x6A57]',
	0x6A58 : 'Unassigned [0x6A58]',
	0x6A59 : 'Unassigned [0x6A59]',
	0x6A5A : 'Unassigned [0x6A5A]',
	0x6A5B : 'Unassigned [0x6A5B]',
	0x6A5C : 'Unassigned [0x6A5C]',
	0x6A5D : 'Unassigned [0x6A5D]',
	0x6A5E : 'Unassigned [0x6A5E]',
	0x6A5F : 'Unassigned [0x6A5F]',
	0x6A60 : 'Unassigned [0x6A60]',
	0x6A61 : 'Unassigned [0x6A61]',
	0x6A62 : 'Unassigned [0x6A62]',
	0x6A63 : 'Unassigned [0x6A63]',
	0x6A64 : 'Unassigned [0x6A64]',
	0x6A65 : 'Unassigned [0x6A65]',
	0x6A66 : 'Unassigned [0x6A66]',
	0x6A67 : 'Unassigned [0x6A67]',
	0x6A68 : 'Unassigned [0x6A68]',
	0x6A69 : 'Unassigned [0x6A69]',
	0x6A6A : 'Unassigned [0x6A6A]',
	0x6A6B : 'Unassigned [0x6A6B]',
	0x6A6C : 'Unassigned [0x6A6C]',
	0x6A6D : 'Unassigned [0x6A6D]',
	0x6A6E : 'Unassigned [0x6A6E]',
	0x6A6F : 'Unassigned [0x6A6F]',
	0x6A70 : 'Unassigned [0x6A70]',
	0x6A71 : 'Unassigned [0x6A71]',
	0x6A72 : 'Unassigned [0x6A72]',
	0x6A73 : 'Unassigned [0x6A73]',
	0x6A74 : 'Unassigned [0x6A74]',
	0x6A75 : 'Unassigned [0x6A75]',
	0x6A76 : 'Unassigned [0x6A76]',
	0x6A77 : 'Unassigned [0x6A77]',
	0x6A78 : 'Unassigned [0x6A78]',
	0x6A79 : 'Unassigned [0x6A79]',
	0x6A7A : 'Unassigned [0x6A7A]',
	0x6A7B : 'Unassigned [0x6A7B]',
	0x6A7C : 'Unassigned [0x6A7C]',
	0x6A7D : 'Unassigned [0x6A7D]',
	0x6A7E : 'Unassigned [0x6A7E]',
	0x6A7F : 'Unassigned [0x6A7F]',
	0x6A80 : 'Unassigned [0x6A80]',
	0x6A81 : 'Unassigned [0x6A81]',
	0x6A82 : 'Unassigned [0x6A82]',
	0x6A83 : 'Unassigned [0x6A83]',
	0x6A84 : 'Unassigned [0x6A84]',
	0x6A85 : 'Unassigned [0x6A85]',
	0x6A86 : 'Unassigned [0x6A86]',
	0x6A87 : 'Unassigned [0x6A87]',
	0x6A88 : 'Unassigned [0x6A88]',
	0x6A89 : 'Unassigned [0x6A89]',
	0x6A8A : 'Unassigned [0x6A8A]',
	0x6A8B : 'Unassigned [0x6A8B]',
	0x6A8C : 'Unassigned [0x6A8C]',
	0x6A8D : 'Unassigned [0x6A8D]',
	0x6A8E : 'Unassigned [0x6A8E]',
	0x6A8F : 'Unassigned [0x6A8F]',
	0x6A90 : 'Unassigned [0x6A90]',
	0x6A91 : 'Unassigned [0x6A91]',
	0x6A92 : 'Unassigned [0x6A92]',
	0x6A93 : 'Unassigned [0x6A93]',
	0x6A94 : 'Unassigned [0x6A94]',
	0x6A95 : 'Unassigned [0x6A95]',
	0x6A96 : 'Unassigned [0x6A96]',
	0x6A97 : 'Unassigned [0x6A97]',
	0x6A98 : 'Unassigned [0x6A98]',
	0x6A99 : 'Unassigned [0x6A99]',
	0x6A9A : 'Unassigned [0x6A9A]',
	0x6A9B : 'Unassigned [0x6A9B]',
	0x6A9C : 'Unassigned [0x6A9C]',
	0x6A9D : 'Unassigned [0x6A9D]',
	0x6A9E : 'Unassigned [0x6A9E]',
	0x6A9F : 'Unassigned [0x6A9F]',
	0x6AA0 : 'Unassigned [0x6AA0]',
	0x6AA1 : 'Unassigned [0x6AA1]',
	0x6AA2 : 'Unassigned [0x6AA2]',
	0x6AA3 : 'Unassigned [0x6AA3]',
	0x6AA4 : 'Unassigned [0x6AA4]',
	0x6AA5 : 'Unassigned [0x6AA5]',
	0x6AA6 : 'Unassigned [0x6AA6]',
	0x6AA7 : 'Unassigned [0x6AA7]',
	0x6AA8 : 'Unassigned [0x6AA8]',
	0x6AA9 : 'Unassigned [0x6AA9]',
	0x6AAA : 'Unassigned [0x6AAA]',
	0x6AAB : 'Unassigned [0x6AAB]',
	0x6AAC : 'Unassigned [0x6AAC]',
	0x6AAD : 'Unassigned [0x6AAD]',
	0x6AAE : 'Unassigned [0x6AAE]',
	0x6AAF : 'Unassigned [0x6AAF]',
	0x6AB0 : 'Unassigned [0x6AB0]',
	0x6AB1 : 'Unassigned [0x6AB1]',
	0x6AB2 : 'Unassigned [0x6AB2]',
	0x6AB3 : 'Unassigned [0x6AB3]',
	0x6AB4 : 'Unassigned [0x6AB4]',
	0x6AB5 : 'Unassigned [0x6AB5]',
	0x6AB6 : 'Unassigned [0x6AB6]',
	0x6AB7 : 'Unassigned [0x6AB7]',
	0x6AB8 : 'Unassigned [0x6AB8]',
	0x6AB9 : 'Unassigned [0x6AB9]',
	0x6ABA : 'Unassigned [0x6ABA]',
	0x6ABB : 'Unassigned [0x6ABB]',
	0x6ABC : 'Unassigned [0x6ABC]',
	0x6ABD : 'Unassigned [0x6ABD]',
	0x6ABE : 'Unassigned [0x6ABE]',
	0x6ABF : 'Unassigned [0x6ABF]',
	0x6AC0 : 'Unassigned [0x6AC0]',
	0x6AC1 : 'Unassigned [0x6AC1]',
	0x6AC2 : 'Unassigned [0x6AC2]',
	0x6AC3 : 'Unassigned [0x6AC3]',
	0x6AC4 : 'Unassigned [0x6AC4]',
	0x6AC5 : 'Unassigned [0x6AC5]',
	0x6AC6 : 'Unassigned [0x6AC6]',
	0x6AC7 : 'Unassigned [0x6AC7]',
	0x6AC8 : 'Unassigned [0x6AC8]',
	0x6AC9 : 'Unassigned [0x6AC9]',
	0x6ACA : 'Unassigned [0x6ACA]',
	0x6ACB : 'Unassigned [0x6ACB]',
	0x6ACC : 'Unassigned [0x6ACC]',
	0x6ACD : 'Unassigned [0x6ACD]',
	0x6ACE : 'Unassigned [0x6ACE]',
	0x6ACF : 'Unassigned [0x6ACF]',
	0x6AD0 : 'Unassigned [0x6AD0]',
	0x6AD1 : 'Unassigned [0x6AD1]',
	0x6AD2 : 'Unassigned [0x6AD2]',
	0x6AD3 : 'Unassigned [0x6AD3]',
	0x6AD4 : 'Unassigned [0x6AD4]',
	0x6AD5 : 'Unassigned [0x6AD5]',
	0x6AD6 : 'Unassigned [0x6AD6]',
	0x6AD7 : 'Unassigned [0x6AD7]',
	0x6AD8 : 'Unassigned [0x6AD8]',
	0x6AD9 : 'Unassigned [0x6AD9]',
	0x6ADA : 'Unassigned [0x6ADA]',
	0x6ADB : 'Unassigned [0x6ADB]',
	0x6ADC : 'Unassigned [0x6ADC]',
	0x6ADD : 'Unassigned [0x6ADD]',
	0x6ADE : 'Unassigned [0x6ADE]',
	0x6ADF : 'Unassigned [0x6ADF]',
	0x6AE0 : 'Unassigned [0x6AE0]',
	0x6AE1 : 'Unassigned [0x6AE1]',
	0x6AE2 : 'Unassigned [0x6AE2]',
	0x6AE3 : 'Unassigned [0x6AE3]',
	0x6AE4 : 'Unassigned [0x6AE4]',
	0x6AE5 : 'Unassigned [0x6AE5]',
	0x6AE6 : 'Unassigned [0x6AE6]',
	0x6AE7 : 'Unassigned [0x6AE7]',
	0x6AE8 : 'Unassigned [0x6AE8]',
	0x6AE9 : 'Unassigned [0x6AE9]',
	0x6AEA : 'Unassigned [0x6AEA]',
	0x6AEB : 'Unassigned [0x6AEB]',
	0x6AEC : 'Unassigned [0x6AEC]',
	0x6AED : 'Unassigned [0x6AED]',
	0x6AEE : 'Unassigned [0x6AEE]',
	0x6AEF : 'Unassigned [0x6AEF]',
	0x6AF0 : 'Unassigned [0x6AF0]',
	0x6AF1 : 'Unassigned [0x6AF1]',
	0x6AF2 : 'Unassigned [0x6AF2]',
	0x6AF3 : 'Unassigned [0x6AF3]',
	0x6AF4 : 'Unassigned [0x6AF4]',
	0x6AF5 : 'Unassigned [0x6AF5]',
	0x6AF6 : 'Unassigned [0x6AF6]',
	0x6AF7 : 'Unassigned [0x6AF7]',
	0x6AF8 : 'Unassigned [0x6AF8]',
	0x6AF9 : 'Unassigned [0x6AF9]',
	0x6AFA : 'Unassigned [0x6AFA]',
	0x6AFB : 'Unassigned [0x6AFB]',
	0x6AFC : 'Unassigned [0x6AFC]',
	0x6AFD : 'Unassigned [0x6AFD]',
	0x6AFE : 'Unassigned [0x6AFE]',
	0x6AFF : 'Unassigned [0x6AFF]',
	0x6B00 : 'Unassigned [0x6B00]',
	0x6B01 : 'Unassigned [0x6B01]',
	0x6B02 : 'Unassigned [0x6B02]',
	0x6B03 : 'Unassigned [0x6B03]',
	0x6B04 : 'Unassigned [0x6B04]',
	0x6B05 : 'Unassigned [0x6B05]',
	0x6B06 : 'Unassigned [0x6B06]',
	0x6B07 : 'Unassigned [0x6B07]',
	0x6B08 : 'Unassigned [0x6B08]',
	0x6B09 : 'Unassigned [0x6B09]',
	0x6B0A : 'Unassigned [0x6B0A]',
	0x6B0B : 'Unassigned [0x6B0B]',
	0x6B0C : 'Unassigned [0x6B0C]',
	0x6B0D : 'Unassigned [0x6B0D]',
	0x6B0E : 'Unassigned [0x6B0E]',
	0x6B0F : 'Unassigned [0x6B0F]',
	0x6B10 : 'Unassigned [0x6B10]',
	0x6B11 : 'Unassigned [0x6B11]',
	0x6B12 : 'Unassigned [0x6B12]',
	0x6B13 : 'Unassigned [0x6B13]',
	0x6B14 : 'Unassigned [0x6B14]',
	0x6B15 : 'Unassigned [0x6B15]',
	0x6B16 : 'Unassigned [0x6B16]',
	0x6B17 : 'Unassigned [0x6B17]',
	0x6B18 : 'Unassigned [0x6B18]',
	0x6B19 : 'Unassigned [0x6B19]',
	0x6B1A : 'Unassigned [0x6B1A]',
	0x6B1B : 'Unassigned [0x6B1B]',
	0x6B1C : 'Unassigned [0x6B1C]',
	0x6B1D : 'Unassigned [0x6B1D]',
	0x6B1E : 'Unassigned [0x6B1E]',
	0x6B1F : 'Unassigned [0x6B1F]',
	0x6B20 : 'Unassigned [0x6B20]',
	0x6B21 : 'Unassigned [0x6B21]',
	0x6B22 : 'Unassigned [0x6B22]',
	0x6B23 : 'Unassigned [0x6B23]',
	0x6B24 : 'Unassigned [0x6B24]',
	0x6B25 : 'Unassigned [0x6B25]',
	0x6B26 : 'Unassigned [0x6B26]',
	0x6B27 : 'Unassigned [0x6B27]',
	0x6B28 : 'Unassigned [0x6B28]',
	0x6B29 : 'Unassigned [0x6B29]',
	0x6B2A : 'Unassigned [0x6B2A]',
	0x6B2B : 'Unassigned [0x6B2B]',
	0x6B2C : 'Unassigned [0x6B2C]',
	0x6B2D : 'Unassigned [0x6B2D]',
	0x6B2E : 'Unassigned [0x6B2E]',
	0x6B2F : 'Unassigned [0x6B2F]',
	0x6B30 : 'Unassigned [0x6B30]',
	0x6B31 : 'Unassigned [0x6B31]',
	0x6B32 : 'Unassigned [0x6B32]',
	0x6B33 : 'Unassigned [0x6B33]',
	0x6B34 : 'Unassigned [0x6B34]',
	0x6B35 : 'Unassigned [0x6B35]',
	0x6B36 : 'Unassigned [0x6B36]',
	0x6B37 : 'Unassigned [0x6B37]',
	0x6B38 : 'Unassigned [0x6B38]',
	0x6B39 : 'Unassigned [0x6B39]',
	0x6B3A : 'Unassigned [0x6B3A]',
	0x6B3B : 'Unassigned [0x6B3B]',
	0x6B3C : 'Unassigned [0x6B3C]',
	0x6B3D : 'Unassigned [0x6B3D]',
	0x6B3E : 'Unassigned [0x6B3E]',
	0x6B3F : 'Unassigned [0x6B3F]',
	0x6B40 : 'Unassigned [0x6B40]',
	0x6B41 : 'Unassigned [0x6B41]',
	0x6B42 : 'Unassigned [0x6B42]',
	0x6B43 : 'Unassigned [0x6B43]',
	0x6B44 : 'Unassigned [0x6B44]',
	0x6B45 : 'Unassigned [0x6B45]',
	0x6B46 : 'Unassigned [0x6B46]',
	0x6B47 : 'Unassigned [0x6B47]',
	0x6B48 : 'Unassigned [0x6B48]',
	0x6B49 : 'Unassigned [0x6B49]',
	0x6B4A : 'Unassigned [0x6B4A]',
	0x6B4B : 'Unassigned [0x6B4B]',
	0x6B4C : 'Unassigned [0x6B4C]',
	0x6B4D : 'Unassigned [0x6B4D]',
	0x6B4E : 'Unassigned [0x6B4E]',
	0x6B4F : 'Unassigned [0x6B4F]',
	0x6B50 : 'Unassigned [0x6B50]',
	0x6B51 : 'Unassigned [0x6B51]',
	0x6B52 : 'Unassigned [0x6B52]',
	0x6B53 : 'Unassigned [0x6B53]',
	0x6B54 : 'Unassigned [0x6B54]',
	0x6B55 : 'Unassigned [0x6B55]',
	0x6B56 : 'Unassigned [0x6B56]',
	0x6B57 : 'Unassigned [0x6B57]',
	0x6B58 : 'Unassigned [0x6B58]',
	0x6B59 : 'Unassigned [0x6B59]',
	0x6B5A : 'Unassigned [0x6B5A]',
	0x6B5B : 'Unassigned [0x6B5B]',
	0x6B5C : 'Unassigned [0x6B5C]',
	0x6B5D : 'Unassigned [0x6B5D]',
	0x6B5E : 'Unassigned [0x6B5E]',
	0x6B5F : 'Unassigned [0x6B5F]',
	0x6B60 : 'Unassigned [0x6B60]',
	0x6B61 : 'Unassigned [0x6B61]',
	0x6B62 : 'Unassigned [0x6B62]',
	0x6B63 : 'Unassigned [0x6B63]',
	0x6B64 : 'Unassigned [0x6B64]',
	0x6B65 : 'Unassigned [0x6B65]',
	0x6B66 : 'Unassigned [0x6B66]',
	0x6B67 : 'Unassigned [0x6B67]',
	0x6B68 : 'Unassigned [0x6B68]',
	0x6B69 : 'Unassigned [0x6B69]',
	0x6B6A : 'Unassigned [0x6B6A]',
	0x6B6B : 'Unassigned [0x6B6B]',
	0x6B6C : 'Unassigned [0x6B6C]',
	0x6B6D : 'Unassigned [0x6B6D]',
	0x6B6E : 'Unassigned [0x6B6E]',
	0x6B6F : 'Unassigned [0x6B6F]',
	0x6B70 : 'Unassigned [0x6B70]',
	0x6B71 : 'Unassigned [0x6B71]',
	0x6B72 : 'Unassigned [0x6B72]',
	0x6B73 : 'Unassigned [0x6B73]',
	0x6B74 : 'Unassigned [0x6B74]',
	0x6B75 : 'Unassigned [0x6B75]',
	0x6B76 : 'Unassigned [0x6B76]',
	0x6B77 : 'Unassigned [0x6B77]',
	0x6B78 : 'Unassigned [0x6B78]',
	0x6B79 : 'Unassigned [0x6B79]',
	0x6B7A : 'Unassigned [0x6B7A]',
	0x6B7B : 'Unassigned [0x6B7B]',
	0x6B7C : 'Unassigned [0x6B7C]',
	0x6B7D : 'Unassigned [0x6B7D]',
	0x6B7E : 'Unassigned [0x6B7E]',
	0x6B7F : 'Unassigned [0x6B7F]',
	0x6B80 : 'Unassigned [0x6B80]',
	0x6B81 : 'Unassigned [0x6B81]',
	0x6B82 : 'Unassigned [0x6B82]',
	0x6B83 : 'Unassigned [0x6B83]',
	0x6B84 : 'Unassigned [0x6B84]',
	0x6B85 : 'Unassigned [0x6B85]',
	0x6B86 : 'Unassigned [0x6B86]',
	0x6B87 : 'Unassigned [0x6B87]',
	0x6B88 : 'Unassigned [0x6B88]',
	0x6B89 : 'Unassigned [0x6B89]',
	0x6B8A : 'Unassigned [0x6B8A]',
	0x6B8B : 'Unassigned [0x6B8B]',
	0x6B8C : 'Unassigned [0x6B8C]',
	0x6B8D : 'Unassigned [0x6B8D]',
	0x6B8E : 'Unassigned [0x6B8E]',
	0x6B8F : 'Unassigned [0x6B8F]',
	0x6B90 : 'Unassigned [0x6B90]',
	0x6B91 : 'Unassigned [0x6B91]',
	0x6B92 : 'Unassigned [0x6B92]',
	0x6B93 : 'Unassigned [0x6B93]',
	0x6B94 : 'Unassigned [0x6B94]',
	0x6B95 : 'Unassigned [0x6B95]',
	0x6B96 : 'Unassigned [0x6B96]',
	0x6B97 : 'Unassigned [0x6B97]',
	0x6B98 : 'Unassigned [0x6B98]',
	0x6B99 : 'Unassigned [0x6B99]',
	0x6B9A : 'Unassigned [0x6B9A]',
	0x6B9B : 'Unassigned [0x6B9B]',
	0x6B9C : 'Unassigned [0x6B9C]',
	0x6B9D : 'Unassigned [0x6B9D]',
	0x6B9E : 'Unassigned [0x6B9E]',
	0x6B9F : 'Unassigned [0x6B9F]',
	0x6BA0 : 'Unassigned [0x6BA0]',
	0x6BA1 : 'Unassigned [0x6BA1]',
	0x6BA2 : 'Unassigned [0x6BA2]',
	0x6BA3 : 'Unassigned [0x6BA3]',
	0x6BA4 : 'Unassigned [0x6BA4]',
	0x6BA5 : 'Unassigned [0x6BA5]',
	0x6BA6 : 'Unassigned [0x6BA6]',
	0x6BA7 : 'Unassigned [0x6BA7]',
	0x6BA8 : 'Unassigned [0x6BA8]',
	0x6BA9 : 'Unassigned [0x6BA9]',
	0x6BAA : 'Unassigned [0x6BAA]',
	0x6BAB : 'Unassigned [0x6BAB]',
	0x6BAC : 'Unassigned [0x6BAC]',
	0x6BAD : 'Unassigned [0x6BAD]',
	0x6BAE : 'Unassigned [0x6BAE]',
	0x6BAF : 'Unassigned [0x6BAF]',
	0x6BB0 : 'Unassigned [0x6BB0]',
	0x6BB1 : 'Unassigned [0x6BB1]',
	0x6BB2 : 'Unassigned [0x6BB2]',
	0x6BB3 : 'Unassigned [0x6BB3]',
	0x6BB4 : 'Unassigned [0x6BB4]',
	0x6BB5 : 'Unassigned [0x6BB5]',
	0x6BB6 : 'Unassigned [0x6BB6]',
	0x6BB7 : 'Unassigned [0x6BB7]',
	0x6BB8 : 'Unassigned [0x6BB8]',
	0x6BB9 : 'Unassigned [0x6BB9]',
	0x6BBA : 'Unassigned [0x6BBA]',
	0x6BBB : 'Unassigned [0x6BBB]',
	0x6BBC : 'Unassigned [0x6BBC]',
	0x6BBD : 'Unassigned [0x6BBD]',
	0x6BBE : 'Unassigned [0x6BBE]',
	0x6BBF : 'Unassigned [0x6BBF]',
	0x6BC0 : 'Unassigned [0x6BC0]',
	0x6BC1 : 'Unassigned [0x6BC1]',
	0x6BC2 : 'Unassigned [0x6BC2]',
	0x6BC3 : 'Unassigned [0x6BC3]',
	0x6BC4 : 'Unassigned [0x6BC4]',
	0x6BC5 : 'Unassigned [0x6BC5]',
	0x6BC6 : 'Unassigned [0x6BC6]',
	0x6BC7 : 'Unassigned [0x6BC7]',
	0x6BC8 : 'Unassigned [0x6BC8]',
	0x6BC9 : 'Unassigned [0x6BC9]',
	0x6BCA : 'Unassigned [0x6BCA]',
	0x6BCB : 'Unassigned [0x6BCB]',
	0x6BCC : 'Unassigned [0x6BCC]',
	0x6BCD : 'Unassigned [0x6BCD]',
	0x6BCE : 'Unassigned [0x6BCE]',
	0x6BCF : 'Unassigned [0x6BCF]',
	0x6BD0 : 'Unassigned [0x6BD0]',
	0x6BD1 : 'Unassigned [0x6BD1]',
	0x6BD2 : 'Unassigned [0x6BD2]',
	0x6BD3 : 'Unassigned [0x6BD3]',
	0x6BD4 : 'Unassigned [0x6BD4]',
	0x6BD5 : 'Unassigned [0x6BD5]',
	0x6BD6 : 'Unassigned [0x6BD6]',
	0x6BD7 : 'Unassigned [0x6BD7]',
	0x6BD8 : 'Unassigned [0x6BD8]',
	0x6BD9 : 'Unassigned [0x6BD9]',
	0x6BDA : 'Unassigned [0x6BDA]',
	0x6BDB : 'Unassigned [0x6BDB]',
	0x6BDC : 'Unassigned [0x6BDC]',
	0x6BDD : 'Unassigned [0x6BDD]',
	0x6BDE : 'Unassigned [0x6BDE]',
	0x6BDF : 'Unassigned [0x6BDF]',
	0x6BE0 : 'Unassigned [0x6BE0]',
	0x6BE1 : 'Unassigned [0x6BE1]',
	0x6BE2 : 'Unassigned [0x6BE2]',
	0x6BE3 : 'Unassigned [0x6BE3]',
	0x6BE4 : 'Unassigned [0x6BE4]',
	0x6BE5 : 'Unassigned [0x6BE5]',
	0x6BE6 : 'Unassigned [0x6BE6]',
	0x6BE7 : 'Unassigned [0x6BE7]',
	0x6BE8 : 'Unassigned [0x6BE8]',
	0x6BE9 : 'Unassigned [0x6BE9]',
	0x6BEA : 'Unassigned [0x6BEA]',
	0x6BEB : 'Unassigned [0x6BEB]',
	0x6BEC : 'Unassigned [0x6BEC]',
	0x6BED : 'Unassigned [0x6BED]',
	0x6BEE : 'Unassigned [0x6BEE]',
	0x6BEF : 'Unassigned [0x6BEF]',
	0x6BF0 : 'Unassigned [0x6BF0]',
	0x6BF1 : 'Unassigned [0x6BF1]',
	0x6BF2 : 'Unassigned [0x6BF2]',
	0x6BF3 : 'Unassigned [0x6BF3]',
	0x6BF4 : 'Unassigned [0x6BF4]',
	0x6BF5 : 'Unassigned [0x6BF5]',
	0x6BF6 : 'Unassigned [0x6BF6]',
	0x6BF7 : 'Unassigned [0x6BF7]',
	0x6BF8 : 'Unassigned [0x6BF8]',
	0x6BF9 : 'Unassigned [0x6BF9]',
	0x6BFA : 'Unassigned [0x6BFA]',
	0x6BFB : 'Unassigned [0x6BFB]',
	0x6BFC : 'Unassigned [0x6BFC]',
	0x6BFD : 'Unassigned [0x6BFD]',
	0x6BFE : 'Unassigned [0x6BFE]',
	0x6BFF : 'Unassigned [0x6BFF]',
	0x6C00 : 'Unassigned [0x6C00]',
	0x6C01 : 'Unassigned [0x6C01]',
	0x6C02 : 'Unassigned [0x6C02]',
	0x6C03 : 'Unassigned [0x6C03]',
	0x6C04 : 'Unassigned [0x6C04]',
	0x6C05 : 'Unassigned [0x6C05]',
	0x6C06 : 'Unassigned [0x6C06]',
	0x6C07 : 'Unassigned [0x6C07]',
	0x6C08 : 'Unassigned [0x6C08]',
	0x6C09 : 'Unassigned [0x6C09]',
	0x6C0A : 'Unassigned [0x6C0A]',
	0x6C0B : 'Unassigned [0x6C0B]',
	0x6C0C : 'Unassigned [0x6C0C]',
	0x6C0D : 'Unassigned [0x6C0D]',
	0x6C0E : 'Unassigned [0x6C0E]',
	0x6C0F : 'Unassigned [0x6C0F]',
	0x6C10 : 'Unassigned [0x6C10]',
	0x6C11 : 'Unassigned [0x6C11]',
	0x6C12 : 'Unassigned [0x6C12]',
	0x6C13 : 'Unassigned [0x6C13]',
	0x6C14 : 'Unassigned [0x6C14]',
	0x6C15 : 'Unassigned [0x6C15]',
	0x6C16 : 'Unassigned [0x6C16]',
	0x6C17 : 'Unassigned [0x6C17]',
	0x6C18 : 'Unassigned [0x6C18]',
	0x6C19 : 'Unassigned [0x6C19]',
	0x6C1A : 'Unassigned [0x6C1A]',
	0x6C1B : 'Unassigned [0x6C1B]',
	0x6C1C : 'Unassigned [0x6C1C]',
	0x6C1D : 'Unassigned [0x6C1D]',
	0x6C1E : 'Unassigned [0x6C1E]',
	0x6C1F : 'Unassigned [0x6C1F]',
	0x6C20 : 'Unassigned [0x6C20]',
	0x6C21 : 'Unassigned [0x6C21]',
	0x6C22 : 'Unassigned [0x6C22]',
	0x6C23 : 'Unassigned [0x6C23]',
	0x6C24 : 'Unassigned [0x6C24]',
	0x6C25 : 'Unassigned [0x6C25]',
	0x6C26 : 'Unassigned [0x6C26]',
	0x6C27 : 'Unassigned [0x6C27]',
	0x6C28 : 'Unassigned [0x6C28]',
	0x6C29 : 'Unassigned [0x6C29]',
	0x6C2A : 'Unassigned [0x6C2A]',
	0x6C2B : 'Unassigned [0x6C2B]',
	0x6C2C : 'Unassigned [0x6C2C]',
	0x6C2D : 'Unassigned [0x6C2D]',
	0x6C2E : 'Unassigned [0x6C2E]',
	0x6C2F : 'Unassigned [0x6C2F]',
	0x6C30 : 'Unassigned [0x6C30]',
	0x6C31 : 'Unassigned [0x6C31]',
	0x6C32 : 'Unassigned [0x6C32]',
	0x6C33 : 'Unassigned [0x6C33]',
	0x6C34 : 'Unassigned [0x6C34]',
	0x6C35 : 'Unassigned [0x6C35]',
	0x6C36 : 'Unassigned [0x6C36]',
	0x6C37 : 'Unassigned [0x6C37]',
	0x6C38 : 'Unassigned [0x6C38]',
	0x6C39 : 'Unassigned [0x6C39]',
	0x6C3A : 'Unassigned [0x6C3A]',
	0x6C3B : 'Unassigned [0x6C3B]',
	0x6C3C : 'Unassigned [0x6C3C]',
	0x6C3D : 'Unassigned [0x6C3D]',
	0x6C3E : 'Unassigned [0x6C3E]',
	0x6C3F : 'Unassigned [0x6C3F]',
	0x6C40 : 'Unassigned [0x6C40]',
	0x6C41 : 'Unassigned [0x6C41]',
	0x6C42 : 'Unassigned [0x6C42]',
	0x6C43 : 'Unassigned [0x6C43]',
	0x6C44 : 'Unassigned [0x6C44]',
	0x6C45 : 'Unassigned [0x6C45]',
	0x6C46 : 'Unassigned [0x6C46]',
	0x6C47 : 'Unassigned [0x6C47]',
	0x6C48 : 'Unassigned [0x6C48]',
	0x6C49 : 'Unassigned [0x6C49]',
	0x6C4A : 'Unassigned [0x6C4A]',
	0x6C4B : 'Unassigned [0x6C4B]',
	0x6C4C : 'Unassigned [0x6C4C]',
	0x6C4D : 'Unassigned [0x6C4D]',
	0x6C4E : 'Unassigned [0x6C4E]',
	0x6C4F : 'Unassigned [0x6C4F]',
	0x6C50 : 'Unassigned [0x6C50]',
	0x6C51 : 'Unassigned [0x6C51]',
	0x6C52 : 'Unassigned [0x6C52]',
	0x6C53 : 'Unassigned [0x6C53]',
	0x6C54 : 'Unassigned [0x6C54]',
	0x6C55 : 'Unassigned [0x6C55]',
	0x6C56 : 'Unassigned [0x6C56]',
	0x6C57 : 'Unassigned [0x6C57]',
	0x6C58 : 'Unassigned [0x6C58]',
	0x6C59 : 'Unassigned [0x6C59]',
	0x6C5A : 'Unassigned [0x6C5A]',
	0x6C5B : 'Unassigned [0x6C5B]',
	0x6C5C : 'Unassigned [0x6C5C]',
	0x6C5D : 'Unassigned [0x6C5D]',
	0x6C5E : 'Unassigned [0x6C5E]',
	0x6C5F : 'Unassigned [0x6C5F]',
	0x6C60 : 'Unassigned [0x6C60]',
	0x6C61 : 'Unassigned [0x6C61]',
	0x6C62 : 'Unassigned [0x6C62]',
	0x6C63 : 'Unassigned [0x6C63]',
	0x6C64 : 'Unassigned [0x6C64]',
	0x6C65 : 'Unassigned [0x6C65]',
	0x6C66 : 'Unassigned [0x6C66]',
	0x6C67 : 'Unassigned [0x6C67]',
	0x6C68 : 'Unassigned [0x6C68]',
	0x6C69 : 'Unassigned [0x6C69]',
	0x6C6A : 'Unassigned [0x6C6A]',
	0x6C6B : 'Unassigned [0x6C6B]',
	0x6C6C : 'Unassigned [0x6C6C]',
	0x6C6D : 'Unassigned [0x6C6D]',
	0x6C6E : 'Unassigned [0x6C6E]',
	0x6C6F : 'Unassigned [0x6C6F]',
	0x6C70 : 'Unassigned [0x6C70]',
	0x6C71 : 'Unassigned [0x6C71]',
	0x6C72 : 'Unassigned [0x6C72]',
	0x6C73 : 'Unassigned [0x6C73]',
	0x6C74 : 'Unassigned [0x6C74]',
	0x6C75 : 'Unassigned [0x6C75]',
	0x6C76 : 'Unassigned [0x6C76]',
	0x6C77 : 'Unassigned [0x6C77]',
	0x6C78 : 'Unassigned [0x6C78]',
	0x6C79 : 'Unassigned [0x6C79]',
	0x6C7A : 'Unassigned [0x6C7A]',
	0x6C7B : 'Unassigned [0x6C7B]',
	0x6C7C : 'Unassigned [0x6C7C]',
	0x6C7D : 'Unassigned [0x6C7D]',
	0x6C7E : 'Unassigned [0x6C7E]',
	0x6C7F : 'Unassigned [0x6C7F]',
	0x6C80 : 'Unassigned [0x6C80]',
	0x6C81 : 'Unassigned [0x6C81]',
	0x6C82 : 'Unassigned [0x6C82]',
	0x6C83 : 'Unassigned [0x6C83]',
	0x6C84 : 'Unassigned [0x6C84]',
	0x6C85 : 'Unassigned [0x6C85]',
	0x6C86 : 'Unassigned [0x6C86]',
	0x6C87 : 'Unassigned [0x6C87]',
	0x6C88 : 'Unassigned [0x6C88]',
	0x6C89 : 'Unassigned [0x6C89]',
	0x6C8A : 'Unassigned [0x6C8A]',
	0x6C8B : 'Unassigned [0x6C8B]',
	0x6C8C : 'Unassigned [0x6C8C]',
	0x6C8D : 'Unassigned [0x6C8D]',
	0x6C8E : 'Unassigned [0x6C8E]',
	0x6C8F : 'Unassigned [0x6C8F]',
	0x6C90 : 'Unassigned [0x6C90]',
	0x6C91 : 'Unassigned [0x6C91]',
	0x6C92 : 'Unassigned [0x6C92]',
	0x6C93 : 'Unassigned [0x6C93]',
	0x6C94 : 'Unassigned [0x6C94]',
	0x6C95 : 'Unassigned [0x6C95]',
	0x6C96 : 'Unassigned [0x6C96]',
	0x6C97 : 'Unassigned [0x6C97]',
	0x6C98 : 'Unassigned [0x6C98]',
	0x6C99 : 'Unassigned [0x6C99]',
	0x6C9A : 'Unassigned [0x6C9A]',
	0x6C9B : 'Unassigned [0x6C9B]',
	0x6C9C : 'Unassigned [0x6C9C]',
	0x6C9D : 'Unassigned [0x6C9D]',
	0x6C9E : 'Unassigned [0x6C9E]',
	0x6C9F : 'Unassigned [0x6C9F]',
	0x6CA0 : 'Unassigned [0x6CA0]',
	0x6CA1 : 'Unassigned [0x6CA1]',
	0x6CA2 : 'Unassigned [0x6CA2]',
	0x6CA3 : 'Unassigned [0x6CA3]',
	0x6CA4 : 'Unassigned [0x6CA4]',
	0x6CA5 : 'Unassigned [0x6CA5]',
	0x6CA6 : 'Unassigned [0x6CA6]',
	0x6CA7 : 'Unassigned [0x6CA7]',
	0x6CA8 : 'Unassigned [0x6CA8]',
	0x6CA9 : 'Unassigned [0x6CA9]',
	0x6CAA : 'Unassigned [0x6CAA]',
	0x6CAB : 'Unassigned [0x6CAB]',
	0x6CAC : 'Unassigned [0x6CAC]',
	0x6CAD : 'Unassigned [0x6CAD]',
	0x6CAE : 'Unassigned [0x6CAE]',
	0x6CAF : 'Unassigned [0x6CAF]',
	0x6CB0 : 'Unassigned [0x6CB0]',
	0x6CB1 : 'Unassigned [0x6CB1]',
	0x6CB2 : 'Unassigned [0x6CB2]',
	0x6CB3 : 'Unassigned [0x6CB3]',
	0x6CB4 : 'Unassigned [0x6CB4]',
	0x6CB5 : 'Unassigned [0x6CB5]',
	0x6CB6 : 'Unassigned [0x6CB6]',
	0x6CB7 : 'Unassigned [0x6CB7]',
	0x6CB8 : 'Unassigned [0x6CB8]',
	0x6CB9 : 'Unassigned [0x6CB9]',
	0x6CBA : 'Unassigned [0x6CBA]',
	0x6CBB : 'Unassigned [0x6CBB]',
	0x6CBC : 'Unassigned [0x6CBC]',
	0x6CBD : 'Unassigned [0x6CBD]',
	0x6CBE : 'Unassigned [0x6CBE]',
	0x6CBF : 'Unassigned [0x6CBF]',
	0x6CC0 : 'Unassigned [0x6CC0]',
	0x6CC1 : 'Unassigned [0x6CC1]',
	0x6CC2 : 'Unassigned [0x6CC2]',
	0x6CC3 : 'Unassigned [0x6CC3]',
	0x6CC4 : 'Unassigned [0x6CC4]',
	0x6CC5 : 'Unassigned [0x6CC5]',
	0x6CC6 : 'Unassigned [0x6CC6]',
	0x6CC7 : 'Unassigned [0x6CC7]',
	0x6CC8 : 'Unassigned [0x6CC8]',
	0x6CC9 : 'Unassigned [0x6CC9]',
	0x6CCA : 'Unassigned [0x6CCA]',
	0x6CCB : 'Unassigned [0x6CCB]',
	0x6CCC : 'Unassigned [0x6CCC]',
	0x6CCD : 'Unassigned [0x6CCD]',
	0x6CCE : 'Unassigned [0x6CCE]',
	0x6CCF : 'Unassigned [0x6CCF]',
	0x6CD0 : 'Unassigned [0x6CD0]',
	0x6CD1 : 'Unassigned [0x6CD1]',
	0x6CD2 : 'Unassigned [0x6CD2]',
	0x6CD3 : 'Unassigned [0x6CD3]',
	0x6CD4 : 'Unassigned [0x6CD4]',
	0x6CD5 : 'Unassigned [0x6CD5]',
	0x6CD6 : 'Unassigned [0x6CD6]',
	0x6CD7 : 'Unassigned [0x6CD7]',
	0x6CD8 : 'Unassigned [0x6CD8]',
	0x6CD9 : 'Unassigned [0x6CD9]',
	0x6CDA : 'Unassigned [0x6CDA]',
	0x6CDB : 'Unassigned [0x6CDB]',
	0x6CDC : 'Unassigned [0x6CDC]',
	0x6CDD : 'Unassigned [0x6CDD]',
	0x6CDE : 'Unassigned [0x6CDE]',
	0x6CDF : 'Unassigned [0x6CDF]',
	0x6CE0 : 'Unassigned [0x6CE0]',
	0x6CE1 : 'Unassigned [0x6CE1]',
	0x6CE2 : 'Unassigned [0x6CE2]',
	0x6CE3 : 'Unassigned [0x6CE3]',
	0x6CE4 : 'Unassigned [0x6CE4]',
	0x6CE5 : 'Unassigned [0x6CE5]',
	0x6CE6 : 'Unassigned [0x6CE6]',
	0x6CE7 : 'Unassigned [0x6CE7]',
	0x6CE8 : 'Unassigned [0x6CE8]',
	0x6CE9 : 'Unassigned [0x6CE9]',
	0x6CEA : 'Unassigned [0x6CEA]',
	0x6CEB : 'Unassigned [0x6CEB]',
	0x6CEC : 'Unassigned [0x6CEC]',
	0x6CED : 'Unassigned [0x6CED]',
	0x6CEE : 'Unassigned [0x6CEE]',
	0x6CEF : 'Unassigned [0x6CEF]',
	0x6CF0 : 'Unassigned [0x6CF0]',
	0x6CF1 : 'Unassigned [0x6CF1]',
	0x6CF2 : 'Unassigned [0x6CF2]',
	0x6CF3 : 'Unassigned [0x6CF3]',
	0x6CF4 : 'Unassigned [0x6CF4]',
	0x6CF5 : 'Unassigned [0x6CF5]',
	0x6CF6 : 'Unassigned [0x6CF6]',
	0x6CF7 : 'Unassigned [0x6CF7]',
	0x6CF8 : 'Unassigned [0x6CF8]',
	0x6CF9 : 'Unassigned [0x6CF9]',
	0x6CFA : 'Unassigned [0x6CFA]',
	0x6CFB : 'Unassigned [0x6CFB]',
	0x6CFC : 'Unassigned [0x6CFC]',
	0x6CFD : 'Unassigned [0x6CFD]',
	0x6CFE : 'Unassigned [0x6CFE]',
	0x6CFF : 'Unassigned [0x6CFF]',
	0x6D00 : 'Unassigned [0x6D00]',
	0x6D01 : 'Unassigned [0x6D01]',
	0x6D02 : 'Unassigned [0x6D02]',
	0x6D03 : 'Unassigned [0x6D03]',
	0x6D04 : 'Unassigned [0x6D04]',
	0x6D05 : 'Unassigned [0x6D05]',
	0x6D06 : 'Unassigned [0x6D06]',
	0x6D07 : 'Unassigned [0x6D07]',
	0x6D08 : 'Unassigned [0x6D08]',
	0x6D09 : 'Unassigned [0x6D09]',
	0x6D0A : 'Unassigned [0x6D0A]',
	0x6D0B : 'Unassigned [0x6D0B]',
	0x6D0C : 'Unassigned [0x6D0C]',
	0x6D0D : 'Unassigned [0x6D0D]',
	0x6D0E : 'Unassigned [0x6D0E]',
	0x6D0F : 'Unassigned [0x6D0F]',
	0x6D10 : 'Unassigned [0x6D10]',
	0x6D11 : 'Unassigned [0x6D11]',
	0x6D12 : 'Unassigned [0x6D12]',
	0x6D13 : 'Unassigned [0x6D13]',
	0x6D14 : 'Unassigned [0x6D14]',
	0x6D15 : 'Unassigned [0x6D15]',
	0x6D16 : 'Unassigned [0x6D16]',
	0x6D17 : 'Unassigned [0x6D17]',
	0x6D18 : 'Unassigned [0x6D18]',
	0x6D19 : 'Unassigned [0x6D19]',
	0x6D1A : 'Unassigned [0x6D1A]',
	0x6D1B : 'Unassigned [0x6D1B]',
	0x6D1C : 'Unassigned [0x6D1C]',
	0x6D1D : 'Unassigned [0x6D1D]',
	0x6D1E : 'Unassigned [0x6D1E]',
	0x6D1F : 'Unassigned [0x6D1F]',
	0x6D20 : 'Unassigned [0x6D20]',
	0x6D21 : 'Unassigned [0x6D21]',
	0x6D22 : 'Unassigned [0x6D22]',
	0x6D23 : 'Unassigned [0x6D23]',
	0x6D24 : 'Unassigned [0x6D24]',
	0x6D25 : 'Unassigned [0x6D25]',
	0x6D26 : 'Unassigned [0x6D26]',
	0x6D27 : 'Unassigned [0x6D27]',
	0x6D28 : 'Unassigned [0x6D28]',
	0x6D29 : 'Unassigned [0x6D29]',
	0x6D2A : 'Unassigned [0x6D2A]',
	0x6D2B : 'Unassigned [0x6D2B]',
	0x6D2C : 'Unassigned [0x6D2C]',
	0x6D2D : 'Unassigned [0x6D2D]',
	0x6D2E : 'Unassigned [0x6D2E]',
	0x6D2F : 'Unassigned [0x6D2F]',
	0x6D30 : 'Unassigned [0x6D30]',
	0x6D31 : 'Unassigned [0x6D31]',
	0x6D32 : 'Unassigned [0x6D32]',
	0x6D33 : 'Unassigned [0x6D33]',
	0x6D34 : 'Unassigned [0x6D34]',
	0x6D35 : 'Unassigned [0x6D35]',
	0x6D36 : 'Unassigned [0x6D36]',
	0x6D37 : 'Unassigned [0x6D37]',
	0x6D38 : 'Unassigned [0x6D38]',
	0x6D39 : 'Unassigned [0x6D39]',
	0x6D3A : 'Unassigned [0x6D3A]',
	0x6D3B : 'Unassigned [0x6D3B]',
	0x6D3C : 'Unassigned [0x6D3C]',
	0x6D3D : 'Unassigned [0x6D3D]',
	0x6D3E : 'Unassigned [0x6D3E]',
	0x6D3F : 'Unassigned [0x6D3F]',
	0x6D40 : 'Unassigned [0x6D40]',
	0x6D41 : 'Unassigned [0x6D41]',
	0x6D42 : 'Unassigned [0x6D42]',
	0x6D43 : 'Unassigned [0x6D43]',
	0x6D44 : 'Unassigned [0x6D44]',
	0x6D45 : 'Unassigned [0x6D45]',
	0x6D46 : 'Unassigned [0x6D46]',
	0x6D47 : 'Unassigned [0x6D47]',
	0x6D48 : 'Unassigned [0x6D48]',
	0x6D49 : 'Unassigned [0x6D49]',
	0x6D4A : 'Unassigned [0x6D4A]',
	0x6D4B : 'Unassigned [0x6D4B]',
	0x6D4C : 'Unassigned [0x6D4C]',
	0x6D4D : 'Unassigned [0x6D4D]',
	0x6D4E : 'Unassigned [0x6D4E]',
	0x6D4F : 'Unassigned [0x6D4F]',
	0x6D50 : 'Unassigned [0x6D50]',
	0x6D51 : 'Unassigned [0x6D51]',
	0x6D52 : 'Unassigned [0x6D52]',
	0x6D53 : 'Unassigned [0x6D53]',
	0x6D54 : 'Unassigned [0x6D54]',
	0x6D55 : 'Unassigned [0x6D55]',
	0x6D56 : 'Unassigned [0x6D56]',
	0x6D57 : 'Unassigned [0x6D57]',
	0x6D58 : 'Unassigned [0x6D58]',
	0x6D59 : 'Unassigned [0x6D59]',
	0x6D5A : 'Unassigned [0x6D5A]',
	0x6D5B : 'Unassigned [0x6D5B]',
	0x6D5C : 'Unassigned [0x6D5C]',
	0x6D5D : 'Unassigned [0x6D5D]',
	0x6D5E : 'Unassigned [0x6D5E]',
	0x6D5F : 'Unassigned [0x6D5F]',
	0x6D60 : 'Unassigned [0x6D60]',
	0x6D61 : 'Unassigned [0x6D61]',
	0x6D62 : 'Unassigned [0x6D62]',
	0x6D63 : 'Unassigned [0x6D63]',
	0x6D64 : 'Unassigned [0x6D64]',
	0x6D65 : 'Unassigned [0x6D65]',
	0x6D66 : 'Unassigned [0x6D66]',
	0x6D67 : 'Unassigned [0x6D67]',
	0x6D68 : 'Unassigned [0x6D68]',
	0x6D69 : 'Unassigned [0x6D69]',
	0x6D6A : 'Unassigned [0x6D6A]',
	0x6D6B : 'Unassigned [0x6D6B]',
	0x6D6C : 'Unassigned [0x6D6C]',
	0x6D6D : 'Unassigned [0x6D6D]',
	0x6D6E : 'Unassigned [0x6D6E]',
	0x6D6F : 'Unassigned [0x6D6F]',
	0x6D70 : 'Unassigned [0x6D70]',
	0x6D71 : 'Unassigned [0x6D71]',
	0x6D72 : 'Unassigned [0x6D72]',
	0x6D73 : 'Unassigned [0x6D73]',
	0x6D74 : 'Unassigned [0x6D74]',
	0x6D75 : 'Unassigned [0x6D75]',
	0x6D76 : 'Unassigned [0x6D76]',
	0x6D77 : 'Unassigned [0x6D77]',
	0x6D78 : 'Unassigned [0x6D78]',
	0x6D79 : 'Unassigned [0x6D79]',
	0x6D7A : 'Unassigned [0x6D7A]',
	0x6D7B : 'Unassigned [0x6D7B]',
	0x6D7C : 'Unassigned [0x6D7C]',
	0x6D7D : 'Unassigned [0x6D7D]',
	0x6D7E : 'Unassigned [0x6D7E]',
	0x6D7F : 'Unassigned [0x6D7F]',
	0x6D80 : 'Unassigned [0x6D80]',
	0x6D81 : 'Unassigned [0x6D81]',
	0x6D82 : 'Unassigned [0x6D82]',
	0x6D83 : 'Unassigned [0x6D83]',
	0x6D84 : 'Unassigned [0x6D84]',
	0x6D85 : 'Unassigned [0x6D85]',
	0x6D86 : 'Unassigned [0x6D86]',
	0x6D87 : 'Unassigned [0x6D87]',
	0x6D88 : 'Unassigned [0x6D88]',
	0x6D89 : 'Unassigned [0x6D89]',
	0x6D8A : 'Unassigned [0x6D8A]',
	0x6D8B : 'Unassigned [0x6D8B]',
	0x6D8C : 'Unassigned [0x6D8C]',
	0x6D8D : 'Unassigned [0x6D8D]',
	0x6D8E : 'Unassigned [0x6D8E]',
	0x6D8F : 'Unassigned [0x6D8F]',
	0x6D90 : 'Unassigned [0x6D90]',
	0x6D91 : 'Unassigned [0x6D91]',
	0x6D92 : 'Unassigned [0x6D92]',
	0x6D93 : 'Unassigned [0x6D93]',
	0x6D94 : 'Unassigned [0x6D94]',
	0x6D95 : 'Unassigned [0x6D95]',
	0x6D96 : 'Unassigned [0x6D96]',
	0x6D97 : 'Unassigned [0x6D97]',
	0x6D98 : 'Unassigned [0x6D98]',
	0x6D99 : 'Unassigned [0x6D99]',
	0x6D9A : 'Unassigned [0x6D9A]',
	0x6D9B : 'Unassigned [0x6D9B]',
	0x6D9C : 'Unassigned [0x6D9C]',
	0x6D9D : 'Unassigned [0x6D9D]',
	0x6D9E : 'Unassigned [0x6D9E]',
	0x6D9F : 'Unassigned [0x6D9F]',
	0x6DA0 : 'Unassigned [0x6DA0]',
	0x6DA1 : 'Unassigned [0x6DA1]',
	0x6DA2 : 'Unassigned [0x6DA2]',
	0x6DA3 : 'Unassigned [0x6DA3]',
	0x6DA4 : 'Unassigned [0x6DA4]',
	0x6DA5 : 'Unassigned [0x6DA5]',
	0x6DA6 : 'Unassigned [0x6DA6]',
	0x6DA7 : 'Unassigned [0x6DA7]',
	0x6DA8 : 'Unassigned [0x6DA8]',
	0x6DA9 : 'Unassigned [0x6DA9]',
	0x6DAA : 'Unassigned [0x6DAA]',
	0x6DAB : 'Unassigned [0x6DAB]',
	0x6DAC : 'Unassigned [0x6DAC]',
	0x6DAD : 'Unassigned [0x6DAD]',
	0x6DAE : 'Unassigned [0x6DAE]',
	0x6DAF : 'Unassigned [0x6DAF]',
	0x6DB0 : 'Unassigned [0x6DB0]',
	0x6DB1 : 'Unassigned [0x6DB1]',
	0x6DB2 : 'Unassigned [0x6DB2]',
	0x6DB3 : 'Unassigned [0x6DB3]',
	0x6DB4 : 'Unassigned [0x6DB4]',
	0x6DB5 : 'Unassigned [0x6DB5]',
	0x6DB6 : 'Unassigned [0x6DB6]',
	0x6DB7 : 'Unassigned [0x6DB7]',
	0x6DB8 : 'Unassigned [0x6DB8]',
	0x6DB9 : 'Unassigned [0x6DB9]',
	0x6DBA : 'Unassigned [0x6DBA]',
	0x6DBB : 'Unassigned [0x6DBB]',
	0x6DBC : 'Unassigned [0x6DBC]',
	0x6DBD : 'Unassigned [0x6DBD]',
	0x6DBE : 'Unassigned [0x6DBE]',
	0x6DBF : 'Unassigned [0x6DBF]',
	0x6DC0 : 'Unassigned [0x6DC0]',
	0x6DC1 : 'Unassigned [0x6DC1]',
	0x6DC2 : 'Unassigned [0x6DC2]',
	0x6DC3 : 'Unassigned [0x6DC3]',
	0x6DC4 : 'Unassigned [0x6DC4]',
	0x6DC5 : 'Unassigned [0x6DC5]',
	0x6DC6 : 'Unassigned [0x6DC6]',
	0x6DC7 : 'Unassigned [0x6DC7]',
	0x6DC8 : 'Unassigned [0x6DC8]',
	0x6DC9 : 'Unassigned [0x6DC9]',
	0x6DCA : 'Unassigned [0x6DCA]',
	0x6DCB : 'Unassigned [0x6DCB]',
	0x6DCC : 'Unassigned [0x6DCC]',
	0x6DCD : 'Unassigned [0x6DCD]',
	0x6DCE : 'Unassigned [0x6DCE]',
	0x6DCF : 'Unassigned [0x6DCF]',
	0x6DD0 : 'Unassigned [0x6DD0]',
	0x6DD1 : 'Unassigned [0x6DD1]',
	0x6DD2 : 'Unassigned [0x6DD2]',
	0x6DD3 : 'Unassigned [0x6DD3]',
	0x6DD4 : 'Unassigned [0x6DD4]',
	0x6DD5 : 'Unassigned [0x6DD5]',
	0x6DD6 : 'Unassigned [0x6DD6]',
	0x6DD7 : 'Unassigned [0x6DD7]',
	0x6DD8 : 'Unassigned [0x6DD8]',
	0x6DD9 : 'Unassigned [0x6DD9]',
	0x6DDA : 'Unassigned [0x6DDA]',
	0x6DDB : 'Unassigned [0x6DDB]',
	0x6DDC : 'Unassigned [0x6DDC]',
	0x6DDD : 'Unassigned [0x6DDD]',
	0x6DDE : 'Unassigned [0x6DDE]',
	0x6DDF : 'Unassigned [0x6DDF]',
	0x6DE0 : 'Unassigned [0x6DE0]',
	0x6DE1 : 'Unassigned [0x6DE1]',
	0x6DE2 : 'Unassigned [0x6DE2]',
	0x6DE3 : 'Unassigned [0x6DE3]',
	0x6DE4 : 'Unassigned [0x6DE4]',
	0x6DE5 : 'Unassigned [0x6DE5]',
	0x6DE6 : 'Unassigned [0x6DE6]',
	0x6DE7 : 'Unassigned [0x6DE7]',
	0x6DE8 : 'Unassigned [0x6DE8]',
	0x6DE9 : 'Unassigned [0x6DE9]',
	0x6DEA : 'Unassigned [0x6DEA]',
	0x6DEB : 'Unassigned [0x6DEB]',
	0x6DEC : 'Unassigned [0x6DEC]',
	0x6DED : 'Unassigned [0x6DED]',
	0x6DEE : 'Unassigned [0x6DEE]',
	0x6DEF : 'Unassigned [0x6DEF]',
	0x6DF0 : 'Unassigned [0x6DF0]',
	0x6DF1 : 'Unassigned [0x6DF1]',
	0x6DF2 : 'Unassigned [0x6DF2]',
	0x6DF3 : 'Unassigned [0x6DF3]',
	0x6DF4 : 'Unassigned [0x6DF4]',
	0x6DF5 : 'Unassigned [0x6DF5]',
	0x6DF6 : 'Unassigned [0x6DF6]',
	0x6DF7 : 'Unassigned [0x6DF7]',
	0x6DF8 : 'Unassigned [0x6DF8]',
	0x6DF9 : 'Unassigned [0x6DF9]',
	0x6DFA : 'Unassigned [0x6DFA]',
	0x6DFB : 'Unassigned [0x6DFB]',
	0x6DFC : 'Unassigned [0x6DFC]',
	0x6DFD : 'Unassigned [0x6DFD]',
	0x6DFE : 'Unassigned [0x6DFE]',
	0x6DFF : 'Unassigned [0x6DFF]',
	0x6E00 : 'Unassigned [0x6E00]',
	0x6E01 : 'Unassigned [0x6E01]',
	0x6E02 : 'Unassigned [0x6E02]',
	0x6E03 : 'Unassigned [0x6E03]',
	0x6E04 : 'Unassigned [0x6E04]',
	0x6E05 : 'Unassigned [0x6E05]',
	0x6E06 : 'Unassigned [0x6E06]',
	0x6E07 : 'Unassigned [0x6E07]',
	0x6E08 : 'Unassigned [0x6E08]',
	0x6E09 : 'Unassigned [0x6E09]',
	0x6E0A : 'Unassigned [0x6E0A]',
	0x6E0B : 'Unassigned [0x6E0B]',
	0x6E0C : 'Unassigned [0x6E0C]',
	0x6E0D : 'Unassigned [0x6E0D]',
	0x6E0E : 'Unassigned [0x6E0E]',
	0x6E0F : 'Unassigned [0x6E0F]',
	0x6E10 : 'Unassigned [0x6E10]',
	0x6E11 : 'Unassigned [0x6E11]',
	0x6E12 : 'Unassigned [0x6E12]',
	0x6E13 : 'Unassigned [0x6E13]',
	0x6E14 : 'Unassigned [0x6E14]',
	0x6E15 : 'Unassigned [0x6E15]',
	0x6E16 : 'Unassigned [0x6E16]',
	0x6E17 : 'Unassigned [0x6E17]',
	0x6E18 : 'Unassigned [0x6E18]',
	0x6E19 : 'Unassigned [0x6E19]',
	0x6E1A : 'Unassigned [0x6E1A]',
	0x6E1B : 'Unassigned [0x6E1B]',
	0x6E1C : 'Unassigned [0x6E1C]',
	0x6E1D : 'Unassigned [0x6E1D]',
	0x6E1E : 'Unassigned [0x6E1E]',
	0x6E1F : 'Unassigned [0x6E1F]',
	0x6E20 : 'Unassigned [0x6E20]',
	0x6E21 : 'Unassigned [0x6E21]',
	0x6E22 : 'Unassigned [0x6E22]',
	0x6E23 : 'Unassigned [0x6E23]',
	0x6E24 : 'Unassigned [0x6E24]',
	0x6E25 : 'Unassigned [0x6E25]',
	0x6E26 : 'Unassigned [0x6E26]',
	0x6E27 : 'Unassigned [0x6E27]',
	0x6E28 : 'Unassigned [0x6E28]',
	0x6E29 : 'Unassigned [0x6E29]',
	0x6E2A : 'Unassigned [0x6E2A]',
	0x6E2B : 'Unassigned [0x6E2B]',
	0x6E2C : 'Unassigned [0x6E2C]',
	0x6E2D : 'Unassigned [0x6E2D]',
	0x6E2E : 'Unassigned [0x6E2E]',
	0x6E2F : 'Unassigned [0x6E2F]',
	0x6E30 : 'Unassigned [0x6E30]',
	0x6E31 : 'Unassigned [0x6E31]',
	0x6E32 : 'Unassigned [0x6E32]',
	0x6E33 : 'Unassigned [0x6E33]',
	0x6E34 : 'Unassigned [0x6E34]',
	0x6E35 : 'Unassigned [0x6E35]',
	0x6E36 : 'Unassigned [0x6E36]',
	0x6E37 : 'Unassigned [0x6E37]',
	0x6E38 : 'Unassigned [0x6E38]',
	0x6E39 : 'Unassigned [0x6E39]',
	0x6E3A : 'Unassigned [0x6E3A]',
	0x6E3B : 'Unassigned [0x6E3B]',
	0x6E3C : 'Unassigned [0x6E3C]',
	0x6E3D : 'Unassigned [0x6E3D]',
	0x6E3E : 'Unassigned [0x6E3E]',
	0x6E3F : 'Unassigned [0x6E3F]',
	0x6E40 : 'Unassigned [0x6E40]',
	0x6E41 : 'Unassigned [0x6E41]',
	0x6E42 : 'Unassigned [0x6E42]',
	0x6E43 : 'Unassigned [0x6E43]',
	0x6E44 : 'Unassigned [0x6E44]',
	0x6E45 : 'Unassigned [0x6E45]',
	0x6E46 : 'Unassigned [0x6E46]',
	0x6E47 : 'Unassigned [0x6E47]',
	0x6E48 : 'Unassigned [0x6E48]',
	0x6E49 : 'Unassigned [0x6E49]',
	0x6E4A : 'Unassigned [0x6E4A]',
	0x6E4B : 'Unassigned [0x6E4B]',
	0x6E4C : 'Unassigned [0x6E4C]',
	0x6E4D : 'Unassigned [0x6E4D]',
	0x6E4E : 'Unassigned [0x6E4E]',
	0x6E4F : 'Unassigned [0x6E4F]',
	0x6E50 : 'Unassigned [0x6E50]',
	0x6E51 : 'Unassigned [0x6E51]',
	0x6E52 : 'Unassigned [0x6E52]',
	0x6E53 : 'Unassigned [0x6E53]',
	0x6E54 : 'Unassigned [0x6E54]',
	0x6E55 : 'Unassigned [0x6E55]',
	0x6E56 : 'Unassigned [0x6E56]',
	0x6E57 : 'Unassigned [0x6E57]',
	0x6E58 : 'Unassigned [0x6E58]',
	0x6E59 : 'Unassigned [0x6E59]',
	0x6E5A : 'Unassigned [0x6E5A]',
	0x6E5B : 'Unassigned [0x6E5B]',
	0x6E5C : 'Unassigned [0x6E5C]',
	0x6E5D : 'Unassigned [0x6E5D]',
	0x6E5E : 'Unassigned [0x6E5E]',
	0x6E5F : 'Unassigned [0x6E5F]',
	0x6E60 : 'Unassigned [0x6E60]',
	0x6E61 : 'Unassigned [0x6E61]',
	0x6E62 : 'Unassigned [0x6E62]',
	0x6E63 : 'Unassigned [0x6E63]',
	0x6E64 : 'Unassigned [0x6E64]',
	0x6E65 : 'Unassigned [0x6E65]',
	0x6E66 : 'Unassigned [0x6E66]',
	0x6E67 : 'Unassigned [0x6E67]',
	0x6E68 : 'Unassigned [0x6E68]',
	0x6E69 : 'Unassigned [0x6E69]',
	0x6E6A : 'Unassigned [0x6E6A]',
	0x6E6B : 'Unassigned [0x6E6B]',
	0x6E6C : 'Unassigned [0x6E6C]',
	0x6E6D : 'Unassigned [0x6E6D]',
	0x6E6E : 'Unassigned [0x6E6E]',
	0x6E6F : 'Unassigned [0x6E6F]',
	0x6E70 : 'Unassigned [0x6E70]',
	0x6E71 : 'Unassigned [0x6E71]',
	0x6E72 : 'Unassigned [0x6E72]',
	0x6E73 : 'Unassigned [0x6E73]',
	0x6E74 : 'Unassigned [0x6E74]',
	0x6E75 : 'Unassigned [0x6E75]',
	0x6E76 : 'Unassigned [0x6E76]',
	0x6E77 : 'Unassigned [0x6E77]',
	0x6E78 : 'Unassigned [0x6E78]',
	0x6E79 : 'Unassigned [0x6E79]',
	0x6E7A : 'Unassigned [0x6E7A]',
	0x6E7B : 'Unassigned [0x6E7B]',
	0x6E7C : 'Unassigned [0x6E7C]',
	0x6E7D : 'Unassigned [0x6E7D]',
	0x6E7E : 'Unassigned [0x6E7E]',
	0x6E7F : 'Unassigned [0x6E7F]',
	0x6E80 : 'Unassigned [0x6E80]',
	0x6E81 : 'Unassigned [0x6E81]',
	0x6E82 : 'Unassigned [0x6E82]',
	0x6E83 : 'Unassigned [0x6E83]',
	0x6E84 : 'Unassigned [0x6E84]',
	0x6E85 : 'Unassigned [0x6E85]',
	0x6E86 : 'Unassigned [0x6E86]',
	0x6E87 : 'Unassigned [0x6E87]',
	0x6E88 : 'Unassigned [0x6E88]',
	0x6E89 : 'Unassigned [0x6E89]',
	0x6E8A : 'Unassigned [0x6E8A]',
	0x6E8B : 'Unassigned [0x6E8B]',
	0x6E8C : 'Unassigned [0x6E8C]',
	0x6E8D : 'Unassigned [0x6E8D]',
	0x6E8E : 'Unassigned [0x6E8E]',
	0x6E8F : 'Unassigned [0x6E8F]',
	0x6E90 : 'Unassigned [0x6E90]',
	0x6E91 : 'Unassigned [0x6E91]',
	0x6E92 : 'Unassigned [0x6E92]',
	0x6E93 : 'Unassigned [0x6E93]',
	0x6E94 : 'Unassigned [0x6E94]',
	0x6E95 : 'Unassigned [0x6E95]',
	0x6E96 : 'Unassigned [0x6E96]',
	0x6E97 : 'Unassigned [0x6E97]',
	0x6E98 : 'Unassigned [0x6E98]',
	0x6E99 : 'Unassigned [0x6E99]',
	0x6E9A : 'Unassigned [0x6E9A]',
	0x6E9B : 'Unassigned [0x6E9B]',
	0x6E9C : 'Unassigned [0x6E9C]',
	0x6E9D : 'Unassigned [0x6E9D]',
	0x6E9E : 'Unassigned [0x6E9E]',
	0x6E9F : 'Unassigned [0x6E9F]',
	0x6EA0 : 'Unassigned [0x6EA0]',
	0x6EA1 : 'Unassigned [0x6EA1]',
	0x6EA2 : 'Unassigned [0x6EA2]',
	0x6EA3 : 'Unassigned [0x6EA3]',
	0x6EA4 : 'Unassigned [0x6EA4]',
	0x6EA5 : 'Unassigned [0x6EA5]',
	0x6EA6 : 'Unassigned [0x6EA6]',
	0x6EA7 : 'Unassigned [0x6EA7]',
	0x6EA8 : 'Unassigned [0x6EA8]',
	0x6EA9 : 'Unassigned [0x6EA9]',
	0x6EAA : 'Unassigned [0x6EAA]',
	0x6EAB : 'Unassigned [0x6EAB]',
	0x6EAC : 'Unassigned [0x6EAC]',
	0x6EAD : 'Unassigned [0x6EAD]',
	0x6EAE : 'Unassigned [0x6EAE]',
	0x6EAF : 'Unassigned [0x6EAF]',
	0x6EB0 : 'Unassigned [0x6EB0]',
	0x6EB1 : 'Unassigned [0x6EB1]',
	0x6EB2 : 'Unassigned [0x6EB2]',
	0x6EB3 : 'Unassigned [0x6EB3]',
	0x6EB4 : 'Unassigned [0x6EB4]',
	0x6EB5 : 'Unassigned [0x6EB5]',
	0x6EB6 : 'Unassigned [0x6EB6]',
	0x6EB7 : 'Unassigned [0x6EB7]',
	0x6EB8 : 'Unassigned [0x6EB8]',
	0x6EB9 : 'Unassigned [0x6EB9]',
	0x6EBA : 'Unassigned [0x6EBA]',
	0x6EBB : 'Unassigned [0x6EBB]',
	0x6EBC : 'Unassigned [0x6EBC]',
	0x6EBD : 'Unassigned [0x6EBD]',
	0x6EBE : 'Unassigned [0x6EBE]',
	0x6EBF : 'Unassigned [0x6EBF]',
	0x6EC0 : 'Unassigned [0x6EC0]',
	0x6EC1 : 'Unassigned [0x6EC1]',
	0x6EC2 : 'Unassigned [0x6EC2]',
	0x6EC3 : 'Unassigned [0x6EC3]',
	0x6EC4 : 'Unassigned [0x6EC4]',
	0x6EC5 : 'Unassigned [0x6EC5]',
	0x6EC6 : 'Unassigned [0x6EC6]',
	0x6EC7 : 'Unassigned [0x6EC7]',
	0x6EC8 : 'Unassigned [0x6EC8]',
	0x6EC9 : 'Unassigned [0x6EC9]',
	0x6ECA : 'Unassigned [0x6ECA]',
	0x6ECB : 'Unassigned [0x6ECB]',
	0x6ECC : 'Unassigned [0x6ECC]',
	0x6ECD : 'Unassigned [0x6ECD]',
	0x6ECE : 'Unassigned [0x6ECE]',
	0x6ECF : 'Unassigned [0x6ECF]',
	0x6ED0 : 'Unassigned [0x6ED0]',
	0x6ED1 : 'Unassigned [0x6ED1]',
	0x6ED2 : 'Unassigned [0x6ED2]',
	0x6ED3 : 'Unassigned [0x6ED3]',
	0x6ED4 : 'Unassigned [0x6ED4]',
	0x6ED5 : 'Unassigned [0x6ED5]',
	0x6ED6 : 'Unassigned [0x6ED6]',
	0x6ED7 : 'Unassigned [0x6ED7]',
	0x6ED8 : 'Unassigned [0x6ED8]',
	0x6ED9 : 'Unassigned [0x6ED9]',
	0x6EDA : 'Unassigned [0x6EDA]',
	0x6EDB : 'Unassigned [0x6EDB]',
	0x6EDC : 'Unassigned [0x6EDC]',
	0x6EDD : 'Unassigned [0x6EDD]',
	0x6EDE : 'Unassigned [0x6EDE]',
	0x6EDF : 'Unassigned [0x6EDF]',
	0x6EE0 : 'Unassigned [0x6EE0]',
	0x6EE1 : 'Unassigned [0x6EE1]',
	0x6EE2 : 'Unassigned [0x6EE2]',
	0x6EE3 : 'Unassigned [0x6EE3]',
	0x6EE4 : 'Unassigned [0x6EE4]',
	0x6EE5 : 'Unassigned [0x6EE5]',
	0x6EE6 : 'Unassigned [0x6EE6]',
	0x6EE7 : 'Unassigned [0x6EE7]',
	0x6EE8 : 'Unassigned [0x6EE8]',
	0x6EE9 : 'Unassigned [0x6EE9]',
	0x6EEA : 'Unassigned [0x6EEA]',
	0x6EEB : 'Unassigned [0x6EEB]',
	0x6EEC : 'Unassigned [0x6EEC]',
	0x6EED : 'Unassigned [0x6EED]',
	0x6EEE : 'Unassigned [0x6EEE]',
	0x6EEF : 'Unassigned [0x6EEF]',
	0x6EF0 : 'Unassigned [0x6EF0]',
	0x6EF1 : 'Unassigned [0x6EF1]',
	0x6EF2 : 'Unassigned [0x6EF2]',
	0x6EF3 : 'Unassigned [0x6EF3]',
	0x6EF4 : 'Unassigned [0x6EF4]',
	0x6EF5 : 'Unassigned [0x6EF5]',
	0x6EF6 : 'Unassigned [0x6EF6]',
	0x6EF7 : 'Unassigned [0x6EF7]',
	0x6EF8 : 'Unassigned [0x6EF8]',
	0x6EF9 : 'Unassigned [0x6EF9]',
	0x6EFA : 'Unassigned [0x6EFA]',
	0x6EFB : 'Unassigned [0x6EFB]',
	0x6EFC : 'Unassigned [0x6EFC]',
	0x6EFD : 'Unassigned [0x6EFD]',
	0x6EFE : 'Unassigned [0x6EFE]',
	0x6EFF : 'Unassigned [0x6EFF]',
	0x6F00 : 'Unassigned [0x6F00]',
	0x6F01 : 'Unassigned [0x6F01]',
	0x6F02 : 'Unassigned [0x6F02]',
	0x6F03 : 'Unassigned [0x6F03]',
	0x6F04 : 'Unassigned [0x6F04]',
	0x6F05 : 'Unassigned [0x6F05]',
	0x6F06 : 'Unassigned [0x6F06]',
	0x6F07 : 'Unassigned [0x6F07]',
	0x6F08 : 'Unassigned [0x6F08]',
	0x6F09 : 'Unassigned [0x6F09]',
	0x6F0A : 'Unassigned [0x6F0A]',
	0x6F0B : 'Unassigned [0x6F0B]',
	0x6F0C : 'Unassigned [0x6F0C]',
	0x6F0D : 'Unassigned [0x6F0D]',
	0x6F0E : 'Unassigned [0x6F0E]',
	0x6F0F : 'Unassigned [0x6F0F]',
	0x6F10 : 'Unassigned [0x6F10]',
	0x6F11 : 'Unassigned [0x6F11]',
	0x6F12 : 'Unassigned [0x6F12]',
	0x6F13 : 'Unassigned [0x6F13]',
	0x6F14 : 'Unassigned [0x6F14]',
	0x6F15 : 'Unassigned [0x6F15]',
	0x6F16 : 'Unassigned [0x6F16]',
	0x6F17 : 'Unassigned [0x6F17]',
	0x6F18 : 'Unassigned [0x6F18]',
	0x6F19 : 'Unassigned [0x6F19]',
	0x6F1A : 'Unassigned [0x6F1A]',
	0x6F1B : 'Unassigned [0x6F1B]',
	0x6F1C : 'Unassigned [0x6F1C]',
	0x6F1D : 'Unassigned [0x6F1D]',
	0x6F1E : 'Unassigned [0x6F1E]',
	0x6F1F : 'Unassigned [0x6F1F]',
	0x6F20 : 'Unassigned [0x6F20]',
	0x6F21 : 'Unassigned [0x6F21]',
	0x6F22 : 'Unassigned [0x6F22]',
	0x6F23 : 'Unassigned [0x6F23]',
	0x6F24 : 'Unassigned [0x6F24]',
	0x6F25 : 'Unassigned [0x6F25]',
	0x6F26 : 'Unassigned [0x6F26]',
	0x6F27 : 'Unassigned [0x6F27]',
	0x6F28 : 'Unassigned [0x6F28]',
	0x6F29 : 'Unassigned [0x6F29]',
	0x6F2A : 'Unassigned [0x6F2A]',
	0x6F2B : 'Unassigned [0x6F2B]',
	0x6F2C : 'Unassigned [0x6F2C]',
	0x6F2D : 'Unassigned [0x6F2D]',
	0x6F2E : 'Unassigned [0x6F2E]',
	0x6F2F : 'Unassigned [0x6F2F]',
	0x6F30 : 'Unassigned [0x6F30]',
	0x6F31 : 'Unassigned [0x6F31]',
	0x6F32 : 'Unassigned [0x6F32]',
	0x6F33 : 'Unassigned [0x6F33]',
	0x6F34 : 'Unassigned [0x6F34]',
	0x6F35 : 'Unassigned [0x6F35]',
	0x6F36 : 'Unassigned [0x6F36]',
	0x6F37 : 'Unassigned [0x6F37]',
	0x6F38 : 'Unassigned [0x6F38]',
	0x6F39 : 'Unassigned [0x6F39]',
	0x6F3A : 'Unassigned [0x6F3A]',
	0x6F3B : 'Unassigned [0x6F3B]',
	0x6F3C : 'Unassigned [0x6F3C]',
	0x6F3D : 'Unassigned [0x6F3D]',
	0x6F3E : 'Unassigned [0x6F3E]',
	0x6F3F : 'Unassigned [0x6F3F]',
	0x6F40 : 'Unassigned [0x6F40]',
	0x6F41 : 'Unassigned [0x6F41]',
	0x6F42 : 'Unassigned [0x6F42]',
	0x6F43 : 'Unassigned [0x6F43]',
	0x6F44 : 'Unassigned [0x6F44]',
	0x6F45 : 'Unassigned [0x6F45]',
	0x6F46 : 'Unassigned [0x6F46]',
	0x6F47 : 'Unassigned [0x6F47]',
	0x6F48 : 'Unassigned [0x6F48]',
	0x6F49 : 'Unassigned [0x6F49]',
	0x6F4A : 'Unassigned [0x6F4A]',
	0x6F4B : 'Unassigned [0x6F4B]',
	0x6F4C : 'Unassigned [0x6F4C]',
	0x6F4D : 'Unassigned [0x6F4D]',
	0x6F4E : 'Unassigned [0x6F4E]',
	0x6F4F : 'Unassigned [0x6F4F]',
	0x6F50 : 'Unassigned [0x6F50]',
	0x6F51 : 'Unassigned [0x6F51]',
	0x6F52 : 'Unassigned [0x6F52]',
	0x6F53 : 'Unassigned [0x6F53]',
	0x6F54 : 'Unassigned [0x6F54]',
	0x6F55 : 'Unassigned [0x6F55]',
	0x6F56 : 'Unassigned [0x6F56]',
	0x6F57 : 'Unassigned [0x6F57]',
	0x6F58 : 'Unassigned [0x6F58]',
	0x6F59 : 'Unassigned [0x6F59]',
	0x6F5A : 'Unassigned [0x6F5A]',
	0x6F5B : 'Unassigned [0x6F5B]',
	0x6F5C : 'Unassigned [0x6F5C]',
	0x6F5D : 'Unassigned [0x6F5D]',
	0x6F5E : 'Unassigned [0x6F5E]',
	0x6F5F : 'Unassigned [0x6F5F]',
	0x6F60 : 'Unassigned [0x6F60]',
	0x6F61 : 'Unassigned [0x6F61]',
	0x6F62 : 'Unassigned [0x6F62]',
	0x6F63 : 'Unassigned [0x6F63]',
	0x6F64 : 'Unassigned [0x6F64]',
	0x6F65 : 'Unassigned [0x6F65]',
	0x6F66 : 'Unassigned [0x6F66]',
	0x6F67 : 'Unassigned [0x6F67]',
	0x6F68 : 'Unassigned [0x6F68]',
	0x6F69 : 'Unassigned [0x6F69]',
	0x6F6A : 'Unassigned [0x6F6A]',
	0x6F6B : 'Unassigned [0x6F6B]',
	0x6F6C : 'Unassigned [0x6F6C]',
	0x6F6D : 'Unassigned [0x6F6D]',
	0x6F6E : 'Unassigned [0x6F6E]',
	0x6F6F : 'Unassigned [0x6F6F]',
	0x6F70 : 'Unassigned [0x6F70]',
	0x6F71 : 'Unassigned [0x6F71]',
	0x6F72 : 'Unassigned [0x6F72]',
	0x6F73 : 'Unassigned [0x6F73]',
	0x6F74 : 'Unassigned [0x6F74]',
	0x6F75 : 'Unassigned [0x6F75]',
	0x6F76 : 'Unassigned [0x6F76]',
	0x6F77 : 'Unassigned [0x6F77]',
	0x6F78 : 'Unassigned [0x6F78]',
	0x6F79 : 'Unassigned [0x6F79]',
	0x6F7A : 'Unassigned [0x6F7A]',
	0x6F7B : 'Unassigned [0x6F7B]',
	0x6F7C : 'Unassigned [0x6F7C]',
	0x6F7D : 'Unassigned [0x6F7D]',
	0x6F7E : 'Unassigned [0x6F7E]',
	0x6F7F : 'Unassigned [0x6F7F]',
	0x6F80 : 'Unassigned [0x6F80]',
	0x6F81 : 'Unassigned [0x6F81]',
	0x6F82 : 'Unassigned [0x6F82]',
	0x6F83 : 'Unassigned [0x6F83]',
	0x6F84 : 'Unassigned [0x6F84]',
	0x6F85 : 'Unassigned [0x6F85]',
	0x6F86 : 'Unassigned [0x6F86]',
	0x6F87 : 'Unassigned [0x6F87]',
	0x6F88 : 'Unassigned [0x6F88]',
	0x6F89 : 'Unassigned [0x6F89]',
	0x6F8A : 'Unassigned [0x6F8A]',
	0x6F8B : 'Unassigned [0x6F8B]',
	0x6F8C : 'Unassigned [0x6F8C]',
	0x6F8D : 'Unassigned [0x6F8D]',
	0x6F8E : 'Unassigned [0x6F8E]',
	0x6F8F : 'Unassigned [0x6F8F]',
	0x6F90 : 'Unassigned [0x6F90]',
	0x6F91 : 'Unassigned [0x6F91]',
	0x6F92 : 'Unassigned [0x6F92]',
	0x6F93 : 'Unassigned [0x6F93]',
	0x6F94 : 'Unassigned [0x6F94]',
	0x6F95 : 'Unassigned [0x6F95]',
	0x6F96 : 'Unassigned [0x6F96]',
	0x6F97 : 'Unassigned [0x6F97]',
	0x6F98 : 'Unassigned [0x6F98]',
	0x6F99 : 'Unassigned [0x6F99]',
	0x6F9A : 'Unassigned [0x6F9A]',
	0x6F9B : 'Unassigned [0x6F9B]',
	0x6F9C : 'Unassigned [0x6F9C]',
	0x6F9D : 'Unassigned [0x6F9D]',
	0x6F9E : 'Unassigned [0x6F9E]',
	0x6F9F : 'Unassigned [0x6F9F]',
	0x6FA0 : 'Unassigned [0x6FA0]',
	0x6FA1 : 'Unassigned [0x6FA1]',
	0x6FA2 : 'Unassigned [0x6FA2]',
	0x6FA3 : 'Unassigned [0x6FA3]',
	0x6FA4 : 'Unassigned [0x6FA4]',
	0x6FA5 : 'Unassigned [0x6FA5]',
	0x6FA6 : 'Unassigned [0x6FA6]',
	0x6FA7 : 'Unassigned [0x6FA7]',
	0x6FA8 : 'Unassigned [0x6FA8]',
	0x6FA9 : 'Unassigned [0x6FA9]',
	0x6FAA : 'Unassigned [0x6FAA]',
	0x6FAB : 'Unassigned [0x6FAB]',
	0x6FAC : 'Unassigned [0x6FAC]',
	0x6FAD : 'Unassigned [0x6FAD]',
	0x6FAE : 'Unassigned [0x6FAE]',
	0x6FAF : 'Unassigned [0x6FAF]',
	0x6FB0 : 'Unassigned [0x6FB0]',
	0x6FB1 : 'Unassigned [0x6FB1]',
	0x6FB2 : 'Unassigned [0x6FB2]',
	0x6FB3 : 'Unassigned [0x6FB3]',
	0x6FB4 : 'Unassigned [0x6FB4]',
	0x6FB5 : 'Unassigned [0x6FB5]',
	0x6FB6 : 'Unassigned [0x6FB6]',
	0x6FB7 : 'Unassigned [0x6FB7]',
	0x6FB8 : 'Unassigned [0x6FB8]',
	0x6FB9 : 'Unassigned [0x6FB9]',
	0x6FBA : 'Unassigned [0x6FBA]',
	0x6FBB : 'Unassigned [0x6FBB]',
	0x6FBC : 'Unassigned [0x6FBC]',
	0x6FBD : 'Unassigned [0x6FBD]',
	0x6FBE : 'Unassigned [0x6FBE]',
	0x6FBF : 'Unassigned [0x6FBF]',
	0x6FC0 : 'Unassigned [0x6FC0]',
	0x6FC1 : 'Unassigned [0x6FC1]',
	0x6FC2 : 'Unassigned [0x6FC2]',
	0x6FC3 : 'Unassigned [0x6FC3]',
	0x6FC4 : 'Unassigned [0x6FC4]',
	0x6FC5 : 'Unassigned [0x6FC5]',
	0x6FC6 : 'Unassigned [0x6FC6]',
	0x6FC7 : 'Unassigned [0x6FC7]',
	0x6FC8 : 'Unassigned [0x6FC8]',
	0x6FC9 : 'Unassigned [0x6FC9]',
	0x6FCA : 'Unassigned [0x6FCA]',
	0x6FCB : 'Unassigned [0x6FCB]',
	0x6FCC : 'Unassigned [0x6FCC]',
	0x6FCD : 'Unassigned [0x6FCD]',
	0x6FCE : 'Unassigned [0x6FCE]',
	0x6FCF : 'Unassigned [0x6FCF]',
	0x6FD0 : 'Unassigned [0x6FD0]',
	0x6FD1 : 'Unassigned [0x6FD1]',
	0x6FD2 : 'Unassigned [0x6FD2]',
	0x6FD3 : 'Unassigned [0x6FD3]',
	0x6FD4 : 'Unassigned [0x6FD4]',
	0x6FD5 : 'Unassigned [0x6FD5]',
	0x6FD6 : 'Unassigned [0x6FD6]',
	0x6FD7 : 'Unassigned [0x6FD7]',
	0x6FD8 : 'Unassigned [0x6FD8]',
	0x6FD9 : 'Unassigned [0x6FD9]',
	0x6FDA : 'Unassigned [0x6FDA]',
	0x6FDB : 'Unassigned [0x6FDB]',
	0x6FDC : 'Unassigned [0x6FDC]',
	0x6FDD : 'Unassigned [0x6FDD]',
	0x6FDE : 'Unassigned [0x6FDE]',
	0x6FDF : 'Unassigned [0x6FDF]',
	0x6FE0 : 'Unassigned [0x6FE0]',
	0x6FE1 : 'Unassigned [0x6FE1]',
	0x6FE2 : 'Unassigned [0x6FE2]',
	0x6FE3 : 'Unassigned [0x6FE3]',
	0x6FE4 : 'Unassigned [0x6FE4]',
	0x6FE5 : 'Unassigned [0x6FE5]',
	0x6FE6 : 'Unassigned [0x6FE6]',
	0x6FE7 : 'Unassigned [0x6FE7]',
	0x6FE8 : 'Unassigned [0x6FE8]',
	0x6FE9 : 'Unassigned [0x6FE9]',
	0x6FEA : 'Unassigned [0x6FEA]',
	0x6FEB : 'Unassigned [0x6FEB]',
	0x6FEC : 'Unassigned [0x6FEC]',
	0x6FED : 'Unassigned [0x6FED]',
	0x6FEE : 'Unassigned [0x6FEE]',
	0x6FEF : 'Unassigned [0x6FEF]',
	0x6FF0 : 'Unassigned [0x6FF0]',
	0x6FF1 : 'Unassigned [0x6FF1]',
	0x6FF2 : 'Unassigned [0x6FF2]',
	0x6FF3 : 'Unassigned [0x6FF3]',
	0x6FF4 : 'Unassigned [0x6FF4]',
	0x6FF5 : 'Unassigned [0x6FF5]',
	0x6FF6 : 'Unassigned [0x6FF6]',
	0x6FF7 : 'Unassigned [0x6FF7]',
	0x6FF8 : 'Unassigned [0x6FF8]',
	0x6FF9 : 'Unassigned [0x6FF9]',
	0x6FFA : 'Unassigned [0x6FFA]',
	0x6FFB : 'Unassigned [0x6FFB]',
	0x6FFC : 'Unassigned [0x6FFC]',
	0x6FFD : 'Unassigned [0x6FFD]',
	0x6FFE : 'Unassigned [0x6FFE]',
	0x6FFF : 'Unassigned [0x6FFF]',
	0x7000 : 'Unassigned [0x7000]',
	0x7001 : 'Unassigned [0x7001]',
	0x7002 : 'Unassigned [0x7002]',
	0x7003 : 'Unassigned [0x7003]',
	0x7004 : 'Unassigned [0x7004]',
	0x7005 : 'Unassigned [0x7005]',
	0x7006 : 'Unassigned [0x7006]',
	0x7007 : 'Unassigned [0x7007]',
	0x7008 : 'Unassigned [0x7008]',
	0x7009 : 'Unassigned [0x7009]',
	0x700A : 'Unassigned [0x700A]',
	0x700B : 'Unassigned [0x700B]',
	0x700C : 'Unassigned [0x700C]',
	0x700D : 'Unassigned [0x700D]',
	0x700E : 'Unassigned [0x700E]',
	0x700F : 'Unassigned [0x700F]',
	0x7010 : 'Unassigned [0x7010]',
	0x7011 : 'Unassigned [0x7011]',
	0x7012 : 'Unassigned [0x7012]',
	0x7013 : 'Unassigned [0x7013]',
	0x7014 : 'Unassigned [0x7014]',
	0x7015 : 'Unassigned [0x7015]',
	0x7016 : 'Unassigned [0x7016]',
	0x7017 : 'Unassigned [0x7017]',
	0x7018 : 'Unassigned [0x7018]',
	0x7019 : 'Unassigned [0x7019]',
	0x701A : 'Unassigned [0x701A]',
	0x701B : 'Unassigned [0x701B]',
	0x701C : 'Unassigned [0x701C]',
	0x701D : 'Unassigned [0x701D]',
	0x701E : 'Unassigned [0x701E]',
	0x701F : 'Unassigned [0x701F]',
	0x7020 : 'Unassigned [0x7020]',
	0x7021 : 'Unassigned [0x7021]',
	0x7022 : 'Unassigned [0x7022]',
	0x7023 : 'Unassigned [0x7023]',
	0x7024 : 'Unassigned [0x7024]',
	0x7025 : 'Unassigned [0x7025]',
	0x7026 : 'Unassigned [0x7026]',
	0x7027 : 'Unassigned [0x7027]',
	0x7028 : 'Unassigned [0x7028]',
	0x7029 : 'Unassigned [0x7029]',
	0x702A : 'Unassigned [0x702A]',
	0x702B : 'Unassigned [0x702B]',
	0x702C : 'Unassigned [0x702C]',
	0x702D : 'Unassigned [0x702D]',
	0x702E : 'Unassigned [0x702E]',
	0x702F : 'Unassigned [0x702F]',
	0x7030 : 'Unassigned [0x7030]',
	0x7031 : 'Unassigned [0x7031]',
	0x7032 : 'Unassigned [0x7032]',
	0x7033 : 'Unassigned [0x7033]',
	0x7034 : 'Unassigned [0x7034]',
	0x7035 : 'Unassigned [0x7035]',
	0x7036 : 'Unassigned [0x7036]',
	0x7037 : 'Unassigned [0x7037]',
	0x7038 : 'Unassigned [0x7038]',
	0x7039 : 'Unassigned [0x7039]',
	0x703A : 'Unassigned [0x703A]',
	0x703B : 'Unassigned [0x703B]',
	0x703C : 'Unassigned [0x703C]',
	0x703D : 'Unassigned [0x703D]',
	0x703E : 'Unassigned [0x703E]',
	0x703F : 'Unassigned [0x703F]',
	0x7040 : 'Unassigned [0x7040]',
	0x7041 : 'Unassigned [0x7041]',
	0x7042 : 'Unassigned [0x7042]',
	0x7043 : 'Unassigned [0x7043]',
	0x7044 : 'Unassigned [0x7044]',
	0x7045 : 'Unassigned [0x7045]',
	0x7046 : 'Unassigned [0x7046]',
	0x7047 : 'Unassigned [0x7047]',
	0x7048 : 'Unassigned [0x7048]',
	0x7049 : 'Unassigned [0x7049]',
	0x704A : 'Unassigned [0x704A]',
	0x704B : 'Unassigned [0x704B]',
	0x704C : 'Unassigned [0x704C]',
	0x704D : 'Unassigned [0x704D]',
	0x704E : 'Unassigned [0x704E]',
	0x704F : 'Unassigned [0x704F]',
	0x7050 : 'Unassigned [0x7050]',
	0x7051 : 'Unassigned [0x7051]',
	0x7052 : 'Unassigned [0x7052]',
	0x7053 : 'Unassigned [0x7053]',
	0x7054 : 'Unassigned [0x7054]',
	0x7055 : 'Unassigned [0x7055]',
	0x7056 : 'Unassigned [0x7056]',
	0x7057 : 'Unassigned [0x7057]',
	0x7058 : 'Unassigned [0x7058]',
	0x7059 : 'Unassigned [0x7059]',
	0x705A : 'Unassigned [0x705A]',
	0x705B : 'Unassigned [0x705B]',
	0x705C : 'Unassigned [0x705C]',
	0x705D : 'Unassigned [0x705D]',
	0x705E : 'Unassigned [0x705E]',
	0x705F : 'Unassigned [0x705F]',
	0x7060 : 'Unassigned [0x7060]',
	0x7061 : 'Unassigned [0x7061]',
	0x7062 : 'Unassigned [0x7062]',
	0x7063 : 'Unassigned [0x7063]',
	0x7064 : 'Unassigned [0x7064]',
	0x7065 : 'Unassigned [0x7065]',
	0x7066 : 'Unassigned [0x7066]',
	0x7067 : 'Unassigned [0x7067]',
	0x7068 : 'Unassigned [0x7068]',
	0x7069 : 'Unassigned [0x7069]',
	0x706A : 'Unassigned [0x706A]',
	0x706B : 'Unassigned [0x706B]',
	0x706C : 'Unassigned [0x706C]',
	0x706D : 'Unassigned [0x706D]',
	0x706E : 'Unassigned [0x706E]',
	0x706F : 'Unassigned [0x706F]',
	0x7070 : 'Unassigned [0x7070]',
	0x7071 : 'Unassigned [0x7071]',
	0x7072 : 'Unassigned [0x7072]',
	0x7073 : 'Unassigned [0x7073]',
	0x7074 : 'Unassigned [0x7074]',
	0x7075 : 'Unassigned [0x7075]',
	0x7076 : 'Unassigned [0x7076]',
	0x7077 : 'Unassigned [0x7077]',
	0x7078 : 'Unassigned [0x7078]',
	0x7079 : 'Unassigned [0x7079]',
	0x707A : 'Unassigned [0x707A]',
	0x707B : 'Unassigned [0x707B]',
	0x707C : 'Unassigned [0x707C]',
	0x707D : 'Unassigned [0x707D]',
	0x707E : 'Unassigned [0x707E]',
	0x707F : 'Unassigned [0x707F]',
	0x7080 : 'Unassigned [0x7080]',
	0x7081 : 'Unassigned [0x7081]',
	0x7082 : 'Unassigned [0x7082]',
	0x7083 : 'Unassigned [0x7083]',
	0x7084 : 'Unassigned [0x7084]',
	0x7085 : 'Unassigned [0x7085]',
	0x7086 : 'Unassigned [0x7086]',
	0x7087 : 'Unassigned [0x7087]',
	0x7088 : 'Unassigned [0x7088]',
	0x7089 : 'Unassigned [0x7089]',
	0x708A : 'Unassigned [0x708A]',
	0x708B : 'Unassigned [0x708B]',
	0x708C : 'Unassigned [0x708C]',
	0x708D : 'Unassigned [0x708D]',
	0x708E : 'Unassigned [0x708E]',
	0x708F : 'Unassigned [0x708F]',
	0x7090 : 'Unassigned [0x7090]',
	0x7091 : 'Unassigned [0x7091]',
	0x7092 : 'Unassigned [0x7092]',
	0x7093 : 'Unassigned [0x7093]',
	0x7094 : 'Unassigned [0x7094]',
	0x7095 : 'Unassigned [0x7095]',
	0x7096 : 'Unassigned [0x7096]',
	0x7097 : 'Unassigned [0x7097]',
	0x7098 : 'Unassigned [0x7098]',
	0x7099 : 'Unassigned [0x7099]',
	0x709A : 'Unassigned [0x709A]',
	0x709B : 'Unassigned [0x709B]',
	0x709C : 'Unassigned [0x709C]',
	0x709D : 'Unassigned [0x709D]',
	0x709E : 'Unassigned [0x709E]',
	0x709F : 'Unassigned [0x709F]',
	0x70A0 : 'Unassigned [0x70A0]',
	0x70A1 : 'Unassigned [0x70A1]',
	0x70A2 : 'Unassigned [0x70A2]',
	0x70A3 : 'Unassigned [0x70A3]',
	0x70A4 : 'Unassigned [0x70A4]',
	0x70A5 : 'Unassigned [0x70A5]',
	0x70A6 : 'Unassigned [0x70A6]',
	0x70A7 : 'Unassigned [0x70A7]',
	0x70A8 : 'Unassigned [0x70A8]',
	0x70A9 : 'Unassigned [0x70A9]',
	0x70AA : 'Unassigned [0x70AA]',
	0x70AB : 'Unassigned [0x70AB]',
	0x70AC : 'Unassigned [0x70AC]',
	0x70AD : 'Unassigned [0x70AD]',
	0x70AE : 'Unassigned [0x70AE]',
	0x70AF : 'Unassigned [0x70AF]',
	0x70B0 : 'Unassigned [0x70B0]',
	0x70B1 : 'Unassigned [0x70B1]',
	0x70B2 : 'Unassigned [0x70B2]',
	0x70B3 : 'Unassigned [0x70B3]',
	0x70B4 : 'Unassigned [0x70B4]',
	0x70B5 : 'Unassigned [0x70B5]',
	0x70B6 : 'Unassigned [0x70B6]',
	0x70B7 : 'Unassigned [0x70B7]',
	0x70B8 : 'Unassigned [0x70B8]',
	0x70B9 : 'Unassigned [0x70B9]',
	0x70BA : 'Unassigned [0x70BA]',
	0x70BB : 'Unassigned [0x70BB]',
	0x70BC : 'Unassigned [0x70BC]',
	0x70BD : 'Unassigned [0x70BD]',
	0x70BE : 'Unassigned [0x70BE]',
	0x70BF : 'Unassigned [0x70BF]',
	0x70C0 : 'Unassigned [0x70C0]',
	0x70C1 : 'Unassigned [0x70C1]',
	0x70C2 : 'Unassigned [0x70C2]',
	0x70C3 : 'Unassigned [0x70C3]',
	0x70C4 : 'Unassigned [0x70C4]',
	0x70C5 : 'Unassigned [0x70C5]',
	0x70C6 : 'Unassigned [0x70C6]',
	0x70C7 : 'Unassigned [0x70C7]',
	0x70C8 : 'Unassigned [0x70C8]',
	0x70C9 : 'Unassigned [0x70C9]',
	0x70CA : 'Unassigned [0x70CA]',
	0x70CB : 'Unassigned [0x70CB]',
	0x70CC : 'Unassigned [0x70CC]',
	0x70CD : 'Unassigned [0x70CD]',
	0x70CE : 'Unassigned [0x70CE]',
	0x70CF : 'Unassigned [0x70CF]',
	0x70D0 : 'Unassigned [0x70D0]',
	0x70D1 : 'Unassigned [0x70D1]',
	0x70D2 : 'Unassigned [0x70D2]',
	0x70D3 : 'Unassigned [0x70D3]',
	0x70D4 : 'Unassigned [0x70D4]',
	0x70D5 : 'Unassigned [0x70D5]',
	0x70D6 : 'Unassigned [0x70D6]',
	0x70D7 : 'Unassigned [0x70D7]',
	0x70D8 : 'Unassigned [0x70D8]',
	0x70D9 : 'Unassigned [0x70D9]',
	0x70DA : 'Unassigned [0x70DA]',
	0x70DB : 'Unassigned [0x70DB]',
	0x70DC : 'Unassigned [0x70DC]',
	0x70DD : 'Unassigned [0x70DD]',
	0x70DE : 'Unassigned [0x70DE]',
	0x70DF : 'Unassigned [0x70DF]',
	0x70E0 : 'Unassigned [0x70E0]',
	0x70E1 : 'Unassigned [0x70E1]',
	0x70E2 : 'Unassigned [0x70E2]',
	0x70E3 : 'Unassigned [0x70E3]',
	0x70E4 : 'Unassigned [0x70E4]',
	0x70E5 : 'Unassigned [0x70E5]',
	0x70E6 : 'Unassigned [0x70E6]',
	0x70E7 : 'Unassigned [0x70E7]',
	0x70E8 : 'Unassigned [0x70E8]',
	0x70E9 : 'Unassigned [0x70E9]',
	0x70EA : 'Unassigned [0x70EA]',
	0x70EB : 'Unassigned [0x70EB]',
	0x70EC : 'Unassigned [0x70EC]',
	0x70ED : 'Unassigned [0x70ED]',
	0x70EE : 'Unassigned [0x70EE]',
	0x70EF : 'Unassigned [0x70EF]',
	0x70F0 : 'Unassigned [0x70F0]',
	0x70F1 : 'Unassigned [0x70F1]',
	0x70F2 : 'Unassigned [0x70F2]',
	0x70F3 : 'Unassigned [0x70F3]',
	0x70F4 : 'Unassigned [0x70F4]',
	0x70F5 : 'Unassigned [0x70F5]',
	0x70F6 : 'Unassigned [0x70F6]',
	0x70F7 : 'Unassigned [0x70F7]',
	0x70F8 : 'Unassigned [0x70F8]',
	0x70F9 : 'Unassigned [0x70F9]',
	0x70FA : 'Unassigned [0x70FA]',
	0x70FB : 'Unassigned [0x70FB]',
	0x70FC : 'Unassigned [0x70FC]',
	0x70FD : 'Unassigned [0x70FD]',
	0x70FE : 'Unassigned [0x70FE]',
	0x70FF : 'Unassigned [0x70FF]',
	0x7100 : 'Unassigned [0x7100]',
	0x7101 : 'Unassigned [0x7101]',
	0x7102 : 'Unassigned [0x7102]',
	0x7103 : 'Unassigned [0x7103]',
	0x7104 : 'Unassigned [0x7104]',
	0x7105 : 'Unassigned [0x7105]',
	0x7106 : 'Unassigned [0x7106]',
	0x7107 : 'Unassigned [0x7107]',
	0x7108 : 'Unassigned [0x7108]',
	0x7109 : 'Unassigned [0x7109]',
	0x710A : 'Unassigned [0x710A]',
	0x710B : 'Unassigned [0x710B]',
	0x710C : 'Unassigned [0x710C]',
	0x710D : 'Unassigned [0x710D]',
	0x710E : 'Unassigned [0x710E]',
	0x710F : 'Unassigned [0x710F]',
	0x7110 : 'Unassigned [0x7110]',
	0x7111 : 'Unassigned [0x7111]',
	0x7112 : 'Unassigned [0x7112]',
	0x7113 : 'Unassigned [0x7113]',
	0x7114 : 'Unassigned [0x7114]',
	0x7115 : 'Unassigned [0x7115]',
	0x7116 : 'Unassigned [0x7116]',
	0x7117 : 'Unassigned [0x7117]',
	0x7118 : 'Unassigned [0x7118]',
	0x7119 : 'Unassigned [0x7119]',
	0x711A : 'Unassigned [0x711A]',
	0x711B : 'Unassigned [0x711B]',
	0x711C : 'Unassigned [0x711C]',
	0x711D : 'Unassigned [0x711D]',
	0x711E : 'Unassigned [0x711E]',
	0x711F : 'Unassigned [0x711F]',
	0x7120 : 'Unassigned [0x7120]',
	0x7121 : 'Unassigned [0x7121]',
	0x7122 : 'Unassigned [0x7122]',
	0x7123 : 'Unassigned [0x7123]',
	0x7124 : 'Unassigned [0x7124]',
	0x7125 : 'Unassigned [0x7125]',
	0x7126 : 'Unassigned [0x7126]',
	0x7127 : 'Unassigned [0x7127]',
	0x7128 : 'Unassigned [0x7128]',
	0x7129 : 'Unassigned [0x7129]',
	0x712A : 'Unassigned [0x712A]',
	0x712B : 'Unassigned [0x712B]',
	0x712C : 'Unassigned [0x712C]',
	0x712D : 'Unassigned [0x712D]',
	0x712E : 'Unassigned [0x712E]',
	0x712F : 'Unassigned [0x712F]',
	0x7130 : 'Unassigned [0x7130]',
	0x7131 : 'Unassigned [0x7131]',
	0x7132 : 'Unassigned [0x7132]',
	0x7133 : 'Unassigned [0x7133]',
	0x7134 : 'Unassigned [0x7134]',
	0x7135 : 'Unassigned [0x7135]',
	0x7136 : 'Unassigned [0x7136]',
	0x7137 : 'Unassigned [0x7137]',
	0x7138 : 'Unassigned [0x7138]',
	0x7139 : 'Unassigned [0x7139]',
	0x713A : 'Unassigned [0x713A]',
	0x713B : 'Unassigned [0x713B]',
	0x713C : 'Unassigned [0x713C]',
	0x713D : 'Unassigned [0x713D]',
	0x713E : 'Unassigned [0x713E]',
	0x713F : 'Unassigned [0x713F]',
	0x7140 : 'Unassigned [0x7140]',
	0x7141 : 'Unassigned [0x7141]',
	0x7142 : 'Unassigned [0x7142]',
	0x7143 : 'Unassigned [0x7143]',
	0x7144 : 'Unassigned [0x7144]',
	0x7145 : 'Unassigned [0x7145]',
	0x7146 : 'Unassigned [0x7146]',
	0x7147 : 'Unassigned [0x7147]',
	0x7148 : 'Unassigned [0x7148]',
	0x7149 : 'Unassigned [0x7149]',
	0x714A : 'Unassigned [0x714A]',
	0x714B : 'Unassigned [0x714B]',
	0x714C : 'Unassigned [0x714C]',
	0x714D : 'Unassigned [0x714D]',
	0x714E : 'Unassigned [0x714E]',
	0x714F : 'Unassigned [0x714F]',
	0x7150 : 'Unassigned [0x7150]',
	0x7151 : 'Unassigned [0x7151]',
	0x7152 : 'Unassigned [0x7152]',
	0x7153 : 'Unassigned [0x7153]',
	0x7154 : 'Unassigned [0x7154]',
	0x7155 : 'Unassigned [0x7155]',
	0x7156 : 'Unassigned [0x7156]',
	0x7157 : 'Unassigned [0x7157]',
	0x7158 : 'Unassigned [0x7158]',
	0x7159 : 'Unassigned [0x7159]',
	0x715A : 'Unassigned [0x715A]',
	0x715B : 'Unassigned [0x715B]',
	0x715C : 'Unassigned [0x715C]',
	0x715D : 'Unassigned [0x715D]',
	0x715E : 'Unassigned [0x715E]',
	0x715F : 'Unassigned [0x715F]',
	0x7160 : 'Unassigned [0x7160]',
	0x7161 : 'Unassigned [0x7161]',
	0x7162 : 'Unassigned [0x7162]',
	0x7163 : 'Unassigned [0x7163]',
	0x7164 : 'Unassigned [0x7164]',
	0x7165 : 'Unassigned [0x7165]',
	0x7166 : 'Unassigned [0x7166]',
	0x7167 : 'Unassigned [0x7167]',
	0x7168 : 'Unassigned [0x7168]',
	0x7169 : 'Unassigned [0x7169]',
	0x716A : 'Unassigned [0x716A]',
	0x716B : 'Unassigned [0x716B]',
	0x716C : 'Unassigned [0x716C]',
	0x716D : 'Unassigned [0x716D]',
	0x716E : 'Unassigned [0x716E]',
	0x716F : 'Unassigned [0x716F]',
	0x7170 : 'Unassigned [0x7170]',
	0x7171 : 'Unassigned [0x7171]',
	0x7172 : 'Unassigned [0x7172]',
	0x7173 : 'Unassigned [0x7173]',
	0x7174 : 'Unassigned [0x7174]',
	0x7175 : 'Unassigned [0x7175]',
	0x7176 : 'Unassigned [0x7176]',
	0x7177 : 'Unassigned [0x7177]',
	0x7178 : 'Unassigned [0x7178]',
	0x7179 : 'Unassigned [0x7179]',
	0x717A : 'Unassigned [0x717A]',
	0x717B : 'Unassigned [0x717B]',
	0x717C : 'Unassigned [0x717C]',
	0x717D : 'Unassigned [0x717D]',
	0x717E : 'Unassigned [0x717E]',
	0x717F : 'Unassigned [0x717F]',
	0x7180 : 'Unassigned [0x7180]',
	0x7181 : 'Unassigned [0x7181]',
	0x7182 : 'Unassigned [0x7182]',
	0x7183 : 'Unassigned [0x7183]',
	0x7184 : 'Unassigned [0x7184]',
	0x7185 : 'Unassigned [0x7185]',
	0x7186 : 'Unassigned [0x7186]',
	0x7187 : 'Unassigned [0x7187]',
	0x7188 : 'Unassigned [0x7188]',
	0x7189 : 'Unassigned [0x7189]',
	0x718A : 'Unassigned [0x718A]',
	0x718B : 'Unassigned [0x718B]',
	0x718C : 'Unassigned [0x718C]',
	0x718D : 'Unassigned [0x718D]',
	0x718E : 'Unassigned [0x718E]',
	0x718F : 'Unassigned [0x718F]',
	0x7190 : 'Unassigned [0x7190]',
	0x7191 : 'Unassigned [0x7191]',
	0x7192 : 'Unassigned [0x7192]',
	0x7193 : 'Unassigned [0x7193]',
	0x7194 : 'Unassigned [0x7194]',
	0x7195 : 'Unassigned [0x7195]',
	0x7196 : 'Unassigned [0x7196]',
	0x7197 : 'Unassigned [0x7197]',
	0x7198 : 'Unassigned [0x7198]',
	0x7199 : 'Unassigned [0x7199]',
	0x719A : 'Unassigned [0x719A]',
	0x719B : 'Unassigned [0x719B]',
	0x719C : 'Unassigned [0x719C]',
	0x719D : 'Unassigned [0x719D]',
	0x719E : 'Unassigned [0x719E]',
	0x719F : 'Unassigned [0x719F]',
	0x71A0 : 'Unassigned [0x71A0]',
	0x71A1 : 'Unassigned [0x71A1]',
	0x71A2 : 'Unassigned [0x71A2]',
	0x71A3 : 'Unassigned [0x71A3]',
	0x71A4 : 'Unassigned [0x71A4]',
	0x71A5 : 'Unassigned [0x71A5]',
	0x71A6 : 'Unassigned [0x71A6]',
	0x71A7 : 'Unassigned [0x71A7]',
	0x71A8 : 'Unassigned [0x71A8]',
	0x71A9 : 'Unassigned [0x71A9]',
	0x71AA : 'Unassigned [0x71AA]',
	0x71AB : 'Unassigned [0x71AB]',
	0x71AC : 'Unassigned [0x71AC]',
	0x71AD : 'Unassigned [0x71AD]',
	0x71AE : 'Unassigned [0x71AE]',
	0x71AF : 'Unassigned [0x71AF]',
	0x71B0 : 'Unassigned [0x71B0]',
	0x71B1 : 'Unassigned [0x71B1]',
	0x71B2 : 'Unassigned [0x71B2]',
	0x71B3 : 'Unassigned [0x71B3]',
	0x71B4 : 'Unassigned [0x71B4]',
	0x71B5 : 'Unassigned [0x71B5]',
	0x71B6 : 'Unassigned [0x71B6]',
	0x71B7 : 'Unassigned [0x71B7]',
	0x71B8 : 'Unassigned [0x71B8]',
	0x71B9 : 'Unassigned [0x71B9]',
	0x71BA : 'Unassigned [0x71BA]',
	0x71BB : 'Unassigned [0x71BB]',
	0x71BC : 'Unassigned [0x71BC]',
	0x71BD : 'Unassigned [0x71BD]',
	0x71BE : 'Unassigned [0x71BE]',
	0x71BF : 'Unassigned [0x71BF]',
	0x71C0 : 'Unassigned [0x71C0]',
	0x71C1 : 'Unassigned [0x71C1]',
	0x71C2 : 'Unassigned [0x71C2]',
	0x71C3 : 'Unassigned [0x71C3]',
	0x71C4 : 'Unassigned [0x71C4]',
	0x71C5 : 'Unassigned [0x71C5]',
	0x71C6 : 'Unassigned [0x71C6]',
	0x71C7 : 'Unassigned [0x71C7]',
	0x71C8 : 'Unassigned [0x71C8]',
	0x71C9 : 'Unassigned [0x71C9]',
	0x71CA : 'Unassigned [0x71CA]',
	0x71CB : 'Unassigned [0x71CB]',
	0x71CC : 'Unassigned [0x71CC]',
	0x71CD : 'Unassigned [0x71CD]',
	0x71CE : 'Unassigned [0x71CE]',
	0x71CF : 'Unassigned [0x71CF]',
	0x71D0 : 'Unassigned [0x71D0]',
	0x71D1 : 'Unassigned [0x71D1]',
	0x71D2 : 'Unassigned [0x71D2]',
	0x71D3 : 'Unassigned [0x71D3]',
	0x71D4 : 'Unassigned [0x71D4]',
	0x71D5 : 'Unassigned [0x71D5]',
	0x71D6 : 'Unassigned [0x71D6]',
	0x71D7 : 'Unassigned [0x71D7]',
	0x71D8 : 'Unassigned [0x71D8]',
	0x71D9 : 'Unassigned [0x71D9]',
	0x71DA : 'Unassigned [0x71DA]',
	0x71DB : 'Unassigned [0x71DB]',
	0x71DC : 'Unassigned [0x71DC]',
	0x71DD : 'Unassigned [0x71DD]',
	0x71DE : 'Unassigned [0x71DE]',
	0x71DF : 'Unassigned [0x71DF]',
	0x71E0 : 'Unassigned [0x71E0]',
	0x71E1 : 'Unassigned [0x71E1]',
	0x71E2 : 'Unassigned [0x71E2]',
	0x71E3 : 'Unassigned [0x71E3]',
	0x71E4 : 'Unassigned [0x71E4]',
	0x71E5 : 'Unassigned [0x71E5]',
	0x71E6 : 'Unassigned [0x71E6]',
	0x71E7 : 'Unassigned [0x71E7]',
	0x71E8 : 'Unassigned [0x71E8]',
	0x71E9 : 'Unassigned [0x71E9]',
	0x71EA : 'Unassigned [0x71EA]',
	0x71EB : 'Unassigned [0x71EB]',
	0x71EC : 'Unassigned [0x71EC]',
	0x71ED : 'Unassigned [0x71ED]',
	0x71EE : 'Unassigned [0x71EE]',
	0x71EF : 'Unassigned [0x71EF]',
	0x71F0 : 'Unassigned [0x71F0]',
	0x71F1 : 'Unassigned [0x71F1]',
	0x71F2 : 'Unassigned [0x71F2]',
	0x71F3 : 'Unassigned [0x71F3]',
	0x71F4 : 'Unassigned [0x71F4]',
	0x71F5 : 'Unassigned [0x71F5]',
	0x71F6 : 'Unassigned [0x71F6]',
	0x71F7 : 'Unassigned [0x71F7]',
	0x71F8 : 'Unassigned [0x71F8]',
	0x71F9 : 'Unassigned [0x71F9]',
	0x71FA : 'Unassigned [0x71FA]',
	0x71FB : 'Unassigned [0x71FB]',
	0x71FC : 'Unassigned [0x71FC]',
	0x71FD : 'Unassigned [0x71FD]',
	0x71FE : 'Unassigned [0x71FE]',
	0x71FF : 'Unassigned [0x71FF]',
	0x7200 : 'Unassigned [0x7200]',
	0x7201 : 'Unassigned [0x7201]',
	0x7202 : 'Unassigned [0x7202]',
	0x7203 : 'Unassigned [0x7203]',
	0x7204 : 'Unassigned [0x7204]',
	0x7205 : 'Unassigned [0x7205]',
	0x7206 : 'Unassigned [0x7206]',
	0x7207 : 'Unassigned [0x7207]',
	0x7208 : 'Unassigned [0x7208]',
	0x7209 : 'Unassigned [0x7209]',
	0x720A : 'Unassigned [0x720A]',
	0x720B : 'Unassigned [0x720B]',
	0x720C : 'Unassigned [0x720C]',
	0x720D : 'Unassigned [0x720D]',
	0x720E : 'Unassigned [0x720E]',
	0x720F : 'Unassigned [0x720F]',
	0x7210 : 'Unassigned [0x7210]',
	0x7211 : 'Unassigned [0x7211]',
	0x7212 : 'Unassigned [0x7212]',
	0x7213 : 'Unassigned [0x7213]',
	0x7214 : 'Unassigned [0x7214]',
	0x7215 : 'Unassigned [0x7215]',
	0x7216 : 'Unassigned [0x7216]',
	0x7217 : 'Unassigned [0x7217]',
	0x7218 : 'Unassigned [0x7218]',
	0x7219 : 'Unassigned [0x7219]',
	0x721A : 'Unassigned [0x721A]',
	0x721B : 'Unassigned [0x721B]',
	0x721C : 'Unassigned [0x721C]',
	0x721D : 'Unassigned [0x721D]',
	0x721E : 'Unassigned [0x721E]',
	0x721F : 'Unassigned [0x721F]',
	0x7220 : 'Unassigned [0x7220]',
	0x7221 : 'Unassigned [0x7221]',
	0x7222 : 'Unassigned [0x7222]',
	0x7223 : 'Unassigned [0x7223]',
	0x7224 : 'Unassigned [0x7224]',
	0x7225 : 'Unassigned [0x7225]',
	0x7226 : 'Unassigned [0x7226]',
	0x7227 : 'Unassigned [0x7227]',
	0x7228 : 'Unassigned [0x7228]',
	0x7229 : 'Unassigned [0x7229]',
	0x722A : 'Unassigned [0x722A]',
	0x722B : 'Unassigned [0x722B]',
	0x722C : 'Unassigned [0x722C]',
	0x722D : 'Unassigned [0x722D]',
	0x722E : 'Unassigned [0x722E]',
	0x722F : 'Unassigned [0x722F]',
	0x7230 : 'Unassigned [0x7230]',
	0x7231 : 'Unassigned [0x7231]',
	0x7232 : 'Unassigned [0x7232]',
	0x7233 : 'Unassigned [0x7233]',
	0x7234 : 'Unassigned [0x7234]',
	0x7235 : 'Unassigned [0x7235]',
	0x7236 : 'Unassigned [0x7236]',
	0x7237 : 'Unassigned [0x7237]',
	0x7238 : 'Unassigned [0x7238]',
	0x7239 : 'Unassigned [0x7239]',
	0x723A : 'Unassigned [0x723A]',
	0x723B : 'Unassigned [0x723B]',
	0x723C : 'Unassigned [0x723C]',
	0x723D : 'Unassigned [0x723D]',
	0x723E : 'Unassigned [0x723E]',
	0x723F : 'Unassigned [0x723F]',
	0x7240 : 'Unassigned [0x7240]',
	0x7241 : 'Unassigned [0x7241]',
	0x7242 : 'Unassigned [0x7242]',
	0x7243 : 'Unassigned [0x7243]',
	0x7244 : 'Unassigned [0x7244]',
	0x7245 : 'Unassigned [0x7245]',
	0x7246 : 'Unassigned [0x7246]',
	0x7247 : 'Unassigned [0x7247]',
	0x7248 : 'Unassigned [0x7248]',
	0x7249 : 'Unassigned [0x7249]',
	0x724A : 'Unassigned [0x724A]',
	0x724B : 'Unassigned [0x724B]',
	0x724C : 'Unassigned [0x724C]',
	0x724D : 'Unassigned [0x724D]',
	0x724E : 'Unassigned [0x724E]',
	0x724F : 'Unassigned [0x724F]',
	0x7250 : 'Unassigned [0x7250]',
	0x7251 : 'Unassigned [0x7251]',
	0x7252 : 'Unassigned [0x7252]',
	0x7253 : 'Unassigned [0x7253]',
	0x7254 : 'Unassigned [0x7254]',
	0x7255 : 'Unassigned [0x7255]',
	0x7256 : 'Unassigned [0x7256]',
	0x7257 : 'Unassigned [0x7257]',
	0x7258 : 'Unassigned [0x7258]',
	0x7259 : 'Unassigned [0x7259]',
	0x725A : 'Unassigned [0x725A]',
	0x725B : 'Unassigned [0x725B]',
	0x725C : 'Unassigned [0x725C]',
	0x725D : 'Unassigned [0x725D]',
	0x725E : 'Unassigned [0x725E]',
	0x725F : 'Unassigned [0x725F]',
	0x7260 : 'Unassigned [0x7260]',
	0x7261 : 'Unassigned [0x7261]',
	0x7262 : 'Unassigned [0x7262]',
	0x7263 : 'Unassigned [0x7263]',
	0x7264 : 'Unassigned [0x7264]',
	0x7265 : 'Unassigned [0x7265]',
	0x7266 : 'Unassigned [0x7266]',
	0x7267 : 'Unassigned [0x7267]',
	0x7268 : 'Unassigned [0x7268]',
	0x7269 : 'Unassigned [0x7269]',
	0x726A : 'Unassigned [0x726A]',
	0x726B : 'Unassigned [0x726B]',
	0x726C : 'Unassigned [0x726C]',
	0x726D : 'Unassigned [0x726D]',
	0x726E : 'Unassigned [0x726E]',
	0x726F : 'Unassigned [0x726F]',
	0x7270 : 'Unassigned [0x7270]',
	0x7271 : 'Unassigned [0x7271]',
	0x7272 : 'Unassigned [0x7272]',
	0x7273 : 'Unassigned [0x7273]',
	0x7274 : 'Unassigned [0x7274]',
	0x7275 : 'Unassigned [0x7275]',
	0x7276 : 'Unassigned [0x7276]',
	0x7277 : 'Unassigned [0x7277]',
	0x7278 : 'Unassigned [0x7278]',
	0x7279 : 'Unassigned [0x7279]',
	0x727A : 'Unassigned [0x727A]',
	0x727B : 'Unassigned [0x727B]',
	0x727C : 'Unassigned [0x727C]',
	0x727D : 'Unassigned [0x727D]',
	0x727E : 'Unassigned [0x727E]',
	0x727F : 'Unassigned [0x727F]',
	0x7280 : 'Unassigned [0x7280]',
	0x7281 : 'Unassigned [0x7281]',
	0x7282 : 'Unassigned [0x7282]',
	0x7283 : 'Unassigned [0x7283]',
	0x7284 : 'Unassigned [0x7284]',
	0x7285 : 'Unassigned [0x7285]',
	0x7286 : 'Unassigned [0x7286]',
	0x7287 : 'Unassigned [0x7287]',
	0x7288 : 'Unassigned [0x7288]',
	0x7289 : 'Unassigned [0x7289]',
	0x728A : 'Unassigned [0x728A]',
	0x728B : 'Unassigned [0x728B]',
	0x728C : 'Unassigned [0x728C]',
	0x728D : 'Unassigned [0x728D]',
	0x728E : 'Unassigned [0x728E]',
	0x728F : 'Unassigned [0x728F]',
	0x7290 : 'Unassigned [0x7290]',
	0x7291 : 'Unassigned [0x7291]',
	0x7292 : 'Unassigned [0x7292]',
	0x7293 : 'Unassigned [0x7293]',
	0x7294 : 'Unassigned [0x7294]',
	0x7295 : 'Unassigned [0x7295]',
	0x7296 : 'Unassigned [0x7296]',
	0x7297 : 'Unassigned [0x7297]',
	0x7298 : 'Unassigned [0x7298]',
	0x7299 : 'Unassigned [0x7299]',
	0x729A : 'Unassigned [0x729A]',
	0x729B : 'Unassigned [0x729B]',
	0x729C : 'Unassigned [0x729C]',
	0x729D : 'Unassigned [0x729D]',
	0x729E : 'Unassigned [0x729E]',
	0x729F : 'Unassigned [0x729F]',
	0x72A0 : 'Unassigned [0x72A0]',
	0x72A1 : 'Unassigned [0x72A1]',
	0x72A2 : 'Unassigned [0x72A2]',
	0x72A3 : 'Unassigned [0x72A3]',
	0x72A4 : 'Unassigned [0x72A4]',
	0x72A5 : 'Unassigned [0x72A5]',
	0x72A6 : 'Unassigned [0x72A6]',
	0x72A7 : 'Unassigned [0x72A7]',
	0x72A8 : 'Unassigned [0x72A8]',
	0x72A9 : 'Unassigned [0x72A9]',
	0x72AA : 'Unassigned [0x72AA]',
	0x72AB : 'Unassigned [0x72AB]',
	0x72AC : 'Unassigned [0x72AC]',
	0x72AD : 'Unassigned [0x72AD]',
	0x72AE : 'Unassigned [0x72AE]',
	0x72AF : 'Unassigned [0x72AF]',
	0x72B0 : 'Unassigned [0x72B0]',
	0x72B1 : 'Unassigned [0x72B1]',
	0x72B2 : 'Unassigned [0x72B2]',
	0x72B3 : 'Unassigned [0x72B3]',
	0x72B4 : 'Unassigned [0x72B4]',
	0x72B5 : 'Unassigned [0x72B5]',
	0x72B6 : 'Unassigned [0x72B6]',
	0x72B7 : 'Unassigned [0x72B7]',
	0x72B8 : 'Unassigned [0x72B8]',
	0x72B9 : 'Unassigned [0x72B9]',
	0x72BA : 'Unassigned [0x72BA]',
	0x72BB : 'Unassigned [0x72BB]',
	0x72BC : 'Unassigned [0x72BC]',
	0x72BD : 'Unassigned [0x72BD]',
	0x72BE : 'Unassigned [0x72BE]',
	0x72BF : 'Unassigned [0x72BF]',
	0x72C0 : 'Unassigned [0x72C0]',
	0x72C1 : 'Unassigned [0x72C1]',
	0x72C2 : 'Unassigned [0x72C2]',
	0x72C3 : 'Unassigned [0x72C3]',
	0x72C4 : 'Unassigned [0x72C4]',
	0x72C5 : 'Unassigned [0x72C5]',
	0x72C6 : 'Unassigned [0x72C6]',
	0x72C7 : 'Unassigned [0x72C7]',
	0x72C8 : 'Unassigned [0x72C8]',
	0x72C9 : 'Unassigned [0x72C9]',
	0x72CA : 'Unassigned [0x72CA]',
	0x72CB : 'Unassigned [0x72CB]',
	0x72CC : 'Unassigned [0x72CC]',
	0x72CD : 'Unassigned [0x72CD]',
	0x72CE : 'Unassigned [0x72CE]',
	0x72CF : 'Unassigned [0x72CF]',
	0x72D0 : 'Unassigned [0x72D0]',
	0x72D1 : 'Unassigned [0x72D1]',
	0x72D2 : 'Unassigned [0x72D2]',
	0x72D3 : 'Unassigned [0x72D3]',
	0x72D4 : 'Unassigned [0x72D4]',
	0x72D5 : 'Unassigned [0x72D5]',
	0x72D6 : 'Unassigned [0x72D6]',
	0x72D7 : 'Unassigned [0x72D7]',
	0x72D8 : 'Unassigned [0x72D8]',
	0x72D9 : 'Unassigned [0x72D9]',
	0x72DA : 'Unassigned [0x72DA]',
	0x72DB : 'Unassigned [0x72DB]',
	0x72DC : 'Unassigned [0x72DC]',
	0x72DD : 'Unassigned [0x72DD]',
	0x72DE : 'Unassigned [0x72DE]',
	0x72DF : 'Unassigned [0x72DF]',
	0x72E0 : 'Unassigned [0x72E0]',
	0x72E1 : 'Unassigned [0x72E1]',
	0x72E2 : 'Unassigned [0x72E2]',
	0x72E3 : 'Unassigned [0x72E3]',
	0x72E4 : 'Unassigned [0x72E4]',
	0x72E5 : 'Unassigned [0x72E5]',
	0x72E6 : 'Unassigned [0x72E6]',
	0x72E7 : 'Unassigned [0x72E7]',
	0x72E8 : 'Unassigned [0x72E8]',
	0x72E9 : 'Unassigned [0x72E9]',
	0x72EA : 'Unassigned [0x72EA]',
	0x72EB : 'Unassigned [0x72EB]',
	0x72EC : 'Unassigned [0x72EC]',
	0x72ED : 'Unassigned [0x72ED]',
	0x72EE : 'Unassigned [0x72EE]',
	0x72EF : 'Unassigned [0x72EF]',
	0x72F0 : 'Unassigned [0x72F0]',
	0x72F1 : 'Unassigned [0x72F1]',
	0x72F2 : 'Unassigned [0x72F2]',
	0x72F3 : 'Unassigned [0x72F3]',
	0x72F4 : 'Unassigned [0x72F4]',
	0x72F5 : 'Unassigned [0x72F5]',
	0x72F6 : 'Unassigned [0x72F6]',
	0x72F7 : 'Unassigned [0x72F7]',
	0x72F8 : 'Unassigned [0x72F8]',
	0x72F9 : 'Unassigned [0x72F9]',
	0x72FA : 'Unassigned [0x72FA]',
	0x72FB : 'Unassigned [0x72FB]',
	0x72FC : 'Unassigned [0x72FC]',
	0x72FD : 'Unassigned [0x72FD]',
	0x72FE : 'Unassigned [0x72FE]',
	0x72FF : 'Unassigned [0x72FF]',
	0x7300 : 'Unassigned [0x7300]',
	0x7301 : 'Unassigned [0x7301]',
	0x7302 : 'Unassigned [0x7302]',
	0x7303 : 'Unassigned [0x7303]',
	0x7304 : 'Unassigned [0x7304]',
	0x7305 : 'Unassigned [0x7305]',
	0x7306 : 'Unassigned [0x7306]',
	0x7307 : 'Unassigned [0x7307]',
	0x7308 : 'Unassigned [0x7308]',
	0x7309 : 'Unassigned [0x7309]',
	0x730A : 'Unassigned [0x730A]',
	0x730B : 'Unassigned [0x730B]',
	0x730C : 'Unassigned [0x730C]',
	0x730D : 'Unassigned [0x730D]',
	0x730E : 'Unassigned [0x730E]',
	0x730F : 'Unassigned [0x730F]',
	0x7310 : 'Unassigned [0x7310]',
	0x7311 : 'Unassigned [0x7311]',
	0x7312 : 'Unassigned [0x7312]',
	0x7313 : 'Unassigned [0x7313]',
	0x7314 : 'Unassigned [0x7314]',
	0x7315 : 'Unassigned [0x7315]',
	0x7316 : 'Unassigned [0x7316]',
	0x7317 : 'Unassigned [0x7317]',
	0x7318 : 'Unassigned [0x7318]',
	0x7319 : 'Unassigned [0x7319]',
	0x731A : 'Unassigned [0x731A]',
	0x731B : 'Unassigned [0x731B]',
	0x731C : 'Unassigned [0x731C]',
	0x731D : 'Unassigned [0x731D]',
	0x731E : 'Unassigned [0x731E]',
	0x731F : 'Unassigned [0x731F]',
	0x7320 : 'Unassigned [0x7320]',
	0x7321 : 'Unassigned [0x7321]',
	0x7322 : 'Unassigned [0x7322]',
	0x7323 : 'Unassigned [0x7323]',
	0x7324 : 'Unassigned [0x7324]',
	0x7325 : 'Unassigned [0x7325]',
	0x7326 : 'Unassigned [0x7326]',
	0x7327 : 'Unassigned [0x7327]',
	0x7328 : 'Unassigned [0x7328]',
	0x7329 : 'Unassigned [0x7329]',
	0x732A : 'Unassigned [0x732A]',
	0x732B : 'Unassigned [0x732B]',
	0x732C : 'Unassigned [0x732C]',
	0x732D : 'Unassigned [0x732D]',
	0x732E : 'Unassigned [0x732E]',
	0x732F : 'Unassigned [0x732F]',
	0x7330 : 'Unassigned [0x7330]',
	0x7331 : 'Unassigned [0x7331]',
	0x7332 : 'Unassigned [0x7332]',
	0x7333 : 'Unassigned [0x7333]',
	0x7334 : 'Unassigned [0x7334]',
	0x7335 : 'Unassigned [0x7335]',
	0x7336 : 'Unassigned [0x7336]',
	0x7337 : 'Unassigned [0x7337]',
	0x7338 : 'Unassigned [0x7338]',
	0x7339 : 'Unassigned [0x7339]',
	0x733A : 'Unassigned [0x733A]',
	0x733B : 'Unassigned [0x733B]',
	0x733C : 'Unassigned [0x733C]',
	0x733D : 'Unassigned [0x733D]',
	0x733E : 'Unassigned [0x733E]',
	0x733F : 'Unassigned [0x733F]',
	0x7340 : 'Unassigned [0x7340]',
	0x7341 : 'Unassigned [0x7341]',
	0x7342 : 'Unassigned [0x7342]',
	0x7343 : 'Unassigned [0x7343]',
	0x7344 : 'Unassigned [0x7344]',
	0x7345 : 'Unassigned [0x7345]',
	0x7346 : 'Unassigned [0x7346]',
	0x7347 : 'Unassigned [0x7347]',
	0x7348 : 'Unassigned [0x7348]',
	0x7349 : 'Unassigned [0x7349]',
	0x734A : 'Unassigned [0x734A]',
	0x734B : 'Unassigned [0x734B]',
	0x734C : 'Unassigned [0x734C]',
	0x734D : 'Unassigned [0x734D]',
	0x734E : 'Unassigned [0x734E]',
	0x734F : 'Unassigned [0x734F]',
	0x7350 : 'Unassigned [0x7350]',
	0x7351 : 'Unassigned [0x7351]',
	0x7352 : 'Unassigned [0x7352]',
	0x7353 : 'Unassigned [0x7353]',
	0x7354 : 'Unassigned [0x7354]',
	0x7355 : 'Unassigned [0x7355]',
	0x7356 : 'Unassigned [0x7356]',
	0x7357 : 'Unassigned [0x7357]',
	0x7358 : 'Unassigned [0x7358]',
	0x7359 : 'Unassigned [0x7359]',
	0x735A : 'Unassigned [0x735A]',
	0x735B : 'Unassigned [0x735B]',
	0x735C : 'Unassigned [0x735C]',
	0x735D : 'Unassigned [0x735D]',
	0x735E : 'Unassigned [0x735E]',
	0x735F : 'Unassigned [0x735F]',
	0x7360 : 'Unassigned [0x7360]',
	0x7361 : 'Unassigned [0x7361]',
	0x7362 : 'Unassigned [0x7362]',
	0x7363 : 'Unassigned [0x7363]',
	0x7364 : 'Unassigned [0x7364]',
	0x7365 : 'Unassigned [0x7365]',
	0x7366 : 'Unassigned [0x7366]',
	0x7367 : 'Unassigned [0x7367]',
	0x7368 : 'Unassigned [0x7368]',
	0x7369 : 'Unassigned [0x7369]',
	0x736A : 'Unassigned [0x736A]',
	0x736B : 'Unassigned [0x736B]',
	0x736C : 'Unassigned [0x736C]',
	0x736D : 'Unassigned [0x736D]',
	0x736E : 'Unassigned [0x736E]',
	0x736F : 'Unassigned [0x736F]',
	0x7370 : 'Unassigned [0x7370]',
	0x7371 : 'Unassigned [0x7371]',
	0x7372 : 'Unassigned [0x7372]',
	0x7373 : 'Unassigned [0x7373]',
	0x7374 : 'Unassigned [0x7374]',
	0x7375 : 'Unassigned [0x7375]',
	0x7376 : 'Unassigned [0x7376]',
	0x7377 : 'Unassigned [0x7377]',
	0x7378 : 'Unassigned [0x7378]',
	0x7379 : 'Unassigned [0x7379]',
	0x737A : 'Unassigned [0x737A]',
	0x737B : 'Unassigned [0x737B]',
	0x737C : 'Unassigned [0x737C]',
	0x737D : 'Unassigned [0x737D]',
	0x737E : 'Unassigned [0x737E]',
	0x737F : 'Unassigned [0x737F]',
	0x7380 : 'Unassigned [0x7380]',
	0x7381 : 'Unassigned [0x7381]',
	0x7382 : 'Unassigned [0x7382]',
	0x7383 : 'Unassigned [0x7383]',
	0x7384 : 'Unassigned [0x7384]',
	0x7385 : 'Unassigned [0x7385]',
	0x7386 : 'Unassigned [0x7386]',
	0x7387 : 'Unassigned [0x7387]',
	0x7388 : 'Unassigned [0x7388]',
	0x7389 : 'Unassigned [0x7389]',
	0x738A : 'Unassigned [0x738A]',
	0x738B : 'Unassigned [0x738B]',
	0x738C : 'Unassigned [0x738C]',
	0x738D : 'Unassigned [0x738D]',
	0x738E : 'Unassigned [0x738E]',
	0x738F : 'Unassigned [0x738F]',
	0x7390 : 'Unassigned [0x7390]',
	0x7391 : 'Unassigned [0x7391]',
	0x7392 : 'Unassigned [0x7392]',
	0x7393 : 'Unassigned [0x7393]',
	0x7394 : 'Unassigned [0x7394]',
	0x7395 : 'Unassigned [0x7395]',
	0x7396 : 'Unassigned [0x7396]',
	0x7397 : 'Unassigned [0x7397]',
	0x7398 : 'Unassigned [0x7398]',
	0x7399 : 'Unassigned [0x7399]',
	0x739A : 'Unassigned [0x739A]',
	0x739B : 'Unassigned [0x739B]',
	0x739C : 'Unassigned [0x739C]',
	0x739D : 'Unassigned [0x739D]',
	0x739E : 'Unassigned [0x739E]',
	0x739F : 'Unassigned [0x739F]',
	0x73A0 : 'Unassigned [0x73A0]',
	0x73A1 : 'Unassigned [0x73A1]',
	0x73A2 : 'Unassigned [0x73A2]',
	0x73A3 : 'Unassigned [0x73A3]',
	0x73A4 : 'Unassigned [0x73A4]',
	0x73A5 : 'Unassigned [0x73A5]',
	0x73A6 : 'Unassigned [0x73A6]',
	0x73A7 : 'Unassigned [0x73A7]',
	0x73A8 : 'Unassigned [0x73A8]',
	0x73A9 : 'Unassigned [0x73A9]',
	0x73AA : 'Unassigned [0x73AA]',
	0x73AB : 'Unassigned [0x73AB]',
	0x73AC : 'Unassigned [0x73AC]',
	0x73AD : 'Unassigned [0x73AD]',
	0x73AE : 'Unassigned [0x73AE]',
	0x73AF : 'Unassigned [0x73AF]',
	0x73B0 : 'Unassigned [0x73B0]',
	0x73B1 : 'Unassigned [0x73B1]',
	0x73B2 : 'Unassigned [0x73B2]',
	0x73B3 : 'Unassigned [0x73B3]',
	0x73B4 : 'Unassigned [0x73B4]',
	0x73B5 : 'Unassigned [0x73B5]',
	0x73B6 : 'Unassigned [0x73B6]',
	0x73B7 : 'Unassigned [0x73B7]',
	0x73B8 : 'Unassigned [0x73B8]',
	0x73B9 : 'Unassigned [0x73B9]',
	0x73BA : 'Unassigned [0x73BA]',
	0x73BB : 'Unassigned [0x73BB]',
	0x73BC : 'Unassigned [0x73BC]',
	0x73BD : 'Unassigned [0x73BD]',
	0x73BE : 'Unassigned [0x73BE]',
	0x73BF : 'Unassigned [0x73BF]',
	0x73C0 : 'Unassigned [0x73C0]',
	0x73C1 : 'Unassigned [0x73C1]',
	0x73C2 : 'Unassigned [0x73C2]',
	0x73C3 : 'Unassigned [0x73C3]',
	0x73C4 : 'Unassigned [0x73C4]',
	0x73C5 : 'Unassigned [0x73C5]',
	0x73C6 : 'Unassigned [0x73C6]',
	0x73C7 : 'Unassigned [0x73C7]',
	0x73C8 : 'Unassigned [0x73C8]',
	0x73C9 : 'Unassigned [0x73C9]',
	0x73CA : 'Unassigned [0x73CA]',
	0x73CB : 'Unassigned [0x73CB]',
	0x73CC : 'Unassigned [0x73CC]',
	0x73CD : 'Unassigned [0x73CD]',
	0x73CE : 'Unassigned [0x73CE]',
	0x73CF : 'Unassigned [0x73CF]',
	0x73D0 : 'Unassigned [0x73D0]',
	0x73D1 : 'Unassigned [0x73D1]',
	0x73D2 : 'Unassigned [0x73D2]',
	0x73D3 : 'Unassigned [0x73D3]',
	0x73D4 : 'Unassigned [0x73D4]',
	0x73D5 : 'Unassigned [0x73D5]',
	0x73D6 : 'Unassigned [0x73D6]',
	0x73D7 : 'Unassigned [0x73D7]',
	0x73D8 : 'Unassigned [0x73D8]',
	0x73D9 : 'Unassigned [0x73D9]',
	0x73DA : 'Unassigned [0x73DA]',
	0x73DB : 'Unassigned [0x73DB]',
	0x73DC : 'Unassigned [0x73DC]',
	0x73DD : 'Unassigned [0x73DD]',
	0x73DE : 'Unassigned [0x73DE]',
	0x73DF : 'Unassigned [0x73DF]',
	0x73E0 : 'Unassigned [0x73E0]',
	0x73E1 : 'Unassigned [0x73E1]',
	0x73E2 : 'Unassigned [0x73E2]',
	0x73E3 : 'Unassigned [0x73E3]',
	0x73E4 : 'Unassigned [0x73E4]',
	0x73E5 : 'Unassigned [0x73E5]',
	0x73E6 : 'Unassigned [0x73E6]',
	0x73E7 : 'Unassigned [0x73E7]',
	0x73E8 : 'Unassigned [0x73E8]',
	0x73E9 : 'Unassigned [0x73E9]',
	0x73EA : 'Unassigned [0x73EA]',
	0x73EB : 'Unassigned [0x73EB]',
	0x73EC : 'Unassigned [0x73EC]',
	0x73ED : 'Unassigned [0x73ED]',
	0x73EE : 'Unassigned [0x73EE]',
	0x73EF : 'Unassigned [0x73EF]',
	0x73F0 : 'Unassigned [0x73F0]',
	0x73F1 : 'Unassigned [0x73F1]',
	0x73F2 : 'Unassigned [0x73F2]',
	0x73F3 : 'Unassigned [0x73F3]',
	0x73F4 : 'Unassigned [0x73F4]',
	0x73F5 : 'Unassigned [0x73F5]',
	0x73F6 : 'Unassigned [0x73F6]',
	0x73F7 : 'Unassigned [0x73F7]',
	0x73F8 : 'Unassigned [0x73F8]',
	0x73F9 : 'Unassigned [0x73F9]',
	0x73FA : 'Unassigned [0x73FA]',
	0x73FB : 'Unassigned [0x73FB]',
	0x73FC : 'Unassigned [0x73FC]',
	0x73FD : 'Unassigned [0x73FD]',
	0x73FE : 'Unassigned [0x73FE]',
	0x73FF : 'Unassigned [0x73FF]',
	0x7400 : 'Unassigned [0x7400]',
	0x7401 : 'Unassigned [0x7401]',
	0x7402 : 'Unassigned [0x7402]',
	0x7403 : 'Unassigned [0x7403]',
	0x7404 : 'Unassigned [0x7404]',
	0x7405 : 'Unassigned [0x7405]',
	0x7406 : 'Unassigned [0x7406]',
	0x7407 : 'Unassigned [0x7407]',
	0x7408 : 'Unassigned [0x7408]',
	0x7409 : 'Unassigned [0x7409]',
	0x740A : 'Unassigned [0x740A]',
	0x740B : 'Unassigned [0x740B]',
	0x740C : 'Unassigned [0x740C]',
	0x740D : 'Unassigned [0x740D]',
	0x740E : 'Unassigned [0x740E]',
	0x740F : 'Unassigned [0x740F]',
	0x7410 : 'Unassigned [0x7410]',
	0x7411 : 'Unassigned [0x7411]',
	0x7412 : 'Unassigned [0x7412]',
	0x7413 : 'Unassigned [0x7413]',
	0x7414 : 'Unassigned [0x7414]',
	0x7415 : 'Unassigned [0x7415]',
	0x7416 : 'Unassigned [0x7416]',
	0x7417 : 'Unassigned [0x7417]',
	0x7418 : 'Unassigned [0x7418]',
	0x7419 : 'Unassigned [0x7419]',
	0x741A : 'Unassigned [0x741A]',
	0x741B : 'Unassigned [0x741B]',
	0x741C : 'Unassigned [0x741C]',
	0x741D : 'Unassigned [0x741D]',
	0x741E : 'Unassigned [0x741E]',
	0x741F : 'Unassigned [0x741F]',
	0x7420 : 'Unassigned [0x7420]',
	0x7421 : 'Unassigned [0x7421]',
	0x7422 : 'Unassigned [0x7422]',
	0x7423 : 'Unassigned [0x7423]',
	0x7424 : 'Unassigned [0x7424]',
	0x7425 : 'Unassigned [0x7425]',
	0x7426 : 'Unassigned [0x7426]',
	0x7427 : 'Unassigned [0x7427]',
	0x7428 : 'Unassigned [0x7428]',
	0x7429 : 'Unassigned [0x7429]',
	0x742A : 'Unassigned [0x742A]',
	0x742B : 'Unassigned [0x742B]',
	0x742C : 'Unassigned [0x742C]',
	0x742D : 'Unassigned [0x742D]',
	0x742E : 'Unassigned [0x742E]',
	0x742F : 'Unassigned [0x742F]',
	0x7430 : 'Unassigned [0x7430]',
	0x7431 : 'Unassigned [0x7431]',
	0x7432 : 'Unassigned [0x7432]',
	0x7433 : 'Unassigned [0x7433]',
	0x7434 : 'Unassigned [0x7434]',
	0x7435 : 'Unassigned [0x7435]',
	0x7436 : 'Unassigned [0x7436]',
	0x7437 : 'Unassigned [0x7437]',
	0x7438 : 'Unassigned [0x7438]',
	0x7439 : 'Unassigned [0x7439]',
	0x743A : 'Unassigned [0x743A]',
	0x743B : 'Unassigned [0x743B]',
	0x743C : 'Unassigned [0x743C]',
	0x743D : 'Unassigned [0x743D]',
	0x743E : 'Unassigned [0x743E]',
	0x743F : 'Unassigned [0x743F]',
	0x7440 : 'Unassigned [0x7440]',
	0x7441 : 'Unassigned [0x7441]',
	0x7442 : 'Unassigned [0x7442]',
	0x7443 : 'Unassigned [0x7443]',
	0x7444 : 'Unassigned [0x7444]',
	0x7445 : 'Unassigned [0x7445]',
	0x7446 : 'Unassigned [0x7446]',
	0x7447 : 'Unassigned [0x7447]',
	0x7448 : 'Unassigned [0x7448]',
	0x7449 : 'Unassigned [0x7449]',
	0x744A : 'Unassigned [0x744A]',
	0x744B : 'Unassigned [0x744B]',
	0x744C : 'Unassigned [0x744C]',
	0x744D : 'Unassigned [0x744D]',
	0x744E : 'Unassigned [0x744E]',
	0x744F : 'Unassigned [0x744F]',
	0x7450 : 'Unassigned [0x7450]',
	0x7451 : 'Unassigned [0x7451]',
	0x7452 : 'Unassigned [0x7452]',
	0x7453 : 'Unassigned [0x7453]',
	0x7454 : 'Unassigned [0x7454]',
	0x7455 : 'Unassigned [0x7455]',
	0x7456 : 'Unassigned [0x7456]',
	0x7457 : 'Unassigned [0x7457]',
	0x7458 : 'Unassigned [0x7458]',
	0x7459 : 'Unassigned [0x7459]',
	0x745A : 'Unassigned [0x745A]',
	0x745B : 'Unassigned [0x745B]',
	0x745C : 'Unassigned [0x745C]',
	0x745D : 'Unassigned [0x745D]',
	0x745E : 'Unassigned [0x745E]',
	0x745F : 'Unassigned [0x745F]',
	0x7460 : 'Unassigned [0x7460]',
	0x7461 : 'Unassigned [0x7461]',
	0x7462 : 'Unassigned [0x7462]',
	0x7463 : 'Unassigned [0x7463]',
	0x7464 : 'Unassigned [0x7464]',
	0x7465 : 'Unassigned [0x7465]',
	0x7466 : 'Unassigned [0x7466]',
	0x7467 : 'Unassigned [0x7467]',
	0x7468 : 'Unassigned [0x7468]',
	0x7469 : 'Unassigned [0x7469]',
	0x746A : 'Unassigned [0x746A]',
	0x746B : 'Unassigned [0x746B]',
	0x746C : 'Unassigned [0x746C]',
	0x746D : 'Unassigned [0x746D]',
	0x746E : 'Unassigned [0x746E]',
	0x746F : 'Unassigned [0x746F]',
	0x7470 : 'Unassigned [0x7470]',
	0x7471 : 'Unassigned [0x7471]',
	0x7472 : 'Unassigned [0x7472]',
	0x7473 : 'Unassigned [0x7473]',
	0x7474 : 'Unassigned [0x7474]',
	0x7475 : 'Unassigned [0x7475]',
	0x7476 : 'Unassigned [0x7476]',
	0x7477 : 'Unassigned [0x7477]',
	0x7478 : 'Unassigned [0x7478]',
	0x7479 : 'Unassigned [0x7479]',
	0x747A : 'Unassigned [0x747A]',
	0x747B : 'Unassigned [0x747B]',
	0x747C : 'Unassigned [0x747C]',
	0x747D : 'Unassigned [0x747D]',
	0x747E : 'Unassigned [0x747E]',
	0x747F : 'Unassigned [0x747F]',
	0x7480 : 'Unassigned [0x7480]',
	0x7481 : 'Unassigned [0x7481]',
	0x7482 : 'Unassigned [0x7482]',
	0x7483 : 'Unassigned [0x7483]',
	0x7484 : 'Unassigned [0x7484]',
	0x7485 : 'Unassigned [0x7485]',
	0x7486 : 'Unassigned [0x7486]',
	0x7487 : 'Unassigned [0x7487]',
	0x7488 : 'Unassigned [0x7488]',
	0x7489 : 'Unassigned [0x7489]',
	0x748A : 'Unassigned [0x748A]',
	0x748B : 'Unassigned [0x748B]',
	0x748C : 'Unassigned [0x748C]',
	0x748D : 'Unassigned [0x748D]',
	0x748E : 'Unassigned [0x748E]',
	0x748F : 'Unassigned [0x748F]',
	0x7490 : 'Unassigned [0x7490]',
	0x7491 : 'Unassigned [0x7491]',
	0x7492 : 'Unassigned [0x7492]',
	0x7493 : 'Unassigned [0x7493]',
	0x7494 : 'Unassigned [0x7494]',
	0x7495 : 'Unassigned [0x7495]',
	0x7496 : 'Unassigned [0x7496]',
	0x7497 : 'Unassigned [0x7497]',
	0x7498 : 'Unassigned [0x7498]',
	0x7499 : 'Unassigned [0x7499]',
	0x749A : 'Unassigned [0x749A]',
	0x749B : 'Unassigned [0x749B]',
	0x749C : 'Unassigned [0x749C]',
	0x749D : 'Unassigned [0x749D]',
	0x749E : 'Unassigned [0x749E]',
	0x749F : 'Unassigned [0x749F]',
	0x74A0 : 'Unassigned [0x74A0]',
	0x74A1 : 'Unassigned [0x74A1]',
	0x74A2 : 'Unassigned [0x74A2]',
	0x74A3 : 'Unassigned [0x74A3]',
	0x74A4 : 'Unassigned [0x74A4]',
	0x74A5 : 'Unassigned [0x74A5]',
	0x74A6 : 'Unassigned [0x74A6]',
	0x74A7 : 'Unassigned [0x74A7]',
	0x74A8 : 'Unassigned [0x74A8]',
	0x74A9 : 'Unassigned [0x74A9]',
	0x74AA : 'Unassigned [0x74AA]',
	0x74AB : 'Unassigned [0x74AB]',
	0x74AC : 'Unassigned [0x74AC]',
	0x74AD : 'Unassigned [0x74AD]',
	0x74AE : 'Unassigned [0x74AE]',
	0x74AF : 'Unassigned [0x74AF]',
	0x74B0 : 'Unassigned [0x74B0]',
	0x74B1 : 'Unassigned [0x74B1]',
	0x74B2 : 'Unassigned [0x74B2]',
	0x74B3 : 'Unassigned [0x74B3]',
	0x74B4 : 'Unassigned [0x74B4]',
	0x74B5 : 'Unassigned [0x74B5]',
	0x74B6 : 'Unassigned [0x74B6]',
	0x74B7 : 'Unassigned [0x74B7]',
	0x74B8 : 'Unassigned [0x74B8]',
	0x74B9 : 'Unassigned [0x74B9]',
	0x74BA : 'Unassigned [0x74BA]',
	0x74BB : 'Unassigned [0x74BB]',
	0x74BC : 'Unassigned [0x74BC]',
	0x74BD : 'Unassigned [0x74BD]',
	0x74BE : 'Unassigned [0x74BE]',
	0x74BF : 'Unassigned [0x74BF]',
	0x74C0 : 'Unassigned [0x74C0]',
	0x74C1 : 'Unassigned [0x74C1]',
	0x74C2 : 'Unassigned [0x74C2]',
	0x74C3 : 'Unassigned [0x74C3]',
	0x74C4 : 'Unassigned [0x74C4]',
	0x74C5 : 'Unassigned [0x74C5]',
	0x74C6 : 'Unassigned [0x74C6]',
	0x74C7 : 'Unassigned [0x74C7]',
	0x74C8 : 'Unassigned [0x74C8]',
	0x74C9 : 'Unassigned [0x74C9]',
	0x74CA : 'Unassigned [0x74CA]',
	0x74CB : 'Unassigned [0x74CB]',
	0x74CC : 'Unassigned [0x74CC]',
	0x74CD : 'Unassigned [0x74CD]',
	0x74CE : 'Unassigned [0x74CE]',
	0x74CF : 'Unassigned [0x74CF]',
	0x74D0 : 'Unassigned [0x74D0]',
	0x74D1 : 'Unassigned [0x74D1]',
	0x74D2 : 'Unassigned [0x74D2]',
	0x74D3 : 'Unassigned [0x74D3]',
	0x74D4 : 'Unassigned [0x74D4]',
	0x74D5 : 'Unassigned [0x74D5]',
	0x74D6 : 'Unassigned [0x74D6]',
	0x74D7 : 'Unassigned [0x74D7]',
	0x74D8 : 'Unassigned [0x74D8]',
	0x74D9 : 'Unassigned [0x74D9]',
	0x74DA : 'Unassigned [0x74DA]',
	0x74DB : 'Unassigned [0x74DB]',
	0x74DC : 'Unassigned [0x74DC]',
	0x74DD : 'Unassigned [0x74DD]',
	0x74DE : 'Unassigned [0x74DE]',
	0x74DF : 'Unassigned [0x74DF]',
	0x74E0 : 'Unassigned [0x74E0]',
	0x74E1 : 'Unassigned [0x74E1]',
	0x74E2 : 'Unassigned [0x74E2]',
	0x74E3 : 'Unassigned [0x74E3]',
	0x74E4 : 'Unassigned [0x74E4]',
	0x74E5 : 'Unassigned [0x74E5]',
	0x74E6 : 'Unassigned [0x74E6]',
	0x74E7 : 'Unassigned [0x74E7]',
	0x74E8 : 'Unassigned [0x74E8]',
	0x74E9 : 'Unassigned [0x74E9]',
	0x74EA : 'Unassigned [0x74EA]',
	0x74EB : 'Unassigned [0x74EB]',
	0x74EC : 'Unassigned [0x74EC]',
	0x74ED : 'Unassigned [0x74ED]',
	0x74EE : 'Unassigned [0x74EE]',
	0x74EF : 'Unassigned [0x74EF]',
	0x74F0 : 'Unassigned [0x74F0]',
	0x74F1 : 'Unassigned [0x74F1]',
	0x74F2 : 'Unassigned [0x74F2]',
	0x74F3 : 'Unassigned [0x74F3]',
	0x74F4 : 'Unassigned [0x74F4]',
	0x74F5 : 'Unassigned [0x74F5]',
	0x74F6 : 'Unassigned [0x74F6]',
	0x74F7 : 'Unassigned [0x74F7]',
	0x74F8 : 'Unassigned [0x74F8]',
	0x74F9 : 'Unassigned [0x74F9]',
	0x74FA : 'Unassigned [0x74FA]',
	0x74FB : 'Unassigned [0x74FB]',
	0x74FC : 'Unassigned [0x74FC]',
	0x74FD : 'Unassigned [0x74FD]',
	0x74FE : 'Unassigned [0x74FE]',
	0x74FF : 'Unassigned [0x74FF]',
	0x7500 : 'Unassigned [0x7500]',
	0x7501 : 'Unassigned [0x7501]',
	0x7502 : 'Unassigned [0x7502]',
	0x7503 : 'Unassigned [0x7503]',
	0x7504 : 'Unassigned [0x7504]',
	0x7505 : 'Unassigned [0x7505]',
	0x7506 : 'Unassigned [0x7506]',
	0x7507 : 'Unassigned [0x7507]',
	0x7508 : 'Unassigned [0x7508]',
	0x7509 : 'Unassigned [0x7509]',
	0x750A : 'Unassigned [0x750A]',
	0x750B : 'Unassigned [0x750B]',
	0x750C : 'Unassigned [0x750C]',
	0x750D : 'Unassigned [0x750D]',
	0x750E : 'Unassigned [0x750E]',
	0x750F : 'Unassigned [0x750F]',
	0x7510 : 'Unassigned [0x7510]',
	0x7511 : 'Unassigned [0x7511]',
	0x7512 : 'Unassigned [0x7512]',
	0x7513 : 'Unassigned [0x7513]',
	0x7514 : 'Unassigned [0x7514]',
	0x7515 : 'Unassigned [0x7515]',
	0x7516 : 'Unassigned [0x7516]',
	0x7517 : 'Unassigned [0x7517]',
	0x7518 : 'Unassigned [0x7518]',
	0x7519 : 'Unassigned [0x7519]',
	0x751A : 'Unassigned [0x751A]',
	0x751B : 'Unassigned [0x751B]',
	0x751C : 'Unassigned [0x751C]',
	0x751D : 'Unassigned [0x751D]',
	0x751E : 'Unassigned [0x751E]',
	0x751F : 'Unassigned [0x751F]',
	0x7520 : 'Unassigned [0x7520]',
	0x7521 : 'Unassigned [0x7521]',
	0x7522 : 'Unassigned [0x7522]',
	0x7523 : 'Unassigned [0x7523]',
	0x7524 : 'Unassigned [0x7524]',
	0x7525 : 'Unassigned [0x7525]',
	0x7526 : 'Unassigned [0x7526]',
	0x7527 : 'Unassigned [0x7527]',
	0x7528 : 'Unassigned [0x7528]',
	0x7529 : 'Unassigned [0x7529]',
	0x752A : 'Unassigned [0x752A]',
	0x752B : 'Unassigned [0x752B]',
	0x752C : 'Unassigned [0x752C]',
	0x752D : 'Unassigned [0x752D]',
	0x752E : 'Unassigned [0x752E]',
	0x752F : 'Unassigned [0x752F]',
	0x7530 : 'Unassigned [0x7530]',
	0x7531 : 'Unassigned [0x7531]',
	0x7532 : 'Unassigned [0x7532]',
	0x7533 : 'Unassigned [0x7533]',
	0x7534 : 'Unassigned [0x7534]',
	0x7535 : 'Unassigned [0x7535]',
	0x7536 : 'Unassigned [0x7536]',
	0x7537 : 'Unassigned [0x7537]',
	0x7538 : 'Unassigned [0x7538]',
	0x7539 : 'Unassigned [0x7539]',
	0x753A : 'Unassigned [0x753A]',
	0x753B : 'Unassigned [0x753B]',
	0x753C : 'Unassigned [0x753C]',
	0x753D : 'Unassigned [0x753D]',
	0x753E : 'Unassigned [0x753E]',
	0x753F : 'Unassigned [0x753F]',
	0x7540 : 'Unassigned [0x7540]',
	0x7541 : 'Unassigned [0x7541]',
	0x7542 : 'Unassigned [0x7542]',
	0x7543 : 'Unassigned [0x7543]',
	0x7544 : 'Unassigned [0x7544]',
	0x7545 : 'Unassigned [0x7545]',
	0x7546 : 'Unassigned [0x7546]',
	0x7547 : 'Unassigned [0x7547]',
	0x7548 : 'Unassigned [0x7548]',
	0x7549 : 'Unassigned [0x7549]',
	0x754A : 'Unassigned [0x754A]',
	0x754B : 'Unassigned [0x754B]',
	0x754C : 'Unassigned [0x754C]',
	0x754D : 'Unassigned [0x754D]',
	0x754E : 'Unassigned [0x754E]',
	0x754F : 'Unassigned [0x754F]',
	0x7550 : 'Unassigned [0x7550]',
	0x7551 : 'Unassigned [0x7551]',
	0x7552 : 'Unassigned [0x7552]',
	0x7553 : 'Unassigned [0x7553]',
	0x7554 : 'Unassigned [0x7554]',
	0x7555 : 'Unassigned [0x7555]',
	0x7556 : 'Unassigned [0x7556]',
	0x7557 : 'Unassigned [0x7557]',
	0x7558 : 'Unassigned [0x7558]',
	0x7559 : 'Unassigned [0x7559]',
	0x755A : 'Unassigned [0x755A]',
	0x755B : 'Unassigned [0x755B]',
	0x755C : 'Unassigned [0x755C]',
	0x755D : 'Unassigned [0x755D]',
	0x755E : 'Unassigned [0x755E]',
	0x755F : 'Unassigned [0x755F]',
	0x7560 : 'Unassigned [0x7560]',
	0x7561 : 'Unassigned [0x7561]',
	0x7562 : 'Unassigned [0x7562]',
	0x7563 : 'Unassigned [0x7563]',
	0x7564 : 'Unassigned [0x7564]',
	0x7565 : 'Unassigned [0x7565]',
	0x7566 : 'Unassigned [0x7566]',
	0x7567 : 'Unassigned [0x7567]',
	0x7568 : 'Unassigned [0x7568]',
	0x7569 : 'Unassigned [0x7569]',
	0x756A : 'Unassigned [0x756A]',
	0x756B : 'Unassigned [0x756B]',
	0x756C : 'Unassigned [0x756C]',
	0x756D : 'Unassigned [0x756D]',
	0x756E : 'Unassigned [0x756E]',
	0x756F : 'Unassigned [0x756F]',
	0x7570 : 'Unassigned [0x7570]',
	0x7571 : 'Unassigned [0x7571]',
	0x7572 : 'Unassigned [0x7572]',
	0x7573 : 'Unassigned [0x7573]',
	0x7574 : 'Unassigned [0x7574]',
	0x7575 : 'Unassigned [0x7575]',
	0x7576 : 'Unassigned [0x7576]',
	0x7577 : 'Unassigned [0x7577]',
	0x7578 : 'Unassigned [0x7578]',
	0x7579 : 'Unassigned [0x7579]',
	0x757A : 'Unassigned [0x757A]',
	0x757B : 'Unassigned [0x757B]',
	0x757C : 'Unassigned [0x757C]',
	0x757D : 'Unassigned [0x757D]',
	0x757E : 'Unassigned [0x757E]',
	0x757F : 'Unassigned [0x757F]',
	0x7580 : 'Unassigned [0x7580]',
	0x7581 : 'Unassigned [0x7581]',
	0x7582 : 'Unassigned [0x7582]',
	0x7583 : 'Unassigned [0x7583]',
	0x7584 : 'Unassigned [0x7584]',
	0x7585 : 'Unassigned [0x7585]',
	0x7586 : 'Unassigned [0x7586]',
	0x7587 : 'Unassigned [0x7587]',
	0x7588 : 'Unassigned [0x7588]',
	0x7589 : 'Unassigned [0x7589]',
	0x758A : 'Unassigned [0x758A]',
	0x758B : 'Unassigned [0x758B]',
	0x758C : 'Unassigned [0x758C]',
	0x758D : 'Unassigned [0x758D]',
	0x758E : 'Unassigned [0x758E]',
	0x758F : 'Unassigned [0x758F]',
	0x7590 : 'Unassigned [0x7590]',
	0x7591 : 'Unassigned [0x7591]',
	0x7592 : 'Unassigned [0x7592]',
	0x7593 : 'Unassigned [0x7593]',
	0x7594 : 'Unassigned [0x7594]',
	0x7595 : 'Unassigned [0x7595]',
	0x7596 : 'Unassigned [0x7596]',
	0x7597 : 'Unassigned [0x7597]',
	0x7598 : 'Unassigned [0x7598]',
	0x7599 : 'Unassigned [0x7599]',
	0x759A : 'Unassigned [0x759A]',
	0x759B : 'Unassigned [0x759B]',
	0x759C : 'Unassigned [0x759C]',
	0x759D : 'Unassigned [0x759D]',
	0x759E : 'Unassigned [0x759E]',
	0x759F : 'Unassigned [0x759F]',
	0x75A0 : 'Unassigned [0x75A0]',
	0x75A1 : 'Unassigned [0x75A1]',
	0x75A2 : 'Unassigned [0x75A2]',
	0x75A3 : 'Unassigned [0x75A3]',
	0x75A4 : 'Unassigned [0x75A4]',
	0x75A5 : 'Unassigned [0x75A5]',
	0x75A6 : 'Unassigned [0x75A6]',
	0x75A7 : 'Unassigned [0x75A7]',
	0x75A8 : 'Unassigned [0x75A8]',
	0x75A9 : 'Unassigned [0x75A9]',
	0x75AA : 'Unassigned [0x75AA]',
	0x75AB : 'Unassigned [0x75AB]',
	0x75AC : 'Unassigned [0x75AC]',
	0x75AD : 'Unassigned [0x75AD]',
	0x75AE : 'Unassigned [0x75AE]',
	0x75AF : 'Unassigned [0x75AF]',
	0x75B0 : 'Unassigned [0x75B0]',
	0x75B1 : 'Unassigned [0x75B1]',
	0x75B2 : 'Unassigned [0x75B2]',
	0x75B3 : 'Unassigned [0x75B3]',
	0x75B4 : 'Unassigned [0x75B4]',
	0x75B5 : 'Unassigned [0x75B5]',
	0x75B6 : 'Unassigned [0x75B6]',
	0x75B7 : 'Unassigned [0x75B7]',
	0x75B8 : 'Unassigned [0x75B8]',
	0x75B9 : 'Unassigned [0x75B9]',
	0x75BA : 'Unassigned [0x75BA]',
	0x75BB : 'Unassigned [0x75BB]',
	0x75BC : 'Unassigned [0x75BC]',
	0x75BD : 'Unassigned [0x75BD]',
	0x75BE : 'Unassigned [0x75BE]',
	0x75BF : 'Unassigned [0x75BF]',
	0x75C0 : 'Unassigned [0x75C0]',
	0x75C1 : 'Unassigned [0x75C1]',
	0x75C2 : 'Unassigned [0x75C2]',
	0x75C3 : 'Unassigned [0x75C3]',
	0x75C4 : 'Unassigned [0x75C4]',
	0x75C5 : 'Unassigned [0x75C5]',
	0x75C6 : 'Unassigned [0x75C6]',
	0x75C7 : 'Unassigned [0x75C7]',
	0x75C8 : 'Unassigned [0x75C8]',
	0x75C9 : 'Unassigned [0x75C9]',
	0x75CA : 'Unassigned [0x75CA]',
	0x75CB : 'Unassigned [0x75CB]',
	0x75CC : 'Unassigned [0x75CC]',
	0x75CD : 'Unassigned [0x75CD]',
	0x75CE : 'Unassigned [0x75CE]',
	0x75CF : 'Unassigned [0x75CF]',
	0x75D0 : 'Unassigned [0x75D0]',
	0x75D1 : 'Unassigned [0x75D1]',
	0x75D2 : 'Unassigned [0x75D2]',
	0x75D3 : 'Unassigned [0x75D3]',
	0x75D4 : 'Unassigned [0x75D4]',
	0x75D5 : 'Unassigned [0x75D5]',
	0x75D6 : 'Unassigned [0x75D6]',
	0x75D7 : 'Unassigned [0x75D7]',
	0x75D8 : 'Unassigned [0x75D8]',
	0x75D9 : 'Unassigned [0x75D9]',
	0x75DA : 'Unassigned [0x75DA]',
	0x75DB : 'Unassigned [0x75DB]',
	0x75DC : 'Unassigned [0x75DC]',
	0x75DD : 'Unassigned [0x75DD]',
	0x75DE : 'Unassigned [0x75DE]',
	0x75DF : 'Unassigned [0x75DF]',
	0x75E0 : 'Unassigned [0x75E0]',
	0x75E1 : 'Unassigned [0x75E1]',
	0x75E2 : 'Unassigned [0x75E2]',
	0x75E3 : 'Unassigned [0x75E3]',
	0x75E4 : 'Unassigned [0x75E4]',
	0x75E5 : 'Unassigned [0x75E5]',
	0x75E6 : 'Unassigned [0x75E6]',
	0x75E7 : 'Unassigned [0x75E7]',
	0x75E8 : 'Unassigned [0x75E8]',
	0x75E9 : 'Unassigned [0x75E9]',
	0x75EA : 'Unassigned [0x75EA]',
	0x75EB : 'Unassigned [0x75EB]',
	0x75EC : 'Unassigned [0x75EC]',
	0x75ED : 'Unassigned [0x75ED]',
	0x75EE : 'Unassigned [0x75EE]',
	0x75EF : 'Unassigned [0x75EF]',
	0x75F0 : 'Unassigned [0x75F0]',
	0x75F1 : 'Unassigned [0x75F1]',
	0x75F2 : 'Unassigned [0x75F2]',
	0x75F3 : 'Unassigned [0x75F3]',
	0x75F4 : 'Unassigned [0x75F4]',
	0x75F5 : 'Unassigned [0x75F5]',
	0x75F6 : 'Unassigned [0x75F6]',
	0x75F7 : 'Unassigned [0x75F7]',
	0x75F8 : 'Unassigned [0x75F8]',
	0x75F9 : 'Unassigned [0x75F9]',
	0x75FA : 'Unassigned [0x75FA]',
	0x75FB : 'Unassigned [0x75FB]',
	0x75FC : 'Unassigned [0x75FC]',
	0x75FD : 'Unassigned [0x75FD]',
	0x75FE : 'Unassigned [0x75FE]',
	0x75FF : 'Unassigned [0x75FF]',
	0x7600 : 'Unassigned [0x7600]',
	0x7601 : 'Unassigned [0x7601]',
	0x7602 : 'Unassigned [0x7602]',
	0x7603 : 'Unassigned [0x7603]',
	0x7604 : 'Unassigned [0x7604]',
	0x7605 : 'Unassigned [0x7605]',
	0x7606 : 'Unassigned [0x7606]',
	0x7607 : 'Unassigned [0x7607]',
	0x7608 : 'Unassigned [0x7608]',
	0x7609 : 'Unassigned [0x7609]',
	0x760A : 'Unassigned [0x760A]',
	0x760B : 'Unassigned [0x760B]',
	0x760C : 'Unassigned [0x760C]',
	0x760D : 'Unassigned [0x760D]',
	0x760E : 'Unassigned [0x760E]',
	0x760F : 'Unassigned [0x760F]',
	0x7610 : 'Unassigned [0x7610]',
	0x7611 : 'Unassigned [0x7611]',
	0x7612 : 'Unassigned [0x7612]',
	0x7613 : 'Unassigned [0x7613]',
	0x7614 : 'Unassigned [0x7614]',
	0x7615 : 'Unassigned [0x7615]',
	0x7616 : 'Unassigned [0x7616]',
	0x7617 : 'Unassigned [0x7617]',
	0x7618 : 'Unassigned [0x7618]',
	0x7619 : 'Unassigned [0x7619]',
	0x761A : 'Unassigned [0x761A]',
	0x761B : 'Unassigned [0x761B]',
	0x761C : 'Unassigned [0x761C]',
	0x761D : 'Unassigned [0x761D]',
	0x761E : 'Unassigned [0x761E]',
	0x761F : 'Unassigned [0x761F]',
	0x7620 : 'Unassigned [0x7620]',
	0x7621 : 'Unassigned [0x7621]',
	0x7622 : 'Unassigned [0x7622]',
	0x7623 : 'Unassigned [0x7623]',
	0x7624 : 'Unassigned [0x7624]',
	0x7625 : 'Unassigned [0x7625]',
	0x7626 : 'Unassigned [0x7626]',
	0x7627 : 'Unassigned [0x7627]',
	0x7628 : 'Unassigned [0x7628]',
	0x7629 : 'Unassigned [0x7629]',
	0x762A : 'Unassigned [0x762A]',
	0x762B : 'Unassigned [0x762B]',
	0x762C : 'Unassigned [0x762C]',
	0x762D : 'Unassigned [0x762D]',
	0x762E : 'Unassigned [0x762E]',
	0x762F : 'Unassigned [0x762F]',
	0x7630 : 'Unassigned [0x7630]',
	0x7631 : 'Unassigned [0x7631]',
	0x7632 : 'Unassigned [0x7632]',
	0x7633 : 'Unassigned [0x7633]',
	0x7634 : 'Unassigned [0x7634]',
	0x7635 : 'Unassigned [0x7635]',
	0x7636 : 'Unassigned [0x7636]',
	0x7637 : 'Unassigned [0x7637]',
	0x7638 : 'Unassigned [0x7638]',
	0x7639 : 'Unassigned [0x7639]',
	0x763A : 'Unassigned [0x763A]',
	0x763B : 'Unassigned [0x763B]',
	0x763C : 'Unassigned [0x763C]',
	0x763D : 'Unassigned [0x763D]',
	0x763E : 'Unassigned [0x763E]',
	0x763F : 'Unassigned [0x763F]',
	0x7640 : 'Unassigned [0x7640]',
	0x7641 : 'Unassigned [0x7641]',
	0x7642 : 'Unassigned [0x7642]',
	0x7643 : 'Unassigned [0x7643]',
	0x7644 : 'Unassigned [0x7644]',
	0x7645 : 'Unassigned [0x7645]',
	0x7646 : 'Unassigned [0x7646]',
	0x7647 : 'Unassigned [0x7647]',
	0x7648 : 'Unassigned [0x7648]',
	0x7649 : 'Unassigned [0x7649]',
	0x764A : 'Unassigned [0x764A]',
	0x764B : 'Unassigned [0x764B]',
	0x764C : 'Unassigned [0x764C]',
	0x764D : 'Unassigned [0x764D]',
	0x764E : 'Unassigned [0x764E]',
	0x764F : 'Unassigned [0x764F]',
	0x7650 : 'Unassigned [0x7650]',
	0x7651 : 'Unassigned [0x7651]',
	0x7652 : 'Unassigned [0x7652]',
	0x7653 : 'Unassigned [0x7653]',
	0x7654 : 'Unassigned [0x7654]',
	0x7655 : 'Unassigned [0x7655]',
	0x7656 : 'Unassigned [0x7656]',
	0x7657 : 'Unassigned [0x7657]',
	0x7658 : 'Unassigned [0x7658]',
	0x7659 : 'Unassigned [0x7659]',
	0x765A : 'Unassigned [0x765A]',
	0x765B : 'Unassigned [0x765B]',
	0x765C : 'Unassigned [0x765C]',
	0x765D : 'Unassigned [0x765D]',
	0x765E : 'Unassigned [0x765E]',
	0x765F : 'Unassigned [0x765F]',
	0x7660 : 'Unassigned [0x7660]',
	0x7661 : 'Unassigned [0x7661]',
	0x7662 : 'Unassigned [0x7662]',
	0x7663 : 'Unassigned [0x7663]',
	0x7664 : 'Unassigned [0x7664]',
	0x7665 : 'Unassigned [0x7665]',
	0x7666 : 'Unassigned [0x7666]',
	0x7667 : 'Unassigned [0x7667]',
	0x7668 : 'Unassigned [0x7668]',
	0x7669 : 'Unassigned [0x7669]',
	0x766A : 'Unassigned [0x766A]',
	0x766B : 'Unassigned [0x766B]',
	0x766C : 'Unassigned [0x766C]',
	0x766D : 'Unassigned [0x766D]',
	0x766E : 'Unassigned [0x766E]',
	0x766F : 'Unassigned [0x766F]',
	0x7670 : 'Unassigned [0x7670]',
	0x7671 : 'Unassigned [0x7671]',
	0x7672 : 'Unassigned [0x7672]',
	0x7673 : 'Unassigned [0x7673]',
	0x7674 : 'Unassigned [0x7674]',
	0x7675 : 'Unassigned [0x7675]',
	0x7676 : 'Unassigned [0x7676]',
	0x7677 : 'Unassigned [0x7677]',
	0x7678 : 'Unassigned [0x7678]',
	0x7679 : 'Unassigned [0x7679]',
	0x767A : 'Unassigned [0x767A]',
	0x767B : 'Unassigned [0x767B]',
	0x767C : 'Unassigned [0x767C]',
	0x767D : 'Unassigned [0x767D]',
	0x767E : 'Unassigned [0x767E]',
	0x767F : 'Unassigned [0x767F]',
	0x7680 : 'Unassigned [0x7680]',
	0x7681 : 'Unassigned [0x7681]',
	0x7682 : 'Unassigned [0x7682]',
	0x7683 : 'Unassigned [0x7683]',
	0x7684 : 'Unassigned [0x7684]',
	0x7685 : 'Unassigned [0x7685]',
	0x7686 : 'Unassigned [0x7686]',
	0x7687 : 'Unassigned [0x7687]',
	0x7688 : 'Unassigned [0x7688]',
	0x7689 : 'Unassigned [0x7689]',
	0x768A : 'Unassigned [0x768A]',
	0x768B : 'Unassigned [0x768B]',
	0x768C : 'Unassigned [0x768C]',
	0x768D : 'Unassigned [0x768D]',
	0x768E : 'Unassigned [0x768E]',
	0x768F : 'Unassigned [0x768F]',
	0x7690 : 'Unassigned [0x7690]',
	0x7691 : 'Unassigned [0x7691]',
	0x7692 : 'Unassigned [0x7692]',
	0x7693 : 'Unassigned [0x7693]',
	0x7694 : 'Unassigned [0x7694]',
	0x7695 : 'Unassigned [0x7695]',
	0x7696 : 'Unassigned [0x7696]',
	0x7697 : 'Unassigned [0x7697]',
	0x7698 : 'Unassigned [0x7698]',
	0x7699 : 'Unassigned [0x7699]',
	0x769A : 'Unassigned [0x769A]',
	0x769B : 'Unassigned [0x769B]',
	0x769C : 'Unassigned [0x769C]',
	0x769D : 'Unassigned [0x769D]',
	0x769E : 'Unassigned [0x769E]',
	0x769F : 'Unassigned [0x769F]',
	0x76A0 : 'Unassigned [0x76A0]',
	0x76A1 : 'Unassigned [0x76A1]',
	0x76A2 : 'Unassigned [0x76A2]',
	0x76A3 : 'Unassigned [0x76A3]',
	0x76A4 : 'Unassigned [0x76A4]',
	0x76A5 : 'Unassigned [0x76A5]',
	0x76A6 : 'Unassigned [0x76A6]',
	0x76A7 : 'Unassigned [0x76A7]',
	0x76A8 : 'Unassigned [0x76A8]',
	0x76A9 : 'Unassigned [0x76A9]',
	0x76AA : 'Unassigned [0x76AA]',
	0x76AB : 'Unassigned [0x76AB]',
	0x76AC : 'Unassigned [0x76AC]',
	0x76AD : 'Unassigned [0x76AD]',
	0x76AE : 'Unassigned [0x76AE]',
	0x76AF : 'Unassigned [0x76AF]',
	0x76B0 : 'Unassigned [0x76B0]',
	0x76B1 : 'Unassigned [0x76B1]',
	0x76B2 : 'Unassigned [0x76B2]',
	0x76B3 : 'Unassigned [0x76B3]',
	0x76B4 : 'Unassigned [0x76B4]',
	0x76B5 : 'Unassigned [0x76B5]',
	0x76B6 : 'Unassigned [0x76B6]',
	0x76B7 : 'Unassigned [0x76B7]',
	0x76B8 : 'Unassigned [0x76B8]',
	0x76B9 : 'Unassigned [0x76B9]',
	0x76BA : 'Unassigned [0x76BA]',
	0x76BB : 'Unassigned [0x76BB]',
	0x76BC : 'Unassigned [0x76BC]',
	0x76BD : 'Unassigned [0x76BD]',
	0x76BE : 'Unassigned [0x76BE]',
	0x76BF : 'Unassigned [0x76BF]',
	0x76C0 : 'Unassigned [0x76C0]',
	0x76C1 : 'Unassigned [0x76C1]',
	0x76C2 : 'Unassigned [0x76C2]',
	0x76C3 : 'Unassigned [0x76C3]',
	0x76C4 : 'Unassigned [0x76C4]',
	0x76C5 : 'Unassigned [0x76C5]',
	0x76C6 : 'Unassigned [0x76C6]',
	0x76C7 : 'Unassigned [0x76C7]',
	0x76C8 : 'Unassigned [0x76C8]',
	0x76C9 : 'Unassigned [0x76C9]',
	0x76CA : 'Unassigned [0x76CA]',
	0x76CB : 'Unassigned [0x76CB]',
	0x76CC : 'Unassigned [0x76CC]',
	0x76CD : 'Unassigned [0x76CD]',
	0x76CE : 'Unassigned [0x76CE]',
	0x76CF : 'Unassigned [0x76CF]',
	0x76D0 : 'Unassigned [0x76D0]',
	0x76D1 : 'Unassigned [0x76D1]',
	0x76D2 : 'Unassigned [0x76D2]',
	0x76D3 : 'Unassigned [0x76D3]',
	0x76D4 : 'Unassigned [0x76D4]',
	0x76D5 : 'Unassigned [0x76D5]',
	0x76D6 : 'Unassigned [0x76D6]',
	0x76D7 : 'Unassigned [0x76D7]',
	0x76D8 : 'Unassigned [0x76D8]',
	0x76D9 : 'Unassigned [0x76D9]',
	0x76DA : 'Unassigned [0x76DA]',
	0x76DB : 'Unassigned [0x76DB]',
	0x76DC : 'Unassigned [0x76DC]',
	0x76DD : 'Unassigned [0x76DD]',
	0x76DE : 'Unassigned [0x76DE]',
	0x76DF : 'Unassigned [0x76DF]',
	0x76E0 : 'Unassigned [0x76E0]',
	0x76E1 : 'Unassigned [0x76E1]',
	0x76E2 : 'Unassigned [0x76E2]',
	0x76E3 : 'Unassigned [0x76E3]',
	0x76E4 : 'Unassigned [0x76E4]',
	0x76E5 : 'Unassigned [0x76E5]',
	0x76E6 : 'Unassigned [0x76E6]',
	0x76E7 : 'Unassigned [0x76E7]',
	0x76E8 : 'Unassigned [0x76E8]',
	0x76E9 : 'Unassigned [0x76E9]',
	0x76EA : 'Unassigned [0x76EA]',
	0x76EB : 'Unassigned [0x76EB]',
	0x76EC : 'Unassigned [0x76EC]',
	0x76ED : 'Unassigned [0x76ED]',
	0x76EE : 'Unassigned [0x76EE]',
	0x76EF : 'Unassigned [0x76EF]',
	0x76F0 : 'Unassigned [0x76F0]',
	0x76F1 : 'Unassigned [0x76F1]',
	0x76F2 : 'Unassigned [0x76F2]',
	0x76F3 : 'Unassigned [0x76F3]',
	0x76F4 : 'Unassigned [0x76F4]',
	0x76F5 : 'Unassigned [0x76F5]',
	0x76F6 : 'Unassigned [0x76F6]',
	0x76F7 : 'Unassigned [0x76F7]',
	0x76F8 : 'Unassigned [0x76F8]',
	0x76F9 : 'Unassigned [0x76F9]',
	0x76FA : 'Unassigned [0x76FA]',
	0x76FB : 'Unassigned [0x76FB]',
	0x76FC : 'Unassigned [0x76FC]',
	0x76FD : 'Unassigned [0x76FD]',
	0x76FE : 'Unassigned [0x76FE]',
	0x76FF : 'Unassigned [0x76FF]',
	0x7700 : 'Unassigned [0x7700]',
	0x7701 : 'Unassigned [0x7701]',
	0x7702 : 'Unassigned [0x7702]',
	0x7703 : 'Unassigned [0x7703]',
	0x7704 : 'Unassigned [0x7704]',
	0x7705 : 'Unassigned [0x7705]',
	0x7706 : 'Unassigned [0x7706]',
	0x7707 : 'Unassigned [0x7707]',
	0x7708 : 'Unassigned [0x7708]',
	0x7709 : 'Unassigned [0x7709]',
	0x770A : 'Unassigned [0x770A]',
	0x770B : 'Unassigned [0x770B]',
	0x770C : 'Unassigned [0x770C]',
	0x770D : 'Unassigned [0x770D]',
	0x770E : 'Unassigned [0x770E]',
	0x770F : 'Unassigned [0x770F]',
	0x7710 : 'Unassigned [0x7710]',
	0x7711 : 'Unassigned [0x7711]',
	0x7712 : 'Unassigned [0x7712]',
	0x7713 : 'Unassigned [0x7713]',
	0x7714 : 'Unassigned [0x7714]',
	0x7715 : 'Unassigned [0x7715]',
	0x7716 : 'Unassigned [0x7716]',
	0x7717 : 'Unassigned [0x7717]',
	0x7718 : 'Unassigned [0x7718]',
	0x7719 : 'Unassigned [0x7719]',
	0x771A : 'Unassigned [0x771A]',
	0x771B : 'Unassigned [0x771B]',
	0x771C : 'Unassigned [0x771C]',
	0x771D : 'Unassigned [0x771D]',
	0x771E : 'Unassigned [0x771E]',
	0x771F : 'Unassigned [0x771F]',
	0x7720 : 'Unassigned [0x7720]',
	0x7721 : 'Unassigned [0x7721]',
	0x7722 : 'Unassigned [0x7722]',
	0x7723 : 'Unassigned [0x7723]',
	0x7724 : 'Unassigned [0x7724]',
	0x7725 : 'Unassigned [0x7725]',
	0x7726 : 'Unassigned [0x7726]',
	0x7727 : 'Unassigned [0x7727]',
	0x7728 : 'Unassigned [0x7728]',
	0x7729 : 'Unassigned [0x7729]',
	0x772A : 'Unassigned [0x772A]',
	0x772B : 'Unassigned [0x772B]',
	0x772C : 'Unassigned [0x772C]',
	0x772D : 'Unassigned [0x772D]',
	0x772E : 'Unassigned [0x772E]',
	0x772F : 'Unassigned [0x772F]',
	0x7730 : 'Unassigned [0x7730]',
	0x7731 : 'Unassigned [0x7731]',
	0x7732 : 'Unassigned [0x7732]',
	0x7733 : 'Unassigned [0x7733]',
	0x7734 : 'Unassigned [0x7734]',
	0x7735 : 'Unassigned [0x7735]',
	0x7736 : 'Unassigned [0x7736]',
	0x7737 : 'Unassigned [0x7737]',
	0x7738 : 'Unassigned [0x7738]',
	0x7739 : 'Unassigned [0x7739]',
	0x773A : 'Unassigned [0x773A]',
	0x773B : 'Unassigned [0x773B]',
	0x773C : 'Unassigned [0x773C]',
	0x773D : 'Unassigned [0x773D]',
	0x773E : 'Unassigned [0x773E]',
	0x773F : 'Unassigned [0x773F]',
	0x7740 : 'Unassigned [0x7740]',
	0x7741 : 'Unassigned [0x7741]',
	0x7742 : 'Unassigned [0x7742]',
	0x7743 : 'Unassigned [0x7743]',
	0x7744 : 'Unassigned [0x7744]',
	0x7745 : 'Unassigned [0x7745]',
	0x7746 : 'Unassigned [0x7746]',
	0x7747 : 'Unassigned [0x7747]',
	0x7748 : 'Unassigned [0x7748]',
	0x7749 : 'Unassigned [0x7749]',
	0x774A : 'Unassigned [0x774A]',
	0x774B : 'Unassigned [0x774B]',
	0x774C : 'Unassigned [0x774C]',
	0x774D : 'Unassigned [0x774D]',
	0x774E : 'Unassigned [0x774E]',
	0x774F : 'Unassigned [0x774F]',
	0x7750 : 'Unassigned [0x7750]',
	0x7751 : 'Unassigned [0x7751]',
	0x7752 : 'Unassigned [0x7752]',
	0x7753 : 'Unassigned [0x7753]',
	0x7754 : 'Unassigned [0x7754]',
	0x7755 : 'Unassigned [0x7755]',
	0x7756 : 'Unassigned [0x7756]',
	0x7757 : 'Unassigned [0x7757]',
	0x7758 : 'Unassigned [0x7758]',
	0x7759 : 'Unassigned [0x7759]',
	0x775A : 'Unassigned [0x775A]',
	0x775B : 'Unassigned [0x775B]',
	0x775C : 'Unassigned [0x775C]',
	0x775D : 'Unassigned [0x775D]',
	0x775E : 'Unassigned [0x775E]',
	0x775F : 'Unassigned [0x775F]',
	0x7760 : 'Unassigned [0x7760]',
	0x7761 : 'Unassigned [0x7761]',
	0x7762 : 'Unassigned [0x7762]',
	0x7763 : 'Unassigned [0x7763]',
	0x7764 : 'Unassigned [0x7764]',
	0x7765 : 'Unassigned [0x7765]',
	0x7766 : 'Unassigned [0x7766]',
	0x7767 : 'Unassigned [0x7767]',
	0x7768 : 'Unassigned [0x7768]',
	0x7769 : 'Unassigned [0x7769]',
	0x776A : 'Unassigned [0x776A]',
	0x776B : 'Unassigned [0x776B]',
	0x776C : 'Unassigned [0x776C]',
	0x776D : 'Unassigned [0x776D]',
	0x776E : 'Unassigned [0x776E]',
	0x776F : 'Unassigned [0x776F]',
	0x7770 : 'Unassigned [0x7770]',
	0x7771 : 'Unassigned [0x7771]',
	0x7772 : 'Unassigned [0x7772]',
	0x7773 : 'Unassigned [0x7773]',
	0x7774 : 'Unassigned [0x7774]',
	0x7775 : 'Unassigned [0x7775]',
	0x7776 : 'Unassigned [0x7776]',
	0x7777 : 'Unassigned [0x7777]',
	0x7778 : 'Unassigned [0x7778]',
	0x7779 : 'Unassigned [0x7779]',
	0x777A : 'Unassigned [0x777A]',
	0x777B : 'Unassigned [0x777B]',
	0x777C : 'Unassigned [0x777C]',
	0x777D : 'Unassigned [0x777D]',
	0x777E : 'Unassigned [0x777E]',
	0x777F : 'Unassigned [0x777F]',
	0x7780 : 'Unassigned [0x7780]',
	0x7781 : 'Unassigned [0x7781]',
	0x7782 : 'Unassigned [0x7782]',
	0x7783 : 'Unassigned [0x7783]',
	0x7784 : 'Unassigned [0x7784]',
	0x7785 : 'Unassigned [0x7785]',
	0x7786 : 'Unassigned [0x7786]',
	0x7787 : 'Unassigned [0x7787]',
	0x7788 : 'Unassigned [0x7788]',
	0x7789 : 'Unassigned [0x7789]',
	0x778A : 'Unassigned [0x778A]',
	0x778B : 'Unassigned [0x778B]',
	0x778C : 'Unassigned [0x778C]',
	0x778D : 'Unassigned [0x778D]',
	0x778E : 'Unassigned [0x778E]',
	0x778F : 'Unassigned [0x778F]',
	0x7790 : 'Unassigned [0x7790]',
	0x7791 : 'Unassigned [0x7791]',
	0x7792 : 'Unassigned [0x7792]',
	0x7793 : 'Unassigned [0x7793]',
	0x7794 : 'Unassigned [0x7794]',
	0x7795 : 'Unassigned [0x7795]',
	0x7796 : 'Unassigned [0x7796]',
	0x7797 : 'Unassigned [0x7797]',
	0x7798 : 'Unassigned [0x7798]',
	0x7799 : 'Unassigned [0x7799]',
	0x779A : 'Unassigned [0x779A]',
	0x779B : 'Unassigned [0x779B]',
	0x779C : 'Unassigned [0x779C]',
	0x779D : 'Unassigned [0x779D]',
	0x779E : 'Unassigned [0x779E]',
	0x779F : 'Unassigned [0x779F]',
	0x77A0 : 'Unassigned [0x77A0]',
	0x77A1 : 'Unassigned [0x77A1]',
	0x77A2 : 'Unassigned [0x77A2]',
	0x77A3 : 'Unassigned [0x77A3]',
	0x77A4 : 'Unassigned [0x77A4]',
	0x77A5 : 'Unassigned [0x77A5]',
	0x77A6 : 'Unassigned [0x77A6]',
	0x77A7 : 'Unassigned [0x77A7]',
	0x77A8 : 'Unassigned [0x77A8]',
	0x77A9 : 'Unassigned [0x77A9]',
	0x77AA : 'Unassigned [0x77AA]',
	0x77AB : 'Unassigned [0x77AB]',
	0x77AC : 'Unassigned [0x77AC]',
	0x77AD : 'Unassigned [0x77AD]',
	0x77AE : 'Unassigned [0x77AE]',
	0x77AF : 'Unassigned [0x77AF]',
	0x77B0 : 'Unassigned [0x77B0]',
	0x77B1 : 'Unassigned [0x77B1]',
	0x77B2 : 'Unassigned [0x77B2]',
	0x77B3 : 'Unassigned [0x77B3]',
	0x77B4 : 'Unassigned [0x77B4]',
	0x77B5 : 'Unassigned [0x77B5]',
	0x77B6 : 'Unassigned [0x77B6]',
	0x77B7 : 'Unassigned [0x77B7]',
	0x77B8 : 'Unassigned [0x77B8]',
	0x77B9 : 'Unassigned [0x77B9]',
	0x77BA : 'Unassigned [0x77BA]',
	0x77BB : 'Unassigned [0x77BB]',
	0x77BC : 'Unassigned [0x77BC]',
	0x77BD : 'Unassigned [0x77BD]',
	0x77BE : 'Unassigned [0x77BE]',
	0x77BF : 'Unassigned [0x77BF]',
	0x77C0 : 'Unassigned [0x77C0]',
	0x77C1 : 'Unassigned [0x77C1]',
	0x77C2 : 'Unassigned [0x77C2]',
	0x77C3 : 'Unassigned [0x77C3]',
	0x77C4 : 'Unassigned [0x77C4]',
	0x77C5 : 'Unassigned [0x77C5]',
	0x77C6 : 'Unassigned [0x77C6]',
	0x77C7 : 'Unassigned [0x77C7]',
	0x77C8 : 'Unassigned [0x77C8]',
	0x77C9 : 'Unassigned [0x77C9]',
	0x77CA : 'Unassigned [0x77CA]',
	0x77CB : 'Unassigned [0x77CB]',
	0x77CC : 'Unassigned [0x77CC]',
	0x77CD : 'Unassigned [0x77CD]',
	0x77CE : 'Unassigned [0x77CE]',
	0x77CF : 'Unassigned [0x77CF]',
	0x77D0 : 'Unassigned [0x77D0]',
	0x77D1 : 'Unassigned [0x77D1]',
	0x77D2 : 'Unassigned [0x77D2]',
	0x77D3 : 'Unassigned [0x77D3]',
	0x77D4 : 'Unassigned [0x77D4]',
	0x77D5 : 'Unassigned [0x77D5]',
	0x77D6 : 'Unassigned [0x77D6]',
	0x77D7 : 'Unassigned [0x77D7]',
	0x77D8 : 'Unassigned [0x77D8]',
	0x77D9 : 'Unassigned [0x77D9]',
	0x77DA : 'Unassigned [0x77DA]',
	0x77DB : 'Unassigned [0x77DB]',
	0x77DC : 'Unassigned [0x77DC]',
	0x77DD : 'Unassigned [0x77DD]',
	0x77DE : 'Unassigned [0x77DE]',
	0x77DF : 'Unassigned [0x77DF]',
	0x77E0 : 'Unassigned [0x77E0]',
	0x77E1 : 'Unassigned [0x77E1]',
	0x77E2 : 'Unassigned [0x77E2]',
	0x77E3 : 'Unassigned [0x77E3]',
	0x77E4 : 'Unassigned [0x77E4]',
	0x77E5 : 'Unassigned [0x77E5]',
	0x77E6 : 'Unassigned [0x77E6]',
	0x77E7 : 'Unassigned [0x77E7]',
	0x77E8 : 'Unassigned [0x77E8]',
	0x77E9 : 'Unassigned [0x77E9]',
	0x77EA : 'Unassigned [0x77EA]',
	0x77EB : 'Unassigned [0x77EB]',
	0x77EC : 'Unassigned [0x77EC]',
	0x77ED : 'Unassigned [0x77ED]',
	0x77EE : 'Unassigned [0x77EE]',
	0x77EF : 'Unassigned [0x77EF]',
	0x77F0 : 'Unassigned [0x77F0]',
	0x77F1 : 'Unassigned [0x77F1]',
	0x77F2 : 'Unassigned [0x77F2]',
	0x77F3 : 'Unassigned [0x77F3]',
	0x77F4 : 'Unassigned [0x77F4]',
	0x77F5 : 'Unassigned [0x77F5]',
	0x77F6 : 'Unassigned [0x77F6]',
	0x77F7 : 'Unassigned [0x77F7]',
	0x77F8 : 'Unassigned [0x77F8]',
	0x77F9 : 'Unassigned [0x77F9]',
	0x77FA : 'Unassigned [0x77FA]',
	0x77FB : 'Unassigned [0x77FB]',
	0x77FC : 'Unassigned [0x77FC]',
	0x77FD : 'Unassigned [0x77FD]',
	0x77FE : 'Unassigned [0x77FE]',
	0x77FF : 'Unassigned [0x77FF]',
	0x7800 : 'Unassigned [0x7800]',
	0x7801 : 'Unassigned [0x7801]',
	0x7802 : 'Unassigned [0x7802]',
	0x7803 : 'Unassigned [0x7803]',
	0x7804 : 'Unassigned [0x7804]',
	0x7805 : 'Unassigned [0x7805]',
	0x7806 : 'Unassigned [0x7806]',
	0x7807 : 'Unassigned [0x7807]',
	0x7808 : 'Unassigned [0x7808]',
	0x7809 : 'Unassigned [0x7809]',
	0x780A : 'Unassigned [0x780A]',
	0x780B : 'Unassigned [0x780B]',
	0x780C : 'Unassigned [0x780C]',
	0x780D : 'Unassigned [0x780D]',
	0x780E : 'Unassigned [0x780E]',
	0x780F : 'Unassigned [0x780F]',
	0x7810 : 'Unassigned [0x7810]',
	0x7811 : 'Unassigned [0x7811]',
	0x7812 : 'Unassigned [0x7812]',
	0x7813 : 'Unassigned [0x7813]',
	0x7814 : 'Unassigned [0x7814]',
	0x7815 : 'Unassigned [0x7815]',
	0x7816 : 'Unassigned [0x7816]',
	0x7817 : 'Unassigned [0x7817]',
	0x7818 : 'Unassigned [0x7818]',
	0x7819 : 'Unassigned [0x7819]',
	0x781A : 'Unassigned [0x781A]',
	0x781B : 'Unassigned [0x781B]',
	0x781C : 'Unassigned [0x781C]',
	0x781D : 'Unassigned [0x781D]',
	0x781E : 'Unassigned [0x781E]',
	0x781F : 'Unassigned [0x781F]',
	0x7820 : 'Unassigned [0x7820]',
	0x7821 : 'Unassigned [0x7821]',
	0x7822 : 'Unassigned [0x7822]',
	0x7823 : 'Unassigned [0x7823]',
	0x7824 : 'Unassigned [0x7824]',
	0x7825 : 'Unassigned [0x7825]',
	0x7826 : 'Unassigned [0x7826]',
	0x7827 : 'Unassigned [0x7827]',
	0x7828 : 'Unassigned [0x7828]',
	0x7829 : 'Unassigned [0x7829]',
	0x782A : 'Unassigned [0x782A]',
	0x782B : 'Unassigned [0x782B]',
	0x782C : 'Unassigned [0x782C]',
	0x782D : 'Unassigned [0x782D]',
	0x782E : 'Unassigned [0x782E]',
	0x782F : 'Unassigned [0x782F]',
	0x7830 : 'Unassigned [0x7830]',
	0x7831 : 'Unassigned [0x7831]',
	0x7832 : 'Unassigned [0x7832]',
	0x7833 : 'Unassigned [0x7833]',
	0x7834 : 'Unassigned [0x7834]',
	0x7835 : 'Unassigned [0x7835]',
	0x7836 : 'Unassigned [0x7836]',
	0x7837 : 'Unassigned [0x7837]',
	0x7838 : 'Unassigned [0x7838]',
	0x7839 : 'Unassigned [0x7839]',
	0x783A : 'Unassigned [0x783A]',
	0x783B : 'Unassigned [0x783B]',
	0x783C : 'Unassigned [0x783C]',
	0x783D : 'Unassigned [0x783D]',
	0x783E : 'Unassigned [0x783E]',
	0x783F : 'Unassigned [0x783F]',
	0x7840 : 'Unassigned [0x7840]',
	0x7841 : 'Unassigned [0x7841]',
	0x7842 : 'Unassigned [0x7842]',
	0x7843 : 'Unassigned [0x7843]',
	0x7844 : 'Unassigned [0x7844]',
	0x7845 : 'Unassigned [0x7845]',
	0x7846 : 'Unassigned [0x7846]',
	0x7847 : 'Unassigned [0x7847]',
	0x7848 : 'Unassigned [0x7848]',
	0x7849 : 'Unassigned [0x7849]',
	0x784A : 'Unassigned [0x784A]',
	0x784B : 'Unassigned [0x784B]',
	0x784C : 'Unassigned [0x784C]',
	0x784D : 'Unassigned [0x784D]',
	0x784E : 'Unassigned [0x784E]',
	0x784F : 'Unassigned [0x784F]',
	0x7850 : 'Unassigned [0x7850]',
	0x7851 : 'Unassigned [0x7851]',
	0x7852 : 'Unassigned [0x7852]',
	0x7853 : 'Unassigned [0x7853]',
	0x7854 : 'Unassigned [0x7854]',
	0x7855 : 'Unassigned [0x7855]',
	0x7856 : 'Unassigned [0x7856]',
	0x7857 : 'Unassigned [0x7857]',
	0x7858 : 'Unassigned [0x7858]',
	0x7859 : 'Unassigned [0x7859]',
	0x785A : 'Unassigned [0x785A]',
	0x785B : 'Unassigned [0x785B]',
	0x785C : 'Unassigned [0x785C]',
	0x785D : 'Unassigned [0x785D]',
	0x785E : 'Unassigned [0x785E]',
	0x785F : 'Unassigned [0x785F]',
	0x7860 : 'Unassigned [0x7860]',
	0x7861 : 'Unassigned [0x7861]',
	0x7862 : 'Unassigned [0x7862]',
	0x7863 : 'Unassigned [0x7863]',
	0x7864 : 'Unassigned [0x7864]',
	0x7865 : 'Unassigned [0x7865]',
	0x7866 : 'Unassigned [0x7866]',
	0x7867 : 'Unassigned [0x7867]',
	0x7868 : 'Unassigned [0x7868]',
	0x7869 : 'Unassigned [0x7869]',
	0x786A : 'Unassigned [0x786A]',
	0x786B : 'Unassigned [0x786B]',
	0x786C : 'Unassigned [0x786C]',
	0x786D : 'Unassigned [0x786D]',
	0x786E : 'Unassigned [0x786E]',
	0x786F : 'Unassigned [0x786F]',
	0x7870 : 'Unassigned [0x7870]',
	0x7871 : 'Unassigned [0x7871]',
	0x7872 : 'Unassigned [0x7872]',
	0x7873 : 'Unassigned [0x7873]',
	0x7874 : 'Unassigned [0x7874]',
	0x7875 : 'Unassigned [0x7875]',
	0x7876 : 'Unassigned [0x7876]',
	0x7877 : 'Unassigned [0x7877]',
	0x7878 : 'Unassigned [0x7878]',
	0x7879 : 'Unassigned [0x7879]',
	0x787A : 'Unassigned [0x787A]',
	0x787B : 'Unassigned [0x787B]',
	0x787C : 'Unassigned [0x787C]',
	0x787D : 'Unassigned [0x787D]',
	0x787E : 'Unassigned [0x787E]',
	0x787F : 'Unassigned [0x787F]',
	0x7880 : 'Unassigned [0x7880]',
	0x7881 : 'Unassigned [0x7881]',
	0x7882 : 'Unassigned [0x7882]',
	0x7883 : 'Unassigned [0x7883]',
	0x7884 : 'Unassigned [0x7884]',
	0x7885 : 'Unassigned [0x7885]',
	0x7886 : 'Unassigned [0x7886]',
	0x7887 : 'Unassigned [0x7887]',
	0x7888 : 'Unassigned [0x7888]',
	0x7889 : 'Unassigned [0x7889]',
	0x788A : 'Unassigned [0x788A]',
	0x788B : 'Unassigned [0x788B]',
	0x788C : 'Unassigned [0x788C]',
	0x788D : 'Unassigned [0x788D]',
	0x788E : 'Unassigned [0x788E]',
	0x788F : 'Unassigned [0x788F]',
	0x7890 : 'Unassigned [0x7890]',
	0x7891 : 'Unassigned [0x7891]',
	0x7892 : 'Unassigned [0x7892]',
	0x7893 : 'Unassigned [0x7893]',
	0x7894 : 'Unassigned [0x7894]',
	0x7895 : 'Unassigned [0x7895]',
	0x7896 : 'Unassigned [0x7896]',
	0x7897 : 'Unassigned [0x7897]',
	0x7898 : 'Unassigned [0x7898]',
	0x7899 : 'Unassigned [0x7899]',
	0x789A : 'Unassigned [0x789A]',
	0x789B : 'Unassigned [0x789B]',
	0x789C : 'Unassigned [0x789C]',
	0x789D : 'Unassigned [0x789D]',
	0x789E : 'Unassigned [0x789E]',
	0x789F : 'Unassigned [0x789F]',
	0x78A0 : 'Unassigned [0x78A0]',
	0x78A1 : 'Unassigned [0x78A1]',
	0x78A2 : 'Unassigned [0x78A2]',
	0x78A3 : 'Unassigned [0x78A3]',
	0x78A4 : 'Unassigned [0x78A4]',
	0x78A5 : 'Unassigned [0x78A5]',
	0x78A6 : 'Unassigned [0x78A6]',
	0x78A7 : 'Unassigned [0x78A7]',
	0x78A8 : 'Unassigned [0x78A8]',
	0x78A9 : 'Unassigned [0x78A9]',
	0x78AA : 'Unassigned [0x78AA]',
	0x78AB : 'Unassigned [0x78AB]',
	0x78AC : 'Unassigned [0x78AC]',
	0x78AD : 'Unassigned [0x78AD]',
	0x78AE : 'Unassigned [0x78AE]',
	0x78AF : 'Unassigned [0x78AF]',
	0x78B0 : 'Unassigned [0x78B0]',
	0x78B1 : 'Unassigned [0x78B1]',
	0x78B2 : 'Unassigned [0x78B2]',
	0x78B3 : 'Unassigned [0x78B3]',
	0x78B4 : 'Unassigned [0x78B4]',
	0x78B5 : 'Unassigned [0x78B5]',
	0x78B6 : 'Unassigned [0x78B6]',
	0x78B7 : 'Unassigned [0x78B7]',
	0x78B8 : 'Unassigned [0x78B8]',
	0x78B9 : 'Unassigned [0x78B9]',
	0x78BA : 'Unassigned [0x78BA]',
	0x78BB : 'Unassigned [0x78BB]',
	0x78BC : 'Unassigned [0x78BC]',
	0x78BD : 'Unassigned [0x78BD]',
	0x78BE : 'Unassigned [0x78BE]',
	0x78BF : 'Unassigned [0x78BF]',
	0x78C0 : 'Unassigned [0x78C0]',
	0x78C1 : 'Unassigned [0x78C1]',
	0x78C2 : 'Unassigned [0x78C2]',
	0x78C3 : 'Unassigned [0x78C3]',
	0x78C4 : 'Unassigned [0x78C4]',
	0x78C5 : 'Unassigned [0x78C5]',
	0x78C6 : 'Unassigned [0x78C6]',
	0x78C7 : 'Unassigned [0x78C7]',
	0x78C8 : 'Unassigned [0x78C8]',
	0x78C9 : 'Unassigned [0x78C9]',
	0x78CA : 'Unassigned [0x78CA]',
	0x78CB : 'Unassigned [0x78CB]',
	0x78CC : 'Unassigned [0x78CC]',
	0x78CD : 'Unassigned [0x78CD]',
	0x78CE : 'Unassigned [0x78CE]',
	0x78CF : 'Unassigned [0x78CF]',
	0x78D0 : 'Unassigned [0x78D0]',
	0x78D1 : 'Unassigned [0x78D1]',
	0x78D2 : 'Unassigned [0x78D2]',
	0x78D3 : 'Unassigned [0x78D3]',
	0x78D4 : 'Unassigned [0x78D4]',
	0x78D5 : 'Unassigned [0x78D5]',
	0x78D6 : 'Unassigned [0x78D6]',
	0x78D7 : 'Unassigned [0x78D7]',
	0x78D8 : 'Unassigned [0x78D8]',
	0x78D9 : 'Unassigned [0x78D9]',
	0x78DA : 'Unassigned [0x78DA]',
	0x78DB : 'Unassigned [0x78DB]',
	0x78DC : 'Unassigned [0x78DC]',
	0x78DD : 'Unassigned [0x78DD]',
	0x78DE : 'Unassigned [0x78DE]',
	0x78DF : 'Unassigned [0x78DF]',
	0x78E0 : 'Unassigned [0x78E0]',
	0x78E1 : 'Unassigned [0x78E1]',
	0x78E2 : 'Unassigned [0x78E2]',
	0x78E3 : 'Unassigned [0x78E3]',
	0x78E4 : 'Unassigned [0x78E4]',
	0x78E5 : 'Unassigned [0x78E5]',
	0x78E6 : 'Unassigned [0x78E6]',
	0x78E7 : 'Unassigned [0x78E7]',
	0x78E8 : 'Unassigned [0x78E8]',
	0x78E9 : 'Unassigned [0x78E9]',
	0x78EA : 'Unassigned [0x78EA]',
	0x78EB : 'Unassigned [0x78EB]',
	0x78EC : 'Unassigned [0x78EC]',
	0x78ED : 'Unassigned [0x78ED]',
	0x78EE : 'Unassigned [0x78EE]',
	0x78EF : 'Unassigned [0x78EF]',
	0x78F0 : 'Unassigned [0x78F0]',
	0x78F1 : 'Unassigned [0x78F1]',
	0x78F2 : 'Unassigned [0x78F2]',
	0x78F3 : 'Unassigned [0x78F3]',
	0x78F4 : 'Unassigned [0x78F4]',
	0x78F5 : 'Unassigned [0x78F5]',
	0x78F6 : 'Unassigned [0x78F6]',
	0x78F7 : 'Unassigned [0x78F7]',
	0x78F8 : 'Unassigned [0x78F8]',
	0x78F9 : 'Unassigned [0x78F9]',
	0x78FA : 'Unassigned [0x78FA]',
	0x78FB : 'Unassigned [0x78FB]',
	0x78FC : 'Unassigned [0x78FC]',
	0x78FD : 'Unassigned [0x78FD]',
	0x78FE : 'Unassigned [0x78FE]',
	0x78FF : 'Unassigned [0x78FF]',
	0x7900 : 'Unassigned [0x7900]',
	0x7901 : 'Unassigned [0x7901]',
	0x7902 : 'Unassigned [0x7902]',
	0x7903 : 'Unassigned [0x7903]',
	0x7904 : 'Unassigned [0x7904]',
	0x7905 : 'Unassigned [0x7905]',
	0x7906 : 'Unassigned [0x7906]',
	0x7907 : 'Unassigned [0x7907]',
	0x7908 : 'Unassigned [0x7908]',
	0x7909 : 'Unassigned [0x7909]',
	0x790A : 'Unassigned [0x790A]',
	0x790B : 'Unassigned [0x790B]',
	0x790C : 'Unassigned [0x790C]',
	0x790D : 'Unassigned [0x790D]',
	0x790E : 'Unassigned [0x790E]',
	0x790F : 'Unassigned [0x790F]',
	0x7910 : 'Unassigned [0x7910]',
	0x7911 : 'Unassigned [0x7911]',
	0x7912 : 'Unassigned [0x7912]',
	0x7913 : 'Unassigned [0x7913]',
	0x7914 : 'Unassigned [0x7914]',
	0x7915 : 'Unassigned [0x7915]',
	0x7916 : 'Unassigned [0x7916]',
	0x7917 : 'Unassigned [0x7917]',
	0x7918 : 'Unassigned [0x7918]',
	0x7919 : 'Unassigned [0x7919]',
	0x791A : 'Unassigned [0x791A]',
	0x791B : 'Unassigned [0x791B]',
	0x791C : 'Unassigned [0x791C]',
	0x791D : 'Unassigned [0x791D]',
	0x791E : 'Unassigned [0x791E]',
	0x791F : 'Unassigned [0x791F]',
	0x7920 : 'Unassigned [0x7920]',
	0x7921 : 'Unassigned [0x7921]',
	0x7922 : 'Unassigned [0x7922]',
	0x7923 : 'Unassigned [0x7923]',
	0x7924 : 'Unassigned [0x7924]',
	0x7925 : 'Unassigned [0x7925]',
	0x7926 : 'Unassigned [0x7926]',
	0x7927 : 'Unassigned [0x7927]',
	0x7928 : 'Unassigned [0x7928]',
	0x7929 : 'Unassigned [0x7929]',
	0x792A : 'Unassigned [0x792A]',
	0x792B : 'Unassigned [0x792B]',
	0x792C : 'Unassigned [0x792C]',
	0x792D : 'Unassigned [0x792D]',
	0x792E : 'Unassigned [0x792E]',
	0x792F : 'Unassigned [0x792F]',
	0x7930 : 'Unassigned [0x7930]',
	0x7931 : 'Unassigned [0x7931]',
	0x7932 : 'Unassigned [0x7932]',
	0x7933 : 'Unassigned [0x7933]',
	0x7934 : 'Unassigned [0x7934]',
	0x7935 : 'Unassigned [0x7935]',
	0x7936 : 'Unassigned [0x7936]',
	0x7937 : 'Unassigned [0x7937]',
	0x7938 : 'Unassigned [0x7938]',
	0x7939 : 'Unassigned [0x7939]',
	0x793A : 'Unassigned [0x793A]',
	0x793B : 'Unassigned [0x793B]',
	0x793C : 'Unassigned [0x793C]',
	0x793D : 'Unassigned [0x793D]',
	0x793E : 'Unassigned [0x793E]',
	0x793F : 'Unassigned [0x793F]',
	0x7940 : 'Unassigned [0x7940]',
	0x7941 : 'Unassigned [0x7941]',
	0x7942 : 'Unassigned [0x7942]',
	0x7943 : 'Unassigned [0x7943]',
	0x7944 : 'Unassigned [0x7944]',
	0x7945 : 'Unassigned [0x7945]',
	0x7946 : 'Unassigned [0x7946]',
	0x7947 : 'Unassigned [0x7947]',
	0x7948 : 'Unassigned [0x7948]',
	0x7949 : 'Unassigned [0x7949]',
	0x794A : 'Unassigned [0x794A]',
	0x794B : 'Unassigned [0x794B]',
	0x794C : 'Unassigned [0x794C]',
	0x794D : 'Unassigned [0x794D]',
	0x794E : 'Unassigned [0x794E]',
	0x794F : 'Unassigned [0x794F]',
	0x7950 : 'Unassigned [0x7950]',
	0x7951 : 'Unassigned [0x7951]',
	0x7952 : 'Unassigned [0x7952]',
	0x7953 : 'Unassigned [0x7953]',
	0x7954 : 'Unassigned [0x7954]',
	0x7955 : 'Unassigned [0x7955]',
	0x7956 : 'Unassigned [0x7956]',
	0x7957 : 'Unassigned [0x7957]',
	0x7958 : 'Unassigned [0x7958]',
	0x7959 : 'Unassigned [0x7959]',
	0x795A : 'Unassigned [0x795A]',
	0x795B : 'Unassigned [0x795B]',
	0x795C : 'Unassigned [0x795C]',
	0x795D : 'Unassigned [0x795D]',
	0x795E : 'Unassigned [0x795E]',
	0x795F : 'Unassigned [0x795F]',
	0x7960 : 'Unassigned [0x7960]',
	0x7961 : 'Unassigned [0x7961]',
	0x7962 : 'Unassigned [0x7962]',
	0x7963 : 'Unassigned [0x7963]',
	0x7964 : 'Unassigned [0x7964]',
	0x7965 : 'Unassigned [0x7965]',
	0x7966 : 'Unassigned [0x7966]',
	0x7967 : 'Unassigned [0x7967]',
	0x7968 : 'Unassigned [0x7968]',
	0x7969 : 'Unassigned [0x7969]',
	0x796A : 'Unassigned [0x796A]',
	0x796B : 'Unassigned [0x796B]',
	0x796C : 'Unassigned [0x796C]',
	0x796D : 'Unassigned [0x796D]',
	0x796E : 'Unassigned [0x796E]',
	0x796F : 'Unassigned [0x796F]',
	0x7970 : 'Unassigned [0x7970]',
	0x7971 : 'Unassigned [0x7971]',
	0x7972 : 'Unassigned [0x7972]',
	0x7973 : 'Unassigned [0x7973]',
	0x7974 : 'Unassigned [0x7974]',
	0x7975 : 'Unassigned [0x7975]',
	0x7976 : 'Unassigned [0x7976]',
	0x7977 : 'Unassigned [0x7977]',
	0x7978 : 'Unassigned [0x7978]',
	0x7979 : 'Unassigned [0x7979]',
	0x797A : 'Unassigned [0x797A]',
	0x797B : 'Unassigned [0x797B]',
	0x797C : 'Unassigned [0x797C]',
	0x797D : 'Unassigned [0x797D]',
	0x797E : 'Unassigned [0x797E]',
	0x797F : 'Unassigned [0x797F]',
	0x7980 : 'Unassigned [0x7980]',
	0x7981 : 'Unassigned [0x7981]',
	0x7982 : 'Unassigned [0x7982]',
	0x7983 : 'Unassigned [0x7983]',
	0x7984 : 'Unassigned [0x7984]',
	0x7985 : 'Unassigned [0x7985]',
	0x7986 : 'Unassigned [0x7986]',
	0x7987 : 'Unassigned [0x7987]',
	0x7988 : 'Unassigned [0x7988]',
	0x7989 : 'Unassigned [0x7989]',
	0x798A : 'Unassigned [0x798A]',
	0x798B : 'Unassigned [0x798B]',
	0x798C : 'Unassigned [0x798C]',
	0x798D : 'Unassigned [0x798D]',
	0x798E : 'Unassigned [0x798E]',
	0x798F : 'Unassigned [0x798F]',
	0x7990 : 'Unassigned [0x7990]',
	0x7991 : 'Unassigned [0x7991]',
	0x7992 : 'Unassigned [0x7992]',
	0x7993 : 'Unassigned [0x7993]',
	0x7994 : 'Unassigned [0x7994]',
	0x7995 : 'Unassigned [0x7995]',
	0x7996 : 'Unassigned [0x7996]',
	0x7997 : 'Unassigned [0x7997]',
	0x7998 : 'Unassigned [0x7998]',
	0x7999 : 'Unassigned [0x7999]',
	0x799A : 'Unassigned [0x799A]',
	0x799B : 'Unassigned [0x799B]',
	0x799C : 'Unassigned [0x799C]',
	0x799D : 'Unassigned [0x799D]',
	0x799E : 'Unassigned [0x799E]',
	0x799F : 'Unassigned [0x799F]',
	0x79A0 : 'Unassigned [0x79A0]',
	0x79A1 : 'Unassigned [0x79A1]',
	0x79A2 : 'Unassigned [0x79A2]',
	0x79A3 : 'Unassigned [0x79A3]',
	0x79A4 : 'Unassigned [0x79A4]',
	0x79A5 : 'Unassigned [0x79A5]',
	0x79A6 : 'Unassigned [0x79A6]',
	0x79A7 : 'Unassigned [0x79A7]',
	0x79A8 : 'Unassigned [0x79A8]',
	0x79A9 : 'Unassigned [0x79A9]',
	0x79AA : 'Unassigned [0x79AA]',
	0x79AB : 'Unassigned [0x79AB]',
	0x79AC : 'Unassigned [0x79AC]',
	0x79AD : 'Unassigned [0x79AD]',
	0x79AE : 'Unassigned [0x79AE]',
	0x79AF : 'Unassigned [0x79AF]',
	0x79B0 : 'Unassigned [0x79B0]',
	0x79B1 : 'Unassigned [0x79B1]',
	0x79B2 : 'Unassigned [0x79B2]',
	0x79B3 : 'Unassigned [0x79B3]',
	0x79B4 : 'Unassigned [0x79B4]',
	0x79B5 : 'Unassigned [0x79B5]',
	0x79B6 : 'Unassigned [0x79B6]',
	0x79B7 : 'Unassigned [0x79B7]',
	0x79B8 : 'Unassigned [0x79B8]',
	0x79B9 : 'Unassigned [0x79B9]',
	0x79BA : 'Unassigned [0x79BA]',
	0x79BB : 'Unassigned [0x79BB]',
	0x79BC : 'Unassigned [0x79BC]',
	0x79BD : 'Unassigned [0x79BD]',
	0x79BE : 'Unassigned [0x79BE]',
	0x79BF : 'Unassigned [0x79BF]',
	0x79C0 : 'Unassigned [0x79C0]',
	0x79C1 : 'Unassigned [0x79C1]',
	0x79C2 : 'Unassigned [0x79C2]',
	0x79C3 : 'Unassigned [0x79C3]',
	0x79C4 : 'Unassigned [0x79C4]',
	0x79C5 : 'Unassigned [0x79C5]',
	0x79C6 : 'Unassigned [0x79C6]',
	0x79C7 : 'Unassigned [0x79C7]',
	0x79C8 : 'Unassigned [0x79C8]',
	0x79C9 : 'Unassigned [0x79C9]',
	0x79CA : 'Unassigned [0x79CA]',
	0x79CB : 'Unassigned [0x79CB]',
	0x79CC : 'Unassigned [0x79CC]',
	0x79CD : 'Unassigned [0x79CD]',
	0x79CE : 'Unassigned [0x79CE]',
	0x79CF : 'Unassigned [0x79CF]',
	0x79D0 : 'Unassigned [0x79D0]',
	0x79D1 : 'Unassigned [0x79D1]',
	0x79D2 : 'Unassigned [0x79D2]',
	0x79D3 : 'Unassigned [0x79D3]',
	0x79D4 : 'Unassigned [0x79D4]',
	0x79D5 : 'Unassigned [0x79D5]',
	0x79D6 : 'Unassigned [0x79D6]',
	0x79D7 : 'Unassigned [0x79D7]',
	0x79D8 : 'Unassigned [0x79D8]',
	0x79D9 : 'Unassigned [0x79D9]',
	0x79DA : 'Unassigned [0x79DA]',
	0x79DB : 'Unassigned [0x79DB]',
	0x79DC : 'Unassigned [0x79DC]',
	0x79DD : 'Unassigned [0x79DD]',
	0x79DE : 'Unassigned [0x79DE]',
	0x79DF : 'Unassigned [0x79DF]',
	0x79E0 : 'Unassigned [0x79E0]',
	0x79E1 : 'Unassigned [0x79E1]',
	0x79E2 : 'Unassigned [0x79E2]',
	0x79E3 : 'Unassigned [0x79E3]',
	0x79E4 : 'Unassigned [0x79E4]',
	0x79E5 : 'Unassigned [0x79E5]',
	0x79E6 : 'Unassigned [0x79E6]',
	0x79E7 : 'Unassigned [0x79E7]',
	0x79E8 : 'Unassigned [0x79E8]',
	0x79E9 : 'Unassigned [0x79E9]',
	0x79EA : 'Unassigned [0x79EA]',
	0x79EB : 'Unassigned [0x79EB]',
	0x79EC : 'Unassigned [0x79EC]',
	0x79ED : 'Unassigned [0x79ED]',
	0x79EE : 'Unassigned [0x79EE]',
	0x79EF : 'Unassigned [0x79EF]',
	0x79F0 : 'Unassigned [0x79F0]',
	0x79F1 : 'Unassigned [0x79F1]',
	0x79F2 : 'Unassigned [0x79F2]',
	0x79F3 : 'Unassigned [0x79F3]',
	0x79F4 : 'Unassigned [0x79F4]',
	0x79F5 : 'Unassigned [0x79F5]',
	0x79F6 : 'Unassigned [0x79F6]',
	0x79F7 : 'Unassigned [0x79F7]',
	0x79F8 : 'Unassigned [0x79F8]',
	0x79F9 : 'Unassigned [0x79F9]',
	0x79FA : 'Unassigned [0x79FA]',
	0x79FB : 'Unassigned [0x79FB]',
	0x79FC : 'Unassigned [0x79FC]',
	0x79FD : 'Unassigned [0x79FD]',
	0x79FE : 'Unassigned [0x79FE]',
	0x79FF : 'Unassigned [0x79FF]',
	0x7A00 : 'Unassigned [0x7A00]',
	0x7A01 : 'Unassigned [0x7A01]',
	0x7A02 : 'Unassigned [0x7A02]',
	0x7A03 : 'Unassigned [0x7A03]',
	0x7A04 : 'Unassigned [0x7A04]',
	0x7A05 : 'Unassigned [0x7A05]',
	0x7A06 : 'Unassigned [0x7A06]',
	0x7A07 : 'Unassigned [0x7A07]',
	0x7A08 : 'Unassigned [0x7A08]',
	0x7A09 : 'Unassigned [0x7A09]',
	0x7A0A : 'Unassigned [0x7A0A]',
	0x7A0B : 'Unassigned [0x7A0B]',
	0x7A0C : 'Unassigned [0x7A0C]',
	0x7A0D : 'Unassigned [0x7A0D]',
	0x7A0E : 'Unassigned [0x7A0E]',
	0x7A0F : 'Unassigned [0x7A0F]',
	0x7A10 : 'Unassigned [0x7A10]',
	0x7A11 : 'Unassigned [0x7A11]',
	0x7A12 : 'Unassigned [0x7A12]',
	0x7A13 : 'Unassigned [0x7A13]',
	0x7A14 : 'Unassigned [0x7A14]',
	0x7A15 : 'Unassigned [0x7A15]',
	0x7A16 : 'Unassigned [0x7A16]',
	0x7A17 : 'Unassigned [0x7A17]',
	0x7A18 : 'Unassigned [0x7A18]',
	0x7A19 : 'Unassigned [0x7A19]',
	0x7A1A : 'Unassigned [0x7A1A]',
	0x7A1B : 'Unassigned [0x7A1B]',
	0x7A1C : 'Unassigned [0x7A1C]',
	0x7A1D : 'Unassigned [0x7A1D]',
	0x7A1E : 'Unassigned [0x7A1E]',
	0x7A1F : 'Unassigned [0x7A1F]',
	0x7A20 : 'Unassigned [0x7A20]',
	0x7A21 : 'Unassigned [0x7A21]',
	0x7A22 : 'Unassigned [0x7A22]',
	0x7A23 : 'Unassigned [0x7A23]',
	0x7A24 : 'Unassigned [0x7A24]',
	0x7A25 : 'Unassigned [0x7A25]',
	0x7A26 : 'Unassigned [0x7A26]',
	0x7A27 : 'Unassigned [0x7A27]',
	0x7A28 : 'Unassigned [0x7A28]',
	0x7A29 : 'Unassigned [0x7A29]',
	0x7A2A : 'Unassigned [0x7A2A]',
	0x7A2B : 'Unassigned [0x7A2B]',
	0x7A2C : 'Unassigned [0x7A2C]',
	0x7A2D : 'Unassigned [0x7A2D]',
	0x7A2E : 'Unassigned [0x7A2E]',
	0x7A2F : 'Unassigned [0x7A2F]',
	0x7A30 : 'Unassigned [0x7A30]',
	0x7A31 : 'Unassigned [0x7A31]',
	0x7A32 : 'Unassigned [0x7A32]',
	0x7A33 : 'Unassigned [0x7A33]',
	0x7A34 : 'Unassigned [0x7A34]',
	0x7A35 : 'Unassigned [0x7A35]',
	0x7A36 : 'Unassigned [0x7A36]',
	0x7A37 : 'Unassigned [0x7A37]',
	0x7A38 : 'Unassigned [0x7A38]',
	0x7A39 : 'Unassigned [0x7A39]',
	0x7A3A : 'Unassigned [0x7A3A]',
	0x7A3B : 'Unassigned [0x7A3B]',
	0x7A3C : 'Unassigned [0x7A3C]',
	0x7A3D : 'Unassigned [0x7A3D]',
	0x7A3E : 'Unassigned [0x7A3E]',
	0x7A3F : 'Unassigned [0x7A3F]',
	0x7A40 : 'Unassigned [0x7A40]',
	0x7A41 : 'Unassigned [0x7A41]',
	0x7A42 : 'Unassigned [0x7A42]',
	0x7A43 : 'Unassigned [0x7A43]',
	0x7A44 : 'Unassigned [0x7A44]',
	0x7A45 : 'Unassigned [0x7A45]',
	0x7A46 : 'Unassigned [0x7A46]',
	0x7A47 : 'Unassigned [0x7A47]',
	0x7A48 : 'Unassigned [0x7A48]',
	0x7A49 : 'Unassigned [0x7A49]',
	0x7A4A : 'Unassigned [0x7A4A]',
	0x7A4B : 'Unassigned [0x7A4B]',
	0x7A4C : 'Unassigned [0x7A4C]',
	0x7A4D : 'Unassigned [0x7A4D]',
	0x7A4E : 'Unassigned [0x7A4E]',
	0x7A4F : 'Unassigned [0x7A4F]',
	0x7A50 : 'Unassigned [0x7A50]',
	0x7A51 : 'Unassigned [0x7A51]',
	0x7A52 : 'Unassigned [0x7A52]',
	0x7A53 : 'Unassigned [0x7A53]',
	0x7A54 : 'Unassigned [0x7A54]',
	0x7A55 : 'Unassigned [0x7A55]',
	0x7A56 : 'Unassigned [0x7A56]',
	0x7A57 : 'Unassigned [0x7A57]',
	0x7A58 : 'Unassigned [0x7A58]',
	0x7A59 : 'Unassigned [0x7A59]',
	0x7A5A : 'Unassigned [0x7A5A]',
	0x7A5B : 'Unassigned [0x7A5B]',
	0x7A5C : 'Unassigned [0x7A5C]',
	0x7A5D : 'Unassigned [0x7A5D]',
	0x7A5E : 'Unassigned [0x7A5E]',
	0x7A5F : 'Unassigned [0x7A5F]',
	0x7A60 : 'Unassigned [0x7A60]',
	0x7A61 : 'Unassigned [0x7A61]',
	0x7A62 : 'Unassigned [0x7A62]',
	0x7A63 : 'Unassigned [0x7A63]',
	0x7A64 : 'Unassigned [0x7A64]',
	0x7A65 : 'Unassigned [0x7A65]',
	0x7A66 : 'Unassigned [0x7A66]',
	0x7A67 : 'Unassigned [0x7A67]',
	0x7A68 : 'Unassigned [0x7A68]',
	0x7A69 : 'Unassigned [0x7A69]',
	0x7A6A : 'Unassigned [0x7A6A]',
	0x7A6B : 'Unassigned [0x7A6B]',
	0x7A6C : 'Unassigned [0x7A6C]',
	0x7A6D : 'Unassigned [0x7A6D]',
	0x7A6E : 'Unassigned [0x7A6E]',
	0x7A6F : 'Unassigned [0x7A6F]',
	0x7A70 : 'Unassigned [0x7A70]',
	0x7A71 : 'Unassigned [0x7A71]',
	0x7A72 : 'Unassigned [0x7A72]',
	0x7A73 : 'Unassigned [0x7A73]',
	0x7A74 : 'Unassigned [0x7A74]',
	0x7A75 : 'Unassigned [0x7A75]',
	0x7A76 : 'Unassigned [0x7A76]',
	0x7A77 : 'Unassigned [0x7A77]',
	0x7A78 : 'Unassigned [0x7A78]',
	0x7A79 : 'Unassigned [0x7A79]',
	0x7A7A : 'Unassigned [0x7A7A]',
	0x7A7B : 'Unassigned [0x7A7B]',
	0x7A7C : 'Unassigned [0x7A7C]',
	0x7A7D : 'Unassigned [0x7A7D]',
	0x7A7E : 'Unassigned [0x7A7E]',
	0x7A7F : 'Unassigned [0x7A7F]',
	0x7A80 : 'Unassigned [0x7A80]',
	0x7A81 : 'Unassigned [0x7A81]',
	0x7A82 : 'Unassigned [0x7A82]',
	0x7A83 : 'Unassigned [0x7A83]',
	0x7A84 : 'Unassigned [0x7A84]',
	0x7A85 : 'Unassigned [0x7A85]',
	0x7A86 : 'Unassigned [0x7A86]',
	0x7A87 : 'Unassigned [0x7A87]',
	0x7A88 : 'Unassigned [0x7A88]',
	0x7A89 : 'Unassigned [0x7A89]',
	0x7A8A : 'Unassigned [0x7A8A]',
	0x7A8B : 'Unassigned [0x7A8B]',
	0x7A8C : 'Unassigned [0x7A8C]',
	0x7A8D : 'Unassigned [0x7A8D]',
	0x7A8E : 'Unassigned [0x7A8E]',
	0x7A8F : 'Unassigned [0x7A8F]',
	0x7A90 : 'Unassigned [0x7A90]',
	0x7A91 : 'Unassigned [0x7A91]',
	0x7A92 : 'Unassigned [0x7A92]',
	0x7A93 : 'Unassigned [0x7A93]',
	0x7A94 : 'Unassigned [0x7A94]',
	0x7A95 : 'Unassigned [0x7A95]',
	0x7A96 : 'Unassigned [0x7A96]',
	0x7A97 : 'Unassigned [0x7A97]',
	0x7A98 : 'Unassigned [0x7A98]',
	0x7A99 : 'Unassigned [0x7A99]',
	0x7A9A : 'Unassigned [0x7A9A]',
	0x7A9B : 'Unassigned [0x7A9B]',
	0x7A9C : 'Unassigned [0x7A9C]',
	0x7A9D : 'Unassigned [0x7A9D]',
	0x7A9E : 'Unassigned [0x7A9E]',
	0x7A9F : 'Unassigned [0x7A9F]',
	0x7AA0 : 'Unassigned [0x7AA0]',
	0x7AA1 : 'Unassigned [0x7AA1]',
	0x7AA2 : 'Unassigned [0x7AA2]',
	0x7AA3 : 'Unassigned [0x7AA3]',
	0x7AA4 : 'Unassigned [0x7AA4]',
	0x7AA5 : 'Unassigned [0x7AA5]',
	0x7AA6 : 'Unassigned [0x7AA6]',
	0x7AA7 : 'Unassigned [0x7AA7]',
	0x7AA8 : 'Unassigned [0x7AA8]',
	0x7AA9 : 'Unassigned [0x7AA9]',
	0x7AAA : 'Unassigned [0x7AAA]',
	0x7AAB : 'Unassigned [0x7AAB]',
	0x7AAC : 'Unassigned [0x7AAC]',
	0x7AAD : 'Unassigned [0x7AAD]',
	0x7AAE : 'Unassigned [0x7AAE]',
	0x7AAF : 'Unassigned [0x7AAF]',
	0x7AB0 : 'Unassigned [0x7AB0]',
	0x7AB1 : 'Unassigned [0x7AB1]',
	0x7AB2 : 'Unassigned [0x7AB2]',
	0x7AB3 : 'Unassigned [0x7AB3]',
	0x7AB4 : 'Unassigned [0x7AB4]',
	0x7AB5 : 'Unassigned [0x7AB5]',
	0x7AB6 : 'Unassigned [0x7AB6]',
	0x7AB7 : 'Unassigned [0x7AB7]',
	0x7AB8 : 'Unassigned [0x7AB8]',
	0x7AB9 : 'Unassigned [0x7AB9]',
	0x7ABA : 'Unassigned [0x7ABA]',
	0x7ABB : 'Unassigned [0x7ABB]',
	0x7ABC : 'Unassigned [0x7ABC]',
	0x7ABD : 'Unassigned [0x7ABD]',
	0x7ABE : 'Unassigned [0x7ABE]',
	0x7ABF : 'Unassigned [0x7ABF]',
	0x7AC0 : 'Unassigned [0x7AC0]',
	0x7AC1 : 'Unassigned [0x7AC1]',
	0x7AC2 : 'Unassigned [0x7AC2]',
	0x7AC3 : 'Unassigned [0x7AC3]',
	0x7AC4 : 'Unassigned [0x7AC4]',
	0x7AC5 : 'Unassigned [0x7AC5]',
	0x7AC6 : 'Unassigned [0x7AC6]',
	0x7AC7 : 'Unassigned [0x7AC7]',
	0x7AC8 : 'Unassigned [0x7AC8]',
	0x7AC9 : 'Unassigned [0x7AC9]',
	0x7ACA : 'Unassigned [0x7ACA]',
	0x7ACB : 'Unassigned [0x7ACB]',
	0x7ACC : 'Unassigned [0x7ACC]',
	0x7ACD : 'Unassigned [0x7ACD]',
	0x7ACE : 'Unassigned [0x7ACE]',
	0x7ACF : 'Unassigned [0x7ACF]',
	0x7AD0 : 'Unassigned [0x7AD0]',
	0x7AD1 : 'Unassigned [0x7AD1]',
	0x7AD2 : 'Unassigned [0x7AD2]',
	0x7AD3 : 'Unassigned [0x7AD3]',
	0x7AD4 : 'Unassigned [0x7AD4]',
	0x7AD5 : 'Unassigned [0x7AD5]',
	0x7AD6 : 'Unassigned [0x7AD6]',
	0x7AD7 : 'Unassigned [0x7AD7]',
	0x7AD8 : 'Unassigned [0x7AD8]',
	0x7AD9 : 'Unassigned [0x7AD9]',
	0x7ADA : 'Unassigned [0x7ADA]',
	0x7ADB : 'Unassigned [0x7ADB]',
	0x7ADC : 'Unassigned [0x7ADC]',
	0x7ADD : 'Unassigned [0x7ADD]',
	0x7ADE : 'Unassigned [0x7ADE]',
	0x7ADF : 'Unassigned [0x7ADF]',
	0x7AE0 : 'Unassigned [0x7AE0]',
	0x7AE1 : 'Unassigned [0x7AE1]',
	0x7AE2 : 'Unassigned [0x7AE2]',
	0x7AE3 : 'Unassigned [0x7AE3]',
	0x7AE4 : 'Unassigned [0x7AE4]',
	0x7AE5 : 'Unassigned [0x7AE5]',
	0x7AE6 : 'Unassigned [0x7AE6]',
	0x7AE7 : 'Unassigned [0x7AE7]',
	0x7AE8 : 'Unassigned [0x7AE8]',
	0x7AE9 : 'Unassigned [0x7AE9]',
	0x7AEA : 'Unassigned [0x7AEA]',
	0x7AEB : 'Unassigned [0x7AEB]',
	0x7AEC : 'Unassigned [0x7AEC]',
	0x7AED : 'Unassigned [0x7AED]',
	0x7AEE : 'Unassigned [0x7AEE]',
	0x7AEF : 'Unassigned [0x7AEF]',
	0x7AF0 : 'Unassigned [0x7AF0]',
	0x7AF1 : 'Unassigned [0x7AF1]',
	0x7AF2 : 'Unassigned [0x7AF2]',
	0x7AF3 : 'Unassigned [0x7AF3]',
	0x7AF4 : 'Unassigned [0x7AF4]',
	0x7AF5 : 'Unassigned [0x7AF5]',
	0x7AF6 : 'Unassigned [0x7AF6]',
	0x7AF7 : 'Unassigned [0x7AF7]',
	0x7AF8 : 'Unassigned [0x7AF8]',
	0x7AF9 : 'Unassigned [0x7AF9]',
	0x7AFA : 'Unassigned [0x7AFA]',
	0x7AFB : 'Unassigned [0x7AFB]',
	0x7AFC : 'Unassigned [0x7AFC]',
	0x7AFD : 'Unassigned [0x7AFD]',
	0x7AFE : 'Unassigned [0x7AFE]',
	0x7AFF : 'Unassigned [0x7AFF]',
	0x7B00 : 'Unassigned [0x7B00]',
	0x7B01 : 'Unassigned [0x7B01]',
	0x7B02 : 'Unassigned [0x7B02]',
	0x7B03 : 'Unassigned [0x7B03]',
	0x7B04 : 'Unassigned [0x7B04]',
	0x7B05 : 'Unassigned [0x7B05]',
	0x7B06 : 'Unassigned [0x7B06]',
	0x7B07 : 'Unassigned [0x7B07]',
	0x7B08 : 'Unassigned [0x7B08]',
	0x7B09 : 'Unassigned [0x7B09]',
	0x7B0A : 'Unassigned [0x7B0A]',
	0x7B0B : 'Unassigned [0x7B0B]',
	0x7B0C : 'Unassigned [0x7B0C]',
	0x7B0D : 'Unassigned [0x7B0D]',
	0x7B0E : 'Unassigned [0x7B0E]',
	0x7B0F : 'Unassigned [0x7B0F]',
	0x7B10 : 'Unassigned [0x7B10]',
	0x7B11 : 'Unassigned [0x7B11]',
	0x7B12 : 'Unassigned [0x7B12]',
	0x7B13 : 'Unassigned [0x7B13]',
	0x7B14 : 'Unassigned [0x7B14]',
	0x7B15 : 'Unassigned [0x7B15]',
	0x7B16 : 'Unassigned [0x7B16]',
	0x7B17 : 'Unassigned [0x7B17]',
	0x7B18 : 'Unassigned [0x7B18]',
	0x7B19 : 'Unassigned [0x7B19]',
	0x7B1A : 'Unassigned [0x7B1A]',
	0x7B1B : 'Unassigned [0x7B1B]',
	0x7B1C : 'Unassigned [0x7B1C]',
	0x7B1D : 'Unassigned [0x7B1D]',
	0x7B1E : 'Unassigned [0x7B1E]',
	0x7B1F : 'Unassigned [0x7B1F]',
	0x7B20 : 'Unassigned [0x7B20]',
	0x7B21 : 'Unassigned [0x7B21]',
	0x7B22 : 'Unassigned [0x7B22]',
	0x7B23 : 'Unassigned [0x7B23]',
	0x7B24 : 'Unassigned [0x7B24]',
	0x7B25 : 'Unassigned [0x7B25]',
	0x7B26 : 'Unassigned [0x7B26]',
	0x7B27 : 'Unassigned [0x7B27]',
	0x7B28 : 'Unassigned [0x7B28]',
	0x7B29 : 'Unassigned [0x7B29]',
	0x7B2A : 'Unassigned [0x7B2A]',
	0x7B2B : 'Unassigned [0x7B2B]',
	0x7B2C : 'Unassigned [0x7B2C]',
	0x7B2D : 'Unassigned [0x7B2D]',
	0x7B2E : 'Unassigned [0x7B2E]',
	0x7B2F : 'Unassigned [0x7B2F]',
	0x7B30 : 'Unassigned [0x7B30]',
	0x7B31 : 'Unassigned [0x7B31]',
	0x7B32 : 'Unassigned [0x7B32]',
	0x7B33 : 'Unassigned [0x7B33]',
	0x7B34 : 'Unassigned [0x7B34]',
	0x7B35 : 'Unassigned [0x7B35]',
	0x7B36 : 'Unassigned [0x7B36]',
	0x7B37 : 'Unassigned [0x7B37]',
	0x7B38 : 'Unassigned [0x7B38]',
	0x7B39 : 'Unassigned [0x7B39]',
	0x7B3A : 'Unassigned [0x7B3A]',
	0x7B3B : 'Unassigned [0x7B3B]',
	0x7B3C : 'Unassigned [0x7B3C]',
	0x7B3D : 'Unassigned [0x7B3D]',
	0x7B3E : 'Unassigned [0x7B3E]',
	0x7B3F : 'Unassigned [0x7B3F]',
	0x7B40 : 'Unassigned [0x7B40]',
	0x7B41 : 'Unassigned [0x7B41]',
	0x7B42 : 'Unassigned [0x7B42]',
	0x7B43 : 'Unassigned [0x7B43]',
	0x7B44 : 'Unassigned [0x7B44]',
	0x7B45 : 'Unassigned [0x7B45]',
	0x7B46 : 'Unassigned [0x7B46]',
	0x7B47 : 'Unassigned [0x7B47]',
	0x7B48 : 'Unassigned [0x7B48]',
	0x7B49 : 'Unassigned [0x7B49]',
	0x7B4A : 'Unassigned [0x7B4A]',
	0x7B4B : 'Unassigned [0x7B4B]',
	0x7B4C : 'Unassigned [0x7B4C]',
	0x7B4D : 'Unassigned [0x7B4D]',
	0x7B4E : 'Unassigned [0x7B4E]',
	0x7B4F : 'Unassigned [0x7B4F]',
	0x7B50 : 'Unassigned [0x7B50]',
	0x7B51 : 'Unassigned [0x7B51]',
	0x7B52 : 'Unassigned [0x7B52]',
	0x7B53 : 'Unassigned [0x7B53]',
	0x7B54 : 'Unassigned [0x7B54]',
	0x7B55 : 'Unassigned [0x7B55]',
	0x7B56 : 'Unassigned [0x7B56]',
	0x7B57 : 'Unassigned [0x7B57]',
	0x7B58 : 'Unassigned [0x7B58]',
	0x7B59 : 'Unassigned [0x7B59]',
	0x7B5A : 'Unassigned [0x7B5A]',
	0x7B5B : 'Unassigned [0x7B5B]',
	0x7B5C : 'Unassigned [0x7B5C]',
	0x7B5D : 'Unassigned [0x7B5D]',
	0x7B5E : 'Unassigned [0x7B5E]',
	0x7B5F : 'Unassigned [0x7B5F]',
	0x7B60 : 'Unassigned [0x7B60]',
	0x7B61 : 'Unassigned [0x7B61]',
	0x7B62 : 'Unassigned [0x7B62]',
	0x7B63 : 'Unassigned [0x7B63]',
	0x7B64 : 'Unassigned [0x7B64]',
	0x7B65 : 'Unassigned [0x7B65]',
	0x7B66 : 'Unassigned [0x7B66]',
	0x7B67 : 'Unassigned [0x7B67]',
	0x7B68 : 'Unassigned [0x7B68]',
	0x7B69 : 'Unassigned [0x7B69]',
	0x7B6A : 'Unassigned [0x7B6A]',
	0x7B6B : 'Unassigned [0x7B6B]',
	0x7B6C : 'Unassigned [0x7B6C]',
	0x7B6D : 'Unassigned [0x7B6D]',
	0x7B6E : 'Unassigned [0x7B6E]',
	0x7B6F : 'Unassigned [0x7B6F]',
	0x7B70 : 'Unassigned [0x7B70]',
	0x7B71 : 'Unassigned [0x7B71]',
	0x7B72 : 'Unassigned [0x7B72]',
	0x7B73 : 'Unassigned [0x7B73]',
	0x7B74 : 'Unassigned [0x7B74]',
	0x7B75 : 'Unassigned [0x7B75]',
	0x7B76 : 'Unassigned [0x7B76]',
	0x7B77 : 'Unassigned [0x7B77]',
	0x7B78 : 'Unassigned [0x7B78]',
	0x7B79 : 'Unassigned [0x7B79]',
	0x7B7A : 'Unassigned [0x7B7A]',
	0x7B7B : 'Unassigned [0x7B7B]',
	0x7B7C : 'Unassigned [0x7B7C]',
	0x7B7D : 'Unassigned [0x7B7D]',
	0x7B7E : 'Unassigned [0x7B7E]',
	0x7B7F : 'Unassigned [0x7B7F]',
	0x7B80 : 'Unassigned [0x7B80]',
	0x7B81 : 'Unassigned [0x7B81]',
	0x7B82 : 'Unassigned [0x7B82]',
	0x7B83 : 'Unassigned [0x7B83]',
	0x7B84 : 'Unassigned [0x7B84]',
	0x7B85 : 'Unassigned [0x7B85]',
	0x7B86 : 'Unassigned [0x7B86]',
	0x7B87 : 'Unassigned [0x7B87]',
	0x7B88 : 'Unassigned [0x7B88]',
	0x7B89 : 'Unassigned [0x7B89]',
	0x7B8A : 'Unassigned [0x7B8A]',
	0x7B8B : 'Unassigned [0x7B8B]',
	0x7B8C : 'Unassigned [0x7B8C]',
	0x7B8D : 'Unassigned [0x7B8D]',
	0x7B8E : 'Unassigned [0x7B8E]',
	0x7B8F : 'Unassigned [0x7B8F]',
	0x7B90 : 'Unassigned [0x7B90]',
	0x7B91 : 'Unassigned [0x7B91]',
	0x7B92 : 'Unassigned [0x7B92]',
	0x7B93 : 'Unassigned [0x7B93]',
	0x7B94 : 'Unassigned [0x7B94]',
	0x7B95 : 'Unassigned [0x7B95]',
	0x7B96 : 'Unassigned [0x7B96]',
	0x7B97 : 'Unassigned [0x7B97]',
	0x7B98 : 'Unassigned [0x7B98]',
	0x7B99 : 'Unassigned [0x7B99]',
	0x7B9A : 'Unassigned [0x7B9A]',
	0x7B9B : 'Unassigned [0x7B9B]',
	0x7B9C : 'Unassigned [0x7B9C]',
	0x7B9D : 'Unassigned [0x7B9D]',
	0x7B9E : 'Unassigned [0x7B9E]',
	0x7B9F : 'Unassigned [0x7B9F]',
	0x7BA0 : 'Unassigned [0x7BA0]',
	0x7BA1 : 'Unassigned [0x7BA1]',
	0x7BA2 : 'Unassigned [0x7BA2]',
	0x7BA3 : 'Unassigned [0x7BA3]',
	0x7BA4 : 'Unassigned [0x7BA4]',
	0x7BA5 : 'Unassigned [0x7BA5]',
	0x7BA6 : 'Unassigned [0x7BA6]',
	0x7BA7 : 'Unassigned [0x7BA7]',
	0x7BA8 : 'Unassigned [0x7BA8]',
	0x7BA9 : 'Unassigned [0x7BA9]',
	0x7BAA : 'Unassigned [0x7BAA]',
	0x7BAB : 'Unassigned [0x7BAB]',
	0x7BAC : 'Unassigned [0x7BAC]',
	0x7BAD : 'Unassigned [0x7BAD]',
	0x7BAE : 'Unassigned [0x7BAE]',
	0x7BAF : 'Unassigned [0x7BAF]',
	0x7BB0 : 'Unassigned [0x7BB0]',
	0x7BB1 : 'Unassigned [0x7BB1]',
	0x7BB2 : 'Unassigned [0x7BB2]',
	0x7BB3 : 'Unassigned [0x7BB3]',
	0x7BB4 : 'Unassigned [0x7BB4]',
	0x7BB5 : 'Unassigned [0x7BB5]',
	0x7BB6 : 'Unassigned [0x7BB6]',
	0x7BB7 : 'Unassigned [0x7BB7]',
	0x7BB8 : 'Unassigned [0x7BB8]',
	0x7BB9 : 'Unassigned [0x7BB9]',
	0x7BBA : 'Unassigned [0x7BBA]',
	0x7BBB : 'Unassigned [0x7BBB]',
	0x7BBC : 'Unassigned [0x7BBC]',
	0x7BBD : 'Unassigned [0x7BBD]',
	0x7BBE : 'Unassigned [0x7BBE]',
	0x7BBF : 'Unassigned [0x7BBF]',
	0x7BC0 : 'Unassigned [0x7BC0]',
	0x7BC1 : 'Unassigned [0x7BC1]',
	0x7BC2 : 'Unassigned [0x7BC2]',
	0x7BC3 : 'Unassigned [0x7BC3]',
	0x7BC4 : 'Unassigned [0x7BC4]',
	0x7BC5 : 'Unassigned [0x7BC5]',
	0x7BC6 : 'Unassigned [0x7BC6]',
	0x7BC7 : 'Unassigned [0x7BC7]',
	0x7BC8 : 'Unassigned [0x7BC8]',
	0x7BC9 : 'Unassigned [0x7BC9]',
	0x7BCA : 'Unassigned [0x7BCA]',
	0x7BCB : 'Unassigned [0x7BCB]',
	0x7BCC : 'Unassigned [0x7BCC]',
	0x7BCD : 'Unassigned [0x7BCD]',
	0x7BCE : 'Unassigned [0x7BCE]',
	0x7BCF : 'Unassigned [0x7BCF]',
	0x7BD0 : 'Unassigned [0x7BD0]',
	0x7BD1 : 'Unassigned [0x7BD1]',
	0x7BD2 : 'Unassigned [0x7BD2]',
	0x7BD3 : 'Unassigned [0x7BD3]',
	0x7BD4 : 'Unassigned [0x7BD4]',
	0x7BD5 : 'Unassigned [0x7BD5]',
	0x7BD6 : 'Unassigned [0x7BD6]',
	0x7BD7 : 'Unassigned [0x7BD7]',
	0x7BD8 : 'Unassigned [0x7BD8]',
	0x7BD9 : 'Unassigned [0x7BD9]',
	0x7BDA : 'Unassigned [0x7BDA]',
	0x7BDB : 'Unassigned [0x7BDB]',
	0x7BDC : 'Unassigned [0x7BDC]',
	0x7BDD : 'Unassigned [0x7BDD]',
	0x7BDE : 'Unassigned [0x7BDE]',
	0x7BDF : 'Unassigned [0x7BDF]',
	0x7BE0 : 'Unassigned [0x7BE0]',
	0x7BE1 : 'Unassigned [0x7BE1]',
	0x7BE2 : 'Unassigned [0x7BE2]',
	0x7BE3 : 'Unassigned [0x7BE3]',
	0x7BE4 : 'Unassigned [0x7BE4]',
	0x7BE5 : 'Unassigned [0x7BE5]',
	0x7BE6 : 'Unassigned [0x7BE6]',
	0x7BE7 : 'Unassigned [0x7BE7]',
	0x7BE8 : 'Unassigned [0x7BE8]',
	0x7BE9 : 'Unassigned [0x7BE9]',
	0x7BEA : 'Unassigned [0x7BEA]',
	0x7BEB : 'Unassigned [0x7BEB]',
	0x7BEC : 'Unassigned [0x7BEC]',
	0x7BED : 'Unassigned [0x7BED]',
	0x7BEE : 'Unassigned [0x7BEE]',
	0x7BEF : 'Unassigned [0x7BEF]',
	0x7BF0 : 'Unassigned [0x7BF0]',
	0x7BF1 : 'Unassigned [0x7BF1]',
	0x7BF2 : 'Unassigned [0x7BF2]',
	0x7BF3 : 'Unassigned [0x7BF3]',
	0x7BF4 : 'Unassigned [0x7BF4]',
	0x7BF5 : 'Unassigned [0x7BF5]',
	0x7BF6 : 'Unassigned [0x7BF6]',
	0x7BF7 : 'Unassigned [0x7BF7]',
	0x7BF8 : 'Unassigned [0x7BF8]',
	0x7BF9 : 'Unassigned [0x7BF9]',
	0x7BFA : 'Unassigned [0x7BFA]',
	0x7BFB : 'Unassigned [0x7BFB]',
	0x7BFC : 'Unassigned [0x7BFC]',
	0x7BFD : 'Unassigned [0x7BFD]',
	0x7BFE : 'Unassigned [0x7BFE]',
	0x7BFF : 'Unassigned [0x7BFF]',
	0x7C00 : 'Unassigned [0x7C00]',
	0x7C01 : 'Unassigned [0x7C01]',
	0x7C02 : 'Unassigned [0x7C02]',
	0x7C03 : 'Unassigned [0x7C03]',
	0x7C04 : 'Unassigned [0x7C04]',
	0x7C05 : 'Unassigned [0x7C05]',
	0x7C06 : 'Unassigned [0x7C06]',
	0x7C07 : 'Unassigned [0x7C07]',
	0x7C08 : 'Unassigned [0x7C08]',
	0x7C09 : 'Unassigned [0x7C09]',
	0x7C0A : 'Unassigned [0x7C0A]',
	0x7C0B : 'Unassigned [0x7C0B]',
	0x7C0C : 'Unassigned [0x7C0C]',
	0x7C0D : 'Unassigned [0x7C0D]',
	0x7C0E : 'Unassigned [0x7C0E]',
	0x7C0F : 'Unassigned [0x7C0F]',
	0x7C10 : 'Unassigned [0x7C10]',
	0x7C11 : 'Unassigned [0x7C11]',
	0x7C12 : 'Unassigned [0x7C12]',
	0x7C13 : 'Unassigned [0x7C13]',
	0x7C14 : 'Unassigned [0x7C14]',
	0x7C15 : 'Unassigned [0x7C15]',
	0x7C16 : 'Unassigned [0x7C16]',
	0x7C17 : 'Unassigned [0x7C17]',
	0x7C18 : 'Unassigned [0x7C18]',
	0x7C19 : 'Unassigned [0x7C19]',
	0x7C1A : 'Unassigned [0x7C1A]',
	0x7C1B : 'Unassigned [0x7C1B]',
	0x7C1C : 'Unassigned [0x7C1C]',
	0x7C1D : 'Unassigned [0x7C1D]',
	0x7C1E : 'Unassigned [0x7C1E]',
	0x7C1F : 'Unassigned [0x7C1F]',
	0x7C20 : 'Unassigned [0x7C20]',
	0x7C21 : 'Unassigned [0x7C21]',
	0x7C22 : 'Unassigned [0x7C22]',
	0x7C23 : 'Unassigned [0x7C23]',
	0x7C24 : 'Unassigned [0x7C24]',
	0x7C25 : 'Unassigned [0x7C25]',
	0x7C26 : 'Unassigned [0x7C26]',
	0x7C27 : 'Unassigned [0x7C27]',
	0x7C28 : 'Unassigned [0x7C28]',
	0x7C29 : 'Unassigned [0x7C29]',
	0x7C2A : 'Unassigned [0x7C2A]',
	0x7C2B : 'Unassigned [0x7C2B]',
	0x7C2C : 'Unassigned [0x7C2C]',
	0x7C2D : 'Unassigned [0x7C2D]',
	0x7C2E : 'Unassigned [0x7C2E]',
	0x7C2F : 'Unassigned [0x7C2F]',
	0x7C30 : 'Unassigned [0x7C30]',
	0x7C31 : 'Unassigned [0x7C31]',
	0x7C32 : 'Unassigned [0x7C32]',
	0x7C33 : 'Unassigned [0x7C33]',
	0x7C34 : 'Unassigned [0x7C34]',
	0x7C35 : 'Unassigned [0x7C35]',
	0x7C36 : 'Unassigned [0x7C36]',
	0x7C37 : 'Unassigned [0x7C37]',
	0x7C38 : 'Unassigned [0x7C38]',
	0x7C39 : 'Unassigned [0x7C39]',
	0x7C3A : 'Unassigned [0x7C3A]',
	0x7C3B : 'Unassigned [0x7C3B]',
	0x7C3C : 'Unassigned [0x7C3C]',
	0x7C3D : 'Unassigned [0x7C3D]',
	0x7C3E : 'Unassigned [0x7C3E]',
	0x7C3F : 'Unassigned [0x7C3F]',
	0x7C40 : 'Unassigned [0x7C40]',
	0x7C41 : 'Unassigned [0x7C41]',
	0x7C42 : 'Unassigned [0x7C42]',
	0x7C43 : 'Unassigned [0x7C43]',
	0x7C44 : 'Unassigned [0x7C44]',
	0x7C45 : 'Unassigned [0x7C45]',
	0x7C46 : 'Unassigned [0x7C46]',
	0x7C47 : 'Unassigned [0x7C47]',
	0x7C48 : 'Unassigned [0x7C48]',
	0x7C49 : 'Unassigned [0x7C49]',
	0x7C4A : 'Unassigned [0x7C4A]',
	0x7C4B : 'Unassigned [0x7C4B]',
	0x7C4C : 'Unassigned [0x7C4C]',
	0x7C4D : 'Unassigned [0x7C4D]',
	0x7C4E : 'Unassigned [0x7C4E]',
	0x7C4F : 'Unassigned [0x7C4F]',
	0x7C50 : 'Unassigned [0x7C50]',
	0x7C51 : 'Unassigned [0x7C51]',
	0x7C52 : 'Unassigned [0x7C52]',
	0x7C53 : 'Unassigned [0x7C53]',
	0x7C54 : 'Unassigned [0x7C54]',
	0x7C55 : 'Unassigned [0x7C55]',
	0x7C56 : 'Unassigned [0x7C56]',
	0x7C57 : 'Unassigned [0x7C57]',
	0x7C58 : 'Unassigned [0x7C58]',
	0x7C59 : 'Unassigned [0x7C59]',
	0x7C5A : 'Unassigned [0x7C5A]',
	0x7C5B : 'Unassigned [0x7C5B]',
	0x7C5C : 'Unassigned [0x7C5C]',
	0x7C5D : 'Unassigned [0x7C5D]',
	0x7C5E : 'Unassigned [0x7C5E]',
	0x7C5F : 'Unassigned [0x7C5F]',
	0x7C60 : 'Unassigned [0x7C60]',
	0x7C61 : 'Unassigned [0x7C61]',
	0x7C62 : 'Unassigned [0x7C62]',
	0x7C63 : 'Unassigned [0x7C63]',
	0x7C64 : 'Unassigned [0x7C64]',
	0x7C65 : 'Unassigned [0x7C65]',
	0x7C66 : 'Unassigned [0x7C66]',
	0x7C67 : 'Unassigned [0x7C67]',
	0x7C68 : 'Unassigned [0x7C68]',
	0x7C69 : 'Unassigned [0x7C69]',
	0x7C6A : 'Unassigned [0x7C6A]',
	0x7C6B : 'Unassigned [0x7C6B]',
	0x7C6C : 'Unassigned [0x7C6C]',
	0x7C6D : 'Unassigned [0x7C6D]',
	0x7C6E : 'Unassigned [0x7C6E]',
	0x7C6F : 'Unassigned [0x7C6F]',
	0x7C70 : 'Unassigned [0x7C70]',
	0x7C71 : 'Unassigned [0x7C71]',
	0x7C72 : 'Unassigned [0x7C72]',
	0x7C73 : 'Unassigned [0x7C73]',
	0x7C74 : 'Unassigned [0x7C74]',
	0x7C75 : 'Unassigned [0x7C75]',
	0x7C76 : 'Unassigned [0x7C76]',
	0x7C77 : 'Unassigned [0x7C77]',
	0x7C78 : 'Unassigned [0x7C78]',
	0x7C79 : 'Unassigned [0x7C79]',
	0x7C7A : 'Unassigned [0x7C7A]',
	0x7C7B : 'Unassigned [0x7C7B]',
	0x7C7C : 'Unassigned [0x7C7C]',
	0x7C7D : 'Unassigned [0x7C7D]',
	0x7C7E : 'Unassigned [0x7C7E]',
	0x7C7F : 'Unassigned [0x7C7F]',
	0x7C80 : 'Unassigned [0x7C80]',
	0x7C81 : 'Unassigned [0x7C81]',
	0x7C82 : 'Unassigned [0x7C82]',
	0x7C83 : 'Unassigned [0x7C83]',
	0x7C84 : 'Unassigned [0x7C84]',
	0x7C85 : 'Unassigned [0x7C85]',
	0x7C86 : 'Unassigned [0x7C86]',
	0x7C87 : 'Unassigned [0x7C87]',
	0x7C88 : 'Unassigned [0x7C88]',
	0x7C89 : 'Unassigned [0x7C89]',
	0x7C8A : 'Unassigned [0x7C8A]',
	0x7C8B : 'Unassigned [0x7C8B]',
	0x7C8C : 'Unassigned [0x7C8C]',
	0x7C8D : 'Unassigned [0x7C8D]',
	0x7C8E : 'Unassigned [0x7C8E]',
	0x7C8F : 'Unassigned [0x7C8F]',
	0x7C90 : 'Unassigned [0x7C90]',
	0x7C91 : 'Unassigned [0x7C91]',
	0x7C92 : 'Unassigned [0x7C92]',
	0x7C93 : 'Unassigned [0x7C93]',
	0x7C94 : 'Unassigned [0x7C94]',
	0x7C95 : 'Unassigned [0x7C95]',
	0x7C96 : 'Unassigned [0x7C96]',
	0x7C97 : 'Unassigned [0x7C97]',
	0x7C98 : 'Unassigned [0x7C98]',
	0x7C99 : 'Unassigned [0x7C99]',
	0x7C9A : 'Unassigned [0x7C9A]',
	0x7C9B : 'Unassigned [0x7C9B]',
	0x7C9C : 'Unassigned [0x7C9C]',
	0x7C9D : 'Unassigned [0x7C9D]',
	0x7C9E : 'Unassigned [0x7C9E]',
	0x7C9F : 'Unassigned [0x7C9F]',
	0x7CA0 : 'Unassigned [0x7CA0]',
	0x7CA1 : 'Unassigned [0x7CA1]',
	0x7CA2 : 'Unassigned [0x7CA2]',
	0x7CA3 : 'Unassigned [0x7CA3]',
	0x7CA4 : 'Unassigned [0x7CA4]',
	0x7CA5 : 'Unassigned [0x7CA5]',
	0x7CA6 : 'Unassigned [0x7CA6]',
	0x7CA7 : 'Unassigned [0x7CA7]',
	0x7CA8 : 'Unassigned [0x7CA8]',
	0x7CA9 : 'Unassigned [0x7CA9]',
	0x7CAA : 'Unassigned [0x7CAA]',
	0x7CAB : 'Unassigned [0x7CAB]',
	0x7CAC : 'Unassigned [0x7CAC]',
	0x7CAD : 'Unassigned [0x7CAD]',
	0x7CAE : 'Unassigned [0x7CAE]',
	0x7CAF : 'Unassigned [0x7CAF]',
	0x7CB0 : 'Unassigned [0x7CB0]',
	0x7CB1 : 'Unassigned [0x7CB1]',
	0x7CB2 : 'Unassigned [0x7CB2]',
	0x7CB3 : 'Unassigned [0x7CB3]',
	0x7CB4 : 'Unassigned [0x7CB4]',
	0x7CB5 : 'Unassigned [0x7CB5]',
	0x7CB6 : 'Unassigned [0x7CB6]',
	0x7CB7 : 'Unassigned [0x7CB7]',
	0x7CB8 : 'Unassigned [0x7CB8]',
	0x7CB9 : 'Unassigned [0x7CB9]',
	0x7CBA : 'Unassigned [0x7CBA]',
	0x7CBB : 'Unassigned [0x7CBB]',
	0x7CBC : 'Unassigned [0x7CBC]',
	0x7CBD : 'Unassigned [0x7CBD]',
	0x7CBE : 'Unassigned [0x7CBE]',
	0x7CBF : 'Unassigned [0x7CBF]',
	0x7CC0 : 'Unassigned [0x7CC0]',
	0x7CC1 : 'Unassigned [0x7CC1]',
	0x7CC2 : 'Unassigned [0x7CC2]',
	0x7CC3 : 'Unassigned [0x7CC3]',
	0x7CC4 : 'Unassigned [0x7CC4]',
	0x7CC5 : 'Unassigned [0x7CC5]',
	0x7CC6 : 'Unassigned [0x7CC6]',
	0x7CC7 : 'Unassigned [0x7CC7]',
	0x7CC8 : 'Unassigned [0x7CC8]',
	0x7CC9 : 'Unassigned [0x7CC9]',
	0x7CCA : 'Unassigned [0x7CCA]',
	0x7CCB : 'Unassigned [0x7CCB]',
	0x7CCC : 'Unassigned [0x7CCC]',
	0x7CCD : 'Unassigned [0x7CCD]',
	0x7CCE : 'Unassigned [0x7CCE]',
	0x7CCF : 'Unassigned [0x7CCF]',
	0x7CD0 : 'Unassigned [0x7CD0]',
	0x7CD1 : 'Unassigned [0x7CD1]',
	0x7CD2 : 'Unassigned [0x7CD2]',
	0x7CD3 : 'Unassigned [0x7CD3]',
	0x7CD4 : 'Unassigned [0x7CD4]',
	0x7CD5 : 'Unassigned [0x7CD5]',
	0x7CD6 : 'Unassigned [0x7CD6]',
	0x7CD7 : 'Unassigned [0x7CD7]',
	0x7CD8 : 'Unassigned [0x7CD8]',
	0x7CD9 : 'Unassigned [0x7CD9]',
	0x7CDA : 'Unassigned [0x7CDA]',
	0x7CDB : 'Unassigned [0x7CDB]',
	0x7CDC : 'Unassigned [0x7CDC]',
	0x7CDD : 'Unassigned [0x7CDD]',
	0x7CDE : 'Unassigned [0x7CDE]',
	0x7CDF : 'Unassigned [0x7CDF]',
	0x7CE0 : 'Unassigned [0x7CE0]',
	0x7CE1 : 'Unassigned [0x7CE1]',
	0x7CE2 : 'Unassigned [0x7CE2]',
	0x7CE3 : 'Unassigned [0x7CE3]',
	0x7CE4 : 'Unassigned [0x7CE4]',
	0x7CE5 : 'Unassigned [0x7CE5]',
	0x7CE6 : 'Unassigned [0x7CE6]',
	0x7CE7 : 'Unassigned [0x7CE7]',
	0x7CE8 : 'Unassigned [0x7CE8]',
	0x7CE9 : 'Unassigned [0x7CE9]',
	0x7CEA : 'Unassigned [0x7CEA]',
	0x7CEB : 'Unassigned [0x7CEB]',
	0x7CEC : 'Unassigned [0x7CEC]',
	0x7CED : 'Unassigned [0x7CED]',
	0x7CEE : 'Unassigned [0x7CEE]',
	0x7CEF : 'Unassigned [0x7CEF]',
	0x7CF0 : 'Unassigned [0x7CF0]',
	0x7CF1 : 'Unassigned [0x7CF1]',
	0x7CF2 : 'Unassigned [0x7CF2]',
	0x7CF3 : 'Unassigned [0x7CF3]',
	0x7CF4 : 'Unassigned [0x7CF4]',
	0x7CF5 : 'Unassigned [0x7CF5]',
	0x7CF6 : 'Unassigned [0x7CF6]',
	0x7CF7 : 'Unassigned [0x7CF7]',
	0x7CF8 : 'Unassigned [0x7CF8]',
	0x7CF9 : 'Unassigned [0x7CF9]',
	0x7CFA : 'Unassigned [0x7CFA]',
	0x7CFB : 'Unassigned [0x7CFB]',
	0x7CFC : 'Unassigned [0x7CFC]',
	0x7CFD : 'Unassigned [0x7CFD]',
	0x7CFE : 'Unassigned [0x7CFE]',
	0x7CFF : 'Unassigned [0x7CFF]',
	0x7D00 : 'Unassigned [0x7D00]',
	0x7D01 : 'Unassigned [0x7D01]',
	0x7D02 : 'Unassigned [0x7D02]',
	0x7D03 : 'Unassigned [0x7D03]',
	0x7D04 : 'Unassigned [0x7D04]',
	0x7D05 : 'Unassigned [0x7D05]',
	0x7D06 : 'Unassigned [0x7D06]',
	0x7D07 : 'Unassigned [0x7D07]',
	0x7D08 : 'Unassigned [0x7D08]',
	0x7D09 : 'Unassigned [0x7D09]',
	0x7D0A : 'Unassigned [0x7D0A]',
	0x7D0B : 'Unassigned [0x7D0B]',
	0x7D0C : 'Unassigned [0x7D0C]',
	0x7D0D : 'Unassigned [0x7D0D]',
	0x7D0E : 'Unassigned [0x7D0E]',
	0x7D0F : 'Unassigned [0x7D0F]',
	0x7D10 : 'Unassigned [0x7D10]',
	0x7D11 : 'Unassigned [0x7D11]',
	0x7D12 : 'Unassigned [0x7D12]',
	0x7D13 : 'Unassigned [0x7D13]',
	0x7D14 : 'Unassigned [0x7D14]',
	0x7D15 : 'Unassigned [0x7D15]',
	0x7D16 : 'Unassigned [0x7D16]',
	0x7D17 : 'Unassigned [0x7D17]',
	0x7D18 : 'Unassigned [0x7D18]',
	0x7D19 : 'Unassigned [0x7D19]',
	0x7D1A : 'Unassigned [0x7D1A]',
	0x7D1B : 'Unassigned [0x7D1B]',
	0x7D1C : 'Unassigned [0x7D1C]',
	0x7D1D : 'Unassigned [0x7D1D]',
	0x7D1E : 'Unassigned [0x7D1E]',
	0x7D1F : 'Unassigned [0x7D1F]',
	0x7D20 : 'Unassigned [0x7D20]',
	0x7D21 : 'Unassigned [0x7D21]',
	0x7D22 : 'Unassigned [0x7D22]',
	0x7D23 : 'Unassigned [0x7D23]',
	0x7D24 : 'Unassigned [0x7D24]',
	0x7D25 : 'Unassigned [0x7D25]',
	0x7D26 : 'Unassigned [0x7D26]',
	0x7D27 : 'Unassigned [0x7D27]',
	0x7D28 : 'Unassigned [0x7D28]',
	0x7D29 : 'Unassigned [0x7D29]',
	0x7D2A : 'Unassigned [0x7D2A]',
	0x7D2B : 'Unassigned [0x7D2B]',
	0x7D2C : 'Unassigned [0x7D2C]',
	0x7D2D : 'Unassigned [0x7D2D]',
	0x7D2E : 'Unassigned [0x7D2E]',
	0x7D2F : 'Unassigned [0x7D2F]',
	0x7D30 : 'Unassigned [0x7D30]',
	0x7D31 : 'Unassigned [0x7D31]',
	0x7D32 : 'Unassigned [0x7D32]',
	0x7D33 : 'Unassigned [0x7D33]',
	0x7D34 : 'Unassigned [0x7D34]',
	0x7D35 : 'Unassigned [0x7D35]',
	0x7D36 : 'Unassigned [0x7D36]',
	0x7D37 : 'Unassigned [0x7D37]',
	0x7D38 : 'Unassigned [0x7D38]',
	0x7D39 : 'Unassigned [0x7D39]',
	0x7D3A : 'Unassigned [0x7D3A]',
	0x7D3B : 'Unassigned [0x7D3B]',
	0x7D3C : 'Unassigned [0x7D3C]',
	0x7D3D : 'Unassigned [0x7D3D]',
	0x7D3E : 'Unassigned [0x7D3E]',
	0x7D3F : 'Unassigned [0x7D3F]',
	0x7D40 : 'Unassigned [0x7D40]',
	0x7D41 : 'Unassigned [0x7D41]',
	0x7D42 : 'Unassigned [0x7D42]',
	0x7D43 : 'Unassigned [0x7D43]',
	0x7D44 : 'Unassigned [0x7D44]',
	0x7D45 : 'Unassigned [0x7D45]',
	0x7D46 : 'Unassigned [0x7D46]',
	0x7D47 : 'Unassigned [0x7D47]',
	0x7D48 : 'Unassigned [0x7D48]',
	0x7D49 : 'Unassigned [0x7D49]',
	0x7D4A : 'Unassigned [0x7D4A]',
	0x7D4B : 'Unassigned [0x7D4B]',
	0x7D4C : 'Unassigned [0x7D4C]',
	0x7D4D : 'Unassigned [0x7D4D]',
	0x7D4E : 'Unassigned [0x7D4E]',
	0x7D4F : 'Unassigned [0x7D4F]',
	0x7D50 : 'Unassigned [0x7D50]',
	0x7D51 : 'Unassigned [0x7D51]',
	0x7D52 : 'Unassigned [0x7D52]',
	0x7D53 : 'Unassigned [0x7D53]',
	0x7D54 : 'Unassigned [0x7D54]',
	0x7D55 : 'Unassigned [0x7D55]',
	0x7D56 : 'Unassigned [0x7D56]',
	0x7D57 : 'Unassigned [0x7D57]',
	0x7D58 : 'Unassigned [0x7D58]',
	0x7D59 : 'Unassigned [0x7D59]',
	0x7D5A : 'Unassigned [0x7D5A]',
	0x7D5B : 'Unassigned [0x7D5B]',
	0x7D5C : 'Unassigned [0x7D5C]',
	0x7D5D : 'Unassigned [0x7D5D]',
	0x7D5E : 'Unassigned [0x7D5E]',
	0x7D5F : 'Unassigned [0x7D5F]',
	0x7D60 : 'Unassigned [0x7D60]',
	0x7D61 : 'Unassigned [0x7D61]',
	0x7D62 : 'Unassigned [0x7D62]',
	0x7D63 : 'Unassigned [0x7D63]',
	0x7D64 : 'Unassigned [0x7D64]',
	0x7D65 : 'Unassigned [0x7D65]',
	0x7D66 : 'Unassigned [0x7D66]',
	0x7D67 : 'Unassigned [0x7D67]',
	0x7D68 : 'Unassigned [0x7D68]',
	0x7D69 : 'Unassigned [0x7D69]',
	0x7D6A : 'Unassigned [0x7D6A]',
	0x7D6B : 'Unassigned [0x7D6B]',
	0x7D6C : 'Unassigned [0x7D6C]',
	0x7D6D : 'Unassigned [0x7D6D]',
	0x7D6E : 'Unassigned [0x7D6E]',
	0x7D6F : 'Unassigned [0x7D6F]',
	0x7D70 : 'Unassigned [0x7D70]',
	0x7D71 : 'Unassigned [0x7D71]',
	0x7D72 : 'Unassigned [0x7D72]',
	0x7D73 : 'Unassigned [0x7D73]',
	0x7D74 : 'Unassigned [0x7D74]',
	0x7D75 : 'Unassigned [0x7D75]',
	0x7D76 : 'Unassigned [0x7D76]',
	0x7D77 : 'Unassigned [0x7D77]',
	0x7D78 : 'Unassigned [0x7D78]',
	0x7D79 : 'Unassigned [0x7D79]',
	0x7D7A : 'Unassigned [0x7D7A]',
	0x7D7B : 'Unassigned [0x7D7B]',
	0x7D7C : 'Unassigned [0x7D7C]',
	0x7D7D : 'Unassigned [0x7D7D]',
	0x7D7E : 'Unassigned [0x7D7E]',
	0x7D7F : 'Unassigned [0x7D7F]',
	0x7D80 : 'Unassigned [0x7D80]',
	0x7D81 : 'Unassigned [0x7D81]',
	0x7D82 : 'Unassigned [0x7D82]',
	0x7D83 : 'Unassigned [0x7D83]',
	0x7D84 : 'Unassigned [0x7D84]',
	0x7D85 : 'Unassigned [0x7D85]',
	0x7D86 : 'Unassigned [0x7D86]',
	0x7D87 : 'Unassigned [0x7D87]',
	0x7D88 : 'Unassigned [0x7D88]',
	0x7D89 : 'Unassigned [0x7D89]',
	0x7D8A : 'Unassigned [0x7D8A]',
	0x7D8B : 'Unassigned [0x7D8B]',
	0x7D8C : 'Unassigned [0x7D8C]',
	0x7D8D : 'Unassigned [0x7D8D]',
	0x7D8E : 'Unassigned [0x7D8E]',
	0x7D8F : 'Unassigned [0x7D8F]',
	0x7D90 : 'Unassigned [0x7D90]',
	0x7D91 : 'Unassigned [0x7D91]',
	0x7D92 : 'Unassigned [0x7D92]',
	0x7D93 : 'Unassigned [0x7D93]',
	0x7D94 : 'Unassigned [0x7D94]',
	0x7D95 : 'Unassigned [0x7D95]',
	0x7D96 : 'Unassigned [0x7D96]',
	0x7D97 : 'Unassigned [0x7D97]',
	0x7D98 : 'Unassigned [0x7D98]',
	0x7D99 : 'Unassigned [0x7D99]',
	0x7D9A : 'Unassigned [0x7D9A]',
	0x7D9B : 'Unassigned [0x7D9B]',
	0x7D9C : 'Unassigned [0x7D9C]',
	0x7D9D : 'Unassigned [0x7D9D]',
	0x7D9E : 'Unassigned [0x7D9E]',
	0x7D9F : 'Unassigned [0x7D9F]',
	0x7DA0 : 'Unassigned [0x7DA0]',
	0x7DA1 : 'Unassigned [0x7DA1]',
	0x7DA2 : 'Unassigned [0x7DA2]',
	0x7DA3 : 'Unassigned [0x7DA3]',
	0x7DA4 : 'Unassigned [0x7DA4]',
	0x7DA5 : 'Unassigned [0x7DA5]',
	0x7DA6 : 'Unassigned [0x7DA6]',
	0x7DA7 : 'Unassigned [0x7DA7]',
	0x7DA8 : 'Unassigned [0x7DA8]',
	0x7DA9 : 'Unassigned [0x7DA9]',
	0x7DAA : 'Unassigned [0x7DAA]',
	0x7DAB : 'Unassigned [0x7DAB]',
	0x7DAC : 'Unassigned [0x7DAC]',
	0x7DAD : 'Unassigned [0x7DAD]',
	0x7DAE : 'Unassigned [0x7DAE]',
	0x7DAF : 'Unassigned [0x7DAF]',
	0x7DB0 : 'Unassigned [0x7DB0]',
	0x7DB1 : 'Unassigned [0x7DB1]',
	0x7DB2 : 'Unassigned [0x7DB2]',
	0x7DB3 : 'Unassigned [0x7DB3]',
	0x7DB4 : 'Unassigned [0x7DB4]',
	0x7DB5 : 'Unassigned [0x7DB5]',
	0x7DB6 : 'Unassigned [0x7DB6]',
	0x7DB7 : 'Unassigned [0x7DB7]',
	0x7DB8 : 'Unassigned [0x7DB8]',
	0x7DB9 : 'Unassigned [0x7DB9]',
	0x7DBA : 'Unassigned [0x7DBA]',
	0x7DBB : 'Unassigned [0x7DBB]',
	0x7DBC : 'Unassigned [0x7DBC]',
	0x7DBD : 'Unassigned [0x7DBD]',
	0x7DBE : 'Unassigned [0x7DBE]',
	0x7DBF : 'Unassigned [0x7DBF]',
	0x7DC0 : 'Unassigned [0x7DC0]',
	0x7DC1 : 'Unassigned [0x7DC1]',
	0x7DC2 : 'Unassigned [0x7DC2]',
	0x7DC3 : 'Unassigned [0x7DC3]',
	0x7DC4 : 'Unassigned [0x7DC4]',
	0x7DC5 : 'Unassigned [0x7DC5]',
	0x7DC6 : 'Unassigned [0x7DC6]',
	0x7DC7 : 'Unassigned [0x7DC7]',
	0x7DC8 : 'Unassigned [0x7DC8]',
	0x7DC9 : 'Unassigned [0x7DC9]',
	0x7DCA : 'Unassigned [0x7DCA]',
	0x7DCB : 'Unassigned [0x7DCB]',
	0x7DCC : 'Unassigned [0x7DCC]',
	0x7DCD : 'Unassigned [0x7DCD]',
	0x7DCE : 'Unassigned [0x7DCE]',
	0x7DCF : 'Unassigned [0x7DCF]',
	0x7DD0 : 'Unassigned [0x7DD0]',
	0x7DD1 : 'Unassigned [0x7DD1]',
	0x7DD2 : 'Unassigned [0x7DD2]',
	0x7DD3 : 'Unassigned [0x7DD3]',
	0x7DD4 : 'Unassigned [0x7DD4]',
	0x7DD5 : 'Unassigned [0x7DD5]',
	0x7DD6 : 'Unassigned [0x7DD6]',
	0x7DD7 : 'Unassigned [0x7DD7]',
	0x7DD8 : 'Unassigned [0x7DD8]',
	0x7DD9 : 'Unassigned [0x7DD9]',
	0x7DDA : 'Unassigned [0x7DDA]',
	0x7DDB : 'Unassigned [0x7DDB]',
	0x7DDC : 'Unassigned [0x7DDC]',
	0x7DDD : 'Unassigned [0x7DDD]',
	0x7DDE : 'Unassigned [0x7DDE]',
	0x7DDF : 'Unassigned [0x7DDF]',
	0x7DE0 : 'Unassigned [0x7DE0]',
	0x7DE1 : 'Unassigned [0x7DE1]',
	0x7DE2 : 'Unassigned [0x7DE2]',
	0x7DE3 : 'Unassigned [0x7DE3]',
	0x7DE4 : 'Unassigned [0x7DE4]',
	0x7DE5 : 'Unassigned [0x7DE5]',
	0x7DE6 : 'Unassigned [0x7DE6]',
	0x7DE7 : 'Unassigned [0x7DE7]',
	0x7DE8 : 'Unassigned [0x7DE8]',
	0x7DE9 : 'Unassigned [0x7DE9]',
	0x7DEA : 'Unassigned [0x7DEA]',
	0x7DEB : 'Unassigned [0x7DEB]',
	0x7DEC : 'Unassigned [0x7DEC]',
	0x7DED : 'Unassigned [0x7DED]',
	0x7DEE : 'Unassigned [0x7DEE]',
	0x7DEF : 'Unassigned [0x7DEF]',
	0x7DF0 : 'Unassigned [0x7DF0]',
	0x7DF1 : 'Unassigned [0x7DF1]',
	0x7DF2 : 'Unassigned [0x7DF2]',
	0x7DF3 : 'Unassigned [0x7DF3]',
	0x7DF4 : 'Unassigned [0x7DF4]',
	0x7DF5 : 'Unassigned [0x7DF5]',
	0x7DF6 : 'Unassigned [0x7DF6]',
	0x7DF7 : 'Unassigned [0x7DF7]',
	0x7DF8 : 'Unassigned [0x7DF8]',
	0x7DF9 : 'Unassigned [0x7DF9]',
	0x7DFA : 'Unassigned [0x7DFA]',
	0x7DFB : 'Unassigned [0x7DFB]',
	0x7DFC : 'Unassigned [0x7DFC]',
	0x7DFD : 'Unassigned [0x7DFD]',
	0x7DFE : 'Unassigned [0x7DFE]',
	0x7DFF : 'Unassigned [0x7DFF]',
	0x7E00 : 'Unassigned [0x7E00]',
	0x7E01 : 'Unassigned [0x7E01]',
	0x7E02 : 'Unassigned [0x7E02]',
	0x7E03 : 'Unassigned [0x7E03]',
	0x7E04 : 'Unassigned [0x7E04]',
	0x7E05 : 'Unassigned [0x7E05]',
	0x7E06 : 'Unassigned [0x7E06]',
	0x7E07 : 'Unassigned [0x7E07]',
	0x7E08 : 'Unassigned [0x7E08]',
	0x7E09 : 'Unassigned [0x7E09]',
	0x7E0A : 'Unassigned [0x7E0A]',
	0x7E0B : 'Unassigned [0x7E0B]',
	0x7E0C : 'Unassigned [0x7E0C]',
	0x7E0D : 'Unassigned [0x7E0D]',
	0x7E0E : 'Unassigned [0x7E0E]',
	0x7E0F : 'Unassigned [0x7E0F]',
	0x7E10 : 'Unassigned [0x7E10]',
	0x7E11 : 'Unassigned [0x7E11]',
	0x7E12 : 'Unassigned [0x7E12]',
	0x7E13 : 'Unassigned [0x7E13]',
	0x7E14 : 'Unassigned [0x7E14]',
	0x7E15 : 'Unassigned [0x7E15]',
	0x7E16 : 'Unassigned [0x7E16]',
	0x7E17 : 'Unassigned [0x7E17]',
	0x7E18 : 'Unassigned [0x7E18]',
	0x7E19 : 'Unassigned [0x7E19]',
	0x7E1A : 'Unassigned [0x7E1A]',
	0x7E1B : 'Unassigned [0x7E1B]',
	0x7E1C : 'Unassigned [0x7E1C]',
	0x7E1D : 'Unassigned [0x7E1D]',
	0x7E1E : 'Unassigned [0x7E1E]',
	0x7E1F : 'Unassigned [0x7E1F]',
	0x7E20 : 'Unassigned [0x7E20]',
	0x7E21 : 'Unassigned [0x7E21]',
	0x7E22 : 'Unassigned [0x7E22]',
	0x7E23 : 'Unassigned [0x7E23]',
	0x7E24 : 'Unassigned [0x7E24]',
	0x7E25 : 'Unassigned [0x7E25]',
	0x7E26 : 'Unassigned [0x7E26]',
	0x7E27 : 'Unassigned [0x7E27]',
	0x7E28 : 'Unassigned [0x7E28]',
	0x7E29 : 'Unassigned [0x7E29]',
	0x7E2A : 'Unassigned [0x7E2A]',
	0x7E2B : 'Unassigned [0x7E2B]',
	0x7E2C : 'Unassigned [0x7E2C]',
	0x7E2D : 'Unassigned [0x7E2D]',
	0x7E2E : 'Unassigned [0x7E2E]',
	0x7E2F : 'Unassigned [0x7E2F]',
	0x7E30 : 'Unassigned [0x7E30]',
	0x7E31 : 'Unassigned [0x7E31]',
	0x7E32 : 'Unassigned [0x7E32]',
	0x7E33 : 'Unassigned [0x7E33]',
	0x7E34 : 'Unassigned [0x7E34]',
	0x7E35 : 'Unassigned [0x7E35]',
	0x7E36 : 'Unassigned [0x7E36]',
	0x7E37 : 'Unassigned [0x7E37]',
	0x7E38 : 'Unassigned [0x7E38]',
	0x7E39 : 'Unassigned [0x7E39]',
	0x7E3A : 'Unassigned [0x7E3A]',
	0x7E3B : 'Unassigned [0x7E3B]',
	0x7E3C : 'Unassigned [0x7E3C]',
	0x7E3D : 'Unassigned [0x7E3D]',
	0x7E3E : 'Unassigned [0x7E3E]',
	0x7E3F : 'Unassigned [0x7E3F]',
	0x7E40 : 'Unassigned [0x7E40]',
	0x7E41 : 'Unassigned [0x7E41]',
	0x7E42 : 'Unassigned [0x7E42]',
	0x7E43 : 'Unassigned [0x7E43]',
	0x7E44 : 'Unassigned [0x7E44]',
	0x7E45 : 'Unassigned [0x7E45]',
	0x7E46 : 'Unassigned [0x7E46]',
	0x7E47 : 'Unassigned [0x7E47]',
	0x7E48 : 'Unassigned [0x7E48]',
	0x7E49 : 'Unassigned [0x7E49]',
	0x7E4A : 'Unassigned [0x7E4A]',
	0x7E4B : 'Unassigned [0x7E4B]',
	0x7E4C : 'Unassigned [0x7E4C]',
	0x7E4D : 'Unassigned [0x7E4D]',
	0x7E4E : 'Unassigned [0x7E4E]',
	0x7E4F : 'Unassigned [0x7E4F]',
	0x7E50 : 'Unassigned [0x7E50]',
	0x7E51 : 'Unassigned [0x7E51]',
	0x7E52 : 'Unassigned [0x7E52]',
	0x7E53 : 'Unassigned [0x7E53]',
	0x7E54 : 'Unassigned [0x7E54]',
	0x7E55 : 'Unassigned [0x7E55]',
	0x7E56 : 'Unassigned [0x7E56]',
	0x7E57 : 'Unassigned [0x7E57]',
	0x7E58 : 'Unassigned [0x7E58]',
	0x7E59 : 'Unassigned [0x7E59]',
	0x7E5A : 'Unassigned [0x7E5A]',
	0x7E5B : 'Unassigned [0x7E5B]',
	0x7E5C : 'Unassigned [0x7E5C]',
	0x7E5D : 'Unassigned [0x7E5D]',
	0x7E5E : 'Unassigned [0x7E5E]',
	0x7E5F : 'Unassigned [0x7E5F]',
	0x7E60 : 'Unassigned [0x7E60]',
	0x7E61 : 'Unassigned [0x7E61]',
	0x7E62 : 'Unassigned [0x7E62]',
	0x7E63 : 'Unassigned [0x7E63]',
	0x7E64 : 'Unassigned [0x7E64]',
	0x7E65 : 'Unassigned [0x7E65]',
	0x7E66 : 'Unassigned [0x7E66]',
	0x7E67 : 'Unassigned [0x7E67]',
	0x7E68 : 'Unassigned [0x7E68]',
	0x7E69 : 'Unassigned [0x7E69]',
	0x7E6A : 'Unassigned [0x7E6A]',
	0x7E6B : 'Unassigned [0x7E6B]',
	0x7E6C : 'Unassigned [0x7E6C]',
	0x7E6D : 'Unassigned [0x7E6D]',
	0x7E6E : 'Unassigned [0x7E6E]',
	0x7E6F : 'Unassigned [0x7E6F]',
	0x7E70 : 'Unassigned [0x7E70]',
	0x7E71 : 'Unassigned [0x7E71]',
	0x7E72 : 'Unassigned [0x7E72]',
	0x7E73 : 'Unassigned [0x7E73]',
	0x7E74 : 'Unassigned [0x7E74]',
	0x7E75 : 'Unassigned [0x7E75]',
	0x7E76 : 'Unassigned [0x7E76]',
	0x7E77 : 'Unassigned [0x7E77]',
	0x7E78 : 'Unassigned [0x7E78]',
	0x7E79 : 'Unassigned [0x7E79]',
	0x7E7A : 'Unassigned [0x7E7A]',
	0x7E7B : 'Unassigned [0x7E7B]',
	0x7E7C : 'Unassigned [0x7E7C]',
	0x7E7D : 'Unassigned [0x7E7D]',
	0x7E7E : 'Unassigned [0x7E7E]',
	0x7E7F : 'Unassigned [0x7E7F]',
	0x7E80 : 'Unassigned [0x7E80]',
	0x7E81 : 'Unassigned [0x7E81]',
	0x7E82 : 'Unassigned [0x7E82]',
	0x7E83 : 'Unassigned [0x7E83]',
	0x7E84 : 'Unassigned [0x7E84]',
	0x7E85 : 'Unassigned [0x7E85]',
	0x7E86 : 'Unassigned [0x7E86]',
	0x7E87 : 'Unassigned [0x7E87]',
	0x7E88 : 'Unassigned [0x7E88]',
	0x7E89 : 'Unassigned [0x7E89]',
	0x7E8A : 'Unassigned [0x7E8A]',
	0x7E8B : 'Unassigned [0x7E8B]',
	0x7E8C : 'Unassigned [0x7E8C]',
	0x7E8D : 'Unassigned [0x7E8D]',
	0x7E8E : 'Unassigned [0x7E8E]',
	0x7E8F : 'Unassigned [0x7E8F]',
	0x7E90 : 'Unassigned [0x7E90]',
	0x7E91 : 'Unassigned [0x7E91]',
	0x7E92 : 'Unassigned [0x7E92]',
	0x7E93 : 'Unassigned [0x7E93]',
	0x7E94 : 'Unassigned [0x7E94]',
	0x7E95 : 'Unassigned [0x7E95]',
	0x7E96 : 'Unassigned [0x7E96]',
	0x7E97 : 'Unassigned [0x7E97]',
	0x7E98 : 'Unassigned [0x7E98]',
	0x7E99 : 'Unassigned [0x7E99]',
	0x7E9A : 'Unassigned [0x7E9A]',
	0x7E9B : 'Unassigned [0x7E9B]',
	0x7E9C : 'Unassigned [0x7E9C]',
	0x7E9D : 'Unassigned [0x7E9D]',
	0x7E9E : 'Unassigned [0x7E9E]',
	0x7E9F : 'Unassigned [0x7E9F]',
	0x7EA0 : 'Unassigned [0x7EA0]',
	0x7EA1 : 'Unassigned [0x7EA1]',
	0x7EA2 : 'Unassigned [0x7EA2]',
	0x7EA3 : 'Unassigned [0x7EA3]',
	0x7EA4 : 'Unassigned [0x7EA4]',
	0x7EA5 : 'Unassigned [0x7EA5]',
	0x7EA6 : 'Unassigned [0x7EA6]',
	0x7EA7 : 'Unassigned [0x7EA7]',
	0x7EA8 : 'Unassigned [0x7EA8]',
	0x7EA9 : 'Unassigned [0x7EA9]',
	0x7EAA : 'Unassigned [0x7EAA]',
	0x7EAB : 'Unassigned [0x7EAB]',
	0x7EAC : 'Unassigned [0x7EAC]',
	0x7EAD : 'Unassigned [0x7EAD]',
	0x7EAE : 'Unassigned [0x7EAE]',
	0x7EAF : 'Unassigned [0x7EAF]',
	0x7EB0 : 'Unassigned [0x7EB0]',
	0x7EB1 : 'Unassigned [0x7EB1]',
	0x7EB2 : 'Unassigned [0x7EB2]',
	0x7EB3 : 'Unassigned [0x7EB3]',
	0x7EB4 : 'Unassigned [0x7EB4]',
	0x7EB5 : 'Unassigned [0x7EB5]',
	0x7EB6 : 'Unassigned [0x7EB6]',
	0x7EB7 : 'Unassigned [0x7EB7]',
	0x7EB8 : 'Unassigned [0x7EB8]',
	0x7EB9 : 'Unassigned [0x7EB9]',
	0x7EBA : 'Unassigned [0x7EBA]',
	0x7EBB : 'Unassigned [0x7EBB]',
	0x7EBC : 'Unassigned [0x7EBC]',
	0x7EBD : 'Unassigned [0x7EBD]',
	0x7EBE : 'Unassigned [0x7EBE]',
	0x7EBF : 'Unassigned [0x7EBF]',
	0x7EC0 : 'Unassigned [0x7EC0]',
	0x7EC1 : 'Unassigned [0x7EC1]',
	0x7EC2 : 'Unassigned [0x7EC2]',
	0x7EC3 : 'Unassigned [0x7EC3]',
	0x7EC4 : 'Unassigned [0x7EC4]',
	0x7EC5 : 'Unassigned [0x7EC5]',
	0x7EC6 : 'Unassigned [0x7EC6]',
	0x7EC7 : 'Unassigned [0x7EC7]',
	0x7EC8 : 'Unassigned [0x7EC8]',
	0x7EC9 : 'Unassigned [0x7EC9]',
	0x7ECA : 'Unassigned [0x7ECA]',
	0x7ECB : 'Unassigned [0x7ECB]',
	0x7ECC : 'Unassigned [0x7ECC]',
	0x7ECD : 'Unassigned [0x7ECD]',
	0x7ECE : 'Unassigned [0x7ECE]',
	0x7ECF : 'Unassigned [0x7ECF]',
	0x7ED0 : 'Unassigned [0x7ED0]',
	0x7ED1 : 'Unassigned [0x7ED1]',
	0x7ED2 : 'Unassigned [0x7ED2]',
	0x7ED3 : 'Unassigned [0x7ED3]',
	0x7ED4 : 'Unassigned [0x7ED4]',
	0x7ED5 : 'Unassigned [0x7ED5]',
	0x7ED6 : 'Unassigned [0x7ED6]',
	0x7ED7 : 'Unassigned [0x7ED7]',
	0x7ED8 : 'Unassigned [0x7ED8]',
	0x7ED9 : 'Unassigned [0x7ED9]',
	0x7EDA : 'Unassigned [0x7EDA]',
	0x7EDB : 'Unassigned [0x7EDB]',
	0x7EDC : 'Unassigned [0x7EDC]',
	0x7EDD : 'Unassigned [0x7EDD]',
	0x7EDE : 'Unassigned [0x7EDE]',
	0x7EDF : 'Unassigned [0x7EDF]',
	0x7EE0 : 'Unassigned [0x7EE0]',
	0x7EE1 : 'Unassigned [0x7EE1]',
	0x7EE2 : 'Unassigned [0x7EE2]',
	0x7EE3 : 'Unassigned [0x7EE3]',
	0x7EE4 : 'Unassigned [0x7EE4]',
	0x7EE5 : 'Unassigned [0x7EE5]',
	0x7EE6 : 'Unassigned [0x7EE6]',
	0x7EE7 : 'Unassigned [0x7EE7]',
	0x7EE8 : 'Unassigned [0x7EE8]',
	0x7EE9 : 'Unassigned [0x7EE9]',
	0x7EEA : 'Unassigned [0x7EEA]',
	0x7EEB : 'Unassigned [0x7EEB]',
	0x7EEC : 'Unassigned [0x7EEC]',
	0x7EED : 'Unassigned [0x7EED]',
	0x7EEE : 'Unassigned [0x7EEE]',
	0x7EEF : 'Unassigned [0x7EEF]',
	0x7EF0 : 'Unassigned [0x7EF0]',
	0x7EF1 : 'Unassigned [0x7EF1]',
	0x7EF2 : 'Unassigned [0x7EF2]',
	0x7EF3 : 'Unassigned [0x7EF3]',
	0x7EF4 : 'Unassigned [0x7EF4]',
	0x7EF5 : 'Unassigned [0x7EF5]',
	0x7EF6 : 'Unassigned [0x7EF6]',
	0x7EF7 : 'Unassigned [0x7EF7]',
	0x7EF8 : 'Unassigned [0x7EF8]',
	0x7EF9 : 'Unassigned [0x7EF9]',
	0x7EFA : 'Unassigned [0x7EFA]',
	0x7EFB : 'Unassigned [0x7EFB]',
	0x7EFC : 'Unassigned [0x7EFC]',
	0x7EFD : 'Unassigned [0x7EFD]',
	0x7EFE : 'Unassigned [0x7EFE]',
	0x7EFF : 'Unassigned [0x7EFF]',
	0x7F00 : 'Unassigned [0x7F00]',
	0x7F01 : 'Unassigned [0x7F01]',
	0x7F02 : 'Unassigned [0x7F02]',
	0x7F03 : 'Unassigned [0x7F03]',
	0x7F04 : 'Unassigned [0x7F04]',
	0x7F05 : 'Unassigned [0x7F05]',
	0x7F06 : 'Unassigned [0x7F06]',
	0x7F07 : 'Unassigned [0x7F07]',
	0x7F08 : 'Unassigned [0x7F08]',
	0x7F09 : 'Unassigned [0x7F09]',
	0x7F0A : 'Unassigned [0x7F0A]',
	0x7F0B : 'Unassigned [0x7F0B]',
	0x7F0C : 'Unassigned [0x7F0C]',
	0x7F0D : 'Unassigned [0x7F0D]',
	0x7F0E : 'Unassigned [0x7F0E]',
	0x7F0F : 'Unassigned [0x7F0F]',
	0x7F10 : 'Unassigned [0x7F10]',
	0x7F11 : 'Unassigned [0x7F11]',
	0x7F12 : 'Unassigned [0x7F12]',
	0x7F13 : 'Unassigned [0x7F13]',
	0x7F14 : 'Unassigned [0x7F14]',
	0x7F15 : 'Unassigned [0x7F15]',
	0x7F16 : 'Unassigned [0x7F16]',
	0x7F17 : 'Unassigned [0x7F17]',
	0x7F18 : 'Unassigned [0x7F18]',
	0x7F19 : 'Unassigned [0x7F19]',
	0x7F1A : 'Unassigned [0x7F1A]',
	0x7F1B : 'Unassigned [0x7F1B]',
	0x7F1C : 'Unassigned [0x7F1C]',
	0x7F1D : 'Unassigned [0x7F1D]',
	0x7F1E : 'Unassigned [0x7F1E]',
	0x7F1F : 'Unassigned [0x7F1F]',
	0x7F20 : 'Unassigned [0x7F20]',
	0x7F21 : 'Unassigned [0x7F21]',
	0x7F22 : 'Unassigned [0x7F22]',
	0x7F23 : 'Unassigned [0x7F23]',
	0x7F24 : 'Unassigned [0x7F24]',
	0x7F25 : 'Unassigned [0x7F25]',
	0x7F26 : 'Unassigned [0x7F26]',
	0x7F27 : 'Unassigned [0x7F27]',
	0x7F28 : 'Unassigned [0x7F28]',
	0x7F29 : 'Unassigned [0x7F29]',
	0x7F2A : 'Unassigned [0x7F2A]',
	0x7F2B : 'Unassigned [0x7F2B]',
	0x7F2C : 'Unassigned [0x7F2C]',
	0x7F2D : 'Unassigned [0x7F2D]',
	0x7F2E : 'Unassigned [0x7F2E]',
	0x7F2F : 'Unassigned [0x7F2F]',
	0x7F30 : 'Unassigned [0x7F30]',
	0x7F31 : 'Unassigned [0x7F31]',
	0x7F32 : 'Unassigned [0x7F32]',
	0x7F33 : 'Unassigned [0x7F33]',
	0x7F34 : 'Unassigned [0x7F34]',
	0x7F35 : 'Unassigned [0x7F35]',
	0x7F36 : 'Unassigned [0x7F36]',
	0x7F37 : 'Unassigned [0x7F37]',
	0x7F38 : 'Unassigned [0x7F38]',
	0x7F39 : 'Unassigned [0x7F39]',
	0x7F3A : 'Unassigned [0x7F3A]',
	0x7F3B : 'Unassigned [0x7F3B]',
	0x7F3C : 'Unassigned [0x7F3C]',
	0x7F3D : 'Unassigned [0x7F3D]',
	0x7F3E : 'Unassigned [0x7F3E]',
	0x7F3F : 'Unassigned [0x7F3F]',
	0x7F40 : 'Unassigned [0x7F40]',
	0x7F41 : 'Unassigned [0x7F41]',
	0x7F42 : 'Unassigned [0x7F42]',
	0x7F43 : 'Unassigned [0x7F43]',
	0x7F44 : 'Unassigned [0x7F44]',
	0x7F45 : 'Unassigned [0x7F45]',
	0x7F46 : 'Unassigned [0x7F46]',
	0x7F47 : 'Unassigned [0x7F47]',
	0x7F48 : 'Unassigned [0x7F48]',
	0x7F49 : 'Unassigned [0x7F49]',
	0x7F4A : 'Unassigned [0x7F4A]',
	0x7F4B : 'Unassigned [0x7F4B]',
	0x7F4C : 'Unassigned [0x7F4C]',
	0x7F4D : 'Unassigned [0x7F4D]',
	0x7F4E : 'Unassigned [0x7F4E]',
	0x7F4F : 'Unassigned [0x7F4F]',
	0x7F50 : 'Unassigned [0x7F50]',
	0x7F51 : 'Unassigned [0x7F51]',
	0x7F52 : 'Unassigned [0x7F52]',
	0x7F53 : 'Unassigned [0x7F53]',
	0x7F54 : 'Unassigned [0x7F54]',
	0x7F55 : 'Unassigned [0x7F55]',
	0x7F56 : 'Unassigned [0x7F56]',
	0x7F57 : 'Unassigned [0x7F57]',
	0x7F58 : 'Unassigned [0x7F58]',
	0x7F59 : 'Unassigned [0x7F59]',
	0x7F5A : 'Unassigned [0x7F5A]',
	0x7F5B : 'Unassigned [0x7F5B]',
	0x7F5C : 'Unassigned [0x7F5C]',
	0x7F5D : 'Unassigned [0x7F5D]',
	0x7F5E : 'Unassigned [0x7F5E]',
	0x7F5F : 'Unassigned [0x7F5F]',
	0x7F60 : 'Unassigned [0x7F60]',
	0x7F61 : 'Unassigned [0x7F61]',
	0x7F62 : 'Unassigned [0x7F62]',
	0x7F63 : 'Unassigned [0x7F63]',
	0x7F64 : 'Unassigned [0x7F64]',
	0x7F65 : 'Unassigned [0x7F65]',
	0x7F66 : 'Unassigned [0x7F66]',
	0x7F67 : 'Unassigned [0x7F67]',
	0x7F68 : 'Unassigned [0x7F68]',
	0x7F69 : 'Unassigned [0x7F69]',
	0x7F6A : 'Unassigned [0x7F6A]',
	0x7F6B : 'Unassigned [0x7F6B]',
	0x7F6C : 'Unassigned [0x7F6C]',
	0x7F6D : 'Unassigned [0x7F6D]',
	0x7F6E : 'Unassigned [0x7F6E]',
	0x7F6F : 'Unassigned [0x7F6F]',
	0x7F70 : 'Unassigned [0x7F70]',
	0x7F71 : 'Unassigned [0x7F71]',
	0x7F72 : 'Unassigned [0x7F72]',
	0x7F73 : 'Unassigned [0x7F73]',
	0x7F74 : 'Unassigned [0x7F74]',
	0x7F75 : 'Unassigned [0x7F75]',
	0x7F76 : 'Unassigned [0x7F76]',
	0x7F77 : 'Unassigned [0x7F77]',
	0x7F78 : 'Unassigned [0x7F78]',
	0x7F79 : 'Unassigned [0x7F79]',
	0x7F7A : 'Unassigned [0x7F7A]',
	0x7F7B : 'Unassigned [0x7F7B]',
	0x7F7C : 'Unassigned [0x7F7C]',
	0x7F7D : 'Unassigned [0x7F7D]',
	0x7F7E : 'Unassigned [0x7F7E]',
	0x7F7F : 'Unassigned [0x7F7F]',
	0x7F80 : 'Unassigned [0x7F80]',
	0x7F81 : 'Unassigned [0x7F81]',
	0x7F82 : 'Unassigned [0x7F82]',
	0x7F83 : 'Unassigned [0x7F83]',
	0x7F84 : 'Unassigned [0x7F84]',
	0x7F85 : 'Unassigned [0x7F85]',
	0x7F86 : 'Unassigned [0x7F86]',
	0x7F87 : 'Unassigned [0x7F87]',
	0x7F88 : 'Unassigned [0x7F88]',
	0x7F89 : 'Unassigned [0x7F89]',
	0x7F8A : 'Unassigned [0x7F8A]',
	0x7F8B : 'Unassigned [0x7F8B]',
	0x7F8C : 'Unassigned [0x7F8C]',
	0x7F8D : 'Unassigned [0x7F8D]',
	0x7F8E : 'Unassigned [0x7F8E]',
	0x7F8F : 'Unassigned [0x7F8F]',
	0x7F90 : 'Unassigned [0x7F90]',
	0x7F91 : 'Unassigned [0x7F91]',
	0x7F92 : 'Unassigned [0x7F92]',
	0x7F93 : 'Unassigned [0x7F93]',
	0x7F94 : 'Unassigned [0x7F94]',
	0x7F95 : 'Unassigned [0x7F95]',
	0x7F96 : 'Unassigned [0x7F96]',
	0x7F97 : 'Unassigned [0x7F97]',
	0x7F98 : 'Unassigned [0x7F98]',
	0x7F99 : 'Unassigned [0x7F99]',
	0x7F9A : 'Unassigned [0x7F9A]',
	0x7F9B : 'Unassigned [0x7F9B]',
	0x7F9C : 'Unassigned [0x7F9C]',
	0x7F9D : 'Unassigned [0x7F9D]',
	0x7F9E : 'Unassigned [0x7F9E]',
	0x7F9F : 'Unassigned [0x7F9F]',
	0x7FA0 : 'Unassigned [0x7FA0]',
	0x7FA1 : 'Unassigned [0x7FA1]',
	0x7FA2 : 'Unassigned [0x7FA2]',
	0x7FA3 : 'Unassigned [0x7FA3]',
	0x7FA4 : 'Unassigned [0x7FA4]',
	0x7FA5 : 'Unassigned [0x7FA5]',
	0x7FA6 : 'Unassigned [0x7FA6]',
	0x7FA7 : 'Unassigned [0x7FA7]',
	0x7FA8 : 'Unassigned [0x7FA8]',
	0x7FA9 : 'Unassigned [0x7FA9]',
	0x7FAA : 'Unassigned [0x7FAA]',
	0x7FAB : 'Unassigned [0x7FAB]',
	0x7FAC : 'Unassigned [0x7FAC]',
	0x7FAD : 'Unassigned [0x7FAD]',
	0x7FAE : 'Unassigned [0x7FAE]',
	0x7FAF : 'Unassigned [0x7FAF]',
	0x7FB0 : 'Unassigned [0x7FB0]',
	0x7FB1 : 'Unassigned [0x7FB1]',
	0x7FB2 : 'Unassigned [0x7FB2]',
	0x7FB3 : 'Unassigned [0x7FB3]',
	0x7FB4 : 'Unassigned [0x7FB4]',
	0x7FB5 : 'Unassigned [0x7FB5]',
	0x7FB6 : 'Unassigned [0x7FB6]',
	0x7FB7 : 'Unassigned [0x7FB7]',
	0x7FB8 : 'Unassigned [0x7FB8]',
	0x7FB9 : 'Unassigned [0x7FB9]',
	0x7FBA : 'Unassigned [0x7FBA]',
	0x7FBB : 'Unassigned [0x7FBB]',
	0x7FBC : 'Unassigned [0x7FBC]',
	0x7FBD : 'Unassigned [0x7FBD]',
	0x7FBE : 'Unassigned [0x7FBE]',
	0x7FBF : 'Unassigned [0x7FBF]',
	0x7FC0 : 'Unassigned [0x7FC0]',
	0x7FC1 : 'Unassigned [0x7FC1]',
	0x7FC2 : 'Unassigned [0x7FC2]',
	0x7FC3 : 'Unassigned [0x7FC3]',
	0x7FC4 : 'Unassigned [0x7FC4]',
	0x7FC5 : 'Unassigned [0x7FC5]',
	0x7FC6 : 'Unassigned [0x7FC6]',
	0x7FC7 : 'Unassigned [0x7FC7]',
	0x7FC8 : 'Unassigned [0x7FC8]',
	0x7FC9 : 'Unassigned [0x7FC9]',
	0x7FCA : 'Unassigned [0x7FCA]',
	0x7FCB : 'Unassigned [0x7FCB]',
	0x7FCC : 'Unassigned [0x7FCC]',
	0x7FCD : 'Unassigned [0x7FCD]',
	0x7FCE : 'Unassigned [0x7FCE]',
	0x7FCF : 'Unassigned [0x7FCF]',
	0x7FD0 : 'Unassigned [0x7FD0]',
	0x7FD1 : 'Unassigned [0x7FD1]',
	0x7FD2 : 'Unassigned [0x7FD2]',
	0x7FD3 : 'Unassigned [0x7FD3]',
	0x7FD4 : 'Unassigned [0x7FD4]',
	0x7FD5 : 'Unassigned [0x7FD5]',
	0x7FD6 : 'Unassigned [0x7FD6]',
	0x7FD7 : 'Unassigned [0x7FD7]',
	0x7FD8 : 'Unassigned [0x7FD8]',
	0x7FD9 : 'Unassigned [0x7FD9]',
	0x7FDA : 'Unassigned [0x7FDA]',
	0x7FDB : 'Unassigned [0x7FDB]',
	0x7FDC : 'Unassigned [0x7FDC]',
	0x7FDD : 'Unassigned [0x7FDD]',
	0x7FDE : 'Unassigned [0x7FDE]',
	0x7FDF : 'Unassigned [0x7FDF]',
	0x7FE0 : 'Unassigned [0x7FE0]',
	0x7FE1 : 'Unassigned [0x7FE1]',
	0x7FE2 : 'Unassigned [0x7FE2]',
	0x7FE3 : 'Unassigned [0x7FE3]',
	0x7FE4 : 'Unassigned [0x7FE4]',
	0x7FE5 : 'Unassigned [0x7FE5]',
	0x7FE6 : 'Unassigned [0x7FE6]',
	0x7FE7 : 'Unassigned [0x7FE7]',
	0x7FE8 : 'Unassigned [0x7FE8]',
	0x7FE9 : 'Unassigned [0x7FE9]',
	0x7FEA : 'Unassigned [0x7FEA]',
	0x7FEB : 'Unassigned [0x7FEB]',
	0x7FEC : 'Unassigned [0x7FEC]',
	0x7FED : 'Unassigned [0x7FED]',
	0x7FEE : 'Unassigned [0x7FEE]',
	0x7FEF : 'Unassigned [0x7FEF]',
	0x7FF0 : 'Unassigned [0x7FF0]',
	0x7FF1 : 'Unassigned [0x7FF1]',
	0x7FF2 : 'Unassigned [0x7FF2]',
	0x7FF3 : 'Unassigned [0x7FF3]',
	0x7FF4 : 'Unassigned [0x7FF4]',
	0x7FF5 : 'Unassigned [0x7FF5]',
	0x7FF6 : 'Unassigned [0x7FF6]',
	0x7FF7 : 'Unassigned [0x7FF7]',
	0x7FF8 : 'Unassigned [0x7FF8]',
	0x7FF9 : 'Unassigned [0x7FF9]',
	0x7FFA : 'Unassigned [0x7FFA]',
	0x7FFB : 'Unassigned [0x7FFB]',
	0x7FFC : 'Unassigned [0x7FFC]',
	0x7FFD : 'Unassigned [0x7FFD]',
	0x7FFE : 'Unassigned [0x7FFE]',
	0x7FFF : 'Unassigned [0x7FFF]',
	0x8000 : 'Unassigned [0x8000]',
	0x8001 : 'Unassigned [0x8001]',
	0x8002 : 'Unassigned [0x8002]',
	0x8003 : 'Unassigned [0x8003]',
	0x8004 : 'Unassigned [0x8004]',
	0x8005 : 'Unassigned [0x8005]',
	0x8006 : 'Unassigned [0x8006]',
	0x8007 : 'Unassigned [0x8007]',
	0x8008 : 'Unassigned [0x8008]',
	0x8009 : 'Unassigned [0x8009]',
	0x800A : 'Unassigned [0x800A]',
	0x800B : 'Unassigned [0x800B]',
	0x800C : 'Unassigned [0x800C]',
	0x800D : 'Unassigned [0x800D]',
	0x800E : 'Unassigned [0x800E]',
	0x800F : 'Unassigned [0x800F]',
	0x8010 : 'Unassigned [0x8010]',
	0x8011 : 'Unassigned [0x8011]',
	0x8012 : 'Unassigned [0x8012]',
	0x8013 : 'Unassigned [0x8013]',
	0x8014 : 'Unassigned [0x8014]',
	0x8015 : 'Unassigned [0x8015]',
	0x8016 : 'Unassigned [0x8016]',
	0x8017 : 'Unassigned [0x8017]',
	0x8018 : 'Unassigned [0x8018]',
	0x8019 : 'Unassigned [0x8019]',
	0x801A : 'Unassigned [0x801A]',
	0x801B : 'Unassigned [0x801B]',
	0x801C : 'Unassigned [0x801C]',
	0x801D : 'Unassigned [0x801D]',
	0x801E : 'Unassigned [0x801E]',
	0x801F : 'Unassigned [0x801F]',
	0x8020 : 'Unassigned [0x8020]',
	0x8021 : 'Unassigned [0x8021]',
	0x8022 : 'Unassigned [0x8022]',
	0x8023 : 'Unassigned [0x8023]',
	0x8024 : 'Unassigned [0x8024]',
	0x8025 : 'Unassigned [0x8025]',
	0x8026 : 'Unassigned [0x8026]',
	0x8027 : 'Unassigned [0x8027]',
	0x8028 : 'Unassigned [0x8028]',
	0x8029 : 'Unassigned [0x8029]',
	0x802A : 'Unassigned [0x802A]',
	0x802B : 'Unassigned [0x802B]',
	0x802C : 'Unassigned [0x802C]',
	0x802D : 'Unassigned [0x802D]',
	0x802E : 'Unassigned [0x802E]',
	0x802F : 'Unassigned [0x802F]',
	0x8030 : 'Unassigned [0x8030]',
	0x8031 : 'Unassigned [0x8031]',
	0x8032 : 'Unassigned [0x8032]',
	0x8033 : 'Unassigned [0x8033]',
	0x8034 : 'Unassigned [0x8034]',
	0x8035 : 'Unassigned [0x8035]',
	0x8036 : 'Unassigned [0x8036]',
	0x8037 : 'Unassigned [0x8037]',
	0x8038 : 'Unassigned [0x8038]',
	0x8039 : 'Unassigned [0x8039]',
	0x803A : 'Unassigned [0x803A]',
	0x803B : 'Unassigned [0x803B]',
	0x803C : 'Unassigned [0x803C]',
	0x803D : 'Unassigned [0x803D]',
	0x803E : 'Unassigned [0x803E]',
	0x803F : 'Unassigned [0x803F]',
	0x8040 : 'Unassigned [0x8040]',
	0x8041 : 'Unassigned [0x8041]',
	0x8042 : 'Unassigned [0x8042]',
	0x8043 : 'Unassigned [0x8043]',
	0x8044 : 'Unassigned [0x8044]',
	0x8045 : 'Unassigned [0x8045]',
	0x8046 : 'Unassigned [0x8046]',
	0x8047 : 'Unassigned [0x8047]',
	0x8048 : 'Unassigned [0x8048]',
	0x8049 : 'Unassigned [0x8049]',
	0x804A : 'Unassigned [0x804A]',
	0x804B : 'Unassigned [0x804B]',
	0x804C : 'Unassigned [0x804C]',
	0x804D : 'Unassigned [0x804D]',
	0x804E : 'Unassigned [0x804E]',
	0x804F : 'Unassigned [0x804F]',
	0x8050 : 'Unassigned [0x8050]',
	0x8051 : 'Unassigned [0x8051]',
	0x8052 : 'Unassigned [0x8052]',
	0x8053 : 'Unassigned [0x8053]',
	0x8054 : 'Unassigned [0x8054]',
	0x8055 : 'Unassigned [0x8055]',
	0x8056 : 'Unassigned [0x8056]',
	0x8057 : 'Unassigned [0x8057]',
	0x8058 : 'Unassigned [0x8058]',
	0x8059 : 'Unassigned [0x8059]',
	0x805A : 'Unassigned [0x805A]',
	0x805B : 'Unassigned [0x805B]',
	0x805C : 'Unassigned [0x805C]',
	0x805D : 'Unassigned [0x805D]',
	0x805E : 'Unassigned [0x805E]',
	0x805F : 'Unassigned [0x805F]',
	0x8060 : 'Unassigned [0x8060]',
	0x8061 : 'Unassigned [0x8061]',
	0x8062 : 'Unassigned [0x8062]',
	0x8063 : 'Unassigned [0x8063]',
	0x8064 : 'Unassigned [0x8064]',
	0x8065 : 'Unassigned [0x8065]',
	0x8066 : 'Unassigned [0x8066]',
	0x8067 : 'Unassigned [0x8067]',
	0x8068 : 'Unassigned [0x8068]',
	0x8069 : 'Unassigned [0x8069]',
	0x806A : 'Unassigned [0x806A]',
	0x806B : 'Unassigned [0x806B]',
	0x806C : 'Unassigned [0x806C]',
	0x806D : 'Unassigned [0x806D]',
	0x806E : 'Unassigned [0x806E]',
	0x806F : 'Unassigned [0x806F]',
	0x8070 : 'Unassigned [0x8070]',
	0x8071 : 'Unassigned [0x8071]',
	0x8072 : 'Unassigned [0x8072]',
	0x8073 : 'Unassigned [0x8073]',
	0x8074 : 'Unassigned [0x8074]',
	0x8075 : 'Unassigned [0x8075]',
	0x8076 : 'Unassigned [0x8076]',
	0x8077 : 'Unassigned [0x8077]',
	0x8078 : 'Unassigned [0x8078]',
	0x8079 : 'Unassigned [0x8079]',
	0x807A : 'Unassigned [0x807A]',
	0x807B : 'Unassigned [0x807B]',
	0x807C : 'Unassigned [0x807C]',
	0x807D : 'Unassigned [0x807D]',
	0x807E : 'Unassigned [0x807E]',
	0x807F : 'Unassigned [0x807F]',
	0x8080 : 'Unassigned [0x8080]',
	0x8081 : 'Unassigned [0x8081]',
	0x8082 : 'Unassigned [0x8082]',
	0x8083 : 'Unassigned [0x8083]',
	0x8084 : 'Unassigned [0x8084]',
	0x8085 : 'Unassigned [0x8085]',
	0x8086 : 'Unassigned [0x8086]',
	0x8087 : 'Unassigned [0x8087]',
	0x8088 : 'Unassigned [0x8088]',
	0x8089 : 'Unassigned [0x8089]',
	0x808A : 'Unassigned [0x808A]',
	0x808B : 'Unassigned [0x808B]',
	0x808C : 'Unassigned [0x808C]',
	0x808D : 'Unassigned [0x808D]',
	0x808E : 'Unassigned [0x808E]',
	0x808F : 'Unassigned [0x808F]',
	0x8090 : 'Unassigned [0x8090]',
	0x8091 : 'Unassigned [0x8091]',
	0x8092 : 'Unassigned [0x8092]',
	0x8093 : 'Unassigned [0x8093]',
	0x8094 : 'Unassigned [0x8094]',
	0x8095 : 'Unassigned [0x8095]',
	0x8096 : 'Unassigned [0x8096]',
	0x8097 : 'Unassigned [0x8097]',
	0x8098 : 'Unassigned [0x8098]',
	0x8099 : 'Unassigned [0x8099]',
	0x809A : 'Unassigned [0x809A]',
	0x809B : 'Unassigned [0x809B]',
	0x809C : 'Unassigned [0x809C]',
	0x809D : 'Unassigned [0x809D]',
	0x809E : 'Unassigned [0x809E]',
	0x809F : 'Unassigned [0x809F]',
	0x80A0 : 'Unassigned [0x80A0]',
	0x80A1 : 'Unassigned [0x80A1]',
	0x80A2 : 'Unassigned [0x80A2]',
	0x80A3 : 'Unassigned [0x80A3]',
	0x80A4 : 'Unassigned [0x80A4]',
	0x80A5 : 'Unassigned [0x80A5]',
	0x80A6 : 'Unassigned [0x80A6]',
	0x80A7 : 'Unassigned [0x80A7]',
	0x80A8 : 'Unassigned [0x80A8]',
	0x80A9 : 'Unassigned [0x80A9]',
	0x80AA : 'Unassigned [0x80AA]',
	0x80AB : 'Unassigned [0x80AB]',
	0x80AC : 'Unassigned [0x80AC]',
	0x80AD : 'Unassigned [0x80AD]',
	0x80AE : 'Unassigned [0x80AE]',
	0x80AF : 'Unassigned [0x80AF]',
	0x80B0 : 'Unassigned [0x80B0]',
	0x80B1 : 'Unassigned [0x80B1]',
	0x80B2 : 'Unassigned [0x80B2]',
	0x80B3 : 'Unassigned [0x80B3]',
	0x80B4 : 'Unassigned [0x80B4]',
	0x80B5 : 'Unassigned [0x80B5]',
	0x80B6 : 'Unassigned [0x80B6]',
	0x80B7 : 'Unassigned [0x80B7]',
	0x80B8 : 'Unassigned [0x80B8]',
	0x80B9 : 'Unassigned [0x80B9]',
	0x80BA : 'Unassigned [0x80BA]',
	0x80BB : 'Unassigned [0x80BB]',
	0x80BC : 'Unassigned [0x80BC]',
	0x80BD : 'Unassigned [0x80BD]',
	0x80BE : 'Unassigned [0x80BE]',
	0x80BF : 'Unassigned [0x80BF]',
	0x80C0 : 'Unassigned [0x80C0]',
	0x80C1 : 'Unassigned [0x80C1]',
	0x80C2 : 'Unassigned [0x80C2]',
	0x80C3 : 'Unassigned [0x80C3]',
	0x80C4 : 'Unassigned [0x80C4]',
	0x80C5 : 'Unassigned [0x80C5]',
	0x80C6 : 'Unassigned [0x80C6]',
	0x80C7 : 'Unassigned [0x80C7]',
	0x80C8 : 'Unassigned [0x80C8]',
	0x80C9 : 'Unassigned [0x80C9]',
	0x80CA : 'Unassigned [0x80CA]',
	0x80CB : 'Unassigned [0x80CB]',
	0x80CC : 'Unassigned [0x80CC]',
	0x80CD : 'Unassigned [0x80CD]',
	0x80CE : 'Unassigned [0x80CE]',
	0x80CF : 'Unassigned [0x80CF]',
	0x80D0 : 'Unassigned [0x80D0]',
	0x80D1 : 'Unassigned [0x80D1]',
	0x80D2 : 'Unassigned [0x80D2]',
	0x80D3 : 'Unassigned [0x80D3]',
	0x80D4 : 'Unassigned [0x80D4]',
	0x80D5 : 'Unassigned [0x80D5]',
	0x80D6 : 'Unassigned [0x80D6]',
	0x80D7 : 'Unassigned [0x80D7]',
	0x80D8 : 'Unassigned [0x80D8]',
	0x80D9 : 'Unassigned [0x80D9]',
	0x80DA : 'Unassigned [0x80DA]',
	0x80DB : 'Unassigned [0x80DB]',
	0x80DC : 'Unassigned [0x80DC]',
	0x80DD : 'Unassigned [0x80DD]',
	0x80DE : 'Unassigned [0x80DE]',
	0x80DF : 'Unassigned [0x80DF]',
	0x80E0 : 'Unassigned [0x80E0]',
	0x80E1 : 'Unassigned [0x80E1]',
	0x80E2 : 'Unassigned [0x80E2]',
	0x80E3 : 'Unassigned [0x80E3]',
	0x80E4 : 'Unassigned [0x80E4]',
	0x80E5 : 'Unassigned [0x80E5]',
	0x80E6 : 'Unassigned [0x80E6]',
	0x80E7 : 'Unassigned [0x80E7]',
	0x80E8 : 'Unassigned [0x80E8]',
	0x80E9 : 'Unassigned [0x80E9]',
	0x80EA : 'Unassigned [0x80EA]',
	0x80EB : 'Unassigned [0x80EB]',
	0x80EC : 'Unassigned [0x80EC]',
	0x80ED : 'Unassigned [0x80ED]',
	0x80EE : 'Unassigned [0x80EE]',
	0x80EF : 'Unassigned [0x80EF]',
	0x80F0 : 'Unassigned [0x80F0]',
	0x80F1 : 'Unassigned [0x80F1]',
	0x80F2 : 'Unassigned [0x80F2]',
	0x80F3 : 'Unassigned [0x80F3]',
	0x80F4 : 'Unassigned [0x80F4]',
	0x80F5 : 'Unassigned [0x80F5]',
	0x80F6 : 'Unassigned [0x80F6]',
	0x80F7 : 'Unassigned [0x80F7]',
	0x80F8 : 'Unassigned [0x80F8]',
	0x80F9 : 'Unassigned [0x80F9]',
	0x80FA : 'Unassigned [0x80FA]',
	0x80FB : 'Unassigned [0x80FB]',
	0x80FC : 'Unassigned [0x80FC]',
	0x80FD : 'Unassigned [0x80FD]',
	0x80FE : 'Unassigned [0x80FE]',
	0x80FF : 'Unassigned [0x80FF]',
	0x8100 : 'Unassigned [0x8100]',
	0x8101 : 'Unassigned [0x8101]',
	0x8102 : 'Unassigned [0x8102]',
	0x8103 : 'Unassigned [0x8103]',
	0x8104 : 'Unassigned [0x8104]',
	0x8105 : 'Unassigned [0x8105]',
	0x8106 : 'Unassigned [0x8106]',
	0x8107 : 'Unassigned [0x8107]',
	0x8108 : 'Unassigned [0x8108]',
	0x8109 : 'Unassigned [0x8109]',
	0x810A : 'Unassigned [0x810A]',
	0x810B : 'Unassigned [0x810B]',
	0x810C : 'Unassigned [0x810C]',
	0x810D : 'Unassigned [0x810D]',
	0x810E : 'Unassigned [0x810E]',
	0x810F : 'Unassigned [0x810F]',
	0x8110 : 'Unassigned [0x8110]',
	0x8111 : 'Unassigned [0x8111]',
	0x8112 : 'Unassigned [0x8112]',
	0x8113 : 'Unassigned [0x8113]',
	0x8114 : 'Unassigned [0x8114]',
	0x8115 : 'Unassigned [0x8115]',
	0x8116 : 'Unassigned [0x8116]',
	0x8117 : 'Unassigned [0x8117]',
	0x8118 : 'Unassigned [0x8118]',
	0x8119 : 'Unassigned [0x8119]',
	0x811A : 'Unassigned [0x811A]',
	0x811B : 'Unassigned [0x811B]',
	0x811C : 'Unassigned [0x811C]',
	0x811D : 'Unassigned [0x811D]',
	0x811E : 'Unassigned [0x811E]',
	0x811F : 'Unassigned [0x811F]',
	0x8120 : 'Unassigned [0x8120]',
	0x8121 : 'Unassigned [0x8121]',
	0x8122 : 'Unassigned [0x8122]',
	0x8123 : 'Unassigned [0x8123]',
	0x8124 : 'Unassigned [0x8124]',
	0x8125 : 'Unassigned [0x8125]',
	0x8126 : 'Unassigned [0x8126]',
	0x8127 : 'Unassigned [0x8127]',
	0x8128 : 'Unassigned [0x8128]',
	0x8129 : 'Unassigned [0x8129]',
	0x812A : 'Unassigned [0x812A]',
	0x812B : 'Unassigned [0x812B]',
	0x812C : 'Unassigned [0x812C]',
	0x812D : 'Unassigned [0x812D]',
	0x812E : 'Unassigned [0x812E]',
	0x812F : 'Unassigned [0x812F]',
	0x8130 : 'Unassigned [0x8130]',
	0x8131 : 'Unassigned [0x8131]',
	0x8132 : 'Unassigned [0x8132]',
	0x8133 : 'Unassigned [0x8133]',
	0x8134 : 'Unassigned [0x8134]',
	0x8135 : 'Unassigned [0x8135]',
	0x8136 : 'Unassigned [0x8136]',
	0x8137 : 'Unassigned [0x8137]',
	0x8138 : 'Unassigned [0x8138]',
	0x8139 : 'Unassigned [0x8139]',
	0x813A : 'Unassigned [0x813A]',
	0x813B : 'Unassigned [0x813B]',
	0x813C : 'Unassigned [0x813C]',
	0x813D : 'Unassigned [0x813D]',
	0x813E : 'Unassigned [0x813E]',
	0x813F : 'Unassigned [0x813F]',
	0x8140 : 'Unassigned [0x8140]',
	0x8141 : 'Unassigned [0x8141]',
	0x8142 : 'Unassigned [0x8142]',
	0x8143 : 'Unassigned [0x8143]',
	0x8144 : 'Unassigned [0x8144]',
	0x8145 : 'Unassigned [0x8145]',
	0x8146 : 'Unassigned [0x8146]',
	0x8147 : 'Unassigned [0x8147]',
	0x8148 : 'Unassigned [0x8148]',
	0x8149 : 'Unassigned [0x8149]',
	0x814A : 'Unassigned [0x814A]',
	0x814B : 'Unassigned [0x814B]',
	0x814C : 'Unassigned [0x814C]',
	0x814D : 'Unassigned [0x814D]',
	0x814E : 'Unassigned [0x814E]',
	0x814F : 'Unassigned [0x814F]',
	0x8150 : 'Unassigned [0x8150]',
	0x8151 : 'Unassigned [0x8151]',
	0x8152 : 'Unassigned [0x8152]',
	0x8153 : 'Unassigned [0x8153]',
	0x8154 : 'Unassigned [0x8154]',
	0x8155 : 'Unassigned [0x8155]',
	0x8156 : 'Unassigned [0x8156]',
	0x8157 : 'Unassigned [0x8157]',
	0x8158 : 'Unassigned [0x8158]',
	0x8159 : 'Unassigned [0x8159]',
	0x815A : 'Unassigned [0x815A]',
	0x815B : 'Unassigned [0x815B]',
	0x815C : 'Unassigned [0x815C]',
	0x815D : 'Unassigned [0x815D]',
	0x815E : 'Unassigned [0x815E]',
	0x815F : 'Unassigned [0x815F]',
	0x8160 : 'Unassigned [0x8160]',
	0x8161 : 'Unassigned [0x8161]',
	0x8162 : 'Unassigned [0x8162]',
	0x8163 : 'Unassigned [0x8163]',
	0x8164 : 'Unassigned [0x8164]',
	0x8165 : 'Unassigned [0x8165]',
	0x8166 : 'Unassigned [0x8166]',
	0x8167 : 'Unassigned [0x8167]',
	0x8168 : 'Unassigned [0x8168]',
	0x8169 : 'Unassigned [0x8169]',
	0x816A : 'Unassigned [0x816A]',
	0x816B : 'Unassigned [0x816B]',
	0x816C : 'Unassigned [0x816C]',
	0x816D : 'Unassigned [0x816D]',
	0x816E : 'Unassigned [0x816E]',
	0x816F : 'Unassigned [0x816F]',
	0x8170 : 'Unassigned [0x8170]',
	0x8171 : 'Unassigned [0x8171]',
	0x8172 : 'Unassigned [0x8172]',
	0x8173 : 'Unassigned [0x8173]',
	0x8174 : 'Unassigned [0x8174]',
	0x8175 : 'Unassigned [0x8175]',
	0x8176 : 'Unassigned [0x8176]',
	0x8177 : 'Unassigned [0x8177]',
	0x8178 : 'Unassigned [0x8178]',
	0x8179 : 'Unassigned [0x8179]',
	0x817A : 'Unassigned [0x817A]',
	0x817B : 'Unassigned [0x817B]',
	0x817C : 'Unassigned [0x817C]',
	0x817D : 'Unassigned [0x817D]',
	0x817E : 'Unassigned [0x817E]',
	0x817F : 'Unassigned [0x817F]',
	0x8180 : 'Unassigned [0x8180]',
	0x8181 : 'Unassigned [0x8181]',
	0x8182 : 'Unassigned [0x8182]',
	0x8183 : 'Unassigned [0x8183]',
	0x8184 : 'Unassigned [0x8184]',
	0x8185 : 'Unassigned [0x8185]',
	0x8186 : 'Unassigned [0x8186]',
	0x8187 : 'Unassigned [0x8187]',
	0x8188 : 'Unassigned [0x8188]',
	0x8189 : 'Unassigned [0x8189]',
	0x818A : 'Unassigned [0x818A]',
	0x818B : 'Unassigned [0x818B]',
	0x818C : 'Unassigned [0x818C]',
	0x818D : 'Unassigned [0x818D]',
	0x818E : 'Unassigned [0x818E]',
	0x818F : 'Unassigned [0x818F]',
	0x8190 : 'Unassigned [0x8190]',
	0x8191 : 'Unassigned [0x8191]',
	0x8192 : 'Unassigned [0x8192]',
	0x8193 : 'Unassigned [0x8193]',
	0x8194 : 'Unassigned [0x8194]',
	0x8195 : 'Unassigned [0x8195]',
	0x8196 : 'Unassigned [0x8196]',
	0x8197 : 'Unassigned [0x8197]',
	0x8198 : 'Unassigned [0x8198]',
	0x8199 : 'Unassigned [0x8199]',
	0x819A : 'Unassigned [0x819A]',
	0x819B : 'Unassigned [0x819B]',
	0x819C : 'Unassigned [0x819C]',
	0x819D : 'Unassigned [0x819D]',
	0x819E : 'Unassigned [0x819E]',
	0x819F : 'Unassigned [0x819F]',
	0x81A0 : 'Unassigned [0x81A0]',
	0x81A1 : 'Unassigned [0x81A1]',
	0x81A2 : 'Unassigned [0x81A2]',
	0x81A3 : 'Unassigned [0x81A3]',
	0x81A4 : 'Unassigned [0x81A4]',
	0x81A5 : 'Unassigned [0x81A5]',
	0x81A6 : 'Unassigned [0x81A6]',
	0x81A7 : 'Unassigned [0x81A7]',
	0x81A8 : 'Unassigned [0x81A8]',
	0x81A9 : 'Unassigned [0x81A9]',
	0x81AA : 'Unassigned [0x81AA]',
	0x81AB : 'Unassigned [0x81AB]',
	0x81AC : 'Unassigned [0x81AC]',
	0x81AD : 'Unassigned [0x81AD]',
	0x81AE : 'Unassigned [0x81AE]',
	0x81AF : 'Unassigned [0x81AF]',
	0x81B0 : 'Unassigned [0x81B0]',
	0x81B1 : 'Unassigned [0x81B1]',
	0x81B2 : 'Unassigned [0x81B2]',
	0x81B3 : 'Unassigned [0x81B3]',
	0x81B4 : 'Unassigned [0x81B4]',
	0x81B5 : 'Unassigned [0x81B5]',
	0x81B6 : 'Unassigned [0x81B6]',
	0x81B7 : 'Unassigned [0x81B7]',
	0x81B8 : 'Unassigned [0x81B8]',
	0x81B9 : 'Unassigned [0x81B9]',
	0x81BA : 'Unassigned [0x81BA]',
	0x81BB : 'Unassigned [0x81BB]',
	0x81BC : 'Unassigned [0x81BC]',
	0x81BD : 'Unassigned [0x81BD]',
	0x81BE : 'Unassigned [0x81BE]',
	0x81BF : 'Unassigned [0x81BF]',
	0x81C0 : 'Unassigned [0x81C0]',
	0x81C1 : 'Unassigned [0x81C1]',
	0x81C2 : 'Unassigned [0x81C2]',
	0x81C3 : 'Unassigned [0x81C3]',
	0x81C4 : 'Unassigned [0x81C4]',
	0x81C5 : 'Unassigned [0x81C5]',
	0x81C6 : 'Unassigned [0x81C6]',
	0x81C7 : 'Unassigned [0x81C7]',
	0x81C8 : 'Unassigned [0x81C8]',
	0x81C9 : 'Unassigned [0x81C9]',
	0x81CA : 'Unassigned [0x81CA]',
	0x81CB : 'Unassigned [0x81CB]',
	0x81CC : 'Unassigned [0x81CC]',
	0x81CD : 'Unassigned [0x81CD]',
	0x81CE : 'Unassigned [0x81CE]',
	0x81CF : 'Unassigned [0x81CF]',
	0x81D0 : 'Unassigned [0x81D0]',
	0x81D1 : 'Unassigned [0x81D1]',
	0x81D2 : 'Unassigned [0x81D2]',
	0x81D3 : 'Unassigned [0x81D3]',
	0x81D4 : 'Unassigned [0x81D4]',
	0x81D5 : 'Unassigned [0x81D5]',
	0x81D6 : 'Unassigned [0x81D6]',
	0x81D7 : 'Unassigned [0x81D7]',
	0x81D8 : 'Unassigned [0x81D8]',
	0x81D9 : 'Unassigned [0x81D9]',
	0x81DA : 'Unassigned [0x81DA]',
	0x81DB : 'Unassigned [0x81DB]',
	0x81DC : 'Unassigned [0x81DC]',
	0x81DD : 'Unassigned [0x81DD]',
	0x81DE : 'Unassigned [0x81DE]',
	0x81DF : 'Unassigned [0x81DF]',
	0x81E0 : 'Unassigned [0x81E0]',
	0x81E1 : 'Unassigned [0x81E1]',
	0x81E2 : 'Unassigned [0x81E2]',
	0x81E3 : 'Unassigned [0x81E3]',
	0x81E4 : 'Unassigned [0x81E4]',
	0x81E5 : 'Unassigned [0x81E5]',
	0x81E6 : 'Unassigned [0x81E6]',
	0x81E7 : 'Unassigned [0x81E7]',
	0x81E8 : 'Unassigned [0x81E8]',
	0x81E9 : 'Unassigned [0x81E9]',
	0x81EA : 'Unassigned [0x81EA]',
	0x81EB : 'Unassigned [0x81EB]',
	0x81EC : 'Unassigned [0x81EC]',
	0x81ED : 'Unassigned [0x81ED]',
	0x81EE : 'Unassigned [0x81EE]',
	0x81EF : 'Unassigned [0x81EF]',
	0x81F0 : 'Unassigned [0x81F0]',
	0x81F1 : 'Unassigned [0x81F1]',
	0x81F2 : 'Unassigned [0x81F2]',
	0x81F3 : 'Unassigned [0x81F3]',
	0x81F4 : 'Unassigned [0x81F4]',
	0x81F5 : 'Unassigned [0x81F5]',
	0x81F6 : 'Unassigned [0x81F6]',
	0x81F7 : 'Unassigned [0x81F7]',
	0x81F8 : 'Unassigned [0x81F8]',
	0x81F9 : 'Unassigned [0x81F9]',
	0x81FA : 'Unassigned [0x81FA]',
	0x81FB : 'Unassigned [0x81FB]',
	0x81FC : 'Unassigned [0x81FC]',
	0x81FD : 'Unassigned [0x81FD]',
	0x81FE : 'Unassigned [0x81FE]',
	0x81FF : 'Unassigned [0x81FF]',
	0x8200 : 'Unassigned [0x8200]',
	0x8201 : 'Unassigned [0x8201]',
	0x8202 : 'Unassigned [0x8202]',
	0x8203 : 'Unassigned [0x8203]',
	0x8204 : 'Unassigned [0x8204]',
	0x8205 : 'Unassigned [0x8205]',
	0x8206 : 'Unassigned [0x8206]',
	0x8207 : 'Unassigned [0x8207]',
	0x8208 : 'Unassigned [0x8208]',
	0x8209 : 'Unassigned [0x8209]',
	0x820A : 'Unassigned [0x820A]',
	0x820B : 'Unassigned [0x820B]',
	0x820C : 'Unassigned [0x820C]',
	0x820D : 'Unassigned [0x820D]',
	0x820E : 'Unassigned [0x820E]',
	0x820F : 'Unassigned [0x820F]',
	0x8210 : 'Unassigned [0x8210]',
	0x8211 : 'Unassigned [0x8211]',
	0x8212 : 'Unassigned [0x8212]',
	0x8213 : 'Unassigned [0x8213]',
	0x8214 : 'Unassigned [0x8214]',
	0x8215 : 'Unassigned [0x8215]',
	0x8216 : 'Unassigned [0x8216]',
	0x8217 : 'Unassigned [0x8217]',
	0x8218 : 'Unassigned [0x8218]',
	0x8219 : 'Unassigned [0x8219]',
	0x821A : 'Unassigned [0x821A]',
	0x821B : 'Unassigned [0x821B]',
	0x821C : 'Unassigned [0x821C]',
	0x821D : 'Unassigned [0x821D]',
	0x821E : 'Unassigned [0x821E]',
	0x821F : 'Unassigned [0x821F]',
	0x8220 : 'Unassigned [0x8220]',
	0x8221 : 'Unassigned [0x8221]',
	0x8222 : 'Unassigned [0x8222]',
	0x8223 : 'Unassigned [0x8223]',
	0x8224 : 'Unassigned [0x8224]',
	0x8225 : 'Unassigned [0x8225]',
	0x8226 : 'Unassigned [0x8226]',
	0x8227 : 'Unassigned [0x8227]',
	0x8228 : 'Unassigned [0x8228]',
	0x8229 : 'Unassigned [0x8229]',
	0x822A : 'Unassigned [0x822A]',
	0x822B : 'Unassigned [0x822B]',
	0x822C : 'Unassigned [0x822C]',
	0x822D : 'Unassigned [0x822D]',
	0x822E : 'Unassigned [0x822E]',
	0x822F : 'Unassigned [0x822F]',
	0x8230 : 'Unassigned [0x8230]',
	0x8231 : 'Unassigned [0x8231]',
	0x8232 : 'Unassigned [0x8232]',
	0x8233 : 'Unassigned [0x8233]',
	0x8234 : 'Unassigned [0x8234]',
	0x8235 : 'Unassigned [0x8235]',
	0x8236 : 'Unassigned [0x8236]',
	0x8237 : 'Unassigned [0x8237]',
	0x8238 : 'Unassigned [0x8238]',
	0x8239 : 'Unassigned [0x8239]',
	0x823A : 'Unassigned [0x823A]',
	0x823B : 'Unassigned [0x823B]',
	0x823C : 'Unassigned [0x823C]',
	0x823D : 'Unassigned [0x823D]',
	0x823E : 'Unassigned [0x823E]',
	0x823F : 'Unassigned [0x823F]',
	0x8240 : 'Unassigned [0x8240]',
	0x8241 : 'Unassigned [0x8241]',
	0x8242 : 'Unassigned [0x8242]',
	0x8243 : 'Unassigned [0x8243]',
	0x8244 : 'Unassigned [0x8244]',
	0x8245 : 'Unassigned [0x8245]',
	0x8246 : 'Unassigned [0x8246]',
	0x8247 : 'Unassigned [0x8247]',
	0x8248 : 'Unassigned [0x8248]',
	0x8249 : 'Unassigned [0x8249]',
	0x824A : 'Unassigned [0x824A]',
	0x824B : 'Unassigned [0x824B]',
	0x824C : 'Unassigned [0x824C]',
	0x824D : 'Unassigned [0x824D]',
	0x824E : 'Unassigned [0x824E]',
	0x824F : 'Unassigned [0x824F]',
	0x8250 : 'Unassigned [0x8250]',
	0x8251 : 'Unassigned [0x8251]',
	0x8252 : 'Unassigned [0x8252]',
	0x8253 : 'Unassigned [0x8253]',
	0x8254 : 'Unassigned [0x8254]',
	0x8255 : 'Unassigned [0x8255]',
	0x8256 : 'Unassigned [0x8256]',
	0x8257 : 'Unassigned [0x8257]',
	0x8258 : 'Unassigned [0x8258]',
	0x8259 : 'Unassigned [0x8259]',
	0x825A : 'Unassigned [0x825A]',
	0x825B : 'Unassigned [0x825B]',
	0x825C : 'Unassigned [0x825C]',
	0x825D : 'Unassigned [0x825D]',
	0x825E : 'Unassigned [0x825E]',
	0x825F : 'Unassigned [0x825F]',
	0x8260 : 'Unassigned [0x8260]',
	0x8261 : 'Unassigned [0x8261]',
	0x8262 : 'Unassigned [0x8262]',
	0x8263 : 'Unassigned [0x8263]',
	0x8264 : 'Unassigned [0x8264]',
	0x8265 : 'Unassigned [0x8265]',
	0x8266 : 'Unassigned [0x8266]',
	0x8267 : 'Unassigned [0x8267]',
	0x8268 : 'Unassigned [0x8268]',
	0x8269 : 'Unassigned [0x8269]',
	0x826A : 'Unassigned [0x826A]',
	0x826B : 'Unassigned [0x826B]',
	0x826C : 'Unassigned [0x826C]',
	0x826D : 'Unassigned [0x826D]',
	0x826E : 'Unassigned [0x826E]',
	0x826F : 'Unassigned [0x826F]',
	0x8270 : 'Unassigned [0x8270]',
	0x8271 : 'Unassigned [0x8271]',
	0x8272 : 'Unassigned [0x8272]',
	0x8273 : 'Unassigned [0x8273]',
	0x8274 : 'Unassigned [0x8274]',
	0x8275 : 'Unassigned [0x8275]',
	0x8276 : 'Unassigned [0x8276]',
	0x8277 : 'Unassigned [0x8277]',
	0x8278 : 'Unassigned [0x8278]',
	0x8279 : 'Unassigned [0x8279]',
	0x827A : 'Unassigned [0x827A]',
	0x827B : 'Unassigned [0x827B]',
	0x827C : 'Unassigned [0x827C]',
	0x827D : 'Unassigned [0x827D]',
	0x827E : 'Unassigned [0x827E]',
	0x827F : 'Unassigned [0x827F]',
	0x8280 : 'Unassigned [0x8280]',
	0x8281 : 'Unassigned [0x8281]',
	0x8282 : 'Unassigned [0x8282]',
	0x8283 : 'Unassigned [0x8283]',
	0x8284 : 'Unassigned [0x8284]',
	0x8285 : 'Unassigned [0x8285]',
	0x8286 : 'Unassigned [0x8286]',
	0x8287 : 'Unassigned [0x8287]',
	0x8288 : 'Unassigned [0x8288]',
	0x8289 : 'Unassigned [0x8289]',
	0x828A : 'Unassigned [0x828A]',
	0x828B : 'Unassigned [0x828B]',
	0x828C : 'Unassigned [0x828C]',
	0x828D : 'Unassigned [0x828D]',
	0x828E : 'Unassigned [0x828E]',
	0x828F : 'Unassigned [0x828F]',
	0x8290 : 'Unassigned [0x8290]',
	0x8291 : 'Unassigned [0x8291]',
	0x8292 : 'Unassigned [0x8292]',
	0x8293 : 'Unassigned [0x8293]',
	0x8294 : 'Unassigned [0x8294]',
	0x8295 : 'Unassigned [0x8295]',
	0x8296 : 'Unassigned [0x8296]',
	0x8297 : 'Unassigned [0x8297]',
	0x8298 : 'Unassigned [0x8298]',
	0x8299 : 'Unassigned [0x8299]',
	0x829A : 'Unassigned [0x829A]',
	0x829B : 'Unassigned [0x829B]',
	0x829C : 'Unassigned [0x829C]',
	0x829D : 'Unassigned [0x829D]',
	0x829E : 'Unassigned [0x829E]',
	0x829F : 'Unassigned [0x829F]',
	0x82A0 : 'Unassigned [0x82A0]',
	0x82A1 : 'Unassigned [0x82A1]',
	0x82A2 : 'Unassigned [0x82A2]',
	0x82A3 : 'Unassigned [0x82A3]',
	0x82A4 : 'Unassigned [0x82A4]',
	0x82A5 : 'Unassigned [0x82A5]',
	0x82A6 : 'Unassigned [0x82A6]',
	0x82A7 : 'Unassigned [0x82A7]',
	0x82A8 : 'Unassigned [0x82A8]',
	0x82A9 : 'Unassigned [0x82A9]',
	0x82AA : 'Unassigned [0x82AA]',
	0x82AB : 'Unassigned [0x82AB]',
	0x82AC : 'Unassigned [0x82AC]',
	0x82AD : 'Unassigned [0x82AD]',
	0x82AE : 'Unassigned [0x82AE]',
	0x82AF : 'Unassigned [0x82AF]',
	0x82B0 : 'Unassigned [0x82B0]',
	0x82B1 : 'Unassigned [0x82B1]',
	0x82B2 : 'Unassigned [0x82B2]',
	0x82B3 : 'Unassigned [0x82B3]',
	0x82B4 : 'Unassigned [0x82B4]',
	0x82B5 : 'Unassigned [0x82B5]',
	0x82B6 : 'Unassigned [0x82B6]',
	0x82B7 : 'Unassigned [0x82B7]',
	0x82B8 : 'Unassigned [0x82B8]',
	0x82B9 : 'Unassigned [0x82B9]',
	0x82BA : 'Unassigned [0x82BA]',
	0x82BB : 'Unassigned [0x82BB]',
	0x82BC : 'Unassigned [0x82BC]',
	0x82BD : 'Unassigned [0x82BD]',
	0x82BE : 'Unassigned [0x82BE]',
	0x82BF : 'Unassigned [0x82BF]',
	0x82C0 : 'Unassigned [0x82C0]',
	0x82C1 : 'Unassigned [0x82C1]',
	0x82C2 : 'Unassigned [0x82C2]',
	0x82C3 : 'Unassigned [0x82C3]',
	0x82C4 : 'Unassigned [0x82C4]',
	0x82C5 : 'Unassigned [0x82C5]',
	0x82C6 : 'Unassigned [0x82C6]',
	0x82C7 : 'Unassigned [0x82C7]',
	0x82C8 : 'Unassigned [0x82C8]',
	0x82C9 : 'Unassigned [0x82C9]',
	0x82CA : 'Unassigned [0x82CA]',
	0x82CB : 'Unassigned [0x82CB]',
	0x82CC : 'Unassigned [0x82CC]',
	0x82CD : 'Unassigned [0x82CD]',
	0x82CE : 'Unassigned [0x82CE]',
	0x82CF : 'Unassigned [0x82CF]',
	0x82D0 : 'Unassigned [0x82D0]',
	0x82D1 : 'Unassigned [0x82D1]',
	0x82D2 : 'Unassigned [0x82D2]',
	0x82D3 : 'Unassigned [0x82D3]',
	0x82D4 : 'Unassigned [0x82D4]',
	0x82D5 : 'Unassigned [0x82D5]',
	0x82D6 : 'Unassigned [0x82D6]',
	0x82D7 : 'Unassigned [0x82D7]',
	0x82D8 : 'Unassigned [0x82D8]',
	0x82D9 : 'Unassigned [0x82D9]',
	0x82DA : 'Unassigned [0x82DA]',
	0x82DB : 'Unassigned [0x82DB]',
	0x82DC : 'Unassigned [0x82DC]',
	0x82DD : 'Unassigned [0x82DD]',
	0x82DE : 'Unassigned [0x82DE]',
	0x82DF : 'Unassigned [0x82DF]',
	0x82E0 : 'Unassigned [0x82E0]',
	0x82E1 : 'Unassigned [0x82E1]',
	0x82E2 : 'Unassigned [0x82E2]',
	0x82E3 : 'Unassigned [0x82E3]',
	0x82E4 : 'Unassigned [0x82E4]',
	0x82E5 : 'Unassigned [0x82E5]',
	0x82E6 : 'Unassigned [0x82E6]',
	0x82E7 : 'Unassigned [0x82E7]',
	0x82E8 : 'Unassigned [0x82E8]',
	0x82E9 : 'Unassigned [0x82E9]',
	0x82EA : 'Unassigned [0x82EA]',
	0x82EB : 'Unassigned [0x82EB]',
	0x82EC : 'Unassigned [0x82EC]',
	0x82ED : 'Unassigned [0x82ED]',
	0x82EE : 'Unassigned [0x82EE]',
	0x82EF : 'Unassigned [0x82EF]',
	0x82F0 : 'Unassigned [0x82F0]',
	0x82F1 : 'Unassigned [0x82F1]',
	0x82F2 : 'Unassigned [0x82F2]',
	0x82F3 : 'Unassigned [0x82F3]',
	0x82F4 : 'Unassigned [0x82F4]',
	0x82F5 : 'Unassigned [0x82F5]',
	0x82F6 : 'Unassigned [0x82F6]',
	0x82F7 : 'Unassigned [0x82F7]',
	0x82F8 : 'Unassigned [0x82F8]',
	0x82F9 : 'Unassigned [0x82F9]',
	0x82FA : 'Unassigned [0x82FA]',
	0x82FB : 'Unassigned [0x82FB]',
	0x82FC : 'Unassigned [0x82FC]',
	0x82FD : 'Unassigned [0x82FD]',
	0x82FE : 'Unassigned [0x82FE]',
	0x82FF : 'Unassigned [0x82FF]',
	0x8300 : 'Unassigned [0x8300]',
	0x8301 : 'Unassigned [0x8301]',
	0x8302 : 'Unassigned [0x8302]',
	0x8303 : 'Unassigned [0x8303]',
	0x8304 : 'Unassigned [0x8304]',
	0x8305 : 'Unassigned [0x8305]',
	0x8306 : 'Unassigned [0x8306]',
	0x8307 : 'Unassigned [0x8307]',
	0x8308 : 'Unassigned [0x8308]',
	0x8309 : 'Unassigned [0x8309]',
	0x830A : 'Unassigned [0x830A]',
	0x830B : 'Unassigned [0x830B]',
	0x830C : 'Unassigned [0x830C]',
	0x830D : 'Unassigned [0x830D]',
	0x830E : 'Unassigned [0x830E]',
	0x830F : 'Unassigned [0x830F]',
	0x8310 : 'Unassigned [0x8310]',
	0x8311 : 'Unassigned [0x8311]',
	0x8312 : 'Unassigned [0x8312]',
	0x8313 : 'Unassigned [0x8313]',
	0x8314 : 'Unassigned [0x8314]',
	0x8315 : 'Unassigned [0x8315]',
	0x8316 : 'Unassigned [0x8316]',
	0x8317 : 'Unassigned [0x8317]',
	0x8318 : 'Unassigned [0x8318]',
	0x8319 : 'Unassigned [0x8319]',
	0x831A : 'Unassigned [0x831A]',
	0x831B : 'Unassigned [0x831B]',
	0x831C : 'Unassigned [0x831C]',
	0x831D : 'Unassigned [0x831D]',
	0x831E : 'Unassigned [0x831E]',
	0x831F : 'Unassigned [0x831F]',
	0x8320 : 'Unassigned [0x8320]',
	0x8321 : 'Unassigned [0x8321]',
	0x8322 : 'Unassigned [0x8322]',
	0x8323 : 'Unassigned [0x8323]',
	0x8324 : 'Unassigned [0x8324]',
	0x8325 : 'Unassigned [0x8325]',
	0x8326 : 'Unassigned [0x8326]',
	0x8327 : 'Unassigned [0x8327]',
	0x8328 : 'Unassigned [0x8328]',
	0x8329 : 'Unassigned [0x8329]',
	0x832A : 'Unassigned [0x832A]',
	0x832B : 'Unassigned [0x832B]',
	0x832C : 'Unassigned [0x832C]',
	0x832D : 'Unassigned [0x832D]',
	0x832E : 'Unassigned [0x832E]',
	0x832F : 'Unassigned [0x832F]',
	0x8330 : 'Unassigned [0x8330]',
	0x8331 : 'Unassigned [0x8331]',
	0x8332 : 'Unassigned [0x8332]',
	0x8333 : 'Unassigned [0x8333]',
	0x8334 : 'Unassigned [0x8334]',
	0x8335 : 'Unassigned [0x8335]',
	0x8336 : 'Unassigned [0x8336]',
	0x8337 : 'Unassigned [0x8337]',
	0x8338 : 'Unassigned [0x8338]',
	0x8339 : 'Unassigned [0x8339]',
	0x833A : 'Unassigned [0x833A]',
	0x833B : 'Unassigned [0x833B]',
	0x833C : 'Unassigned [0x833C]',
	0x833D : 'Unassigned [0x833D]',
	0x833E : 'Unassigned [0x833E]',
	0x833F : 'Unassigned [0x833F]',
	0x8340 : 'Unassigned [0x8340]',
	0x8341 : 'Unassigned [0x8341]',
	0x8342 : 'Unassigned [0x8342]',
	0x8343 : 'Unassigned [0x8343]',
	0x8344 : 'Unassigned [0x8344]',
	0x8345 : 'Unassigned [0x8345]',
	0x8346 : 'Unassigned [0x8346]',
	0x8347 : 'Unassigned [0x8347]',
	0x8348 : 'Unassigned [0x8348]',
	0x8349 : 'Unassigned [0x8349]',
	0x834A : 'Unassigned [0x834A]',
	0x834B : 'Unassigned [0x834B]',
	0x834C : 'Unassigned [0x834C]',
	0x834D : 'Unassigned [0x834D]',
	0x834E : 'Unassigned [0x834E]',
	0x834F : 'Unassigned [0x834F]',
	0x8350 : 'Unassigned [0x8350]',
	0x8351 : 'Unassigned [0x8351]',
	0x8352 : 'Unassigned [0x8352]',
	0x8353 : 'Unassigned [0x8353]',
	0x8354 : 'Unassigned [0x8354]',
	0x8355 : 'Unassigned [0x8355]',
	0x8356 : 'Unassigned [0x8356]',
	0x8357 : 'Unassigned [0x8357]',
	0x8358 : 'Unassigned [0x8358]',
	0x8359 : 'Unassigned [0x8359]',
	0x835A : 'Unassigned [0x835A]',
	0x835B : 'Unassigned [0x835B]',
	0x835C : 'Unassigned [0x835C]',
	0x835D : 'Unassigned [0x835D]',
	0x835E : 'Unassigned [0x835E]',
	0x835F : 'Unassigned [0x835F]',
	0x8360 : 'Unassigned [0x8360]',
	0x8361 : 'Unassigned [0x8361]',
	0x8362 : 'Unassigned [0x8362]',
	0x8363 : 'Unassigned [0x8363]',
	0x8364 : 'Unassigned [0x8364]',
	0x8365 : 'Unassigned [0x8365]',
	0x8366 : 'Unassigned [0x8366]',
	0x8367 : 'Unassigned [0x8367]',
	0x8368 : 'Unassigned [0x8368]',
	0x8369 : 'Unassigned [0x8369]',
	0x836A : 'Unassigned [0x836A]',
	0x836B : 'Unassigned [0x836B]',
	0x836C : 'Unassigned [0x836C]',
	0x836D : 'Unassigned [0x836D]',
	0x836E : 'Unassigned [0x836E]',
	0x836F : 'Unassigned [0x836F]',
	0x8370 : 'Unassigned [0x8370]',
	0x8371 : 'Unassigned [0x8371]',
	0x8372 : 'Unassigned [0x8372]',
	0x8373 : 'Unassigned [0x8373]',
	0x8374 : 'Unassigned [0x8374]',
	0x8375 : 'Unassigned [0x8375]',
	0x8376 : 'Unassigned [0x8376]',
	0x8377 : 'Unassigned [0x8377]',
	0x8378 : 'Unassigned [0x8378]',
	0x8379 : 'Unassigned [0x8379]',
	0x837A : 'Unassigned [0x837A]',
	0x837B : 'Unassigned [0x837B]',
	0x837C : 'Unassigned [0x837C]',
	0x837D : 'Unassigned [0x837D]',
	0x837E : 'Unassigned [0x837E]',
	0x837F : 'Unassigned [0x837F]',
	0x8380 : 'Unassigned [0x8380]',
	0x8381 : 'Unassigned [0x8381]',
	0x8382 : 'Unassigned [0x8382]',
	0x8383 : 'Unassigned [0x8383]',
	0x8384 : 'Unassigned [0x8384]',
	0x8385 : 'Unassigned [0x8385]',
	0x8386 : 'Unassigned [0x8386]',
	0x8387 : 'Unassigned [0x8387]',
	0x8388 : 'Unassigned [0x8388]',
	0x8389 : 'Unassigned [0x8389]',
	0x838A : 'Unassigned [0x838A]',
	0x838B : 'Unassigned [0x838B]',
	0x838C : 'Unassigned [0x838C]',
	0x838D : 'Unassigned [0x838D]',
	0x838E : 'Unassigned [0x838E]',
	0x838F : 'Unassigned [0x838F]',
	0x8390 : 'Unassigned [0x8390]',
	0x8391 : 'Unassigned [0x8391]',
	0x8392 : 'Unassigned [0x8392]',
	0x8393 : 'Unassigned [0x8393]',
	0x8394 : 'Unassigned [0x8394]',
	0x8395 : 'Unassigned [0x8395]',
	0x8396 : 'Unassigned [0x8396]',
	0x8397 : 'Unassigned [0x8397]',
	0x8398 : 'Unassigned [0x8398]',
	0x8399 : 'Unassigned [0x8399]',
	0x839A : 'Unassigned [0x839A]',
	0x839B : 'Unassigned [0x839B]',
	0x839C : 'Unassigned [0x839C]',
	0x839D : 'Unassigned [0x839D]',
	0x839E : 'Unassigned [0x839E]',
	0x839F : 'Unassigned [0x839F]',
	0x83A0 : 'Unassigned [0x83A0]',
	0x83A1 : 'Unassigned [0x83A1]',
	0x83A2 : 'Unassigned [0x83A2]',
	0x83A3 : 'Unassigned [0x83A3]',
	0x83A4 : 'Unassigned [0x83A4]',
	0x83A5 : 'Unassigned [0x83A5]',
	0x83A6 : 'Unassigned [0x83A6]',
	0x83A7 : 'Unassigned [0x83A7]',
	0x83A8 : 'Unassigned [0x83A8]',
	0x83A9 : 'Unassigned [0x83A9]',
	0x83AA : 'Unassigned [0x83AA]',
	0x83AB : 'Unassigned [0x83AB]',
	0x83AC : 'Unassigned [0x83AC]',
	0x83AD : 'Unassigned [0x83AD]',
	0x83AE : 'Unassigned [0x83AE]',
	0x83AF : 'Unassigned [0x83AF]',
	0x83B0 : 'Unassigned [0x83B0]',
	0x83B1 : 'Unassigned [0x83B1]',
	0x83B2 : 'Unassigned [0x83B2]',
	0x83B3 : 'Unassigned [0x83B3]',
	0x83B4 : 'Unassigned [0x83B4]',
	0x83B5 : 'Unassigned [0x83B5]',
	0x83B6 : 'Unassigned [0x83B6]',
	0x83B7 : 'Unassigned [0x83B7]',
	0x83B8 : 'Unassigned [0x83B8]',
	0x83B9 : 'Unassigned [0x83B9]',
	0x83BA : 'Unassigned [0x83BA]',
	0x83BB : 'Unassigned [0x83BB]',
	0x83BC : 'Unassigned [0x83BC]',
	0x83BD : 'Unassigned [0x83BD]',
	0x83BE : 'Unassigned [0x83BE]',
	0x83BF : 'Unassigned [0x83BF]',
	0x83C0 : 'Unassigned [0x83C0]',
	0x83C1 : 'Unassigned [0x83C1]',
	0x83C2 : 'Unassigned [0x83C2]',
	0x83C3 : 'Unassigned [0x83C3]',
	0x83C4 : 'Unassigned [0x83C4]',
	0x83C5 : 'Unassigned [0x83C5]',
	0x83C6 : 'Unassigned [0x83C6]',
	0x83C7 : 'Unassigned [0x83C7]',
	0x83C8 : 'Unassigned [0x83C8]',
	0x83C9 : 'Unassigned [0x83C9]',
	0x83CA : 'Unassigned [0x83CA]',
	0x83CB : 'Unassigned [0x83CB]',
	0x83CC : 'Unassigned [0x83CC]',
	0x83CD : 'Unassigned [0x83CD]',
	0x83CE : 'Unassigned [0x83CE]',
	0x83CF : 'Unassigned [0x83CF]',
	0x83D0 : 'Unassigned [0x83D0]',
	0x83D1 : 'Unassigned [0x83D1]',
	0x83D2 : 'Unassigned [0x83D2]',
	0x83D3 : 'Unassigned [0x83D3]',
	0x83D4 : 'Unassigned [0x83D4]',
	0x83D5 : 'Unassigned [0x83D5]',
	0x83D6 : 'Unassigned [0x83D6]',
	0x83D7 : 'Unassigned [0x83D7]',
	0x83D8 : 'Unassigned [0x83D8]',
	0x83D9 : 'Unassigned [0x83D9]',
	0x83DA : 'Unassigned [0x83DA]',
	0x83DB : 'Unassigned [0x83DB]',
	0x83DC : 'Unassigned [0x83DC]',
	0x83DD : 'Unassigned [0x83DD]',
	0x83DE : 'Unassigned [0x83DE]',
	0x83DF : 'Unassigned [0x83DF]',
	0x83E0 : 'Unassigned [0x83E0]',
	0x83E1 : 'Unassigned [0x83E1]',
	0x83E2 : 'Unassigned [0x83E2]',
	0x83E3 : 'Unassigned [0x83E3]',
	0x83E4 : 'Unassigned [0x83E4]',
	0x83E5 : 'Unassigned [0x83E5]',
	0x83E6 : 'Unassigned [0x83E6]',
	0x83E7 : 'Unassigned [0x83E7]',
	0x83E8 : 'Unassigned [0x83E8]',
	0x83E9 : 'Unassigned [0x83E9]',
	0x83EA : 'Unassigned [0x83EA]',
	0x83EB : 'Unassigned [0x83EB]',
	0x83EC : 'Unassigned [0x83EC]',
	0x83ED : 'Unassigned [0x83ED]',
	0x83EE : 'Unassigned [0x83EE]',
	0x83EF : 'Unassigned [0x83EF]',
	0x83F0 : 'Unassigned [0x83F0]',
	0x83F1 : 'Unassigned [0x83F1]',
	0x83F2 : 'Unassigned [0x83F2]',
	0x83F3 : 'Unassigned [0x83F3]',
	0x83F4 : 'Unassigned [0x83F4]',
	0x83F5 : 'Unassigned [0x83F5]',
	0x83F6 : 'Unassigned [0x83F6]',
	0x83F7 : 'Unassigned [0x83F7]',
	0x83F8 : 'Unassigned [0x83F8]',
	0x83F9 : 'Unassigned [0x83F9]',
	0x83FA : 'Unassigned [0x83FA]',
	0x83FB : 'Unassigned [0x83FB]',
	0x83FC : 'Unassigned [0x83FC]',
	0x83FD : 'Unassigned [0x83FD]',
	0x83FE : 'Unassigned [0x83FE]',
	0x83FF : 'Unassigned [0x83FF]',
	0x8400 : 'Unassigned [0x8400]',
	0x8401 : 'Unassigned [0x8401]',
	0x8402 : 'Unassigned [0x8402]',
	0x8403 : 'Unassigned [0x8403]',
	0x8404 : 'Unassigned [0x8404]',
	0x8405 : 'Unassigned [0x8405]',
	0x8406 : 'Unassigned [0x8406]',
	0x8407 : 'Unassigned [0x8407]',
	0x8408 : 'Unassigned [0x8408]',
	0x8409 : 'Unassigned [0x8409]',
	0x840A : 'Unassigned [0x840A]',
	0x840B : 'Unassigned [0x840B]',
	0x840C : 'Unassigned [0x840C]',
	0x840D : 'Unassigned [0x840D]',
	0x840E : 'Unassigned [0x840E]',
	0x840F : 'Unassigned [0x840F]',
	0x8410 : 'Unassigned [0x8410]',
	0x8411 : 'Unassigned [0x8411]',
	0x8412 : 'Unassigned [0x8412]',
	0x8413 : 'Unassigned [0x8413]',
	0x8414 : 'Unassigned [0x8414]',
	0x8415 : 'Unassigned [0x8415]',
	0x8416 : 'Unassigned [0x8416]',
	0x8417 : 'Unassigned [0x8417]',
	0x8418 : 'Unassigned [0x8418]',
	0x8419 : 'Unassigned [0x8419]',
	0x841A : 'Unassigned [0x841A]',
	0x841B : 'Unassigned [0x841B]',
	0x841C : 'Unassigned [0x841C]',
	0x841D : 'Unassigned [0x841D]',
	0x841E : 'Unassigned [0x841E]',
	0x841F : 'Unassigned [0x841F]',
	0x8420 : 'Unassigned [0x8420]',
	0x8421 : 'Unassigned [0x8421]',
	0x8422 : 'Unassigned [0x8422]',
	0x8423 : 'Unassigned [0x8423]',
	0x8424 : 'Unassigned [0x8424]',
	0x8425 : 'Unassigned [0x8425]',
	0x8426 : 'Unassigned [0x8426]',
	0x8427 : 'Unassigned [0x8427]',
	0x8428 : 'Unassigned [0x8428]',
	0x8429 : 'Unassigned [0x8429]',
	0x842A : 'Unassigned [0x842A]',
	0x842B : 'Unassigned [0x842B]',
	0x842C : 'Unassigned [0x842C]',
	0x842D : 'Unassigned [0x842D]',
	0x842E : 'Unassigned [0x842E]',
	0x842F : 'Unassigned [0x842F]',
	0x8430 : 'Unassigned [0x8430]',
	0x8431 : 'Unassigned [0x8431]',
	0x8432 : 'Unassigned [0x8432]',
	0x8433 : 'Unassigned [0x8433]',
	0x8434 : 'Unassigned [0x8434]',
	0x8435 : 'Unassigned [0x8435]',
	0x8436 : 'Unassigned [0x8436]',
	0x8437 : 'Unassigned [0x8437]',
	0x8438 : 'Unassigned [0x8438]',
	0x8439 : 'Unassigned [0x8439]',
	0x843A : 'Unassigned [0x843A]',
	0x843B : 'Unassigned [0x843B]',
	0x843C : 'Unassigned [0x843C]',
	0x843D : 'Unassigned [0x843D]',
	0x843E : 'Unassigned [0x843E]',
	0x843F : 'Unassigned [0x843F]',
	0x8440 : 'Unassigned [0x8440]',
	0x8441 : 'Unassigned [0x8441]',
	0x8442 : 'Unassigned [0x8442]',
	0x8443 : 'Unassigned [0x8443]',
	0x8444 : 'Unassigned [0x8444]',
	0x8445 : 'Unassigned [0x8445]',
	0x8446 : 'Unassigned [0x8446]',
	0x8447 : 'Unassigned [0x8447]',
	0x8448 : 'Unassigned [0x8448]',
	0x8449 : 'Unassigned [0x8449]',
	0x844A : 'Unassigned [0x844A]',
	0x844B : 'Unassigned [0x844B]',
	0x844C : 'Unassigned [0x844C]',
	0x844D : 'Unassigned [0x844D]',
	0x844E : 'Unassigned [0x844E]',
	0x844F : 'Unassigned [0x844F]',
	0x8450 : 'Unassigned [0x8450]',
	0x8451 : 'Unassigned [0x8451]',
	0x8452 : 'Unassigned [0x8452]',
	0x8453 : 'Unassigned [0x8453]',
	0x8454 : 'Unassigned [0x8454]',
	0x8455 : 'Unassigned [0x8455]',
	0x8456 : 'Unassigned [0x8456]',
	0x8457 : 'Unassigned [0x8457]',
	0x8458 : 'Unassigned [0x8458]',
	0x8459 : 'Unassigned [0x8459]',
	0x845A : 'Unassigned [0x845A]',
	0x845B : 'Unassigned [0x845B]',
	0x845C : 'Unassigned [0x845C]',
	0x845D : 'Unassigned [0x845D]',
	0x845E : 'Unassigned [0x845E]',
	0x845F : 'Unassigned [0x845F]',
	0x8460 : 'Unassigned [0x8460]',
	0x8461 : 'Unassigned [0x8461]',
	0x8462 : 'Unassigned [0x8462]',
	0x8463 : 'Unassigned [0x8463]',
	0x8464 : 'Unassigned [0x8464]',
	0x8465 : 'Unassigned [0x8465]',
	0x8466 : 'Unassigned [0x8466]',
	0x8467 : 'Unassigned [0x8467]',
	0x8468 : 'Unassigned [0x8468]',
	0x8469 : 'Unassigned [0x8469]',
	0x846A : 'Unassigned [0x846A]',
	0x846B : 'Unassigned [0x846B]',
	0x846C : 'Unassigned [0x846C]',
	0x846D : 'Unassigned [0x846D]',
	0x846E : 'Unassigned [0x846E]',
	0x846F : 'Unassigned [0x846F]',
	0x8470 : 'Unassigned [0x8470]',
	0x8471 : 'Unassigned [0x8471]',
	0x8472 : 'Unassigned [0x8472]',
	0x8473 : 'Unassigned [0x8473]',
	0x8474 : 'Unassigned [0x8474]',
	0x8475 : 'Unassigned [0x8475]',
	0x8476 : 'Unassigned [0x8476]',
	0x8477 : 'Unassigned [0x8477]',
	0x8478 : 'Unassigned [0x8478]',
	0x8479 : 'Unassigned [0x8479]',
	0x847A : 'Unassigned [0x847A]',
	0x847B : 'Unassigned [0x847B]',
	0x847C : 'Unassigned [0x847C]',
	0x847D : 'Unassigned [0x847D]',
	0x847E : 'Unassigned [0x847E]',
	0x847F : 'Unassigned [0x847F]',
	0x8480 : 'Unassigned [0x8480]',
	0x8481 : 'Unassigned [0x8481]',
	0x8482 : 'Unassigned [0x8482]',
	0x8483 : 'Unassigned [0x8483]',
	0x8484 : 'Unassigned [0x8484]',
	0x8485 : 'Unassigned [0x8485]',
	0x8486 : 'Unassigned [0x8486]',
	0x8487 : 'Unassigned [0x8487]',
	0x8488 : 'Unassigned [0x8488]',
	0x8489 : 'Unassigned [0x8489]',
	0x848A : 'Unassigned [0x848A]',
	0x848B : 'Unassigned [0x848B]',
	0x848C : 'Unassigned [0x848C]',
	0x848D : 'Unassigned [0x848D]',
	0x848E : 'Unassigned [0x848E]',
	0x848F : 'Unassigned [0x848F]',
	0x8490 : 'Unassigned [0x8490]',
	0x8491 : 'Unassigned [0x8491]',
	0x8492 : 'Unassigned [0x8492]',
	0x8493 : 'Unassigned [0x8493]',
	0x8494 : 'Unassigned [0x8494]',
	0x8495 : 'Unassigned [0x8495]',
	0x8496 : 'Unassigned [0x8496]',
	0x8497 : 'Unassigned [0x8497]',
	0x8498 : 'Unassigned [0x8498]',
	0x8499 : 'Unassigned [0x8499]',
	0x849A : 'Unassigned [0x849A]',
	0x849B : 'Unassigned [0x849B]',
	0x849C : 'Unassigned [0x849C]',
	0x849D : 'Unassigned [0x849D]',
	0x849E : 'Unassigned [0x849E]',
	0x849F : 'Unassigned [0x849F]',
	0x84A0 : 'Unassigned [0x84A0]',
	0x84A1 : 'Unassigned [0x84A1]',
	0x84A2 : 'Unassigned [0x84A2]',
	0x84A3 : 'Unassigned [0x84A3]',
	0x84A4 : 'Unassigned [0x84A4]',
	0x84A5 : 'Unassigned [0x84A5]',
	0x84A6 : 'Unassigned [0x84A6]',
	0x84A7 : 'Unassigned [0x84A7]',
	0x84A8 : 'Unassigned [0x84A8]',
	0x84A9 : 'Unassigned [0x84A9]',
	0x84AA : 'Unassigned [0x84AA]',
	0x84AB : 'Unassigned [0x84AB]',
	0x84AC : 'Unassigned [0x84AC]',
	0x84AD : 'Unassigned [0x84AD]',
	0x84AE : 'Unassigned [0x84AE]',
	0x84AF : 'Unassigned [0x84AF]',
	0x84B0 : 'Unassigned [0x84B0]',
	0x84B1 : 'Unassigned [0x84B1]',
	0x84B2 : 'Unassigned [0x84B2]',
	0x84B3 : 'Unassigned [0x84B3]',
	0x84B4 : 'Unassigned [0x84B4]',
	0x84B5 : 'Unassigned [0x84B5]',
	0x84B6 : 'Unassigned [0x84B6]',
	0x84B7 : 'Unassigned [0x84B7]',
	0x84B8 : 'Unassigned [0x84B8]',
	0x84B9 : 'Unassigned [0x84B9]',
	0x84BA : 'Unassigned [0x84BA]',
	0x84BB : 'Unassigned [0x84BB]',
	0x84BC : 'Unassigned [0x84BC]',
	0x84BD : 'Unassigned [0x84BD]',
	0x84BE : 'Unassigned [0x84BE]',
	0x84BF : 'Unassigned [0x84BF]',
	0x84C0 : 'Unassigned [0x84C0]',
	0x84C1 : 'Unassigned [0x84C1]',
	0x84C2 : 'Unassigned [0x84C2]',
	0x84C3 : 'Unassigned [0x84C3]',
	0x84C4 : 'Unassigned [0x84C4]',
	0x84C5 : 'Unassigned [0x84C5]',
	0x84C6 : 'Unassigned [0x84C6]',
	0x84C7 : 'Unassigned [0x84C7]',
	0x84C8 : 'Unassigned [0x84C8]',
	0x84C9 : 'Unassigned [0x84C9]',
	0x84CA : 'Unassigned [0x84CA]',
	0x84CB : 'Unassigned [0x84CB]',
	0x84CC : 'Unassigned [0x84CC]',
	0x84CD : 'Unassigned [0x84CD]',
	0x84CE : 'Unassigned [0x84CE]',
	0x84CF : 'Unassigned [0x84CF]',
	0x84D0 : 'Unassigned [0x84D0]',
	0x84D1 : 'Unassigned [0x84D1]',
	0x84D2 : 'Unassigned [0x84D2]',
	0x84D3 : 'Unassigned [0x84D3]',
	0x84D4 : 'Unassigned [0x84D4]',
	0x84D5 : 'Unassigned [0x84D5]',
	0x84D6 : 'Unassigned [0x84D6]',
	0x84D7 : 'Unassigned [0x84D7]',
	0x84D8 : 'Unassigned [0x84D8]',
	0x84D9 : 'Unassigned [0x84D9]',
	0x84DA : 'Unassigned [0x84DA]',
	0x84DB : 'Unassigned [0x84DB]',
	0x84DC : 'Unassigned [0x84DC]',
	0x84DD : 'Unassigned [0x84DD]',
	0x84DE : 'Unassigned [0x84DE]',
	0x84DF : 'Unassigned [0x84DF]',
	0x84E0 : 'Unassigned [0x84E0]',
	0x84E1 : 'Unassigned [0x84E1]',
	0x84E2 : 'Unassigned [0x84E2]',
	0x84E3 : 'Unassigned [0x84E3]',
	0x84E4 : 'Unassigned [0x84E4]',
	0x84E5 : 'Unassigned [0x84E5]',
	0x84E6 : 'Unassigned [0x84E6]',
	0x84E7 : 'Unassigned [0x84E7]',
	0x84E8 : 'Unassigned [0x84E8]',
	0x84E9 : 'Unassigned [0x84E9]',
	0x84EA : 'Unassigned [0x84EA]',
	0x84EB : 'Unassigned [0x84EB]',
	0x84EC : 'Unassigned [0x84EC]',
	0x84ED : 'Unassigned [0x84ED]',
	0x84EE : 'Unassigned [0x84EE]',
	0x84EF : 'Unassigned [0x84EF]',
	0x84F0 : 'Unassigned [0x84F0]',
	0x84F1 : 'Unassigned [0x84F1]',
	0x84F2 : 'Unassigned [0x84F2]',
	0x84F3 : 'Unassigned [0x84F3]',
	0x84F4 : 'Unassigned [0x84F4]',
	0x84F5 : 'Unassigned [0x84F5]',
	0x84F6 : 'Unassigned [0x84F6]',
	0x84F7 : 'Unassigned [0x84F7]',
	0x84F8 : 'Unassigned [0x84F8]',
	0x84F9 : 'Unassigned [0x84F9]',
	0x84FA : 'Unassigned [0x84FA]',
	0x84FB : 'Unassigned [0x84FB]',
	0x84FC : 'Unassigned [0x84FC]',
	0x84FD : 'Unassigned [0x84FD]',
	0x84FE : 'Unassigned [0x84FE]',
	0x84FF : 'Unassigned [0x84FF]',
	0x8500 : 'Unassigned [0x8500]',
	0x8501 : 'Unassigned [0x8501]',
	0x8502 : 'Unassigned [0x8502]',
	0x8503 : 'Unassigned [0x8503]',
	0x8504 : 'Unassigned [0x8504]',
	0x8505 : 'Unassigned [0x8505]',
	0x8506 : 'Unassigned [0x8506]',
	0x8507 : 'Unassigned [0x8507]',
	0x8508 : 'Unassigned [0x8508]',
	0x8509 : 'Unassigned [0x8509]',
	0x850A : 'Unassigned [0x850A]',
	0x850B : 'Unassigned [0x850B]',
	0x850C : 'Unassigned [0x850C]',
	0x850D : 'Unassigned [0x850D]',
	0x850E : 'Unassigned [0x850E]',
	0x850F : 'Unassigned [0x850F]',
	0x8510 : 'Unassigned [0x8510]',
	0x8511 : 'Unassigned [0x8511]',
	0x8512 : 'Unassigned [0x8512]',
	0x8513 : 'Unassigned [0x8513]',
	0x8514 : 'Unassigned [0x8514]',
	0x8515 : 'Unassigned [0x8515]',
	0x8516 : 'Unassigned [0x8516]',
	0x8517 : 'Unassigned [0x8517]',
	0x8518 : 'Unassigned [0x8518]',
	0x8519 : 'Unassigned [0x8519]',
	0x851A : 'Unassigned [0x851A]',
	0x851B : 'Unassigned [0x851B]',
	0x851C : 'Unassigned [0x851C]',
	0x851D : 'Unassigned [0x851D]',
	0x851E : 'Unassigned [0x851E]',
	0x851F : 'Unassigned [0x851F]',
	0x8520 : 'Unassigned [0x8520]',
	0x8521 : 'Unassigned [0x8521]',
	0x8522 : 'Unassigned [0x8522]',
	0x8523 : 'Unassigned [0x8523]',
	0x8524 : 'Unassigned [0x8524]',
	0x8525 : 'Unassigned [0x8525]',
	0x8526 : 'Unassigned [0x8526]',
	0x8527 : 'Unassigned [0x8527]',
	0x8528 : 'Unassigned [0x8528]',
	0x8529 : 'Unassigned [0x8529]',
	0x852A : 'Unassigned [0x852A]',
	0x852B : 'Unassigned [0x852B]',
	0x852C : 'Unassigned [0x852C]',
	0x852D : 'Unassigned [0x852D]',
	0x852E : 'Unassigned [0x852E]',
	0x852F : 'Unassigned [0x852F]',
	0x8530 : 'Unassigned [0x8530]',
	0x8531 : 'Unassigned [0x8531]',
	0x8532 : 'Unassigned [0x8532]',
	0x8533 : 'Unassigned [0x8533]',
	0x8534 : 'Unassigned [0x8534]',
	0x8535 : 'Unassigned [0x8535]',
	0x8536 : 'Unassigned [0x8536]',
	0x8537 : 'Unassigned [0x8537]',
	0x8538 : 'Unassigned [0x8538]',
	0x8539 : 'Unassigned [0x8539]',
	0x853A : 'Unassigned [0x853A]',
	0x853B : 'Unassigned [0x853B]',
	0x853C : 'Unassigned [0x853C]',
	0x853D : 'Unassigned [0x853D]',
	0x853E : 'Unassigned [0x853E]',
	0x853F : 'Unassigned [0x853F]',
	0x8540 : 'Unassigned [0x8540]',
	0x8541 : 'Unassigned [0x8541]',
	0x8542 : 'Unassigned [0x8542]',
	0x8543 : 'Unassigned [0x8543]',
	0x8544 : 'Unassigned [0x8544]',
	0x8545 : 'Unassigned [0x8545]',
	0x8546 : 'Unassigned [0x8546]',
	0x8547 : 'Unassigned [0x8547]',
	0x8548 : 'Unassigned [0x8548]',
	0x8549 : 'Unassigned [0x8549]',
	0x854A : 'Unassigned [0x854A]',
	0x854B : 'Unassigned [0x854B]',
	0x854C : 'Unassigned [0x854C]',
	0x854D : 'Unassigned [0x854D]',
	0x854E : 'Unassigned [0x854E]',
	0x854F : 'Unassigned [0x854F]',
	0x8550 : 'Unassigned [0x8550]',
	0x8551 : 'Unassigned [0x8551]',
	0x8552 : 'Unassigned [0x8552]',
	0x8553 : 'Unassigned [0x8553]',
	0x8554 : 'Unassigned [0x8554]',
	0x8555 : 'Unassigned [0x8555]',
	0x8556 : 'Unassigned [0x8556]',
	0x8557 : 'Unassigned [0x8557]',
	0x8558 : 'Unassigned [0x8558]',
	0x8559 : 'Unassigned [0x8559]',
	0x855A : 'Unassigned [0x855A]',
	0x855B : 'Unassigned [0x855B]',
	0x855C : 'Unassigned [0x855C]',
	0x855D : 'Unassigned [0x855D]',
	0x855E : 'Unassigned [0x855E]',
	0x855F : 'Unassigned [0x855F]',
	0x8560 : 'Unassigned [0x8560]',
	0x8561 : 'Unassigned [0x8561]',
	0x8562 : 'Unassigned [0x8562]',
	0x8563 : 'Unassigned [0x8563]',
	0x8564 : 'Unassigned [0x8564]',
	0x8565 : 'Unassigned [0x8565]',
	0x8566 : 'Unassigned [0x8566]',
	0x8567 : 'Unassigned [0x8567]',
	0x8568 : 'Unassigned [0x8568]',
	0x8569 : 'Unassigned [0x8569]',
	0x856A : 'Unassigned [0x856A]',
	0x856B : 'Unassigned [0x856B]',
	0x856C : 'Unassigned [0x856C]',
	0x856D : 'Unassigned [0x856D]',
	0x856E : 'Unassigned [0x856E]',
	0x856F : 'Unassigned [0x856F]',
	0x8570 : 'Unassigned [0x8570]',
	0x8571 : 'Unassigned [0x8571]',
	0x8572 : 'Unassigned [0x8572]',
	0x8573 : 'Unassigned [0x8573]',
	0x8574 : 'Unassigned [0x8574]',
	0x8575 : 'Unassigned [0x8575]',
	0x8576 : 'Unassigned [0x8576]',
	0x8577 : 'Unassigned [0x8577]',
	0x8578 : 'Unassigned [0x8578]',
	0x8579 : 'Unassigned [0x8579]',
	0x857A : 'Unassigned [0x857A]',
	0x857B : 'Unassigned [0x857B]',
	0x857C : 'Unassigned [0x857C]',
	0x857D : 'Unassigned [0x857D]',
	0x857E : 'Unassigned [0x857E]',
	0x857F : 'Unassigned [0x857F]',
	0x8580 : 'Unassigned [0x8580]',
	0x8581 : 'Unassigned [0x8581]',
	0x8582 : 'Unassigned [0x8582]',
	0x8583 : 'Unassigned [0x8583]',
	0x8584 : 'Unassigned [0x8584]',
	0x8585 : 'Unassigned [0x8585]',
	0x8586 : 'Unassigned [0x8586]',
	0x8587 : 'Unassigned [0x8587]',
	0x8588 : 'Unassigned [0x8588]',
	0x8589 : 'Unassigned [0x8589]',
	0x858A : 'Unassigned [0x858A]',
	0x858B : 'Unassigned [0x858B]',
	0x858C : 'Unassigned [0x858C]',
	0x858D : 'Unassigned [0x858D]',
	0x858E : 'Unassigned [0x858E]',
	0x858F : 'Unassigned [0x858F]',
	0x8590 : 'Unassigned [0x8590]',
	0x8591 : 'Unassigned [0x8591]',
	0x8592 : 'Unassigned [0x8592]',
	0x8593 : 'Unassigned [0x8593]',
	0x8594 : 'Unassigned [0x8594]',
	0x8595 : 'Unassigned [0x8595]',
	0x8596 : 'Unassigned [0x8596]',
	0x8597 : 'Unassigned [0x8597]',
	0x8598 : 'Unassigned [0x8598]',
	0x8599 : 'Unassigned [0x8599]',
	0x859A : 'Unassigned [0x859A]',
	0x859B : 'Unassigned [0x859B]',
	0x859C : 'Unassigned [0x859C]',
	0x859D : 'Unassigned [0x859D]',
	0x859E : 'Unassigned [0x859E]',
	0x859F : 'Unassigned [0x859F]',
	0x85A0 : 'Unassigned [0x85A0]',
	0x85A1 : 'Unassigned [0x85A1]',
	0x85A2 : 'Unassigned [0x85A2]',
	0x85A3 : 'Unassigned [0x85A3]',
	0x85A4 : 'Unassigned [0x85A4]',
	0x85A5 : 'Unassigned [0x85A5]',
	0x85A6 : 'Unassigned [0x85A6]',
	0x85A7 : 'Unassigned [0x85A7]',
	0x85A8 : 'Unassigned [0x85A8]',
	0x85A9 : 'Unassigned [0x85A9]',
	0x85AA : 'Unassigned [0x85AA]',
	0x85AB : 'Unassigned [0x85AB]',
	0x85AC : 'Unassigned [0x85AC]',
	0x85AD : 'Unassigned [0x85AD]',
	0x85AE : 'Unassigned [0x85AE]',
	0x85AF : 'Unassigned [0x85AF]',
	0x85B0 : 'Unassigned [0x85B0]',
	0x85B1 : 'Unassigned [0x85B1]',
	0x85B2 : 'Unassigned [0x85B2]',
	0x85B3 : 'Unassigned [0x85B3]',
	0x85B4 : 'Unassigned [0x85B4]',
	0x85B5 : 'Unassigned [0x85B5]',
	0x85B6 : 'Unassigned [0x85B6]',
	0x85B7 : 'Unassigned [0x85B7]',
	0x85B8 : 'Unassigned [0x85B8]',
	0x85B9 : 'Unassigned [0x85B9]',
	0x85BA : 'Unassigned [0x85BA]',
	0x85BB : 'Unassigned [0x85BB]',
	0x85BC : 'Unassigned [0x85BC]',
	0x85BD : 'Unassigned [0x85BD]',
	0x85BE : 'Unassigned [0x85BE]',
	0x85BF : 'Unassigned [0x85BF]',
	0x85C0 : 'Unassigned [0x85C0]',
	0x85C1 : 'Unassigned [0x85C1]',
	0x85C2 : 'Unassigned [0x85C2]',
	0x85C3 : 'Unassigned [0x85C3]',
	0x85C4 : 'Unassigned [0x85C4]',
	0x85C5 : 'Unassigned [0x85C5]',
	0x85C6 : 'Unassigned [0x85C6]',
	0x85C7 : 'Unassigned [0x85C7]',
	0x85C8 : 'Unassigned [0x85C8]',
	0x85C9 : 'Unassigned [0x85C9]',
	0x85CA : 'Unassigned [0x85CA]',
	0x85CB : 'Unassigned [0x85CB]',
	0x85CC : 'Unassigned [0x85CC]',
	0x85CD : 'Unassigned [0x85CD]',
	0x85CE : 'Unassigned [0x85CE]',
	0x85CF : 'Unassigned [0x85CF]',
	0x85D0 : 'Unassigned [0x85D0]',
	0x85D1 : 'Unassigned [0x85D1]',
	0x85D2 : 'Unassigned [0x85D2]',
	0x85D3 : 'Unassigned [0x85D3]',
	0x85D4 : 'Unassigned [0x85D4]',
	0x85D5 : 'Unassigned [0x85D5]',
	0x85D6 : 'Unassigned [0x85D6]',
	0x85D7 : 'Unassigned [0x85D7]',
	0x85D8 : 'Unassigned [0x85D8]',
	0x85D9 : 'Unassigned [0x85D9]',
	0x85DA : 'Unassigned [0x85DA]',
	0x85DB : 'Unassigned [0x85DB]',
	0x85DC : 'Unassigned [0x85DC]',
	0x85DD : 'Unassigned [0x85DD]',
	0x85DE : 'Unassigned [0x85DE]',
	0x85DF : 'Unassigned [0x85DF]',
	0x85E0 : 'Unassigned [0x85E0]',
	0x85E1 : 'Unassigned [0x85E1]',
	0x85E2 : 'Unassigned [0x85E2]',
	0x85E3 : 'Unassigned [0x85E3]',
	0x85E4 : 'Unassigned [0x85E4]',
	0x85E5 : 'Unassigned [0x85E5]',
	0x85E6 : 'Unassigned [0x85E6]',
	0x85E7 : 'Unassigned [0x85E7]',
	0x85E8 : 'Unassigned [0x85E8]',
	0x85E9 : 'Unassigned [0x85E9]',
	0x85EA : 'Unassigned [0x85EA]',
	0x85EB : 'Unassigned [0x85EB]',
	0x85EC : 'Unassigned [0x85EC]',
	0x85ED : 'Unassigned [0x85ED]',
	0x85EE : 'Unassigned [0x85EE]',
	0x85EF : 'Unassigned [0x85EF]',
	0x85F0 : 'Unassigned [0x85F0]',
	0x85F1 : 'Unassigned [0x85F1]',
	0x85F2 : 'Unassigned [0x85F2]',
	0x85F3 : 'Unassigned [0x85F3]',
	0x85F4 : 'Unassigned [0x85F4]',
	0x85F5 : 'Unassigned [0x85F5]',
	0x85F6 : 'Unassigned [0x85F6]',
	0x85F7 : 'Unassigned [0x85F7]',
	0x85F8 : 'Unassigned [0x85F8]',
	0x85F9 : 'Unassigned [0x85F9]',
	0x85FA : 'Unassigned [0x85FA]',
	0x85FB : 'Unassigned [0x85FB]',
	0x85FC : 'Unassigned [0x85FC]',
	0x85FD : 'Unassigned [0x85FD]',
	0x85FE : 'Unassigned [0x85FE]',
	0x85FF : 'Unassigned [0x85FF]',
	0x8600 : 'Unassigned [0x8600]',
	0x8601 : 'Unassigned [0x8601]',
	0x8602 : 'Unassigned [0x8602]',
	0x8603 : 'Unassigned [0x8603]',
	0x8604 : 'Unassigned [0x8604]',
	0x8605 : 'Unassigned [0x8605]',
	0x8606 : 'Unassigned [0x8606]',
	0x8607 : 'Unassigned [0x8607]',
	0x8608 : 'Unassigned [0x8608]',
	0x8609 : 'Unassigned [0x8609]',
	0x860A : 'Unassigned [0x860A]',
	0x860B : 'Unassigned [0x860B]',
	0x860C : 'Unassigned [0x860C]',
	0x860D : 'Unassigned [0x860D]',
	0x860E : 'Unassigned [0x860E]',
	0x860F : 'Unassigned [0x860F]',
	0x8610 : 'Unassigned [0x8610]',
	0x8611 : 'Unassigned [0x8611]',
	0x8612 : 'Unassigned [0x8612]',
	0x8613 : 'Unassigned [0x8613]',
	0x8614 : 'Unassigned [0x8614]',
	0x8615 : 'Unassigned [0x8615]',
	0x8616 : 'Unassigned [0x8616]',
	0x8617 : 'Unassigned [0x8617]',
	0x8618 : 'Unassigned [0x8618]',
	0x8619 : 'Unassigned [0x8619]',
	0x861A : 'Unassigned [0x861A]',
	0x861B : 'Unassigned [0x861B]',
	0x861C : 'Unassigned [0x861C]',
	0x861D : 'Unassigned [0x861D]',
	0x861E : 'Unassigned [0x861E]',
	0x861F : 'Unassigned [0x861F]',
	0x8620 : 'Unassigned [0x8620]',
	0x8621 : 'Unassigned [0x8621]',
	0x8622 : 'Unassigned [0x8622]',
	0x8623 : 'Unassigned [0x8623]',
	0x8624 : 'Unassigned [0x8624]',
	0x8625 : 'Unassigned [0x8625]',
	0x8626 : 'Unassigned [0x8626]',
	0x8627 : 'Unassigned [0x8627]',
	0x8628 : 'Unassigned [0x8628]',
	0x8629 : 'Unassigned [0x8629]',
	0x862A : 'Unassigned [0x862A]',
	0x862B : 'Unassigned [0x862B]',
	0x862C : 'Unassigned [0x862C]',
	0x862D : 'Unassigned [0x862D]',
	0x862E : 'Unassigned [0x862E]',
	0x862F : 'Unassigned [0x862F]',
	0x8630 : 'Unassigned [0x8630]',
	0x8631 : 'Unassigned [0x8631]',
	0x8632 : 'Unassigned [0x8632]',
	0x8633 : 'Unassigned [0x8633]',
	0x8634 : 'Unassigned [0x8634]',
	0x8635 : 'Unassigned [0x8635]',
	0x8636 : 'Unassigned [0x8636]',
	0x8637 : 'Unassigned [0x8637]',
	0x8638 : 'Unassigned [0x8638]',
	0x8639 : 'Unassigned [0x8639]',
	0x863A : 'Unassigned [0x863A]',
	0x863B : 'Unassigned [0x863B]',
	0x863C : 'Unassigned [0x863C]',
	0x863D : 'Unassigned [0x863D]',
	0x863E : 'Unassigned [0x863E]',
	0x863F : 'Unassigned [0x863F]',
	0x8640 : 'Unassigned [0x8640]',
	0x8641 : 'Unassigned [0x8641]',
	0x8642 : 'Unassigned [0x8642]',
	0x8643 : 'Unassigned [0x8643]',
	0x8644 : 'Unassigned [0x8644]',
	0x8645 : 'Unassigned [0x8645]',
	0x8646 : 'Unassigned [0x8646]',
	0x8647 : 'Unassigned [0x8647]',
	0x8648 : 'Unassigned [0x8648]',
	0x8649 : 'Unassigned [0x8649]',
	0x864A : 'Unassigned [0x864A]',
	0x864B : 'Unassigned [0x864B]',
	0x864C : 'Unassigned [0x864C]',
	0x864D : 'Unassigned [0x864D]',
	0x864E : 'Unassigned [0x864E]',
	0x864F : 'Unassigned [0x864F]',
	0x8650 : 'Unassigned [0x8650]',
	0x8651 : 'Unassigned [0x8651]',
	0x8652 : 'Unassigned [0x8652]',
	0x8653 : 'Unassigned [0x8653]',
	0x8654 : 'Unassigned [0x8654]',
	0x8655 : 'Unassigned [0x8655]',
	0x8656 : 'Unassigned [0x8656]',
	0x8657 : 'Unassigned [0x8657]',
	0x8658 : 'Unassigned [0x8658]',
	0x8659 : 'Unassigned [0x8659]',
	0x865A : 'Unassigned [0x865A]',
	0x865B : 'Unassigned [0x865B]',
	0x865C : 'Unassigned [0x865C]',
	0x865D : 'Unassigned [0x865D]',
	0x865E : 'Unassigned [0x865E]',
	0x865F : 'Unassigned [0x865F]',
	0x8660 : 'Unassigned [0x8660]',
	0x8661 : 'Unassigned [0x8661]',
	0x8662 : 'Unassigned [0x8662]',
	0x8663 : 'Unassigned [0x8663]',
	0x8664 : 'Unassigned [0x8664]',
	0x8665 : 'Unassigned [0x8665]',
	0x8666 : 'Unassigned [0x8666]',
	0x8667 : 'Unassigned [0x8667]',
	0x8668 : 'Unassigned [0x8668]',
	0x8669 : 'Unassigned [0x8669]',
	0x866A : 'Unassigned [0x866A]',
	0x866B : 'Unassigned [0x866B]',
	0x866C : 'Unassigned [0x866C]',
	0x866D : 'Unassigned [0x866D]',
	0x866E : 'Unassigned [0x866E]',
	0x866F : 'Unassigned [0x866F]',
	0x8670 : 'Unassigned [0x8670]',
	0x8671 : 'Unassigned [0x8671]',
	0x8672 : 'Unassigned [0x8672]',
	0x8673 : 'Unassigned [0x8673]',
	0x8674 : 'Unassigned [0x8674]',
	0x8675 : 'Unassigned [0x8675]',
	0x8676 : 'Unassigned [0x8676]',
	0x8677 : 'Unassigned [0x8677]',
	0x8678 : 'Unassigned [0x8678]',
	0x8679 : 'Unassigned [0x8679]',
	0x867A : 'Unassigned [0x867A]',
	0x867B : 'Unassigned [0x867B]',
	0x867C : 'Unassigned [0x867C]',
	0x867D : 'Unassigned [0x867D]',
	0x867E : 'Unassigned [0x867E]',
	0x867F : 'Unassigned [0x867F]',
	0x8680 : 'Unassigned [0x8680]',
	0x8681 : 'Unassigned [0x8681]',
	0x8682 : 'Unassigned [0x8682]',
	0x8683 : 'Unassigned [0x8683]',
	0x8684 : 'Unassigned [0x8684]',
	0x8685 : 'Unassigned [0x8685]',
	0x8686 : 'Unassigned [0x8686]',
	0x8687 : 'Unassigned [0x8687]',
	0x8688 : 'Unassigned [0x8688]',
	0x8689 : 'Unassigned [0x8689]',
	0x868A : 'Unassigned [0x868A]',
	0x868B : 'Unassigned [0x868B]',
	0x868C : 'Unassigned [0x868C]',
	0x868D : 'Unassigned [0x868D]',
	0x868E : 'Unassigned [0x868E]',
	0x868F : 'Unassigned [0x868F]',
	0x8690 : 'Unassigned [0x8690]',
	0x8691 : 'Unassigned [0x8691]',
	0x8692 : 'Unassigned [0x8692]',
	0x8693 : 'Unassigned [0x8693]',
	0x8694 : 'Unassigned [0x8694]',
	0x8695 : 'Unassigned [0x8695]',
	0x8696 : 'Unassigned [0x8696]',
	0x8697 : 'Unassigned [0x8697]',
	0x8698 : 'Unassigned [0x8698]',
	0x8699 : 'Unassigned [0x8699]',
	0x869A : 'Unassigned [0x869A]',
	0x869B : 'Unassigned [0x869B]',
	0x869C : 'Unassigned [0x869C]',
	0x869D : 'Unassigned [0x869D]',
	0x869E : 'Unassigned [0x869E]',
	0x869F : 'Unassigned [0x869F]',
	0x86A0 : 'Unassigned [0x86A0]',
	0x86A1 : 'Unassigned [0x86A1]',
	0x86A2 : 'Unassigned [0x86A2]',
	0x86A3 : 'Unassigned [0x86A3]',
	0x86A4 : 'Unassigned [0x86A4]',
	0x86A5 : 'Unassigned [0x86A5]',
	0x86A6 : 'Unassigned [0x86A6]',
	0x86A7 : 'Unassigned [0x86A7]',
	0x86A8 : 'Unassigned [0x86A8]',
	0x86A9 : 'Unassigned [0x86A9]',
	0x86AA : 'Unassigned [0x86AA]',
	0x86AB : 'Unassigned [0x86AB]',
	0x86AC : 'Unassigned [0x86AC]',
	0x86AD : 'Unassigned [0x86AD]',
	0x86AE : 'Unassigned [0x86AE]',
	0x86AF : 'Unassigned [0x86AF]',
	0x86B0 : 'Unassigned [0x86B0]',
	0x86B1 : 'Unassigned [0x86B1]',
	0x86B2 : 'Unassigned [0x86B2]',
	0x86B3 : 'Unassigned [0x86B3]',
	0x86B4 : 'Unassigned [0x86B4]',
	0x86B5 : 'Unassigned [0x86B5]',
	0x86B6 : 'Unassigned [0x86B6]',
	0x86B7 : 'Unassigned [0x86B7]',
	0x86B8 : 'Unassigned [0x86B8]',
	0x86B9 : 'Unassigned [0x86B9]',
	0x86BA : 'Unassigned [0x86BA]',
	0x86BB : 'Unassigned [0x86BB]',
	0x86BC : 'Unassigned [0x86BC]',
	0x86BD : 'Unassigned [0x86BD]',
	0x86BE : 'Unassigned [0x86BE]',
	0x86BF : 'Unassigned [0x86BF]',
	0x86C0 : 'Unassigned [0x86C0]',
	0x86C1 : 'Unassigned [0x86C1]',
	0x86C2 : 'Unassigned [0x86C2]',
	0x86C3 : 'Unassigned [0x86C3]',
	0x86C4 : 'Unassigned [0x86C4]',
	0x86C5 : 'Unassigned [0x86C5]',
	0x86C6 : 'Unassigned [0x86C6]',
	0x86C7 : 'Unassigned [0x86C7]',
	0x86C8 : 'Unassigned [0x86C8]',
	0x86C9 : 'Unassigned [0x86C9]',
	0x86CA : 'Unassigned [0x86CA]',
	0x86CB : 'Unassigned [0x86CB]',
	0x86CC : 'Unassigned [0x86CC]',
	0x86CD : 'Unassigned [0x86CD]',
	0x86CE : 'Unassigned [0x86CE]',
	0x86CF : 'Unassigned [0x86CF]',
	0x86D0 : 'Unassigned [0x86D0]',
	0x86D1 : 'Unassigned [0x86D1]',
	0x86D2 : 'Unassigned [0x86D2]',
	0x86D3 : 'Unassigned [0x86D3]',
	0x86D4 : 'Unassigned [0x86D4]',
	0x86D5 : 'Unassigned [0x86D5]',
	0x86D6 : 'Unassigned [0x86D6]',
	0x86D7 : 'Unassigned [0x86D7]',
	0x86D8 : 'Unassigned [0x86D8]',
	0x86D9 : 'Unassigned [0x86D9]',
	0x86DA : 'Unassigned [0x86DA]',
	0x86DB : 'Unassigned [0x86DB]',
	0x86DC : 'Unassigned [0x86DC]',
	0x86DD : 'Unassigned [0x86DD]',
	0x86DE : 'Unassigned [0x86DE]',
	0x86DF : 'Unassigned [0x86DF]',
	0x86E0 : 'Unassigned [0x86E0]',
	0x86E1 : 'Unassigned [0x86E1]',
	0x86E2 : 'Unassigned [0x86E2]',
	0x86E3 : 'Unassigned [0x86E3]',
	0x86E4 : 'Unassigned [0x86E4]',
	0x86E5 : 'Unassigned [0x86E5]',
	0x86E6 : 'Unassigned [0x86E6]',
	0x86E7 : 'Unassigned [0x86E7]',
	0x86E8 : 'Unassigned [0x86E8]',
	0x86E9 : 'Unassigned [0x86E9]',
	0x86EA : 'Unassigned [0x86EA]',
	0x86EB : 'Unassigned [0x86EB]',
	0x86EC : 'Unassigned [0x86EC]',
	0x86ED : 'Unassigned [0x86ED]',
	0x86EE : 'Unassigned [0x86EE]',
	0x86EF : 'Unassigned [0x86EF]',
	0x86F0 : 'Unassigned [0x86F0]',
	0x86F1 : 'Unassigned [0x86F1]',
	0x86F2 : 'Unassigned [0x86F2]',
	0x86F3 : 'Unassigned [0x86F3]',
	0x86F4 : 'Unassigned [0x86F4]',
	0x86F5 : 'Unassigned [0x86F5]',
	0x86F6 : 'Unassigned [0x86F6]',
	0x86F7 : 'Unassigned [0x86F7]',
	0x86F8 : 'Unassigned [0x86F8]',
	0x86F9 : 'Unassigned [0x86F9]',
	0x86FA : 'Unassigned [0x86FA]',
	0x86FB : 'Unassigned [0x86FB]',
	0x86FC : 'Unassigned [0x86FC]',
	0x86FD : 'Unassigned [0x86FD]',
	0x86FE : 'Unassigned [0x86FE]',
	0x86FF : 'Unassigned [0x86FF]',
	0x8700 : 'Unassigned [0x8700]',
	0x8701 : 'Unassigned [0x8701]',
	0x8702 : 'Unassigned [0x8702]',
	0x8703 : 'Unassigned [0x8703]',
	0x8704 : 'Unassigned [0x8704]',
	0x8705 : 'Unassigned [0x8705]',
	0x8706 : 'Unassigned [0x8706]',
	0x8707 : 'Unassigned [0x8707]',
	0x8708 : 'Unassigned [0x8708]',
	0x8709 : 'Unassigned [0x8709]',
	0x870A : 'Unassigned [0x870A]',
	0x870B : 'Unassigned [0x870B]',
	0x870C : 'Unassigned [0x870C]',
	0x870D : 'Unassigned [0x870D]',
	0x870E : 'Unassigned [0x870E]',
	0x870F : 'Unassigned [0x870F]',
	0x8710 : 'Unassigned [0x8710]',
	0x8711 : 'Unassigned [0x8711]',
	0x8712 : 'Unassigned [0x8712]',
	0x8713 : 'Unassigned [0x8713]',
	0x8714 : 'Unassigned [0x8714]',
	0x8715 : 'Unassigned [0x8715]',
	0x8716 : 'Unassigned [0x8716]',
	0x8717 : 'Unassigned [0x8717]',
	0x8718 : 'Unassigned [0x8718]',
	0x8719 : 'Unassigned [0x8719]',
	0x871A : 'Unassigned [0x871A]',
	0x871B : 'Unassigned [0x871B]',
	0x871C : 'Unassigned [0x871C]',
	0x871D : 'Unassigned [0x871D]',
	0x871E : 'Unassigned [0x871E]',
	0x871F : 'Unassigned [0x871F]',
	0x8720 : 'Unassigned [0x8720]',
	0x8721 : 'Unassigned [0x8721]',
	0x8722 : 'Unassigned [0x8722]',
	0x8723 : 'Unassigned [0x8723]',
	0x8724 : 'Unassigned [0x8724]',
	0x8725 : 'Unassigned [0x8725]',
	0x8726 : 'Unassigned [0x8726]',
	0x8727 : 'Unassigned [0x8727]',
	0x8728 : 'Unassigned [0x8728]',
	0x8729 : 'Unassigned [0x8729]',
	0x872A : 'Unassigned [0x872A]',
	0x872B : 'Unassigned [0x872B]',
	0x872C : 'Unassigned [0x872C]',
	0x872D : 'Unassigned [0x872D]',
	0x872E : 'Unassigned [0x872E]',
	0x872F : 'Unassigned [0x872F]',
	0x8730 : 'Unassigned [0x8730]',
	0x8731 : 'Unassigned [0x8731]',
	0x8732 : 'Unassigned [0x8732]',
	0x8733 : 'Unassigned [0x8733]',
	0x8734 : 'Unassigned [0x8734]',
	0x8735 : 'Unassigned [0x8735]',
	0x8736 : 'Unassigned [0x8736]',
	0x8737 : 'Unassigned [0x8737]',
	0x8738 : 'Unassigned [0x8738]',
	0x8739 : 'Unassigned [0x8739]',
	0x873A : 'Unassigned [0x873A]',
	0x873B : 'Unassigned [0x873B]',
	0x873C : 'Unassigned [0x873C]',
	0x873D : 'Unassigned [0x873D]',
	0x873E : 'Unassigned [0x873E]',
	0x873F : 'Unassigned [0x873F]',
	0x8740 : 'Unassigned [0x8740]',
	0x8741 : 'Unassigned [0x8741]',
	0x8742 : 'Unassigned [0x8742]',
	0x8743 : 'Unassigned [0x8743]',
	0x8744 : 'Unassigned [0x8744]',
	0x8745 : 'Unassigned [0x8745]',
	0x8746 : 'Unassigned [0x8746]',
	0x8747 : 'Unassigned [0x8747]',
	0x8748 : 'Unassigned [0x8748]',
	0x8749 : 'Unassigned [0x8749]',
	0x874A : 'Unassigned [0x874A]',
	0x874B : 'Unassigned [0x874B]',
	0x874C : 'Unassigned [0x874C]',
	0x874D : 'Unassigned [0x874D]',
	0x874E : 'Unassigned [0x874E]',
	0x874F : 'Unassigned [0x874F]',
	0x8750 : 'Unassigned [0x8750]',
	0x8751 : 'Unassigned [0x8751]',
	0x8752 : 'Unassigned [0x8752]',
	0x8753 : 'Unassigned [0x8753]',
	0x8754 : 'Unassigned [0x8754]',
	0x8755 : 'Unassigned [0x8755]',
	0x8756 : 'Unassigned [0x8756]',
	0x8757 : 'Unassigned [0x8757]',
	0x8758 : 'Unassigned [0x8758]',
	0x8759 : 'Unassigned [0x8759]',
	0x875A : 'Unassigned [0x875A]',
	0x875B : 'Unassigned [0x875B]',
	0x875C : 'Unassigned [0x875C]',
	0x875D : 'Unassigned [0x875D]',
	0x875E : 'Unassigned [0x875E]',
	0x875F : 'Unassigned [0x875F]',
	0x8760 : 'Unassigned [0x8760]',
	0x8761 : 'Unassigned [0x8761]',
	0x8762 : 'Unassigned [0x8762]',
	0x8763 : 'Unassigned [0x8763]',
	0x8764 : 'Unassigned [0x8764]',
	0x8765 : 'Unassigned [0x8765]',
	0x8766 : 'Unassigned [0x8766]',
	0x8767 : 'Unassigned [0x8767]',
	0x8768 : 'Unassigned [0x8768]',
	0x8769 : 'Unassigned [0x8769]',
	0x876A : 'Unassigned [0x876A]',
	0x876B : 'Unassigned [0x876B]',
	0x876C : 'Unassigned [0x876C]',
	0x876D : 'Unassigned [0x876D]',
	0x876E : 'Unassigned [0x876E]',
	0x876F : 'Unassigned [0x876F]',
	0x8770 : 'Unassigned [0x8770]',
	0x8771 : 'Unassigned [0x8771]',
	0x8772 : 'Unassigned [0x8772]',
	0x8773 : 'Unassigned [0x8773]',
	0x8774 : 'Unassigned [0x8774]',
	0x8775 : 'Unassigned [0x8775]',
	0x8776 : 'Unassigned [0x8776]',
	0x8777 : 'Unassigned [0x8777]',
	0x8778 : 'Unassigned [0x8778]',
	0x8779 : 'Unassigned [0x8779]',
	0x877A : 'Unassigned [0x877A]',
	0x877B : 'Unassigned [0x877B]',
	0x877C : 'Unassigned [0x877C]',
	0x877D : 'Unassigned [0x877D]',
	0x877E : 'Unassigned [0x877E]',
	0x877F : 'Unassigned [0x877F]',
	0x8780 : 'Unassigned [0x8780]',
	0x8781 : 'Unassigned [0x8781]',
	0x8782 : 'Unassigned [0x8782]',
	0x8783 : 'Unassigned [0x8783]',
	0x8784 : 'Unassigned [0x8784]',
	0x8785 : 'Unassigned [0x8785]',
	0x8786 : 'Unassigned [0x8786]',
	0x8787 : 'Unassigned [0x8787]',
	0x8788 : 'Unassigned [0x8788]',
	0x8789 : 'Unassigned [0x8789]',
	0x878A : 'Unassigned [0x878A]',
	0x878B : 'Unassigned [0x878B]',
	0x878C : 'Unassigned [0x878C]',
	0x878D : 'Unassigned [0x878D]',
	0x878E : 'Unassigned [0x878E]',
	0x878F : 'Unassigned [0x878F]',
	0x8790 : 'Unassigned [0x8790]',
	0x8791 : 'Unassigned [0x8791]',
	0x8792 : 'Unassigned [0x8792]',
	0x8793 : 'Unassigned [0x8793]',
	0x8794 : 'Unassigned [0x8794]',
	0x8795 : 'Unassigned [0x8795]',
	0x8796 : 'Unassigned [0x8796]',
	0x8797 : 'Unassigned [0x8797]',
	0x8798 : 'Unassigned [0x8798]',
	0x8799 : 'Unassigned [0x8799]',
	0x879A : 'Unassigned [0x879A]',
	0x879B : 'Unassigned [0x879B]',
	0x879C : 'Unassigned [0x879C]',
	0x879D : 'Unassigned [0x879D]',
	0x879E : 'Unassigned [0x879E]',
	0x879F : 'Unassigned [0x879F]',
	0x87A0 : 'Unassigned [0x87A0]',
	0x87A1 : 'Unassigned [0x87A1]',
	0x87A2 : 'Unassigned [0x87A2]',
	0x87A3 : 'Unassigned [0x87A3]',
	0x87A4 : 'Unassigned [0x87A4]',
	0x87A5 : 'Unassigned [0x87A5]',
	0x87A6 : 'Unassigned [0x87A6]',
	0x87A7 : 'Unassigned [0x87A7]',
	0x87A8 : 'Unassigned [0x87A8]',
	0x87A9 : 'Unassigned [0x87A9]',
	0x87AA : 'Unassigned [0x87AA]',
	0x87AB : 'Unassigned [0x87AB]',
	0x87AC : 'Unassigned [0x87AC]',
	0x87AD : 'Unassigned [0x87AD]',
	0x87AE : 'Unassigned [0x87AE]',
	0x87AF : 'Unassigned [0x87AF]',
	0x87B0 : 'Unassigned [0x87B0]',
	0x87B1 : 'Unassigned [0x87B1]',
	0x87B2 : 'Unassigned [0x87B2]',
	0x87B3 : 'Unassigned [0x87B3]',
	0x87B4 : 'Unassigned [0x87B4]',
	0x87B5 : 'Unassigned [0x87B5]',
	0x87B6 : 'Unassigned [0x87B6]',
	0x87B7 : 'Unassigned [0x87B7]',
	0x87B8 : 'Unassigned [0x87B8]',
	0x87B9 : 'Unassigned [0x87B9]',
	0x87BA : 'Unassigned [0x87BA]',
	0x87BB : 'Unassigned [0x87BB]',
	0x87BC : 'Unassigned [0x87BC]',
	0x87BD : 'Unassigned [0x87BD]',
	0x87BE : 'Unassigned [0x87BE]',
	0x87BF : 'Unassigned [0x87BF]',
	0x87C0 : 'Unassigned [0x87C0]',
	0x87C1 : 'Unassigned [0x87C1]',
	0x87C2 : 'Unassigned [0x87C2]',
	0x87C3 : 'Unassigned [0x87C3]',
	0x87C4 : 'Unassigned [0x87C4]',
	0x87C5 : 'Unassigned [0x87C5]',
	0x87C6 : 'Unassigned [0x87C6]',
	0x87C7 : 'Unassigned [0x87C7]',
	0x87C8 : 'Unassigned [0x87C8]',
	0x87C9 : 'Unassigned [0x87C9]',
	0x87CA : 'Unassigned [0x87CA]',
	0x87CB : 'Unassigned [0x87CB]',
	0x87CC : 'Unassigned [0x87CC]',
	0x87CD : 'Unassigned [0x87CD]',
	0x87CE : 'Unassigned [0x87CE]',
	0x87CF : 'Unassigned [0x87CF]',
	0x87D0 : 'Unassigned [0x87D0]',
	0x87D1 : 'Unassigned [0x87D1]',
	0x87D2 : 'Unassigned [0x87D2]',
	0x87D3 : 'Unassigned [0x87D3]',
	0x87D4 : 'Unassigned [0x87D4]',
	0x87D5 : 'Unassigned [0x87D5]',
	0x87D6 : 'Unassigned [0x87D6]',
	0x87D7 : 'Unassigned [0x87D7]',
	0x87D8 : 'Unassigned [0x87D8]',
	0x87D9 : 'Unassigned [0x87D9]',
	0x87DA : 'Unassigned [0x87DA]',
	0x87DB : 'Unassigned [0x87DB]',
	0x87DC : 'Unassigned [0x87DC]',
	0x87DD : 'Unassigned [0x87DD]',
	0x87DE : 'Unassigned [0x87DE]',
	0x87DF : 'Unassigned [0x87DF]',
	0x87E0 : 'Unassigned [0x87E0]',
	0x87E1 : 'Unassigned [0x87E1]',
	0x87E2 : 'Unassigned [0x87E2]',
	0x87E3 : 'Unassigned [0x87E3]',
	0x87E4 : 'Unassigned [0x87E4]',
	0x87E5 : 'Unassigned [0x87E5]',
	0x87E6 : 'Unassigned [0x87E6]',
	0x87E7 : 'Unassigned [0x87E7]',
	0x87E8 : 'Unassigned [0x87E8]',
	0x87E9 : 'Unassigned [0x87E9]',
	0x87EA : 'Unassigned [0x87EA]',
	0x87EB : 'Unassigned [0x87EB]',
	0x87EC : 'Unassigned [0x87EC]',
	0x87ED : 'Unassigned [0x87ED]',
	0x87EE : 'Unassigned [0x87EE]',
	0x87EF : 'Unassigned [0x87EF]',
	0x87F0 : 'Unassigned [0x87F0]',
	0x87F1 : 'Unassigned [0x87F1]',
	0x87F2 : 'Unassigned [0x87F2]',
	0x87F3 : 'Unassigned [0x87F3]',
	0x87F4 : 'Unassigned [0x87F4]',
	0x87F5 : 'Unassigned [0x87F5]',
	0x87F6 : 'Unassigned [0x87F6]',
	0x87F7 : 'Unassigned [0x87F7]',
	0x87F8 : 'Unassigned [0x87F8]',
	0x87F9 : 'Unassigned [0x87F9]',
	0x87FA : 'Unassigned [0x87FA]',
	0x87FB : 'Unassigned [0x87FB]',
	0x87FC : 'Unassigned [0x87FC]',
	0x87FD : 'Unassigned [0x87FD]',
	0x87FE : 'Unassigned [0x87FE]',
	0x87FF : 'Unassigned [0x87FF]',
	0x8800 : 'Unassigned [0x8800]',
	0x8801 : 'Unassigned [0x8801]',
	0x8802 : 'Unassigned [0x8802]',
	0x8803 : 'Unassigned [0x8803]',
	0x8804 : 'Unassigned [0x8804]',
	0x8805 : 'Unassigned [0x8805]',
	0x8806 : 'Unassigned [0x8806]',
	0x8807 : 'Unassigned [0x8807]',
	0x8808 : 'Unassigned [0x8808]',
	0x8809 : 'Unassigned [0x8809]',
	0x880A : 'Unassigned [0x880A]',
	0x880B : 'Unassigned [0x880B]',
	0x880C : 'Unassigned [0x880C]',
	0x880D : 'Unassigned [0x880D]',
	0x880E : 'Unassigned [0x880E]',
	0x880F : 'Unassigned [0x880F]',
	0x8810 : 'Unassigned [0x8810]',
	0x8811 : 'Unassigned [0x8811]',
	0x8812 : 'Unassigned [0x8812]',
	0x8813 : 'Unassigned [0x8813]',
	0x8814 : 'Unassigned [0x8814]',
	0x8815 : 'Unassigned [0x8815]',
	0x8816 : 'Unassigned [0x8816]',
	0x8817 : 'Unassigned [0x8817]',
	0x8818 : 'Unassigned [0x8818]',
	0x8819 : 'Unassigned [0x8819]',
	0x881A : 'Unassigned [0x881A]',
	0x881B : 'Unassigned [0x881B]',
	0x881C : 'Unassigned [0x881C]',
	0x881D : 'Unassigned [0x881D]',
	0x881E : 'Unassigned [0x881E]',
	0x881F : 'Unassigned [0x881F]',
	0x8820 : 'Unassigned [0x8820]',
	0x8821 : 'Unassigned [0x8821]',
	0x8822 : 'Unassigned [0x8822]',
	0x8823 : 'Unassigned [0x8823]',
	0x8824 : 'Unassigned [0x8824]',
	0x8825 : 'Unassigned [0x8825]',
	0x8826 : 'Unassigned [0x8826]',
	0x8827 : 'Unassigned [0x8827]',
	0x8828 : 'Unassigned [0x8828]',
	0x8829 : 'Unassigned [0x8829]',
	0x882A : 'Unassigned [0x882A]',
	0x882B : 'Unassigned [0x882B]',
	0x882C : 'Unassigned [0x882C]',
	0x882D : 'Unassigned [0x882D]',
	0x882E : 'Unassigned [0x882E]',
	0x882F : 'Unassigned [0x882F]',
	0x8830 : 'Unassigned [0x8830]',
	0x8831 : 'Unassigned [0x8831]',
	0x8832 : 'Unassigned [0x8832]',
	0x8833 : 'Unassigned [0x8833]',
	0x8834 : 'Unassigned [0x8834]',
	0x8835 : 'Unassigned [0x8835]',
	0x8836 : 'Unassigned [0x8836]',
	0x8837 : 'Unassigned [0x8837]',
	0x8838 : 'Unassigned [0x8838]',
	0x8839 : 'Unassigned [0x8839]',
	0x883A : 'Unassigned [0x883A]',
	0x883B : 'Unassigned [0x883B]',
	0x883C : 'Unassigned [0x883C]',
	0x883D : 'Unassigned [0x883D]',
	0x883E : 'Unassigned [0x883E]',
	0x883F : 'Unassigned [0x883F]',
	0x8840 : 'Unassigned [0x8840]',
	0x8841 : 'Unassigned [0x8841]',
	0x8842 : 'Unassigned [0x8842]',
	0x8843 : 'Unassigned [0x8843]',
	0x8844 : 'Unassigned [0x8844]',
	0x8845 : 'Unassigned [0x8845]',
	0x8846 : 'Unassigned [0x8846]',
	0x8847 : 'Unassigned [0x8847]',
	0x8848 : 'Unassigned [0x8848]',
	0x8849 : 'Unassigned [0x8849]',
	0x884A : 'Unassigned [0x884A]',
	0x884B : 'Unassigned [0x884B]',
	0x884C : 'Unassigned [0x884C]',
	0x884D : 'Unassigned [0x884D]',
	0x884E : 'Unassigned [0x884E]',
	0x884F : 'Unassigned [0x884F]',
	0x8850 : 'Unassigned [0x8850]',
	0x8851 : 'Unassigned [0x8851]',
	0x8852 : 'Unassigned [0x8852]',
	0x8853 : 'Unassigned [0x8853]',
	0x8854 : 'Unassigned [0x8854]',
	0x8855 : 'Unassigned [0x8855]',
	0x8856 : 'Unassigned [0x8856]',
	0x8857 : 'Unassigned [0x8857]',
	0x8858 : 'Unassigned [0x8858]',
	0x8859 : 'Unassigned [0x8859]',
	0x885A : 'Unassigned [0x885A]',
	0x885B : 'Unassigned [0x885B]',
	0x885C : 'Unassigned [0x885C]',
	0x885D : 'Unassigned [0x885D]',
	0x885E : 'Unassigned [0x885E]',
	0x885F : 'Unassigned [0x885F]',
	0x8860 : 'Unassigned [0x8860]',
	0x8861 : 'Unassigned [0x8861]',
	0x8862 : 'Unassigned [0x8862]',
	0x8863 : 'Unassigned [0x8863]',
	0x8864 : 'Unassigned [0x8864]',
	0x8865 : 'Unassigned [0x8865]',
	0x8866 : 'Unassigned [0x8866]',
	0x8867 : 'Unassigned [0x8867]',
	0x8868 : 'Unassigned [0x8868]',
	0x8869 : 'Unassigned [0x8869]',
	0x886A : 'Unassigned [0x886A]',
	0x886B : 'Unassigned [0x886B]',
	0x886C : 'Unassigned [0x886C]',
	0x886D : 'Unassigned [0x886D]',
	0x886E : 'Unassigned [0x886E]',
	0x886F : 'Unassigned [0x886F]',
	0x8870 : 'Unassigned [0x8870]',
	0x8871 : 'Unassigned [0x8871]',
	0x8872 : 'Unassigned [0x8872]',
	0x8873 : 'Unassigned [0x8873]',
	0x8874 : 'Unassigned [0x8874]',
	0x8875 : 'Unassigned [0x8875]',
	0x8876 : 'Unassigned [0x8876]',
	0x8877 : 'Unassigned [0x8877]',
	0x8878 : 'Unassigned [0x8878]',
	0x8879 : 'Unassigned [0x8879]',
	0x887A : 'Unassigned [0x887A]',
	0x887B : 'Unassigned [0x887B]',
	0x887C : 'Unassigned [0x887C]',
	0x887D : 'Unassigned [0x887D]',
	0x887E : 'Unassigned [0x887E]',
	0x887F : 'Unassigned [0x887F]',
	0x8880 : 'Unassigned [0x8880]',
	0x8881 : 'Unassigned [0x8881]',
	0x8882 : 'Unassigned [0x8882]',
	0x8883 : 'Unassigned [0x8883]',
	0x8884 : 'Unassigned [0x8884]',
	0x8885 : 'Unassigned [0x8885]',
	0x8886 : 'Unassigned [0x8886]',
	0x8887 : 'Unassigned [0x8887]',
	0x8888 : 'Unassigned [0x8888]',
	0x8889 : 'Unassigned [0x8889]',
	0x888A : 'Unassigned [0x888A]',
	0x888B : 'Unassigned [0x888B]',
	0x888C : 'Unassigned [0x888C]',
	0x888D : 'Unassigned [0x888D]',
	0x888E : 'Unassigned [0x888E]',
	0x888F : 'Unassigned [0x888F]',
	0x8890 : 'Unassigned [0x8890]',
	0x8891 : 'Unassigned [0x8891]',
	0x8892 : 'Unassigned [0x8892]',
	0x8893 : 'Unassigned [0x8893]',
	0x8894 : 'Unassigned [0x8894]',
	0x8895 : 'Unassigned [0x8895]',
	0x8896 : 'Unassigned [0x8896]',
	0x8897 : 'Unassigned [0x8897]',
	0x8898 : 'Unassigned [0x8898]',
	0x8899 : 'Unassigned [0x8899]',
	0x889A : 'Unassigned [0x889A]',
	0x889B : 'Unassigned [0x889B]',
	0x889C : 'Unassigned [0x889C]',
	0x889D : 'Unassigned [0x889D]',
	0x889E : 'Unassigned [0x889E]',
	0x889F : 'Unassigned [0x889F]',
	0x88A0 : 'Unassigned [0x88A0]',
	0x88A1 : 'Unassigned [0x88A1]',
	0x88A2 : 'Unassigned [0x88A2]',
	0x88A3 : 'Unassigned [0x88A3]',
	0x88A4 : 'Unassigned [0x88A4]',
	0x88A5 : 'Unassigned [0x88A5]',
	0x88A6 : 'Unassigned [0x88A6]',
	0x88A7 : 'Unassigned [0x88A7]',
	0x88A8 : 'Unassigned [0x88A8]',
	0x88A9 : 'Unassigned [0x88A9]',
	0x88AA : 'Unassigned [0x88AA]',
	0x88AB : 'Unassigned [0x88AB]',
	0x88AC : 'Unassigned [0x88AC]',
	0x88AD : 'Unassigned [0x88AD]',
	0x88AE : 'Unassigned [0x88AE]',
	0x88AF : 'Unassigned [0x88AF]',
	0x88B0 : 'Unassigned [0x88B0]',
	0x88B1 : 'Unassigned [0x88B1]',
	0x88B2 : 'Unassigned [0x88B2]',
	0x88B3 : 'Unassigned [0x88B3]',
	0x88B4 : 'Unassigned [0x88B4]',
	0x88B5 : 'Unassigned [0x88B5]',
	0x88B6 : 'Unassigned [0x88B6]',
	0x88B7 : 'Unassigned [0x88B7]',
	0x88B8 : 'Unassigned [0x88B8]',
	0x88B9 : 'Unassigned [0x88B9]',
	0x88BA : 'Unassigned [0x88BA]',
	0x88BB : 'Unassigned [0x88BB]',
	0x88BC : 'Unassigned [0x88BC]',
	0x88BD : 'Unassigned [0x88BD]',
	0x88BE : 'Unassigned [0x88BE]',
	0x88BF : 'Unassigned [0x88BF]',
	0x88C0 : 'Unassigned [0x88C0]',
	0x88C1 : 'Unassigned [0x88C1]',
	0x88C2 : 'Unassigned [0x88C2]',
	0x88C3 : 'Unassigned [0x88C3]',
	0x88C4 : 'Unassigned [0x88C4]',
	0x88C5 : 'Unassigned [0x88C5]',
	0x88C6 : 'Unassigned [0x88C6]',
	0x88C7 : 'Unassigned [0x88C7]',
	0x88C8 : 'Unassigned [0x88C8]',
	0x88C9 : 'Unassigned [0x88C9]',
	0x88CA : 'Unassigned [0x88CA]',
	0x88CB : 'Unassigned [0x88CB]',
	0x88CC : 'Unassigned [0x88CC]',
	0x88CD : 'Unassigned [0x88CD]',
	0x88CE : 'Unassigned [0x88CE]',
	0x88CF : 'Unassigned [0x88CF]',
	0x88D0 : 'Unassigned [0x88D0]',
	0x88D1 : 'Unassigned [0x88D1]',
	0x88D2 : 'Unassigned [0x88D2]',
	0x88D3 : 'Unassigned [0x88D3]',
	0x88D4 : 'Unassigned [0x88D4]',
	0x88D5 : 'Unassigned [0x88D5]',
	0x88D6 : 'Unassigned [0x88D6]',
	0x88D7 : 'Unassigned [0x88D7]',
	0x88D8 : 'Unassigned [0x88D8]',
	0x88D9 : 'Unassigned [0x88D9]',
	0x88DA : 'Unassigned [0x88DA]',
	0x88DB : 'Unassigned [0x88DB]',
	0x88DC : 'Unassigned [0x88DC]',
	0x88DD : 'Unassigned [0x88DD]',
	0x88DE : 'Unassigned [0x88DE]',
	0x88DF : 'Unassigned [0x88DF]',
	0x88E0 : 'Unassigned [0x88E0]',
	0x88E1 : 'Unassigned [0x88E1]',
	0x88E2 : 'Unassigned [0x88E2]',
	0x88E3 : 'Unassigned [0x88E3]',
	0x88E4 : 'Unassigned [0x88E4]',
	0x88E5 : 'Unassigned [0x88E5]',
	0x88E6 : 'Unassigned [0x88E6]',
	0x88E7 : 'Unassigned [0x88E7]',
	0x88E8 : 'Unassigned [0x88E8]',
	0x88E9 : 'Unassigned [0x88E9]',
	0x88EA : 'Unassigned [0x88EA]',
	0x88EB : 'Unassigned [0x88EB]',
	0x88EC : 'Unassigned [0x88EC]',
	0x88ED : 'Unassigned [0x88ED]',
	0x88EE : 'Unassigned [0x88EE]',
	0x88EF : 'Unassigned [0x88EF]',
	0x88F0 : 'Unassigned [0x88F0]',
	0x88F1 : 'Unassigned [0x88F1]',
	0x88F2 : 'Unassigned [0x88F2]',
	0x88F3 : 'Unassigned [0x88F3]',
	0x88F4 : 'Unassigned [0x88F4]',
	0x88F5 : 'Unassigned [0x88F5]',
	0x88F6 : 'Unassigned [0x88F6]',
	0x88F7 : 'Unassigned [0x88F7]',
	0x88F8 : 'Unassigned [0x88F8]',
	0x88F9 : 'Unassigned [0x88F9]',
	0x88FA : 'Unassigned [0x88FA]',
	0x88FB : 'Unassigned [0x88FB]',
	0x88FC : 'Unassigned [0x88FC]',
	0x88FD : 'Unassigned [0x88FD]',
	0x88FE : 'Unassigned [0x88FE]',
	0x88FF : 'Unassigned [0x88FF]',
	0x8900 : 'Unassigned [0x8900]',
	0x8901 : 'Unassigned [0x8901]',
	0x8902 : 'Unassigned [0x8902]',
	0x8903 : 'Unassigned [0x8903]',
	0x8904 : 'Unassigned [0x8904]',
	0x8905 : 'Unassigned [0x8905]',
	0x8906 : 'Unassigned [0x8906]',
	0x8907 : 'Unassigned [0x8907]',
	0x8908 : 'Unassigned [0x8908]',
	0x8909 : 'Unassigned [0x8909]',
	0x890A : 'Unassigned [0x890A]',
	0x890B : 'Unassigned [0x890B]',
	0x890C : 'Unassigned [0x890C]',
	0x890D : 'Unassigned [0x890D]',
	0x890E : 'Unassigned [0x890E]',
	0x890F : 'Unassigned [0x890F]',
	0x8910 : 'Unassigned [0x8910]',
	0x8911 : 'Unassigned [0x8911]',
	0x8912 : 'Unassigned [0x8912]',
	0x8913 : 'Unassigned [0x8913]',
	0x8914 : 'Unassigned [0x8914]',
	0x8915 : 'Unassigned [0x8915]',
	0x8916 : 'Unassigned [0x8916]',
	0x8917 : 'Unassigned [0x8917]',
	0x8918 : 'Unassigned [0x8918]',
	0x8919 : 'Unassigned [0x8919]',
	0x891A : 'Unassigned [0x891A]',
	0x891B : 'Unassigned [0x891B]',
	0x891C : 'Unassigned [0x891C]',
	0x891D : 'Unassigned [0x891D]',
	0x891E : 'Unassigned [0x891E]',
	0x891F : 'Unassigned [0x891F]',
	0x8920 : 'Unassigned [0x8920]',
	0x8921 : 'Unassigned [0x8921]',
	0x8922 : 'Unassigned [0x8922]',
	0x8923 : 'Unassigned [0x8923]',
	0x8924 : 'Unassigned [0x8924]',
	0x8925 : 'Unassigned [0x8925]',
	0x8926 : 'Unassigned [0x8926]',
	0x8927 : 'Unassigned [0x8927]',
	0x8928 : 'Unassigned [0x8928]',
	0x8929 : 'Unassigned [0x8929]',
	0x892A : 'Unassigned [0x892A]',
	0x892B : 'Unassigned [0x892B]',
	0x892C : 'Unassigned [0x892C]',
	0x892D : 'Unassigned [0x892D]',
	0x892E : 'Unassigned [0x892E]',
	0x892F : 'Unassigned [0x892F]',
	0x8930 : 'Unassigned [0x8930]',
	0x8931 : 'Unassigned [0x8931]',
	0x8932 : 'Unassigned [0x8932]',
	0x8933 : 'Unassigned [0x8933]',
	0x8934 : 'Unassigned [0x8934]',
	0x8935 : 'Unassigned [0x8935]',
	0x8936 : 'Unassigned [0x8936]',
	0x8937 : 'Unassigned [0x8937]',
	0x8938 : 'Unassigned [0x8938]',
	0x8939 : 'Unassigned [0x8939]',
	0x893A : 'Unassigned [0x893A]',
	0x893B : 'Unassigned [0x893B]',
	0x893C : 'Unassigned [0x893C]',
	0x893D : 'Unassigned [0x893D]',
	0x893E : 'Unassigned [0x893E]',
	0x893F : 'Unassigned [0x893F]',
	0x8940 : 'Unassigned [0x8940]',
	0x8941 : 'Unassigned [0x8941]',
	0x8942 : 'Unassigned [0x8942]',
	0x8943 : 'Unassigned [0x8943]',
	0x8944 : 'Unassigned [0x8944]',
	0x8945 : 'Unassigned [0x8945]',
	0x8946 : 'Unassigned [0x8946]',
	0x8947 : 'Unassigned [0x8947]',
	0x8948 : 'Unassigned [0x8948]',
	0x8949 : 'Unassigned [0x8949]',
	0x894A : 'Unassigned [0x894A]',
	0x894B : 'Unassigned [0x894B]',
	0x894C : 'Unassigned [0x894C]',
	0x894D : 'Unassigned [0x894D]',
	0x894E : 'Unassigned [0x894E]',
	0x894F : 'Unassigned [0x894F]',
	0x8950 : 'Unassigned [0x8950]',
	0x8951 : 'Unassigned [0x8951]',
	0x8952 : 'Unassigned [0x8952]',
	0x8953 : 'Unassigned [0x8953]',
	0x8954 : 'Unassigned [0x8954]',
	0x8955 : 'Unassigned [0x8955]',
	0x8956 : 'Unassigned [0x8956]',
	0x8957 : 'Unassigned [0x8957]',
	0x8958 : 'Unassigned [0x8958]',
	0x8959 : 'Unassigned [0x8959]',
	0x895A : 'Unassigned [0x895A]',
	0x895B : 'Unassigned [0x895B]',
	0x895C : 'Unassigned [0x895C]',
	0x895D : 'Unassigned [0x895D]',
	0x895E : 'Unassigned [0x895E]',
	0x895F : 'Unassigned [0x895F]',
	0x8960 : 'Unassigned [0x8960]',
	0x8961 : 'Unassigned [0x8961]',
	0x8962 : 'Unassigned [0x8962]',
	0x8963 : 'Unassigned [0x8963]',
	0x8964 : 'Unassigned [0x8964]',
	0x8965 : 'Unassigned [0x8965]',
	0x8966 : 'Unassigned [0x8966]',
	0x8967 : 'Unassigned [0x8967]',
	0x8968 : 'Unassigned [0x8968]',
	0x8969 : 'Unassigned [0x8969]',
	0x896A : 'Unassigned [0x896A]',
	0x896B : 'Unassigned [0x896B]',
	0x896C : 'Unassigned [0x896C]',
	0x896D : 'Unassigned [0x896D]',
	0x896E : 'Unassigned [0x896E]',
	0x896F : 'Unassigned [0x896F]',
	0x8970 : 'Unassigned [0x8970]',
	0x8971 : 'Unassigned [0x8971]',
	0x8972 : 'Unassigned [0x8972]',
	0x8973 : 'Unassigned [0x8973]',
	0x8974 : 'Unassigned [0x8974]',
	0x8975 : 'Unassigned [0x8975]',
	0x8976 : 'Unassigned [0x8976]',
	0x8977 : 'Unassigned [0x8977]',
	0x8978 : 'Unassigned [0x8978]',
	0x8979 : 'Unassigned [0x8979]',
	0x897A : 'Unassigned [0x897A]',
	0x897B : 'Unassigned [0x897B]',
	0x897C : 'Unassigned [0x897C]',
	0x897D : 'Unassigned [0x897D]',
	0x897E : 'Unassigned [0x897E]',
	0x897F : 'Unassigned [0x897F]',
	0x8980 : 'Unassigned [0x8980]',
	0x8981 : 'Unassigned [0x8981]',
	0x8982 : 'Unassigned [0x8982]',
	0x8983 : 'Unassigned [0x8983]',
	0x8984 : 'Unassigned [0x8984]',
	0x8985 : 'Unassigned [0x8985]',
	0x8986 : 'Unassigned [0x8986]',
	0x8987 : 'Unassigned [0x8987]',
	0x8988 : 'Unassigned [0x8988]',
	0x8989 : 'Unassigned [0x8989]',
	0x898A : 'Unassigned [0x898A]',
	0x898B : 'Unassigned [0x898B]',
	0x898C : 'Unassigned [0x898C]',
	0x898D : 'Unassigned [0x898D]',
	0x898E : 'Unassigned [0x898E]',
	0x898F : 'Unassigned [0x898F]',
	0x8990 : 'Unassigned [0x8990]',
	0x8991 : 'Unassigned [0x8991]',
	0x8992 : 'Unassigned [0x8992]',
	0x8993 : 'Unassigned [0x8993]',
	0x8994 : 'Unassigned [0x8994]',
	0x8995 : 'Unassigned [0x8995]',
	0x8996 : 'Unassigned [0x8996]',
	0x8997 : 'Unassigned [0x8997]',
	0x8998 : 'Unassigned [0x8998]',
	0x8999 : 'Unassigned [0x8999]',
	0x899A : 'Unassigned [0x899A]',
	0x899B : 'Unassigned [0x899B]',
	0x899C : 'Unassigned [0x899C]',
	0x899D : 'Unassigned [0x899D]',
	0x899E : 'Unassigned [0x899E]',
	0x899F : 'Unassigned [0x899F]',
	0x89A0 : 'Unassigned [0x89A0]',
	0x89A1 : 'Unassigned [0x89A1]',
	0x89A2 : 'Unassigned [0x89A2]',
	0x89A3 : 'Unassigned [0x89A3]',
	0x89A4 : 'Unassigned [0x89A4]',
	0x89A5 : 'Unassigned [0x89A5]',
	0x89A6 : 'Unassigned [0x89A6]',
	0x89A7 : 'Unassigned [0x89A7]',
	0x89A8 : 'Unassigned [0x89A8]',
	0x89A9 : 'Unassigned [0x89A9]',
	0x89AA : 'Unassigned [0x89AA]',
	0x89AB : 'Unassigned [0x89AB]',
	0x89AC : 'Unassigned [0x89AC]',
	0x89AD : 'Unassigned [0x89AD]',
	0x89AE : 'Unassigned [0x89AE]',
	0x89AF : 'Unassigned [0x89AF]',
	0x89B0 : 'Unassigned [0x89B0]',
	0x89B1 : 'Unassigned [0x89B1]',
	0x89B2 : 'Unassigned [0x89B2]',
	0x89B3 : 'Unassigned [0x89B3]',
	0x89B4 : 'Unassigned [0x89B4]',
	0x89B5 : 'Unassigned [0x89B5]',
	0x89B6 : 'Unassigned [0x89B6]',
	0x89B7 : 'Unassigned [0x89B7]',
	0x89B8 : 'Unassigned [0x89B8]',
	0x89B9 : 'Unassigned [0x89B9]',
	0x89BA : 'Unassigned [0x89BA]',
	0x89BB : 'Unassigned [0x89BB]',
	0x89BC : 'Unassigned [0x89BC]',
	0x89BD : 'Unassigned [0x89BD]',
	0x89BE : 'Unassigned [0x89BE]',
	0x89BF : 'Unassigned [0x89BF]',
	0x89C0 : 'Unassigned [0x89C0]',
	0x89C1 : 'Unassigned [0x89C1]',
	0x89C2 : 'Unassigned [0x89C2]',
	0x89C3 : 'Unassigned [0x89C3]',
	0x89C4 : 'Unassigned [0x89C4]',
	0x89C5 : 'Unassigned [0x89C5]',
	0x89C6 : 'Unassigned [0x89C6]',
	0x89C7 : 'Unassigned [0x89C7]',
	0x89C8 : 'Unassigned [0x89C8]',
	0x89C9 : 'Unassigned [0x89C9]',
	0x89CA : 'Unassigned [0x89CA]',
	0x89CB : 'Unassigned [0x89CB]',
	0x89CC : 'Unassigned [0x89CC]',
	0x89CD : 'Unassigned [0x89CD]',
	0x89CE : 'Unassigned [0x89CE]',
	0x89CF : 'Unassigned [0x89CF]',
	0x89D0 : 'Unassigned [0x89D0]',
	0x89D1 : 'Unassigned [0x89D1]',
	0x89D2 : 'Unassigned [0x89D2]',
	0x89D3 : 'Unassigned [0x89D3]',
	0x89D4 : 'Unassigned [0x89D4]',
	0x89D5 : 'Unassigned [0x89D5]',
	0x89D6 : 'Unassigned [0x89D6]',
	0x89D7 : 'Unassigned [0x89D7]',
	0x89D8 : 'Unassigned [0x89D8]',
	0x89D9 : 'Unassigned [0x89D9]',
	0x89DA : 'Unassigned [0x89DA]',
	0x89DB : 'Unassigned [0x89DB]',
	0x89DC : 'Unassigned [0x89DC]',
	0x89DD : 'Unassigned [0x89DD]',
	0x89DE : 'Unassigned [0x89DE]',
	0x89DF : 'Unassigned [0x89DF]',
	0x89E0 : 'Unassigned [0x89E0]',
	0x89E1 : 'Unassigned [0x89E1]',
	0x89E2 : 'Unassigned [0x89E2]',
	0x89E3 : 'Unassigned [0x89E3]',
	0x89E4 : 'Unassigned [0x89E4]',
	0x89E5 : 'Unassigned [0x89E5]',
	0x89E6 : 'Unassigned [0x89E6]',
	0x89E7 : 'Unassigned [0x89E7]',
	0x89E8 : 'Unassigned [0x89E8]',
	0x89E9 : 'Unassigned [0x89E9]',
	0x89EA : 'Unassigned [0x89EA]',
	0x89EB : 'Unassigned [0x89EB]',
	0x89EC : 'Unassigned [0x89EC]',
	0x89ED : 'Unassigned [0x89ED]',
	0x89EE : 'Unassigned [0x89EE]',
	0x89EF : 'Unassigned [0x89EF]',
	0x89F0 : 'Unassigned [0x89F0]',
	0x89F1 : 'Unassigned [0x89F1]',
	0x89F2 : 'Unassigned [0x89F2]',
	0x89F3 : 'Unassigned [0x89F3]',
	0x89F4 : 'Unassigned [0x89F4]',
	0x89F5 : 'Unassigned [0x89F5]',
	0x89F6 : 'Unassigned [0x89F6]',
	0x89F7 : 'Unassigned [0x89F7]',
	0x89F8 : 'Unassigned [0x89F8]',
	0x89F9 : 'Unassigned [0x89F9]',
	0x89FA : 'Unassigned [0x89FA]',
	0x89FB : 'Unassigned [0x89FB]',
	0x89FC : 'Unassigned [0x89FC]',
	0x89FD : 'Unassigned [0x89FD]',
	0x89FE : 'Unassigned [0x89FE]',
	0x89FF : 'Unassigned [0x89FF]',
	0x8A00 : 'Unassigned [0x8A00]',
	0x8A01 : 'Unassigned [0x8A01]',
	0x8A02 : 'Unassigned [0x8A02]',
	0x8A03 : 'Unassigned [0x8A03]',
	0x8A04 : 'Unassigned [0x8A04]',
	0x8A05 : 'Unassigned [0x8A05]',
	0x8A06 : 'Unassigned [0x8A06]',
	0x8A07 : 'Unassigned [0x8A07]',
	0x8A08 : 'Unassigned [0x8A08]',
	0x8A09 : 'Unassigned [0x8A09]',
	0x8A0A : 'Unassigned [0x8A0A]',
	0x8A0B : 'Unassigned [0x8A0B]',
	0x8A0C : 'Unassigned [0x8A0C]',
	0x8A0D : 'Unassigned [0x8A0D]',
	0x8A0E : 'Unassigned [0x8A0E]',
	0x8A0F : 'Unassigned [0x8A0F]',
	0x8A10 : 'Unassigned [0x8A10]',
	0x8A11 : 'Unassigned [0x8A11]',
	0x8A12 : 'Unassigned [0x8A12]',
	0x8A13 : 'Unassigned [0x8A13]',
	0x8A14 : 'Unassigned [0x8A14]',
	0x8A15 : 'Unassigned [0x8A15]',
	0x8A16 : 'Unassigned [0x8A16]',
	0x8A17 : 'Unassigned [0x8A17]',
	0x8A18 : 'Unassigned [0x8A18]',
	0x8A19 : 'Unassigned [0x8A19]',
	0x8A1A : 'Unassigned [0x8A1A]',
	0x8A1B : 'Unassigned [0x8A1B]',
	0x8A1C : 'Unassigned [0x8A1C]',
	0x8A1D : 'Unassigned [0x8A1D]',
	0x8A1E : 'Unassigned [0x8A1E]',
	0x8A1F : 'Unassigned [0x8A1F]',
	0x8A20 : 'Unassigned [0x8A20]',
	0x8A21 : 'Unassigned [0x8A21]',
	0x8A22 : 'Unassigned [0x8A22]',
	0x8A23 : 'Unassigned [0x8A23]',
	0x8A24 : 'Unassigned [0x8A24]',
	0x8A25 : 'Unassigned [0x8A25]',
	0x8A26 : 'Unassigned [0x8A26]',
	0x8A27 : 'Unassigned [0x8A27]',
	0x8A28 : 'Unassigned [0x8A28]',
	0x8A29 : 'Unassigned [0x8A29]',
	0x8A2A : 'Unassigned [0x8A2A]',
	0x8A2B : 'Unassigned [0x8A2B]',
	0x8A2C : 'Unassigned [0x8A2C]',
	0x8A2D : 'Unassigned [0x8A2D]',
	0x8A2E : 'Unassigned [0x8A2E]',
	0x8A2F : 'Unassigned [0x8A2F]',
	0x8A30 : 'Unassigned [0x8A30]',
	0x8A31 : 'Unassigned [0x8A31]',
	0x8A32 : 'Unassigned [0x8A32]',
	0x8A33 : 'Unassigned [0x8A33]',
	0x8A34 : 'Unassigned [0x8A34]',
	0x8A35 : 'Unassigned [0x8A35]',
	0x8A36 : 'Unassigned [0x8A36]',
	0x8A37 : 'Unassigned [0x8A37]',
	0x8A38 : 'Unassigned [0x8A38]',
	0x8A39 : 'Unassigned [0x8A39]',
	0x8A3A : 'Unassigned [0x8A3A]',
	0x8A3B : 'Unassigned [0x8A3B]',
	0x8A3C : 'Unassigned [0x8A3C]',
	0x8A3D : 'Unassigned [0x8A3D]',
	0x8A3E : 'Unassigned [0x8A3E]',
	0x8A3F : 'Unassigned [0x8A3F]',
	0x8A40 : 'Unassigned [0x8A40]',
	0x8A41 : 'Unassigned [0x8A41]',
	0x8A42 : 'Unassigned [0x8A42]',
	0x8A43 : 'Unassigned [0x8A43]',
	0x8A44 : 'Unassigned [0x8A44]',
	0x8A45 : 'Unassigned [0x8A45]',
	0x8A46 : 'Unassigned [0x8A46]',
	0x8A47 : 'Unassigned [0x8A47]',
	0x8A48 : 'Unassigned [0x8A48]',
	0x8A49 : 'Unassigned [0x8A49]',
	0x8A4A : 'Unassigned [0x8A4A]',
	0x8A4B : 'Unassigned [0x8A4B]',
	0x8A4C : 'Unassigned [0x8A4C]',
	0x8A4D : 'Unassigned [0x8A4D]',
	0x8A4E : 'Unassigned [0x8A4E]',
	0x8A4F : 'Unassigned [0x8A4F]',
	0x8A50 : 'Unassigned [0x8A50]',
	0x8A51 : 'Unassigned [0x8A51]',
	0x8A52 : 'Unassigned [0x8A52]',
	0x8A53 : 'Unassigned [0x8A53]',
	0x8A54 : 'Unassigned [0x8A54]',
	0x8A55 : 'Unassigned [0x8A55]',
	0x8A56 : 'Unassigned [0x8A56]',
	0x8A57 : 'Unassigned [0x8A57]',
	0x8A58 : 'Unassigned [0x8A58]',
	0x8A59 : 'Unassigned [0x8A59]',
	0x8A5A : 'Unassigned [0x8A5A]',
	0x8A5B : 'Unassigned [0x8A5B]',
	0x8A5C : 'Unassigned [0x8A5C]',
	0x8A5D : 'Unassigned [0x8A5D]',
	0x8A5E : 'Unassigned [0x8A5E]',
	0x8A5F : 'Unassigned [0x8A5F]',
	0x8A60 : 'Unassigned [0x8A60]',
	0x8A61 : 'Unassigned [0x8A61]',
	0x8A62 : 'Unassigned [0x8A62]',
	0x8A63 : 'Unassigned [0x8A63]',
	0x8A64 : 'Unassigned [0x8A64]',
	0x8A65 : 'Unassigned [0x8A65]',
	0x8A66 : 'Unassigned [0x8A66]',
	0x8A67 : 'Unassigned [0x8A67]',
	0x8A68 : 'Unassigned [0x8A68]',
	0x8A69 : 'Unassigned [0x8A69]',
	0x8A6A : 'Unassigned [0x8A6A]',
	0x8A6B : 'Unassigned [0x8A6B]',
	0x8A6C : 'Unassigned [0x8A6C]',
	0x8A6D : 'Unassigned [0x8A6D]',
	0x8A6E : 'Unassigned [0x8A6E]',
	0x8A6F : 'Unassigned [0x8A6F]',
	0x8A70 : 'Unassigned [0x8A70]',
	0x8A71 : 'Unassigned [0x8A71]',
	0x8A72 : 'Unassigned [0x8A72]',
	0x8A73 : 'Unassigned [0x8A73]',
	0x8A74 : 'Unassigned [0x8A74]',
	0x8A75 : 'Unassigned [0x8A75]',
	0x8A76 : 'Unassigned [0x8A76]',
	0x8A77 : 'Unassigned [0x8A77]',
	0x8A78 : 'Unassigned [0x8A78]',
	0x8A79 : 'Unassigned [0x8A79]',
	0x8A7A : 'Unassigned [0x8A7A]',
	0x8A7B : 'Unassigned [0x8A7B]',
	0x8A7C : 'Unassigned [0x8A7C]',
	0x8A7D : 'Unassigned [0x8A7D]',
	0x8A7E : 'Unassigned [0x8A7E]',
	0x8A7F : 'Unassigned [0x8A7F]',
	0x8A80 : 'Unassigned [0x8A80]',
	0x8A81 : 'Unassigned [0x8A81]',
	0x8A82 : 'Unassigned [0x8A82]',
	0x8A83 : 'Unassigned [0x8A83]',
	0x8A84 : 'Unassigned [0x8A84]',
	0x8A85 : 'Unassigned [0x8A85]',
	0x8A86 : 'Unassigned [0x8A86]',
	0x8A87 : 'Unassigned [0x8A87]',
	0x8A88 : 'Unassigned [0x8A88]',
	0x8A89 : 'Unassigned [0x8A89]',
	0x8A8A : 'Unassigned [0x8A8A]',
	0x8A8B : 'Unassigned [0x8A8B]',
	0x8A8C : 'Unassigned [0x8A8C]',
	0x8A8D : 'Unassigned [0x8A8D]',
	0x8A8E : 'Unassigned [0x8A8E]',
	0x8A8F : 'Unassigned [0x8A8F]',
	0x8A90 : 'Unassigned [0x8A90]',
	0x8A91 : 'Unassigned [0x8A91]',
	0x8A92 : 'Unassigned [0x8A92]',
	0x8A93 : 'Unassigned [0x8A93]',
	0x8A94 : 'Unassigned [0x8A94]',
	0x8A95 : 'Unassigned [0x8A95]',
	0x8A96 : 'Unassigned [0x8A96]',
	0x8A97 : 'Unassigned [0x8A97]',
	0x8A98 : 'Unassigned [0x8A98]',
	0x8A99 : 'Unassigned [0x8A99]',
	0x8A9A : 'Unassigned [0x8A9A]',
	0x8A9B : 'Unassigned [0x8A9B]',
	0x8A9C : 'Unassigned [0x8A9C]',
	0x8A9D : 'Unassigned [0x8A9D]',
	0x8A9E : 'Unassigned [0x8A9E]',
	0x8A9F : 'Unassigned [0x8A9F]',
	0x8AA0 : 'Unassigned [0x8AA0]',
	0x8AA1 : 'Unassigned [0x8AA1]',
	0x8AA2 : 'Unassigned [0x8AA2]',
	0x8AA3 : 'Unassigned [0x8AA3]',
	0x8AA4 : 'Unassigned [0x8AA4]',
	0x8AA5 : 'Unassigned [0x8AA5]',
	0x8AA6 : 'Unassigned [0x8AA6]',
	0x8AA7 : 'Unassigned [0x8AA7]',
	0x8AA8 : 'Unassigned [0x8AA8]',
	0x8AA9 : 'Unassigned [0x8AA9]',
	0x8AAA : 'Unassigned [0x8AAA]',
	0x8AAB : 'Unassigned [0x8AAB]',
	0x8AAC : 'Unassigned [0x8AAC]',
	0x8AAD : 'Unassigned [0x8AAD]',
	0x8AAE : 'Unassigned [0x8AAE]',
	0x8AAF : 'Unassigned [0x8AAF]',
	0x8AB0 : 'Unassigned [0x8AB0]',
	0x8AB1 : 'Unassigned [0x8AB1]',
	0x8AB2 : 'Unassigned [0x8AB2]',
	0x8AB3 : 'Unassigned [0x8AB3]',
	0x8AB4 : 'Unassigned [0x8AB4]',
	0x8AB5 : 'Unassigned [0x8AB5]',
	0x8AB6 : 'Unassigned [0x8AB6]',
	0x8AB7 : 'Unassigned [0x8AB7]',
	0x8AB8 : 'Unassigned [0x8AB8]',
	0x8AB9 : 'Unassigned [0x8AB9]',
	0x8ABA : 'Unassigned [0x8ABA]',
	0x8ABB : 'Unassigned [0x8ABB]',
	0x8ABC : 'Unassigned [0x8ABC]',
	0x8ABD : 'Unassigned [0x8ABD]',
	0x8ABE : 'Unassigned [0x8ABE]',
	0x8ABF : 'Unassigned [0x8ABF]',
	0x8AC0 : 'Unassigned [0x8AC0]',
	0x8AC1 : 'Unassigned [0x8AC1]',
	0x8AC2 : 'Unassigned [0x8AC2]',
	0x8AC3 : 'Unassigned [0x8AC3]',
	0x8AC4 : 'Unassigned [0x8AC4]',
	0x8AC5 : 'Unassigned [0x8AC5]',
	0x8AC6 : 'Unassigned [0x8AC6]',
	0x8AC7 : 'Unassigned [0x8AC7]',
	0x8AC8 : 'Unassigned [0x8AC8]',
	0x8AC9 : 'Unassigned [0x8AC9]',
	0x8ACA : 'Unassigned [0x8ACA]',
	0x8ACB : 'Unassigned [0x8ACB]',
	0x8ACC : 'Unassigned [0x8ACC]',
	0x8ACD : 'Unassigned [0x8ACD]',
	0x8ACE : 'Unassigned [0x8ACE]',
	0x8ACF : 'Unassigned [0x8ACF]',
	0x8AD0 : 'Unassigned [0x8AD0]',
	0x8AD1 : 'Unassigned [0x8AD1]',
	0x8AD2 : 'Unassigned [0x8AD2]',
	0x8AD3 : 'Unassigned [0x8AD3]',
	0x8AD4 : 'Unassigned [0x8AD4]',
	0x8AD5 : 'Unassigned [0x8AD5]',
	0x8AD6 : 'Unassigned [0x8AD6]',
	0x8AD7 : 'Unassigned [0x8AD7]',
	0x8AD8 : 'Unassigned [0x8AD8]',
	0x8AD9 : 'Unassigned [0x8AD9]',
	0x8ADA : 'Unassigned [0x8ADA]',
	0x8ADB : 'Unassigned [0x8ADB]',
	0x8ADC : 'Unassigned [0x8ADC]',
	0x8ADD : 'Unassigned [0x8ADD]',
	0x8ADE : 'Unassigned [0x8ADE]',
	0x8ADF : 'Unassigned [0x8ADF]',
	0x8AE0 : 'Unassigned [0x8AE0]',
	0x8AE1 : 'Unassigned [0x8AE1]',
	0x8AE2 : 'Unassigned [0x8AE2]',
	0x8AE3 : 'Unassigned [0x8AE3]',
	0x8AE4 : 'Unassigned [0x8AE4]',
	0x8AE5 : 'Unassigned [0x8AE5]',
	0x8AE6 : 'Unassigned [0x8AE6]',
	0x8AE7 : 'Unassigned [0x8AE7]',
	0x8AE8 : 'Unassigned [0x8AE8]',
	0x8AE9 : 'Unassigned [0x8AE9]',
	0x8AEA : 'Unassigned [0x8AEA]',
	0x8AEB : 'Unassigned [0x8AEB]',
	0x8AEC : 'Unassigned [0x8AEC]',
	0x8AED : 'Unassigned [0x8AED]',
	0x8AEE : 'Unassigned [0x8AEE]',
	0x8AEF : 'Unassigned [0x8AEF]',
	0x8AF0 : 'Unassigned [0x8AF0]',
	0x8AF1 : 'Unassigned [0x8AF1]',
	0x8AF2 : 'Unassigned [0x8AF2]',
	0x8AF3 : 'Unassigned [0x8AF3]',
	0x8AF4 : 'Unassigned [0x8AF4]',
	0x8AF5 : 'Unassigned [0x8AF5]',
	0x8AF6 : 'Unassigned [0x8AF6]',
	0x8AF7 : 'Unassigned [0x8AF7]',
	0x8AF8 : 'Unassigned [0x8AF8]',
	0x8AF9 : 'Unassigned [0x8AF9]',
	0x8AFA : 'Unassigned [0x8AFA]',
	0x8AFB : 'Unassigned [0x8AFB]',
	0x8AFC : 'Unassigned [0x8AFC]',
	0x8AFD : 'Unassigned [0x8AFD]',
	0x8AFE : 'Unassigned [0x8AFE]',
	0x8AFF : 'Unassigned [0x8AFF]',
	0x8B00 : 'Unassigned [0x8B00]',
	0x8B01 : 'Unassigned [0x8B01]',
	0x8B02 : 'Unassigned [0x8B02]',
	0x8B03 : 'Unassigned [0x8B03]',
	0x8B04 : 'Unassigned [0x8B04]',
	0x8B05 : 'Unassigned [0x8B05]',
	0x8B06 : 'Unassigned [0x8B06]',
	0x8B07 : 'Unassigned [0x8B07]',
	0x8B08 : 'Unassigned [0x8B08]',
	0x8B09 : 'Unassigned [0x8B09]',
	0x8B0A : 'Unassigned [0x8B0A]',
	0x8B0B : 'Unassigned [0x8B0B]',
	0x8B0C : 'Unassigned [0x8B0C]',
	0x8B0D : 'Unassigned [0x8B0D]',
	0x8B0E : 'Unassigned [0x8B0E]',
	0x8B0F : 'Unassigned [0x8B0F]',
	0x8B10 : 'Unassigned [0x8B10]',
	0x8B11 : 'Unassigned [0x8B11]',
	0x8B12 : 'Unassigned [0x8B12]',
	0x8B13 : 'Unassigned [0x8B13]',
	0x8B14 : 'Unassigned [0x8B14]',
	0x8B15 : 'Unassigned [0x8B15]',
	0x8B16 : 'Unassigned [0x8B16]',
	0x8B17 : 'Unassigned [0x8B17]',
	0x8B18 : 'Unassigned [0x8B18]',
	0x8B19 : 'Unassigned [0x8B19]',
	0x8B1A : 'Unassigned [0x8B1A]',
	0x8B1B : 'Unassigned [0x8B1B]',
	0x8B1C : 'Unassigned [0x8B1C]',
	0x8B1D : 'Unassigned [0x8B1D]',
	0x8B1E : 'Unassigned [0x8B1E]',
	0x8B1F : 'Unassigned [0x8B1F]',
	0x8B20 : 'Unassigned [0x8B20]',
	0x8B21 : 'Unassigned [0x8B21]',
	0x8B22 : 'Unassigned [0x8B22]',
	0x8B23 : 'Unassigned [0x8B23]',
	0x8B24 : 'Unassigned [0x8B24]',
	0x8B25 : 'Unassigned [0x8B25]',
	0x8B26 : 'Unassigned [0x8B26]',
	0x8B27 : 'Unassigned [0x8B27]',
	0x8B28 : 'Unassigned [0x8B28]',
	0x8B29 : 'Unassigned [0x8B29]',
	0x8B2A : 'Unassigned [0x8B2A]',
	0x8B2B : 'Unassigned [0x8B2B]',
	0x8B2C : 'Unassigned [0x8B2C]',
	0x8B2D : 'Unassigned [0x8B2D]',
	0x8B2E : 'Unassigned [0x8B2E]',
	0x8B2F : 'Unassigned [0x8B2F]',
	0x8B30 : 'Unassigned [0x8B30]',
	0x8B31 : 'Unassigned [0x8B31]',
	0x8B32 : 'Unassigned [0x8B32]',
	0x8B33 : 'Unassigned [0x8B33]',
	0x8B34 : 'Unassigned [0x8B34]',
	0x8B35 : 'Unassigned [0x8B35]',
	0x8B36 : 'Unassigned [0x8B36]',
	0x8B37 : 'Unassigned [0x8B37]',
	0x8B38 : 'Unassigned [0x8B38]',
	0x8B39 : 'Unassigned [0x8B39]',
	0x8B3A : 'Unassigned [0x8B3A]',
	0x8B3B : 'Unassigned [0x8B3B]',
	0x8B3C : 'Unassigned [0x8B3C]',
	0x8B3D : 'Unassigned [0x8B3D]',
	0x8B3E : 'Unassigned [0x8B3E]',
	0x8B3F : 'Unassigned [0x8B3F]',
	0x8B40 : 'Unassigned [0x8B40]',
	0x8B41 : 'Unassigned [0x8B41]',
	0x8B42 : 'Unassigned [0x8B42]',
	0x8B43 : 'Unassigned [0x8B43]',
	0x8B44 : 'Unassigned [0x8B44]',
	0x8B45 : 'Unassigned [0x8B45]',
	0x8B46 : 'Unassigned [0x8B46]',
	0x8B47 : 'Unassigned [0x8B47]',
	0x8B48 : 'Unassigned [0x8B48]',
	0x8B49 : 'Unassigned [0x8B49]',
	0x8B4A : 'Unassigned [0x8B4A]',
	0x8B4B : 'Unassigned [0x8B4B]',
	0x8B4C : 'Unassigned [0x8B4C]',
	0x8B4D : 'Unassigned [0x8B4D]',
	0x8B4E : 'Unassigned [0x8B4E]',
	0x8B4F : 'Unassigned [0x8B4F]',
	0x8B50 : 'Unassigned [0x8B50]',
	0x8B51 : 'Unassigned [0x8B51]',
	0x8B52 : 'Unassigned [0x8B52]',
	0x8B53 : 'Unassigned [0x8B53]',
	0x8B54 : 'Unassigned [0x8B54]',
	0x8B55 : 'Unassigned [0x8B55]',
	0x8B56 : 'Unassigned [0x8B56]',
	0x8B57 : 'Unassigned [0x8B57]',
	0x8B58 : 'Unassigned [0x8B58]',
	0x8B59 : 'Unassigned [0x8B59]',
	0x8B5A : 'Unassigned [0x8B5A]',
	0x8B5B : 'Unassigned [0x8B5B]',
	0x8B5C : 'Unassigned [0x8B5C]',
	0x8B5D : 'Unassigned [0x8B5D]',
	0x8B5E : 'Unassigned [0x8B5E]',
	0x8B5F : 'Unassigned [0x8B5F]',
	0x8B60 : 'Unassigned [0x8B60]',
	0x8B61 : 'Unassigned [0x8B61]',
	0x8B62 : 'Unassigned [0x8B62]',
	0x8B63 : 'Unassigned [0x8B63]',
	0x8B64 : 'Unassigned [0x8B64]',
	0x8B65 : 'Unassigned [0x8B65]',
	0x8B66 : 'Unassigned [0x8B66]',
	0x8B67 : 'Unassigned [0x8B67]',
	0x8B68 : 'Unassigned [0x8B68]',
	0x8B69 : 'Unassigned [0x8B69]',
	0x8B6A : 'Unassigned [0x8B6A]',
	0x8B6B : 'Unassigned [0x8B6B]',
	0x8B6C : 'Unassigned [0x8B6C]',
	0x8B6D : 'Unassigned [0x8B6D]',
	0x8B6E : 'Unassigned [0x8B6E]',
	0x8B6F : 'Unassigned [0x8B6F]',
	0x8B70 : 'Unassigned [0x8B70]',
	0x8B71 : 'Unassigned [0x8B71]',
	0x8B72 : 'Unassigned [0x8B72]',
	0x8B73 : 'Unassigned [0x8B73]',
	0x8B74 : 'Unassigned [0x8B74]',
	0x8B75 : 'Unassigned [0x8B75]',
	0x8B76 : 'Unassigned [0x8B76]',
	0x8B77 : 'Unassigned [0x8B77]',
	0x8B78 : 'Unassigned [0x8B78]',
	0x8B79 : 'Unassigned [0x8B79]',
	0x8B7A : 'Unassigned [0x8B7A]',
	0x8B7B : 'Unassigned [0x8B7B]',
	0x8B7C : 'Unassigned [0x8B7C]',
	0x8B7D : 'Unassigned [0x8B7D]',
	0x8B7E : 'Unassigned [0x8B7E]',
	0x8B7F : 'Unassigned [0x8B7F]',
	0x8B80 : 'Unassigned [0x8B80]',
	0x8B81 : 'Unassigned [0x8B81]',
	0x8B82 : 'Unassigned [0x8B82]',
	0x8B83 : 'Unassigned [0x8B83]',
	0x8B84 : 'Unassigned [0x8B84]',
	0x8B85 : 'Unassigned [0x8B85]',
	0x8B86 : 'Unassigned [0x8B86]',
	0x8B87 : 'Unassigned [0x8B87]',
	0x8B88 : 'Unassigned [0x8B88]',
	0x8B89 : 'Unassigned [0x8B89]',
	0x8B8A : 'Unassigned [0x8B8A]',
	0x8B8B : 'Unassigned [0x8B8B]',
	0x8B8C : 'Unassigned [0x8B8C]',
	0x8B8D : 'Unassigned [0x8B8D]',
	0x8B8E : 'Unassigned [0x8B8E]',
	0x8B8F : 'Unassigned [0x8B8F]',
	0x8B90 : 'Unassigned [0x8B90]',
	0x8B91 : 'Unassigned [0x8B91]',
	0x8B92 : 'Unassigned [0x8B92]',
	0x8B93 : 'Unassigned [0x8B93]',
	0x8B94 : 'Unassigned [0x8B94]',
	0x8B95 : 'Unassigned [0x8B95]',
	0x8B96 : 'Unassigned [0x8B96]',
	0x8B97 : 'Unassigned [0x8B97]',
	0x8B98 : 'Unassigned [0x8B98]',
	0x8B99 : 'Unassigned [0x8B99]',
	0x8B9A : 'Unassigned [0x8B9A]',
	0x8B9B : 'Unassigned [0x8B9B]',
	0x8B9C : 'Unassigned [0x8B9C]',
	0x8B9D : 'Unassigned [0x8B9D]',
	0x8B9E : 'Unassigned [0x8B9E]',
	0x8B9F : 'Unassigned [0x8B9F]',
	0x8BA0 : 'Unassigned [0x8BA0]',
	0x8BA1 : 'Unassigned [0x8BA1]',
	0x8BA2 : 'Unassigned [0x8BA2]',
	0x8BA3 : 'Unassigned [0x8BA3]',
	0x8BA4 : 'Unassigned [0x8BA4]',
	0x8BA5 : 'Unassigned [0x8BA5]',
	0x8BA6 : 'Unassigned [0x8BA6]',
	0x8BA7 : 'Unassigned [0x8BA7]',
	0x8BA8 : 'Unassigned [0x8BA8]',
	0x8BA9 : 'Unassigned [0x8BA9]',
	0x8BAA : 'Unassigned [0x8BAA]',
	0x8BAB : 'Unassigned [0x8BAB]',
	0x8BAC : 'Unassigned [0x8BAC]',
	0x8BAD : 'Unassigned [0x8BAD]',
	0x8BAE : 'Unassigned [0x8BAE]',
	0x8BAF : 'Unassigned [0x8BAF]',
	0x8BB0 : 'Unassigned [0x8BB0]',
	0x8BB1 : 'Unassigned [0x8BB1]',
	0x8BB2 : 'Unassigned [0x8BB2]',
	0x8BB3 : 'Unassigned [0x8BB3]',
	0x8BB4 : 'Unassigned [0x8BB4]',
	0x8BB5 : 'Unassigned [0x8BB5]',
	0x8BB6 : 'Unassigned [0x8BB6]',
	0x8BB7 : 'Unassigned [0x8BB7]',
	0x8BB8 : 'Unassigned [0x8BB8]',
	0x8BB9 : 'Unassigned [0x8BB9]',
	0x8BBA : 'Unassigned [0x8BBA]',
	0x8BBB : 'Unassigned [0x8BBB]',
	0x8BBC : 'Unassigned [0x8BBC]',
	0x8BBD : 'Unassigned [0x8BBD]',
	0x8BBE : 'Unassigned [0x8BBE]',
	0x8BBF : 'Unassigned [0x8BBF]',
	0x8BC0 : 'Unassigned [0x8BC0]',
	0x8BC1 : 'Unassigned [0x8BC1]',
	0x8BC2 : 'Unassigned [0x8BC2]',
	0x8BC3 : 'Unassigned [0x8BC3]',
	0x8BC4 : 'Unassigned [0x8BC4]',
	0x8BC5 : 'Unassigned [0x8BC5]',
	0x8BC6 : 'Unassigned [0x8BC6]',
	0x8BC7 : 'Unassigned [0x8BC7]',
	0x8BC8 : 'Unassigned [0x8BC8]',
	0x8BC9 : 'Unassigned [0x8BC9]',
	0x8BCA : 'Unassigned [0x8BCA]',
	0x8BCB : 'Unassigned [0x8BCB]',
	0x8BCC : 'Unassigned [0x8BCC]',
	0x8BCD : 'Unassigned [0x8BCD]',
	0x8BCE : 'Unassigned [0x8BCE]',
	0x8BCF : 'Unassigned [0x8BCF]',
	0x8BD0 : 'Unassigned [0x8BD0]',
	0x8BD1 : 'Unassigned [0x8BD1]',
	0x8BD2 : 'Unassigned [0x8BD2]',
	0x8BD3 : 'Unassigned [0x8BD3]',
	0x8BD4 : 'Unassigned [0x8BD4]',
	0x8BD5 : 'Unassigned [0x8BD5]',
	0x8BD6 : 'Unassigned [0x8BD6]',
	0x8BD7 : 'Unassigned [0x8BD7]',
	0x8BD8 : 'Unassigned [0x8BD8]',
	0x8BD9 : 'Unassigned [0x8BD9]',
	0x8BDA : 'Unassigned [0x8BDA]',
	0x8BDB : 'Unassigned [0x8BDB]',
	0x8BDC : 'Unassigned [0x8BDC]',
	0x8BDD : 'Unassigned [0x8BDD]',
	0x8BDE : 'Unassigned [0x8BDE]',
	0x8BDF : 'Unassigned [0x8BDF]',
	0x8BE0 : 'Unassigned [0x8BE0]',
	0x8BE1 : 'Unassigned [0x8BE1]',
	0x8BE2 : 'Unassigned [0x8BE2]',
	0x8BE3 : 'Unassigned [0x8BE3]',
	0x8BE4 : 'Unassigned [0x8BE4]',
	0x8BE5 : 'Unassigned [0x8BE5]',
	0x8BE6 : 'Unassigned [0x8BE6]',
	0x8BE7 : 'Unassigned [0x8BE7]',
	0x8BE8 : 'Unassigned [0x8BE8]',
	0x8BE9 : 'Unassigned [0x8BE9]',
	0x8BEA : 'Unassigned [0x8BEA]',
	0x8BEB : 'Unassigned [0x8BEB]',
	0x8BEC : 'Unassigned [0x8BEC]',
	0x8BED : 'Unassigned [0x8BED]',
	0x8BEE : 'Unassigned [0x8BEE]',
	0x8BEF : 'Unassigned [0x8BEF]',
	0x8BF0 : 'Unassigned [0x8BF0]',
	0x8BF1 : 'Unassigned [0x8BF1]',
	0x8BF2 : 'Unassigned [0x8BF2]',
	0x8BF3 : 'Unassigned [0x8BF3]',
	0x8BF4 : 'Unassigned [0x8BF4]',
	0x8BF5 : 'Unassigned [0x8BF5]',
	0x8BF6 : 'Unassigned [0x8BF6]',
	0x8BF7 : 'Unassigned [0x8BF7]',
	0x8BF8 : 'Unassigned [0x8BF8]',
	0x8BF9 : 'Unassigned [0x8BF9]',
	0x8BFA : 'Unassigned [0x8BFA]',
	0x8BFB : 'Unassigned [0x8BFB]',
	0x8BFC : 'Unassigned [0x8BFC]',
	0x8BFD : 'Unassigned [0x8BFD]',
	0x8BFE : 'Unassigned [0x8BFE]',
	0x8BFF : 'Unassigned [0x8BFF]',
	0x8C00 : 'Unassigned [0x8C00]',
	0x8C01 : 'Unassigned [0x8C01]',
	0x8C02 : 'Unassigned [0x8C02]',
	0x8C03 : 'Unassigned [0x8C03]',
	0x8C04 : 'Unassigned [0x8C04]',
	0x8C05 : 'Unassigned [0x8C05]',
	0x8C06 : 'Unassigned [0x8C06]',
	0x8C07 : 'Unassigned [0x8C07]',
	0x8C08 : 'Unassigned [0x8C08]',
	0x8C09 : 'Unassigned [0x8C09]',
	0x8C0A : 'Unassigned [0x8C0A]',
	0x8C0B : 'Unassigned [0x8C0B]',
	0x8C0C : 'Unassigned [0x8C0C]',
	0x8C0D : 'Unassigned [0x8C0D]',
	0x8C0E : 'Unassigned [0x8C0E]',
	0x8C0F : 'Unassigned [0x8C0F]',
	0x8C10 : 'Unassigned [0x8C10]',
	0x8C11 : 'Unassigned [0x8C11]',
	0x8C12 : 'Unassigned [0x8C12]',
	0x8C13 : 'Unassigned [0x8C13]',
	0x8C14 : 'Unassigned [0x8C14]',
	0x8C15 : 'Unassigned [0x8C15]',
	0x8C16 : 'Unassigned [0x8C16]',
	0x8C17 : 'Unassigned [0x8C17]',
	0x8C18 : 'Unassigned [0x8C18]',
	0x8C19 : 'Unassigned [0x8C19]',
	0x8C1A : 'Unassigned [0x8C1A]',
	0x8C1B : 'Unassigned [0x8C1B]',
	0x8C1C : 'Unassigned [0x8C1C]',
	0x8C1D : 'Unassigned [0x8C1D]',
	0x8C1E : 'Unassigned [0x8C1E]',
	0x8C1F : 'Unassigned [0x8C1F]',
	0x8C20 : 'Unassigned [0x8C20]',
	0x8C21 : 'Unassigned [0x8C21]',
	0x8C22 : 'Unassigned [0x8C22]',
	0x8C23 : 'Unassigned [0x8C23]',
	0x8C24 : 'Unassigned [0x8C24]',
	0x8C25 : 'Unassigned [0x8C25]',
	0x8C26 : 'Unassigned [0x8C26]',
	0x8C27 : 'Unassigned [0x8C27]',
	0x8C28 : 'Unassigned [0x8C28]',
	0x8C29 : 'Unassigned [0x8C29]',
	0x8C2A : 'Unassigned [0x8C2A]',
	0x8C2B : 'Unassigned [0x8C2B]',
	0x8C2C : 'Unassigned [0x8C2C]',
	0x8C2D : 'Unassigned [0x8C2D]',
	0x8C2E : 'Unassigned [0x8C2E]',
	0x8C2F : 'Unassigned [0x8C2F]',
	0x8C30 : 'Unassigned [0x8C30]',
	0x8C31 : 'Unassigned [0x8C31]',
	0x8C32 : 'Unassigned [0x8C32]',
	0x8C33 : 'Unassigned [0x8C33]',
	0x8C34 : 'Unassigned [0x8C34]',
	0x8C35 : 'Unassigned [0x8C35]',
	0x8C36 : 'Unassigned [0x8C36]',
	0x8C37 : 'Unassigned [0x8C37]',
	0x8C38 : 'Unassigned [0x8C38]',
	0x8C39 : 'Unassigned [0x8C39]',
	0x8C3A : 'Unassigned [0x8C3A]',
	0x8C3B : 'Unassigned [0x8C3B]',
	0x8C3C : 'Unassigned [0x8C3C]',
	0x8C3D : 'Unassigned [0x8C3D]',
	0x8C3E : 'Unassigned [0x8C3E]',
	0x8C3F : 'Unassigned [0x8C3F]',
	0x8C40 : 'Unassigned [0x8C40]',
	0x8C41 : 'Unassigned [0x8C41]',
	0x8C42 : 'Unassigned [0x8C42]',
	0x8C43 : 'Unassigned [0x8C43]',
	0x8C44 : 'Unassigned [0x8C44]',
	0x8C45 : 'Unassigned [0x8C45]',
	0x8C46 : 'Unassigned [0x8C46]',
	0x8C47 : 'Unassigned [0x8C47]',
	0x8C48 : 'Unassigned [0x8C48]',
	0x8C49 : 'Unassigned [0x8C49]',
	0x8C4A : 'Unassigned [0x8C4A]',
	0x8C4B : 'Unassigned [0x8C4B]',
	0x8C4C : 'Unassigned [0x8C4C]',
	0x8C4D : 'Unassigned [0x8C4D]',
	0x8C4E : 'Unassigned [0x8C4E]',
	0x8C4F : 'Unassigned [0x8C4F]',
	0x8C50 : 'Unassigned [0x8C50]',
	0x8C51 : 'Unassigned [0x8C51]',
	0x8C52 : 'Unassigned [0x8C52]',
	0x8C53 : 'Unassigned [0x8C53]',
	0x8C54 : 'Unassigned [0x8C54]',
	0x8C55 : 'Unassigned [0x8C55]',
	0x8C56 : 'Unassigned [0x8C56]',
	0x8C57 : 'Unassigned [0x8C57]',
	0x8C58 : 'Unassigned [0x8C58]',
	0x8C59 : 'Unassigned [0x8C59]',
	0x8C5A : 'Unassigned [0x8C5A]',
	0x8C5B : 'Unassigned [0x8C5B]',
	0x8C5C : 'Unassigned [0x8C5C]',
	0x8C5D : 'Unassigned [0x8C5D]',
	0x8C5E : 'Unassigned [0x8C5E]',
	0x8C5F : 'Unassigned [0x8C5F]',
	0x8C60 : 'Unassigned [0x8C60]',
	0x8C61 : 'Unassigned [0x8C61]',
	0x8C62 : 'Unassigned [0x8C62]',
	0x8C63 : 'Unassigned [0x8C63]',
	0x8C64 : 'Unassigned [0x8C64]',
	0x8C65 : 'Unassigned [0x8C65]',
	0x8C66 : 'Unassigned [0x8C66]',
	0x8C67 : 'Unassigned [0x8C67]',
	0x8C68 : 'Unassigned [0x8C68]',
	0x8C69 : 'Unassigned [0x8C69]',
	0x8C6A : 'Unassigned [0x8C6A]',
	0x8C6B : 'Unassigned [0x8C6B]',
	0x8C6C : 'Unassigned [0x8C6C]',
	0x8C6D : 'Unassigned [0x8C6D]',
	0x8C6E : 'Unassigned [0x8C6E]',
	0x8C6F : 'Unassigned [0x8C6F]',
	0x8C70 : 'Unassigned [0x8C70]',
	0x8C71 : 'Unassigned [0x8C71]',
	0x8C72 : 'Unassigned [0x8C72]',
	0x8C73 : 'Unassigned [0x8C73]',
	0x8C74 : 'Unassigned [0x8C74]',
	0x8C75 : 'Unassigned [0x8C75]',
	0x8C76 : 'Unassigned [0x8C76]',
	0x8C77 : 'Unassigned [0x8C77]',
	0x8C78 : 'Unassigned [0x8C78]',
	0x8C79 : 'Unassigned [0x8C79]',
	0x8C7A : 'Unassigned [0x8C7A]',
	0x8C7B : 'Unassigned [0x8C7B]',
	0x8C7C : 'Unassigned [0x8C7C]',
	0x8C7D : 'Unassigned [0x8C7D]',
	0x8C7E : 'Unassigned [0x8C7E]',
	0x8C7F : 'Unassigned [0x8C7F]',
	0x8C80 : 'Unassigned [0x8C80]',
	0x8C81 : 'Unassigned [0x8C81]',
	0x8C82 : 'Unassigned [0x8C82]',
	0x8C83 : 'Unassigned [0x8C83]',
	0x8C84 : 'Unassigned [0x8C84]',
	0x8C85 : 'Unassigned [0x8C85]',
	0x8C86 : 'Unassigned [0x8C86]',
	0x8C87 : 'Unassigned [0x8C87]',
	0x8C88 : 'Unassigned [0x8C88]',
	0x8C89 : 'Unassigned [0x8C89]',
	0x8C8A : 'Unassigned [0x8C8A]',
	0x8C8B : 'Unassigned [0x8C8B]',
	0x8C8C : 'Unassigned [0x8C8C]',
	0x8C8D : 'Unassigned [0x8C8D]',
	0x8C8E : 'Unassigned [0x8C8E]',
	0x8C8F : 'Unassigned [0x8C8F]',
	0x8C90 : 'Unassigned [0x8C90]',
	0x8C91 : 'Unassigned [0x8C91]',
	0x8C92 : 'Unassigned [0x8C92]',
	0x8C93 : 'Unassigned [0x8C93]',
	0x8C94 : 'Unassigned [0x8C94]',
	0x8C95 : 'Unassigned [0x8C95]',
	0x8C96 : 'Unassigned [0x8C96]',
	0x8C97 : 'Unassigned [0x8C97]',
	0x8C98 : 'Unassigned [0x8C98]',
	0x8C99 : 'Unassigned [0x8C99]',
	0x8C9A : 'Unassigned [0x8C9A]',
	0x8C9B : 'Unassigned [0x8C9B]',
	0x8C9C : 'Unassigned [0x8C9C]',
	0x8C9D : 'Unassigned [0x8C9D]',
	0x8C9E : 'Unassigned [0x8C9E]',
	0x8C9F : 'Unassigned [0x8C9F]',
	0x8CA0 : 'Unassigned [0x8CA0]',
	0x8CA1 : 'Unassigned [0x8CA1]',
	0x8CA2 : 'Unassigned [0x8CA2]',
	0x8CA3 : 'Unassigned [0x8CA3]',
	0x8CA4 : 'Unassigned [0x8CA4]',
	0x8CA5 : 'Unassigned [0x8CA5]',
	0x8CA6 : 'Unassigned [0x8CA6]',
	0x8CA7 : 'Unassigned [0x8CA7]',
	0x8CA8 : 'Unassigned [0x8CA8]',
	0x8CA9 : 'Unassigned [0x8CA9]',
	0x8CAA : 'Unassigned [0x8CAA]',
	0x8CAB : 'Unassigned [0x8CAB]',
	0x8CAC : 'Unassigned [0x8CAC]',
	0x8CAD : 'Unassigned [0x8CAD]',
	0x8CAE : 'Unassigned [0x8CAE]',
	0x8CAF : 'Unassigned [0x8CAF]',
	0x8CB0 : 'Unassigned [0x8CB0]',
	0x8CB1 : 'Unassigned [0x8CB1]',
	0x8CB2 : 'Unassigned [0x8CB2]',
	0x8CB3 : 'Unassigned [0x8CB3]',
	0x8CB4 : 'Unassigned [0x8CB4]',
	0x8CB5 : 'Unassigned [0x8CB5]',
	0x8CB6 : 'Unassigned [0x8CB6]',
	0x8CB7 : 'Unassigned [0x8CB7]',
	0x8CB8 : 'Unassigned [0x8CB8]',
	0x8CB9 : 'Unassigned [0x8CB9]',
	0x8CBA : 'Unassigned [0x8CBA]',
	0x8CBB : 'Unassigned [0x8CBB]',
	0x8CBC : 'Unassigned [0x8CBC]',
	0x8CBD : 'Unassigned [0x8CBD]',
	0x8CBE : 'Unassigned [0x8CBE]',
	0x8CBF : 'Unassigned [0x8CBF]',
	0x8CC0 : 'Unassigned [0x8CC0]',
	0x8CC1 : 'Unassigned [0x8CC1]',
	0x8CC2 : 'Unassigned [0x8CC2]',
	0x8CC3 : 'Unassigned [0x8CC3]',
	0x8CC4 : 'Unassigned [0x8CC4]',
	0x8CC5 : 'Unassigned [0x8CC5]',
	0x8CC6 : 'Unassigned [0x8CC6]',
	0x8CC7 : 'Unassigned [0x8CC7]',
	0x8CC8 : 'Unassigned [0x8CC8]',
	0x8CC9 : 'Unassigned [0x8CC9]',
	0x8CCA : 'Unassigned [0x8CCA]',
	0x8CCB : 'Unassigned [0x8CCB]',
	0x8CCC : 'Unassigned [0x8CCC]',
	0x8CCD : 'Unassigned [0x8CCD]',
	0x8CCE : 'Unassigned [0x8CCE]',
	0x8CCF : 'Unassigned [0x8CCF]',
	0x8CD0 : 'Unassigned [0x8CD0]',
	0x8CD1 : 'Unassigned [0x8CD1]',
	0x8CD2 : 'Unassigned [0x8CD2]',
	0x8CD3 : 'Unassigned [0x8CD3]',
	0x8CD4 : 'Unassigned [0x8CD4]',
	0x8CD5 : 'Unassigned [0x8CD5]',
	0x8CD6 : 'Unassigned [0x8CD6]',
	0x8CD7 : 'Unassigned [0x8CD7]',
	0x8CD8 : 'Unassigned [0x8CD8]',
	0x8CD9 : 'Unassigned [0x8CD9]',
	0x8CDA : 'Unassigned [0x8CDA]',
	0x8CDB : 'Unassigned [0x8CDB]',
	0x8CDC : 'Unassigned [0x8CDC]',
	0x8CDD : 'Unassigned [0x8CDD]',
	0x8CDE : 'Unassigned [0x8CDE]',
	0x8CDF : 'Unassigned [0x8CDF]',
	0x8CE0 : 'Unassigned [0x8CE0]',
	0x8CE1 : 'Unassigned [0x8CE1]',
	0x8CE2 : 'Unassigned [0x8CE2]',
	0x8CE3 : 'Unassigned [0x8CE3]',
	0x8CE4 : 'Unassigned [0x8CE4]',
	0x8CE5 : 'Unassigned [0x8CE5]',
	0x8CE6 : 'Unassigned [0x8CE6]',
	0x8CE7 : 'Unassigned [0x8CE7]',
	0x8CE8 : 'Unassigned [0x8CE8]',
	0x8CE9 : 'Unassigned [0x8CE9]',
	0x8CEA : 'Unassigned [0x8CEA]',
	0x8CEB : 'Unassigned [0x8CEB]',
	0x8CEC : 'Unassigned [0x8CEC]',
	0x8CED : 'Unassigned [0x8CED]',
	0x8CEE : 'Unassigned [0x8CEE]',
	0x8CEF : 'Unassigned [0x8CEF]',
	0x8CF0 : 'Unassigned [0x8CF0]',
	0x8CF1 : 'Unassigned [0x8CF1]',
	0x8CF2 : 'Unassigned [0x8CF2]',
	0x8CF3 : 'Unassigned [0x8CF3]',
	0x8CF4 : 'Unassigned [0x8CF4]',
	0x8CF5 : 'Unassigned [0x8CF5]',
	0x8CF6 : 'Unassigned [0x8CF6]',
	0x8CF7 : 'Unassigned [0x8CF7]',
	0x8CF8 : 'Unassigned [0x8CF8]',
	0x8CF9 : 'Unassigned [0x8CF9]',
	0x8CFA : 'Unassigned [0x8CFA]',
	0x8CFB : 'Unassigned [0x8CFB]',
	0x8CFC : 'Unassigned [0x8CFC]',
	0x8CFD : 'Unassigned [0x8CFD]',
	0x8CFE : 'Unassigned [0x8CFE]',
	0x8CFF : 'Unassigned [0x8CFF]',
	0x8D00 : 'Unassigned [0x8D00]',
	0x8D01 : 'Unassigned [0x8D01]',
	0x8D02 : 'Unassigned [0x8D02]',
	0x8D03 : 'Unassigned [0x8D03]',
	0x8D04 : 'Unassigned [0x8D04]',
	0x8D05 : 'Unassigned [0x8D05]',
	0x8D06 : 'Unassigned [0x8D06]',
	0x8D07 : 'Unassigned [0x8D07]',
	0x8D08 : 'Unassigned [0x8D08]',
	0x8D09 : 'Unassigned [0x8D09]',
	0x8D0A : 'Unassigned [0x8D0A]',
	0x8D0B : 'Unassigned [0x8D0B]',
	0x8D0C : 'Unassigned [0x8D0C]',
	0x8D0D : 'Unassigned [0x8D0D]',
	0x8D0E : 'Unassigned [0x8D0E]',
	0x8D0F : 'Unassigned [0x8D0F]',
	0x8D10 : 'Unassigned [0x8D10]',
	0x8D11 : 'Unassigned [0x8D11]',
	0x8D12 : 'Unassigned [0x8D12]',
	0x8D13 : 'Unassigned [0x8D13]',
	0x8D14 : 'Unassigned [0x8D14]',
	0x8D15 : 'Unassigned [0x8D15]',
	0x8D16 : 'Unassigned [0x8D16]',
	0x8D17 : 'Unassigned [0x8D17]',
	0x8D18 : 'Unassigned [0x8D18]',
	0x8D19 : 'Unassigned [0x8D19]',
	0x8D1A : 'Unassigned [0x8D1A]',
	0x8D1B : 'Unassigned [0x8D1B]',
	0x8D1C : 'Unassigned [0x8D1C]',
	0x8D1D : 'Unassigned [0x8D1D]',
	0x8D1E : 'Unassigned [0x8D1E]',
	0x8D1F : 'Unassigned [0x8D1F]',
	0x8D20 : 'Unassigned [0x8D20]',
	0x8D21 : 'Unassigned [0x8D21]',
	0x8D22 : 'Unassigned [0x8D22]',
	0x8D23 : 'Unassigned [0x8D23]',
	0x8D24 : 'Unassigned [0x8D24]',
	0x8D25 : 'Unassigned [0x8D25]',
	0x8D26 : 'Unassigned [0x8D26]',
	0x8D27 : 'Unassigned [0x8D27]',
	0x8D28 : 'Unassigned [0x8D28]',
	0x8D29 : 'Unassigned [0x8D29]',
	0x8D2A : 'Unassigned [0x8D2A]',
	0x8D2B : 'Unassigned [0x8D2B]',
	0x8D2C : 'Unassigned [0x8D2C]',
	0x8D2D : 'Unassigned [0x8D2D]',
	0x8D2E : 'Unassigned [0x8D2E]',
	0x8D2F : 'Unassigned [0x8D2F]',
	0x8D30 : 'Unassigned [0x8D30]',
	0x8D31 : 'Unassigned [0x8D31]',
	0x8D32 : 'Unassigned [0x8D32]',
	0x8D33 : 'Unassigned [0x8D33]',
	0x8D34 : 'Unassigned [0x8D34]',
	0x8D35 : 'Unassigned [0x8D35]',
	0x8D36 : 'Unassigned [0x8D36]',
	0x8D37 : 'Unassigned [0x8D37]',
	0x8D38 : 'Unassigned [0x8D38]',
	0x8D39 : 'Unassigned [0x8D39]',
	0x8D3A : 'Unassigned [0x8D3A]',
	0x8D3B : 'Unassigned [0x8D3B]',
	0x8D3C : 'Unassigned [0x8D3C]',
	0x8D3D : 'Unassigned [0x8D3D]',
	0x8D3E : 'Unassigned [0x8D3E]',
	0x8D3F : 'Unassigned [0x8D3F]',
	0x8D40 : 'Unassigned [0x8D40]',
	0x8D41 : 'Unassigned [0x8D41]',
	0x8D42 : 'Unassigned [0x8D42]',
	0x8D43 : 'Unassigned [0x8D43]',
	0x8D44 : 'Unassigned [0x8D44]',
	0x8D45 : 'Unassigned [0x8D45]',
	0x8D46 : 'Unassigned [0x8D46]',
	0x8D47 : 'Unassigned [0x8D47]',
	0x8D48 : 'Unassigned [0x8D48]',
	0x8D49 : 'Unassigned [0x8D49]',
	0x8D4A : 'Unassigned [0x8D4A]',
	0x8D4B : 'Unassigned [0x8D4B]',
	0x8D4C : 'Unassigned [0x8D4C]',
	0x8D4D : 'Unassigned [0x8D4D]',
	0x8D4E : 'Unassigned [0x8D4E]',
	0x8D4F : 'Unassigned [0x8D4F]',
	0x8D50 : 'Unassigned [0x8D50]',
	0x8D51 : 'Unassigned [0x8D51]',
	0x8D52 : 'Unassigned [0x8D52]',
	0x8D53 : 'Unassigned [0x8D53]',
	0x8D54 : 'Unassigned [0x8D54]',
	0x8D55 : 'Unassigned [0x8D55]',
	0x8D56 : 'Unassigned [0x8D56]',
	0x8D57 : 'Unassigned [0x8D57]',
	0x8D58 : 'Unassigned [0x8D58]',
	0x8D59 : 'Unassigned [0x8D59]',
	0x8D5A : 'Unassigned [0x8D5A]',
	0x8D5B : 'Unassigned [0x8D5B]',
	0x8D5C : 'Unassigned [0x8D5C]',
	0x8D5D : 'Unassigned [0x8D5D]',
	0x8D5E : 'Unassigned [0x8D5E]',
	0x8D5F : 'Unassigned [0x8D5F]',
	0x8D60 : 'Unassigned [0x8D60]',
	0x8D61 : 'Unassigned [0x8D61]',
	0x8D62 : 'Unassigned [0x8D62]',
	0x8D63 : 'Unassigned [0x8D63]',
	0x8D64 : 'Unassigned [0x8D64]',
	0x8D65 : 'Unassigned [0x8D65]',
	0x8D66 : 'Unassigned [0x8D66]',
	0x8D67 : 'Unassigned [0x8D67]',
	0x8D68 : 'Unassigned [0x8D68]',
	0x8D69 : 'Unassigned [0x8D69]',
	0x8D6A : 'Unassigned [0x8D6A]',
	0x8D6B : 'Unassigned [0x8D6B]',
	0x8D6C : 'Unassigned [0x8D6C]',
	0x8D6D : 'Unassigned [0x8D6D]',
	0x8D6E : 'Unassigned [0x8D6E]',
	0x8D6F : 'Unassigned [0x8D6F]',
	0x8D70 : 'Unassigned [0x8D70]',
	0x8D71 : 'Unassigned [0x8D71]',
	0x8D72 : 'Unassigned [0x8D72]',
	0x8D73 : 'Unassigned [0x8D73]',
	0x8D74 : 'Unassigned [0x8D74]',
	0x8D75 : 'Unassigned [0x8D75]',
	0x8D76 : 'Unassigned [0x8D76]',
	0x8D77 : 'Unassigned [0x8D77]',
	0x8D78 : 'Unassigned [0x8D78]',
	0x8D79 : 'Unassigned [0x8D79]',
	0x8D7A : 'Unassigned [0x8D7A]',
	0x8D7B : 'Unassigned [0x8D7B]',
	0x8D7C : 'Unassigned [0x8D7C]',
	0x8D7D : 'Unassigned [0x8D7D]',
	0x8D7E : 'Unassigned [0x8D7E]',
	0x8D7F : 'Unassigned [0x8D7F]',
	0x8D80 : 'Unassigned [0x8D80]',
	0x8D81 : 'Unassigned [0x8D81]',
	0x8D82 : 'Unassigned [0x8D82]',
	0x8D83 : 'Unassigned [0x8D83]',
	0x8D84 : 'Unassigned [0x8D84]',
	0x8D85 : 'Unassigned [0x8D85]',
	0x8D86 : 'Unassigned [0x8D86]',
	0x8D87 : 'Unassigned [0x8D87]',
	0x8D88 : 'Unassigned [0x8D88]',
	0x8D89 : 'Unassigned [0x8D89]',
	0x8D8A : 'Unassigned [0x8D8A]',
	0x8D8B : 'Unassigned [0x8D8B]',
	0x8D8C : 'Unassigned [0x8D8C]',
	0x8D8D : 'Unassigned [0x8D8D]',
	0x8D8E : 'Unassigned [0x8D8E]',
	0x8D8F : 'Unassigned [0x8D8F]',
	0x8D90 : 'Unassigned [0x8D90]',
	0x8D91 : 'Unassigned [0x8D91]',
	0x8D92 : 'Unassigned [0x8D92]',
	0x8D93 : 'Unassigned [0x8D93]',
	0x8D94 : 'Unassigned [0x8D94]',
	0x8D95 : 'Unassigned [0x8D95]',
	0x8D96 : 'Unassigned [0x8D96]',
	0x8D97 : 'Unassigned [0x8D97]',
	0x8D98 : 'Unassigned [0x8D98]',
	0x8D99 : 'Unassigned [0x8D99]',
	0x8D9A : 'Unassigned [0x8D9A]',
	0x8D9B : 'Unassigned [0x8D9B]',
	0x8D9C : 'Unassigned [0x8D9C]',
	0x8D9D : 'Unassigned [0x8D9D]',
	0x8D9E : 'Unassigned [0x8D9E]',
	0x8D9F : 'Unassigned [0x8D9F]',
	0x8DA0 : 'Unassigned [0x8DA0]',
	0x8DA1 : 'Unassigned [0x8DA1]',
	0x8DA2 : 'Unassigned [0x8DA2]',
	0x8DA3 : 'Unassigned [0x8DA3]',
	0x8DA4 : 'Unassigned [0x8DA4]',
	0x8DA5 : 'Unassigned [0x8DA5]',
	0x8DA6 : 'Unassigned [0x8DA6]',
	0x8DA7 : 'Unassigned [0x8DA7]',
	0x8DA8 : 'Unassigned [0x8DA8]',
	0x8DA9 : 'Unassigned [0x8DA9]',
	0x8DAA : 'Unassigned [0x8DAA]',
	0x8DAB : 'Unassigned [0x8DAB]',
	0x8DAC : 'Unassigned [0x8DAC]',
	0x8DAD : 'Unassigned [0x8DAD]',
	0x8DAE : 'Unassigned [0x8DAE]',
	0x8DAF : 'Unassigned [0x8DAF]',
	0x8DB0 : 'Unassigned [0x8DB0]',
	0x8DB1 : 'Unassigned [0x8DB1]',
	0x8DB2 : 'Unassigned [0x8DB2]',
	0x8DB3 : 'Unassigned [0x8DB3]',
	0x8DB4 : 'Unassigned [0x8DB4]',
	0x8DB5 : 'Unassigned [0x8DB5]',
	0x8DB6 : 'Unassigned [0x8DB6]',
	0x8DB7 : 'Unassigned [0x8DB7]',
	0x8DB8 : 'Unassigned [0x8DB8]',
	0x8DB9 : 'Unassigned [0x8DB9]',
	0x8DBA : 'Unassigned [0x8DBA]',
	0x8DBB : 'Unassigned [0x8DBB]',
	0x8DBC : 'Unassigned [0x8DBC]',
	0x8DBD : 'Unassigned [0x8DBD]',
	0x8DBE : 'Unassigned [0x8DBE]',
	0x8DBF : 'Unassigned [0x8DBF]',
	0x8DC0 : 'Unassigned [0x8DC0]',
	0x8DC1 : 'Unassigned [0x8DC1]',
	0x8DC2 : 'Unassigned [0x8DC2]',
	0x8DC3 : 'Unassigned [0x8DC3]',
	0x8DC4 : 'Unassigned [0x8DC4]',
	0x8DC5 : 'Unassigned [0x8DC5]',
	0x8DC6 : 'Unassigned [0x8DC6]',
	0x8DC7 : 'Unassigned [0x8DC7]',
	0x8DC8 : 'Unassigned [0x8DC8]',
	0x8DC9 : 'Unassigned [0x8DC9]',
	0x8DCA : 'Unassigned [0x8DCA]',
	0x8DCB : 'Unassigned [0x8DCB]',
	0x8DCC : 'Unassigned [0x8DCC]',
	0x8DCD : 'Unassigned [0x8DCD]',
	0x8DCE : 'Unassigned [0x8DCE]',
	0x8DCF : 'Unassigned [0x8DCF]',
	0x8DD0 : 'Unassigned [0x8DD0]',
	0x8DD1 : 'Unassigned [0x8DD1]',
	0x8DD2 : 'Unassigned [0x8DD2]',
	0x8DD3 : 'Unassigned [0x8DD3]',
	0x8DD4 : 'Unassigned [0x8DD4]',
	0x8DD5 : 'Unassigned [0x8DD5]',
	0x8DD6 : 'Unassigned [0x8DD6]',
	0x8DD7 : 'Unassigned [0x8DD7]',
	0x8DD8 : 'Unassigned [0x8DD8]',
	0x8DD9 : 'Unassigned [0x8DD9]',
	0x8DDA : 'Unassigned [0x8DDA]',
	0x8DDB : 'Unassigned [0x8DDB]',
	0x8DDC : 'Unassigned [0x8DDC]',
	0x8DDD : 'Unassigned [0x8DDD]',
	0x8DDE : 'Unassigned [0x8DDE]',
	0x8DDF : 'Unassigned [0x8DDF]',
	0x8DE0 : 'Unassigned [0x8DE0]',
	0x8DE1 : 'Unassigned [0x8DE1]',
	0x8DE2 : 'Unassigned [0x8DE2]',
	0x8DE3 : 'Unassigned [0x8DE3]',
	0x8DE4 : 'Unassigned [0x8DE4]',
	0x8DE5 : 'Unassigned [0x8DE5]',
	0x8DE6 : 'Unassigned [0x8DE6]',
	0x8DE7 : 'Unassigned [0x8DE7]',
	0x8DE8 : 'Unassigned [0x8DE8]',
	0x8DE9 : 'Unassigned [0x8DE9]',
	0x8DEA : 'Unassigned [0x8DEA]',
	0x8DEB : 'Unassigned [0x8DEB]',
	0x8DEC : 'Unassigned [0x8DEC]',
	0x8DED : 'Unassigned [0x8DED]',
	0x8DEE : 'Unassigned [0x8DEE]',
	0x8DEF : 'Unassigned [0x8DEF]',
	0x8DF0 : 'Unassigned [0x8DF0]',
	0x8DF1 : 'Unassigned [0x8DF1]',
	0x8DF2 : 'Unassigned [0x8DF2]',
	0x8DF3 : 'Unassigned [0x8DF3]',
	0x8DF4 : 'Unassigned [0x8DF4]',
	0x8DF5 : 'Unassigned [0x8DF5]',
	0x8DF6 : 'Unassigned [0x8DF6]',
	0x8DF7 : 'Unassigned [0x8DF7]',
	0x8DF8 : 'Unassigned [0x8DF8]',
	0x8DF9 : 'Unassigned [0x8DF9]',
	0x8DFA : 'Unassigned [0x8DFA]',
	0x8DFB : 'Unassigned [0x8DFB]',
	0x8DFC : 'Unassigned [0x8DFC]',
	0x8DFD : 'Unassigned [0x8DFD]',
	0x8DFE : 'Unassigned [0x8DFE]',
	0x8DFF : 'Unassigned [0x8DFF]',
	0x8E00 : 'Unassigned [0x8E00]',
	0x8E01 : 'Unassigned [0x8E01]',
	0x8E02 : 'Unassigned [0x8E02]',
	0x8E03 : 'Unassigned [0x8E03]',
	0x8E04 : 'Unassigned [0x8E04]',
	0x8E05 : 'Unassigned [0x8E05]',
	0x8E06 : 'Unassigned [0x8E06]',
	0x8E07 : 'Unassigned [0x8E07]',
	0x8E08 : 'Unassigned [0x8E08]',
	0x8E09 : 'Unassigned [0x8E09]',
	0x8E0A : 'Unassigned [0x8E0A]',
	0x8E0B : 'Unassigned [0x8E0B]',
	0x8E0C : 'Unassigned [0x8E0C]',
	0x8E0D : 'Unassigned [0x8E0D]',
	0x8E0E : 'Unassigned [0x8E0E]',
	0x8E0F : 'Unassigned [0x8E0F]',
	0x8E10 : 'Unassigned [0x8E10]',
	0x8E11 : 'Unassigned [0x8E11]',
	0x8E12 : 'Unassigned [0x8E12]',
	0x8E13 : 'Unassigned [0x8E13]',
	0x8E14 : 'Unassigned [0x8E14]',
	0x8E15 : 'Unassigned [0x8E15]',
	0x8E16 : 'Unassigned [0x8E16]',
	0x8E17 : 'Unassigned [0x8E17]',
	0x8E18 : 'Unassigned [0x8E18]',
	0x8E19 : 'Unassigned [0x8E19]',
	0x8E1A : 'Unassigned [0x8E1A]',
	0x8E1B : 'Unassigned [0x8E1B]',
	0x8E1C : 'Unassigned [0x8E1C]',
	0x8E1D : 'Unassigned [0x8E1D]',
	0x8E1E : 'Unassigned [0x8E1E]',
	0x8E1F : 'Unassigned [0x8E1F]',
	0x8E20 : 'Unassigned [0x8E20]',
	0x8E21 : 'Unassigned [0x8E21]',
	0x8E22 : 'Unassigned [0x8E22]',
	0x8E23 : 'Unassigned [0x8E23]',
	0x8E24 : 'Unassigned [0x8E24]',
	0x8E25 : 'Unassigned [0x8E25]',
	0x8E26 : 'Unassigned [0x8E26]',
	0x8E27 : 'Unassigned [0x8E27]',
	0x8E28 : 'Unassigned [0x8E28]',
	0x8E29 : 'Unassigned [0x8E29]',
	0x8E2A : 'Unassigned [0x8E2A]',
	0x8E2B : 'Unassigned [0x8E2B]',
	0x8E2C : 'Unassigned [0x8E2C]',
	0x8E2D : 'Unassigned [0x8E2D]',
	0x8E2E : 'Unassigned [0x8E2E]',
	0x8E2F : 'Unassigned [0x8E2F]',
	0x8E30 : 'Unassigned [0x8E30]',
	0x8E31 : 'Unassigned [0x8E31]',
	0x8E32 : 'Unassigned [0x8E32]',
	0x8E33 : 'Unassigned [0x8E33]',
	0x8E34 : 'Unassigned [0x8E34]',
	0x8E35 : 'Unassigned [0x8E35]',
	0x8E36 : 'Unassigned [0x8E36]',
	0x8E37 : 'Unassigned [0x8E37]',
	0x8E38 : 'Unassigned [0x8E38]',
	0x8E39 : 'Unassigned [0x8E39]',
	0x8E3A : 'Unassigned [0x8E3A]',
	0x8E3B : 'Unassigned [0x8E3B]',
	0x8E3C : 'Unassigned [0x8E3C]',
	0x8E3D : 'Unassigned [0x8E3D]',
	0x8E3E : 'Unassigned [0x8E3E]',
	0x8E3F : 'Unassigned [0x8E3F]',
	0x8E40 : 'Unassigned [0x8E40]',
	0x8E41 : 'Unassigned [0x8E41]',
	0x8E42 : 'Unassigned [0x8E42]',
	0x8E43 : 'Unassigned [0x8E43]',
	0x8E44 : 'Unassigned [0x8E44]',
	0x8E45 : 'Unassigned [0x8E45]',
	0x8E46 : 'Unassigned [0x8E46]',
	0x8E47 : 'Unassigned [0x8E47]',
	0x8E48 : 'Unassigned [0x8E48]',
	0x8E49 : 'Unassigned [0x8E49]',
	0x8E4A : 'Unassigned [0x8E4A]',
	0x8E4B : 'Unassigned [0x8E4B]',
	0x8E4C : 'Unassigned [0x8E4C]',
	0x8E4D : 'Unassigned [0x8E4D]',
	0x8E4E : 'Unassigned [0x8E4E]',
	0x8E4F : 'Unassigned [0x8E4F]',
	0x8E50 : 'Unassigned [0x8E50]',
	0x8E51 : 'Unassigned [0x8E51]',
	0x8E52 : 'Unassigned [0x8E52]',
	0x8E53 : 'Unassigned [0x8E53]',
	0x8E54 : 'Unassigned [0x8E54]',
	0x8E55 : 'Unassigned [0x8E55]',
	0x8E56 : 'Unassigned [0x8E56]',
	0x8E57 : 'Unassigned [0x8E57]',
	0x8E58 : 'Unassigned [0x8E58]',
	0x8E59 : 'Unassigned [0x8E59]',
	0x8E5A : 'Unassigned [0x8E5A]',
	0x8E5B : 'Unassigned [0x8E5B]',
	0x8E5C : 'Unassigned [0x8E5C]',
	0x8E5D : 'Unassigned [0x8E5D]',
	0x8E5E : 'Unassigned [0x8E5E]',
	0x8E5F : 'Unassigned [0x8E5F]',
	0x8E60 : 'Unassigned [0x8E60]',
	0x8E61 : 'Unassigned [0x8E61]',
	0x8E62 : 'Unassigned [0x8E62]',
	0x8E63 : 'Unassigned [0x8E63]',
	0x8E64 : 'Unassigned [0x8E64]',
	0x8E65 : 'Unassigned [0x8E65]',
	0x8E66 : 'Unassigned [0x8E66]',
	0x8E67 : 'Unassigned [0x8E67]',
	0x8E68 : 'Unassigned [0x8E68]',
	0x8E69 : 'Unassigned [0x8E69]',
	0x8E6A : 'Unassigned [0x8E6A]',
	0x8E6B : 'Unassigned [0x8E6B]',
	0x8E6C : 'Unassigned [0x8E6C]',
	0x8E6D : 'Unassigned [0x8E6D]',
	0x8E6E : 'Unassigned [0x8E6E]',
	0x8E6F : 'Unassigned [0x8E6F]',
	0x8E70 : 'Unassigned [0x8E70]',
	0x8E71 : 'Unassigned [0x8E71]',
	0x8E72 : 'Unassigned [0x8E72]',
	0x8E73 : 'Unassigned [0x8E73]',
	0x8E74 : 'Unassigned [0x8E74]',
	0x8E75 : 'Unassigned [0x8E75]',
	0x8E76 : 'Unassigned [0x8E76]',
	0x8E77 : 'Unassigned [0x8E77]',
	0x8E78 : 'Unassigned [0x8E78]',
	0x8E79 : 'Unassigned [0x8E79]',
	0x8E7A : 'Unassigned [0x8E7A]',
	0x8E7B : 'Unassigned [0x8E7B]',
	0x8E7C : 'Unassigned [0x8E7C]',
	0x8E7D : 'Unassigned [0x8E7D]',
	0x8E7E : 'Unassigned [0x8E7E]',
	0x8E7F : 'Unassigned [0x8E7F]',
	0x8E80 : 'Unassigned [0x8E80]',
	0x8E81 : 'Unassigned [0x8E81]',
	0x8E82 : 'Unassigned [0x8E82]',
	0x8E83 : 'Unassigned [0x8E83]',
	0x8E84 : 'Unassigned [0x8E84]',
	0x8E85 : 'Unassigned [0x8E85]',
	0x8E86 : 'Unassigned [0x8E86]',
	0x8E87 : 'Unassigned [0x8E87]',
	0x8E88 : 'Unassigned [0x8E88]',
	0x8E89 : 'Unassigned [0x8E89]',
	0x8E8A : 'Unassigned [0x8E8A]',
	0x8E8B : 'Unassigned [0x8E8B]',
	0x8E8C : 'Unassigned [0x8E8C]',
	0x8E8D : 'Unassigned [0x8E8D]',
	0x8E8E : 'Unassigned [0x8E8E]',
	0x8E8F : 'Unassigned [0x8E8F]',
	0x8E90 : 'Unassigned [0x8E90]',
	0x8E91 : 'Unassigned [0x8E91]',
	0x8E92 : 'Unassigned [0x8E92]',
	0x8E93 : 'Unassigned [0x8E93]',
	0x8E94 : 'Unassigned [0x8E94]',
	0x8E95 : 'Unassigned [0x8E95]',
	0x8E96 : 'Unassigned [0x8E96]',
	0x8E97 : 'Unassigned [0x8E97]',
	0x8E98 : 'Unassigned [0x8E98]',
	0x8E99 : 'Unassigned [0x8E99]',
	0x8E9A : 'Unassigned [0x8E9A]',
	0x8E9B : 'Unassigned [0x8E9B]',
	0x8E9C : 'Unassigned [0x8E9C]',
	0x8E9D : 'Unassigned [0x8E9D]',
	0x8E9E : 'Unassigned [0x8E9E]',
	0x8E9F : 'Unassigned [0x8E9F]',
	0x8EA0 : 'Unassigned [0x8EA0]',
	0x8EA1 : 'Unassigned [0x8EA1]',
	0x8EA2 : 'Unassigned [0x8EA2]',
	0x8EA3 : 'Unassigned [0x8EA3]',
	0x8EA4 : 'Unassigned [0x8EA4]',
	0x8EA5 : 'Unassigned [0x8EA5]',
	0x8EA6 : 'Unassigned [0x8EA6]',
	0x8EA7 : 'Unassigned [0x8EA7]',
	0x8EA8 : 'Unassigned [0x8EA8]',
	0x8EA9 : 'Unassigned [0x8EA9]',
	0x8EAA : 'Unassigned [0x8EAA]',
	0x8EAB : 'Unassigned [0x8EAB]',
	0x8EAC : 'Unassigned [0x8EAC]',
	0x8EAD : 'Unassigned [0x8EAD]',
	0x8EAE : 'Unassigned [0x8EAE]',
	0x8EAF : 'Unassigned [0x8EAF]',
	0x8EB0 : 'Unassigned [0x8EB0]',
	0x8EB1 : 'Unassigned [0x8EB1]',
	0x8EB2 : 'Unassigned [0x8EB2]',
	0x8EB3 : 'Unassigned [0x8EB3]',
	0x8EB4 : 'Unassigned [0x8EB4]',
	0x8EB5 : 'Unassigned [0x8EB5]',
	0x8EB6 : 'Unassigned [0x8EB6]',
	0x8EB7 : 'Unassigned [0x8EB7]',
	0x8EB8 : 'Unassigned [0x8EB8]',
	0x8EB9 : 'Unassigned [0x8EB9]',
	0x8EBA : 'Unassigned [0x8EBA]',
	0x8EBB : 'Unassigned [0x8EBB]',
	0x8EBC : 'Unassigned [0x8EBC]',
	0x8EBD : 'Unassigned [0x8EBD]',
	0x8EBE : 'Unassigned [0x8EBE]',
	0x8EBF : 'Unassigned [0x8EBF]',
	0x8EC0 : 'Unassigned [0x8EC0]',
	0x8EC1 : 'Unassigned [0x8EC1]',
	0x8EC2 : 'Unassigned [0x8EC2]',
	0x8EC3 : 'Unassigned [0x8EC3]',
	0x8EC4 : 'Unassigned [0x8EC4]',
	0x8EC5 : 'Unassigned [0x8EC5]',
	0x8EC6 : 'Unassigned [0x8EC6]',
	0x8EC7 : 'Unassigned [0x8EC7]',
	0x8EC8 : 'Unassigned [0x8EC8]',
	0x8EC9 : 'Unassigned [0x8EC9]',
	0x8ECA : 'Unassigned [0x8ECA]',
	0x8ECB : 'Unassigned [0x8ECB]',
	0x8ECC : 'Unassigned [0x8ECC]',
	0x8ECD : 'Unassigned [0x8ECD]',
	0x8ECE : 'Unassigned [0x8ECE]',
	0x8ECF : 'Unassigned [0x8ECF]',
	0x8ED0 : 'Unassigned [0x8ED0]',
	0x8ED1 : 'Unassigned [0x8ED1]',
	0x8ED2 : 'Unassigned [0x8ED2]',
	0x8ED3 : 'Unassigned [0x8ED3]',
	0x8ED4 : 'Unassigned [0x8ED4]',
	0x8ED5 : 'Unassigned [0x8ED5]',
	0x8ED6 : 'Unassigned [0x8ED6]',
	0x8ED7 : 'Unassigned [0x8ED7]',
	0x8ED8 : 'Unassigned [0x8ED8]',
	0x8ED9 : 'Unassigned [0x8ED9]',
	0x8EDA : 'Unassigned [0x8EDA]',
	0x8EDB : 'Unassigned [0x8EDB]',
	0x8EDC : 'Unassigned [0x8EDC]',
	0x8EDD : 'Unassigned [0x8EDD]',
	0x8EDE : 'Unassigned [0x8EDE]',
	0x8EDF : 'Unassigned [0x8EDF]',
	0x8EE0 : 'Unassigned [0x8EE0]',
	0x8EE1 : 'Unassigned [0x8EE1]',
	0x8EE2 : 'Unassigned [0x8EE2]',
	0x8EE3 : 'Unassigned [0x8EE3]',
	0x8EE4 : 'Unassigned [0x8EE4]',
	0x8EE5 : 'Unassigned [0x8EE5]',
	0x8EE6 : 'Unassigned [0x8EE6]',
	0x8EE7 : 'Unassigned [0x8EE7]',
	0x8EE8 : 'Unassigned [0x8EE8]',
	0x8EE9 : 'Unassigned [0x8EE9]',
	0x8EEA : 'Unassigned [0x8EEA]',
	0x8EEB : 'Unassigned [0x8EEB]',
	0x8EEC : 'Unassigned [0x8EEC]',
	0x8EED : 'Unassigned [0x8EED]',
	0x8EEE : 'Unassigned [0x8EEE]',
	0x8EEF : 'Unassigned [0x8EEF]',
	0x8EF0 : 'Unassigned [0x8EF0]',
	0x8EF1 : 'Unassigned [0x8EF1]',
	0x8EF2 : 'Unassigned [0x8EF2]',
	0x8EF3 : 'Unassigned [0x8EF3]',
	0x8EF4 : 'Unassigned [0x8EF4]',
	0x8EF5 : 'Unassigned [0x8EF5]',
	0x8EF6 : 'Unassigned [0x8EF6]',
	0x8EF7 : 'Unassigned [0x8EF7]',
	0x8EF8 : 'Unassigned [0x8EF8]',
	0x8EF9 : 'Unassigned [0x8EF9]',
	0x8EFA : 'Unassigned [0x8EFA]',
	0x8EFB : 'Unassigned [0x8EFB]',
	0x8EFC : 'Unassigned [0x8EFC]',
	0x8EFD : 'Unassigned [0x8EFD]',
	0x8EFE : 'Unassigned [0x8EFE]',
	0x8EFF : 'Unassigned [0x8EFF]',
	0x8F00 : 'Unassigned [0x8F00]',
	0x8F01 : 'Unassigned [0x8F01]',
	0x8F02 : 'Unassigned [0x8F02]',
	0x8F03 : 'Unassigned [0x8F03]',
	0x8F04 : 'Unassigned [0x8F04]',
	0x8F05 : 'Unassigned [0x8F05]',
	0x8F06 : 'Unassigned [0x8F06]',
	0x8F07 : 'Unassigned [0x8F07]',
	0x8F08 : 'Unassigned [0x8F08]',
	0x8F09 : 'Unassigned [0x8F09]',
	0x8F0A : 'Unassigned [0x8F0A]',
	0x8F0B : 'Unassigned [0x8F0B]',
	0x8F0C : 'Unassigned [0x8F0C]',
	0x8F0D : 'Unassigned [0x8F0D]',
	0x8F0E : 'Unassigned [0x8F0E]',
	0x8F0F : 'Unassigned [0x8F0F]',
	0x8F10 : 'Unassigned [0x8F10]',
	0x8F11 : 'Unassigned [0x8F11]',
	0x8F12 : 'Unassigned [0x8F12]',
	0x8F13 : 'Unassigned [0x8F13]',
	0x8F14 : 'Unassigned [0x8F14]',
	0x8F15 : 'Unassigned [0x8F15]',
	0x8F16 : 'Unassigned [0x8F16]',
	0x8F17 : 'Unassigned [0x8F17]',
	0x8F18 : 'Unassigned [0x8F18]',
	0x8F19 : 'Unassigned [0x8F19]',
	0x8F1A : 'Unassigned [0x8F1A]',
	0x8F1B : 'Unassigned [0x8F1B]',
	0x8F1C : 'Unassigned [0x8F1C]',
	0x8F1D : 'Unassigned [0x8F1D]',
	0x8F1E : 'Unassigned [0x8F1E]',
	0x8F1F : 'Unassigned [0x8F1F]',
	0x8F20 : 'Unassigned [0x8F20]',
	0x8F21 : 'Unassigned [0x8F21]',
	0x8F22 : 'Unassigned [0x8F22]',
	0x8F23 : 'Unassigned [0x8F23]',
	0x8F24 : 'Unassigned [0x8F24]',
	0x8F25 : 'Unassigned [0x8F25]',
	0x8F26 : 'Unassigned [0x8F26]',
	0x8F27 : 'Unassigned [0x8F27]',
	0x8F28 : 'Unassigned [0x8F28]',
	0x8F29 : 'Unassigned [0x8F29]',
	0x8F2A : 'Unassigned [0x8F2A]',
	0x8F2B : 'Unassigned [0x8F2B]',
	0x8F2C : 'Unassigned [0x8F2C]',
	0x8F2D : 'Unassigned [0x8F2D]',
	0x8F2E : 'Unassigned [0x8F2E]',
	0x8F2F : 'Unassigned [0x8F2F]',
	0x8F30 : 'Unassigned [0x8F30]',
	0x8F31 : 'Unassigned [0x8F31]',
	0x8F32 : 'Unassigned [0x8F32]',
	0x8F33 : 'Unassigned [0x8F33]',
	0x8F34 : 'Unassigned [0x8F34]',
	0x8F35 : 'Unassigned [0x8F35]',
	0x8F36 : 'Unassigned [0x8F36]',
	0x8F37 : 'Unassigned [0x8F37]',
	0x8F38 : 'Unassigned [0x8F38]',
	0x8F39 : 'Unassigned [0x8F39]',
	0x8F3A : 'Unassigned [0x8F3A]',
	0x8F3B : 'Unassigned [0x8F3B]',
	0x8F3C : 'Unassigned [0x8F3C]',
	0x8F3D : 'Unassigned [0x8F3D]',
	0x8F3E : 'Unassigned [0x8F3E]',
	0x8F3F : 'Unassigned [0x8F3F]',
	0x8F40 : 'Unassigned [0x8F40]',
	0x8F41 : 'Unassigned [0x8F41]',
	0x8F42 : 'Unassigned [0x8F42]',
	0x8F43 : 'Unassigned [0x8F43]',
	0x8F44 : 'Unassigned [0x8F44]',
	0x8F45 : 'Unassigned [0x8F45]',
	0x8F46 : 'Unassigned [0x8F46]',
	0x8F47 : 'Unassigned [0x8F47]',
	0x8F48 : 'Unassigned [0x8F48]',
	0x8F49 : 'Unassigned [0x8F49]',
	0x8F4A : 'Unassigned [0x8F4A]',
	0x8F4B : 'Unassigned [0x8F4B]',
	0x8F4C : 'Unassigned [0x8F4C]',
	0x8F4D : 'Unassigned [0x8F4D]',
	0x8F4E : 'Unassigned [0x8F4E]',
	0x8F4F : 'Unassigned [0x8F4F]',
	0x8F50 : 'Unassigned [0x8F50]',
	0x8F51 : 'Unassigned [0x8F51]',
	0x8F52 : 'Unassigned [0x8F52]',
	0x8F53 : 'Unassigned [0x8F53]',
	0x8F54 : 'Unassigned [0x8F54]',
	0x8F55 : 'Unassigned [0x8F55]',
	0x8F56 : 'Unassigned [0x8F56]',
	0x8F57 : 'Unassigned [0x8F57]',
	0x8F58 : 'Unassigned [0x8F58]',
	0x8F59 : 'Unassigned [0x8F59]',
	0x8F5A : 'Unassigned [0x8F5A]',
	0x8F5B : 'Unassigned [0x8F5B]',
	0x8F5C : 'Unassigned [0x8F5C]',
	0x8F5D : 'Unassigned [0x8F5D]',
	0x8F5E : 'Unassigned [0x8F5E]',
	0x8F5F : 'Unassigned [0x8F5F]',
	0x8F60 : 'Unassigned [0x8F60]',
	0x8F61 : 'Unassigned [0x8F61]',
	0x8F62 : 'Unassigned [0x8F62]',
	0x8F63 : 'Unassigned [0x8F63]',
	0x8F64 : 'Unassigned [0x8F64]',
	0x8F65 : 'Unassigned [0x8F65]',
	0x8F66 : 'Unassigned [0x8F66]',
	0x8F67 : 'Unassigned [0x8F67]',
	0x8F68 : 'Unassigned [0x8F68]',
	0x8F69 : 'Unassigned [0x8F69]',
	0x8F6A : 'Unassigned [0x8F6A]',
	0x8F6B : 'Unassigned [0x8F6B]',
	0x8F6C : 'Unassigned [0x8F6C]',
	0x8F6D : 'Unassigned [0x8F6D]',
	0x8F6E : 'Unassigned [0x8F6E]',
	0x8F6F : 'Unassigned [0x8F6F]',
	0x8F70 : 'Unassigned [0x8F70]',
	0x8F71 : 'Unassigned [0x8F71]',
	0x8F72 : 'Unassigned [0x8F72]',
	0x8F73 : 'Unassigned [0x8F73]',
	0x8F74 : 'Unassigned [0x8F74]',
	0x8F75 : 'Unassigned [0x8F75]',
	0x8F76 : 'Unassigned [0x8F76]',
	0x8F77 : 'Unassigned [0x8F77]',
	0x8F78 : 'Unassigned [0x8F78]',
	0x8F79 : 'Unassigned [0x8F79]',
	0x8F7A : 'Unassigned [0x8F7A]',
	0x8F7B : 'Unassigned [0x8F7B]',
	0x8F7C : 'Unassigned [0x8F7C]',
	0x8F7D : 'Unassigned [0x8F7D]',
	0x8F7E : 'Unassigned [0x8F7E]',
	0x8F7F : 'Unassigned [0x8F7F]',
	0x8F80 : 'Unassigned [0x8F80]',
	0x8F81 : 'Unassigned [0x8F81]',
	0x8F82 : 'Unassigned [0x8F82]',
	0x8F83 : 'Unassigned [0x8F83]',
	0x8F84 : 'Unassigned [0x8F84]',
	0x8F85 : 'Unassigned [0x8F85]',
	0x8F86 : 'Unassigned [0x8F86]',
	0x8F87 : 'Unassigned [0x8F87]',
	0x8F88 : 'Unassigned [0x8F88]',
	0x8F89 : 'Unassigned [0x8F89]',
	0x8F8A : 'Unassigned [0x8F8A]',
	0x8F8B : 'Unassigned [0x8F8B]',
	0x8F8C : 'Unassigned [0x8F8C]',
	0x8F8D : 'Unassigned [0x8F8D]',
	0x8F8E : 'Unassigned [0x8F8E]',
	0x8F8F : 'Unassigned [0x8F8F]',
	0x8F90 : 'Unassigned [0x8F90]',
	0x8F91 : 'Unassigned [0x8F91]',
	0x8F92 : 'Unassigned [0x8F92]',
	0x8F93 : 'Unassigned [0x8F93]',
	0x8F94 : 'Unassigned [0x8F94]',
	0x8F95 : 'Unassigned [0x8F95]',
	0x8F96 : 'Unassigned [0x8F96]',
	0x8F97 : 'Unassigned [0x8F97]',
	0x8F98 : 'Unassigned [0x8F98]',
	0x8F99 : 'Unassigned [0x8F99]',
	0x8F9A : 'Unassigned [0x8F9A]',
	0x8F9B : 'Unassigned [0x8F9B]',
	0x8F9C : 'Unassigned [0x8F9C]',
	0x8F9D : 'Unassigned [0x8F9D]',
	0x8F9E : 'Unassigned [0x8F9E]',
	0x8F9F : 'Unassigned [0x8F9F]',
	0x8FA0 : 'Unassigned [0x8FA0]',
	0x8FA1 : 'Unassigned [0x8FA1]',
	0x8FA2 : 'Unassigned [0x8FA2]',
	0x8FA3 : 'Unassigned [0x8FA3]',
	0x8FA4 : 'Unassigned [0x8FA4]',
	0x8FA5 : 'Unassigned [0x8FA5]',
	0x8FA6 : 'Unassigned [0x8FA6]',
	0x8FA7 : 'Unassigned [0x8FA7]',
	0x8FA8 : 'Unassigned [0x8FA8]',
	0x8FA9 : 'Unassigned [0x8FA9]',
	0x8FAA : 'Unassigned [0x8FAA]',
	0x8FAB : 'Unassigned [0x8FAB]',
	0x8FAC : 'Unassigned [0x8FAC]',
	0x8FAD : 'Unassigned [0x8FAD]',
	0x8FAE : 'Unassigned [0x8FAE]',
	0x8FAF : 'Unassigned [0x8FAF]',
	0x8FB0 : 'Unassigned [0x8FB0]',
	0x8FB1 : 'Unassigned [0x8FB1]',
	0x8FB2 : 'Unassigned [0x8FB2]',
	0x8FB3 : 'Unassigned [0x8FB3]',
	0x8FB4 : 'Unassigned [0x8FB4]',
	0x8FB5 : 'Unassigned [0x8FB5]',
	0x8FB6 : 'Unassigned [0x8FB6]',
	0x8FB7 : 'Unassigned [0x8FB7]',
	0x8FB8 : 'Unassigned [0x8FB8]',
	0x8FB9 : 'Unassigned [0x8FB9]',
	0x8FBA : 'Unassigned [0x8FBA]',
	0x8FBB : 'Unassigned [0x8FBB]',
	0x8FBC : 'Unassigned [0x8FBC]',
	0x8FBD : 'Unassigned [0x8FBD]',
	0x8FBE : 'Unassigned [0x8FBE]',
	0x8FBF : 'Unassigned [0x8FBF]',
	0x8FC0 : 'Unassigned [0x8FC0]',
	0x8FC1 : 'Unassigned [0x8FC1]',
	0x8FC2 : 'Unassigned [0x8FC2]',
	0x8FC3 : 'Unassigned [0x8FC3]',
	0x8FC4 : 'Unassigned [0x8FC4]',
	0x8FC5 : 'Unassigned [0x8FC5]',
	0x8FC6 : 'Unassigned [0x8FC6]',
	0x8FC7 : 'Unassigned [0x8FC7]',
	0x8FC8 : 'Unassigned [0x8FC8]',
	0x8FC9 : 'Unassigned [0x8FC9]',
	0x8FCA : 'Unassigned [0x8FCA]',
	0x8FCB : 'Unassigned [0x8FCB]',
	0x8FCC : 'Unassigned [0x8FCC]',
	0x8FCD : 'Unassigned [0x8FCD]',
	0x8FCE : 'Unassigned [0x8FCE]',
	0x8FCF : 'Unassigned [0x8FCF]',
	0x8FD0 : 'Unassigned [0x8FD0]',
	0x8FD1 : 'Unassigned [0x8FD1]',
	0x8FD2 : 'Unassigned [0x8FD2]',
	0x8FD3 : 'Unassigned [0x8FD3]',
	0x8FD4 : 'Unassigned [0x8FD4]',
	0x8FD5 : 'Unassigned [0x8FD5]',
	0x8FD6 : 'Unassigned [0x8FD6]',
	0x8FD7 : 'Unassigned [0x8FD7]',
	0x8FD8 : 'Unassigned [0x8FD8]',
	0x8FD9 : 'Unassigned [0x8FD9]',
	0x8FDA : 'Unassigned [0x8FDA]',
	0x8FDB : 'Unassigned [0x8FDB]',
	0x8FDC : 'Unassigned [0x8FDC]',
	0x8FDD : 'Unassigned [0x8FDD]',
	0x8FDE : 'Unassigned [0x8FDE]',
	0x8FDF : 'Unassigned [0x8FDF]',
	0x8FE0 : 'Unassigned [0x8FE0]',
	0x8FE1 : 'Unassigned [0x8FE1]',
	0x8FE2 : 'Unassigned [0x8FE2]',
	0x8FE3 : 'Unassigned [0x8FE3]',
	0x8FE4 : 'Unassigned [0x8FE4]',
	0x8FE5 : 'Unassigned [0x8FE5]',
	0x8FE6 : 'Unassigned [0x8FE6]',
	0x8FE7 : 'Unassigned [0x8FE7]',
	0x8FE8 : 'Unassigned [0x8FE8]',
	0x8FE9 : 'Unassigned [0x8FE9]',
	0x8FEA : 'Unassigned [0x8FEA]',
	0x8FEB : 'Unassigned [0x8FEB]',
	0x8FEC : 'Unassigned [0x8FEC]',
	0x8FED : 'Unassigned [0x8FED]',
	0x8FEE : 'Unassigned [0x8FEE]',
	0x8FEF : 'Unassigned [0x8FEF]',
	0x8FF0 : 'Unassigned [0x8FF0]',
	0x8FF1 : 'Unassigned [0x8FF1]',
	0x8FF2 : 'Unassigned [0x8FF2]',
	0x8FF3 : 'Unassigned [0x8FF3]',
	0x8FF4 : 'Unassigned [0x8FF4]',
	0x8FF5 : 'Unassigned [0x8FF5]',
	0x8FF6 : 'Unassigned [0x8FF6]',
	0x8FF7 : 'Unassigned [0x8FF7]',
	0x8FF8 : 'Unassigned [0x8FF8]',
	0x8FF9 : 'Unassigned [0x8FF9]',
	0x8FFA : 'Unassigned [0x8FFA]',
	0x8FFB : 'Unassigned [0x8FFB]',
	0x8FFC : 'Unassigned [0x8FFC]',
	0x8FFD : 'Unassigned [0x8FFD]',
	0x8FFE : 'Unassigned [0x8FFE]',
	0x8FFF : 'Unassigned [0x8FFF]',
	0x9000 : 'Unassigned [0x9000]',
	0x9001 : 'Unassigned [0x9001]',
	0x9002 : 'Unassigned [0x9002]',
	0x9003 : 'Unassigned [0x9003]',
	0x9004 : 'Unassigned [0x9004]',
	0x9005 : 'Unassigned [0x9005]',
	0x9006 : 'Unassigned [0x9006]',
	0x9007 : 'Unassigned [0x9007]',
	0x9008 : 'Unassigned [0x9008]',
	0x9009 : 'Unassigned [0x9009]',
	0x900A : 'Unassigned [0x900A]',
	0x900B : 'Unassigned [0x900B]',
	0x900C : 'Unassigned [0x900C]',
	0x900D : 'Unassigned [0x900D]',
	0x900E : 'Unassigned [0x900E]',
	0x900F : 'Unassigned [0x900F]',
	0x9010 : 'Unassigned [0x9010]',
	0x9011 : 'Unassigned [0x9011]',
	0x9012 : 'Unassigned [0x9012]',
	0x9013 : 'Unassigned [0x9013]',
	0x9014 : 'Unassigned [0x9014]',
	0x9015 : 'Unassigned [0x9015]',
	0x9016 : 'Unassigned [0x9016]',
	0x9017 : 'Unassigned [0x9017]',
	0x9018 : 'Unassigned [0x9018]',
	0x9019 : 'Unassigned [0x9019]',
	0x901A : 'Unassigned [0x901A]',
	0x901B : 'Unassigned [0x901B]',
	0x901C : 'Unassigned [0x901C]',
	0x901D : 'Unassigned [0x901D]',
	0x901E : 'Unassigned [0x901E]',
	0x901F : 'Unassigned [0x901F]',
	0x9020 : 'Unassigned [0x9020]',
	0x9021 : 'Unassigned [0x9021]',
	0x9022 : 'Unassigned [0x9022]',
	0x9023 : 'Unassigned [0x9023]',
	0x9024 : 'Unassigned [0x9024]',
	0x9025 : 'Unassigned [0x9025]',
	0x9026 : 'Unassigned [0x9026]',
	0x9027 : 'Unassigned [0x9027]',
	0x9028 : 'Unassigned [0x9028]',
	0x9029 : 'Unassigned [0x9029]',
	0x902A : 'Unassigned [0x902A]',
	0x902B : 'Unassigned [0x902B]',
	0x902C : 'Unassigned [0x902C]',
	0x902D : 'Unassigned [0x902D]',
	0x902E : 'Unassigned [0x902E]',
	0x902F : 'Unassigned [0x902F]',
	0x9030 : 'Unassigned [0x9030]',
	0x9031 : 'Unassigned [0x9031]',
	0x9032 : 'Unassigned [0x9032]',
	0x9033 : 'Unassigned [0x9033]',
	0x9034 : 'Unassigned [0x9034]',
	0x9035 : 'Unassigned [0x9035]',
	0x9036 : 'Unassigned [0x9036]',
	0x9037 : 'Unassigned [0x9037]',
	0x9038 : 'Unassigned [0x9038]',
	0x9039 : 'Unassigned [0x9039]',
	0x903A : 'Unassigned [0x903A]',
	0x903B : 'Unassigned [0x903B]',
	0x903C : 'Unassigned [0x903C]',
	0x903D : 'Unassigned [0x903D]',
	0x903E : 'Unassigned [0x903E]',
	0x903F : 'Unassigned [0x903F]',
	0x9040 : 'Unassigned [0x9040]',
	0x9041 : 'Unassigned [0x9041]',
	0x9042 : 'Unassigned [0x9042]',
	0x9043 : 'Unassigned [0x9043]',
	0x9044 : 'Unassigned [0x9044]',
	0x9045 : 'Unassigned [0x9045]',
	0x9046 : 'Unassigned [0x9046]',
	0x9047 : 'Unassigned [0x9047]',
	0x9048 : 'Unassigned [0x9048]',
	0x9049 : 'Unassigned [0x9049]',
	0x904A : 'Unassigned [0x904A]',
	0x904B : 'Unassigned [0x904B]',
	0x904C : 'Unassigned [0x904C]',
	0x904D : 'Unassigned [0x904D]',
	0x904E : 'Unassigned [0x904E]',
	0x904F : 'Unassigned [0x904F]',
	0x9050 : 'Unassigned [0x9050]',
	0x9051 : 'Unassigned [0x9051]',
	0x9052 : 'Unassigned [0x9052]',
	0x9053 : 'Unassigned [0x9053]',
	0x9054 : 'Unassigned [0x9054]',
	0x9055 : 'Unassigned [0x9055]',
	0x9056 : 'Unassigned [0x9056]',
	0x9057 : 'Unassigned [0x9057]',
	0x9058 : 'Unassigned [0x9058]',
	0x9059 : 'Unassigned [0x9059]',
	0x905A : 'Unassigned [0x905A]',
	0x905B : 'Unassigned [0x905B]',
	0x905C : 'Unassigned [0x905C]',
	0x905D : 'Unassigned [0x905D]',
	0x905E : 'Unassigned [0x905E]',
	0x905F : 'Unassigned [0x905F]',
	0x9060 : 'Unassigned [0x9060]',
	0x9061 : 'Unassigned [0x9061]',
	0x9062 : 'Unassigned [0x9062]',
	0x9063 : 'Unassigned [0x9063]',
	0x9064 : 'Unassigned [0x9064]',
	0x9065 : 'Unassigned [0x9065]',
	0x9066 : 'Unassigned [0x9066]',
	0x9067 : 'Unassigned [0x9067]',
	0x9068 : 'Unassigned [0x9068]',
	0x9069 : 'Unassigned [0x9069]',
	0x906A : 'Unassigned [0x906A]',
	0x906B : 'Unassigned [0x906B]',
	0x906C : 'Unassigned [0x906C]',
	0x906D : 'Unassigned [0x906D]',
	0x906E : 'Unassigned [0x906E]',
	0x906F : 'Unassigned [0x906F]',
	0x9070 : 'Unassigned [0x9070]',
	0x9071 : 'Unassigned [0x9071]',
	0x9072 : 'Unassigned [0x9072]',
	0x9073 : 'Unassigned [0x9073]',
	0x9074 : 'Unassigned [0x9074]',
	0x9075 : 'Unassigned [0x9075]',
	0x9076 : 'Unassigned [0x9076]',
	0x9077 : 'Unassigned [0x9077]',
	0x9078 : 'Unassigned [0x9078]',
	0x9079 : 'Unassigned [0x9079]',
	0x907A : 'Unassigned [0x907A]',
	0x907B : 'Unassigned [0x907B]',
	0x907C : 'Unassigned [0x907C]',
	0x907D : 'Unassigned [0x907D]',
	0x907E : 'Unassigned [0x907E]',
	0x907F : 'Unassigned [0x907F]',
	0x9080 : 'Unassigned [0x9080]',
	0x9081 : 'Unassigned [0x9081]',
	0x9082 : 'Unassigned [0x9082]',
	0x9083 : 'Unassigned [0x9083]',
	0x9084 : 'Unassigned [0x9084]',
	0x9085 : 'Unassigned [0x9085]',
	0x9086 : 'Unassigned [0x9086]',
	0x9087 : 'Unassigned [0x9087]',
	0x9088 : 'Unassigned [0x9088]',
	0x9089 : 'Unassigned [0x9089]',
	0x908A : 'Unassigned [0x908A]',
	0x908B : 'Unassigned [0x908B]',
	0x908C : 'Unassigned [0x908C]',
	0x908D : 'Unassigned [0x908D]',
	0x908E : 'Unassigned [0x908E]',
	0x908F : 'Unassigned [0x908F]',
	0x9090 : 'Unassigned [0x9090]',
	0x9091 : 'Unassigned [0x9091]',
	0x9092 : 'Unassigned [0x9092]',
	0x9093 : 'Unassigned [0x9093]',
	0x9094 : 'Unassigned [0x9094]',
	0x9095 : 'Unassigned [0x9095]',
	0x9096 : 'Unassigned [0x9096]',
	0x9097 : 'Unassigned [0x9097]',
	0x9098 : 'Unassigned [0x9098]',
	0x9099 : 'Unassigned [0x9099]',
	0x909A : 'Unassigned [0x909A]',
	0x909B : 'Unassigned [0x909B]',
	0x909C : 'Unassigned [0x909C]',
	0x909D : 'Unassigned [0x909D]',
	0x909E : 'Unassigned [0x909E]',
	0x909F : 'Unassigned [0x909F]',
	0x90A0 : 'Unassigned [0x90A0]',
	0x90A1 : 'Unassigned [0x90A1]',
	0x90A2 : 'Unassigned [0x90A2]',
	0x90A3 : 'Unassigned [0x90A3]',
	0x90A4 : 'Unassigned [0x90A4]',
	0x90A5 : 'Unassigned [0x90A5]',
	0x90A6 : 'Unassigned [0x90A6]',
	0x90A7 : 'Unassigned [0x90A7]',
	0x90A8 : 'Unassigned [0x90A8]',
	0x90A9 : 'Unassigned [0x90A9]',
	0x90AA : 'Unassigned [0x90AA]',
	0x90AB : 'Unassigned [0x90AB]',
	0x90AC : 'Unassigned [0x90AC]',
	0x90AD : 'Unassigned [0x90AD]',
	0x90AE : 'Unassigned [0x90AE]',
	0x90AF : 'Unassigned [0x90AF]',
	0x90B0 : 'Unassigned [0x90B0]',
	0x90B1 : 'Unassigned [0x90B1]',
	0x90B2 : 'Unassigned [0x90B2]',
	0x90B3 : 'Unassigned [0x90B3]',
	0x90B4 : 'Unassigned [0x90B4]',
	0x90B5 : 'Unassigned [0x90B5]',
	0x90B6 : 'Unassigned [0x90B6]',
	0x90B7 : 'Unassigned [0x90B7]',
	0x90B8 : 'Unassigned [0x90B8]',
	0x90B9 : 'Unassigned [0x90B9]',
	0x90BA : 'Unassigned [0x90BA]',
	0x90BB : 'Unassigned [0x90BB]',
	0x90BC : 'Unassigned [0x90BC]',
	0x90BD : 'Unassigned [0x90BD]',
	0x90BE : 'Unassigned [0x90BE]',
	0x90BF : 'Unassigned [0x90BF]',
	0x90C0 : 'Unassigned [0x90C0]',
	0x90C1 : 'Unassigned [0x90C1]',
	0x90C2 : 'Unassigned [0x90C2]',
	0x90C3 : 'Unassigned [0x90C3]',
	0x90C4 : 'Unassigned [0x90C4]',
	0x90C5 : 'Unassigned [0x90C5]',
	0x90C6 : 'Unassigned [0x90C6]',
	0x90C7 : 'Unassigned [0x90C7]',
	0x90C8 : 'Unassigned [0x90C8]',
	0x90C9 : 'Unassigned [0x90C9]',
	0x90CA : 'Unassigned [0x90CA]',
	0x90CB : 'Unassigned [0x90CB]',
	0x90CC : 'Unassigned [0x90CC]',
	0x90CD : 'Unassigned [0x90CD]',
	0x90CE : 'Unassigned [0x90CE]',
	0x90CF : 'Unassigned [0x90CF]',
	0x90D0 : 'Unassigned [0x90D0]',
	0x90D1 : 'Unassigned [0x90D1]',
	0x90D2 : 'Unassigned [0x90D2]',
	0x90D3 : 'Unassigned [0x90D3]',
	0x90D4 : 'Unassigned [0x90D4]',
	0x90D5 : 'Unassigned [0x90D5]',
	0x90D6 : 'Unassigned [0x90D6]',
	0x90D7 : 'Unassigned [0x90D7]',
	0x90D8 : 'Unassigned [0x90D8]',
	0x90D9 : 'Unassigned [0x90D9]',
	0x90DA : 'Unassigned [0x90DA]',
	0x90DB : 'Unassigned [0x90DB]',
	0x90DC : 'Unassigned [0x90DC]',
	0x90DD : 'Unassigned [0x90DD]',
	0x90DE : 'Unassigned [0x90DE]',
	0x90DF : 'Unassigned [0x90DF]',
	0x90E0 : 'Unassigned [0x90E0]',
	0x90E1 : 'Unassigned [0x90E1]',
	0x90E2 : 'Unassigned [0x90E2]',
	0x90E3 : 'Unassigned [0x90E3]',
	0x90E4 : 'Unassigned [0x90E4]',
	0x90E5 : 'Unassigned [0x90E5]',
	0x90E6 : 'Unassigned [0x90E6]',
	0x90E7 : 'Unassigned [0x90E7]',
	0x90E8 : 'Unassigned [0x90E8]',
	0x90E9 : 'Unassigned [0x90E9]',
	0x90EA : 'Unassigned [0x90EA]',
	0x90EB : 'Unassigned [0x90EB]',
	0x90EC : 'Unassigned [0x90EC]',
	0x90ED : 'Unassigned [0x90ED]',
	0x90EE : 'Unassigned [0x90EE]',
	0x90EF : 'Unassigned [0x90EF]',
	0x90F0 : 'Unassigned [0x90F0]',
	0x90F1 : 'Unassigned [0x90F1]',
	0x90F2 : 'Unassigned [0x90F2]',
	0x90F3 : 'Unassigned [0x90F3]',
	0x90F4 : 'Unassigned [0x90F4]',
	0x90F5 : 'Unassigned [0x90F5]',
	0x90F6 : 'Unassigned [0x90F6]',
	0x90F7 : 'Unassigned [0x90F7]',
	0x90F8 : 'Unassigned [0x90F8]',
	0x90F9 : 'Unassigned [0x90F9]',
	0x90FA : 'Unassigned [0x90FA]',
	0x90FB : 'Unassigned [0x90FB]',
	0x90FC : 'Unassigned [0x90FC]',
	0x90FD : 'Unassigned [0x90FD]',
	0x90FE : 'Unassigned [0x90FE]',
	0x90FF : 'Unassigned [0x90FF]',
	0x9100 : 'Unassigned [0x9100]',
	0x9101 : 'Unassigned [0x9101]',
	0x9102 : 'Unassigned [0x9102]',
	0x9103 : 'Unassigned [0x9103]',
	0x9104 : 'Unassigned [0x9104]',
	0x9105 : 'Unassigned [0x9105]',
	0x9106 : 'Unassigned [0x9106]',
	0x9107 : 'Unassigned [0x9107]',
	0x9108 : 'Unassigned [0x9108]',
	0x9109 : 'Unassigned [0x9109]',
	0x910A : 'Unassigned [0x910A]',
	0x910B : 'Unassigned [0x910B]',
	0x910C : 'Unassigned [0x910C]',
	0x910D : 'Unassigned [0x910D]',
	0x910E : 'Unassigned [0x910E]',
	0x910F : 'Unassigned [0x910F]',
	0x9110 : 'Unassigned [0x9110]',
	0x9111 : 'Unassigned [0x9111]',
	0x9112 : 'Unassigned [0x9112]',
	0x9113 : 'Unassigned [0x9113]',
	0x9114 : 'Unassigned [0x9114]',
	0x9115 : 'Unassigned [0x9115]',
	0x9116 : 'Unassigned [0x9116]',
	0x9117 : 'Unassigned [0x9117]',
	0x9118 : 'Unassigned [0x9118]',
	0x9119 : 'Unassigned [0x9119]',
	0x911A : 'Unassigned [0x911A]',
	0x911B : 'Unassigned [0x911B]',
	0x911C : 'Unassigned [0x911C]',
	0x911D : 'Unassigned [0x911D]',
	0x911E : 'Unassigned [0x911E]',
	0x911F : 'Unassigned [0x911F]',
	0x9120 : 'Unassigned [0x9120]',
	0x9121 : 'Unassigned [0x9121]',
	0x9122 : 'Unassigned [0x9122]',
	0x9123 : 'Unassigned [0x9123]',
	0x9124 : 'Unassigned [0x9124]',
	0x9125 : 'Unassigned [0x9125]',
	0x9126 : 'Unassigned [0x9126]',
	0x9127 : 'Unassigned [0x9127]',
	0x9128 : 'Unassigned [0x9128]',
	0x9129 : 'Unassigned [0x9129]',
	0x912A : 'Unassigned [0x912A]',
	0x912B : 'Unassigned [0x912B]',
	0x912C : 'Unassigned [0x912C]',
	0x912D : 'Unassigned [0x912D]',
	0x912E : 'Unassigned [0x912E]',
	0x912F : 'Unassigned [0x912F]',
	0x9130 : 'Unassigned [0x9130]',
	0x9131 : 'Unassigned [0x9131]',
	0x9132 : 'Unassigned [0x9132]',
	0x9133 : 'Unassigned [0x9133]',
	0x9134 : 'Unassigned [0x9134]',
	0x9135 : 'Unassigned [0x9135]',
	0x9136 : 'Unassigned [0x9136]',
	0x9137 : 'Unassigned [0x9137]',
	0x9138 : 'Unassigned [0x9138]',
	0x9139 : 'Unassigned [0x9139]',
	0x913A : 'Unassigned [0x913A]',
	0x913B : 'Unassigned [0x913B]',
	0x913C : 'Unassigned [0x913C]',
	0x913D : 'Unassigned [0x913D]',
	0x913E : 'Unassigned [0x913E]',
	0x913F : 'Unassigned [0x913F]',
	0x9140 : 'Unassigned [0x9140]',
	0x9141 : 'Unassigned [0x9141]',
	0x9142 : 'Unassigned [0x9142]',
	0x9143 : 'Unassigned [0x9143]',
	0x9144 : 'Unassigned [0x9144]',
	0x9145 : 'Unassigned [0x9145]',
	0x9146 : 'Unassigned [0x9146]',
	0x9147 : 'Unassigned [0x9147]',
	0x9148 : 'Unassigned [0x9148]',
	0x9149 : 'Unassigned [0x9149]',
	0x914A : 'Unassigned [0x914A]',
	0x914B : 'Unassigned [0x914B]',
	0x914C : 'Unassigned [0x914C]',
	0x914D : 'Unassigned [0x914D]',
	0x914E : 'Unassigned [0x914E]',
	0x914F : 'Unassigned [0x914F]',
	0x9150 : 'Unassigned [0x9150]',
	0x9151 : 'Unassigned [0x9151]',
	0x9152 : 'Unassigned [0x9152]',
	0x9153 : 'Unassigned [0x9153]',
	0x9154 : 'Unassigned [0x9154]',
	0x9155 : 'Unassigned [0x9155]',
	0x9156 : 'Unassigned [0x9156]',
	0x9157 : 'Unassigned [0x9157]',
	0x9158 : 'Unassigned [0x9158]',
	0x9159 : 'Unassigned [0x9159]',
	0x915A : 'Unassigned [0x915A]',
	0x915B : 'Unassigned [0x915B]',
	0x915C : 'Unassigned [0x915C]',
	0x915D : 'Unassigned [0x915D]',
	0x915E : 'Unassigned [0x915E]',
	0x915F : 'Unassigned [0x915F]',
	0x9160 : 'Unassigned [0x9160]',
	0x9161 : 'Unassigned [0x9161]',
	0x9162 : 'Unassigned [0x9162]',
	0x9163 : 'Unassigned [0x9163]',
	0x9164 : 'Unassigned [0x9164]',
	0x9165 : 'Unassigned [0x9165]',
	0x9166 : 'Unassigned [0x9166]',
	0x9167 : 'Unassigned [0x9167]',
	0x9168 : 'Unassigned [0x9168]',
	0x9169 : 'Unassigned [0x9169]',
	0x916A : 'Unassigned [0x916A]',
	0x916B : 'Unassigned [0x916B]',
	0x916C : 'Unassigned [0x916C]',
	0x916D : 'Unassigned [0x916D]',
	0x916E : 'Unassigned [0x916E]',
	0x916F : 'Unassigned [0x916F]',
	0x9170 : 'Unassigned [0x9170]',
	0x9171 : 'Unassigned [0x9171]',
	0x9172 : 'Unassigned [0x9172]',
	0x9173 : 'Unassigned [0x9173]',
	0x9174 : 'Unassigned [0x9174]',
	0x9175 : 'Unassigned [0x9175]',
	0x9176 : 'Unassigned [0x9176]',
	0x9177 : 'Unassigned [0x9177]',
	0x9178 : 'Unassigned [0x9178]',
	0x9179 : 'Unassigned [0x9179]',
	0x917A : 'Unassigned [0x917A]',
	0x917B : 'Unassigned [0x917B]',
	0x917C : 'Unassigned [0x917C]',
	0x917D : 'Unassigned [0x917D]',
	0x917E : 'Unassigned [0x917E]',
	0x917F : 'Unassigned [0x917F]',
	0x9180 : 'Unassigned [0x9180]',
	0x9181 : 'Unassigned [0x9181]',
	0x9182 : 'Unassigned [0x9182]',
	0x9183 : 'Unassigned [0x9183]',
	0x9184 : 'Unassigned [0x9184]',
	0x9185 : 'Unassigned [0x9185]',
	0x9186 : 'Unassigned [0x9186]',
	0x9187 : 'Unassigned [0x9187]',
	0x9188 : 'Unassigned [0x9188]',
	0x9189 : 'Unassigned [0x9189]',
	0x918A : 'Unassigned [0x918A]',
	0x918B : 'Unassigned [0x918B]',
	0x918C : 'Unassigned [0x918C]',
	0x918D : 'Unassigned [0x918D]',
	0x918E : 'Unassigned [0x918E]',
	0x918F : 'Unassigned [0x918F]',
	0x9190 : 'Unassigned [0x9190]',
	0x9191 : 'Unassigned [0x9191]',
	0x9192 : 'Unassigned [0x9192]',
	0x9193 : 'Unassigned [0x9193]',
	0x9194 : 'Unassigned [0x9194]',
	0x9195 : 'Unassigned [0x9195]',
	0x9196 : 'Unassigned [0x9196]',
	0x9197 : 'Unassigned [0x9197]',
	0x9198 : 'Unassigned [0x9198]',
	0x9199 : 'Unassigned [0x9199]',
	0x919A : 'Unassigned [0x919A]',
	0x919B : 'Unassigned [0x919B]',
	0x919C : 'Unassigned [0x919C]',
	0x919D : 'Unassigned [0x919D]',
	0x919E : 'Unassigned [0x919E]',
	0x919F : 'Unassigned [0x919F]',
	0x91A0 : 'Unassigned [0x91A0]',
	0x91A1 : 'Unassigned [0x91A1]',
	0x91A2 : 'Unassigned [0x91A2]',
	0x91A3 : 'Unassigned [0x91A3]',
	0x91A4 : 'Unassigned [0x91A4]',
	0x91A5 : 'Unassigned [0x91A5]',
	0x91A6 : 'Unassigned [0x91A6]',
	0x91A7 : 'Unassigned [0x91A7]',
	0x91A8 : 'Unassigned [0x91A8]',
	0x91A9 : 'Unassigned [0x91A9]',
	0x91AA : 'Unassigned [0x91AA]',
	0x91AB : 'Unassigned [0x91AB]',
	0x91AC : 'Unassigned [0x91AC]',
	0x91AD : 'Unassigned [0x91AD]',
	0x91AE : 'Unassigned [0x91AE]',
	0x91AF : 'Unassigned [0x91AF]',
	0x91B0 : 'Unassigned [0x91B0]',
	0x91B1 : 'Unassigned [0x91B1]',
	0x91B2 : 'Unassigned [0x91B2]',
	0x91B3 : 'Unassigned [0x91B3]',
	0x91B4 : 'Unassigned [0x91B4]',
	0x91B5 : 'Unassigned [0x91B5]',
	0x91B6 : 'Unassigned [0x91B6]',
	0x91B7 : 'Unassigned [0x91B7]',
	0x91B8 : 'Unassigned [0x91B8]',
	0x91B9 : 'Unassigned [0x91B9]',
	0x91BA : 'Unassigned [0x91BA]',
	0x91BB : 'Unassigned [0x91BB]',
	0x91BC : 'Unassigned [0x91BC]',
	0x91BD : 'Unassigned [0x91BD]',
	0x91BE : 'Unassigned [0x91BE]',
	0x91BF : 'Unassigned [0x91BF]',
	0x91C0 : 'Unassigned [0x91C0]',
	0x91C1 : 'Unassigned [0x91C1]',
	0x91C2 : 'Unassigned [0x91C2]',
	0x91C3 : 'Unassigned [0x91C3]',
	0x91C4 : 'Unassigned [0x91C4]',
	0x91C5 : 'Unassigned [0x91C5]',
	0x91C6 : 'Unassigned [0x91C6]',
	0x91C7 : 'Unassigned [0x91C7]',
	0x91C8 : 'Unassigned [0x91C8]',
	0x91C9 : 'Unassigned [0x91C9]',
	0x91CA : 'Unassigned [0x91CA]',
	0x91CB : 'Unassigned [0x91CB]',
	0x91CC : 'Unassigned [0x91CC]',
	0x91CD : 'Unassigned [0x91CD]',
	0x91CE : 'Unassigned [0x91CE]',
	0x91CF : 'Unassigned [0x91CF]',
	0x91D0 : 'Unassigned [0x91D0]',
	0x91D1 : 'Unassigned [0x91D1]',
	0x91D2 : 'Unassigned [0x91D2]',
	0x91D3 : 'Unassigned [0x91D3]',
	0x91D4 : 'Unassigned [0x91D4]',
	0x91D5 : 'Unassigned [0x91D5]',
	0x91D6 : 'Unassigned [0x91D6]',
	0x91D7 : 'Unassigned [0x91D7]',
	0x91D8 : 'Unassigned [0x91D8]',
	0x91D9 : 'Unassigned [0x91D9]',
	0x91DA : 'Unassigned [0x91DA]',
	0x91DB : 'Unassigned [0x91DB]',
	0x91DC : 'Unassigned [0x91DC]',
	0x91DD : 'Unassigned [0x91DD]',
	0x91DE : 'Unassigned [0x91DE]',
	0x91DF : 'Unassigned [0x91DF]',
	0x91E0 : 'Unassigned [0x91E0]',
	0x91E1 : 'Unassigned [0x91E1]',
	0x91E2 : 'Unassigned [0x91E2]',
	0x91E3 : 'Unassigned [0x91E3]',
	0x91E4 : 'Unassigned [0x91E4]',
	0x91E5 : 'Unassigned [0x91E5]',
	0x91E6 : 'Unassigned [0x91E6]',
	0x91E7 : 'Unassigned [0x91E7]',
	0x91E8 : 'Unassigned [0x91E8]',
	0x91E9 : 'Unassigned [0x91E9]',
	0x91EA : 'Unassigned [0x91EA]',
	0x91EB : 'Unassigned [0x91EB]',
	0x91EC : 'Unassigned [0x91EC]',
	0x91ED : 'Unassigned [0x91ED]',
	0x91EE : 'Unassigned [0x91EE]',
	0x91EF : 'Unassigned [0x91EF]',
	0x91F0 : 'Unassigned [0x91F0]',
	0x91F1 : 'Unassigned [0x91F1]',
	0x91F2 : 'Unassigned [0x91F2]',
	0x91F3 : 'Unassigned [0x91F3]',
	0x91F4 : 'Unassigned [0x91F4]',
	0x91F5 : 'Unassigned [0x91F5]',
	0x91F6 : 'Unassigned [0x91F6]',
	0x91F7 : 'Unassigned [0x91F7]',
	0x91F8 : 'Unassigned [0x91F8]',
	0x91F9 : 'Unassigned [0x91F9]',
	0x91FA : 'Unassigned [0x91FA]',
	0x91FB : 'Unassigned [0x91FB]',
	0x91FC : 'Unassigned [0x91FC]',
	0x91FD : 'Unassigned [0x91FD]',
	0x91FE : 'Unassigned [0x91FE]',
	0x91FF : 'Unassigned [0x91FF]',
	0x9200 : 'Unassigned [0x9200]',
	0x9201 : 'Unassigned [0x9201]',
	0x9202 : 'Unassigned [0x9202]',
	0x9203 : 'Unassigned [0x9203]',
	0x9204 : 'Unassigned [0x9204]',
	0x9205 : 'Unassigned [0x9205]',
	0x9206 : 'Unassigned [0x9206]',
	0x9207 : 'Unassigned [0x9207]',
	0x9208 : 'Unassigned [0x9208]',
	0x9209 : 'Unassigned [0x9209]',
	0x920A : 'Unassigned [0x920A]',
	0x920B : 'Unassigned [0x920B]',
	0x920C : 'Unassigned [0x920C]',
	0x920D : 'Unassigned [0x920D]',
	0x920E : 'Unassigned [0x920E]',
	0x920F : 'Unassigned [0x920F]',
	0x9210 : 'Unassigned [0x9210]',
	0x9211 : 'Unassigned [0x9211]',
	0x9212 : 'Unassigned [0x9212]',
	0x9213 : 'Unassigned [0x9213]',
	0x9214 : 'Unassigned [0x9214]',
	0x9215 : 'Unassigned [0x9215]',
	0x9216 : 'Unassigned [0x9216]',
	0x9217 : 'Unassigned [0x9217]',
	0x9218 : 'Unassigned [0x9218]',
	0x9219 : 'Unassigned [0x9219]',
	0x921A : 'Unassigned [0x921A]',
	0x921B : 'Unassigned [0x921B]',
	0x921C : 'Unassigned [0x921C]',
	0x921D : 'Unassigned [0x921D]',
	0x921E : 'Unassigned [0x921E]',
	0x921F : 'Unassigned [0x921F]',
	0x9220 : 'Unassigned [0x9220]',
	0x9221 : 'Unassigned [0x9221]',
	0x9222 : 'Unassigned [0x9222]',
	0x9223 : 'Unassigned [0x9223]',
	0x9224 : 'Unassigned [0x9224]',
	0x9225 : 'Unassigned [0x9225]',
	0x9226 : 'Unassigned [0x9226]',
	0x9227 : 'Unassigned [0x9227]',
	0x9228 : 'Unassigned [0x9228]',
	0x9229 : 'Unassigned [0x9229]',
	0x922A : 'Unassigned [0x922A]',
	0x922B : 'Unassigned [0x922B]',
	0x922C : 'Unassigned [0x922C]',
	0x922D : 'Unassigned [0x922D]',
	0x922E : 'Unassigned [0x922E]',
	0x922F : 'Unassigned [0x922F]',
	0x9230 : 'Unassigned [0x9230]',
	0x9231 : 'Unassigned [0x9231]',
	0x9232 : 'Unassigned [0x9232]',
	0x9233 : 'Unassigned [0x9233]',
	0x9234 : 'Unassigned [0x9234]',
	0x9235 : 'Unassigned [0x9235]',
	0x9236 : 'Unassigned [0x9236]',
	0x9237 : 'Unassigned [0x9237]',
	0x9238 : 'Unassigned [0x9238]',
	0x9239 : 'Unassigned [0x9239]',
	0x923A : 'Unassigned [0x923A]',
	0x923B : 'Unassigned [0x923B]',
	0x923C : 'Unassigned [0x923C]',
	0x923D : 'Unassigned [0x923D]',
	0x923E : 'Unassigned [0x923E]',
	0x923F : 'Unassigned [0x923F]',
	0x9240 : 'Unassigned [0x9240]',
	0x9241 : 'Unassigned [0x9241]',
	0x9242 : 'Unassigned [0x9242]',
	0x9243 : 'Unassigned [0x9243]',
	0x9244 : 'Unassigned [0x9244]',
	0x9245 : 'Unassigned [0x9245]',
	0x9246 : 'Unassigned [0x9246]',
	0x9247 : 'Unassigned [0x9247]',
	0x9248 : 'Unassigned [0x9248]',
	0x9249 : 'Unassigned [0x9249]',
	0x924A : 'Unassigned [0x924A]',
	0x924B : 'Unassigned [0x924B]',
	0x924C : 'Unassigned [0x924C]',
	0x924D : 'Unassigned [0x924D]',
	0x924E : 'Unassigned [0x924E]',
	0x924F : 'Unassigned [0x924F]',
	0x9250 : 'Unassigned [0x9250]',
	0x9251 : 'Unassigned [0x9251]',
	0x9252 : 'Unassigned [0x9252]',
	0x9253 : 'Unassigned [0x9253]',
	0x9254 : 'Unassigned [0x9254]',
	0x9255 : 'Unassigned [0x9255]',
	0x9256 : 'Unassigned [0x9256]',
	0x9257 : 'Unassigned [0x9257]',
	0x9258 : 'Unassigned [0x9258]',
	0x9259 : 'Unassigned [0x9259]',
	0x925A : 'Unassigned [0x925A]',
	0x925B : 'Unassigned [0x925B]',
	0x925C : 'Unassigned [0x925C]',
	0x925D : 'Unassigned [0x925D]',
	0x925E : 'Unassigned [0x925E]',
	0x925F : 'Unassigned [0x925F]',
	0x9260 : 'Unassigned [0x9260]',
	0x9261 : 'Unassigned [0x9261]',
	0x9262 : 'Unassigned [0x9262]',
	0x9263 : 'Unassigned [0x9263]',
	0x9264 : 'Unassigned [0x9264]',
	0x9265 : 'Unassigned [0x9265]',
	0x9266 : 'Unassigned [0x9266]',
	0x9267 : 'Unassigned [0x9267]',
	0x9268 : 'Unassigned [0x9268]',
	0x9269 : 'Unassigned [0x9269]',
	0x926A : 'Unassigned [0x926A]',
	0x926B : 'Unassigned [0x926B]',
	0x926C : 'Unassigned [0x926C]',
	0x926D : 'Unassigned [0x926D]',
	0x926E : 'Unassigned [0x926E]',
	0x926F : 'Unassigned [0x926F]',
	0x9270 : 'Unassigned [0x9270]',
	0x9271 : 'Unassigned [0x9271]',
	0x9272 : 'Unassigned [0x9272]',
	0x9273 : 'Unassigned [0x9273]',
	0x9274 : 'Unassigned [0x9274]',
	0x9275 : 'Unassigned [0x9275]',
	0x9276 : 'Unassigned [0x9276]',
	0x9277 : 'Unassigned [0x9277]',
	0x9278 : 'Unassigned [0x9278]',
	0x9279 : 'Unassigned [0x9279]',
	0x927A : 'Unassigned [0x927A]',
	0x927B : 'Unassigned [0x927B]',
	0x927C : 'Unassigned [0x927C]',
	0x927D : 'Unassigned [0x927D]',
	0x927E : 'Unassigned [0x927E]',
	0x927F : 'Unassigned [0x927F]',
	0x9280 : 'Unassigned [0x9280]',
	0x9281 : 'Unassigned [0x9281]',
	0x9282 : 'Unassigned [0x9282]',
	0x9283 : 'Unassigned [0x9283]',
	0x9284 : 'Unassigned [0x9284]',
	0x9285 : 'Unassigned [0x9285]',
	0x9286 : 'Unassigned [0x9286]',
	0x9287 : 'Unassigned [0x9287]',
	0x9288 : 'Unassigned [0x9288]',
	0x9289 : 'Unassigned [0x9289]',
	0x928A : 'Unassigned [0x928A]',
	0x928B : 'Unassigned [0x928B]',
	0x928C : 'Unassigned [0x928C]',
	0x928D : 'Unassigned [0x928D]',
	0x928E : 'Unassigned [0x928E]',
	0x928F : 'Unassigned [0x928F]',
	0x9290 : 'Unassigned [0x9290]',
	0x9291 : 'Unassigned [0x9291]',
	0x9292 : 'Unassigned [0x9292]',
	0x9293 : 'Unassigned [0x9293]',
	0x9294 : 'Unassigned [0x9294]',
	0x9295 : 'Unassigned [0x9295]',
	0x9296 : 'Unassigned [0x9296]',
	0x9297 : 'Unassigned [0x9297]',
	0x9298 : 'Unassigned [0x9298]',
	0x9299 : 'Unassigned [0x9299]',
	0x929A : 'Unassigned [0x929A]',
	0x929B : 'Unassigned [0x929B]',
	0x929C : 'Unassigned [0x929C]',
	0x929D : 'Unassigned [0x929D]',
	0x929E : 'Unassigned [0x929E]',
	0x929F : 'Unassigned [0x929F]',
	0x92A0 : 'Unassigned [0x92A0]',
	0x92A1 : 'Unassigned [0x92A1]',
	0x92A2 : 'Unassigned [0x92A2]',
	0x92A3 : 'Unassigned [0x92A3]',
	0x92A4 : 'Unassigned [0x92A4]',
	0x92A5 : 'Unassigned [0x92A5]',
	0x92A6 : 'Unassigned [0x92A6]',
	0x92A7 : 'Unassigned [0x92A7]',
	0x92A8 : 'Unassigned [0x92A8]',
	0x92A9 : 'Unassigned [0x92A9]',
	0x92AA : 'Unassigned [0x92AA]',
	0x92AB : 'Unassigned [0x92AB]',
	0x92AC : 'Unassigned [0x92AC]',
	0x92AD : 'Unassigned [0x92AD]',
	0x92AE : 'Unassigned [0x92AE]',
	0x92AF : 'Unassigned [0x92AF]',
	0x92B0 : 'Unassigned [0x92B0]',
	0x92B1 : 'Unassigned [0x92B1]',
	0x92B2 : 'Unassigned [0x92B2]',
	0x92B3 : 'Unassigned [0x92B3]',
	0x92B4 : 'Unassigned [0x92B4]',
	0x92B5 : 'Unassigned [0x92B5]',
	0x92B6 : 'Unassigned [0x92B6]',
	0x92B7 : 'Unassigned [0x92B7]',
	0x92B8 : 'Unassigned [0x92B8]',
	0x92B9 : 'Unassigned [0x92B9]',
	0x92BA : 'Unassigned [0x92BA]',
	0x92BB : 'Unassigned [0x92BB]',
	0x92BC : 'Unassigned [0x92BC]',
	0x92BD : 'Unassigned [0x92BD]',
	0x92BE : 'Unassigned [0x92BE]',
	0x92BF : 'Unassigned [0x92BF]',
	0x92C0 : 'Unassigned [0x92C0]',
	0x92C1 : 'Unassigned [0x92C1]',
	0x92C2 : 'Unassigned [0x92C2]',
	0x92C3 : 'Unassigned [0x92C3]',
	0x92C4 : 'Unassigned [0x92C4]',
	0x92C5 : 'Unassigned [0x92C5]',
	0x92C6 : 'Unassigned [0x92C6]',
	0x92C7 : 'Unassigned [0x92C7]',
	0x92C8 : 'Unassigned [0x92C8]',
	0x92C9 : 'Unassigned [0x92C9]',
	0x92CA : 'Unassigned [0x92CA]',
	0x92CB : 'Unassigned [0x92CB]',
	0x92CC : 'Unassigned [0x92CC]',
	0x92CD : 'Unassigned [0x92CD]',
	0x92CE : 'Unassigned [0x92CE]',
	0x92CF : 'Unassigned [0x92CF]',
	0x92D0 : 'Unassigned [0x92D0]',
	0x92D1 : 'Unassigned [0x92D1]',
	0x92D2 : 'Unassigned [0x92D2]',
	0x92D3 : 'Unassigned [0x92D3]',
	0x92D4 : 'Unassigned [0x92D4]',
	0x92D5 : 'Unassigned [0x92D5]',
	0x92D6 : 'Unassigned [0x92D6]',
	0x92D7 : 'Unassigned [0x92D7]',
	0x92D8 : 'Unassigned [0x92D8]',
	0x92D9 : 'Unassigned [0x92D9]',
	0x92DA : 'Unassigned [0x92DA]',
	0x92DB : 'Unassigned [0x92DB]',
	0x92DC : 'Unassigned [0x92DC]',
	0x92DD : 'Unassigned [0x92DD]',
	0x92DE : 'Unassigned [0x92DE]',
	0x92DF : 'Unassigned [0x92DF]',
	0x92E0 : 'Unassigned [0x92E0]',
	0x92E1 : 'Unassigned [0x92E1]',
	0x92E2 : 'Unassigned [0x92E2]',
	0x92E3 : 'Unassigned [0x92E3]',
	0x92E4 : 'Unassigned [0x92E4]',
	0x92E5 : 'Unassigned [0x92E5]',
	0x92E6 : 'Unassigned [0x92E6]',
	0x92E7 : 'Unassigned [0x92E7]',
	0x92E8 : 'Unassigned [0x92E8]',
	0x92E9 : 'Unassigned [0x92E9]',
	0x92EA : 'Unassigned [0x92EA]',
	0x92EB : 'Unassigned [0x92EB]',
	0x92EC : 'Unassigned [0x92EC]',
	0x92ED : 'Unassigned [0x92ED]',
	0x92EE : 'Unassigned [0x92EE]',
	0x92EF : 'Unassigned [0x92EF]',
	0x92F0 : 'Unassigned [0x92F0]',
	0x92F1 : 'Unassigned [0x92F1]',
	0x92F2 : 'Unassigned [0x92F2]',
	0x92F3 : 'Unassigned [0x92F3]',
	0x92F4 : 'Unassigned [0x92F4]',
	0x92F5 : 'Unassigned [0x92F5]',
	0x92F6 : 'Unassigned [0x92F6]',
	0x92F7 : 'Unassigned [0x92F7]',
	0x92F8 : 'Unassigned [0x92F8]',
	0x92F9 : 'Unassigned [0x92F9]',
	0x92FA : 'Unassigned [0x92FA]',
	0x92FB : 'Unassigned [0x92FB]',
	0x92FC : 'Unassigned [0x92FC]',
	0x92FD : 'Unassigned [0x92FD]',
	0x92FE : 'Unassigned [0x92FE]',
	0x92FF : 'Unassigned [0x92FF]',
	0x9300 : 'Unassigned [0x9300]',
	0x9301 : 'Unassigned [0x9301]',
	0x9302 : 'Unassigned [0x9302]',
	0x9303 : 'Unassigned [0x9303]',
	0x9304 : 'Unassigned [0x9304]',
	0x9305 : 'Unassigned [0x9305]',
	0x9306 : 'Unassigned [0x9306]',
	0x9307 : 'Unassigned [0x9307]',
	0x9308 : 'Unassigned [0x9308]',
	0x9309 : 'Unassigned [0x9309]',
	0x930A : 'Unassigned [0x930A]',
	0x930B : 'Unassigned [0x930B]',
	0x930C : 'Unassigned [0x930C]',
	0x930D : 'Unassigned [0x930D]',
	0x930E : 'Unassigned [0x930E]',
	0x930F : 'Unassigned [0x930F]',
	0x9310 : 'Unassigned [0x9310]',
	0x9311 : 'Unassigned [0x9311]',
	0x9312 : 'Unassigned [0x9312]',
	0x9313 : 'Unassigned [0x9313]',
	0x9314 : 'Unassigned [0x9314]',
	0x9315 : 'Unassigned [0x9315]',
	0x9316 : 'Unassigned [0x9316]',
	0x9317 : 'Unassigned [0x9317]',
	0x9318 : 'Unassigned [0x9318]',
	0x9319 : 'Unassigned [0x9319]',
	0x931A : 'Unassigned [0x931A]',
	0x931B : 'Unassigned [0x931B]',
	0x931C : 'Unassigned [0x931C]',
	0x931D : 'Unassigned [0x931D]',
	0x931E : 'Unassigned [0x931E]',
	0x931F : 'Unassigned [0x931F]',
	0x9320 : 'Unassigned [0x9320]',
	0x9321 : 'Unassigned [0x9321]',
	0x9322 : 'Unassigned [0x9322]',
	0x9323 : 'Unassigned [0x9323]',
	0x9324 : 'Unassigned [0x9324]',
	0x9325 : 'Unassigned [0x9325]',
	0x9326 : 'Unassigned [0x9326]',
	0x9327 : 'Unassigned [0x9327]',
	0x9328 : 'Unassigned [0x9328]',
	0x9329 : 'Unassigned [0x9329]',
	0x932A : 'Unassigned [0x932A]',
	0x932B : 'Unassigned [0x932B]',
	0x932C : 'Unassigned [0x932C]',
	0x932D : 'Unassigned [0x932D]',
	0x932E : 'Unassigned [0x932E]',
	0x932F : 'Unassigned [0x932F]',
	0x9330 : 'Unassigned [0x9330]',
	0x9331 : 'Unassigned [0x9331]',
	0x9332 : 'Unassigned [0x9332]',
	0x9333 : 'Unassigned [0x9333]',
	0x9334 : 'Unassigned [0x9334]',
	0x9335 : 'Unassigned [0x9335]',
	0x9336 : 'Unassigned [0x9336]',
	0x9337 : 'Unassigned [0x9337]',
	0x9338 : 'Unassigned [0x9338]',
	0x9339 : 'Unassigned [0x9339]',
	0x933A : 'Unassigned [0x933A]',
	0x933B : 'Unassigned [0x933B]',
	0x933C : 'Unassigned [0x933C]',
	0x933D : 'Unassigned [0x933D]',
	0x933E : 'Unassigned [0x933E]',
	0x933F : 'Unassigned [0x933F]',
	0x9340 : 'Unassigned [0x9340]',
	0x9341 : 'Unassigned [0x9341]',
	0x9342 : 'Unassigned [0x9342]',
	0x9343 : 'Unassigned [0x9343]',
	0x9344 : 'Unassigned [0x9344]',
	0x9345 : 'Unassigned [0x9345]',
	0x9346 : 'Unassigned [0x9346]',
	0x9347 : 'Unassigned [0x9347]',
	0x9348 : 'Unassigned [0x9348]',
	0x9349 : 'Unassigned [0x9349]',
	0x934A : 'Unassigned [0x934A]',
	0x934B : 'Unassigned [0x934B]',
	0x934C : 'Unassigned [0x934C]',
	0x934D : 'Unassigned [0x934D]',
	0x934E : 'Unassigned [0x934E]',
	0x934F : 'Unassigned [0x934F]',
	0x9350 : 'Unassigned [0x9350]',
	0x9351 : 'Unassigned [0x9351]',
	0x9352 : 'Unassigned [0x9352]',
	0x9353 : 'Unassigned [0x9353]',
	0x9354 : 'Unassigned [0x9354]',
	0x9355 : 'Unassigned [0x9355]',
	0x9356 : 'Unassigned [0x9356]',
	0x9357 : 'Unassigned [0x9357]',
	0x9358 : 'Unassigned [0x9358]',
	0x9359 : 'Unassigned [0x9359]',
	0x935A : 'Unassigned [0x935A]',
	0x935B : 'Unassigned [0x935B]',
	0x935C : 'Unassigned [0x935C]',
	0x935D : 'Unassigned [0x935D]',
	0x935E : 'Unassigned [0x935E]',
	0x935F : 'Unassigned [0x935F]',
	0x9360 : 'Unassigned [0x9360]',
	0x9361 : 'Unassigned [0x9361]',
	0x9362 : 'Unassigned [0x9362]',
	0x9363 : 'Unassigned [0x9363]',
	0x9364 : 'Unassigned [0x9364]',
	0x9365 : 'Unassigned [0x9365]',
	0x9366 : 'Unassigned [0x9366]',
	0x9367 : 'Unassigned [0x9367]',
	0x9368 : 'Unassigned [0x9368]',
	0x9369 : 'Unassigned [0x9369]',
	0x936A : 'Unassigned [0x936A]',
	0x936B : 'Unassigned [0x936B]',
	0x936C : 'Unassigned [0x936C]',
	0x936D : 'Unassigned [0x936D]',
	0x936E : 'Unassigned [0x936E]',
	0x936F : 'Unassigned [0x936F]',
	0x9370 : 'Unassigned [0x9370]',
	0x9371 : 'Unassigned [0x9371]',
	0x9372 : 'Unassigned [0x9372]',
	0x9373 : 'Unassigned [0x9373]',
	0x9374 : 'Unassigned [0x9374]',
	0x9375 : 'Unassigned [0x9375]',
	0x9376 : 'Unassigned [0x9376]',
	0x9377 : 'Unassigned [0x9377]',
	0x9378 : 'Unassigned [0x9378]',
	0x9379 : 'Unassigned [0x9379]',
	0x937A : 'Unassigned [0x937A]',
	0x937B : 'Unassigned [0x937B]',
	0x937C : 'Unassigned [0x937C]',
	0x937D : 'Unassigned [0x937D]',
	0x937E : 'Unassigned [0x937E]',
	0x937F : 'Unassigned [0x937F]',
	0x9380 : 'Unassigned [0x9380]',
	0x9381 : 'Unassigned [0x9381]',
	0x9382 : 'Unassigned [0x9382]',
	0x9383 : 'Unassigned [0x9383]',
	0x9384 : 'Unassigned [0x9384]',
	0x9385 : 'Unassigned [0x9385]',
	0x9386 : 'Unassigned [0x9386]',
	0x9387 : 'Unassigned [0x9387]',
	0x9388 : 'Unassigned [0x9388]',
	0x9389 : 'Unassigned [0x9389]',
	0x938A : 'Unassigned [0x938A]',
	0x938B : 'Unassigned [0x938B]',
	0x938C : 'Unassigned [0x938C]',
	0x938D : 'Unassigned [0x938D]',
	0x938E : 'Unassigned [0x938E]',
	0x938F : 'Unassigned [0x938F]',
	0x9390 : 'Unassigned [0x9390]',
	0x9391 : 'Unassigned [0x9391]',
	0x9392 : 'Unassigned [0x9392]',
	0x9393 : 'Unassigned [0x9393]',
	0x9394 : 'Unassigned [0x9394]',
	0x9395 : 'Unassigned [0x9395]',
	0x9396 : 'Unassigned [0x9396]',
	0x9397 : 'Unassigned [0x9397]',
	0x9398 : 'Unassigned [0x9398]',
	0x9399 : 'Unassigned [0x9399]',
	0x939A : 'Unassigned [0x939A]',
	0x939B : 'Unassigned [0x939B]',
	0x939C : 'Unassigned [0x939C]',
	0x939D : 'Unassigned [0x939D]',
	0x939E : 'Unassigned [0x939E]',
	0x939F : 'Unassigned [0x939F]',
	0x93A0 : 'Unassigned [0x93A0]',
	0x93A1 : 'Unassigned [0x93A1]',
	0x93A2 : 'Unassigned [0x93A2]',
	0x93A3 : 'Unassigned [0x93A3]',
	0x93A4 : 'Unassigned [0x93A4]',
	0x93A5 : 'Unassigned [0x93A5]',
	0x93A6 : 'Unassigned [0x93A6]',
	0x93A7 : 'Unassigned [0x93A7]',
	0x93A8 : 'Unassigned [0x93A8]',
	0x93A9 : 'Unassigned [0x93A9]',
	0x93AA : 'Unassigned [0x93AA]',
	0x93AB : 'Unassigned [0x93AB]',
	0x93AC : 'Unassigned [0x93AC]',
	0x93AD : 'Unassigned [0x93AD]',
	0x93AE : 'Unassigned [0x93AE]',
	0x93AF : 'Unassigned [0x93AF]',
	0x93B0 : 'Unassigned [0x93B0]',
	0x93B1 : 'Unassigned [0x93B1]',
	0x93B2 : 'Unassigned [0x93B2]',
	0x93B3 : 'Unassigned [0x93B3]',
	0x93B4 : 'Unassigned [0x93B4]',
	0x93B5 : 'Unassigned [0x93B5]',
	0x93B6 : 'Unassigned [0x93B6]',
	0x93B7 : 'Unassigned [0x93B7]',
	0x93B8 : 'Unassigned [0x93B8]',
	0x93B9 : 'Unassigned [0x93B9]',
	0x93BA : 'Unassigned [0x93BA]',
	0x93BB : 'Unassigned [0x93BB]',
	0x93BC : 'Unassigned [0x93BC]',
	0x93BD : 'Unassigned [0x93BD]',
	0x93BE : 'Unassigned [0x93BE]',
	0x93BF : 'Unassigned [0x93BF]',
	0x93C0 : 'Unassigned [0x93C0]',
	0x93C1 : 'Unassigned [0x93C1]',
	0x93C2 : 'Unassigned [0x93C2]',
	0x93C3 : 'Unassigned [0x93C3]',
	0x93C4 : 'Unassigned [0x93C4]',
	0x93C5 : 'Unassigned [0x93C5]',
	0x93C6 : 'Unassigned [0x93C6]',
	0x93C7 : 'Unassigned [0x93C7]',
	0x93C8 : 'Unassigned [0x93C8]',
	0x93C9 : 'Unassigned [0x93C9]',
	0x93CA : 'Unassigned [0x93CA]',
	0x93CB : 'Unassigned [0x93CB]',
	0x93CC : 'Unassigned [0x93CC]',
	0x93CD : 'Unassigned [0x93CD]',
	0x93CE : 'Unassigned [0x93CE]',
	0x93CF : 'Unassigned [0x93CF]',
	0x93D0 : 'Unassigned [0x93D0]',
	0x93D1 : 'Unassigned [0x93D1]',
	0x93D2 : 'Unassigned [0x93D2]',
	0x93D3 : 'Unassigned [0x93D3]',
	0x93D4 : 'Unassigned [0x93D4]',
	0x93D5 : 'Unassigned [0x93D5]',
	0x93D6 : 'Unassigned [0x93D6]',
	0x93D7 : 'Unassigned [0x93D7]',
	0x93D8 : 'Unassigned [0x93D8]',
	0x93D9 : 'Unassigned [0x93D9]',
	0x93DA : 'Unassigned [0x93DA]',
	0x93DB : 'Unassigned [0x93DB]',
	0x93DC : 'Unassigned [0x93DC]',
	0x93DD : 'Unassigned [0x93DD]',
	0x93DE : 'Unassigned [0x93DE]',
	0x93DF : 'Unassigned [0x93DF]',
	0x93E0 : 'Unassigned [0x93E0]',
	0x93E1 : 'Unassigned [0x93E1]',
	0x93E2 : 'Unassigned [0x93E2]',
	0x93E3 : 'Unassigned [0x93E3]',
	0x93E4 : 'Unassigned [0x93E4]',
	0x93E5 : 'Unassigned [0x93E5]',
	0x93E6 : 'Unassigned [0x93E6]',
	0x93E7 : 'Unassigned [0x93E7]',
	0x93E8 : 'Unassigned [0x93E8]',
	0x93E9 : 'Unassigned [0x93E9]',
	0x93EA : 'Unassigned [0x93EA]',
	0x93EB : 'Unassigned [0x93EB]',
	0x93EC : 'Unassigned [0x93EC]',
	0x93ED : 'Unassigned [0x93ED]',
	0x93EE : 'Unassigned [0x93EE]',
	0x93EF : 'Unassigned [0x93EF]',
	0x93F0 : 'Unassigned [0x93F0]',
	0x93F1 : 'Unassigned [0x93F1]',
	0x93F2 : 'Unassigned [0x93F2]',
	0x93F3 : 'Unassigned [0x93F3]',
	0x93F4 : 'Unassigned [0x93F4]',
	0x93F5 : 'Unassigned [0x93F5]',
	0x93F6 : 'Unassigned [0x93F6]',
	0x93F7 : 'Unassigned [0x93F7]',
	0x93F8 : 'Unassigned [0x93F8]',
	0x93F9 : 'Unassigned [0x93F9]',
	0x93FA : 'Unassigned [0x93FA]',
	0x93FB : 'Unassigned [0x93FB]',
	0x93FC : 'Unassigned [0x93FC]',
	0x93FD : 'Unassigned [0x93FD]',
	0x93FE : 'Unassigned [0x93FE]',
	0x93FF : 'Unassigned [0x93FF]',
	0x9400 : 'Unassigned [0x9400]',
	0x9401 : 'Unassigned [0x9401]',
	0x9402 : 'Unassigned [0x9402]',
	0x9403 : 'Unassigned [0x9403]',
	0x9404 : 'Unassigned [0x9404]',
	0x9405 : 'Unassigned [0x9405]',
	0x9406 : 'Unassigned [0x9406]',
	0x9407 : 'Unassigned [0x9407]',
	0x9408 : 'Unassigned [0x9408]',
	0x9409 : 'Unassigned [0x9409]',
	0x940A : 'Unassigned [0x940A]',
	0x940B : 'Unassigned [0x940B]',
	0x940C : 'Unassigned [0x940C]',
	0x940D : 'Unassigned [0x940D]',
	0x940E : 'Unassigned [0x940E]',
	0x940F : 'Unassigned [0x940F]',
	0x9410 : 'Unassigned [0x9410]',
	0x9411 : 'Unassigned [0x9411]',
	0x9412 : 'Unassigned [0x9412]',
	0x9413 : 'Unassigned [0x9413]',
	0x9414 : 'Unassigned [0x9414]',
	0x9415 : 'Unassigned [0x9415]',
	0x9416 : 'Unassigned [0x9416]',
	0x9417 : 'Unassigned [0x9417]',
	0x9418 : 'Unassigned [0x9418]',
	0x9419 : 'Unassigned [0x9419]',
	0x941A : 'Unassigned [0x941A]',
	0x941B : 'Unassigned [0x941B]',
	0x941C : 'Unassigned [0x941C]',
	0x941D : 'Unassigned [0x941D]',
	0x941E : 'Unassigned [0x941E]',
	0x941F : 'Unassigned [0x941F]',
	0x9420 : 'Unassigned [0x9420]',
	0x9421 : 'Unassigned [0x9421]',
	0x9422 : 'Unassigned [0x9422]',
	0x9423 : 'Unassigned [0x9423]',
	0x9424 : 'Unassigned [0x9424]',
	0x9425 : 'Unassigned [0x9425]',
	0x9426 : 'Unassigned [0x9426]',
	0x9427 : 'Unassigned [0x9427]',
	0x9428 : 'Unassigned [0x9428]',
	0x9429 : 'Unassigned [0x9429]',
	0x942A : 'Unassigned [0x942A]',
	0x942B : 'Unassigned [0x942B]',
	0x942C : 'Unassigned [0x942C]',
	0x942D : 'Unassigned [0x942D]',
	0x942E : 'Unassigned [0x942E]',
	0x942F : 'Unassigned [0x942F]',
	0x9430 : 'Unassigned [0x9430]',
	0x9431 : 'Unassigned [0x9431]',
	0x9432 : 'Unassigned [0x9432]',
	0x9433 : 'Unassigned [0x9433]',
	0x9434 : 'Unassigned [0x9434]',
	0x9435 : 'Unassigned [0x9435]',
	0x9436 : 'Unassigned [0x9436]',
	0x9437 : 'Unassigned [0x9437]',
	0x9438 : 'Unassigned [0x9438]',
	0x9439 : 'Unassigned [0x9439]',
	0x943A : 'Unassigned [0x943A]',
	0x943B : 'Unassigned [0x943B]',
	0x943C : 'Unassigned [0x943C]',
	0x943D : 'Unassigned [0x943D]',
	0x943E : 'Unassigned [0x943E]',
	0x943F : 'Unassigned [0x943F]',
	0x9440 : 'Unassigned [0x9440]',
	0x9441 : 'Unassigned [0x9441]',
	0x9442 : 'Unassigned [0x9442]',
	0x9443 : 'Unassigned [0x9443]',
	0x9444 : 'Unassigned [0x9444]',
	0x9445 : 'Unassigned [0x9445]',
	0x9446 : 'Unassigned [0x9446]',
	0x9447 : 'Unassigned [0x9447]',
	0x9448 : 'Unassigned [0x9448]',
	0x9449 : 'Unassigned [0x9449]',
	0x944A : 'Unassigned [0x944A]',
	0x944B : 'Unassigned [0x944B]',
	0x944C : 'Unassigned [0x944C]',
	0x944D : 'Unassigned [0x944D]',
	0x944E : 'Unassigned [0x944E]',
	0x944F : 'Unassigned [0x944F]',
	0x9450 : 'Unassigned [0x9450]',
	0x9451 : 'Unassigned [0x9451]',
	0x9452 : 'Unassigned [0x9452]',
	0x9453 : 'Unassigned [0x9453]',
	0x9454 : 'Unassigned [0x9454]',
	0x9455 : 'Unassigned [0x9455]',
	0x9456 : 'Unassigned [0x9456]',
	0x9457 : 'Unassigned [0x9457]',
	0x9458 : 'Unassigned [0x9458]',
	0x9459 : 'Unassigned [0x9459]',
	0x945A : 'Unassigned [0x945A]',
	0x945B : 'Unassigned [0x945B]',
	0x945C : 'Unassigned [0x945C]',
	0x945D : 'Unassigned [0x945D]',
	0x945E : 'Unassigned [0x945E]',
	0x945F : 'Unassigned [0x945F]',
	0x9460 : 'Unassigned [0x9460]',
	0x9461 : 'Unassigned [0x9461]',
	0x9462 : 'Unassigned [0x9462]',
	0x9463 : 'Unassigned [0x9463]',
	0x9464 : 'Unassigned [0x9464]',
	0x9465 : 'Unassigned [0x9465]',
	0x9466 : 'Unassigned [0x9466]',
	0x9467 : 'Unassigned [0x9467]',
	0x9468 : 'Unassigned [0x9468]',
	0x9469 : 'Unassigned [0x9469]',
	0x946A : 'Unassigned [0x946A]',
	0x946B : 'Unassigned [0x946B]',
	0x946C : 'Unassigned [0x946C]',
	0x946D : 'Unassigned [0x946D]',
	0x946E : 'Unassigned [0x946E]',
	0x946F : 'Unassigned [0x946F]',
	0x9470 : 'Unassigned [0x9470]',
	0x9471 : 'Unassigned [0x9471]',
	0x9472 : 'Unassigned [0x9472]',
	0x9473 : 'Unassigned [0x9473]',
	0x9474 : 'Unassigned [0x9474]',
	0x9475 : 'Unassigned [0x9475]',
	0x9476 : 'Unassigned [0x9476]',
	0x9477 : 'Unassigned [0x9477]',
	0x9478 : 'Unassigned [0x9478]',
	0x9479 : 'Unassigned [0x9479]',
	0x947A : 'Unassigned [0x947A]',
	0x947B : 'Unassigned [0x947B]',
	0x947C : 'Unassigned [0x947C]',
	0x947D : 'Unassigned [0x947D]',
	0x947E : 'Unassigned [0x947E]',
	0x947F : 'Unassigned [0x947F]',
	0x9480 : 'Unassigned [0x9480]',
	0x9481 : 'Unassigned [0x9481]',
	0x9482 : 'Unassigned [0x9482]',
	0x9483 : 'Unassigned [0x9483]',
	0x9484 : 'Unassigned [0x9484]',
	0x9485 : 'Unassigned [0x9485]',
	0x9486 : 'Unassigned [0x9486]',
	0x9487 : 'Unassigned [0x9487]',
	0x9488 : 'Unassigned [0x9488]',
	0x9489 : 'Unassigned [0x9489]',
	0x948A : 'Unassigned [0x948A]',
	0x948B : 'Unassigned [0x948B]',
	0x948C : 'Unassigned [0x948C]',
	0x948D : 'Unassigned [0x948D]',
	0x948E : 'Unassigned [0x948E]',
	0x948F : 'Unassigned [0x948F]',
	0x9490 : 'Unassigned [0x9490]',
	0x9491 : 'Unassigned [0x9491]',
	0x9492 : 'Unassigned [0x9492]',
	0x9493 : 'Unassigned [0x9493]',
	0x9494 : 'Unassigned [0x9494]',
	0x9495 : 'Unassigned [0x9495]',
	0x9496 : 'Unassigned [0x9496]',
	0x9497 : 'Unassigned [0x9497]',
	0x9498 : 'Unassigned [0x9498]',
	0x9499 : 'Unassigned [0x9499]',
	0x949A : 'Unassigned [0x949A]',
	0x949B : 'Unassigned [0x949B]',
	0x949C : 'Unassigned [0x949C]',
	0x949D : 'Unassigned [0x949D]',
	0x949E : 'Unassigned [0x949E]',
	0x949F : 'Unassigned [0x949F]',
	0x94A0 : 'Unassigned [0x94A0]',
	0x94A1 : 'Unassigned [0x94A1]',
	0x94A2 : 'Unassigned [0x94A2]',
	0x94A3 : 'Unassigned [0x94A3]',
	0x94A4 : 'Unassigned [0x94A4]',
	0x94A5 : 'Unassigned [0x94A5]',
	0x94A6 : 'Unassigned [0x94A6]',
	0x94A7 : 'Unassigned [0x94A7]',
	0x94A8 : 'Unassigned [0x94A8]',
	0x94A9 : 'Unassigned [0x94A9]',
	0x94AA : 'Unassigned [0x94AA]',
	0x94AB : 'Unassigned [0x94AB]',
	0x94AC : 'Unassigned [0x94AC]',
	0x94AD : 'Unassigned [0x94AD]',
	0x94AE : 'Unassigned [0x94AE]',
	0x94AF : 'Unassigned [0x94AF]',
	0x94B0 : 'Unassigned [0x94B0]',
	0x94B1 : 'Unassigned [0x94B1]',
	0x94B2 : 'Unassigned [0x94B2]',
	0x94B3 : 'Unassigned [0x94B3]',
	0x94B4 : 'Unassigned [0x94B4]',
	0x94B5 : 'Unassigned [0x94B5]',
	0x94B6 : 'Unassigned [0x94B6]',
	0x94B7 : 'Unassigned [0x94B7]',
	0x94B8 : 'Unassigned [0x94B8]',
	0x94B9 : 'Unassigned [0x94B9]',
	0x94BA : 'Unassigned [0x94BA]',
	0x94BB : 'Unassigned [0x94BB]',
	0x94BC : 'Unassigned [0x94BC]',
	0x94BD : 'Unassigned [0x94BD]',
	0x94BE : 'Unassigned [0x94BE]',
	0x94BF : 'Unassigned [0x94BF]',
	0x94C0 : 'Unassigned [0x94C0]',
	0x94C1 : 'Unassigned [0x94C1]',
	0x94C2 : 'Unassigned [0x94C2]',
	0x94C3 : 'Unassigned [0x94C3]',
	0x94C4 : 'Unassigned [0x94C4]',
	0x94C5 : 'Unassigned [0x94C5]',
	0x94C6 : 'Unassigned [0x94C6]',
	0x94C7 : 'Unassigned [0x94C7]',
	0x94C8 : 'Unassigned [0x94C8]',
	0x94C9 : 'Unassigned [0x94C9]',
	0x94CA : 'Unassigned [0x94CA]',
	0x94CB : 'Unassigned [0x94CB]',
	0x94CC : 'Unassigned [0x94CC]',
	0x94CD : 'Unassigned [0x94CD]',
	0x94CE : 'Unassigned [0x94CE]',
	0x94CF : 'Unassigned [0x94CF]',
	0x94D0 : 'Unassigned [0x94D0]',
	0x94D1 : 'Unassigned [0x94D1]',
	0x94D2 : 'Unassigned [0x94D2]',
	0x94D3 : 'Unassigned [0x94D3]',
	0x94D4 : 'Unassigned [0x94D4]',
	0x94D5 : 'Unassigned [0x94D5]',
	0x94D6 : 'Unassigned [0x94D6]',
	0x94D7 : 'Unassigned [0x94D7]',
	0x94D8 : 'Unassigned [0x94D8]',
	0x94D9 : 'Unassigned [0x94D9]',
	0x94DA : 'Unassigned [0x94DA]',
	0x94DB : 'Unassigned [0x94DB]',
	0x94DC : 'Unassigned [0x94DC]',
	0x94DD : 'Unassigned [0x94DD]',
	0x94DE : 'Unassigned [0x94DE]',
	0x94DF : 'Unassigned [0x94DF]',
	0x94E0 : 'Unassigned [0x94E0]',
	0x94E1 : 'Unassigned [0x94E1]',
	0x94E2 : 'Unassigned [0x94E2]',
	0x94E3 : 'Unassigned [0x94E3]',
	0x94E4 : 'Unassigned [0x94E4]',
	0x94E5 : 'Unassigned [0x94E5]',
	0x94E6 : 'Unassigned [0x94E6]',
	0x94E7 : 'Unassigned [0x94E7]',
	0x94E8 : 'Unassigned [0x94E8]',
	0x94E9 : 'Unassigned [0x94E9]',
	0x94EA : 'Unassigned [0x94EA]',
	0x94EB : 'Unassigned [0x94EB]',
	0x94EC : 'Unassigned [0x94EC]',
	0x94ED : 'Unassigned [0x94ED]',
	0x94EE : 'Unassigned [0x94EE]',
	0x94EF : 'Unassigned [0x94EF]',
	0x94F0 : 'Unassigned [0x94F0]',
	0x94F1 : 'Unassigned [0x94F1]',
	0x94F2 : 'Unassigned [0x94F2]',
	0x94F3 : 'Unassigned [0x94F3]',
	0x94F4 : 'Unassigned [0x94F4]',
	0x94F5 : 'Unassigned [0x94F5]',
	0x94F6 : 'Unassigned [0x94F6]',
	0x94F7 : 'Unassigned [0x94F7]',
	0x94F8 : 'Unassigned [0x94F8]',
	0x94F9 : 'Unassigned [0x94F9]',
	0x94FA : 'Unassigned [0x94FA]',
	0x94FB : 'Unassigned [0x94FB]',
	0x94FC : 'Unassigned [0x94FC]',
	0x94FD : 'Unassigned [0x94FD]',
	0x94FE : 'Unassigned [0x94FE]',
	0x94FF : 'Unassigned [0x94FF]',
	0x9500 : 'Unassigned [0x9500]',
	0x9501 : 'Unassigned [0x9501]',
	0x9502 : 'Unassigned [0x9502]',
	0x9503 : 'Unassigned [0x9503]',
	0x9504 : 'Unassigned [0x9504]',
	0x9505 : 'Unassigned [0x9505]',
	0x9506 : 'Unassigned [0x9506]',
	0x9507 : 'Unassigned [0x9507]',
	0x9508 : 'Unassigned [0x9508]',
	0x9509 : 'Unassigned [0x9509]',
	0x950A : 'Unassigned [0x950A]',
	0x950B : 'Unassigned [0x950B]',
	0x950C : 'Unassigned [0x950C]',
	0x950D : 'Unassigned [0x950D]',
	0x950E : 'Unassigned [0x950E]',
	0x950F : 'Unassigned [0x950F]',
	0x9510 : 'Unassigned [0x9510]',
	0x9511 : 'Unassigned [0x9511]',
	0x9512 : 'Unassigned [0x9512]',
	0x9513 : 'Unassigned [0x9513]',
	0x9514 : 'Unassigned [0x9514]',
	0x9515 : 'Unassigned [0x9515]',
	0x9516 : 'Unassigned [0x9516]',
	0x9517 : 'Unassigned [0x9517]',
	0x9518 : 'Unassigned [0x9518]',
	0x9519 : 'Unassigned [0x9519]',
	0x951A : 'Unassigned [0x951A]',
	0x951B : 'Unassigned [0x951B]',
	0x951C : 'Unassigned [0x951C]',
	0x951D : 'Unassigned [0x951D]',
	0x951E : 'Unassigned [0x951E]',
	0x951F : 'Unassigned [0x951F]',
	0x9520 : 'Unassigned [0x9520]',
	0x9521 : 'Unassigned [0x9521]',
	0x9522 : 'Unassigned [0x9522]',
	0x9523 : 'Unassigned [0x9523]',
	0x9524 : 'Unassigned [0x9524]',
	0x9525 : 'Unassigned [0x9525]',
	0x9526 : 'Unassigned [0x9526]',
	0x9527 : 'Unassigned [0x9527]',
	0x9528 : 'Unassigned [0x9528]',
	0x9529 : 'Unassigned [0x9529]',
	0x952A : 'Unassigned [0x952A]',
	0x952B : 'Unassigned [0x952B]',
	0x952C : 'Unassigned [0x952C]',
	0x952D : 'Unassigned [0x952D]',
	0x952E : 'Unassigned [0x952E]',
	0x952F : 'Unassigned [0x952F]',
	0x9530 : 'Unassigned [0x9530]',
	0x9531 : 'Unassigned [0x9531]',
	0x9532 : 'Unassigned [0x9532]',
	0x9533 : 'Unassigned [0x9533]',
	0x9534 : 'Unassigned [0x9534]',
	0x9535 : 'Unassigned [0x9535]',
	0x9536 : 'Unassigned [0x9536]',
	0x9537 : 'Unassigned [0x9537]',
	0x9538 : 'Unassigned [0x9538]',
	0x9539 : 'Unassigned [0x9539]',
	0x953A : 'Unassigned [0x953A]',
	0x953B : 'Unassigned [0x953B]',
	0x953C : 'Unassigned [0x953C]',
	0x953D : 'Unassigned [0x953D]',
	0x953E : 'Unassigned [0x953E]',
	0x953F : 'Unassigned [0x953F]',
	0x9540 : 'Unassigned [0x9540]',
	0x9541 : 'Unassigned [0x9541]',
	0x9542 : 'Unassigned [0x9542]',
	0x9543 : 'Unassigned [0x9543]',
	0x9544 : 'Unassigned [0x9544]',
	0x9545 : 'Unassigned [0x9545]',
	0x9546 : 'Unassigned [0x9546]',
	0x9547 : 'Unassigned [0x9547]',
	0x9548 : 'Unassigned [0x9548]',
	0x9549 : 'Unassigned [0x9549]',
	0x954A : 'Unassigned [0x954A]',
	0x954B : 'Unassigned [0x954B]',
	0x954C : 'Unassigned [0x954C]',
	0x954D : 'Unassigned [0x954D]',
	0x954E : 'Unassigned [0x954E]',
	0x954F : 'Unassigned [0x954F]',
	0x9550 : 'Unassigned [0x9550]',
	0x9551 : 'Unassigned [0x9551]',
	0x9552 : 'Unassigned [0x9552]',
	0x9553 : 'Unassigned [0x9553]',
	0x9554 : 'Unassigned [0x9554]',
	0x9555 : 'Unassigned [0x9555]',
	0x9556 : 'Unassigned [0x9556]',
	0x9557 : 'Unassigned [0x9557]',
	0x9558 : 'Unassigned [0x9558]',
	0x9559 : 'Unassigned [0x9559]',
	0x955A : 'Unassigned [0x955A]',
	0x955B : 'Unassigned [0x955B]',
	0x955C : 'Unassigned [0x955C]',
	0x955D : 'Unassigned [0x955D]',
	0x955E : 'Unassigned [0x955E]',
	0x955F : 'Unassigned [0x955F]',
	0x9560 : 'Unassigned [0x9560]',
	0x9561 : 'Unassigned [0x9561]',
	0x9562 : 'Unassigned [0x9562]',
	0x9563 : 'Unassigned [0x9563]',
	0x9564 : 'Unassigned [0x9564]',
	0x9565 : 'Unassigned [0x9565]',
	0x9566 : 'Unassigned [0x9566]',
	0x9567 : 'Unassigned [0x9567]',
	0x9568 : 'Unassigned [0x9568]',
	0x9569 : 'Unassigned [0x9569]',
	0x956A : 'Unassigned [0x956A]',
	0x956B : 'Unassigned [0x956B]',
	0x956C : 'Unassigned [0x956C]',
	0x956D : 'Unassigned [0x956D]',
	0x956E : 'Unassigned [0x956E]',
	0x956F : 'Unassigned [0x956F]',
	0x9570 : 'Unassigned [0x9570]',
	0x9571 : 'Unassigned [0x9571]',
	0x9572 : 'Unassigned [0x9572]',
	0x9573 : 'Unassigned [0x9573]',
	0x9574 : 'Unassigned [0x9574]',
	0x9575 : 'Unassigned [0x9575]',
	0x9576 : 'Unassigned [0x9576]',
	0x9577 : 'Unassigned [0x9577]',
	0x9578 : 'Unassigned [0x9578]',
	0x9579 : 'Unassigned [0x9579]',
	0x957A : 'Unassigned [0x957A]',
	0x957B : 'Unassigned [0x957B]',
	0x957C : 'Unassigned [0x957C]',
	0x957D : 'Unassigned [0x957D]',
	0x957E : 'Unassigned [0x957E]',
	0x957F : 'Unassigned [0x957F]',
	0x9580 : 'Unassigned [0x9580]',
	0x9581 : 'Unassigned [0x9581]',
	0x9582 : 'Unassigned [0x9582]',
	0x9583 : 'Unassigned [0x9583]',
	0x9584 : 'Unassigned [0x9584]',
	0x9585 : 'Unassigned [0x9585]',
	0x9586 : 'Unassigned [0x9586]',
	0x9587 : 'Unassigned [0x9587]',
	0x9588 : 'Unassigned [0x9588]',
	0x9589 : 'Unassigned [0x9589]',
	0x958A : 'Unassigned [0x958A]',
	0x958B : 'Unassigned [0x958B]',
	0x958C : 'Unassigned [0x958C]',
	0x958D : 'Unassigned [0x958D]',
	0x958E : 'Unassigned [0x958E]',
	0x958F : 'Unassigned [0x958F]',
	0x9590 : 'Unassigned [0x9590]',
	0x9591 : 'Unassigned [0x9591]',
	0x9592 : 'Unassigned [0x9592]',
	0x9593 : 'Unassigned [0x9593]',
	0x9594 : 'Unassigned [0x9594]',
	0x9595 : 'Unassigned [0x9595]',
	0x9596 : 'Unassigned [0x9596]',
	0x9597 : 'Unassigned [0x9597]',
	0x9598 : 'Unassigned [0x9598]',
	0x9599 : 'Unassigned [0x9599]',
	0x959A : 'Unassigned [0x959A]',
	0x959B : 'Unassigned [0x959B]',
	0x959C : 'Unassigned [0x959C]',
	0x959D : 'Unassigned [0x959D]',
	0x959E : 'Unassigned [0x959E]',
	0x959F : 'Unassigned [0x959F]',
	0x95A0 : 'Unassigned [0x95A0]',
	0x95A1 : 'Unassigned [0x95A1]',
	0x95A2 : 'Unassigned [0x95A2]',
	0x95A3 : 'Unassigned [0x95A3]',
	0x95A4 : 'Unassigned [0x95A4]',
	0x95A5 : 'Unassigned [0x95A5]',
	0x95A6 : 'Unassigned [0x95A6]',
	0x95A7 : 'Unassigned [0x95A7]',
	0x95A8 : 'Unassigned [0x95A8]',
	0x95A9 : 'Unassigned [0x95A9]',
	0x95AA : 'Unassigned [0x95AA]',
	0x95AB : 'Unassigned [0x95AB]',
	0x95AC : 'Unassigned [0x95AC]',
	0x95AD : 'Unassigned [0x95AD]',
	0x95AE : 'Unassigned [0x95AE]',
	0x95AF : 'Unassigned [0x95AF]',
	0x95B0 : 'Unassigned [0x95B0]',
	0x95B1 : 'Unassigned [0x95B1]',
	0x95B2 : 'Unassigned [0x95B2]',
	0x95B3 : 'Unassigned [0x95B3]',
	0x95B4 : 'Unassigned [0x95B4]',
	0x95B5 : 'Unassigned [0x95B5]',
	0x95B6 : 'Unassigned [0x95B6]',
	0x95B7 : 'Unassigned [0x95B7]',
	0x95B8 : 'Unassigned [0x95B8]',
	0x95B9 : 'Unassigned [0x95B9]',
	0x95BA : 'Unassigned [0x95BA]',
	0x95BB : 'Unassigned [0x95BB]',
	0x95BC : 'Unassigned [0x95BC]',
	0x95BD : 'Unassigned [0x95BD]',
	0x95BE : 'Unassigned [0x95BE]',
	0x95BF : 'Unassigned [0x95BF]',
	0x95C0 : 'Unassigned [0x95C0]',
	0x95C1 : 'Unassigned [0x95C1]',
	0x95C2 : 'Unassigned [0x95C2]',
	0x95C3 : 'Unassigned [0x95C3]',
	0x95C4 : 'Unassigned [0x95C4]',
	0x95C5 : 'Unassigned [0x95C5]',
	0x95C6 : 'Unassigned [0x95C6]',
	0x95C7 : 'Unassigned [0x95C7]',
	0x95C8 : 'Unassigned [0x95C8]',
	0x95C9 : 'Unassigned [0x95C9]',
	0x95CA : 'Unassigned [0x95CA]',
	0x95CB : 'Unassigned [0x95CB]',
	0x95CC : 'Unassigned [0x95CC]',
	0x95CD : 'Unassigned [0x95CD]',
	0x95CE : 'Unassigned [0x95CE]',
	0x95CF : 'Unassigned [0x95CF]',
	0x95D0 : 'Unassigned [0x95D0]',
	0x95D1 : 'Unassigned [0x95D1]',
	0x95D2 : 'Unassigned [0x95D2]',
	0x95D3 : 'Unassigned [0x95D3]',
	0x95D4 : 'Unassigned [0x95D4]',
	0x95D5 : 'Unassigned [0x95D5]',
	0x95D6 : 'Unassigned [0x95D6]',
	0x95D7 : 'Unassigned [0x95D7]',
	0x95D8 : 'Unassigned [0x95D8]',
	0x95D9 : 'Unassigned [0x95D9]',
	0x95DA : 'Unassigned [0x95DA]',
	0x95DB : 'Unassigned [0x95DB]',
	0x95DC : 'Unassigned [0x95DC]',
	0x95DD : 'Unassigned [0x95DD]',
	0x95DE : 'Unassigned [0x95DE]',
	0x95DF : 'Unassigned [0x95DF]',
	0x95E0 : 'Unassigned [0x95E0]',
	0x95E1 : 'Unassigned [0x95E1]',
	0x95E2 : 'Unassigned [0x95E2]',
	0x95E3 : 'Unassigned [0x95E3]',
	0x95E4 : 'Unassigned [0x95E4]',
	0x95E5 : 'Unassigned [0x95E5]',
	0x95E6 : 'Unassigned [0x95E6]',
	0x95E7 : 'Unassigned [0x95E7]',
	0x95E8 : 'Unassigned [0x95E8]',
	0x95E9 : 'Unassigned [0x95E9]',
	0x95EA : 'Unassigned [0x95EA]',
	0x95EB : 'Unassigned [0x95EB]',
	0x95EC : 'Unassigned [0x95EC]',
	0x95ED : 'Unassigned [0x95ED]',
	0x95EE : 'Unassigned [0x95EE]',
	0x95EF : 'Unassigned [0x95EF]',
	0x95F0 : 'Unassigned [0x95F0]',
	0x95F1 : 'Unassigned [0x95F1]',
	0x95F2 : 'Unassigned [0x95F2]',
	0x95F3 : 'Unassigned [0x95F3]',
	0x95F4 : 'Unassigned [0x95F4]',
	0x95F5 : 'Unassigned [0x95F5]',
	0x95F6 : 'Unassigned [0x95F6]',
	0x95F7 : 'Unassigned [0x95F7]',
	0x95F8 : 'Unassigned [0x95F8]',
	0x95F9 : 'Unassigned [0x95F9]',
	0x95FA : 'Unassigned [0x95FA]',
	0x95FB : 'Unassigned [0x95FB]',
	0x95FC : 'Unassigned [0x95FC]',
	0x95FD : 'Unassigned [0x95FD]',
	0x95FE : 'Unassigned [0x95FE]',
	0x95FF : 'Unassigned [0x95FF]',
	0x9600 : 'Unassigned [0x9600]',
	0x9601 : 'Unassigned [0x9601]',
	0x9602 : 'Unassigned [0x9602]',
	0x9603 : 'Unassigned [0x9603]',
	0x9604 : 'Unassigned [0x9604]',
	0x9605 : 'Unassigned [0x9605]',
	0x9606 : 'Unassigned [0x9606]',
	0x9607 : 'Unassigned [0x9607]',
	0x9608 : 'Unassigned [0x9608]',
	0x9609 : 'Unassigned [0x9609]',
	0x960A : 'Unassigned [0x960A]',
	0x960B : 'Unassigned [0x960B]',
	0x960C : 'Unassigned [0x960C]',
	0x960D : 'Unassigned [0x960D]',
	0x960E : 'Unassigned [0x960E]',
	0x960F : 'Unassigned [0x960F]',
	0x9610 : 'Unassigned [0x9610]',
	0x9611 : 'Unassigned [0x9611]',
	0x9612 : 'Unassigned [0x9612]',
	0x9613 : 'Unassigned [0x9613]',
	0x9614 : 'Unassigned [0x9614]',
	0x9615 : 'Unassigned [0x9615]',
	0x9616 : 'Unassigned [0x9616]',
	0x9617 : 'Unassigned [0x9617]',
	0x9618 : 'Unassigned [0x9618]',
	0x9619 : 'Unassigned [0x9619]',
	0x961A : 'Unassigned [0x961A]',
	0x961B : 'Unassigned [0x961B]',
	0x961C : 'Unassigned [0x961C]',
	0x961D : 'Unassigned [0x961D]',
	0x961E : 'Unassigned [0x961E]',
	0x961F : 'Unassigned [0x961F]',
	0x9620 : 'Unassigned [0x9620]',
	0x9621 : 'Unassigned [0x9621]',
	0x9622 : 'Unassigned [0x9622]',
	0x9623 : 'Unassigned [0x9623]',
	0x9624 : 'Unassigned [0x9624]',
	0x9625 : 'Unassigned [0x9625]',
	0x9626 : 'Unassigned [0x9626]',
	0x9627 : 'Unassigned [0x9627]',
	0x9628 : 'Unassigned [0x9628]',
	0x9629 : 'Unassigned [0x9629]',
	0x962A : 'Unassigned [0x962A]',
	0x962B : 'Unassigned [0x962B]',
	0x962C : 'Unassigned [0x962C]',
	0x962D : 'Unassigned [0x962D]',
	0x962E : 'Unassigned [0x962E]',
	0x962F : 'Unassigned [0x962F]',
	0x9630 : 'Unassigned [0x9630]',
	0x9631 : 'Unassigned [0x9631]',
	0x9632 : 'Unassigned [0x9632]',
	0x9633 : 'Unassigned [0x9633]',
	0x9634 : 'Unassigned [0x9634]',
	0x9635 : 'Unassigned [0x9635]',
	0x9636 : 'Unassigned [0x9636]',
	0x9637 : 'Unassigned [0x9637]',
	0x9638 : 'Unassigned [0x9638]',
	0x9639 : 'Unassigned [0x9639]',
	0x963A : 'Unassigned [0x963A]',
	0x963B : 'Unassigned [0x963B]',
	0x963C : 'Unassigned [0x963C]',
	0x963D : 'Unassigned [0x963D]',
	0x963E : 'Unassigned [0x963E]',
	0x963F : 'Unassigned [0x963F]',
	0x9640 : 'Unassigned [0x9640]',
	0x9641 : 'Unassigned [0x9641]',
	0x9642 : 'Unassigned [0x9642]',
	0x9643 : 'Unassigned [0x9643]',
	0x9644 : 'Unassigned [0x9644]',
	0x9645 : 'Unassigned [0x9645]',
	0x9646 : 'Unassigned [0x9646]',
	0x9647 : 'Unassigned [0x9647]',
	0x9648 : 'Unassigned [0x9648]',
	0x9649 : 'Unassigned [0x9649]',
	0x964A : 'Unassigned [0x964A]',
	0x964B : 'Unassigned [0x964B]',
	0x964C : 'Unassigned [0x964C]',
	0x964D : 'Unassigned [0x964D]',
	0x964E : 'Unassigned [0x964E]',
	0x964F : 'Unassigned [0x964F]',
	0x9650 : 'Unassigned [0x9650]',
	0x9651 : 'Unassigned [0x9651]',
	0x9652 : 'Unassigned [0x9652]',
	0x9653 : 'Unassigned [0x9653]',
	0x9654 : 'Unassigned [0x9654]',
	0x9655 : 'Unassigned [0x9655]',
	0x9656 : 'Unassigned [0x9656]',
	0x9657 : 'Unassigned [0x9657]',
	0x9658 : 'Unassigned [0x9658]',
	0x9659 : 'Unassigned [0x9659]',
	0x965A : 'Unassigned [0x965A]',
	0x965B : 'Unassigned [0x965B]',
	0x965C : 'Unassigned [0x965C]',
	0x965D : 'Unassigned [0x965D]',
	0x965E : 'Unassigned [0x965E]',
	0x965F : 'Unassigned [0x965F]',
	0x9660 : 'Unassigned [0x9660]',
	0x9661 : 'Unassigned [0x9661]',
	0x9662 : 'Unassigned [0x9662]',
	0x9663 : 'Unassigned [0x9663]',
	0x9664 : 'Unassigned [0x9664]',
	0x9665 : 'Unassigned [0x9665]',
	0x9666 : 'Unassigned [0x9666]',
	0x9667 : 'Unassigned [0x9667]',
	0x9668 : 'Unassigned [0x9668]',
	0x9669 : 'Unassigned [0x9669]',
	0x966A : 'Unassigned [0x966A]',
	0x966B : 'Unassigned [0x966B]',
	0x966C : 'Unassigned [0x966C]',
	0x966D : 'Unassigned [0x966D]',
	0x966E : 'Unassigned [0x966E]',
	0x966F : 'Unassigned [0x966F]',
	0x9670 : 'Unassigned [0x9670]',
	0x9671 : 'Unassigned [0x9671]',
	0x9672 : 'Unassigned [0x9672]',
	0x9673 : 'Unassigned [0x9673]',
	0x9674 : 'Unassigned [0x9674]',
	0x9675 : 'Unassigned [0x9675]',
	0x9676 : 'Unassigned [0x9676]',
	0x9677 : 'Unassigned [0x9677]',
	0x9678 : 'Unassigned [0x9678]',
	0x9679 : 'Unassigned [0x9679]',
	0x967A : 'Unassigned [0x967A]',
	0x967B : 'Unassigned [0x967B]',
	0x967C : 'Unassigned [0x967C]',
	0x967D : 'Unassigned [0x967D]',
	0x967E : 'Unassigned [0x967E]',
	0x967F : 'Unassigned [0x967F]',
	0x9680 : 'Unassigned [0x9680]',
	0x9681 : 'Unassigned [0x9681]',
	0x9682 : 'Unassigned [0x9682]',
	0x9683 : 'Unassigned [0x9683]',
	0x9684 : 'Unassigned [0x9684]',
	0x9685 : 'Unassigned [0x9685]',
	0x9686 : 'Unassigned [0x9686]',
	0x9687 : 'Unassigned [0x9687]',
	0x9688 : 'Unassigned [0x9688]',
	0x9689 : 'Unassigned [0x9689]',
	0x968A : 'Unassigned [0x968A]',
	0x968B : 'Unassigned [0x968B]',
	0x968C : 'Unassigned [0x968C]',
	0x968D : 'Unassigned [0x968D]',
	0x968E : 'Unassigned [0x968E]',
	0x968F : 'Unassigned [0x968F]',
	0x9690 : 'Unassigned [0x9690]',
	0x9691 : 'Unassigned [0x9691]',
	0x9692 : 'Unassigned [0x9692]',
	0x9693 : 'Unassigned [0x9693]',
	0x9694 : 'Unassigned [0x9694]',
	0x9695 : 'Unassigned [0x9695]',
	0x9696 : 'Unassigned [0x9696]',
	0x9697 : 'Unassigned [0x9697]',
	0x9698 : 'Unassigned [0x9698]',
	0x9699 : 'Unassigned [0x9699]',
	0x969A : 'Unassigned [0x969A]',
	0x969B : 'Unassigned [0x969B]',
	0x969C : 'Unassigned [0x969C]',
	0x969D : 'Unassigned [0x969D]',
	0x969E : 'Unassigned [0x969E]',
	0x969F : 'Unassigned [0x969F]',
	0x96A0 : 'Unassigned [0x96A0]',
	0x96A1 : 'Unassigned [0x96A1]',
	0x96A2 : 'Unassigned [0x96A2]',
	0x96A3 : 'Unassigned [0x96A3]',
	0x96A4 : 'Unassigned [0x96A4]',
	0x96A5 : 'Unassigned [0x96A5]',
	0x96A6 : 'Unassigned [0x96A6]',
	0x96A7 : 'Unassigned [0x96A7]',
	0x96A8 : 'Unassigned [0x96A8]',
	0x96A9 : 'Unassigned [0x96A9]',
	0x96AA : 'Unassigned [0x96AA]',
	0x96AB : 'Unassigned [0x96AB]',
	0x96AC : 'Unassigned [0x96AC]',
	0x96AD : 'Unassigned [0x96AD]',
	0x96AE : 'Unassigned [0x96AE]',
	0x96AF : 'Unassigned [0x96AF]',
	0x96B0 : 'Unassigned [0x96B0]',
	0x96B1 : 'Unassigned [0x96B1]',
	0x96B2 : 'Unassigned [0x96B2]',
	0x96B3 : 'Unassigned [0x96B3]',
	0x96B4 : 'Unassigned [0x96B4]',
	0x96B5 : 'Unassigned [0x96B5]',
	0x96B6 : 'Unassigned [0x96B6]',
	0x96B7 : 'Unassigned [0x96B7]',
	0x96B8 : 'Unassigned [0x96B8]',
	0x96B9 : 'Unassigned [0x96B9]',
	0x96BA : 'Unassigned [0x96BA]',
	0x96BB : 'Unassigned [0x96BB]',
	0x96BC : 'Unassigned [0x96BC]',
	0x96BD : 'Unassigned [0x96BD]',
	0x96BE : 'Unassigned [0x96BE]',
	0x96BF : 'Unassigned [0x96BF]',
	0x96C0 : 'Unassigned [0x96C0]',
	0x96C1 : 'Unassigned [0x96C1]',
	0x96C2 : 'Unassigned [0x96C2]',
	0x96C3 : 'Unassigned [0x96C3]',
	0x96C4 : 'Unassigned [0x96C4]',
	0x96C5 : 'Unassigned [0x96C5]',
	0x96C6 : 'Unassigned [0x96C6]',
	0x96C7 : 'Unassigned [0x96C7]',
	0x96C8 : 'Unassigned [0x96C8]',
	0x96C9 : 'Unassigned [0x96C9]',
	0x96CA : 'Unassigned [0x96CA]',
	0x96CB : 'Unassigned [0x96CB]',
	0x96CC : 'Unassigned [0x96CC]',
	0x96CD : 'Unassigned [0x96CD]',
	0x96CE : 'Unassigned [0x96CE]',
	0x96CF : 'Unassigned [0x96CF]',
	0x96D0 : 'Unassigned [0x96D0]',
	0x96D1 : 'Unassigned [0x96D1]',
	0x96D2 : 'Unassigned [0x96D2]',
	0x96D3 : 'Unassigned [0x96D3]',
	0x96D4 : 'Unassigned [0x96D4]',
	0x96D5 : 'Unassigned [0x96D5]',
	0x96D6 : 'Unassigned [0x96D6]',
	0x96D7 : 'Unassigned [0x96D7]',
	0x96D8 : 'Unassigned [0x96D8]',
	0x96D9 : 'Unassigned [0x96D9]',
	0x96DA : 'Unassigned [0x96DA]',
	0x96DB : 'Unassigned [0x96DB]',
	0x96DC : 'Unassigned [0x96DC]',
	0x96DD : 'Unassigned [0x96DD]',
	0x96DE : 'Unassigned [0x96DE]',
	0x96DF : 'Unassigned [0x96DF]',
	0x96E0 : 'Unassigned [0x96E0]',
	0x96E1 : 'Unassigned [0x96E1]',
	0x96E2 : 'Unassigned [0x96E2]',
	0x96E3 : 'Unassigned [0x96E3]',
	0x96E4 : 'Unassigned [0x96E4]',
	0x96E5 : 'Unassigned [0x96E5]',
	0x96E6 : 'Unassigned [0x96E6]',
	0x96E7 : 'Unassigned [0x96E7]',
	0x96E8 : 'Unassigned [0x96E8]',
	0x96E9 : 'Unassigned [0x96E9]',
	0x96EA : 'Unassigned [0x96EA]',
	0x96EB : 'Unassigned [0x96EB]',
	0x96EC : 'Unassigned [0x96EC]',
	0x96ED : 'Unassigned [0x96ED]',
	0x96EE : 'Unassigned [0x96EE]',
	0x96EF : 'Unassigned [0x96EF]',
	0x96F0 : 'Unassigned [0x96F0]',
	0x96F1 : 'Unassigned [0x96F1]',
	0x96F2 : 'Unassigned [0x96F2]',
	0x96F3 : 'Unassigned [0x96F3]',
	0x96F4 : 'Unassigned [0x96F4]',
	0x96F5 : 'Unassigned [0x96F5]',
	0x96F6 : 'Unassigned [0x96F6]',
	0x96F7 : 'Unassigned [0x96F7]',
	0x96F8 : 'Unassigned [0x96F8]',
	0x96F9 : 'Unassigned [0x96F9]',
	0x96FA : 'Unassigned [0x96FA]',
	0x96FB : 'Unassigned [0x96FB]',
	0x96FC : 'Unassigned [0x96FC]',
	0x96FD : 'Unassigned [0x96FD]',
	0x96FE : 'Unassigned [0x96FE]',
	0x96FF : 'Unassigned [0x96FF]',
	0x9700 : 'Unassigned [0x9700]',
	0x9701 : 'Unassigned [0x9701]',
	0x9702 : 'Unassigned [0x9702]',
	0x9703 : 'Unassigned [0x9703]',
	0x9704 : 'Unassigned [0x9704]',
	0x9705 : 'Unassigned [0x9705]',
	0x9706 : 'Unassigned [0x9706]',
	0x9707 : 'Unassigned [0x9707]',
	0x9708 : 'Unassigned [0x9708]',
	0x9709 : 'Unassigned [0x9709]',
	0x970A : 'Unassigned [0x970A]',
	0x970B : 'Unassigned [0x970B]',
	0x970C : 'Unassigned [0x970C]',
	0x970D : 'Unassigned [0x970D]',
	0x970E : 'Unassigned [0x970E]',
	0x970F : 'Unassigned [0x970F]',
	0x9710 : 'Unassigned [0x9710]',
	0x9711 : 'Unassigned [0x9711]',
	0x9712 : 'Unassigned [0x9712]',
	0x9713 : 'Unassigned [0x9713]',
	0x9714 : 'Unassigned [0x9714]',
	0x9715 : 'Unassigned [0x9715]',
	0x9716 : 'Unassigned [0x9716]',
	0x9717 : 'Unassigned [0x9717]',
	0x9718 : 'Unassigned [0x9718]',
	0x9719 : 'Unassigned [0x9719]',
	0x971A : 'Unassigned [0x971A]',
	0x971B : 'Unassigned [0x971B]',
	0x971C : 'Unassigned [0x971C]',
	0x971D : 'Unassigned [0x971D]',
	0x971E : 'Unassigned [0x971E]',
	0x971F : 'Unassigned [0x971F]',
	0x9720 : 'Unassigned [0x9720]',
	0x9721 : 'Unassigned [0x9721]',
	0x9722 : 'Unassigned [0x9722]',
	0x9723 : 'Unassigned [0x9723]',
	0x9724 : 'Unassigned [0x9724]',
	0x9725 : 'Unassigned [0x9725]',
	0x9726 : 'Unassigned [0x9726]',
	0x9727 : 'Unassigned [0x9727]',
	0x9728 : 'Unassigned [0x9728]',
	0x9729 : 'Unassigned [0x9729]',
	0x972A : 'Unassigned [0x972A]',
	0x972B : 'Unassigned [0x972B]',
	0x972C : 'Unassigned [0x972C]',
	0x972D : 'Unassigned [0x972D]',
	0x972E : 'Unassigned [0x972E]',
	0x972F : 'Unassigned [0x972F]',
	0x9730 : 'Unassigned [0x9730]',
	0x9731 : 'Unassigned [0x9731]',
	0x9732 : 'Unassigned [0x9732]',
	0x9733 : 'Unassigned [0x9733]',
	0x9734 : 'Unassigned [0x9734]',
	0x9735 : 'Unassigned [0x9735]',
	0x9736 : 'Unassigned [0x9736]',
	0x9737 : 'Unassigned [0x9737]',
	0x9738 : 'Unassigned [0x9738]',
	0x9739 : 'Unassigned [0x9739]',
	0x973A : 'Unassigned [0x973A]',
	0x973B : 'Unassigned [0x973B]',
	0x973C : 'Unassigned [0x973C]',
	0x973D : 'Unassigned [0x973D]',
	0x973E : 'Unassigned [0x973E]',
	0x973F : 'Unassigned [0x973F]',
	0x9740 : 'Unassigned [0x9740]',
	0x9741 : 'Unassigned [0x9741]',
	0x9742 : 'Unassigned [0x9742]',
	0x9743 : 'Unassigned [0x9743]',
	0x9744 : 'Unassigned [0x9744]',
	0x9745 : 'Unassigned [0x9745]',
	0x9746 : 'Unassigned [0x9746]',
	0x9747 : 'Unassigned [0x9747]',
	0x9748 : 'Unassigned [0x9748]',
	0x9749 : 'Unassigned [0x9749]',
	0x974A : 'Unassigned [0x974A]',
	0x974B : 'Unassigned [0x974B]',
	0x974C : 'Unassigned [0x974C]',
	0x974D : 'Unassigned [0x974D]',
	0x974E : 'Unassigned [0x974E]',
	0x974F : 'Unassigned [0x974F]',
	0x9750 : 'Unassigned [0x9750]',
	0x9751 : 'Unassigned [0x9751]',
	0x9752 : 'Unassigned [0x9752]',
	0x9753 : 'Unassigned [0x9753]',
	0x9754 : 'Unassigned [0x9754]',
	0x9755 : 'Unassigned [0x9755]',
	0x9756 : 'Unassigned [0x9756]',
	0x9757 : 'Unassigned [0x9757]',
	0x9758 : 'Unassigned [0x9758]',
	0x9759 : 'Unassigned [0x9759]',
	0x975A : 'Unassigned [0x975A]',
	0x975B : 'Unassigned [0x975B]',
	0x975C : 'Unassigned [0x975C]',
	0x975D : 'Unassigned [0x975D]',
	0x975E : 'Unassigned [0x975E]',
	0x975F : 'Unassigned [0x975F]',
	0x9760 : 'Unassigned [0x9760]',
	0x9761 : 'Unassigned [0x9761]',
	0x9762 : 'Unassigned [0x9762]',
	0x9763 : 'Unassigned [0x9763]',
	0x9764 : 'Unassigned [0x9764]',
	0x9765 : 'Unassigned [0x9765]',
	0x9766 : 'Unassigned [0x9766]',
	0x9767 : 'Unassigned [0x9767]',
	0x9768 : 'Unassigned [0x9768]',
	0x9769 : 'Unassigned [0x9769]',
	0x976A : 'Unassigned [0x976A]',
	0x976B : 'Unassigned [0x976B]',
	0x976C : 'Unassigned [0x976C]',
	0x976D : 'Unassigned [0x976D]',
	0x976E : 'Unassigned [0x976E]',
	0x976F : 'Unassigned [0x976F]',
	0x9770 : 'Unassigned [0x9770]',
	0x9771 : 'Unassigned [0x9771]',
	0x9772 : 'Unassigned [0x9772]',
	0x9773 : 'Unassigned [0x9773]',
	0x9774 : 'Unassigned [0x9774]',
	0x9775 : 'Unassigned [0x9775]',
	0x9776 : 'Unassigned [0x9776]',
	0x9777 : 'Unassigned [0x9777]',
	0x9778 : 'Unassigned [0x9778]',
	0x9779 : 'Unassigned [0x9779]',
	0x977A : 'Unassigned [0x977A]',
	0x977B : 'Unassigned [0x977B]',
	0x977C : 'Unassigned [0x977C]',
	0x977D : 'Unassigned [0x977D]',
	0x977E : 'Unassigned [0x977E]',
	0x977F : 'Unassigned [0x977F]',
	0x9780 : 'Unassigned [0x9780]',
	0x9781 : 'Unassigned [0x9781]',
	0x9782 : 'Unassigned [0x9782]',
	0x9783 : 'Unassigned [0x9783]',
	0x9784 : 'Unassigned [0x9784]',
	0x9785 : 'Unassigned [0x9785]',
	0x9786 : 'Unassigned [0x9786]',
	0x9787 : 'Unassigned [0x9787]',
	0x9788 : 'Unassigned [0x9788]',
	0x9789 : 'Unassigned [0x9789]',
	0x978A : 'Unassigned [0x978A]',
	0x978B : 'Unassigned [0x978B]',
	0x978C : 'Unassigned [0x978C]',
	0x978D : 'Unassigned [0x978D]',
	0x978E : 'Unassigned [0x978E]',
	0x978F : 'Unassigned [0x978F]',
	0x9790 : 'Unassigned [0x9790]',
	0x9791 : 'Unassigned [0x9791]',
	0x9792 : 'Unassigned [0x9792]',
	0x9793 : 'Unassigned [0x9793]',
	0x9794 : 'Unassigned [0x9794]',
	0x9795 : 'Unassigned [0x9795]',
	0x9796 : 'Unassigned [0x9796]',
	0x9797 : 'Unassigned [0x9797]',
	0x9798 : 'Unassigned [0x9798]',
	0x9799 : 'Unassigned [0x9799]',
	0x979A : 'Unassigned [0x979A]',
	0x979B : 'Unassigned [0x979B]',
	0x979C : 'Unassigned [0x979C]',
	0x979D : 'Unassigned [0x979D]',
	0x979E : 'Unassigned [0x979E]',
	0x979F : 'Unassigned [0x979F]',
	0x97A0 : 'Unassigned [0x97A0]',
	0x97A1 : 'Unassigned [0x97A1]',
	0x97A2 : 'Unassigned [0x97A2]',
	0x97A3 : 'Unassigned [0x97A3]',
	0x97A4 : 'Unassigned [0x97A4]',
	0x97A5 : 'Unassigned [0x97A5]',
	0x97A6 : 'Unassigned [0x97A6]',
	0x97A7 : 'Unassigned [0x97A7]',
	0x97A8 : 'Unassigned [0x97A8]',
	0x97A9 : 'Unassigned [0x97A9]',
	0x97AA : 'Unassigned [0x97AA]',
	0x97AB : 'Unassigned [0x97AB]',
	0x97AC : 'Unassigned [0x97AC]',
	0x97AD : 'Unassigned [0x97AD]',
	0x97AE : 'Unassigned [0x97AE]',
	0x97AF : 'Unassigned [0x97AF]',
	0x97B0 : 'Unassigned [0x97B0]',
	0x97B1 : 'Unassigned [0x97B1]',
	0x97B2 : 'Unassigned [0x97B2]',
	0x97B3 : 'Unassigned [0x97B3]',
	0x97B4 : 'Unassigned [0x97B4]',
	0x97B5 : 'Unassigned [0x97B5]',
	0x97B6 : 'Unassigned [0x97B6]',
	0x97B7 : 'Unassigned [0x97B7]',
	0x97B8 : 'Unassigned [0x97B8]',
	0x97B9 : 'Unassigned [0x97B9]',
	0x97BA : 'Unassigned [0x97BA]',
	0x97BB : 'Unassigned [0x97BB]',
	0x97BC : 'Unassigned [0x97BC]',
	0x97BD : 'Unassigned [0x97BD]',
	0x97BE : 'Unassigned [0x97BE]',
	0x97BF : 'Unassigned [0x97BF]',
	0x97C0 : 'Unassigned [0x97C0]',
	0x97C1 : 'Unassigned [0x97C1]',
	0x97C2 : 'Unassigned [0x97C2]',
	0x97C3 : 'Unassigned [0x97C3]',
	0x97C4 : 'Unassigned [0x97C4]',
	0x97C5 : 'Unassigned [0x97C5]',
	0x97C6 : 'Unassigned [0x97C6]',
	0x97C7 : 'Unassigned [0x97C7]',
	0x97C8 : 'Unassigned [0x97C8]',
	0x97C9 : 'Unassigned [0x97C9]',
	0x97CA : 'Unassigned [0x97CA]',
	0x97CB : 'Unassigned [0x97CB]',
	0x97CC : 'Unassigned [0x97CC]',
	0x97CD : 'Unassigned [0x97CD]',
	0x97CE : 'Unassigned [0x97CE]',
	0x97CF : 'Unassigned [0x97CF]',
	0x97D0 : 'Unassigned [0x97D0]',
	0x97D1 : 'Unassigned [0x97D1]',
	0x97D2 : 'Unassigned [0x97D2]',
	0x97D3 : 'Unassigned [0x97D3]',
	0x97D4 : 'Unassigned [0x97D4]',
	0x97D5 : 'Unassigned [0x97D5]',
	0x97D6 : 'Unassigned [0x97D6]',
	0x97D7 : 'Unassigned [0x97D7]',
	0x97D8 : 'Unassigned [0x97D8]',
	0x97D9 : 'Unassigned [0x97D9]',
	0x97DA : 'Unassigned [0x97DA]',
	0x97DB : 'Unassigned [0x97DB]',
	0x97DC : 'Unassigned [0x97DC]',
	0x97DD : 'Unassigned [0x97DD]',
	0x97DE : 'Unassigned [0x97DE]',
	0x97DF : 'Unassigned [0x97DF]',
	0x97E0 : 'Unassigned [0x97E0]',
	0x97E1 : 'Unassigned [0x97E1]',
	0x97E2 : 'Unassigned [0x97E2]',
	0x97E3 : 'Unassigned [0x97E3]',
	0x97E4 : 'Unassigned [0x97E4]',
	0x97E5 : 'Unassigned [0x97E5]',
	0x97E6 : 'Unassigned [0x97E6]',
	0x97E7 : 'Unassigned [0x97E7]',
	0x97E8 : 'Unassigned [0x97E8]',
	0x97E9 : 'Unassigned [0x97E9]',
	0x97EA : 'Unassigned [0x97EA]',
	0x97EB : 'Unassigned [0x97EB]',
	0x97EC : 'Unassigned [0x97EC]',
	0x97ED : 'Unassigned [0x97ED]',
	0x97EE : 'Unassigned [0x97EE]',
	0x97EF : 'Unassigned [0x97EF]',
	0x97F0 : 'Unassigned [0x97F0]',
	0x97F1 : 'Unassigned [0x97F1]',
	0x97F2 : 'Unassigned [0x97F2]',
	0x97F3 : 'Unassigned [0x97F3]',
	0x97F4 : 'Unassigned [0x97F4]',
	0x97F5 : 'Unassigned [0x97F5]',
	0x97F6 : 'Unassigned [0x97F6]',
	0x97F7 : 'Unassigned [0x97F7]',
	0x97F8 : 'Unassigned [0x97F8]',
	0x97F9 : 'Unassigned [0x97F9]',
	0x97FA : 'Unassigned [0x97FA]',
	0x97FB : 'Unassigned [0x97FB]',
	0x97FC : 'Unassigned [0x97FC]',
	0x97FD : 'Unassigned [0x97FD]',
	0x97FE : 'Unassigned [0x97FE]',
	0x97FF : 'Unassigned [0x97FF]',
	0x9800 : 'Unassigned [0x9800]',
	0x9801 : 'Unassigned [0x9801]',
	0x9802 : 'Unassigned [0x9802]',
	0x9803 : 'Unassigned [0x9803]',
	0x9804 : 'Unassigned [0x9804]',
	0x9805 : 'Unassigned [0x9805]',
	0x9806 : 'Unassigned [0x9806]',
	0x9807 : 'Unassigned [0x9807]',
	0x9808 : 'Unassigned [0x9808]',
	0x9809 : 'Unassigned [0x9809]',
	0x980A : 'Unassigned [0x980A]',
	0x980B : 'Unassigned [0x980B]',
	0x980C : 'Unassigned [0x980C]',
	0x980D : 'Unassigned [0x980D]',
	0x980E : 'Unassigned [0x980E]',
	0x980F : 'Unassigned [0x980F]',
	0x9810 : 'Unassigned [0x9810]',
	0x9811 : 'Unassigned [0x9811]',
	0x9812 : 'Unassigned [0x9812]',
	0x9813 : 'Unassigned [0x9813]',
	0x9814 : 'Unassigned [0x9814]',
	0x9815 : 'Unassigned [0x9815]',
	0x9816 : 'Unassigned [0x9816]',
	0x9817 : 'Unassigned [0x9817]',
	0x9818 : 'Unassigned [0x9818]',
	0x9819 : 'Unassigned [0x9819]',
	0x981A : 'Unassigned [0x981A]',
	0x981B : 'Unassigned [0x981B]',
	0x981C : 'Unassigned [0x981C]',
	0x981D : 'Unassigned [0x981D]',
	0x981E : 'Unassigned [0x981E]',
	0x981F : 'Unassigned [0x981F]',
	0x9820 : 'Unassigned [0x9820]',
	0x9821 : 'Unassigned [0x9821]',
	0x9822 : 'Unassigned [0x9822]',
	0x9823 : 'Unassigned [0x9823]',
	0x9824 : 'Unassigned [0x9824]',
	0x9825 : 'Unassigned [0x9825]',
	0x9826 : 'Unassigned [0x9826]',
	0x9827 : 'Unassigned [0x9827]',
	0x9828 : 'Unassigned [0x9828]',
	0x9829 : 'Unassigned [0x9829]',
	0x982A : 'Unassigned [0x982A]',
	0x982B : 'Unassigned [0x982B]',
	0x982C : 'Unassigned [0x982C]',
	0x982D : 'Unassigned [0x982D]',
	0x982E : 'Unassigned [0x982E]',
	0x982F : 'Unassigned [0x982F]',
	0x9830 : 'Unassigned [0x9830]',
	0x9831 : 'Unassigned [0x9831]',
	0x9832 : 'Unassigned [0x9832]',
	0x9833 : 'Unassigned [0x9833]',
	0x9834 : 'Unassigned [0x9834]',
	0x9835 : 'Unassigned [0x9835]',
	0x9836 : 'Unassigned [0x9836]',
	0x9837 : 'Unassigned [0x9837]',
	0x9838 : 'Unassigned [0x9838]',
	0x9839 : 'Unassigned [0x9839]',
	0x983A : 'Unassigned [0x983A]',
	0x983B : 'Unassigned [0x983B]',
	0x983C : 'Unassigned [0x983C]',
	0x983D : 'Unassigned [0x983D]',
	0x983E : 'Unassigned [0x983E]',
	0x983F : 'Unassigned [0x983F]',
	0x9840 : 'Unassigned [0x9840]',
	0x9841 : 'Unassigned [0x9841]',
	0x9842 : 'Unassigned [0x9842]',
	0x9843 : 'Unassigned [0x9843]',
	0x9844 : 'Unassigned [0x9844]',
	0x9845 : 'Unassigned [0x9845]',
	0x9846 : 'Unassigned [0x9846]',
	0x9847 : 'Unassigned [0x9847]',
	0x9848 : 'Unassigned [0x9848]',
	0x9849 : 'Unassigned [0x9849]',
	0x984A : 'Unassigned [0x984A]',
	0x984B : 'Unassigned [0x984B]',
	0x984C : 'Unassigned [0x984C]',
	0x984D : 'Unassigned [0x984D]',
	0x984E : 'Unassigned [0x984E]',
	0x984F : 'Unassigned [0x984F]',
	0x9850 : 'Unassigned [0x9850]',
	0x9851 : 'Unassigned [0x9851]',
	0x9852 : 'Unassigned [0x9852]',
	0x9853 : 'Unassigned [0x9853]',
	0x9854 : 'Unassigned [0x9854]',
	0x9855 : 'Unassigned [0x9855]',
	0x9856 : 'Unassigned [0x9856]',
	0x9857 : 'Unassigned [0x9857]',
	0x9858 : 'Unassigned [0x9858]',
	0x9859 : 'Unassigned [0x9859]',
	0x985A : 'Unassigned [0x985A]',
	0x985B : 'Unassigned [0x985B]',
	0x985C : 'Unassigned [0x985C]',
	0x985D : 'Unassigned [0x985D]',
	0x985E : 'Unassigned [0x985E]',
	0x985F : 'Unassigned [0x985F]',
	0x9860 : 'Unassigned [0x9860]',
	0x9861 : 'Unassigned [0x9861]',
	0x9862 : 'Unassigned [0x9862]',
	0x9863 : 'Unassigned [0x9863]',
	0x9864 : 'Unassigned [0x9864]',
	0x9865 : 'Unassigned [0x9865]',
	0x9866 : 'Unassigned [0x9866]',
	0x9867 : 'Unassigned [0x9867]',
	0x9868 : 'Unassigned [0x9868]',
	0x9869 : 'Unassigned [0x9869]',
	0x986A : 'Unassigned [0x986A]',
	0x986B : 'Unassigned [0x986B]',
	0x986C : 'Unassigned [0x986C]',
	0x986D : 'Unassigned [0x986D]',
	0x986E : 'Unassigned [0x986E]',
	0x986F : 'Unassigned [0x986F]',
	0x9870 : 'Unassigned [0x9870]',
	0x9871 : 'Unassigned [0x9871]',
	0x9872 : 'Unassigned [0x9872]',
	0x9873 : 'Unassigned [0x9873]',
	0x9874 : 'Unassigned [0x9874]',
	0x9875 : 'Unassigned [0x9875]',
	0x9876 : 'Unassigned [0x9876]',
	0x9877 : 'Unassigned [0x9877]',
	0x9878 : 'Unassigned [0x9878]',
	0x9879 : 'Unassigned [0x9879]',
	0x987A : 'Unassigned [0x987A]',
	0x987B : 'Unassigned [0x987B]',
	0x987C : 'Unassigned [0x987C]',
	0x987D : 'Unassigned [0x987D]',
	0x987E : 'Unassigned [0x987E]',
	0x987F : 'Unassigned [0x987F]',
	0x9880 : 'Unassigned [0x9880]',
	0x9881 : 'Unassigned [0x9881]',
	0x9882 : 'Unassigned [0x9882]',
	0x9883 : 'Unassigned [0x9883]',
	0x9884 : 'Unassigned [0x9884]',
	0x9885 : 'Unassigned [0x9885]',
	0x9886 : 'Unassigned [0x9886]',
	0x9887 : 'Unassigned [0x9887]',
	0x9888 : 'Unassigned [0x9888]',
	0x9889 : 'Unassigned [0x9889]',
	0x988A : 'Unassigned [0x988A]',
	0x988B : 'Unassigned [0x988B]',
	0x988C : 'Unassigned [0x988C]',
	0x988D : 'Unassigned [0x988D]',
	0x988E : 'Unassigned [0x988E]',
	0x988F : 'Unassigned [0x988F]',
	0x9890 : 'Unassigned [0x9890]',
	0x9891 : 'Unassigned [0x9891]',
	0x9892 : 'Unassigned [0x9892]',
	0x9893 : 'Unassigned [0x9893]',
	0x9894 : 'Unassigned [0x9894]',
	0x9895 : 'Unassigned [0x9895]',
	0x9896 : 'Unassigned [0x9896]',
	0x9897 : 'Unassigned [0x9897]',
	0x9898 : 'Unassigned [0x9898]',
	0x9899 : 'Unassigned [0x9899]',
	0x989A : 'Unassigned [0x989A]',
	0x989B : 'Unassigned [0x989B]',
	0x989C : 'Unassigned [0x989C]',
	0x989D : 'Unassigned [0x989D]',
	0x989E : 'Unassigned [0x989E]',
	0x989F : 'Unassigned [0x989F]',
	0x98A0 : 'Unassigned [0x98A0]',
	0x98A1 : 'Unassigned [0x98A1]',
	0x98A2 : 'Unassigned [0x98A2]',
	0x98A3 : 'Unassigned [0x98A3]',
	0x98A4 : 'Unassigned [0x98A4]',
	0x98A5 : 'Unassigned [0x98A5]',
	0x98A6 : 'Unassigned [0x98A6]',
	0x98A7 : 'Unassigned [0x98A7]',
	0x98A8 : 'Unassigned [0x98A8]',
	0x98A9 : 'Unassigned [0x98A9]',
	0x98AA : 'Unassigned [0x98AA]',
	0x98AB : 'Unassigned [0x98AB]',
	0x98AC : 'Unassigned [0x98AC]',
	0x98AD : 'Unassigned [0x98AD]',
	0x98AE : 'Unassigned [0x98AE]',
	0x98AF : 'Unassigned [0x98AF]',
	0x98B0 : 'Unassigned [0x98B0]',
	0x98B1 : 'Unassigned [0x98B1]',
	0x98B2 : 'Unassigned [0x98B2]',
	0x98B3 : 'Unassigned [0x98B3]',
	0x98B4 : 'Unassigned [0x98B4]',
	0x98B5 : 'Unassigned [0x98B5]',
	0x98B6 : 'Unassigned [0x98B6]',
	0x98B7 : 'Unassigned [0x98B7]',
	0x98B8 : 'Unassigned [0x98B8]',
	0x98B9 : 'Unassigned [0x98B9]',
	0x98BA : 'Unassigned [0x98BA]',
	0x98BB : 'Unassigned [0x98BB]',
	0x98BC : 'Unassigned [0x98BC]',
	0x98BD : 'Unassigned [0x98BD]',
	0x98BE : 'Unassigned [0x98BE]',
	0x98BF : 'Unassigned [0x98BF]',
	0x98C0 : 'Unassigned [0x98C0]',
	0x98C1 : 'Unassigned [0x98C1]',
	0x98C2 : 'Unassigned [0x98C2]',
	0x98C3 : 'Unassigned [0x98C3]',
	0x98C4 : 'Unassigned [0x98C4]',
	0x98C5 : 'Unassigned [0x98C5]',
	0x98C6 : 'Unassigned [0x98C6]',
	0x98C7 : 'Unassigned [0x98C7]',
	0x98C8 : 'Unassigned [0x98C8]',
	0x98C9 : 'Unassigned [0x98C9]',
	0x98CA : 'Unassigned [0x98CA]',
	0x98CB : 'Unassigned [0x98CB]',
	0x98CC : 'Unassigned [0x98CC]',
	0x98CD : 'Unassigned [0x98CD]',
	0x98CE : 'Unassigned [0x98CE]',
	0x98CF : 'Unassigned [0x98CF]',
	0x98D0 : 'Unassigned [0x98D0]',
	0x98D1 : 'Unassigned [0x98D1]',
	0x98D2 : 'Unassigned [0x98D2]',
	0x98D3 : 'Unassigned [0x98D3]',
	0x98D4 : 'Unassigned [0x98D4]',
	0x98D5 : 'Unassigned [0x98D5]',
	0x98D6 : 'Unassigned [0x98D6]',
	0x98D7 : 'Unassigned [0x98D7]',
	0x98D8 : 'Unassigned [0x98D8]',
	0x98D9 : 'Unassigned [0x98D9]',
	0x98DA : 'Unassigned [0x98DA]',
	0x98DB : 'Unassigned [0x98DB]',
	0x98DC : 'Unassigned [0x98DC]',
	0x98DD : 'Unassigned [0x98DD]',
	0x98DE : 'Unassigned [0x98DE]',
	0x98DF : 'Unassigned [0x98DF]',
	0x98E0 : 'Unassigned [0x98E0]',
	0x98E1 : 'Unassigned [0x98E1]',
	0x98E2 : 'Unassigned [0x98E2]',
	0x98E3 : 'Unassigned [0x98E3]',
	0x98E4 : 'Unassigned [0x98E4]',
	0x98E5 : 'Unassigned [0x98E5]',
	0x98E6 : 'Unassigned [0x98E6]',
	0x98E7 : 'Unassigned [0x98E7]',
	0x98E8 : 'Unassigned [0x98E8]',
	0x98E9 : 'Unassigned [0x98E9]',
	0x98EA : 'Unassigned [0x98EA]',
	0x98EB : 'Unassigned [0x98EB]',
	0x98EC : 'Unassigned [0x98EC]',
	0x98ED : 'Unassigned [0x98ED]',
	0x98EE : 'Unassigned [0x98EE]',
	0x98EF : 'Unassigned [0x98EF]',
	0x98F0 : 'Unassigned [0x98F0]',
	0x98F1 : 'Unassigned [0x98F1]',
	0x98F2 : 'Unassigned [0x98F2]',
	0x98F3 : 'Unassigned [0x98F3]',
	0x98F4 : 'Unassigned [0x98F4]',
	0x98F5 : 'Unassigned [0x98F5]',
	0x98F6 : 'Unassigned [0x98F6]',
	0x98F7 : 'Unassigned [0x98F7]',
	0x98F8 : 'Unassigned [0x98F8]',
	0x98F9 : 'Unassigned [0x98F9]',
	0x98FA : 'Unassigned [0x98FA]',
	0x98FB : 'Unassigned [0x98FB]',
	0x98FC : 'Unassigned [0x98FC]',
	0x98FD : 'Unassigned [0x98FD]',
	0x98FE : 'Unassigned [0x98FE]',
	0x98FF : 'Unassigned [0x98FF]',
	0x9900 : 'Unassigned [0x9900]',
	0x9901 : 'Unassigned [0x9901]',
	0x9902 : 'Unassigned [0x9902]',
	0x9903 : 'Unassigned [0x9903]',
	0x9904 : 'Unassigned [0x9904]',
	0x9905 : 'Unassigned [0x9905]',
	0x9906 : 'Unassigned [0x9906]',
	0x9907 : 'Unassigned [0x9907]',
	0x9908 : 'Unassigned [0x9908]',
	0x9909 : 'Unassigned [0x9909]',
	0x990A : 'Unassigned [0x990A]',
	0x990B : 'Unassigned [0x990B]',
	0x990C : 'Unassigned [0x990C]',
	0x990D : 'Unassigned [0x990D]',
	0x990E : 'Unassigned [0x990E]',
	0x990F : 'Unassigned [0x990F]',
	0x9910 : 'Unassigned [0x9910]',
	0x9911 : 'Unassigned [0x9911]',
	0x9912 : 'Unassigned [0x9912]',
	0x9913 : 'Unassigned [0x9913]',
	0x9914 : 'Unassigned [0x9914]',
	0x9915 : 'Unassigned [0x9915]',
	0x9916 : 'Unassigned [0x9916]',
	0x9917 : 'Unassigned [0x9917]',
	0x9918 : 'Unassigned [0x9918]',
	0x9919 : 'Unassigned [0x9919]',
	0x991A : 'Unassigned [0x991A]',
	0x991B : 'Unassigned [0x991B]',
	0x991C : 'Unassigned [0x991C]',
	0x991D : 'Unassigned [0x991D]',
	0x991E : 'Unassigned [0x991E]',
	0x991F : 'Unassigned [0x991F]',
	0x9920 : 'Unassigned [0x9920]',
	0x9921 : 'Unassigned [0x9921]',
	0x9922 : 'Unassigned [0x9922]',
	0x9923 : 'Unassigned [0x9923]',
	0x9924 : 'Unassigned [0x9924]',
	0x9925 : 'Unassigned [0x9925]',
	0x9926 : 'Unassigned [0x9926]',
	0x9927 : 'Unassigned [0x9927]',
	0x9928 : 'Unassigned [0x9928]',
	0x9929 : 'Unassigned [0x9929]',
	0x992A : 'Unassigned [0x992A]',
	0x992B : 'Unassigned [0x992B]',
	0x992C : 'Unassigned [0x992C]',
	0x992D : 'Unassigned [0x992D]',
	0x992E : 'Unassigned [0x992E]',
	0x992F : 'Unassigned [0x992F]',
	0x9930 : 'Unassigned [0x9930]',
	0x9931 : 'Unassigned [0x9931]',
	0x9932 : 'Unassigned [0x9932]',
	0x9933 : 'Unassigned [0x9933]',
	0x9934 : 'Unassigned [0x9934]',
	0x9935 : 'Unassigned [0x9935]',
	0x9936 : 'Unassigned [0x9936]',
	0x9937 : 'Unassigned [0x9937]',
	0x9938 : 'Unassigned [0x9938]',
	0x9939 : 'Unassigned [0x9939]',
	0x993A : 'Unassigned [0x993A]',
	0x993B : 'Unassigned [0x993B]',
	0x993C : 'Unassigned [0x993C]',
	0x993D : 'Unassigned [0x993D]',
	0x993E : 'Unassigned [0x993E]',
	0x993F : 'Unassigned [0x993F]',
	0x9940 : 'Unassigned [0x9940]',
	0x9941 : 'Unassigned [0x9941]',
	0x9942 : 'Unassigned [0x9942]',
	0x9943 : 'Unassigned [0x9943]',
	0x9944 : 'Unassigned [0x9944]',
	0x9945 : 'Unassigned [0x9945]',
	0x9946 : 'Unassigned [0x9946]',
	0x9947 : 'Unassigned [0x9947]',
	0x9948 : 'Unassigned [0x9948]',
	0x9949 : 'Unassigned [0x9949]',
	0x994A : 'Unassigned [0x994A]',
	0x994B : 'Unassigned [0x994B]',
	0x994C : 'Unassigned [0x994C]',
	0x994D : 'Unassigned [0x994D]',
	0x994E : 'Unassigned [0x994E]',
	0x994F : 'Unassigned [0x994F]',
	0x9950 : 'Unassigned [0x9950]',
	0x9951 : 'Unassigned [0x9951]',
	0x9952 : 'Unassigned [0x9952]',
	0x9953 : 'Unassigned [0x9953]',
	0x9954 : 'Unassigned [0x9954]',
	0x9955 : 'Unassigned [0x9955]',
	0x9956 : 'Unassigned [0x9956]',
	0x9957 : 'Unassigned [0x9957]',
	0x9958 : 'Unassigned [0x9958]',
	0x9959 : 'Unassigned [0x9959]',
	0x995A : 'Unassigned [0x995A]',
	0x995B : 'Unassigned [0x995B]',
	0x995C : 'Unassigned [0x995C]',
	0x995D : 'Unassigned [0x995D]',
	0x995E : 'Unassigned [0x995E]',
	0x995F : 'Unassigned [0x995F]',
	0x9960 : 'Unassigned [0x9960]',
	0x9961 : 'Unassigned [0x9961]',
	0x9962 : 'Unassigned [0x9962]',
	0x9963 : 'Unassigned [0x9963]',
	0x9964 : 'Unassigned [0x9964]',
	0x9965 : 'Unassigned [0x9965]',
	0x9966 : 'Unassigned [0x9966]',
	0x9967 : 'Unassigned [0x9967]',
	0x9968 : 'Unassigned [0x9968]',
	0x9969 : 'Unassigned [0x9969]',
	0x996A : 'Unassigned [0x996A]',
	0x996B : 'Unassigned [0x996B]',
	0x996C : 'Unassigned [0x996C]',
	0x996D : 'Unassigned [0x996D]',
	0x996E : 'Unassigned [0x996E]',
	0x996F : 'Unassigned [0x996F]',
	0x9970 : 'Unassigned [0x9970]',
	0x9971 : 'Unassigned [0x9971]',
	0x9972 : 'Unassigned [0x9972]',
	0x9973 : 'Unassigned [0x9973]',
	0x9974 : 'Unassigned [0x9974]',
	0x9975 : 'Unassigned [0x9975]',
	0x9976 : 'Unassigned [0x9976]',
	0x9977 : 'Unassigned [0x9977]',
	0x9978 : 'Unassigned [0x9978]',
	0x9979 : 'Unassigned [0x9979]',
	0x997A : 'Unassigned [0x997A]',
	0x997B : 'Unassigned [0x997B]',
	0x997C : 'Unassigned [0x997C]',
	0x997D : 'Unassigned [0x997D]',
	0x997E : 'Unassigned [0x997E]',
	0x997F : 'Unassigned [0x997F]',
	0x9980 : 'Unassigned [0x9980]',
	0x9981 : 'Unassigned [0x9981]',
	0x9982 : 'Unassigned [0x9982]',
	0x9983 : 'Unassigned [0x9983]',
	0x9984 : 'Unassigned [0x9984]',
	0x9985 : 'Unassigned [0x9985]',
	0x9986 : 'Unassigned [0x9986]',
	0x9987 : 'Unassigned [0x9987]',
	0x9988 : 'Unassigned [0x9988]',
	0x9989 : 'Unassigned [0x9989]',
	0x998A : 'Unassigned [0x998A]',
	0x998B : 'Unassigned [0x998B]',
	0x998C : 'Unassigned [0x998C]',
	0x998D : 'Unassigned [0x998D]',
	0x998E : 'Unassigned [0x998E]',
	0x998F : 'Unassigned [0x998F]',
	0x9990 : 'Unassigned [0x9990]',
	0x9991 : 'Unassigned [0x9991]',
	0x9992 : 'Unassigned [0x9992]',
	0x9993 : 'Unassigned [0x9993]',
	0x9994 : 'Unassigned [0x9994]',
	0x9995 : 'Unassigned [0x9995]',
	0x9996 : 'Unassigned [0x9996]',
	0x9997 : 'Unassigned [0x9997]',
	0x9998 : 'Unassigned [0x9998]',
	0x9999 : 'Unassigned [0x9999]',
	0x999A : 'Unassigned [0x999A]',
	0x999B : 'Unassigned [0x999B]',
	0x999C : 'Unassigned [0x999C]',
	0x999D : 'Unassigned [0x999D]',
	0x999E : 'Unassigned [0x999E]',
	0x999F : 'Unassigned [0x999F]',
	0x99A0 : 'Unassigned [0x99A0]',
	0x99A1 : 'Unassigned [0x99A1]',
	0x99A2 : 'Unassigned [0x99A2]',
	0x99A3 : 'Unassigned [0x99A3]',
	0x99A4 : 'Unassigned [0x99A4]',
	0x99A5 : 'Unassigned [0x99A5]',
	0x99A6 : 'Unassigned [0x99A6]',
	0x99A7 : 'Unassigned [0x99A7]',
	0x99A8 : 'Unassigned [0x99A8]',
	0x99A9 : 'Unassigned [0x99A9]',
	0x99AA : 'Unassigned [0x99AA]',
	0x99AB : 'Unassigned [0x99AB]',
	0x99AC : 'Unassigned [0x99AC]',
	0x99AD : 'Unassigned [0x99AD]',
	0x99AE : 'Unassigned [0x99AE]',
	0x99AF : 'Unassigned [0x99AF]',
	0x99B0 : 'Unassigned [0x99B0]',
	0x99B1 : 'Unassigned [0x99B1]',
	0x99B2 : 'Unassigned [0x99B2]',
	0x99B3 : 'Unassigned [0x99B3]',
	0x99B4 : 'Unassigned [0x99B4]',
	0x99B5 : 'Unassigned [0x99B5]',
	0x99B6 : 'Unassigned [0x99B6]',
	0x99B7 : 'Unassigned [0x99B7]',
	0x99B8 : 'Unassigned [0x99B8]',
	0x99B9 : 'Unassigned [0x99B9]',
	0x99BA : 'Unassigned [0x99BA]',
	0x99BB : 'Unassigned [0x99BB]',
	0x99BC : 'Unassigned [0x99BC]',
	0x99BD : 'Unassigned [0x99BD]',
	0x99BE : 'Unassigned [0x99BE]',
	0x99BF : 'Unassigned [0x99BF]',
	0x99C0 : 'Unassigned [0x99C0]',
	0x99C1 : 'Unassigned [0x99C1]',
	0x99C2 : 'Unassigned [0x99C2]',
	0x99C3 : 'Unassigned [0x99C3]',
	0x99C4 : 'Unassigned [0x99C4]',
	0x99C5 : 'Unassigned [0x99C5]',
	0x99C6 : 'Unassigned [0x99C6]',
	0x99C7 : 'Unassigned [0x99C7]',
	0x99C8 : 'Unassigned [0x99C8]',
	0x99C9 : 'Unassigned [0x99C9]',
	0x99CA : 'Unassigned [0x99CA]',
	0x99CB : 'Unassigned [0x99CB]',
	0x99CC : 'Unassigned [0x99CC]',
	0x99CD : 'Unassigned [0x99CD]',
	0x99CE : 'Unassigned [0x99CE]',
	0x99CF : 'Unassigned [0x99CF]',
	0x99D0 : 'Unassigned [0x99D0]',
	0x99D1 : 'Unassigned [0x99D1]',
	0x99D2 : 'Unassigned [0x99D2]',
	0x99D3 : 'Unassigned [0x99D3]',
	0x99D4 : 'Unassigned [0x99D4]',
	0x99D5 : 'Unassigned [0x99D5]',
	0x99D6 : 'Unassigned [0x99D6]',
	0x99D7 : 'Unassigned [0x99D7]',
	0x99D8 : 'Unassigned [0x99D8]',
	0x99D9 : 'Unassigned [0x99D9]',
	0x99DA : 'Unassigned [0x99DA]',
	0x99DB : 'Unassigned [0x99DB]',
	0x99DC : 'Unassigned [0x99DC]',
	0x99DD : 'Unassigned [0x99DD]',
	0x99DE : 'Unassigned [0x99DE]',
	0x99DF : 'Unassigned [0x99DF]',
	0x99E0 : 'Unassigned [0x99E0]',
	0x99E1 : 'Unassigned [0x99E1]',
	0x99E2 : 'Unassigned [0x99E2]',
	0x99E3 : 'Unassigned [0x99E3]',
	0x99E4 : 'Unassigned [0x99E4]',
	0x99E5 : 'Unassigned [0x99E5]',
	0x99E6 : 'Unassigned [0x99E6]',
	0x99E7 : 'Unassigned [0x99E7]',
	0x99E8 : 'Unassigned [0x99E8]',
	0x99E9 : 'Unassigned [0x99E9]',
	0x99EA : 'Unassigned [0x99EA]',
	0x99EB : 'Unassigned [0x99EB]',
	0x99EC : 'Unassigned [0x99EC]',
	0x99ED : 'Unassigned [0x99ED]',
	0x99EE : 'Unassigned [0x99EE]',
	0x99EF : 'Unassigned [0x99EF]',
	0x99F0 : 'Unassigned [0x99F0]',
	0x99F1 : 'Unassigned [0x99F1]',
	0x99F2 : 'Unassigned [0x99F2]',
	0x99F3 : 'Unassigned [0x99F3]',
	0x99F4 : 'Unassigned [0x99F4]',
	0x99F5 : 'Unassigned [0x99F5]',
	0x99F6 : 'Unassigned [0x99F6]',
	0x99F7 : 'Unassigned [0x99F7]',
	0x99F8 : 'Unassigned [0x99F8]',
	0x99F9 : 'Unassigned [0x99F9]',
	0x99FA : 'Unassigned [0x99FA]',
	0x99FB : 'Unassigned [0x99FB]',
	0x99FC : 'Unassigned [0x99FC]',
	0x99FD : 'Unassigned [0x99FD]',
	0x99FE : 'Unassigned [0x99FE]',
	0x99FF : 'Unassigned [0x99FF]',
	0x9A00 : 'Unassigned [0x9A00]',
	0x9A01 : 'Unassigned [0x9A01]',
	0x9A02 : 'Unassigned [0x9A02]',
	0x9A03 : 'Unassigned [0x9A03]',
	0x9A04 : 'Unassigned [0x9A04]',
	0x9A05 : 'Unassigned [0x9A05]',
	0x9A06 : 'Unassigned [0x9A06]',
	0x9A07 : 'Unassigned [0x9A07]',
	0x9A08 : 'Unassigned [0x9A08]',
	0x9A09 : 'Unassigned [0x9A09]',
	0x9A0A : 'Unassigned [0x9A0A]',
	0x9A0B : 'Unassigned [0x9A0B]',
	0x9A0C : 'Unassigned [0x9A0C]',
	0x9A0D : 'Unassigned [0x9A0D]',
	0x9A0E : 'Unassigned [0x9A0E]',
	0x9A0F : 'Unassigned [0x9A0F]',
	0x9A10 : 'Unassigned [0x9A10]',
	0x9A11 : 'Unassigned [0x9A11]',
	0x9A12 : 'Unassigned [0x9A12]',
	0x9A13 : 'Unassigned [0x9A13]',
	0x9A14 : 'Unassigned [0x9A14]',
	0x9A15 : 'Unassigned [0x9A15]',
	0x9A16 : 'Unassigned [0x9A16]',
	0x9A17 : 'Unassigned [0x9A17]',
	0x9A18 : 'Unassigned [0x9A18]',
	0x9A19 : 'Unassigned [0x9A19]',
	0x9A1A : 'Unassigned [0x9A1A]',
	0x9A1B : 'Unassigned [0x9A1B]',
	0x9A1C : 'Unassigned [0x9A1C]',
	0x9A1D : 'Unassigned [0x9A1D]',
	0x9A1E : 'Unassigned [0x9A1E]',
	0x9A1F : 'Unassigned [0x9A1F]',
	0x9A20 : 'Unassigned [0x9A20]',
	0x9A21 : 'Unassigned [0x9A21]',
	0x9A22 : 'Unassigned [0x9A22]',
	0x9A23 : 'Unassigned [0x9A23]',
	0x9A24 : 'Unassigned [0x9A24]',
	0x9A25 : 'Unassigned [0x9A25]',
	0x9A26 : 'Unassigned [0x9A26]',
	0x9A27 : 'Unassigned [0x9A27]',
	0x9A28 : 'Unassigned [0x9A28]',
	0x9A29 : 'Unassigned [0x9A29]',
	0x9A2A : 'Unassigned [0x9A2A]',
	0x9A2B : 'Unassigned [0x9A2B]',
	0x9A2C : 'Unassigned [0x9A2C]',
	0x9A2D : 'Unassigned [0x9A2D]',
	0x9A2E : 'Unassigned [0x9A2E]',
	0x9A2F : 'Unassigned [0x9A2F]',
	0x9A30 : 'Unassigned [0x9A30]',
	0x9A31 : 'Unassigned [0x9A31]',
	0x9A32 : 'Unassigned [0x9A32]',
	0x9A33 : 'Unassigned [0x9A33]',
	0x9A34 : 'Unassigned [0x9A34]',
	0x9A35 : 'Unassigned [0x9A35]',
	0x9A36 : 'Unassigned [0x9A36]',
	0x9A37 : 'Unassigned [0x9A37]',
	0x9A38 : 'Unassigned [0x9A38]',
	0x9A39 : 'Unassigned [0x9A39]',
	0x9A3A : 'Unassigned [0x9A3A]',
	0x9A3B : 'Unassigned [0x9A3B]',
	0x9A3C : 'Unassigned [0x9A3C]',
	0x9A3D : 'Unassigned [0x9A3D]',
	0x9A3E : 'Unassigned [0x9A3E]',
	0x9A3F : 'Unassigned [0x9A3F]',
	0x9A40 : 'Unassigned [0x9A40]',
	0x9A41 : 'Unassigned [0x9A41]',
	0x9A42 : 'Unassigned [0x9A42]',
	0x9A43 : 'Unassigned [0x9A43]',
	0x9A44 : 'Unassigned [0x9A44]',
	0x9A45 : 'Unassigned [0x9A45]',
	0x9A46 : 'Unassigned [0x9A46]',
	0x9A47 : 'Unassigned [0x9A47]',
	0x9A48 : 'Unassigned [0x9A48]',
	0x9A49 : 'Unassigned [0x9A49]',
	0x9A4A : 'Unassigned [0x9A4A]',
	0x9A4B : 'Unassigned [0x9A4B]',
	0x9A4C : 'Unassigned [0x9A4C]',
	0x9A4D : 'Unassigned [0x9A4D]',
	0x9A4E : 'Unassigned [0x9A4E]',
	0x9A4F : 'Unassigned [0x9A4F]',
	0x9A50 : 'Unassigned [0x9A50]',
	0x9A51 : 'Unassigned [0x9A51]',
	0x9A52 : 'Unassigned [0x9A52]',
	0x9A53 : 'Unassigned [0x9A53]',
	0x9A54 : 'Unassigned [0x9A54]',
	0x9A55 : 'Unassigned [0x9A55]',
	0x9A56 : 'Unassigned [0x9A56]',
	0x9A57 : 'Unassigned [0x9A57]',
	0x9A58 : 'Unassigned [0x9A58]',
	0x9A59 : 'Unassigned [0x9A59]',
	0x9A5A : 'Unassigned [0x9A5A]',
	0x9A5B : 'Unassigned [0x9A5B]',
	0x9A5C : 'Unassigned [0x9A5C]',
	0x9A5D : 'Unassigned [0x9A5D]',
	0x9A5E : 'Unassigned [0x9A5E]',
	0x9A5F : 'Unassigned [0x9A5F]',
	0x9A60 : 'Unassigned [0x9A60]',
	0x9A61 : 'Unassigned [0x9A61]',
	0x9A62 : 'Unassigned [0x9A62]',
	0x9A63 : 'Unassigned [0x9A63]',
	0x9A64 : 'Unassigned [0x9A64]',
	0x9A65 : 'Unassigned [0x9A65]',
	0x9A66 : 'Unassigned [0x9A66]',
	0x9A67 : 'Unassigned [0x9A67]',
	0x9A68 : 'Unassigned [0x9A68]',
	0x9A69 : 'Unassigned [0x9A69]',
	0x9A6A : 'Unassigned [0x9A6A]',
	0x9A6B : 'Unassigned [0x9A6B]',
	0x9A6C : 'Unassigned [0x9A6C]',
	0x9A6D : 'Unassigned [0x9A6D]',
	0x9A6E : 'Unassigned [0x9A6E]',
	0x9A6F : 'Unassigned [0x9A6F]',
	0x9A70 : 'Unassigned [0x9A70]',
	0x9A71 : 'Unassigned [0x9A71]',
	0x9A72 : 'Unassigned [0x9A72]',
	0x9A73 : 'Unassigned [0x9A73]',
	0x9A74 : 'Unassigned [0x9A74]',
	0x9A75 : 'Unassigned [0x9A75]',
	0x9A76 : 'Unassigned [0x9A76]',
	0x9A77 : 'Unassigned [0x9A77]',
	0x9A78 : 'Unassigned [0x9A78]',
	0x9A79 : 'Unassigned [0x9A79]',
	0x9A7A : 'Unassigned [0x9A7A]',
	0x9A7B : 'Unassigned [0x9A7B]',
	0x9A7C : 'Unassigned [0x9A7C]',
	0x9A7D : 'Unassigned [0x9A7D]',
	0x9A7E : 'Unassigned [0x9A7E]',
	0x9A7F : 'Unassigned [0x9A7F]',
	0x9A80 : 'Unassigned [0x9A80]',
	0x9A81 : 'Unassigned [0x9A81]',
	0x9A82 : 'Unassigned [0x9A82]',
	0x9A83 : 'Unassigned [0x9A83]',
	0x9A84 : 'Unassigned [0x9A84]',
	0x9A85 : 'Unassigned [0x9A85]',
	0x9A86 : 'Unassigned [0x9A86]',
	0x9A87 : 'Unassigned [0x9A87]',
	0x9A88 : 'Unassigned [0x9A88]',
	0x9A89 : 'Unassigned [0x9A89]',
	0x9A8A : 'Unassigned [0x9A8A]',
	0x9A8B : 'Unassigned [0x9A8B]',
	0x9A8C : 'Unassigned [0x9A8C]',
	0x9A8D : 'Unassigned [0x9A8D]',
	0x9A8E : 'Unassigned [0x9A8E]',
	0x9A8F : 'Unassigned [0x9A8F]',
	0x9A90 : 'Unassigned [0x9A90]',
	0x9A91 : 'Unassigned [0x9A91]',
	0x9A92 : 'Unassigned [0x9A92]',
	0x9A93 : 'Unassigned [0x9A93]',
	0x9A94 : 'Unassigned [0x9A94]',
	0x9A95 : 'Unassigned [0x9A95]',
	0x9A96 : 'Unassigned [0x9A96]',
	0x9A97 : 'Unassigned [0x9A97]',
	0x9A98 : 'Unassigned [0x9A98]',
	0x9A99 : 'Unassigned [0x9A99]',
	0x9A9A : 'Unassigned [0x9A9A]',
	0x9A9B : 'Unassigned [0x9A9B]',
	0x9A9C : 'Unassigned [0x9A9C]',
	0x9A9D : 'Unassigned [0x9A9D]',
	0x9A9E : 'Unassigned [0x9A9E]',
	0x9A9F : 'Unassigned [0x9A9F]',
	0x9AA0 : 'Unassigned [0x9AA0]',
	0x9AA1 : 'Unassigned [0x9AA1]',
	0x9AA2 : 'Unassigned [0x9AA2]',
	0x9AA3 : 'Unassigned [0x9AA3]',
	0x9AA4 : 'Unassigned [0x9AA4]',
	0x9AA5 : 'Unassigned [0x9AA5]',
	0x9AA6 : 'Unassigned [0x9AA6]',
	0x9AA7 : 'Unassigned [0x9AA7]',
	0x9AA8 : 'Unassigned [0x9AA8]',
	0x9AA9 : 'Unassigned [0x9AA9]',
	0x9AAA : 'Unassigned [0x9AAA]',
	0x9AAB : 'Unassigned [0x9AAB]',
	0x9AAC : 'Unassigned [0x9AAC]',
	0x9AAD : 'Unassigned [0x9AAD]',
	0x9AAE : 'Unassigned [0x9AAE]',
	0x9AAF : 'Unassigned [0x9AAF]',
	0x9AB0 : 'Unassigned [0x9AB0]',
	0x9AB1 : 'Unassigned [0x9AB1]',
	0x9AB2 : 'Unassigned [0x9AB2]',
	0x9AB3 : 'Unassigned [0x9AB3]',
	0x9AB4 : 'Unassigned [0x9AB4]',
	0x9AB5 : 'Unassigned [0x9AB5]',
	0x9AB6 : 'Unassigned [0x9AB6]',
	0x9AB7 : 'Unassigned [0x9AB7]',
	0x9AB8 : 'Unassigned [0x9AB8]',
	0x9AB9 : 'Unassigned [0x9AB9]',
	0x9ABA : 'Unassigned [0x9ABA]',
	0x9ABB : 'Unassigned [0x9ABB]',
	0x9ABC : 'Unassigned [0x9ABC]',
	0x9ABD : 'Unassigned [0x9ABD]',
	0x9ABE : 'Unassigned [0x9ABE]',
	0x9ABF : 'Unassigned [0x9ABF]',
	0x9AC0 : 'Unassigned [0x9AC0]',
	0x9AC1 : 'Unassigned [0x9AC1]',
	0x9AC2 : 'Unassigned [0x9AC2]',
	0x9AC3 : 'Unassigned [0x9AC3]',
	0x9AC4 : 'Unassigned [0x9AC4]',
	0x9AC5 : 'Unassigned [0x9AC5]',
	0x9AC6 : 'Unassigned [0x9AC6]',
	0x9AC7 : 'Unassigned [0x9AC7]',
	0x9AC8 : 'Unassigned [0x9AC8]',
	0x9AC9 : 'Unassigned [0x9AC9]',
	0x9ACA : 'Unassigned [0x9ACA]',
	0x9ACB : 'Unassigned [0x9ACB]',
	0x9ACC : 'Unassigned [0x9ACC]',
	0x9ACD : 'Unassigned [0x9ACD]',
	0x9ACE : 'Unassigned [0x9ACE]',
	0x9ACF : 'Unassigned [0x9ACF]',
	0x9AD0 : 'Unassigned [0x9AD0]',
	0x9AD1 : 'Unassigned [0x9AD1]',
	0x9AD2 : 'Unassigned [0x9AD2]',
	0x9AD3 : 'Unassigned [0x9AD3]',
	0x9AD4 : 'Unassigned [0x9AD4]',
	0x9AD5 : 'Unassigned [0x9AD5]',
	0x9AD6 : 'Unassigned [0x9AD6]',
	0x9AD7 : 'Unassigned [0x9AD7]',
	0x9AD8 : 'Unassigned [0x9AD8]',
	0x9AD9 : 'Unassigned [0x9AD9]',
	0x9ADA : 'Unassigned [0x9ADA]',
	0x9ADB : 'Unassigned [0x9ADB]',
	0x9ADC : 'Unassigned [0x9ADC]',
	0x9ADD : 'Unassigned [0x9ADD]',
	0x9ADE : 'Unassigned [0x9ADE]',
	0x9ADF : 'Unassigned [0x9ADF]',
	0x9AE0 : 'Unassigned [0x9AE0]',
	0x9AE1 : 'Unassigned [0x9AE1]',
	0x9AE2 : 'Unassigned [0x9AE2]',
	0x9AE3 : 'Unassigned [0x9AE3]',
	0x9AE4 : 'Unassigned [0x9AE4]',
	0x9AE5 : 'Unassigned [0x9AE5]',
	0x9AE6 : 'Unassigned [0x9AE6]',
	0x9AE7 : 'Unassigned [0x9AE7]',
	0x9AE8 : 'Unassigned [0x9AE8]',
	0x9AE9 : 'Unassigned [0x9AE9]',
	0x9AEA : 'Unassigned [0x9AEA]',
	0x9AEB : 'Unassigned [0x9AEB]',
	0x9AEC : 'Unassigned [0x9AEC]',
	0x9AED : 'Unassigned [0x9AED]',
	0x9AEE : 'Unassigned [0x9AEE]',
	0x9AEF : 'Unassigned [0x9AEF]',
	0x9AF0 : 'Unassigned [0x9AF0]',
	0x9AF1 : 'Unassigned [0x9AF1]',
	0x9AF2 : 'Unassigned [0x9AF2]',
	0x9AF3 : 'Unassigned [0x9AF3]',
	0x9AF4 : 'Unassigned [0x9AF4]',
	0x9AF5 : 'Unassigned [0x9AF5]',
	0x9AF6 : 'Unassigned [0x9AF6]',
	0x9AF7 : 'Unassigned [0x9AF7]',
	0x9AF8 : 'Unassigned [0x9AF8]',
	0x9AF9 : 'Unassigned [0x9AF9]',
	0x9AFA : 'Unassigned [0x9AFA]',
	0x9AFB : 'Unassigned [0x9AFB]',
	0x9AFC : 'Unassigned [0x9AFC]',
	0x9AFD : 'Unassigned [0x9AFD]',
	0x9AFE : 'Unassigned [0x9AFE]',
	0x9AFF : 'Unassigned [0x9AFF]',
	0x9B00 : 'Unassigned [0x9B00]',
	0x9B01 : 'Unassigned [0x9B01]',
	0x9B02 : 'Unassigned [0x9B02]',
	0x9B03 : 'Unassigned [0x9B03]',
	0x9B04 : 'Unassigned [0x9B04]',
	0x9B05 : 'Unassigned [0x9B05]',
	0x9B06 : 'Unassigned [0x9B06]',
	0x9B07 : 'Unassigned [0x9B07]',
	0x9B08 : 'Unassigned [0x9B08]',
	0x9B09 : 'Unassigned [0x9B09]',
	0x9B0A : 'Unassigned [0x9B0A]',
	0x9B0B : 'Unassigned [0x9B0B]',
	0x9B0C : 'Unassigned [0x9B0C]',
	0x9B0D : 'Unassigned [0x9B0D]',
	0x9B0E : 'Unassigned [0x9B0E]',
	0x9B0F : 'Unassigned [0x9B0F]',
	0x9B10 : 'Unassigned [0x9B10]',
	0x9B11 : 'Unassigned [0x9B11]',
	0x9B12 : 'Unassigned [0x9B12]',
	0x9B13 : 'Unassigned [0x9B13]',
	0x9B14 : 'Unassigned [0x9B14]',
	0x9B15 : 'Unassigned [0x9B15]',
	0x9B16 : 'Unassigned [0x9B16]',
	0x9B17 : 'Unassigned [0x9B17]',
	0x9B18 : 'Unassigned [0x9B18]',
	0x9B19 : 'Unassigned [0x9B19]',
	0x9B1A : 'Unassigned [0x9B1A]',
	0x9B1B : 'Unassigned [0x9B1B]',
	0x9B1C : 'Unassigned [0x9B1C]',
	0x9B1D : 'Unassigned [0x9B1D]',
	0x9B1E : 'Unassigned [0x9B1E]',
	0x9B1F : 'Unassigned [0x9B1F]',
	0x9B20 : 'Unassigned [0x9B20]',
	0x9B21 : 'Unassigned [0x9B21]',
	0x9B22 : 'Unassigned [0x9B22]',
	0x9B23 : 'Unassigned [0x9B23]',
	0x9B24 : 'Unassigned [0x9B24]',
	0x9B25 : 'Unassigned [0x9B25]',
	0x9B26 : 'Unassigned [0x9B26]',
	0x9B27 : 'Unassigned [0x9B27]',
	0x9B28 : 'Unassigned [0x9B28]',
	0x9B29 : 'Unassigned [0x9B29]',
	0x9B2A : 'Unassigned [0x9B2A]',
	0x9B2B : 'Unassigned [0x9B2B]',
	0x9B2C : 'Unassigned [0x9B2C]',
	0x9B2D : 'Unassigned [0x9B2D]',
	0x9B2E : 'Unassigned [0x9B2E]',
	0x9B2F : 'Unassigned [0x9B2F]',
	0x9B30 : 'Unassigned [0x9B30]',
	0x9B31 : 'Unassigned [0x9B31]',
	0x9B32 : 'Unassigned [0x9B32]',
	0x9B33 : 'Unassigned [0x9B33]',
	0x9B34 : 'Unassigned [0x9B34]',
	0x9B35 : 'Unassigned [0x9B35]',
	0x9B36 : 'Unassigned [0x9B36]',
	0x9B37 : 'Unassigned [0x9B37]',
	0x9B38 : 'Unassigned [0x9B38]',
	0x9B39 : 'Unassigned [0x9B39]',
	0x9B3A : 'Unassigned [0x9B3A]',
	0x9B3B : 'Unassigned [0x9B3B]',
	0x9B3C : 'Unassigned [0x9B3C]',
	0x9B3D : 'Unassigned [0x9B3D]',
	0x9B3E : 'Unassigned [0x9B3E]',
	0x9B3F : 'Unassigned [0x9B3F]',
	0x9B40 : 'Unassigned [0x9B40]',
	0x9B41 : 'Unassigned [0x9B41]',
	0x9B42 : 'Unassigned [0x9B42]',
	0x9B43 : 'Unassigned [0x9B43]',
	0x9B44 : 'Unassigned [0x9B44]',
	0x9B45 : 'Unassigned [0x9B45]',
	0x9B46 : 'Unassigned [0x9B46]',
	0x9B47 : 'Unassigned [0x9B47]',
	0x9B48 : 'Unassigned [0x9B48]',
	0x9B49 : 'Unassigned [0x9B49]',
	0x9B4A : 'Unassigned [0x9B4A]',
	0x9B4B : 'Unassigned [0x9B4B]',
	0x9B4C : 'Unassigned [0x9B4C]',
	0x9B4D : 'Unassigned [0x9B4D]',
	0x9B4E : 'Unassigned [0x9B4E]',
	0x9B4F : 'Unassigned [0x9B4F]',
	0x9B50 : 'Unassigned [0x9B50]',
	0x9B51 : 'Unassigned [0x9B51]',
	0x9B52 : 'Unassigned [0x9B52]',
	0x9B53 : 'Unassigned [0x9B53]',
	0x9B54 : 'Unassigned [0x9B54]',
	0x9B55 : 'Unassigned [0x9B55]',
	0x9B56 : 'Unassigned [0x9B56]',
	0x9B57 : 'Unassigned [0x9B57]',
	0x9B58 : 'Unassigned [0x9B58]',
	0x9B59 : 'Unassigned [0x9B59]',
	0x9B5A : 'Unassigned [0x9B5A]',
	0x9B5B : 'Unassigned [0x9B5B]',
	0x9B5C : 'Unassigned [0x9B5C]',
	0x9B5D : 'Unassigned [0x9B5D]',
	0x9B5E : 'Unassigned [0x9B5E]',
	0x9B5F : 'Unassigned [0x9B5F]',
	0x9B60 : 'Unassigned [0x9B60]',
	0x9B61 : 'Unassigned [0x9B61]',
	0x9B62 : 'Unassigned [0x9B62]',
	0x9B63 : 'Unassigned [0x9B63]',
	0x9B64 : 'Unassigned [0x9B64]',
	0x9B65 : 'Unassigned [0x9B65]',
	0x9B66 : 'Unassigned [0x9B66]',
	0x9B67 : 'Unassigned [0x9B67]',
	0x9B68 : 'Unassigned [0x9B68]',
	0x9B69 : 'Unassigned [0x9B69]',
	0x9B6A : 'Unassigned [0x9B6A]',
	0x9B6B : 'Unassigned [0x9B6B]',
	0x9B6C : 'Unassigned [0x9B6C]',
	0x9B6D : 'Unassigned [0x9B6D]',
	0x9B6E : 'Unassigned [0x9B6E]',
	0x9B6F : 'Unassigned [0x9B6F]',
	0x9B70 : 'Unassigned [0x9B70]',
	0x9B71 : 'Unassigned [0x9B71]',
	0x9B72 : 'Unassigned [0x9B72]',
	0x9B73 : 'Unassigned [0x9B73]',
	0x9B74 : 'Unassigned [0x9B74]',
	0x9B75 : 'Unassigned [0x9B75]',
	0x9B76 : 'Unassigned [0x9B76]',
	0x9B77 : 'Unassigned [0x9B77]',
	0x9B78 : 'Unassigned [0x9B78]',
	0x9B79 : 'Unassigned [0x9B79]',
	0x9B7A : 'Unassigned [0x9B7A]',
	0x9B7B : 'Unassigned [0x9B7B]',
	0x9B7C : 'Unassigned [0x9B7C]',
	0x9B7D : 'Unassigned [0x9B7D]',
	0x9B7E : 'Unassigned [0x9B7E]',
	0x9B7F : 'Unassigned [0x9B7F]',
	0x9B80 : 'Unassigned [0x9B80]',
	0x9B81 : 'Unassigned [0x9B81]',
	0x9B82 : 'Unassigned [0x9B82]',
	0x9B83 : 'Unassigned [0x9B83]',
	0x9B84 : 'Unassigned [0x9B84]',
	0x9B85 : 'Unassigned [0x9B85]',
	0x9B86 : 'Unassigned [0x9B86]',
	0x9B87 : 'Unassigned [0x9B87]',
	0x9B88 : 'Unassigned [0x9B88]',
	0x9B89 : 'Unassigned [0x9B89]',
	0x9B8A : 'Unassigned [0x9B8A]',
	0x9B8B : 'Unassigned [0x9B8B]',
	0x9B8C : 'Unassigned [0x9B8C]',
	0x9B8D : 'Unassigned [0x9B8D]',
	0x9B8E : 'Unassigned [0x9B8E]',
	0x9B8F : 'Unassigned [0x9B8F]',
	0x9B90 : 'Unassigned [0x9B90]',
	0x9B91 : 'Unassigned [0x9B91]',
	0x9B92 : 'Unassigned [0x9B92]',
	0x9B93 : 'Unassigned [0x9B93]',
	0x9B94 : 'Unassigned [0x9B94]',
	0x9B95 : 'Unassigned [0x9B95]',
	0x9B96 : 'Unassigned [0x9B96]',
	0x9B97 : 'Unassigned [0x9B97]',
	0x9B98 : 'Unassigned [0x9B98]',
	0x9B99 : 'Unassigned [0x9B99]',
	0x9B9A : 'Unassigned [0x9B9A]',
	0x9B9B : 'Unassigned [0x9B9B]',
	0x9B9C : 'Unassigned [0x9B9C]',
	0x9B9D : 'Unassigned [0x9B9D]',
	0x9B9E : 'Unassigned [0x9B9E]',
	0x9B9F : 'Unassigned [0x9B9F]',
	0x9BA0 : 'Unassigned [0x9BA0]',
	0x9BA1 : 'Unassigned [0x9BA1]',
	0x9BA2 : 'Unassigned [0x9BA2]',
	0x9BA3 : 'Unassigned [0x9BA3]',
	0x9BA4 : 'Unassigned [0x9BA4]',
	0x9BA5 : 'Unassigned [0x9BA5]',
	0x9BA6 : 'Unassigned [0x9BA6]',
	0x9BA7 : 'Unassigned [0x9BA7]',
	0x9BA8 : 'Unassigned [0x9BA8]',
	0x9BA9 : 'Unassigned [0x9BA9]',
	0x9BAA : 'Unassigned [0x9BAA]',
	0x9BAB : 'Unassigned [0x9BAB]',
	0x9BAC : 'Unassigned [0x9BAC]',
	0x9BAD : 'Unassigned [0x9BAD]',
	0x9BAE : 'Unassigned [0x9BAE]',
	0x9BAF : 'Unassigned [0x9BAF]',
	0x9BB0 : 'Unassigned [0x9BB0]',
	0x9BB1 : 'Unassigned [0x9BB1]',
	0x9BB2 : 'Unassigned [0x9BB2]',
	0x9BB3 : 'Unassigned [0x9BB3]',
	0x9BB4 : 'Unassigned [0x9BB4]',
	0x9BB5 : 'Unassigned [0x9BB5]',
	0x9BB6 : 'Unassigned [0x9BB6]',
	0x9BB7 : 'Unassigned [0x9BB7]',
	0x9BB8 : 'Unassigned [0x9BB8]',
	0x9BB9 : 'Unassigned [0x9BB9]',
	0x9BBA : 'Unassigned [0x9BBA]',
	0x9BBB : 'Unassigned [0x9BBB]',
	0x9BBC : 'Unassigned [0x9BBC]',
	0x9BBD : 'Unassigned [0x9BBD]',
	0x9BBE : 'Unassigned [0x9BBE]',
	0x9BBF : 'Unassigned [0x9BBF]',
	0x9BC0 : 'Unassigned [0x9BC0]',
	0x9BC1 : 'Unassigned [0x9BC1]',
	0x9BC2 : 'Unassigned [0x9BC2]',
	0x9BC3 : 'Unassigned [0x9BC3]',
	0x9BC4 : 'Unassigned [0x9BC4]',
	0x9BC5 : 'Unassigned [0x9BC5]',
	0x9BC6 : 'Unassigned [0x9BC6]',
	0x9BC7 : 'Unassigned [0x9BC7]',
	0x9BC8 : 'Unassigned [0x9BC8]',
	0x9BC9 : 'Unassigned [0x9BC9]',
	0x9BCA : 'Unassigned [0x9BCA]',
	0x9BCB : 'Unassigned [0x9BCB]',
	0x9BCC : 'Unassigned [0x9BCC]',
	0x9BCD : 'Unassigned [0x9BCD]',
	0x9BCE : 'Unassigned [0x9BCE]',
	0x9BCF : 'Unassigned [0x9BCF]',
	0x9BD0 : 'Unassigned [0x9BD0]',
	0x9BD1 : 'Unassigned [0x9BD1]',
	0x9BD2 : 'Unassigned [0x9BD2]',
	0x9BD3 : 'Unassigned [0x9BD3]',
	0x9BD4 : 'Unassigned [0x9BD4]',
	0x9BD5 : 'Unassigned [0x9BD5]',
	0x9BD6 : 'Unassigned [0x9BD6]',
	0x9BD7 : 'Unassigned [0x9BD7]',
	0x9BD8 : 'Unassigned [0x9BD8]',
	0x9BD9 : 'Unassigned [0x9BD9]',
	0x9BDA : 'Unassigned [0x9BDA]',
	0x9BDB : 'Unassigned [0x9BDB]',
	0x9BDC : 'Unassigned [0x9BDC]',
	0x9BDD : 'Unassigned [0x9BDD]',
	0x9BDE : 'Unassigned [0x9BDE]',
	0x9BDF : 'Unassigned [0x9BDF]',
	0x9BE0 : 'Unassigned [0x9BE0]',
	0x9BE1 : 'Unassigned [0x9BE1]',
	0x9BE2 : 'Unassigned [0x9BE2]',
	0x9BE3 : 'Unassigned [0x9BE3]',
	0x9BE4 : 'Unassigned [0x9BE4]',
	0x9BE5 : 'Unassigned [0x9BE5]',
	0x9BE6 : 'Unassigned [0x9BE6]',
	0x9BE7 : 'Unassigned [0x9BE7]',
	0x9BE8 : 'Unassigned [0x9BE8]',
	0x9BE9 : 'Unassigned [0x9BE9]',
	0x9BEA : 'Unassigned [0x9BEA]',
	0x9BEB : 'Unassigned [0x9BEB]',
	0x9BEC : 'Unassigned [0x9BEC]',
	0x9BED : 'Unassigned [0x9BED]',
	0x9BEE : 'Unassigned [0x9BEE]',
	0x9BEF : 'Unassigned [0x9BEF]',
	0x9BF0 : 'Unassigned [0x9BF0]',
	0x9BF1 : 'Unassigned [0x9BF1]',
	0x9BF2 : 'Unassigned [0x9BF2]',
	0x9BF3 : 'Unassigned [0x9BF3]',
	0x9BF4 : 'Unassigned [0x9BF4]',
	0x9BF5 : 'Unassigned [0x9BF5]',
	0x9BF6 : 'Unassigned [0x9BF6]',
	0x9BF7 : 'Unassigned [0x9BF7]',
	0x9BF8 : 'Unassigned [0x9BF8]',
	0x9BF9 : 'Unassigned [0x9BF9]',
	0x9BFA : 'Unassigned [0x9BFA]',
	0x9BFB : 'Unassigned [0x9BFB]',
	0x9BFC : 'Unassigned [0x9BFC]',
	0x9BFD : 'Unassigned [0x9BFD]',
	0x9BFE : 'Unassigned [0x9BFE]',
	0x9BFF : 'Unassigned [0x9BFF]',
	0x9C00 : 'Unassigned [0x9C00]',
	0x9C01 : 'Unassigned [0x9C01]',
	0x9C02 : 'Unassigned [0x9C02]',
	0x9C03 : 'Unassigned [0x9C03]',
	0x9C04 : 'Unassigned [0x9C04]',
	0x9C05 : 'Unassigned [0x9C05]',
	0x9C06 : 'Unassigned [0x9C06]',
	0x9C07 : 'Unassigned [0x9C07]',
	0x9C08 : 'Unassigned [0x9C08]',
	0x9C09 : 'Unassigned [0x9C09]',
	0x9C0A : 'Unassigned [0x9C0A]',
	0x9C0B : 'Unassigned [0x9C0B]',
	0x9C0C : 'Unassigned [0x9C0C]',
	0x9C0D : 'Unassigned [0x9C0D]',
	0x9C0E : 'Unassigned [0x9C0E]',
	0x9C0F : 'Unassigned [0x9C0F]',
	0x9C10 : 'Unassigned [0x9C10]',
	0x9C11 : 'Unassigned [0x9C11]',
	0x9C12 : 'Unassigned [0x9C12]',
	0x9C13 : 'Unassigned [0x9C13]',
	0x9C14 : 'Unassigned [0x9C14]',
	0x9C15 : 'Unassigned [0x9C15]',
	0x9C16 : 'Unassigned [0x9C16]',
	0x9C17 : 'Unassigned [0x9C17]',
	0x9C18 : 'Unassigned [0x9C18]',
	0x9C19 : 'Unassigned [0x9C19]',
	0x9C1A : 'Unassigned [0x9C1A]',
	0x9C1B : 'Unassigned [0x9C1B]',
	0x9C1C : 'Unassigned [0x9C1C]',
	0x9C1D : 'Unassigned [0x9C1D]',
	0x9C1E : 'Unassigned [0x9C1E]',
	0x9C1F : 'Unassigned [0x9C1F]',
	0x9C20 : 'Unassigned [0x9C20]',
	0x9C21 : 'Unassigned [0x9C21]',
	0x9C22 : 'Unassigned [0x9C22]',
	0x9C23 : 'Unassigned [0x9C23]',
	0x9C24 : 'Unassigned [0x9C24]',
	0x9C25 : 'Unassigned [0x9C25]',
	0x9C26 : 'Unassigned [0x9C26]',
	0x9C27 : 'Unassigned [0x9C27]',
	0x9C28 : 'Unassigned [0x9C28]',
	0x9C29 : 'Unassigned [0x9C29]',
	0x9C2A : 'Unassigned [0x9C2A]',
	0x9C2B : 'Unassigned [0x9C2B]',
	0x9C2C : 'Unassigned [0x9C2C]',
	0x9C2D : 'Unassigned [0x9C2D]',
	0x9C2E : 'Unassigned [0x9C2E]',
	0x9C2F : 'Unassigned [0x9C2F]',
	0x9C30 : 'Unassigned [0x9C30]',
	0x9C31 : 'Unassigned [0x9C31]',
	0x9C32 : 'Unassigned [0x9C32]',
	0x9C33 : 'Unassigned [0x9C33]',
	0x9C34 : 'Unassigned [0x9C34]',
	0x9C35 : 'Unassigned [0x9C35]',
	0x9C36 : 'Unassigned [0x9C36]',
	0x9C37 : 'Unassigned [0x9C37]',
	0x9C38 : 'Unassigned [0x9C38]',
	0x9C39 : 'Unassigned [0x9C39]',
	0x9C3A : 'Unassigned [0x9C3A]',
	0x9C3B : 'Unassigned [0x9C3B]',
	0x9C3C : 'Unassigned [0x9C3C]',
	0x9C3D : 'Unassigned [0x9C3D]',
	0x9C3E : 'Unassigned [0x9C3E]',
	0x9C3F : 'Unassigned [0x9C3F]',
	0x9C40 : 'Unassigned [0x9C40]',
	0x9C41 : 'Unassigned [0x9C41]',
	0x9C42 : 'Unassigned [0x9C42]',
	0x9C43 : 'Unassigned [0x9C43]',
	0x9C44 : 'Unassigned [0x9C44]',
	0x9C45 : 'Unassigned [0x9C45]',
	0x9C46 : 'Unassigned [0x9C46]',
	0x9C47 : 'Unassigned [0x9C47]',
	0x9C48 : 'Unassigned [0x9C48]',
	0x9C49 : 'Unassigned [0x9C49]',
	0x9C4A : 'Unassigned [0x9C4A]',
	0x9C4B : 'Unassigned [0x9C4B]',
	0x9C4C : 'Unassigned [0x9C4C]',
	0x9C4D : 'Unassigned [0x9C4D]',
	0x9C4E : 'Unassigned [0x9C4E]',
	0x9C4F : 'Unassigned [0x9C4F]',
	0x9C50 : 'Unassigned [0x9C50]',
	0x9C51 : 'Unassigned [0x9C51]',
	0x9C52 : 'Unassigned [0x9C52]',
	0x9C53 : 'Unassigned [0x9C53]',
	0x9C54 : 'Unassigned [0x9C54]',
	0x9C55 : 'Unassigned [0x9C55]',
	0x9C56 : 'Unassigned [0x9C56]',
	0x9C57 : 'Unassigned [0x9C57]',
	0x9C58 : 'Unassigned [0x9C58]',
	0x9C59 : 'Unassigned [0x9C59]',
	0x9C5A : 'Unassigned [0x9C5A]',
	0x9C5B : 'Unassigned [0x9C5B]',
	0x9C5C : 'Unassigned [0x9C5C]',
	0x9C5D : 'Unassigned [0x9C5D]',
	0x9C5E : 'Unassigned [0x9C5E]',
	0x9C5F : 'Unassigned [0x9C5F]',
	0x9C60 : 'Unassigned [0x9C60]',
	0x9C61 : 'Unassigned [0x9C61]',
	0x9C62 : 'Unassigned [0x9C62]',
	0x9C63 : 'Unassigned [0x9C63]',
	0x9C64 : 'Unassigned [0x9C64]',
	0x9C65 : 'Unassigned [0x9C65]',
	0x9C66 : 'Unassigned [0x9C66]',
	0x9C67 : 'Unassigned [0x9C67]',
	0x9C68 : 'Unassigned [0x9C68]',
	0x9C69 : 'Unassigned [0x9C69]',
	0x9C6A : 'Unassigned [0x9C6A]',
	0x9C6B : 'Unassigned [0x9C6B]',
	0x9C6C : 'Unassigned [0x9C6C]',
	0x9C6D : 'Unassigned [0x9C6D]',
	0x9C6E : 'Unassigned [0x9C6E]',
	0x9C6F : 'Unassigned [0x9C6F]',
	0x9C70 : 'Unassigned [0x9C70]',
	0x9C71 : 'Unassigned [0x9C71]',
	0x9C72 : 'Unassigned [0x9C72]',
	0x9C73 : 'Unassigned [0x9C73]',
	0x9C74 : 'Unassigned [0x9C74]',
	0x9C75 : 'Unassigned [0x9C75]',
	0x9C76 : 'Unassigned [0x9C76]',
	0x9C77 : 'Unassigned [0x9C77]',
	0x9C78 : 'Unassigned [0x9C78]',
	0x9C79 : 'Unassigned [0x9C79]',
	0x9C7A : 'Unassigned [0x9C7A]',
	0x9C7B : 'Unassigned [0x9C7B]',
	0x9C7C : 'Unassigned [0x9C7C]',
	0x9C7D : 'Unassigned [0x9C7D]',
	0x9C7E : 'Unassigned [0x9C7E]',
	0x9C7F : 'Unassigned [0x9C7F]',
	0x9C80 : 'Unassigned [0x9C80]',
	0x9C81 : 'Unassigned [0x9C81]',
	0x9C82 : 'Unassigned [0x9C82]',
	0x9C83 : 'Unassigned [0x9C83]',
	0x9C84 : 'Unassigned [0x9C84]',
	0x9C85 : 'Unassigned [0x9C85]',
	0x9C86 : 'Unassigned [0x9C86]',
	0x9C87 : 'Unassigned [0x9C87]',
	0x9C88 : 'Unassigned [0x9C88]',
	0x9C89 : 'Unassigned [0x9C89]',
	0x9C8A : 'Unassigned [0x9C8A]',
	0x9C8B : 'Unassigned [0x9C8B]',
	0x9C8C : 'Unassigned [0x9C8C]',
	0x9C8D : 'Unassigned [0x9C8D]',
	0x9C8E : 'Unassigned [0x9C8E]',
	0x9C8F : 'Unassigned [0x9C8F]',
	0x9C90 : 'Unassigned [0x9C90]',
	0x9C91 : 'Unassigned [0x9C91]',
	0x9C92 : 'Unassigned [0x9C92]',
	0x9C93 : 'Unassigned [0x9C93]',
	0x9C94 : 'Unassigned [0x9C94]',
	0x9C95 : 'Unassigned [0x9C95]',
	0x9C96 : 'Unassigned [0x9C96]',
	0x9C97 : 'Unassigned [0x9C97]',
	0x9C98 : 'Unassigned [0x9C98]',
	0x9C99 : 'Unassigned [0x9C99]',
	0x9C9A : 'Unassigned [0x9C9A]',
	0x9C9B : 'Unassigned [0x9C9B]',
	0x9C9C : 'Unassigned [0x9C9C]',
	0x9C9D : 'Unassigned [0x9C9D]',
	0x9C9E : 'Unassigned [0x9C9E]',
	0x9C9F : 'Unassigned [0x9C9F]',
	0x9CA0 : 'Unassigned [0x9CA0]',
	0x9CA1 : 'Unassigned [0x9CA1]',
	0x9CA2 : 'Unassigned [0x9CA2]',
	0x9CA3 : 'Unassigned [0x9CA3]',
	0x9CA4 : 'Unassigned [0x9CA4]',
	0x9CA5 : 'Unassigned [0x9CA5]',
	0x9CA6 : 'Unassigned [0x9CA6]',
	0x9CA7 : 'Unassigned [0x9CA7]',
	0x9CA8 : 'Unassigned [0x9CA8]',
	0x9CA9 : 'Unassigned [0x9CA9]',
	0x9CAA : 'Unassigned [0x9CAA]',
	0x9CAB : 'Unassigned [0x9CAB]',
	0x9CAC : 'Unassigned [0x9CAC]',
	0x9CAD : 'Unassigned [0x9CAD]',
	0x9CAE : 'Unassigned [0x9CAE]',
	0x9CAF : 'Unassigned [0x9CAF]',
	0x9CB0 : 'Unassigned [0x9CB0]',
	0x9CB1 : 'Unassigned [0x9CB1]',
	0x9CB2 : 'Unassigned [0x9CB2]',
	0x9CB3 : 'Unassigned [0x9CB3]',
	0x9CB4 : 'Unassigned [0x9CB4]',
	0x9CB5 : 'Unassigned [0x9CB5]',
	0x9CB6 : 'Unassigned [0x9CB6]',
	0x9CB7 : 'Unassigned [0x9CB7]',
	0x9CB8 : 'Unassigned [0x9CB8]',
	0x9CB9 : 'Unassigned [0x9CB9]',
	0x9CBA : 'Unassigned [0x9CBA]',
	0x9CBB : 'Unassigned [0x9CBB]',
	0x9CBC : 'Unassigned [0x9CBC]',
	0x9CBD : 'Unassigned [0x9CBD]',
	0x9CBE : 'Unassigned [0x9CBE]',
	0x9CBF : 'Unassigned [0x9CBF]',
	0x9CC0 : 'Unassigned [0x9CC0]',
	0x9CC1 : 'Unassigned [0x9CC1]',
	0x9CC2 : 'Unassigned [0x9CC2]',
	0x9CC3 : 'Unassigned [0x9CC3]',
	0x9CC4 : 'Unassigned [0x9CC4]',
	0x9CC5 : 'Unassigned [0x9CC5]',
	0x9CC6 : 'Unassigned [0x9CC6]',
	0x9CC7 : 'Unassigned [0x9CC7]',
	0x9CC8 : 'Unassigned [0x9CC8]',
	0x9CC9 : 'Unassigned [0x9CC9]',
	0x9CCA : 'Unassigned [0x9CCA]',
	0x9CCB : 'Unassigned [0x9CCB]',
	0x9CCC : 'Unassigned [0x9CCC]',
	0x9CCD : 'Unassigned [0x9CCD]',
	0x9CCE : 'Unassigned [0x9CCE]',
	0x9CCF : 'Unassigned [0x9CCF]',
	0x9CD0 : 'Unassigned [0x9CD0]',
	0x9CD1 : 'Unassigned [0x9CD1]',
	0x9CD2 : 'Unassigned [0x9CD2]',
	0x9CD3 : 'Unassigned [0x9CD3]',
	0x9CD4 : 'Unassigned [0x9CD4]',
	0x9CD5 : 'Unassigned [0x9CD5]',
	0x9CD6 : 'Unassigned [0x9CD6]',
	0x9CD7 : 'Unassigned [0x9CD7]',
	0x9CD8 : 'Unassigned [0x9CD8]',
	0x9CD9 : 'Unassigned [0x9CD9]',
	0x9CDA : 'Unassigned [0x9CDA]',
	0x9CDB : 'Unassigned [0x9CDB]',
	0x9CDC : 'Unassigned [0x9CDC]',
	0x9CDD : 'Unassigned [0x9CDD]',
	0x9CDE : 'Unassigned [0x9CDE]',
	0x9CDF : 'Unassigned [0x9CDF]',
	0x9CE0 : 'Unassigned [0x9CE0]',
	0x9CE1 : 'Unassigned [0x9CE1]',
	0x9CE2 : 'Unassigned [0x9CE2]',
	0x9CE3 : 'Unassigned [0x9CE3]',
	0x9CE4 : 'Unassigned [0x9CE4]',
	0x9CE5 : 'Unassigned [0x9CE5]',
	0x9CE6 : 'Unassigned [0x9CE6]',
	0x9CE7 : 'Unassigned [0x9CE7]',
	0x9CE8 : 'Unassigned [0x9CE8]',
	0x9CE9 : 'Unassigned [0x9CE9]',
	0x9CEA : 'Unassigned [0x9CEA]',
	0x9CEB : 'Unassigned [0x9CEB]',
	0x9CEC : 'Unassigned [0x9CEC]',
	0x9CED : 'Unassigned [0x9CED]',
	0x9CEE : 'Unassigned [0x9CEE]',
	0x9CEF : 'Unassigned [0x9CEF]',
	0x9CF0 : 'Unassigned [0x9CF0]',
	0x9CF1 : 'Unassigned [0x9CF1]',
	0x9CF2 : 'Unassigned [0x9CF2]',
	0x9CF3 : 'Unassigned [0x9CF3]',
	0x9CF4 : 'Unassigned [0x9CF4]',
	0x9CF5 : 'Unassigned [0x9CF5]',
	0x9CF6 : 'Unassigned [0x9CF6]',
	0x9CF7 : 'Unassigned [0x9CF7]',
	0x9CF8 : 'Unassigned [0x9CF8]',
	0x9CF9 : 'Unassigned [0x9CF9]',
	0x9CFA : 'Unassigned [0x9CFA]',
	0x9CFB : 'Unassigned [0x9CFB]',
	0x9CFC : 'Unassigned [0x9CFC]',
	0x9CFD : 'Unassigned [0x9CFD]',
	0x9CFE : 'Unassigned [0x9CFE]',
	0x9CFF : 'Unassigned [0x9CFF]',
	0x9D00 : 'Unassigned [0x9D00]',
	0x9D01 : 'Unassigned [0x9D01]',
	0x9D02 : 'Unassigned [0x9D02]',
	0x9D03 : 'Unassigned [0x9D03]',
	0x9D04 : 'Unassigned [0x9D04]',
	0x9D05 : 'Unassigned [0x9D05]',
	0x9D06 : 'Unassigned [0x9D06]',
	0x9D07 : 'Unassigned [0x9D07]',
	0x9D08 : 'Unassigned [0x9D08]',
	0x9D09 : 'Unassigned [0x9D09]',
	0x9D0A : 'Unassigned [0x9D0A]',
	0x9D0B : 'Unassigned [0x9D0B]',
	0x9D0C : 'Unassigned [0x9D0C]',
	0x9D0D : 'Unassigned [0x9D0D]',
	0x9D0E : 'Unassigned [0x9D0E]',
	0x9D0F : 'Unassigned [0x9D0F]',
	0x9D10 : 'Unassigned [0x9D10]',
	0x9D11 : 'Unassigned [0x9D11]',
	0x9D12 : 'Unassigned [0x9D12]',
	0x9D13 : 'Unassigned [0x9D13]',
	0x9D14 : 'Unassigned [0x9D14]',
	0x9D15 : 'Unassigned [0x9D15]',
	0x9D16 : 'Unassigned [0x9D16]',
	0x9D17 : 'Unassigned [0x9D17]',
	0x9D18 : 'Unassigned [0x9D18]',
	0x9D19 : 'Unassigned [0x9D19]',
	0x9D1A : 'Unassigned [0x9D1A]',
	0x9D1B : 'Unassigned [0x9D1B]',
	0x9D1C : 'Unassigned [0x9D1C]',
	0x9D1D : 'Unassigned [0x9D1D]',
	0x9D1E : 'Unassigned [0x9D1E]',
	0x9D1F : 'Unassigned [0x9D1F]',
	0x9D20 : 'Unassigned [0x9D20]',
	0x9D21 : 'Unassigned [0x9D21]',
	0x9D22 : 'Unassigned [0x9D22]',
	0x9D23 : 'Unassigned [0x9D23]',
	0x9D24 : 'Unassigned [0x9D24]',
	0x9D25 : 'Unassigned [0x9D25]',
	0x9D26 : 'Unassigned [0x9D26]',
	0x9D27 : 'Unassigned [0x9D27]',
	0x9D28 : 'Unassigned [0x9D28]',
	0x9D29 : 'Unassigned [0x9D29]',
	0x9D2A : 'Unassigned [0x9D2A]',
	0x9D2B : 'Unassigned [0x9D2B]',
	0x9D2C : 'Unassigned [0x9D2C]',
	0x9D2D : 'Unassigned [0x9D2D]',
	0x9D2E : 'Unassigned [0x9D2E]',
	0x9D2F : 'Unassigned [0x9D2F]',
	0x9D30 : 'Unassigned [0x9D30]',
	0x9D31 : 'Unassigned [0x9D31]',
	0x9D32 : 'Unassigned [0x9D32]',
	0x9D33 : 'Unassigned [0x9D33]',
	0x9D34 : 'Unassigned [0x9D34]',
	0x9D35 : 'Unassigned [0x9D35]',
	0x9D36 : 'Unassigned [0x9D36]',
	0x9D37 : 'Unassigned [0x9D37]',
	0x9D38 : 'Unassigned [0x9D38]',
	0x9D39 : 'Unassigned [0x9D39]',
	0x9D3A : 'Unassigned [0x9D3A]',
	0x9D3B : 'Unassigned [0x9D3B]',
	0x9D3C : 'Unassigned [0x9D3C]',
	0x9D3D : 'Unassigned [0x9D3D]',
	0x9D3E : 'Unassigned [0x9D3E]',
	0x9D3F : 'Unassigned [0x9D3F]',
	0x9D40 : 'Unassigned [0x9D40]',
	0x9D41 : 'Unassigned [0x9D41]',
	0x9D42 : 'Unassigned [0x9D42]',
	0x9D43 : 'Unassigned [0x9D43]',
	0x9D44 : 'Unassigned [0x9D44]',
	0x9D45 : 'Unassigned [0x9D45]',
	0x9D46 : 'Unassigned [0x9D46]',
	0x9D47 : 'Unassigned [0x9D47]',
	0x9D48 : 'Unassigned [0x9D48]',
	0x9D49 : 'Unassigned [0x9D49]',
	0x9D4A : 'Unassigned [0x9D4A]',
	0x9D4B : 'Unassigned [0x9D4B]',
	0x9D4C : 'Unassigned [0x9D4C]',
	0x9D4D : 'Unassigned [0x9D4D]',
	0x9D4E : 'Unassigned [0x9D4E]',
	0x9D4F : 'Unassigned [0x9D4F]',
	0x9D50 : 'Unassigned [0x9D50]',
	0x9D51 : 'Unassigned [0x9D51]',
	0x9D52 : 'Unassigned [0x9D52]',
	0x9D53 : 'Unassigned [0x9D53]',
	0x9D54 : 'Unassigned [0x9D54]',
	0x9D55 : 'Unassigned [0x9D55]',
	0x9D56 : 'Unassigned [0x9D56]',
	0x9D57 : 'Unassigned [0x9D57]',
	0x9D58 : 'Unassigned [0x9D58]',
	0x9D59 : 'Unassigned [0x9D59]',
	0x9D5A : 'Unassigned [0x9D5A]',
	0x9D5B : 'Unassigned [0x9D5B]',
	0x9D5C : 'Unassigned [0x9D5C]',
	0x9D5D : 'Unassigned [0x9D5D]',
	0x9D5E : 'Unassigned [0x9D5E]',
	0x9D5F : 'Unassigned [0x9D5F]',
	0x9D60 : 'Unassigned [0x9D60]',
	0x9D61 : 'Unassigned [0x9D61]',
	0x9D62 : 'Unassigned [0x9D62]',
	0x9D63 : 'Unassigned [0x9D63]',
	0x9D64 : 'Unassigned [0x9D64]',
	0x9D65 : 'Unassigned [0x9D65]',
	0x9D66 : 'Unassigned [0x9D66]',
	0x9D67 : 'Unassigned [0x9D67]',
	0x9D68 : 'Unassigned [0x9D68]',
	0x9D69 : 'Unassigned [0x9D69]',
	0x9D6A : 'Unassigned [0x9D6A]',
	0x9D6B : 'Unassigned [0x9D6B]',
	0x9D6C : 'Unassigned [0x9D6C]',
	0x9D6D : 'Unassigned [0x9D6D]',
	0x9D6E : 'Unassigned [0x9D6E]',
	0x9D6F : 'Unassigned [0x9D6F]',
	0x9D70 : 'Unassigned [0x9D70]',
	0x9D71 : 'Unassigned [0x9D71]',
	0x9D72 : 'Unassigned [0x9D72]',
	0x9D73 : 'Unassigned [0x9D73]',
	0x9D74 : 'Unassigned [0x9D74]',
	0x9D75 : 'Unassigned [0x9D75]',
	0x9D76 : 'Unassigned [0x9D76]',
	0x9D77 : 'Unassigned [0x9D77]',
	0x9D78 : 'Unassigned [0x9D78]',
	0x9D79 : 'Unassigned [0x9D79]',
	0x9D7A : 'Unassigned [0x9D7A]',
	0x9D7B : 'Unassigned [0x9D7B]',
	0x9D7C : 'Unassigned [0x9D7C]',
	0x9D7D : 'Unassigned [0x9D7D]',
	0x9D7E : 'Unassigned [0x9D7E]',
	0x9D7F : 'Unassigned [0x9D7F]',
	0x9D80 : 'Unassigned [0x9D80]',
	0x9D81 : 'Unassigned [0x9D81]',
	0x9D82 : 'Unassigned [0x9D82]',
	0x9D83 : 'Unassigned [0x9D83]',
	0x9D84 : 'Unassigned [0x9D84]',
	0x9D85 : 'Unassigned [0x9D85]',
	0x9D86 : 'Unassigned [0x9D86]',
	0x9D87 : 'Unassigned [0x9D87]',
	0x9D88 : 'Unassigned [0x9D88]',
	0x9D89 : 'Unassigned [0x9D89]',
	0x9D8A : 'Unassigned [0x9D8A]',
	0x9D8B : 'Unassigned [0x9D8B]',
	0x9D8C : 'Unassigned [0x9D8C]',
	0x9D8D : 'Unassigned [0x9D8D]',
	0x9D8E : 'Unassigned [0x9D8E]',
	0x9D8F : 'Unassigned [0x9D8F]',
	0x9D90 : 'Unassigned [0x9D90]',
	0x9D91 : 'Unassigned [0x9D91]',
	0x9D92 : 'Unassigned [0x9D92]',
	0x9D93 : 'Unassigned [0x9D93]',
	0x9D94 : 'Unassigned [0x9D94]',
	0x9D95 : 'Unassigned [0x9D95]',
	0x9D96 : 'Unassigned [0x9D96]',
	0x9D97 : 'Unassigned [0x9D97]',
	0x9D98 : 'Unassigned [0x9D98]',
	0x9D99 : 'Unassigned [0x9D99]',
	0x9D9A : 'Unassigned [0x9D9A]',
	0x9D9B : 'Unassigned [0x9D9B]',
	0x9D9C : 'Unassigned [0x9D9C]',
	0x9D9D : 'Unassigned [0x9D9D]',
	0x9D9E : 'Unassigned [0x9D9E]',
	0x9D9F : 'Unassigned [0x9D9F]',
	0x9DA0 : 'Unassigned [0x9DA0]',
	0x9DA1 : 'Unassigned [0x9DA1]',
	0x9DA2 : 'Unassigned [0x9DA2]',
	0x9DA3 : 'Unassigned [0x9DA3]',
	0x9DA4 : 'Unassigned [0x9DA4]',
	0x9DA5 : 'Unassigned [0x9DA5]',
	0x9DA6 : 'Unassigned [0x9DA6]',
	0x9DA7 : 'Unassigned [0x9DA7]',
	0x9DA8 : 'Unassigned [0x9DA8]',
	0x9DA9 : 'Unassigned [0x9DA9]',
	0x9DAA : 'Unassigned [0x9DAA]',
	0x9DAB : 'Unassigned [0x9DAB]',
	0x9DAC : 'Unassigned [0x9DAC]',
	0x9DAD : 'Unassigned [0x9DAD]',
	0x9DAE : 'Unassigned [0x9DAE]',
	0x9DAF : 'Unassigned [0x9DAF]',
	0x9DB0 : 'Unassigned [0x9DB0]',
	0x9DB1 : 'Unassigned [0x9DB1]',
	0x9DB2 : 'Unassigned [0x9DB2]',
	0x9DB3 : 'Unassigned [0x9DB3]',
	0x9DB4 : 'Unassigned [0x9DB4]',
	0x9DB5 : 'Unassigned [0x9DB5]',
	0x9DB6 : 'Unassigned [0x9DB6]',
	0x9DB7 : 'Unassigned [0x9DB7]',
	0x9DB8 : 'Unassigned [0x9DB8]',
	0x9DB9 : 'Unassigned [0x9DB9]',
	0x9DBA : 'Unassigned [0x9DBA]',
	0x9DBB : 'Unassigned [0x9DBB]',
	0x9DBC : 'Unassigned [0x9DBC]',
	0x9DBD : 'Unassigned [0x9DBD]',
	0x9DBE : 'Unassigned [0x9DBE]',
	0x9DBF : 'Unassigned [0x9DBF]',
	0x9DC0 : 'Unassigned [0x9DC0]',
	0x9DC1 : 'Unassigned [0x9DC1]',
	0x9DC2 : 'Unassigned [0x9DC2]',
	0x9DC3 : 'Unassigned [0x9DC3]',
	0x9DC4 : 'Unassigned [0x9DC4]',
	0x9DC5 : 'Unassigned [0x9DC5]',
	0x9DC6 : 'Unassigned [0x9DC6]',
	0x9DC7 : 'Unassigned [0x9DC7]',
	0x9DC8 : 'Unassigned [0x9DC8]',
	0x9DC9 : 'Unassigned [0x9DC9]',
	0x9DCA : 'Unassigned [0x9DCA]',
	0x9DCB : 'Unassigned [0x9DCB]',
	0x9DCC : 'Unassigned [0x9DCC]',
	0x9DCD : 'Unassigned [0x9DCD]',
	0x9DCE : 'Unassigned [0x9DCE]',
	0x9DCF : 'Unassigned [0x9DCF]',
	0x9DD0 : 'Unassigned [0x9DD0]',
	0x9DD1 : 'Unassigned [0x9DD1]',
	0x9DD2 : 'Unassigned [0x9DD2]',
	0x9DD3 : 'Unassigned [0x9DD3]',
	0x9DD4 : 'Unassigned [0x9DD4]',
	0x9DD5 : 'Unassigned [0x9DD5]',
	0x9DD6 : 'Unassigned [0x9DD6]',
	0x9DD7 : 'Unassigned [0x9DD7]',
	0x9DD8 : 'Unassigned [0x9DD8]',
	0x9DD9 : 'Unassigned [0x9DD9]',
	0x9DDA : 'Unassigned [0x9DDA]',
	0x9DDB : 'Unassigned [0x9DDB]',
	0x9DDC : 'Unassigned [0x9DDC]',
	0x9DDD : 'Unassigned [0x9DDD]',
	0x9DDE : 'Unassigned [0x9DDE]',
	0x9DDF : 'Unassigned [0x9DDF]',
	0x9DE0 : 'Unassigned [0x9DE0]',
	0x9DE1 : 'Unassigned [0x9DE1]',
	0x9DE2 : 'Unassigned [0x9DE2]',
	0x9DE3 : 'Unassigned [0x9DE3]',
	0x9DE4 : 'Unassigned [0x9DE4]',
	0x9DE5 : 'Unassigned [0x9DE5]',
	0x9DE6 : 'Unassigned [0x9DE6]',
	0x9DE7 : 'Unassigned [0x9DE7]',
	0x9DE8 : 'Unassigned [0x9DE8]',
	0x9DE9 : 'Unassigned [0x9DE9]',
	0x9DEA : 'Unassigned [0x9DEA]',
	0x9DEB : 'Unassigned [0x9DEB]',
	0x9DEC : 'Unassigned [0x9DEC]',
	0x9DED : 'Unassigned [0x9DED]',
	0x9DEE : 'Unassigned [0x9DEE]',
	0x9DEF : 'Unassigned [0x9DEF]',
	0x9DF0 : 'Unassigned [0x9DF0]',
	0x9DF1 : 'Unassigned [0x9DF1]',
	0x9DF2 : 'Unassigned [0x9DF2]',
	0x9DF3 : 'Unassigned [0x9DF3]',
	0x9DF4 : 'Unassigned [0x9DF4]',
	0x9DF5 : 'Unassigned [0x9DF5]',
	0x9DF6 : 'Unassigned [0x9DF6]',
	0x9DF7 : 'Unassigned [0x9DF7]',
	0x9DF8 : 'Unassigned [0x9DF8]',
	0x9DF9 : 'Unassigned [0x9DF9]',
	0x9DFA : 'Unassigned [0x9DFA]',
	0x9DFB : 'Unassigned [0x9DFB]',
	0x9DFC : 'Unassigned [0x9DFC]',
	0x9DFD : 'Unassigned [0x9DFD]',
	0x9DFE : 'Unassigned [0x9DFE]',
	0x9DFF : 'Unassigned [0x9DFF]',
	0x9E00 : 'Unassigned [0x9E00]',
	0x9E01 : 'Unassigned [0x9E01]',
	0x9E02 : 'Unassigned [0x9E02]',
	0x9E03 : 'Unassigned [0x9E03]',
	0x9E04 : 'Unassigned [0x9E04]',
	0x9E05 : 'Unassigned [0x9E05]',
	0x9E06 : 'Unassigned [0x9E06]',
	0x9E07 : 'Unassigned [0x9E07]',
	0x9E08 : 'Unassigned [0x9E08]',
	0x9E09 : 'Unassigned [0x9E09]',
	0x9E0A : 'Unassigned [0x9E0A]',
	0x9E0B : 'Unassigned [0x9E0B]',
	0x9E0C : 'Unassigned [0x9E0C]',
	0x9E0D : 'Unassigned [0x9E0D]',
	0x9E0E : 'Unassigned [0x9E0E]',
	0x9E0F : 'Unassigned [0x9E0F]',
	0x9E10 : 'Unassigned [0x9E10]',
	0x9E11 : 'Unassigned [0x9E11]',
	0x9E12 : 'Unassigned [0x9E12]',
	0x9E13 : 'Unassigned [0x9E13]',
	0x9E14 : 'Unassigned [0x9E14]',
	0x9E15 : 'Unassigned [0x9E15]',
	0x9E16 : 'Unassigned [0x9E16]',
	0x9E17 : 'Unassigned [0x9E17]',
	0x9E18 : 'Unassigned [0x9E18]',
	0x9E19 : 'Unassigned [0x9E19]',
	0x9E1A : 'Unassigned [0x9E1A]',
	0x9E1B : 'Unassigned [0x9E1B]',
	0x9E1C : 'Unassigned [0x9E1C]',
	0x9E1D : 'Unassigned [0x9E1D]',
	0x9E1E : 'Unassigned [0x9E1E]',
	0x9E1F : 'Unassigned [0x9E1F]',
	0x9E20 : 'Unassigned [0x9E20]',
	0x9E21 : 'Unassigned [0x9E21]',
	0x9E22 : 'Unassigned [0x9E22]',
	0x9E23 : 'Unassigned [0x9E23]',
	0x9E24 : 'Unassigned [0x9E24]',
	0x9E25 : 'Unassigned [0x9E25]',
	0x9E26 : 'Unassigned [0x9E26]',
	0x9E27 : 'Unassigned [0x9E27]',
	0x9E28 : 'Unassigned [0x9E28]',
	0x9E29 : 'Unassigned [0x9E29]',
	0x9E2A : 'Unassigned [0x9E2A]',
	0x9E2B : 'Unassigned [0x9E2B]',
	0x9E2C : 'Unassigned [0x9E2C]',
	0x9E2D : 'Unassigned [0x9E2D]',
	0x9E2E : 'Unassigned [0x9E2E]',
	0x9E2F : 'Unassigned [0x9E2F]',
	0x9E30 : 'Unassigned [0x9E30]',
	0x9E31 : 'Unassigned [0x9E31]',
	0x9E32 : 'Unassigned [0x9E32]',
	0x9E33 : 'Unassigned [0x9E33]',
	0x9E34 : 'Unassigned [0x9E34]',
	0x9E35 : 'Unassigned [0x9E35]',
	0x9E36 : 'Unassigned [0x9E36]',
	0x9E37 : 'Unassigned [0x9E37]',
	0x9E38 : 'Unassigned [0x9E38]',
	0x9E39 : 'Unassigned [0x9E39]',
	0x9E3A : 'Unassigned [0x9E3A]',
	0x9E3B : 'Unassigned [0x9E3B]',
	0x9E3C : 'Unassigned [0x9E3C]',
	0x9E3D : 'Unassigned [0x9E3D]',
	0x9E3E : 'Unassigned [0x9E3E]',
	0x9E3F : 'Unassigned [0x9E3F]',
	0x9E40 : 'Unassigned [0x9E40]',
	0x9E41 : 'Unassigned [0x9E41]',
	0x9E42 : 'Unassigned [0x9E42]',
	0x9E43 : 'Unassigned [0x9E43]',
	0x9E44 : 'Unassigned [0x9E44]',
	0x9E45 : 'Unassigned [0x9E45]',
	0x9E46 : 'Unassigned [0x9E46]',
	0x9E47 : 'Unassigned [0x9E47]',
	0x9E48 : 'Unassigned [0x9E48]',
	0x9E49 : 'Unassigned [0x9E49]',
	0x9E4A : 'Unassigned [0x9E4A]',
	0x9E4B : 'Unassigned [0x9E4B]',
	0x9E4C : 'Unassigned [0x9E4C]',
	0x9E4D : 'Unassigned [0x9E4D]',
	0x9E4E : 'Unassigned [0x9E4E]',
	0x9E4F : 'Unassigned [0x9E4F]',
	0x9E50 : 'Unassigned [0x9E50]',
	0x9E51 : 'Unassigned [0x9E51]',
	0x9E52 : 'Unassigned [0x9E52]',
	0x9E53 : 'Unassigned [0x9E53]',
	0x9E54 : 'Unassigned [0x9E54]',
	0x9E55 : 'Unassigned [0x9E55]',
	0x9E56 : 'Unassigned [0x9E56]',
	0x9E57 : 'Unassigned [0x9E57]',
	0x9E58 : 'Unassigned [0x9E58]',
	0x9E59 : 'Unassigned [0x9E59]',
	0x9E5A : 'Unassigned [0x9E5A]',
	0x9E5B : 'Unassigned [0x9E5B]',
	0x9E5C : 'Unassigned [0x9E5C]',
	0x9E5D : 'Unassigned [0x9E5D]',
	0x9E5E : 'Unassigned [0x9E5E]',
	0x9E5F : 'Unassigned [0x9E5F]',
	0x9E60 : 'Unassigned [0x9E60]',
	0x9E61 : 'Unassigned [0x9E61]',
	0x9E62 : 'Unassigned [0x9E62]',
	0x9E63 : 'Unassigned [0x9E63]',
	0x9E64 : 'Unassigned [0x9E64]',
	0x9E65 : 'Unassigned [0x9E65]',
	0x9E66 : 'Unassigned [0x9E66]',
	0x9E67 : 'Unassigned [0x9E67]',
	0x9E68 : 'Unassigned [0x9E68]',
	0x9E69 : 'Unassigned [0x9E69]',
	0x9E6A : 'Unassigned [0x9E6A]',
	0x9E6B : 'Unassigned [0x9E6B]',
	0x9E6C : 'Unassigned [0x9E6C]',
	0x9E6D : 'Unassigned [0x9E6D]',
	0x9E6E : 'Unassigned [0x9E6E]',
	0x9E6F : 'Unassigned [0x9E6F]',
	0x9E70 : 'Unassigned [0x9E70]',
	0x9E71 : 'Unassigned [0x9E71]',
	0x9E72 : 'Unassigned [0x9E72]',
	0x9E73 : 'Unassigned [0x9E73]',
	0x9E74 : 'Unassigned [0x9E74]',
	0x9E75 : 'Unassigned [0x9E75]',
	0x9E76 : 'Unassigned [0x9E76]',
	0x9E77 : 'Unassigned [0x9E77]',
	0x9E78 : 'Unassigned [0x9E78]',
	0x9E79 : 'Unassigned [0x9E79]',
	0x9E7A : 'Unassigned [0x9E7A]',
	0x9E7B : 'Unassigned [0x9E7B]',
	0x9E7C : 'Unassigned [0x9E7C]',
	0x9E7D : 'Unassigned [0x9E7D]',
	0x9E7E : 'Unassigned [0x9E7E]',
	0x9E7F : 'Unassigned [0x9E7F]',
	0x9E80 : 'Unassigned [0x9E80]',
	0x9E81 : 'Unassigned [0x9E81]',
	0x9E82 : 'Unassigned [0x9E82]',
	0x9E83 : 'Unassigned [0x9E83]',
	0x9E84 : 'Unassigned [0x9E84]',
	0x9E85 : 'Unassigned [0x9E85]',
	0x9E86 : 'Unassigned [0x9E86]',
	0x9E87 : 'Unassigned [0x9E87]',
	0x9E88 : 'Unassigned [0x9E88]',
	0x9E89 : 'Unassigned [0x9E89]',
	0x9E8A : 'Unassigned [0x9E8A]',
	0x9E8B : 'Unassigned [0x9E8B]',
	0x9E8C : 'Unassigned [0x9E8C]',
	0x9E8D : 'Unassigned [0x9E8D]',
	0x9E8E : 'Unassigned [0x9E8E]',
	0x9E8F : 'Unassigned [0x9E8F]',
	0x9E90 : 'Unassigned [0x9E90]',
	0x9E91 : 'Unassigned [0x9E91]',
	0x9E92 : 'Unassigned [0x9E92]',
	0x9E93 : 'Unassigned [0x9E93]',
	0x9E94 : 'Unassigned [0x9E94]',
	0x9E95 : 'Unassigned [0x9E95]',
	0x9E96 : 'Unassigned [0x9E96]',
	0x9E97 : 'Unassigned [0x9E97]',
	0x9E98 : 'Unassigned [0x9E98]',
	0x9E99 : 'Unassigned [0x9E99]',
	0x9E9A : 'Unassigned [0x9E9A]',
	0x9E9B : 'Unassigned [0x9E9B]',
	0x9E9C : 'Unassigned [0x9E9C]',
	0x9E9D : 'Unassigned [0x9E9D]',
	0x9E9E : 'Unassigned [0x9E9E]',
	0x9E9F : 'Unassigned [0x9E9F]',
	0x9EA0 : 'Unassigned [0x9EA0]',
	0x9EA1 : 'Unassigned [0x9EA1]',
	0x9EA2 : 'Unassigned [0x9EA2]',
	0x9EA3 : 'Unassigned [0x9EA3]',
	0x9EA4 : 'Unassigned [0x9EA4]',
	0x9EA5 : 'Unassigned [0x9EA5]',
	0x9EA6 : 'Unassigned [0x9EA6]',
	0x9EA7 : 'Unassigned [0x9EA7]',
	0x9EA8 : 'Unassigned [0x9EA8]',
	0x9EA9 : 'Unassigned [0x9EA9]',
	0x9EAA : 'Unassigned [0x9EAA]',
	0x9EAB : 'Unassigned [0x9EAB]',
	0x9EAC : 'Unassigned [0x9EAC]',
	0x9EAD : 'Unassigned [0x9EAD]',
	0x9EAE : 'Unassigned [0x9EAE]',
	0x9EAF : 'Unassigned [0x9EAF]',
	0x9EB0 : 'Unassigned [0x9EB0]',
	0x9EB1 : 'Unassigned [0x9EB1]',
	0x9EB2 : 'Unassigned [0x9EB2]',
	0x9EB3 : 'Unassigned [0x9EB3]',
	0x9EB4 : 'Unassigned [0x9EB4]',
	0x9EB5 : 'Unassigned [0x9EB5]',
	0x9EB6 : 'Unassigned [0x9EB6]',
	0x9EB7 : 'Unassigned [0x9EB7]',
	0x9EB8 : 'Unassigned [0x9EB8]',
	0x9EB9 : 'Unassigned [0x9EB9]',
	0x9EBA : 'Unassigned [0x9EBA]',
	0x9EBB : 'Unassigned [0x9EBB]',
	0x9EBC : 'Unassigned [0x9EBC]',
	0x9EBD : 'Unassigned [0x9EBD]',
	0x9EBE : 'Unassigned [0x9EBE]',
	0x9EBF : 'Unassigned [0x9EBF]',
	0x9EC0 : 'Unassigned [0x9EC0]',
	0x9EC1 : 'Unassigned [0x9EC1]',
	0x9EC2 : 'Unassigned [0x9EC2]',
	0x9EC3 : 'Unassigned [0x9EC3]',
	0x9EC4 : 'Unassigned [0x9EC4]',
	0x9EC5 : 'Unassigned [0x9EC5]',
	0x9EC6 : 'Unassigned [0x9EC6]',
	0x9EC7 : 'Unassigned [0x9EC7]',
	0x9EC8 : 'Unassigned [0x9EC8]',
	0x9EC9 : 'Unassigned [0x9EC9]',
	0x9ECA : 'Unassigned [0x9ECA]',
	0x9ECB : 'Unassigned [0x9ECB]',
	0x9ECC : 'Unassigned [0x9ECC]',
	0x9ECD : 'Unassigned [0x9ECD]',
	0x9ECE : 'Unassigned [0x9ECE]',
	0x9ECF : 'Unassigned [0x9ECF]',
	0x9ED0 : 'Unassigned [0x9ED0]',
	0x9ED1 : 'Unassigned [0x9ED1]',
	0x9ED2 : 'Unassigned [0x9ED2]',
	0x9ED3 : 'Unassigned [0x9ED3]',
	0x9ED4 : 'Unassigned [0x9ED4]',
	0x9ED5 : 'Unassigned [0x9ED5]',
	0x9ED6 : 'Unassigned [0x9ED6]',
	0x9ED7 : 'Unassigned [0x9ED7]',
	0x9ED8 : 'Unassigned [0x9ED8]',
	0x9ED9 : 'Unassigned [0x9ED9]',
	0x9EDA : 'Unassigned [0x9EDA]',
	0x9EDB : 'Unassigned [0x9EDB]',
	0x9EDC : 'Unassigned [0x9EDC]',
	0x9EDD : 'Unassigned [0x9EDD]',
	0x9EDE : 'Unassigned [0x9EDE]',
	0x9EDF : 'Unassigned [0x9EDF]',
	0x9EE0 : 'Unassigned [0x9EE0]',
	0x9EE1 : 'Unassigned [0x9EE1]',
	0x9EE2 : 'Unassigned [0x9EE2]',
	0x9EE3 : 'Unassigned [0x9EE3]',
	0x9EE4 : 'Unassigned [0x9EE4]',
	0x9EE5 : 'Unassigned [0x9EE5]',
	0x9EE6 : 'Unassigned [0x9EE6]',
	0x9EE7 : 'Unassigned [0x9EE7]',
	0x9EE8 : 'Unassigned [0x9EE8]',
	0x9EE9 : 'Unassigned [0x9EE9]',
	0x9EEA : 'Unassigned [0x9EEA]',
	0x9EEB : 'Unassigned [0x9EEB]',
	0x9EEC : 'Unassigned [0x9EEC]',
	0x9EED : 'Unassigned [0x9EED]',
	0x9EEE : 'Unassigned [0x9EEE]',
	0x9EEF : 'Unassigned [0x9EEF]',
	0x9EF0 : 'Unassigned [0x9EF0]',
	0x9EF1 : 'Unassigned [0x9EF1]',
	0x9EF2 : 'Unassigned [0x9EF2]',
	0x9EF3 : 'Unassigned [0x9EF3]',
	0x9EF4 : 'Unassigned [0x9EF4]',
	0x9EF5 : 'Unassigned [0x9EF5]',
	0x9EF6 : 'Unassigned [0x9EF6]',
	0x9EF7 : 'Unassigned [0x9EF7]',
	0x9EF8 : 'Unassigned [0x9EF8]',
	0x9EF9 : 'Unassigned [0x9EF9]',
	0x9EFA : 'Unassigned [0x9EFA]',
	0x9EFB : 'Unassigned [0x9EFB]',
	0x9EFC : 'Unassigned [0x9EFC]',
	0x9EFD : 'Unassigned [0x9EFD]',
	0x9EFE : 'Unassigned [0x9EFE]',
	0x9EFF : 'Unassigned [0x9EFF]',
	0x9F00 : 'Unassigned [0x9F00]',
	0x9F01 : 'Unassigned [0x9F01]',
	0x9F02 : 'Unassigned [0x9F02]',
	0x9F03 : 'Unassigned [0x9F03]',
	0x9F04 : 'Unassigned [0x9F04]',
	0x9F05 : 'Unassigned [0x9F05]',
	0x9F06 : 'Unassigned [0x9F06]',
	0x9F07 : 'Unassigned [0x9F07]',
	0x9F08 : 'Unassigned [0x9F08]',
	0x9F09 : 'Unassigned [0x9F09]',
	0x9F0A : 'Unassigned [0x9F0A]',
	0x9F0B : 'Unassigned [0x9F0B]',
	0x9F0C : 'Unassigned [0x9F0C]',
	0x9F0D : 'Unassigned [0x9F0D]',
	0x9F0E : 'Unassigned [0x9F0E]',
	0x9F0F : 'Unassigned [0x9F0F]',
	0x9F10 : 'Unassigned [0x9F10]',
	0x9F11 : 'Unassigned [0x9F11]',
	0x9F12 : 'Unassigned [0x9F12]',
	0x9F13 : 'Unassigned [0x9F13]',
	0x9F14 : 'Unassigned [0x9F14]',
	0x9F15 : 'Unassigned [0x9F15]',
	0x9F16 : 'Unassigned [0x9F16]',
	0x9F17 : 'Unassigned [0x9F17]',
	0x9F18 : 'Unassigned [0x9F18]',
	0x9F19 : 'Unassigned [0x9F19]',
	0x9F1A : 'Unassigned [0x9F1A]',
	0x9F1B : 'Unassigned [0x9F1B]',
	0x9F1C : 'Unassigned [0x9F1C]',
	0x9F1D : 'Unassigned [0x9F1D]',
	0x9F1E : 'Unassigned [0x9F1E]',
	0x9F1F : 'Unassigned [0x9F1F]',
	0x9F20 : 'Unassigned [0x9F20]',
	0x9F21 : 'Unassigned [0x9F21]',
	0x9F22 : 'Unassigned [0x9F22]',
	0x9F23 : 'Unassigned [0x9F23]',
	0x9F24 : 'Unassigned [0x9F24]',
	0x9F25 : 'Unassigned [0x9F25]',
	0x9F26 : 'Unassigned [0x9F26]',
	0x9F27 : 'Unassigned [0x9F27]',
	0x9F28 : 'Unassigned [0x9F28]',
	0x9F29 : 'Unassigned [0x9F29]',
	0x9F2A : 'Unassigned [0x9F2A]',
	0x9F2B : 'Unassigned [0x9F2B]',
	0x9F2C : 'Unassigned [0x9F2C]',
	0x9F2D : 'Unassigned [0x9F2D]',
	0x9F2E : 'Unassigned [0x9F2E]',
	0x9F2F : 'Unassigned [0x9F2F]',
	0x9F30 : 'Unassigned [0x9F30]',
	0x9F31 : 'Unassigned [0x9F31]',
	0x9F32 : 'Unassigned [0x9F32]',
	0x9F33 : 'Unassigned [0x9F33]',
	0x9F34 : 'Unassigned [0x9F34]',
	0x9F35 : 'Unassigned [0x9F35]',
	0x9F36 : 'Unassigned [0x9F36]',
	0x9F37 : 'Unassigned [0x9F37]',
	0x9F38 : 'Unassigned [0x9F38]',
	0x9F39 : 'Unassigned [0x9F39]',
	0x9F3A : 'Unassigned [0x9F3A]',
	0x9F3B : 'Unassigned [0x9F3B]',
	0x9F3C : 'Unassigned [0x9F3C]',
	0x9F3D : 'Unassigned [0x9F3D]',
	0x9F3E : 'Unassigned [0x9F3E]',
	0x9F3F : 'Unassigned [0x9F3F]',
	0x9F40 : 'Unassigned [0x9F40]',
	0x9F41 : 'Unassigned [0x9F41]',
	0x9F42 : 'Unassigned [0x9F42]',
	0x9F43 : 'Unassigned [0x9F43]',
	0x9F44 : 'Unassigned [0x9F44]',
	0x9F45 : 'Unassigned [0x9F45]',
	0x9F46 : 'Unassigned [0x9F46]',
	0x9F47 : 'Unassigned [0x9F47]',
	0x9F48 : 'Unassigned [0x9F48]',
	0x9F49 : 'Unassigned [0x9F49]',
	0x9F4A : 'Unassigned [0x9F4A]',
	0x9F4B : 'Unassigned [0x9F4B]',
	0x9F4C : 'Unassigned [0x9F4C]',
	0x9F4D : 'Unassigned [0x9F4D]',
	0x9F4E : 'Unassigned [0x9F4E]',
	0x9F4F : 'Unassigned [0x9F4F]',
	0x9F50 : 'Unassigned [0x9F50]',
	0x9F51 : 'Unassigned [0x9F51]',
	0x9F52 : 'Unassigned [0x9F52]',
	0x9F53 : 'Unassigned [0x9F53]',
	0x9F54 : 'Unassigned [0x9F54]',
	0x9F55 : 'Unassigned [0x9F55]',
	0x9F56 : 'Unassigned [0x9F56]',
	0x9F57 : 'Unassigned [0x9F57]',
	0x9F58 : 'Unassigned [0x9F58]',
	0x9F59 : 'Unassigned [0x9F59]',
	0x9F5A : 'Unassigned [0x9F5A]',
	0x9F5B : 'Unassigned [0x9F5B]',
	0x9F5C : 'Unassigned [0x9F5C]',
	0x9F5D : 'Unassigned [0x9F5D]',
	0x9F5E : 'Unassigned [0x9F5E]',
	0x9F5F : 'Unassigned [0x9F5F]',
	0x9F60 : 'Unassigned [0x9F60]',
	0x9F61 : 'Unassigned [0x9F61]',
	0x9F62 : 'Unassigned [0x9F62]',
	0x9F63 : 'Unassigned [0x9F63]',
	0x9F64 : 'Unassigned [0x9F64]',
	0x9F65 : 'Unassigned [0x9F65]',
	0x9F66 : 'Unassigned [0x9F66]',
	0x9F67 : 'Unassigned [0x9F67]',
	0x9F68 : 'Unassigned [0x9F68]',
	0x9F69 : 'Unassigned [0x9F69]',
	0x9F6A : 'Unassigned [0x9F6A]',
	0x9F6B : 'Unassigned [0x9F6B]',
	0x9F6C : 'Unassigned [0x9F6C]',
	0x9F6D : 'Unassigned [0x9F6D]',
	0x9F6E : 'Unassigned [0x9F6E]',
	0x9F6F : 'Unassigned [0x9F6F]',
	0x9F70 : 'Unassigned [0x9F70]',
	0x9F71 : 'Unassigned [0x9F71]',
	0x9F72 : 'Unassigned [0x9F72]',
	0x9F73 : 'Unassigned [0x9F73]',
	0x9F74 : 'Unassigned [0x9F74]',
	0x9F75 : 'Unassigned [0x9F75]',
	0x9F76 : 'Unassigned [0x9F76]',
	0x9F77 : 'Unassigned [0x9F77]',
	0x9F78 : 'Unassigned [0x9F78]',
	0x9F79 : 'Unassigned [0x9F79]',
	0x9F7A : 'Unassigned [0x9F7A]',
	0x9F7B : 'Unassigned [0x9F7B]',
	0x9F7C : 'Unassigned [0x9F7C]',
	0x9F7D : 'Unassigned [0x9F7D]',
	0x9F7E : 'Unassigned [0x9F7E]',
	0x9F7F : 'Unassigned [0x9F7F]',
	0x9F80 : 'Unassigned [0x9F80]',
	0x9F81 : 'Unassigned [0x9F81]',
	0x9F82 : 'Unassigned [0x9F82]',
	0x9F83 : 'Unassigned [0x9F83]',
	0x9F84 : 'Unassigned [0x9F84]',
	0x9F85 : 'Unassigned [0x9F85]',
	0x9F86 : 'Unassigned [0x9F86]',
	0x9F87 : 'Unassigned [0x9F87]',
	0x9F88 : 'Unassigned [0x9F88]',
	0x9F89 : 'Unassigned [0x9F89]',
	0x9F8A : 'Unassigned [0x9F8A]',
	0x9F8B : 'Unassigned [0x9F8B]',
	0x9F8C : 'Unassigned [0x9F8C]',
	0x9F8D : 'Unassigned [0x9F8D]',
	0x9F8E : 'Unassigned [0x9F8E]',
	0x9F8F : 'Unassigned [0x9F8F]',
	0x9F90 : 'Unassigned [0x9F90]',
	0x9F91 : 'Unassigned [0x9F91]',
	0x9F92 : 'Unassigned [0x9F92]',
	0x9F93 : 'Unassigned [0x9F93]',
	0x9F94 : 'Unassigned [0x9F94]',
	0x9F95 : 'Unassigned [0x9F95]',
	0x9F96 : 'Unassigned [0x9F96]',
	0x9F97 : 'Unassigned [0x9F97]',
	0x9F98 : 'Unassigned [0x9F98]',
	0x9F99 : 'Unassigned [0x9F99]',
	0x9F9A : 'Unassigned [0x9F9A]',
	0x9F9B : 'Unassigned [0x9F9B]',
	0x9F9C : 'Unassigned [0x9F9C]',
	0x9F9D : 'Unassigned [0x9F9D]',
	0x9F9E : 'Unassigned [0x9F9E]',
	0x9F9F : 'Unassigned [0x9F9F]',
	0x9FA0 : 'Unassigned [0x9FA0]',
	0x9FA1 : 'Unassigned [0x9FA1]',
	0x9FA2 : 'Unassigned [0x9FA2]',
	0x9FA3 : 'Unassigned [0x9FA3]',
	0x9FA4 : 'Unassigned [0x9FA4]',
	0x9FA5 : 'Unassigned [0x9FA5]',
	0x9FA6 : 'Unassigned [0x9FA6]',
	0x9FA7 : 'Unassigned [0x9FA7]',
	0x9FA8 : 'Unassigned [0x9FA8]',
	0x9FA9 : 'Unassigned [0x9FA9]',
	0x9FAA : 'Unassigned [0x9FAA]',
	0x9FAB : 'Unassigned [0x9FAB]',
	0x9FAC : 'Unassigned [0x9FAC]',
	0x9FAD : 'Unassigned [0x9FAD]',
	0x9FAE : 'Unassigned [0x9FAE]',
	0x9FAF : 'Unassigned [0x9FAF]',
	0x9FB0 : 'Unassigned [0x9FB0]',
	0x9FB1 : 'Unassigned [0x9FB1]',
	0x9FB2 : 'Unassigned [0x9FB2]',
	0x9FB3 : 'Unassigned [0x9FB3]',
	0x9FB4 : 'Unassigned [0x9FB4]',
	0x9FB5 : 'Unassigned [0x9FB5]',
	0x9FB6 : 'Unassigned [0x9FB6]',
	0x9FB7 : 'Unassigned [0x9FB7]',
	0x9FB8 : 'Unassigned [0x9FB8]',
	0x9FB9 : 'Unassigned [0x9FB9]',
	0x9FBA : 'Unassigned [0x9FBA]',
	0x9FBB : 'Unassigned [0x9FBB]',
	0x9FBC : 'Unassigned [0x9FBC]',
	0x9FBD : 'Unassigned [0x9FBD]',
	0x9FBE : 'Unassigned [0x9FBE]',
	0x9FBF : 'Unassigned [0x9FBF]',
	0x9FC0 : 'Unassigned [0x9FC0]',
	0x9FC1 : 'Unassigned [0x9FC1]',
	0x9FC2 : 'Unassigned [0x9FC2]',
	0x9FC3 : 'Unassigned [0x9FC3]',
	0x9FC4 : 'Unassigned [0x9FC4]',
	0x9FC5 : 'Unassigned [0x9FC5]',
	0x9FC6 : 'Unassigned [0x9FC6]',
	0x9FC7 : 'Unassigned [0x9FC7]',
	0x9FC8 : 'Unassigned [0x9FC8]',
	0x9FC9 : 'Unassigned [0x9FC9]',
	0x9FCA : 'Unassigned [0x9FCA]',
	0x9FCB : 'Unassigned [0x9FCB]',
	0x9FCC : 'Unassigned [0x9FCC]',
	0x9FCD : 'Unassigned [0x9FCD]',
	0x9FCE : 'Unassigned [0x9FCE]',
	0x9FCF : 'Unassigned [0x9FCF]',
	0x9FD0 : 'Unassigned [0x9FD0]',
	0x9FD1 : 'Unassigned [0x9FD1]',
	0x9FD2 : 'Unassigned [0x9FD2]',
	0x9FD3 : 'Unassigned [0x9FD3]',
	0x9FD4 : 'Unassigned [0x9FD4]',
	0x9FD5 : 'Unassigned [0x9FD5]',
	0x9FD6 : 'Unassigned [0x9FD6]',
	0x9FD7 : 'Unassigned [0x9FD7]',
	0x9FD8 : 'Unassigned [0x9FD8]',
	0x9FD9 : 'Unassigned [0x9FD9]',
	0x9FDA : 'Unassigned [0x9FDA]',
	0x9FDB : 'Unassigned [0x9FDB]',
	0x9FDC : 'Unassigned [0x9FDC]',
	0x9FDD : 'Unassigned [0x9FDD]',
	0x9FDE : 'Unassigned [0x9FDE]',
	0x9FDF : 'Unassigned [0x9FDF]',
	0x9FE0 : 'Unassigned [0x9FE0]',
	0x9FE1 : 'Unassigned [0x9FE1]',
	0x9FE2 : 'Unassigned [0x9FE2]',
	0x9FE3 : 'Unassigned [0x9FE3]',
	0x9FE4 : 'Unassigned [0x9FE4]',
	0x9FE5 : 'Unassigned [0x9FE5]',
	0x9FE6 : 'Unassigned [0x9FE6]',
	0x9FE7 : 'Unassigned [0x9FE7]',
	0x9FE8 : 'Unassigned [0x9FE8]',
	0x9FE9 : 'Unassigned [0x9FE9]',
	0x9FEA : 'Unassigned [0x9FEA]',
	0x9FEB : 'Unassigned [0x9FEB]',
	0x9FEC : 'Unassigned [0x9FEC]',
	0x9FED : 'Unassigned [0x9FED]',
	0x9FEE : 'Unassigned [0x9FEE]',
	0x9FEF : 'Unassigned [0x9FEF]',
	0x9FF0 : 'Unassigned [0x9FF0]',
	0x9FF1 : 'Unassigned [0x9FF1]',
	0x9FF2 : 'Unassigned [0x9FF2]',
	0x9FF3 : 'Unassigned [0x9FF3]',
	0x9FF4 : 'Unassigned [0x9FF4]',
	0x9FF5 : 'Unassigned [0x9FF5]',
	0x9FF6 : 'Unassigned [0x9FF6]',
	0x9FF7 : 'Unassigned [0x9FF7]',
	0x9FF8 : 'Unassigned [0x9FF8]',
	0x9FF9 : 'Unassigned [0x9FF9]',
	0x9FFA : 'Unassigned [0x9FFA]',
	0x9FFB : 'Unassigned [0x9FFB]',
	0x9FFC : 'Unassigned [0x9FFC]',
	0x9FFD : 'Unassigned [0x9FFD]',
	0x9FFE : 'Unassigned [0x9FFE]',
	0x9FFF : 'Unassigned [0x9FFF]',
	0xA000 : 'Unassigned [0xA000]',
	0xA001 : 'Unassigned [0xA001]',
	0xA002 : 'Unassigned [0xA002]',
	0xA003 : 'Unassigned [0xA003]',
	0xA004 : 'Unassigned [0xA004]',
	0xA005 : 'Unassigned [0xA005]',
	0xA006 : 'Unassigned [0xA006]',
	0xA007 : 'Unassigned [0xA007]',
	0xA008 : 'Unassigned [0xA008]',
	0xA009 : 'Unassigned [0xA009]',
	0xA00A : 'Unassigned [0xA00A]',
	0xA00B : 'Unassigned [0xA00B]',
	0xA00C : 'Unassigned [0xA00C]',
	0xA00D : 'Unassigned [0xA00D]',
	0xA00E : 'Unassigned [0xA00E]',
	0xA00F : 'Unassigned [0xA00F]',
	0xA010 : 'Unassigned [0xA010]',
	0xA011 : 'Unassigned [0xA011]',
	0xA012 : 'Unassigned [0xA012]',
	0xA013 : 'Unassigned [0xA013]',
	0xA014 : 'Unassigned [0xA014]',
	0xA015 : 'Unassigned [0xA015]',
	0xA016 : 'Unassigned [0xA016]',
	0xA017 : 'Unassigned [0xA017]',
	0xA018 : 'Unassigned [0xA018]',
	0xA019 : 'Unassigned [0xA019]',
	0xA01A : 'Unassigned [0xA01A]',
	0xA01B : 'Unassigned [0xA01B]',
	0xA01C : 'Unassigned [0xA01C]',
	0xA01D : 'Unassigned [0xA01D]',
	0xA01E : 'Unassigned [0xA01E]',
	0xA01F : 'Unassigned [0xA01F]',
	0xA020 : 'Unassigned [0xA020]',
	0xA021 : 'Unassigned [0xA021]',
	0xA022 : 'Unassigned [0xA022]',
	0xA023 : 'Unassigned [0xA023]',
	0xA024 : 'Unassigned [0xA024]',
	0xA025 : 'Unassigned [0xA025]',
	0xA026 : 'Unassigned [0xA026]',
	0xA027 : 'Unassigned [0xA027]',
	0xA028 : 'Unassigned [0xA028]',
	0xA029 : 'Unassigned [0xA029]',
	0xA02A : 'Unassigned [0xA02A]',
	0xA02B : 'Unassigned [0xA02B]',
	0xA02C : 'Unassigned [0xA02C]',
	0xA02D : 'Unassigned [0xA02D]',
	0xA02E : 'Unassigned [0xA02E]',
	0xA02F : 'Unassigned [0xA02F]',
	0xA030 : 'Unassigned [0xA030]',
	0xA031 : 'Unassigned [0xA031]',
	0xA032 : 'Unassigned [0xA032]',
	0xA033 : 'Unassigned [0xA033]',
	0xA034 : 'Unassigned [0xA034]',
	0xA035 : 'Unassigned [0xA035]',
	0xA036 : 'Unassigned [0xA036]',
	0xA037 : 'Unassigned [0xA037]',
	0xA038 : 'Unassigned [0xA038]',
	0xA039 : 'Unassigned [0xA039]',
	0xA03A : 'Unassigned [0xA03A]',
	0xA03B : 'Unassigned [0xA03B]',
	0xA03C : 'Unassigned [0xA03C]',
	0xA03D : 'Unassigned [0xA03D]',
	0xA03E : 'Unassigned [0xA03E]',
	0xA03F : 'Unassigned [0xA03F]',
	0xA040 : 'Unassigned [0xA040]',
	0xA041 : 'Unassigned [0xA041]',
	0xA042 : 'Unassigned [0xA042]',
	0xA043 : 'Unassigned [0xA043]',
	0xA044 : 'Unassigned [0xA044]',
	0xA045 : 'Unassigned [0xA045]',
	0xA046 : 'Unassigned [0xA046]',
	0xA047 : 'Unassigned [0xA047]',
	0xA048 : 'Unassigned [0xA048]',
	0xA049 : 'Unassigned [0xA049]',
	0xA04A : 'Unassigned [0xA04A]',
	0xA04B : 'Unassigned [0xA04B]',
	0xA04C : 'Unassigned [0xA04C]',
	0xA04D : 'Unassigned [0xA04D]',
	0xA04E : 'Unassigned [0xA04E]',
	0xA04F : 'Unassigned [0xA04F]',
	0xA050 : 'Unassigned [0xA050]',
	0xA051 : 'Unassigned [0xA051]',
	0xA052 : 'Unassigned [0xA052]',
	0xA053 : 'Unassigned [0xA053]',
	0xA054 : 'Unassigned [0xA054]',
	0xA055 : 'Unassigned [0xA055]',
	0xA056 : 'Unassigned [0xA056]',
	0xA057 : 'Unassigned [0xA057]',
	0xA058 : 'Unassigned [0xA058]',
	0xA059 : 'Unassigned [0xA059]',
	0xA05A : 'Unassigned [0xA05A]',
	0xA05B : 'Unassigned [0xA05B]',
	0xA05C : 'Unassigned [0xA05C]',
	0xA05D : 'Unassigned [0xA05D]',
	0xA05E : 'Unassigned [0xA05E]',
	0xA05F : 'Unassigned [0xA05F]',
	0xA060 : 'Unassigned [0xA060]',
	0xA061 : 'Unassigned [0xA061]',
	0xA062 : 'Unassigned [0xA062]',
	0xA063 : 'Unassigned [0xA063]',
	0xA064 : 'Unassigned [0xA064]',
	0xA065 : 'Unassigned [0xA065]',
	0xA066 : 'Unassigned [0xA066]',
	0xA067 : 'Unassigned [0xA067]',
	0xA068 : 'Unassigned [0xA068]',
	0xA069 : 'Unassigned [0xA069]',
	0xA06A : 'Unassigned [0xA06A]',
	0xA06B : 'Unassigned [0xA06B]',
	0xA06C : 'Unassigned [0xA06C]',
	0xA06D : 'Unassigned [0xA06D]',
	0xA06E : 'Unassigned [0xA06E]',
	0xA06F : 'Unassigned [0xA06F]',
	0xA070 : 'Unassigned [0xA070]',
	0xA071 : 'Unassigned [0xA071]',
	0xA072 : 'Unassigned [0xA072]',
	0xA073 : 'Unassigned [0xA073]',
	0xA074 : 'Unassigned [0xA074]',
	0xA075 : 'Unassigned [0xA075]',
	0xA076 : 'Unassigned [0xA076]',
	0xA077 : 'Unassigned [0xA077]',
	0xA078 : 'Unassigned [0xA078]',
	0xA079 : 'Unassigned [0xA079]',
	0xA07A : 'Unassigned [0xA07A]',
	0xA07B : 'Unassigned [0xA07B]',
	0xA07C : 'Unassigned [0xA07C]',
	0xA07D : 'Unassigned [0xA07D]',
	0xA07E : 'Unassigned [0xA07E]',
	0xA07F : 'Unassigned [0xA07F]',
	0xA080 : 'Unassigned [0xA080]',
	0xA081 : 'Unassigned [0xA081]',
	0xA082 : 'Unassigned [0xA082]',
	0xA083 : 'Unassigned [0xA083]',
	0xA084 : 'Unassigned [0xA084]',
	0xA085 : 'Unassigned [0xA085]',
	0xA086 : 'Unassigned [0xA086]',
	0xA087 : 'Unassigned [0xA087]',
	0xA088 : 'Unassigned [0xA088]',
	0xA089 : 'Unassigned [0xA089]',
	0xA08A : 'Unassigned [0xA08A]',
	0xA08B : 'Unassigned [0xA08B]',
	0xA08C : 'Unassigned [0xA08C]',
	0xA08D : 'Unassigned [0xA08D]',
	0xA08E : 'Unassigned [0xA08E]',
	0xA08F : 'Unassigned [0xA08F]',
	0xA090 : 'Unassigned [0xA090]',
	0xA091 : 'Unassigned [0xA091]',
	0xA092 : 'Unassigned [0xA092]',
	0xA093 : 'Unassigned [0xA093]',
	0xA094 : 'Unassigned [0xA094]',
	0xA095 : 'Unassigned [0xA095]',
	0xA096 : 'Unassigned [0xA096]',
	0xA097 : 'Unassigned [0xA097]',
	0xA098 : 'Unassigned [0xA098]',
	0xA099 : 'Unassigned [0xA099]',
	0xA09A : 'Unassigned [0xA09A]',
	0xA09B : 'Unassigned [0xA09B]',
	0xA09C : 'Unassigned [0xA09C]',
	0xA09D : 'Unassigned [0xA09D]',
	0xA09E : 'Unassigned [0xA09E]',
	0xA09F : 'Unassigned [0xA09F]',
	0xA0A0 : 'Unassigned [0xA0A0]',
	0xA0A1 : 'Unassigned [0xA0A1]',
	0xA0A2 : 'Unassigned [0xA0A2]',
	0xA0A3 : 'Unassigned [0xA0A3]',
	0xA0A4 : 'Unassigned [0xA0A4]',
	0xA0A5 : 'Unassigned [0xA0A5]',
	0xA0A6 : 'Unassigned [0xA0A6]',
	0xA0A7 : 'Unassigned [0xA0A7]',
	0xA0A8 : 'Unassigned [0xA0A8]',
	0xA0A9 : 'Unassigned [0xA0A9]',
	0xA0AA : 'Unassigned [0xA0AA]',
	0xA0AB : 'Unassigned [0xA0AB]',
	0xA0AC : 'Unassigned [0xA0AC]',
	0xA0AD : 'Unassigned [0xA0AD]',
	0xA0AE : 'Unassigned [0xA0AE]',
	0xA0AF : 'Unassigned [0xA0AF]',
	0xA0B0 : 'Unassigned [0xA0B0]',
	0xA0B1 : 'Unassigned [0xA0B1]',
	0xA0B2 : 'Unassigned [0xA0B2]',
	0xA0B3 : 'Unassigned [0xA0B3]',
	0xA0B4 : 'Unassigned [0xA0B4]',
	0xA0B5 : 'Unassigned [0xA0B5]',
	0xA0B6 : 'Unassigned [0xA0B6]',
	0xA0B7 : 'Unassigned [0xA0B7]',
	0xA0B8 : 'Unassigned [0xA0B8]',
	0xA0B9 : 'Unassigned [0xA0B9]',
	0xA0BA : 'Unassigned [0xA0BA]',
	0xA0BB : 'Unassigned [0xA0BB]',
	0xA0BC : 'Unassigned [0xA0BC]',
	0xA0BD : 'Unassigned [0xA0BD]',
	0xA0BE : 'Unassigned [0xA0BE]',
	0xA0BF : 'Unassigned [0xA0BF]',
	0xA0C0 : 'Unassigned [0xA0C0]',
	0xA0C1 : 'Unassigned [0xA0C1]',
	0xA0C2 : 'Unassigned [0xA0C2]',
	0xA0C3 : 'Unassigned [0xA0C3]',
	0xA0C4 : 'Unassigned [0xA0C4]',
	0xA0C5 : 'Unassigned [0xA0C5]',
	0xA0C6 : 'Unassigned [0xA0C6]',
	0xA0C7 : 'Unassigned [0xA0C7]',
	0xA0C8 : 'Unassigned [0xA0C8]',
	0xA0C9 : 'Unassigned [0xA0C9]',
	0xA0CA : 'Unassigned [0xA0CA]',
	0xA0CB : 'Unassigned [0xA0CB]',
	0xA0CC : 'Unassigned [0xA0CC]',
	0xA0CD : 'Unassigned [0xA0CD]',
	0xA0CE : 'Unassigned [0xA0CE]',
	0xA0CF : 'Unassigned [0xA0CF]',
	0xA0D0 : 'Unassigned [0xA0D0]',
	0xA0D1 : 'Unassigned [0xA0D1]',
	0xA0D2 : 'Unassigned [0xA0D2]',
	0xA0D3 : 'Unassigned [0xA0D3]',
	0xA0D4 : 'Unassigned [0xA0D4]',
	0xA0D5 : 'Unassigned [0xA0D5]',
	0xA0D6 : 'Unassigned [0xA0D6]',
	0xA0D7 : 'Unassigned [0xA0D7]',
	0xA0D8 : 'Unassigned [0xA0D8]',
	0xA0D9 : 'Unassigned [0xA0D9]',
	0xA0DA : 'Unassigned [0xA0DA]',
	0xA0DB : 'Unassigned [0xA0DB]',
	0xA0DC : 'Unassigned [0xA0DC]',
	0xA0DD : 'Unassigned [0xA0DD]',
	0xA0DE : 'Unassigned [0xA0DE]',
	0xA0DF : 'Unassigned [0xA0DF]',
	0xA0E0 : 'Unassigned [0xA0E0]',
	0xA0E1 : 'Unassigned [0xA0E1]',
	0xA0E2 : 'Unassigned [0xA0E2]',
	0xA0E3 : 'Unassigned [0xA0E3]',
	0xA0E4 : 'Unassigned [0xA0E4]',
	0xA0E5 : 'Unassigned [0xA0E5]',
	0xA0E6 : 'Unassigned [0xA0E6]',
	0xA0E7 : 'Unassigned [0xA0E7]',
	0xA0E8 : 'Unassigned [0xA0E8]',
	0xA0E9 : 'Unassigned [0xA0E9]',
	0xA0EA : 'Unassigned [0xA0EA]',
	0xA0EB : 'Unassigned [0xA0EB]',
	0xA0EC : 'Unassigned [0xA0EC]',
	0xA0ED : 'Unassigned [0xA0ED]',
	0xA0EE : 'Unassigned [0xA0EE]',
	0xA0EF : 'Unassigned [0xA0EF]',
	0xA0F0 : 'Unassigned [0xA0F0]',
	0xA0F1 : 'Unassigned [0xA0F1]',
	0xA0F2 : 'Unassigned [0xA0F2]',
	0xA0F3 : 'Unassigned [0xA0F3]',
	0xA0F4 : 'Unassigned [0xA0F4]',
	0xA0F5 : 'Unassigned [0xA0F5]',
	0xA0F6 : 'Unassigned [0xA0F6]',
	0xA0F7 : 'Unassigned [0xA0F7]',
	0xA0F8 : 'Unassigned [0xA0F8]',
	0xA0F9 : 'Unassigned [0xA0F9]',
	0xA0FA : 'Unassigned [0xA0FA]',
	0xA0FB : 'Unassigned [0xA0FB]',
	0xA0FC : 'Unassigned [0xA0FC]',
	0xA0FD : 'Unassigned [0xA0FD]',
	0xA0FE : 'Unassigned [0xA0FE]',
	0xA0FF : 'Unassigned [0xA0FF]',
	0xA100 : 'Unassigned [0xA100]',
	0xA101 : 'Unassigned [0xA101]',
	0xA102 : 'Unassigned [0xA102]',
	0xA103 : 'Unassigned [0xA103]',
	0xA104 : 'Unassigned [0xA104]',
	0xA105 : 'Unassigned [0xA105]',
	0xA106 : 'Unassigned [0xA106]',
	0xA107 : 'Unassigned [0xA107]',
	0xA108 : 'Unassigned [0xA108]',
	0xA109 : 'Unassigned [0xA109]',
	0xA10A : 'Unassigned [0xA10A]',
	0xA10B : 'Unassigned [0xA10B]',
	0xA10C : 'Unassigned [0xA10C]',
	0xA10D : 'Unassigned [0xA10D]',
	0xA10E : 'Unassigned [0xA10E]',
	0xA10F : 'Unassigned [0xA10F]',
	0xA110 : 'Unassigned [0xA110]',
	0xA111 : 'Unassigned [0xA111]',
	0xA112 : 'Unassigned [0xA112]',
	0xA113 : 'Unassigned [0xA113]',
	0xA114 : 'Unassigned [0xA114]',
	0xA115 : 'Unassigned [0xA115]',
	0xA116 : 'Unassigned [0xA116]',
	0xA117 : 'Unassigned [0xA117]',
	0xA118 : 'Unassigned [0xA118]',
	0xA119 : 'Unassigned [0xA119]',
	0xA11A : 'Unassigned [0xA11A]',
	0xA11B : 'Unassigned [0xA11B]',
	0xA11C : 'Unassigned [0xA11C]',
	0xA11D : 'Unassigned [0xA11D]',
	0xA11E : 'Unassigned [0xA11E]',
	0xA11F : 'Unassigned [0xA11F]',
	0xA120 : 'Unassigned [0xA120]',
	0xA121 : 'Unassigned [0xA121]',
	0xA122 : 'Unassigned [0xA122]',
	0xA123 : 'Unassigned [0xA123]',
	0xA124 : 'Unassigned [0xA124]',
	0xA125 : 'Unassigned [0xA125]',
	0xA126 : 'Unassigned [0xA126]',
	0xA127 : 'Unassigned [0xA127]',
	0xA128 : 'Unassigned [0xA128]',
	0xA129 : 'Unassigned [0xA129]',
	0xA12A : 'Unassigned [0xA12A]',
	0xA12B : 'Unassigned [0xA12B]',
	0xA12C : 'Unassigned [0xA12C]',
	0xA12D : 'Unassigned [0xA12D]',
	0xA12E : 'Unassigned [0xA12E]',
	0xA12F : 'Unassigned [0xA12F]',
	0xA130 : 'Unassigned [0xA130]',
	0xA131 : 'Unassigned [0xA131]',
	0xA132 : 'Unassigned [0xA132]',
	0xA133 : 'Unassigned [0xA133]',
	0xA134 : 'Unassigned [0xA134]',
	0xA135 : 'Unassigned [0xA135]',
	0xA136 : 'Unassigned [0xA136]',
	0xA137 : 'Unassigned [0xA137]',
	0xA138 : 'Unassigned [0xA138]',
	0xA139 : 'Unassigned [0xA139]',
	0xA13A : 'Unassigned [0xA13A]',
	0xA13B : 'Unassigned [0xA13B]',
	0xA13C : 'Unassigned [0xA13C]',
	0xA13D : 'Unassigned [0xA13D]',
	0xA13E : 'Unassigned [0xA13E]',
	0xA13F : 'Unassigned [0xA13F]',
	0xA140 : 'Unassigned [0xA140]',
	0xA141 : 'Unassigned [0xA141]',
	0xA142 : 'Unassigned [0xA142]',
	0xA143 : 'Unassigned [0xA143]',
	0xA144 : 'Unassigned [0xA144]',
	0xA145 : 'Unassigned [0xA145]',
	0xA146 : 'Unassigned [0xA146]',
	0xA147 : 'Unassigned [0xA147]',
	0xA148 : 'Unassigned [0xA148]',
	0xA149 : 'Unassigned [0xA149]',
	0xA14A : 'Unassigned [0xA14A]',
	0xA14B : 'Unassigned [0xA14B]',
	0xA14C : 'Unassigned [0xA14C]',
	0xA14D : 'Unassigned [0xA14D]',
	0xA14E : 'Unassigned [0xA14E]',
	0xA14F : 'Unassigned [0xA14F]',
	0xA150 : 'Unassigned [0xA150]',
	0xA151 : 'Unassigned [0xA151]',
	0xA152 : 'Unassigned [0xA152]',
	0xA153 : 'Unassigned [0xA153]',
	0xA154 : 'Unassigned [0xA154]',
	0xA155 : 'Unassigned [0xA155]',
	0xA156 : 'Unassigned [0xA156]',
	0xA157 : 'Unassigned [0xA157]',
	0xA158 : 'Unassigned [0xA158]',
	0xA159 : 'Unassigned [0xA159]',
	0xA15A : 'Unassigned [0xA15A]',
	0xA15B : 'Unassigned [0xA15B]',
	0xA15C : 'Unassigned [0xA15C]',
	0xA15D : 'Unassigned [0xA15D]',
	0xA15E : 'Unassigned [0xA15E]',
	0xA15F : 'Unassigned [0xA15F]',
	0xA160 : 'Unassigned [0xA160]',
	0xA161 : 'Unassigned [0xA161]',
	0xA162 : 'Unassigned [0xA162]',
	0xA163 : 'Unassigned [0xA163]',
	0xA164 : 'Unassigned [0xA164]',
	0xA165 : 'Unassigned [0xA165]',
	0xA166 : 'Unassigned [0xA166]',
	0xA167 : 'Unassigned [0xA167]',
	0xA168 : 'Unassigned [0xA168]',
	0xA169 : 'Unassigned [0xA169]',
	0xA16A : 'Unassigned [0xA16A]',
	0xA16B : 'Unassigned [0xA16B]',
	0xA16C : 'Unassigned [0xA16C]',
	0xA16D : 'Unassigned [0xA16D]',
	0xA16E : 'Unassigned [0xA16E]',
	0xA16F : 'Unassigned [0xA16F]',
	0xA170 : 'Unassigned [0xA170]',
	0xA171 : 'Unassigned [0xA171]',
	0xA172 : 'Unassigned [0xA172]',
	0xA173 : 'Unassigned [0xA173]',
	0xA174 : 'Unassigned [0xA174]',
	0xA175 : 'Unassigned [0xA175]',
	0xA176 : 'Unassigned [0xA176]',
	0xA177 : 'Unassigned [0xA177]',
	0xA178 : 'Unassigned [0xA178]',
	0xA179 : 'Unassigned [0xA179]',
	0xA17A : 'Unassigned [0xA17A]',
	0xA17B : 'Unassigned [0xA17B]',
	0xA17C : 'Unassigned [0xA17C]',
	0xA17D : 'Unassigned [0xA17D]',
	0xA17E : 'Unassigned [0xA17E]',
	0xA17F : 'Unassigned [0xA17F]',
	0xA180 : 'Unassigned [0xA180]',
	0xA181 : 'Unassigned [0xA181]',
	0xA182 : 'Unassigned [0xA182]',
	0xA183 : 'Unassigned [0xA183]',
	0xA184 : 'Unassigned [0xA184]',
	0xA185 : 'Unassigned [0xA185]',
	0xA186 : 'Unassigned [0xA186]',
	0xA187 : 'Unassigned [0xA187]',
	0xA188 : 'Unassigned [0xA188]',
	0xA189 : 'Unassigned [0xA189]',
	0xA18A : 'Unassigned [0xA18A]',
	0xA18B : 'Unassigned [0xA18B]',
	0xA18C : 'Unassigned [0xA18C]',
	0xA18D : 'Unassigned [0xA18D]',
	0xA18E : 'Unassigned [0xA18E]',
	0xA18F : 'Unassigned [0xA18F]',
	0xA190 : 'Unassigned [0xA190]',
	0xA191 : 'Unassigned [0xA191]',
	0xA192 : 'Unassigned [0xA192]',
	0xA193 : 'Unassigned [0xA193]',
	0xA194 : 'Unassigned [0xA194]',
	0xA195 : 'Unassigned [0xA195]',
	0xA196 : 'Unassigned [0xA196]',
	0xA197 : 'Unassigned [0xA197]',
	0xA198 : 'Unassigned [0xA198]',
	0xA199 : 'Unassigned [0xA199]',
	0xA19A : 'Unassigned [0xA19A]',
	0xA19B : 'Unassigned [0xA19B]',
	0xA19C : 'Unassigned [0xA19C]',
	0xA19D : 'Unassigned [0xA19D]',
	0xA19E : 'Unassigned [0xA19E]',
	0xA19F : 'Unassigned [0xA19F]',
	0xA1A0 : 'Unassigned [0xA1A0]',
	0xA1A1 : 'Unassigned [0xA1A1]',
	0xA1A2 : 'Unassigned [0xA1A2]',
	0xA1A3 : 'Unassigned [0xA1A3]',
	0xA1A4 : 'Unassigned [0xA1A4]',
	0xA1A5 : 'Unassigned [0xA1A5]',
	0xA1A6 : 'Unassigned [0xA1A6]',
	0xA1A7 : 'Unassigned [0xA1A7]',
	0xA1A8 : 'Unassigned [0xA1A8]',
	0xA1A9 : 'Unassigned [0xA1A9]',
	0xA1AA : 'Unassigned [0xA1AA]',
	0xA1AB : 'Unassigned [0xA1AB]',
	0xA1AC : 'Unassigned [0xA1AC]',
	0xA1AD : 'Unassigned [0xA1AD]',
	0xA1AE : 'Unassigned [0xA1AE]',
	0xA1AF : 'Unassigned [0xA1AF]',
	0xA1B0 : 'Unassigned [0xA1B0]',
	0xA1B1 : 'Unassigned [0xA1B1]',
	0xA1B2 : 'Unassigned [0xA1B2]',
	0xA1B3 : 'Unassigned [0xA1B3]',
	0xA1B4 : 'Unassigned [0xA1B4]',
	0xA1B5 : 'Unassigned [0xA1B5]',
	0xA1B6 : 'Unassigned [0xA1B6]',
	0xA1B7 : 'Unassigned [0xA1B7]',
	0xA1B8 : 'Unassigned [0xA1B8]',
	0xA1B9 : 'Unassigned [0xA1B9]',
	0xA1BA : 'Unassigned [0xA1BA]',
	0xA1BB : 'Unassigned [0xA1BB]',
	0xA1BC : 'Unassigned [0xA1BC]',
	0xA1BD : 'Unassigned [0xA1BD]',
	0xA1BE : 'Unassigned [0xA1BE]',
	0xA1BF : 'Unassigned [0xA1BF]',
	0xA1C0 : 'Unassigned [0xA1C0]',
	0xA1C1 : 'Unassigned [0xA1C1]',
	0xA1C2 : 'Unassigned [0xA1C2]',
	0xA1C3 : 'Unassigned [0xA1C3]',
	0xA1C4 : 'Unassigned [0xA1C4]',
	0xA1C5 : 'Unassigned [0xA1C5]',
	0xA1C6 : 'Unassigned [0xA1C6]',
	0xA1C7 : 'Unassigned [0xA1C7]',
	0xA1C8 : 'Unassigned [0xA1C8]',
	0xA1C9 : 'Unassigned [0xA1C9]',
	0xA1CA : 'Unassigned [0xA1CA]',
	0xA1CB : 'Unassigned [0xA1CB]',
	0xA1CC : 'Unassigned [0xA1CC]',
	0xA1CD : 'Unassigned [0xA1CD]',
	0xA1CE : 'Unassigned [0xA1CE]',
	0xA1CF : 'Unassigned [0xA1CF]',
	0xA1D0 : 'Unassigned [0xA1D0]',
	0xA1D1 : 'Unassigned [0xA1D1]',
	0xA1D2 : 'Unassigned [0xA1D2]',
	0xA1D3 : 'Unassigned [0xA1D3]',
	0xA1D4 : 'Unassigned [0xA1D4]',
	0xA1D5 : 'Unassigned [0xA1D5]',
	0xA1D6 : 'Unassigned [0xA1D6]',
	0xA1D7 : 'Unassigned [0xA1D7]',
	0xA1D8 : 'Unassigned [0xA1D8]',
	0xA1D9 : 'Unassigned [0xA1D9]',
	0xA1DA : 'Unassigned [0xA1DA]',
	0xA1DB : 'Unassigned [0xA1DB]',
	0xA1DC : 'Unassigned [0xA1DC]',
	0xA1DD : 'Unassigned [0xA1DD]',
	0xA1DE : 'Unassigned [0xA1DE]',
	0xA1DF : 'Unassigned [0xA1DF]',
	0xA1E0 : 'Unassigned [0xA1E0]',
	0xA1E1 : 'Unassigned [0xA1E1]',
	0xA1E2 : 'Unassigned [0xA1E2]',
	0xA1E3 : 'Unassigned [0xA1E3]',
	0xA1E4 : 'Unassigned [0xA1E4]',
	0xA1E5 : 'Unassigned [0xA1E5]',
	0xA1E6 : 'Unassigned [0xA1E6]',
	0xA1E7 : 'Unassigned [0xA1E7]',
	0xA1E8 : 'Unassigned [0xA1E8]',
	0xA1E9 : 'Unassigned [0xA1E9]',
	0xA1EA : 'Unassigned [0xA1EA]',
	0xA1EB : 'Unassigned [0xA1EB]',
	0xA1EC : 'Unassigned [0xA1EC]',
	0xA1ED : 'Unassigned [0xA1ED]',
	0xA1EE : 'Unassigned [0xA1EE]',
	0xA1EF : 'Unassigned [0xA1EF]',
	0xA1F0 : 'Unassigned [0xA1F0]',
	0xA1F1 : 'Unassigned [0xA1F1]',
	0xA1F2 : 'Unassigned [0xA1F2]',
	0xA1F3 : 'Unassigned [0xA1F3]',
	0xA1F4 : 'Unassigned [0xA1F4]',
	0xA1F5 : 'Unassigned [0xA1F5]',
	0xA1F6 : 'Unassigned [0xA1F6]',
	0xA1F7 : 'Unassigned [0xA1F7]',
	0xA1F8 : 'Unassigned [0xA1F8]',
	0xA1F9 : 'Unassigned [0xA1F9]',
	0xA1FA : 'Unassigned [0xA1FA]',
	0xA1FB : 'Unassigned [0xA1FB]',
	0xA1FC : 'Unassigned [0xA1FC]',
	0xA1FD : 'Unassigned [0xA1FD]',
	0xA1FE : 'Unassigned [0xA1FE]',
	0xA1FF : 'Unassigned [0xA1FF]',
	0xA200 : 'Unassigned [0xA200]',
	0xA201 : 'Unassigned [0xA201]',
	0xA202 : 'Unassigned [0xA202]',
	0xA203 : 'Unassigned [0xA203]',
	0xA204 : 'Unassigned [0xA204]',
	0xA205 : 'Unassigned [0xA205]',
	0xA206 : 'Unassigned [0xA206]',
	0xA207 : 'Unassigned [0xA207]',
	0xA208 : 'Unassigned [0xA208]',
	0xA209 : 'Unassigned [0xA209]',
	0xA20A : 'Unassigned [0xA20A]',
	0xA20B : 'Unassigned [0xA20B]',
	0xA20C : 'Unassigned [0xA20C]',
	0xA20D : 'Unassigned [0xA20D]',
	0xA20E : 'Unassigned [0xA20E]',
	0xA20F : 'Unassigned [0xA20F]',
	0xA210 : 'Unassigned [0xA210]',
	0xA211 : 'Unassigned [0xA211]',
	0xA212 : 'Unassigned [0xA212]',
	0xA213 : 'Unassigned [0xA213]',
	0xA214 : 'Unassigned [0xA214]',
	0xA215 : 'Unassigned [0xA215]',
	0xA216 : 'Unassigned [0xA216]',
	0xA217 : 'Unassigned [0xA217]',
	0xA218 : 'Unassigned [0xA218]',
	0xA219 : 'Unassigned [0xA219]',
	0xA21A : 'Unassigned [0xA21A]',
	0xA21B : 'Unassigned [0xA21B]',
	0xA21C : 'Unassigned [0xA21C]',
	0xA21D : 'Unassigned [0xA21D]',
	0xA21E : 'Unassigned [0xA21E]',
	0xA21F : 'Unassigned [0xA21F]',
	0xA220 : 'Unassigned [0xA220]',
	0xA221 : 'Unassigned [0xA221]',
	0xA222 : 'Unassigned [0xA222]',
	0xA223 : 'Unassigned [0xA223]',
	0xA224 : 'Unassigned [0xA224]',
	0xA225 : 'Unassigned [0xA225]',
	0xA226 : 'Unassigned [0xA226]',
	0xA227 : 'Unassigned [0xA227]',
	0xA228 : 'Unassigned [0xA228]',
	0xA229 : 'Unassigned [0xA229]',
	0xA22A : 'Unassigned [0xA22A]',
	0xA22B : 'Unassigned [0xA22B]',
	0xA22C : 'Unassigned [0xA22C]',
	0xA22D : 'Unassigned [0xA22D]',
	0xA22E : 'Unassigned [0xA22E]',
	0xA22F : 'Unassigned [0xA22F]',
	0xA230 : 'Unassigned [0xA230]',
	0xA231 : 'Unassigned [0xA231]',
	0xA232 : 'Unassigned [0xA232]',
	0xA233 : 'Unassigned [0xA233]',
	0xA234 : 'Unassigned [0xA234]',
	0xA235 : 'Unassigned [0xA235]',
	0xA236 : 'Unassigned [0xA236]',
	0xA237 : 'Unassigned [0xA237]',
	0xA238 : 'Unassigned [0xA238]',
	0xA239 : 'Unassigned [0xA239]',
	0xA23A : 'Unassigned [0xA23A]',
	0xA23B : 'Unassigned [0xA23B]',
	0xA23C : 'Unassigned [0xA23C]',
	0xA23D : 'Unassigned [0xA23D]',
	0xA23E : 'Unassigned [0xA23E]',
	0xA23F : 'Unassigned [0xA23F]',
	0xA240 : 'Unassigned [0xA240]',
	0xA241 : 'Unassigned [0xA241]',
	0xA242 : 'Unassigned [0xA242]',
	0xA243 : 'Unassigned [0xA243]',
	0xA244 : 'Unassigned [0xA244]',
	0xA245 : 'Unassigned [0xA245]',
	0xA246 : 'Unassigned [0xA246]',
	0xA247 : 'Unassigned [0xA247]',
	0xA248 : 'Unassigned [0xA248]',
	0xA249 : 'Unassigned [0xA249]',
	0xA24A : 'Unassigned [0xA24A]',
	0xA24B : 'Unassigned [0xA24B]',
	0xA24C : 'Unassigned [0xA24C]',
	0xA24D : 'Unassigned [0xA24D]',
	0xA24E : 'Unassigned [0xA24E]',
	0xA24F : 'Unassigned [0xA24F]',
	0xA250 : 'Unassigned [0xA250]',
	0xA251 : 'Unassigned [0xA251]',
	0xA252 : 'Unassigned [0xA252]',
	0xA253 : 'Unassigned [0xA253]',
	0xA254 : 'Unassigned [0xA254]',
	0xA255 : 'Unassigned [0xA255]',
	0xA256 : 'Unassigned [0xA256]',
	0xA257 : 'Unassigned [0xA257]',
	0xA258 : 'Unassigned [0xA258]',
	0xA259 : 'Unassigned [0xA259]',
	0xA25A : 'Unassigned [0xA25A]',
	0xA25B : 'Unassigned [0xA25B]',
	0xA25C : 'Unassigned [0xA25C]',
	0xA25D : 'Unassigned [0xA25D]',
	0xA25E : 'Unassigned [0xA25E]',
	0xA25F : 'Unassigned [0xA25F]',
	0xA260 : 'Unassigned [0xA260]',
	0xA261 : 'Unassigned [0xA261]',
	0xA262 : 'Unassigned [0xA262]',
	0xA263 : 'Unassigned [0xA263]',
	0xA264 : 'Unassigned [0xA264]',
	0xA265 : 'Unassigned [0xA265]',
	0xA266 : 'Unassigned [0xA266]',
	0xA267 : 'Unassigned [0xA267]',
	0xA268 : 'Unassigned [0xA268]',
	0xA269 : 'Unassigned [0xA269]',
	0xA26A : 'Unassigned [0xA26A]',
	0xA26B : 'Unassigned [0xA26B]',
	0xA26C : 'Unassigned [0xA26C]',
	0xA26D : 'Unassigned [0xA26D]',
	0xA26E : 'Unassigned [0xA26E]',
	0xA26F : 'Unassigned [0xA26F]',
	0xA270 : 'Unassigned [0xA270]',
	0xA271 : 'Unassigned [0xA271]',
	0xA272 : 'Unassigned [0xA272]',
	0xA273 : 'Unassigned [0xA273]',
	0xA274 : 'Unassigned [0xA274]',
	0xA275 : 'Unassigned [0xA275]',
	0xA276 : 'Unassigned [0xA276]',
	0xA277 : 'Unassigned [0xA277]',
	0xA278 : 'Unassigned [0xA278]',
	0xA279 : 'Unassigned [0xA279]',
	0xA27A : 'Unassigned [0xA27A]',
	0xA27B : 'Unassigned [0xA27B]',
	0xA27C : 'Unassigned [0xA27C]',
	0xA27D : 'Unassigned [0xA27D]',
	0xA27E : 'Unassigned [0xA27E]',
	0xA27F : 'Unassigned [0xA27F]',
	0xA280 : 'Unassigned [0xA280]',
	0xA281 : 'Unassigned [0xA281]',
	0xA282 : 'Unassigned [0xA282]',
	0xA283 : 'Unassigned [0xA283]',
	0xA284 : 'Unassigned [0xA284]',
	0xA285 : 'Unassigned [0xA285]',
	0xA286 : 'Unassigned [0xA286]',
	0xA287 : 'Unassigned [0xA287]',
	0xA288 : 'Unassigned [0xA288]',
	0xA289 : 'Unassigned [0xA289]',
	0xA28A : 'Unassigned [0xA28A]',
	0xA28B : 'Unassigned [0xA28B]',
	0xA28C : 'Unassigned [0xA28C]',
	0xA28D : 'Unassigned [0xA28D]',
	0xA28E : 'Unassigned [0xA28E]',
	0xA28F : 'Unassigned [0xA28F]',
	0xA290 : 'Unassigned [0xA290]',
	0xA291 : 'Unassigned [0xA291]',
	0xA292 : 'Unassigned [0xA292]',
	0xA293 : 'Unassigned [0xA293]',
	0xA294 : 'Unassigned [0xA294]',
	0xA295 : 'Unassigned [0xA295]',
	0xA296 : 'Unassigned [0xA296]',
	0xA297 : 'Unassigned [0xA297]',
	0xA298 : 'Unassigned [0xA298]',
	0xA299 : 'Unassigned [0xA299]',
	0xA29A : 'Unassigned [0xA29A]',
	0xA29B : 'Unassigned [0xA29B]',
	0xA29C : 'Unassigned [0xA29C]',
	0xA29D : 'Unassigned [0xA29D]',
	0xA29E : 'Unassigned [0xA29E]',
	0xA29F : 'Unassigned [0xA29F]',
	0xA2A0 : 'Unassigned [0xA2A0]',
	0xA2A1 : 'Unassigned [0xA2A1]',
	0xA2A2 : 'Unassigned [0xA2A2]',
	0xA2A3 : 'Unassigned [0xA2A3]',
	0xA2A4 : 'Unassigned [0xA2A4]',
	0xA2A5 : 'Unassigned [0xA2A5]',
	0xA2A6 : 'Unassigned [0xA2A6]',
	0xA2A7 : 'Unassigned [0xA2A7]',
	0xA2A8 : 'Unassigned [0xA2A8]',
	0xA2A9 : 'Unassigned [0xA2A9]',
	0xA2AA : 'Unassigned [0xA2AA]',
	0xA2AB : 'Unassigned [0xA2AB]',
	0xA2AC : 'Unassigned [0xA2AC]',
	0xA2AD : 'Unassigned [0xA2AD]',
	0xA2AE : 'Unassigned [0xA2AE]',
	0xA2AF : 'Unassigned [0xA2AF]',
	0xA2B0 : 'Unassigned [0xA2B0]',
	0xA2B1 : 'Unassigned [0xA2B1]',
	0xA2B2 : 'Unassigned [0xA2B2]',
	0xA2B3 : 'Unassigned [0xA2B3]',
	0xA2B4 : 'Unassigned [0xA2B4]',
	0xA2B5 : 'Unassigned [0xA2B5]',
	0xA2B6 : 'Unassigned [0xA2B6]',
	0xA2B7 : 'Unassigned [0xA2B7]',
	0xA2B8 : 'Unassigned [0xA2B8]',
	0xA2B9 : 'Unassigned [0xA2B9]',
	0xA2BA : 'Unassigned [0xA2BA]',
	0xA2BB : 'Unassigned [0xA2BB]',
	0xA2BC : 'Unassigned [0xA2BC]',
	0xA2BD : 'Unassigned [0xA2BD]',
	0xA2BE : 'Unassigned [0xA2BE]',
	0xA2BF : 'Unassigned [0xA2BF]',
	0xA2C0 : 'Unassigned [0xA2C0]',
	0xA2C1 : 'Unassigned [0xA2C1]',
	0xA2C2 : 'Unassigned [0xA2C2]',
	0xA2C3 : 'Unassigned [0xA2C3]',
	0xA2C4 : 'Unassigned [0xA2C4]',
	0xA2C5 : 'Unassigned [0xA2C5]',
	0xA2C6 : 'Unassigned [0xA2C6]',
	0xA2C7 : 'Unassigned [0xA2C7]',
	0xA2C8 : 'Unassigned [0xA2C8]',
	0xA2C9 : 'Unassigned [0xA2C9]',
	0xA2CA : 'Unassigned [0xA2CA]',
	0xA2CB : 'Unassigned [0xA2CB]',
	0xA2CC : 'Unassigned [0xA2CC]',
	0xA2CD : 'Unassigned [0xA2CD]',
	0xA2CE : 'Unassigned [0xA2CE]',
	0xA2CF : 'Unassigned [0xA2CF]',
	0xA2D0 : 'Unassigned [0xA2D0]',
	0xA2D1 : 'Unassigned [0xA2D1]',
	0xA2D2 : 'Unassigned [0xA2D2]',
	0xA2D3 : 'Unassigned [0xA2D3]',
	0xA2D4 : 'Unassigned [0xA2D4]',
	0xA2D5 : 'Unassigned [0xA2D5]',
	0xA2D6 : 'Unassigned [0xA2D6]',
	0xA2D7 : 'Unassigned [0xA2D7]',
	0xA2D8 : 'Unassigned [0xA2D8]',
	0xA2D9 : 'Unassigned [0xA2D9]',
	0xA2DA : 'Unassigned [0xA2DA]',
	0xA2DB : 'Unassigned [0xA2DB]',
	0xA2DC : 'Unassigned [0xA2DC]',
	0xA2DD : 'Unassigned [0xA2DD]',
	0xA2DE : 'Unassigned [0xA2DE]',
	0xA2DF : 'Unassigned [0xA2DF]',
	0xA2E0 : 'Unassigned [0xA2E0]',
	0xA2E1 : 'Unassigned [0xA2E1]',
	0xA2E2 : 'Unassigned [0xA2E2]',
	0xA2E3 : 'Unassigned [0xA2E3]',
	0xA2E4 : 'Unassigned [0xA2E4]',
	0xA2E5 : 'Unassigned [0xA2E5]',
	0xA2E6 : 'Unassigned [0xA2E6]',
	0xA2E7 : 'Unassigned [0xA2E7]',
	0xA2E8 : 'Unassigned [0xA2E8]',
	0xA2E9 : 'Unassigned [0xA2E9]',
	0xA2EA : 'Unassigned [0xA2EA]',
	0xA2EB : 'Unassigned [0xA2EB]',
	0xA2EC : 'Unassigned [0xA2EC]',
	0xA2ED : 'Unassigned [0xA2ED]',
	0xA2EE : 'Unassigned [0xA2EE]',
	0xA2EF : 'Unassigned [0xA2EF]',
	0xA2F0 : 'Unassigned [0xA2F0]',
	0xA2F1 : 'Unassigned [0xA2F1]',
	0xA2F2 : 'Unassigned [0xA2F2]',
	0xA2F3 : 'Unassigned [0xA2F3]',
	0xA2F4 : 'Unassigned [0xA2F4]',
	0xA2F5 : 'Unassigned [0xA2F5]',
	0xA2F6 : 'Unassigned [0xA2F6]',
	0xA2F7 : 'Unassigned [0xA2F7]',
	0xA2F8 : 'Unassigned [0xA2F8]',
	0xA2F9 : 'Unassigned [0xA2F9]',
	0xA2FA : 'Unassigned [0xA2FA]',
	0xA2FB : 'Unassigned [0xA2FB]',
	0xA2FC : 'Unassigned [0xA2FC]',
	0xA2FD : 'Unassigned [0xA2FD]',
	0xA2FE : 'Unassigned [0xA2FE]',
	0xA2FF : 'Unassigned [0xA2FF]',
	0xA300 : 'Unassigned [0xA300]',
	0xA301 : 'Unassigned [0xA301]',
	0xA302 : 'Unassigned [0xA302]',
	0xA303 : 'Unassigned [0xA303]',
	0xA304 : 'Unassigned [0xA304]',
	0xA305 : 'Unassigned [0xA305]',
	0xA306 : 'Unassigned [0xA306]',
	0xA307 : 'Unassigned [0xA307]',
	0xA308 : 'Unassigned [0xA308]',
	0xA309 : 'Unassigned [0xA309]',
	0xA30A : 'Unassigned [0xA30A]',
	0xA30B : 'Unassigned [0xA30B]',
	0xA30C : 'Unassigned [0xA30C]',
	0xA30D : 'Unassigned [0xA30D]',
	0xA30E : 'Unassigned [0xA30E]',
	0xA30F : 'Unassigned [0xA30F]',
	0xA310 : 'Unassigned [0xA310]',
	0xA311 : 'Unassigned [0xA311]',
	0xA312 : 'Unassigned [0xA312]',
	0xA313 : 'Unassigned [0xA313]',
	0xA314 : 'Unassigned [0xA314]',
	0xA315 : 'Unassigned [0xA315]',
	0xA316 : 'Unassigned [0xA316]',
	0xA317 : 'Unassigned [0xA317]',
	0xA318 : 'Unassigned [0xA318]',
	0xA319 : 'Unassigned [0xA319]',
	0xA31A : 'Unassigned [0xA31A]',
	0xA31B : 'Unassigned [0xA31B]',
	0xA31C : 'Unassigned [0xA31C]',
	0xA31D : 'Unassigned [0xA31D]',
	0xA31E : 'Unassigned [0xA31E]',
	0xA31F : 'Unassigned [0xA31F]',
	0xA320 : 'Unassigned [0xA320]',
	0xA321 : 'Unassigned [0xA321]',
	0xA322 : 'Unassigned [0xA322]',
	0xA323 : 'Unassigned [0xA323]',
	0xA324 : 'Unassigned [0xA324]',
	0xA325 : 'Unassigned [0xA325]',
	0xA326 : 'Unassigned [0xA326]',
	0xA327 : 'Unassigned [0xA327]',
	0xA328 : 'Unassigned [0xA328]',
	0xA329 : 'Unassigned [0xA329]',
	0xA32A : 'Unassigned [0xA32A]',
	0xA32B : 'Unassigned [0xA32B]',
	0xA32C : 'Unassigned [0xA32C]',
	0xA32D : 'Unassigned [0xA32D]',
	0xA32E : 'Unassigned [0xA32E]',
	0xA32F : 'Unassigned [0xA32F]',
	0xA330 : 'Unassigned [0xA330]',
	0xA331 : 'Unassigned [0xA331]',
	0xA332 : 'Unassigned [0xA332]',
	0xA333 : 'Unassigned [0xA333]',
	0xA334 : 'Unassigned [0xA334]',
	0xA335 : 'Unassigned [0xA335]',
	0xA336 : 'Unassigned [0xA336]',
	0xA337 : 'Unassigned [0xA337]',
	0xA338 : 'Unassigned [0xA338]',
	0xA339 : 'Unassigned [0xA339]',
	0xA33A : 'Unassigned [0xA33A]',
	0xA33B : 'Unassigned [0xA33B]',
	0xA33C : 'Unassigned [0xA33C]',
	0xA33D : 'Unassigned [0xA33D]',
	0xA33E : 'Unassigned [0xA33E]',
	0xA33F : 'Unassigned [0xA33F]',
	0xA340 : 'Unassigned [0xA340]',
	0xA341 : 'Unassigned [0xA341]',
	0xA342 : 'Unassigned [0xA342]',
	0xA343 : 'Unassigned [0xA343]',
	0xA344 : 'Unassigned [0xA344]',
	0xA345 : 'Unassigned [0xA345]',
	0xA346 : 'Unassigned [0xA346]',
	0xA347 : 'Unassigned [0xA347]',
	0xA348 : 'Unassigned [0xA348]',
	0xA349 : 'Unassigned [0xA349]',
	0xA34A : 'Unassigned [0xA34A]',
	0xA34B : 'Unassigned [0xA34B]',
	0xA34C : 'Unassigned [0xA34C]',
	0xA34D : 'Unassigned [0xA34D]',
	0xA34E : 'Unassigned [0xA34E]',
	0xA34F : 'Unassigned [0xA34F]',
	0xA350 : 'Unassigned [0xA350]',
	0xA351 : 'Unassigned [0xA351]',
	0xA352 : 'Unassigned [0xA352]',
	0xA353 : 'Unassigned [0xA353]',
	0xA354 : 'Unassigned [0xA354]',
	0xA355 : 'Unassigned [0xA355]',
	0xA356 : 'Unassigned [0xA356]',
	0xA357 : 'Unassigned [0xA357]',
	0xA358 : 'Unassigned [0xA358]',
	0xA359 : 'Unassigned [0xA359]',
	0xA35A : 'Unassigned [0xA35A]',
	0xA35B : 'Unassigned [0xA35B]',
	0xA35C : 'Unassigned [0xA35C]',
	0xA35D : 'Unassigned [0xA35D]',
	0xA35E : 'Unassigned [0xA35E]',
	0xA35F : 'Unassigned [0xA35F]',
	0xA360 : 'Unassigned [0xA360]',
	0xA361 : 'Unassigned [0xA361]',
	0xA362 : 'Unassigned [0xA362]',
	0xA363 : 'Unassigned [0xA363]',
	0xA364 : 'Unassigned [0xA364]',
	0xA365 : 'Unassigned [0xA365]',
	0xA366 : 'Unassigned [0xA366]',
	0xA367 : 'Unassigned [0xA367]',
	0xA368 : 'Unassigned [0xA368]',
	0xA369 : 'Unassigned [0xA369]',
	0xA36A : 'Unassigned [0xA36A]',
	0xA36B : 'Unassigned [0xA36B]',
	0xA36C : 'Unassigned [0xA36C]',
	0xA36D : 'Unassigned [0xA36D]',
	0xA36E : 'Unassigned [0xA36E]',
	0xA36F : 'Unassigned [0xA36F]',
	0xA370 : 'Unassigned [0xA370]',
	0xA371 : 'Unassigned [0xA371]',
	0xA372 : 'Unassigned [0xA372]',
	0xA373 : 'Unassigned [0xA373]',
	0xA374 : 'Unassigned [0xA374]',
	0xA375 : 'Unassigned [0xA375]',
	0xA376 : 'Unassigned [0xA376]',
	0xA377 : 'Unassigned [0xA377]',
	0xA378 : 'Unassigned [0xA378]',
	0xA379 : 'Unassigned [0xA379]',
	0xA37A : 'Unassigned [0xA37A]',
	0xA37B : 'Unassigned [0xA37B]',
	0xA37C : 'Unassigned [0xA37C]',
	0xA37D : 'Unassigned [0xA37D]',
	0xA37E : 'Unassigned [0xA37E]',
	0xA37F : 'Unassigned [0xA37F]',
	0xA380 : 'Unassigned [0xA380]',
	0xA381 : 'Unassigned [0xA381]',
	0xA382 : 'Unassigned [0xA382]',
	0xA383 : 'Unassigned [0xA383]',
	0xA384 : 'Unassigned [0xA384]',
	0xA385 : 'Unassigned [0xA385]',
	0xA386 : 'Unassigned [0xA386]',
	0xA387 : 'Unassigned [0xA387]',
	0xA388 : 'Unassigned [0xA388]',
	0xA389 : 'Unassigned [0xA389]',
	0xA38A : 'Unassigned [0xA38A]',
	0xA38B : 'Unassigned [0xA38B]',
	0xA38C : 'Unassigned [0xA38C]',
	0xA38D : 'Unassigned [0xA38D]',
	0xA38E : 'Unassigned [0xA38E]',
	0xA38F : 'Unassigned [0xA38F]',
	0xA390 : 'Unassigned [0xA390]',
	0xA391 : 'Unassigned [0xA391]',
	0xA392 : 'Unassigned [0xA392]',
	0xA393 : 'Unassigned [0xA393]',
	0xA394 : 'Unassigned [0xA394]',
	0xA395 : 'Unassigned [0xA395]',
	0xA396 : 'Unassigned [0xA396]',
	0xA397 : 'Unassigned [0xA397]',
	0xA398 : 'Unassigned [0xA398]',
	0xA399 : 'Unassigned [0xA399]',
	0xA39A : 'Unassigned [0xA39A]',
	0xA39B : 'Unassigned [0xA39B]',
	0xA39C : 'Unassigned [0xA39C]',
	0xA39D : 'Unassigned [0xA39D]',
	0xA39E : 'Unassigned [0xA39E]',
	0xA39F : 'Unassigned [0xA39F]',
	0xA3A0 : 'Unassigned [0xA3A0]',
	0xA3A1 : 'Unassigned [0xA3A1]',
	0xA3A2 : 'Unassigned [0xA3A2]',
	0xA3A3 : 'Unassigned [0xA3A3]',
	0xA3A4 : 'Unassigned [0xA3A4]',
	0xA3A5 : 'Unassigned [0xA3A5]',
	0xA3A6 : 'Unassigned [0xA3A6]',
	0xA3A7 : 'Unassigned [0xA3A7]',
	0xA3A8 : 'Unassigned [0xA3A8]',
	0xA3A9 : 'Unassigned [0xA3A9]',
	0xA3AA : 'Unassigned [0xA3AA]',
	0xA3AB : 'Unassigned [0xA3AB]',
	0xA3AC : 'Unassigned [0xA3AC]',
	0xA3AD : 'Unassigned [0xA3AD]',
	0xA3AE : 'Unassigned [0xA3AE]',
	0xA3AF : 'Unassigned [0xA3AF]',
	0xA3B0 : 'Unassigned [0xA3B0]',
	0xA3B1 : 'Unassigned [0xA3B1]',
	0xA3B2 : 'Unassigned [0xA3B2]',
	0xA3B3 : 'Unassigned [0xA3B3]',
	0xA3B4 : 'Unassigned [0xA3B4]',
	0xA3B5 : 'Unassigned [0xA3B5]',
	0xA3B6 : 'Unassigned [0xA3B6]',
	0xA3B7 : 'Unassigned [0xA3B7]',
	0xA3B8 : 'Unassigned [0xA3B8]',
	0xA3B9 : 'Unassigned [0xA3B9]',
	0xA3BA : 'Unassigned [0xA3BA]',
	0xA3BB : 'Unassigned [0xA3BB]',
	0xA3BC : 'Unassigned [0xA3BC]',
	0xA3BD : 'Unassigned [0xA3BD]',
	0xA3BE : 'Unassigned [0xA3BE]',
	0xA3BF : 'Unassigned [0xA3BF]',
	0xA3C0 : 'Unassigned [0xA3C0]',
	0xA3C1 : 'Unassigned [0xA3C1]',
	0xA3C2 : 'Unassigned [0xA3C2]',
	0xA3C3 : 'Unassigned [0xA3C3]',
	0xA3C4 : 'Unassigned [0xA3C4]',
	0xA3C5 : 'Unassigned [0xA3C5]',
	0xA3C6 : 'Unassigned [0xA3C6]',
	0xA3C7 : 'Unassigned [0xA3C7]',
	0xA3C8 : 'Unassigned [0xA3C8]',
	0xA3C9 : 'Unassigned [0xA3C9]',
	0xA3CA : 'Unassigned [0xA3CA]',
	0xA3CB : 'Unassigned [0xA3CB]',
	0xA3CC : 'Unassigned [0xA3CC]',
	0xA3CD : 'Unassigned [0xA3CD]',
	0xA3CE : 'Unassigned [0xA3CE]',
	0xA3CF : 'Unassigned [0xA3CF]',
	0xA3D0 : 'Unassigned [0xA3D0]',
	0xA3D1 : 'Unassigned [0xA3D1]',
	0xA3D2 : 'Unassigned [0xA3D2]',
	0xA3D3 : 'Unassigned [0xA3D3]',
	0xA3D4 : 'Unassigned [0xA3D4]',
	0xA3D5 : 'Unassigned [0xA3D5]',
	0xA3D6 : 'Unassigned [0xA3D6]',
	0xA3D7 : 'Unassigned [0xA3D7]',
	0xA3D8 : 'Unassigned [0xA3D8]',
	0xA3D9 : 'Unassigned [0xA3D9]',
	0xA3DA : 'Unassigned [0xA3DA]',
	0xA3DB : 'Unassigned [0xA3DB]',
	0xA3DC : 'Unassigned [0xA3DC]',
	0xA3DD : 'Unassigned [0xA3DD]',
	0xA3DE : 'Unassigned [0xA3DE]',
	0xA3DF : 'Unassigned [0xA3DF]',
	0xA3E0 : 'Unassigned [0xA3E0]',
	0xA3E1 : 'Unassigned [0xA3E1]',
	0xA3E2 : 'Unassigned [0xA3E2]',
	0xA3E3 : 'Unassigned [0xA3E3]',
	0xA3E4 : 'Unassigned [0xA3E4]',
	0xA3E5 : 'Unassigned [0xA3E5]',
	0xA3E6 : 'Unassigned [0xA3E6]',
	0xA3E7 : 'Unassigned [0xA3E7]',
	0xA3E8 : 'Unassigned [0xA3E8]',
	0xA3E9 : 'Unassigned [0xA3E9]',
	0xA3EA : 'Unassigned [0xA3EA]',
	0xA3EB : 'Unassigned [0xA3EB]',
	0xA3EC : 'Unassigned [0xA3EC]',
	0xA3ED : 'Unassigned [0xA3ED]',
	0xA3EE : 'Unassigned [0xA3EE]',
	0xA3EF : 'Unassigned [0xA3EF]',
	0xA3F0 : 'Unassigned [0xA3F0]',
	0xA3F1 : 'Unassigned [0xA3F1]',
	0xA3F2 : 'Unassigned [0xA3F2]',
	0xA3F3 : 'Unassigned [0xA3F3]',
	0xA3F4 : 'Unassigned [0xA3F4]',
	0xA3F5 : 'Unassigned [0xA3F5]',
	0xA3F6 : 'Unassigned [0xA3F6]',
	0xA3F7 : 'Unassigned [0xA3F7]',
	0xA3F8 : 'Unassigned [0xA3F8]',
	0xA3F9 : 'Unassigned [0xA3F9]',
	0xA3FA : 'Unassigned [0xA3FA]',
	0xA3FB : 'Unassigned [0xA3FB]',
	0xA3FC : 'Unassigned [0xA3FC]',
	0xA3FD : 'Unassigned [0xA3FD]',
	0xA3FE : 'Unassigned [0xA3FE]',
	0xA3FF : 'Unassigned [0xA3FF]',
	0xA400 : 'Unassigned [0xA400]',
	0xA401 : 'Unassigned [0xA401]',
	0xA402 : 'Unassigned [0xA402]',
	0xA403 : 'Unassigned [0xA403]',
	0xA404 : 'Unassigned [0xA404]',
	0xA405 : 'Unassigned [0xA405]',
	0xA406 : 'Unassigned [0xA406]',
	0xA407 : 'Unassigned [0xA407]',
	0xA408 : 'Unassigned [0xA408]',
	0xA409 : 'Unassigned [0xA409]',
	0xA40A : 'Unassigned [0xA40A]',
	0xA40B : 'Unassigned [0xA40B]',
	0xA40C : 'Unassigned [0xA40C]',
	0xA40D : 'Unassigned [0xA40D]',
	0xA40E : 'Unassigned [0xA40E]',
	0xA40F : 'Unassigned [0xA40F]',
	0xA410 : 'Unassigned [0xA410]',
	0xA411 : 'Unassigned [0xA411]',
	0xA412 : 'Unassigned [0xA412]',
	0xA413 : 'Unassigned [0xA413]',
	0xA414 : 'Unassigned [0xA414]',
	0xA415 : 'Unassigned [0xA415]',
	0xA416 : 'Unassigned [0xA416]',
	0xA417 : 'Unassigned [0xA417]',
	0xA418 : 'Unassigned [0xA418]',
	0xA419 : 'Unassigned [0xA419]',
	0xA41A : 'Unassigned [0xA41A]',
	0xA41B : 'Unassigned [0xA41B]',
	0xA41C : 'Unassigned [0xA41C]',
	0xA41D : 'Unassigned [0xA41D]',
	0xA41E : 'Unassigned [0xA41E]',
	0xA41F : 'Unassigned [0xA41F]',
	0xA420 : 'Unassigned [0xA420]',
	0xA421 : 'Unassigned [0xA421]',
	0xA422 : 'Unassigned [0xA422]',
	0xA423 : 'Unassigned [0xA423]',
	0xA424 : 'Unassigned [0xA424]',
	0xA425 : 'Unassigned [0xA425]',
	0xA426 : 'Unassigned [0xA426]',
	0xA427 : 'Unassigned [0xA427]',
	0xA428 : 'Unassigned [0xA428]',
	0xA429 : 'Unassigned [0xA429]',
	0xA42A : 'Unassigned [0xA42A]',
	0xA42B : 'Unassigned [0xA42B]',
	0xA42C : 'Unassigned [0xA42C]',
	0xA42D : 'Unassigned [0xA42D]',
	0xA42E : 'Unassigned [0xA42E]',
	0xA42F : 'Unassigned [0xA42F]',
	0xA430 : 'Unassigned [0xA430]',
	0xA431 : 'Unassigned [0xA431]',
	0xA432 : 'Unassigned [0xA432]',
	0xA433 : 'Unassigned [0xA433]',
	0xA434 : 'Unassigned [0xA434]',
	0xA435 : 'Unassigned [0xA435]',
	0xA436 : 'Unassigned [0xA436]',
	0xA437 : 'Unassigned [0xA437]',
	0xA438 : 'Unassigned [0xA438]',
	0xA439 : 'Unassigned [0xA439]',
	0xA43A : 'Unassigned [0xA43A]',
	0xA43B : 'Unassigned [0xA43B]',
	0xA43C : 'Unassigned [0xA43C]',
	0xA43D : 'Unassigned [0xA43D]',
	0xA43E : 'Unassigned [0xA43E]',
	0xA43F : 'Unassigned [0xA43F]',
	0xA440 : 'Unassigned [0xA440]',
	0xA441 : 'Unassigned [0xA441]',
	0xA442 : 'Unassigned [0xA442]',
	0xA443 : 'Unassigned [0xA443]',
	0xA444 : 'Unassigned [0xA444]',
	0xA445 : 'Unassigned [0xA445]',
	0xA446 : 'Unassigned [0xA446]',
	0xA447 : 'Unassigned [0xA447]',
	0xA448 : 'Unassigned [0xA448]',
	0xA449 : 'Unassigned [0xA449]',
	0xA44A : 'Unassigned [0xA44A]',
	0xA44B : 'Unassigned [0xA44B]',
	0xA44C : 'Unassigned [0xA44C]',
	0xA44D : 'Unassigned [0xA44D]',
	0xA44E : 'Unassigned [0xA44E]',
	0xA44F : 'Unassigned [0xA44F]',
	0xA450 : 'Unassigned [0xA450]',
	0xA451 : 'Unassigned [0xA451]',
	0xA452 : 'Unassigned [0xA452]',
	0xA453 : 'Unassigned [0xA453]',
	0xA454 : 'Unassigned [0xA454]',
	0xA455 : 'Unassigned [0xA455]',
	0xA456 : 'Unassigned [0xA456]',
	0xA457 : 'Unassigned [0xA457]',
	0xA458 : 'Unassigned [0xA458]',
	0xA459 : 'Unassigned [0xA459]',
	0xA45A : 'Unassigned [0xA45A]',
	0xA45B : 'Unassigned [0xA45B]',
	0xA45C : 'Unassigned [0xA45C]',
	0xA45D : 'Unassigned [0xA45D]',
	0xA45E : 'Unassigned [0xA45E]',
	0xA45F : 'Unassigned [0xA45F]',
	0xA460 : 'Unassigned [0xA460]',
	0xA461 : 'Unassigned [0xA461]',
	0xA462 : 'Unassigned [0xA462]',
	0xA463 : 'Unassigned [0xA463]',
	0xA464 : 'Unassigned [0xA464]',
	0xA465 : 'Unassigned [0xA465]',
	0xA466 : 'Unassigned [0xA466]',
	0xA467 : 'Unassigned [0xA467]',
	0xA468 : 'Unassigned [0xA468]',
	0xA469 : 'Unassigned [0xA469]',
	0xA46A : 'Unassigned [0xA46A]',
	0xA46B : 'Unassigned [0xA46B]',
	0xA46C : 'Unassigned [0xA46C]',
	0xA46D : 'Unassigned [0xA46D]',
	0xA46E : 'Unassigned [0xA46E]',
	0xA46F : 'Unassigned [0xA46F]',
	0xA470 : 'Unassigned [0xA470]',
	0xA471 : 'Unassigned [0xA471]',
	0xA472 : 'Unassigned [0xA472]',
	0xA473 : 'Unassigned [0xA473]',
	0xA474 : 'Unassigned [0xA474]',
	0xA475 : 'Unassigned [0xA475]',
	0xA476 : 'Unassigned [0xA476]',
	0xA477 : 'Unassigned [0xA477]',
	0xA478 : 'Unassigned [0xA478]',
	0xA479 : 'Unassigned [0xA479]',
	0xA47A : 'Unassigned [0xA47A]',
	0xA47B : 'Unassigned [0xA47B]',
	0xA47C : 'Unassigned [0xA47C]',
	0xA47D : 'Unassigned [0xA47D]',
	0xA47E : 'Unassigned [0xA47E]',
	0xA47F : 'Unassigned [0xA47F]',
	0xA480 : 'Unassigned [0xA480]',
	0xA481 : 'Unassigned [0xA481]',
	0xA482 : 'Unassigned [0xA482]',
	0xA483 : 'Unassigned [0xA483]',
	0xA484 : 'Unassigned [0xA484]',
	0xA485 : 'Unassigned [0xA485]',
	0xA486 : 'Unassigned [0xA486]',
	0xA487 : 'Unassigned [0xA487]',
	0xA488 : 'Unassigned [0xA488]',
	0xA489 : 'Unassigned [0xA489]',
	0xA48A : 'Unassigned [0xA48A]',
	0xA48B : 'Unassigned [0xA48B]',
	0xA48C : 'Unassigned [0xA48C]',
	0xA48D : 'Unassigned [0xA48D]',
	0xA48E : 'Unassigned [0xA48E]',
	0xA48F : 'Unassigned [0xA48F]',
	0xA490 : 'Unassigned [0xA490]',
	0xA491 : 'Unassigned [0xA491]',
	0xA492 : 'Unassigned [0xA492]',
	0xA493 : 'Unassigned [0xA493]',
	0xA494 : 'Unassigned [0xA494]',
	0xA495 : 'Unassigned [0xA495]',
	0xA496 : 'Unassigned [0xA496]',
	0xA497 : 'Unassigned [0xA497]',
	0xA498 : 'Unassigned [0xA498]',
	0xA499 : 'Unassigned [0xA499]',
	0xA49A : 'Unassigned [0xA49A]',
	0xA49B : 'Unassigned [0xA49B]',
	0xA49C : 'Unassigned [0xA49C]',
	0xA49D : 'Unassigned [0xA49D]',
	0xA49E : 'Unassigned [0xA49E]',
	0xA49F : 'Unassigned [0xA49F]',
	0xA4A0 : 'Unassigned [0xA4A0]',
	0xA4A1 : 'Unassigned [0xA4A1]',
	0xA4A2 : 'Unassigned [0xA4A2]',
	0xA4A3 : 'Unassigned [0xA4A3]',
	0xA4A4 : 'Unassigned [0xA4A4]',
	0xA4A5 : 'Unassigned [0xA4A5]',
	0xA4A6 : 'Unassigned [0xA4A6]',
	0xA4A7 : 'Unassigned [0xA4A7]',
	0xA4A8 : 'Unassigned [0xA4A8]',
	0xA4A9 : 'Unassigned [0xA4A9]',
	0xA4AA : 'Unassigned [0xA4AA]',
	0xA4AB : 'Unassigned [0xA4AB]',
	0xA4AC : 'Unassigned [0xA4AC]',
	0xA4AD : 'Unassigned [0xA4AD]',
	0xA4AE : 'Unassigned [0xA4AE]',
	0xA4AF : 'Unassigned [0xA4AF]',
	0xA4B0 : 'Unassigned [0xA4B0]',
	0xA4B1 : 'Unassigned [0xA4B1]',
	0xA4B2 : 'Unassigned [0xA4B2]',
	0xA4B3 : 'Unassigned [0xA4B3]',
	0xA4B4 : 'Unassigned [0xA4B4]',
	0xA4B5 : 'Unassigned [0xA4B5]',
	0xA4B6 : 'Unassigned [0xA4B6]',
	0xA4B7 : 'Unassigned [0xA4B7]',
	0xA4B8 : 'Unassigned [0xA4B8]',
	0xA4B9 : 'Unassigned [0xA4B9]',
	0xA4BA : 'Unassigned [0xA4BA]',
	0xA4BB : 'Unassigned [0xA4BB]',
	0xA4BC : 'Unassigned [0xA4BC]',
	0xA4BD : 'Unassigned [0xA4BD]',
	0xA4BE : 'Unassigned [0xA4BE]',
	0xA4BF : 'Unassigned [0xA4BF]',
	0xA4C0 : 'Unassigned [0xA4C0]',
	0xA4C1 : 'Unassigned [0xA4C1]',
	0xA4C2 : 'Unassigned [0xA4C2]',
	0xA4C3 : 'Unassigned [0xA4C3]',
	0xA4C4 : 'Unassigned [0xA4C4]',
	0xA4C5 : 'Unassigned [0xA4C5]',
	0xA4C6 : 'Unassigned [0xA4C6]',
	0xA4C7 : 'Unassigned [0xA4C7]',
	0xA4C8 : 'Unassigned [0xA4C8]',
	0xA4C9 : 'Unassigned [0xA4C9]',
	0xA4CA : 'Unassigned [0xA4CA]',
	0xA4CB : 'Unassigned [0xA4CB]',
	0xA4CC : 'Unassigned [0xA4CC]',
	0xA4CD : 'Unassigned [0xA4CD]',
	0xA4CE : 'Unassigned [0xA4CE]',
	0xA4CF : 'Unassigned [0xA4CF]',
	0xA4D0 : 'Unassigned [0xA4D0]',
	0xA4D1 : 'Unassigned [0xA4D1]',
	0xA4D2 : 'Unassigned [0xA4D2]',
	0xA4D3 : 'Unassigned [0xA4D3]',
	0xA4D4 : 'Unassigned [0xA4D4]',
	0xA4D5 : 'Unassigned [0xA4D5]',
	0xA4D6 : 'Unassigned [0xA4D6]',
	0xA4D7 : 'Unassigned [0xA4D7]',
	0xA4D8 : 'Unassigned [0xA4D8]',
	0xA4D9 : 'Unassigned [0xA4D9]',
	0xA4DA : 'Unassigned [0xA4DA]',
	0xA4DB : 'Unassigned [0xA4DB]',
	0xA4DC : 'Unassigned [0xA4DC]',
	0xA4DD : 'Unassigned [0xA4DD]',
	0xA4DE : 'Unassigned [0xA4DE]',
	0xA4DF : 'Unassigned [0xA4DF]',
	0xA4E0 : 'Unassigned [0xA4E0]',
	0xA4E1 : 'Unassigned [0xA4E1]',
	0xA4E2 : 'Unassigned [0xA4E2]',
	0xA4E3 : 'Unassigned [0xA4E3]',
	0xA4E4 : 'Unassigned [0xA4E4]',
	0xA4E5 : 'Unassigned [0xA4E5]',
	0xA4E6 : 'Unassigned [0xA4E6]',
	0xA4E7 : 'Unassigned [0xA4E7]',
	0xA4E8 : 'Unassigned [0xA4E8]',
	0xA4E9 : 'Unassigned [0xA4E9]',
	0xA4EA : 'Unassigned [0xA4EA]',
	0xA4EB : 'Unassigned [0xA4EB]',
	0xA4EC : 'Unassigned [0xA4EC]',
	0xA4ED : 'Unassigned [0xA4ED]',
	0xA4EE : 'Unassigned [0xA4EE]',
	0xA4EF : 'Unassigned [0xA4EF]',
	0xA4F0 : 'Unassigned [0xA4F0]',
	0xA4F1 : 'Unassigned [0xA4F1]',
	0xA4F2 : 'Unassigned [0xA4F2]',
	0xA4F3 : 'Unassigned [0xA4F3]',
	0xA4F4 : 'Unassigned [0xA4F4]',
	0xA4F5 : 'Unassigned [0xA4F5]',
	0xA4F6 : 'Unassigned [0xA4F6]',
	0xA4F7 : 'Unassigned [0xA4F7]',
	0xA4F8 : 'Unassigned [0xA4F8]',
	0xA4F9 : 'Unassigned [0xA4F9]',
	0xA4FA : 'Unassigned [0xA4FA]',
	0xA4FB : 'Unassigned [0xA4FB]',
	0xA4FC : 'Unassigned [0xA4FC]',
	0xA4FD : 'Unassigned [0xA4FD]',
	0xA4FE : 'Unassigned [0xA4FE]',
	0xA4FF : 'Unassigned [0xA4FF]',
	0xA500 : 'Unassigned [0xA500]',
	0xA501 : 'Unassigned [0xA501]',
	0xA502 : 'Unassigned [0xA502]',
	0xA503 : 'Unassigned [0xA503]',
	0xA504 : 'Unassigned [0xA504]',
	0xA505 : 'Unassigned [0xA505]',
	0xA506 : 'Unassigned [0xA506]',
	0xA507 : 'Unassigned [0xA507]',
	0xA508 : 'Unassigned [0xA508]',
	0xA509 : 'Unassigned [0xA509]',
	0xA50A : 'Unassigned [0xA50A]',
	0xA50B : 'Unassigned [0xA50B]',
	0xA50C : 'Unassigned [0xA50C]',
	0xA50D : 'Unassigned [0xA50D]',
	0xA50E : 'Unassigned [0xA50E]',
	0xA50F : 'Unassigned [0xA50F]',
	0xA510 : 'Unassigned [0xA510]',
	0xA511 : 'Unassigned [0xA511]',
	0xA512 : 'Unassigned [0xA512]',
	0xA513 : 'Unassigned [0xA513]',
	0xA514 : 'Unassigned [0xA514]',
	0xA515 : 'Unassigned [0xA515]',
	0xA516 : 'Unassigned [0xA516]',
	0xA517 : 'Unassigned [0xA517]',
	0xA518 : 'Unassigned [0xA518]',
	0xA519 : 'Unassigned [0xA519]',
	0xA51A : 'Unassigned [0xA51A]',
	0xA51B : 'Unassigned [0xA51B]',
	0xA51C : 'Unassigned [0xA51C]',
	0xA51D : 'Unassigned [0xA51D]',
	0xA51E : 'Unassigned [0xA51E]',
	0xA51F : 'Unassigned [0xA51F]',
	0xA520 : 'Unassigned [0xA520]',
	0xA521 : 'Unassigned [0xA521]',
	0xA522 : 'Unassigned [0xA522]',
	0xA523 : 'Unassigned [0xA523]',
	0xA524 : 'Unassigned [0xA524]',
	0xA525 : 'Unassigned [0xA525]',
	0xA526 : 'Unassigned [0xA526]',
	0xA527 : 'Unassigned [0xA527]',
	0xA528 : 'Unassigned [0xA528]',
	0xA529 : 'Unassigned [0xA529]',
	0xA52A : 'Unassigned [0xA52A]',
	0xA52B : 'Unassigned [0xA52B]',
	0xA52C : 'Unassigned [0xA52C]',
	0xA52D : 'Unassigned [0xA52D]',
	0xA52E : 'Unassigned [0xA52E]',
	0xA52F : 'Unassigned [0xA52F]',
	0xA530 : 'Unassigned [0xA530]',
	0xA531 : 'Unassigned [0xA531]',
	0xA532 : 'Unassigned [0xA532]',
	0xA533 : 'Unassigned [0xA533]',
	0xA534 : 'Unassigned [0xA534]',
	0xA535 : 'Unassigned [0xA535]',
	0xA536 : 'Unassigned [0xA536]',
	0xA537 : 'Unassigned [0xA537]',
	0xA538 : 'Unassigned [0xA538]',
	0xA539 : 'Unassigned [0xA539]',
	0xA53A : 'Unassigned [0xA53A]',
	0xA53B : 'Unassigned [0xA53B]',
	0xA53C : 'Unassigned [0xA53C]',
	0xA53D : 'Unassigned [0xA53D]',
	0xA53E : 'Unassigned [0xA53E]',
	0xA53F : 'Unassigned [0xA53F]',
	0xA540 : 'Unassigned [0xA540]',
	0xA541 : 'Unassigned [0xA541]',
	0xA542 : 'Unassigned [0xA542]',
	0xA543 : 'Unassigned [0xA543]',
	0xA544 : 'Unassigned [0xA544]',
	0xA545 : 'Unassigned [0xA545]',
	0xA546 : 'Unassigned [0xA546]',
	0xA547 : 'Unassigned [0xA547]',
	0xA548 : 'Unassigned [0xA548]',
	0xA549 : 'Unassigned [0xA549]',
	0xA54A : 'Unassigned [0xA54A]',
	0xA54B : 'Unassigned [0xA54B]',
	0xA54C : 'Unassigned [0xA54C]',
	0xA54D : 'Unassigned [0xA54D]',
	0xA54E : 'Unassigned [0xA54E]',
	0xA54F : 'Unassigned [0xA54F]',
	0xA550 : 'Unassigned [0xA550]',
	0xA551 : 'Unassigned [0xA551]',
	0xA552 : 'Unassigned [0xA552]',
	0xA553 : 'Unassigned [0xA553]',
	0xA554 : 'Unassigned [0xA554]',
	0xA555 : 'Unassigned [0xA555]',
	0xA556 : 'Unassigned [0xA556]',
	0xA557 : 'Unassigned [0xA557]',
	0xA558 : 'Unassigned [0xA558]',
	0xA559 : 'Unassigned [0xA559]',
	0xA55A : 'Unassigned [0xA55A]',
	0xA55B : 'Unassigned [0xA55B]',
	0xA55C : 'Unassigned [0xA55C]',
	0xA55D : 'Unassigned [0xA55D]',
	0xA55E : 'Unassigned [0xA55E]',
	0xA55F : 'Unassigned [0xA55F]',
	0xA560 : 'Unassigned [0xA560]',
	0xA561 : 'Unassigned [0xA561]',
	0xA562 : 'Unassigned [0xA562]',
	0xA563 : 'Unassigned [0xA563]',
	0xA564 : 'Unassigned [0xA564]',
	0xA565 : 'Unassigned [0xA565]',
	0xA566 : 'Unassigned [0xA566]',
	0xA567 : 'Unassigned [0xA567]',
	0xA568 : 'Unassigned [0xA568]',
	0xA569 : 'Unassigned [0xA569]',
	0xA56A : 'Unassigned [0xA56A]',
	0xA56B : 'Unassigned [0xA56B]',
	0xA56C : 'Unassigned [0xA56C]',
	0xA56D : 'Unassigned [0xA56D]',
	0xA56E : 'Unassigned [0xA56E]',
	0xA56F : 'Unassigned [0xA56F]',
	0xA570 : 'Unassigned [0xA570]',
	0xA571 : 'Unassigned [0xA571]',
	0xA572 : 'Unassigned [0xA572]',
	0xA573 : 'Unassigned [0xA573]',
	0xA574 : 'Unassigned [0xA574]',
	0xA575 : 'Unassigned [0xA575]',
	0xA576 : 'Unassigned [0xA576]',
	0xA577 : 'Unassigned [0xA577]',
	0xA578 : 'Unassigned [0xA578]',
	0xA579 : 'Unassigned [0xA579]',
	0xA57A : 'Unassigned [0xA57A]',
	0xA57B : 'Unassigned [0xA57B]',
	0xA57C : 'Unassigned [0xA57C]',
	0xA57D : 'Unassigned [0xA57D]',
	0xA57E : 'Unassigned [0xA57E]',
	0xA57F : 'Unassigned [0xA57F]',
	0xA580 : 'Unassigned [0xA580]',
	0xA581 : 'Unassigned [0xA581]',
	0xA582 : 'Unassigned [0xA582]',
	0xA583 : 'Unassigned [0xA583]',
	0xA584 : 'Unassigned [0xA584]',
	0xA585 : 'Unassigned [0xA585]',
	0xA586 : 'Unassigned [0xA586]',
	0xA587 : 'Unassigned [0xA587]',
	0xA588 : 'Unassigned [0xA588]',
	0xA589 : 'Unassigned [0xA589]',
	0xA58A : 'Unassigned [0xA58A]',
	0xA58B : 'Unassigned [0xA58B]',
	0xA58C : 'Unassigned [0xA58C]',
	0xA58D : 'Unassigned [0xA58D]',
	0xA58E : 'Unassigned [0xA58E]',
	0xA58F : 'Unassigned [0xA58F]',
	0xA590 : 'Unassigned [0xA590]',
	0xA591 : 'Unassigned [0xA591]',
	0xA592 : 'Unassigned [0xA592]',
	0xA593 : 'Unassigned [0xA593]',
	0xA594 : 'Unassigned [0xA594]',
	0xA595 : 'Unassigned [0xA595]',
	0xA596 : 'Unassigned [0xA596]',
	0xA597 : 'Unassigned [0xA597]',
	0xA598 : 'Unassigned [0xA598]',
	0xA599 : 'Unassigned [0xA599]',
	0xA59A : 'Unassigned [0xA59A]',
	0xA59B : 'Unassigned [0xA59B]',
	0xA59C : 'Unassigned [0xA59C]',
	0xA59D : 'Unassigned [0xA59D]',
	0xA59E : 'Unassigned [0xA59E]',
	0xA59F : 'Unassigned [0xA59F]',
	0xA5A0 : 'Unassigned [0xA5A0]',
	0xA5A1 : 'Unassigned [0xA5A1]',
	0xA5A2 : 'Unassigned [0xA5A2]',
	0xA5A3 : 'Unassigned [0xA5A3]',
	0xA5A4 : 'Unassigned [0xA5A4]',
	0xA5A5 : 'Unassigned [0xA5A5]',
	0xA5A6 : 'Unassigned [0xA5A6]',
	0xA5A7 : 'Unassigned [0xA5A7]',
	0xA5A8 : 'Unassigned [0xA5A8]',
	0xA5A9 : 'Unassigned [0xA5A9]',
	0xA5AA : 'Unassigned [0xA5AA]',
	0xA5AB : 'Unassigned [0xA5AB]',
	0xA5AC : 'Unassigned [0xA5AC]',
	0xA5AD : 'Unassigned [0xA5AD]',
	0xA5AE : 'Unassigned [0xA5AE]',
	0xA5AF : 'Unassigned [0xA5AF]',
	0xA5B0 : 'Unassigned [0xA5B0]',
	0xA5B1 : 'Unassigned [0xA5B1]',
	0xA5B2 : 'Unassigned [0xA5B2]',
	0xA5B3 : 'Unassigned [0xA5B3]',
	0xA5B4 : 'Unassigned [0xA5B4]',
	0xA5B5 : 'Unassigned [0xA5B5]',
	0xA5B6 : 'Unassigned [0xA5B6]',
	0xA5B7 : 'Unassigned [0xA5B7]',
	0xA5B8 : 'Unassigned [0xA5B8]',
	0xA5B9 : 'Unassigned [0xA5B9]',
	0xA5BA : 'Unassigned [0xA5BA]',
	0xA5BB : 'Unassigned [0xA5BB]',
	0xA5BC : 'Unassigned [0xA5BC]',
	0xA5BD : 'Unassigned [0xA5BD]',
	0xA5BE : 'Unassigned [0xA5BE]',
	0xA5BF : 'Unassigned [0xA5BF]',
	0xA5C0 : 'Unassigned [0xA5C0]',
	0xA5C1 : 'Unassigned [0xA5C1]',
	0xA5C2 : 'Unassigned [0xA5C2]',
	0xA5C3 : 'Unassigned [0xA5C3]',
	0xA5C4 : 'Unassigned [0xA5C4]',
	0xA5C5 : 'Unassigned [0xA5C5]',
	0xA5C6 : 'Unassigned [0xA5C6]',
	0xA5C7 : 'Unassigned [0xA5C7]',
	0xA5C8 : 'Unassigned [0xA5C8]',
	0xA5C9 : 'Unassigned [0xA5C9]',
	0xA5CA : 'Unassigned [0xA5CA]',
	0xA5CB : 'Unassigned [0xA5CB]',
	0xA5CC : 'Unassigned [0xA5CC]',
	0xA5CD : 'Unassigned [0xA5CD]',
	0xA5CE : 'Unassigned [0xA5CE]',
	0xA5CF : 'Unassigned [0xA5CF]',
	0xA5D0 : 'Unassigned [0xA5D0]',
	0xA5D1 : 'Unassigned [0xA5D1]',
	0xA5D2 : 'Unassigned [0xA5D2]',
	0xA5D3 : 'Unassigned [0xA5D3]',
	0xA5D4 : 'Unassigned [0xA5D4]',
	0xA5D5 : 'Unassigned [0xA5D5]',
	0xA5D6 : 'Unassigned [0xA5D6]',
	0xA5D7 : 'Unassigned [0xA5D7]',
	0xA5D8 : 'Unassigned [0xA5D8]',
	0xA5D9 : 'Unassigned [0xA5D9]',
	0xA5DA : 'Unassigned [0xA5DA]',
	0xA5DB : 'Unassigned [0xA5DB]',
	0xA5DC : 'Unassigned [0xA5DC]',
	0xA5DD : 'Unassigned [0xA5DD]',
	0xA5DE : 'Unassigned [0xA5DE]',
	0xA5DF : 'Unassigned [0xA5DF]',
	0xA5E0 : 'Unassigned [0xA5E0]',
	0xA5E1 : 'Unassigned [0xA5E1]',
	0xA5E2 : 'Unassigned [0xA5E2]',
	0xA5E3 : 'Unassigned [0xA5E3]',
	0xA5E4 : 'Unassigned [0xA5E4]',
	0xA5E5 : 'Unassigned [0xA5E5]',
	0xA5E6 : 'Unassigned [0xA5E6]',
	0xA5E7 : 'Unassigned [0xA5E7]',
	0xA5E8 : 'Unassigned [0xA5E8]',
	0xA5E9 : 'Unassigned [0xA5E9]',
	0xA5EA : 'Unassigned [0xA5EA]',
	0xA5EB : 'Unassigned [0xA5EB]',
	0xA5EC : 'Unassigned [0xA5EC]',
	0xA5ED : 'Unassigned [0xA5ED]',
	0xA5EE : 'Unassigned [0xA5EE]',
	0xA5EF : 'Unassigned [0xA5EF]',
	0xA5F0 : 'Unassigned [0xA5F0]',
	0xA5F1 : 'Unassigned [0xA5F1]',
	0xA5F2 : 'Unassigned [0xA5F2]',
	0xA5F3 : 'Unassigned [0xA5F3]',
	0xA5F4 : 'Unassigned [0xA5F4]',
	0xA5F5 : 'Unassigned [0xA5F5]',
	0xA5F6 : 'Unassigned [0xA5F6]',
	0xA5F7 : 'Unassigned [0xA5F7]',
	0xA5F8 : 'Unassigned [0xA5F8]',
	0xA5F9 : 'Unassigned [0xA5F9]',
	0xA5FA : 'Unassigned [0xA5FA]',
	0xA5FB : 'Unassigned [0xA5FB]',
	0xA5FC : 'Unassigned [0xA5FC]',
	0xA5FD : 'Unassigned [0xA5FD]',
	0xA5FE : 'Unassigned [0xA5FE]',
	0xA5FF : 'Unassigned [0xA5FF]',
	0xA600 : 'Unassigned [0xA600]',
	0xA601 : 'Unassigned [0xA601]',
	0xA602 : 'Unassigned [0xA602]',
	0xA603 : 'Unassigned [0xA603]',
	0xA604 : 'Unassigned [0xA604]',
	0xA605 : 'Unassigned [0xA605]',
	0xA606 : 'Unassigned [0xA606]',
	0xA607 : 'Unassigned [0xA607]',
	0xA608 : 'Unassigned [0xA608]',
	0xA609 : 'Unassigned [0xA609]',
	0xA60A : 'Unassigned [0xA60A]',
	0xA60B : 'Unassigned [0xA60B]',
	0xA60C : 'Unassigned [0xA60C]',
	0xA60D : 'Unassigned [0xA60D]',
	0xA60E : 'Unassigned [0xA60E]',
	0xA60F : 'Unassigned [0xA60F]',
	0xA610 : 'Unassigned [0xA610]',
	0xA611 : 'Unassigned [0xA611]',
	0xA612 : 'Unassigned [0xA612]',
	0xA613 : 'Unassigned [0xA613]',
	0xA614 : 'Unassigned [0xA614]',
	0xA615 : 'Unassigned [0xA615]',
	0xA616 : 'Unassigned [0xA616]',
	0xA617 : 'Unassigned [0xA617]',
	0xA618 : 'Unassigned [0xA618]',
	0xA619 : 'Unassigned [0xA619]',
	0xA61A : 'Unassigned [0xA61A]',
	0xA61B : 'Unassigned [0xA61B]',
	0xA61C : 'Unassigned [0xA61C]',
	0xA61D : 'Unassigned [0xA61D]',
	0xA61E : 'Unassigned [0xA61E]',
	0xA61F : 'Unassigned [0xA61F]',
	0xA620 : 'Unassigned [0xA620]',
	0xA621 : 'Unassigned [0xA621]',
	0xA622 : 'Unassigned [0xA622]',
	0xA623 : 'Unassigned [0xA623]',
	0xA624 : 'Unassigned [0xA624]',
	0xA625 : 'Unassigned [0xA625]',
	0xA626 : 'Unassigned [0xA626]',
	0xA627 : 'Unassigned [0xA627]',
	0xA628 : 'Unassigned [0xA628]',
	0xA629 : 'Unassigned [0xA629]',
	0xA62A : 'Unassigned [0xA62A]',
	0xA62B : 'Unassigned [0xA62B]',
	0xA62C : 'Unassigned [0xA62C]',
	0xA62D : 'Unassigned [0xA62D]',
	0xA62E : 'Unassigned [0xA62E]',
	0xA62F : 'Unassigned [0xA62F]',
	0xA630 : 'Unassigned [0xA630]',
	0xA631 : 'Unassigned [0xA631]',
	0xA632 : 'Unassigned [0xA632]',
	0xA633 : 'Unassigned [0xA633]',
	0xA634 : 'Unassigned [0xA634]',
	0xA635 : 'Unassigned [0xA635]',
	0xA636 : 'Unassigned [0xA636]',
	0xA637 : 'Unassigned [0xA637]',
	0xA638 : 'Unassigned [0xA638]',
	0xA639 : 'Unassigned [0xA639]',
	0xA63A : 'Unassigned [0xA63A]',
	0xA63B : 'Unassigned [0xA63B]',
	0xA63C : 'Unassigned [0xA63C]',
	0xA63D : 'Unassigned [0xA63D]',
	0xA63E : 'Unassigned [0xA63E]',
	0xA63F : 'Unassigned [0xA63F]',
	0xA640 : 'Unassigned [0xA640]',
	0xA641 : 'Unassigned [0xA641]',
	0xA642 : 'Unassigned [0xA642]',
	0xA643 : 'Unassigned [0xA643]',
	0xA644 : 'Unassigned [0xA644]',
	0xA645 : 'Unassigned [0xA645]',
	0xA646 : 'Unassigned [0xA646]',
	0xA647 : 'Unassigned [0xA647]',
	0xA648 : 'Unassigned [0xA648]',
	0xA649 : 'Unassigned [0xA649]',
	0xA64A : 'Unassigned [0xA64A]',
	0xA64B : 'Unassigned [0xA64B]',
	0xA64C : 'Unassigned [0xA64C]',
	0xA64D : 'Unassigned [0xA64D]',
	0xA64E : 'Unassigned [0xA64E]',
	0xA64F : 'Unassigned [0xA64F]',
	0xA650 : 'Unassigned [0xA650]',
	0xA651 : 'Unassigned [0xA651]',
	0xA652 : 'Unassigned [0xA652]',
	0xA653 : 'Unassigned [0xA653]',
	0xA654 : 'Unassigned [0xA654]',
	0xA655 : 'Unassigned [0xA655]',
	0xA656 : 'Unassigned [0xA656]',
	0xA657 : 'Unassigned [0xA657]',
	0xA658 : 'Unassigned [0xA658]',
	0xA659 : 'Unassigned [0xA659]',
	0xA65A : 'Unassigned [0xA65A]',
	0xA65B : 'Unassigned [0xA65B]',
	0xA65C : 'Unassigned [0xA65C]',
	0xA65D : 'Unassigned [0xA65D]',
	0xA65E : 'Unassigned [0xA65E]',
	0xA65F : 'Unassigned [0xA65F]',
	0xA660 : 'Unassigned [0xA660]',
	0xA661 : 'Unassigned [0xA661]',
	0xA662 : 'Unassigned [0xA662]',
	0xA663 : 'Unassigned [0xA663]',
	0xA664 : 'Unassigned [0xA664]',
	0xA665 : 'Unassigned [0xA665]',
	0xA666 : 'Unassigned [0xA666]',
	0xA667 : 'Unassigned [0xA667]',
	0xA668 : 'Unassigned [0xA668]',
	0xA669 : 'Unassigned [0xA669]',
	0xA66A : 'Unassigned [0xA66A]',
	0xA66B : 'Unassigned [0xA66B]',
	0xA66C : 'Unassigned [0xA66C]',
	0xA66D : 'Unassigned [0xA66D]',
	0xA66E : 'Unassigned [0xA66E]',
	0xA66F : 'Unassigned [0xA66F]',
	0xA670 : 'Unassigned [0xA670]',
	0xA671 : 'Unassigned [0xA671]',
	0xA672 : 'Unassigned [0xA672]',
	0xA673 : 'Unassigned [0xA673]',
	0xA674 : 'Unassigned [0xA674]',
	0xA675 : 'Unassigned [0xA675]',
	0xA676 : 'Unassigned [0xA676]',
	0xA677 : 'Unassigned [0xA677]',
	0xA678 : 'Unassigned [0xA678]',
	0xA679 : 'Unassigned [0xA679]',
	0xA67A : 'Unassigned [0xA67A]',
	0xA67B : 'Unassigned [0xA67B]',
	0xA67C : 'Unassigned [0xA67C]',
	0xA67D : 'Unassigned [0xA67D]',
	0xA67E : 'Unassigned [0xA67E]',
	0xA67F : 'Unassigned [0xA67F]',
	0xA680 : 'Unassigned [0xA680]',
	0xA681 : 'Unassigned [0xA681]',
	0xA682 : 'Unassigned [0xA682]',
	0xA683 : 'Unassigned [0xA683]',
	0xA684 : 'Unassigned [0xA684]',
	0xA685 : 'Unassigned [0xA685]',
	0xA686 : 'Unassigned [0xA686]',
	0xA687 : 'Unassigned [0xA687]',
	0xA688 : 'Unassigned [0xA688]',
	0xA689 : 'Unassigned [0xA689]',
	0xA68A : 'Unassigned [0xA68A]',
	0xA68B : 'Unassigned [0xA68B]',
	0xA68C : 'Unassigned [0xA68C]',
	0xA68D : 'Unassigned [0xA68D]',
	0xA68E : 'Unassigned [0xA68E]',
	0xA68F : 'Unassigned [0xA68F]',
	0xA690 : 'Unassigned [0xA690]',
	0xA691 : 'Unassigned [0xA691]',
	0xA692 : 'Unassigned [0xA692]',
	0xA693 : 'Unassigned [0xA693]',
	0xA694 : 'Unassigned [0xA694]',
	0xA695 : 'Unassigned [0xA695]',
	0xA696 : 'Unassigned [0xA696]',
	0xA697 : 'Unassigned [0xA697]',
	0xA698 : 'Unassigned [0xA698]',
	0xA699 : 'Unassigned [0xA699]',
	0xA69A : 'Unassigned [0xA69A]',
	0xA69B : 'Unassigned [0xA69B]',
	0xA69C : 'Unassigned [0xA69C]',
	0xA69D : 'Unassigned [0xA69D]',
	0xA69E : 'Unassigned [0xA69E]',
	0xA69F : 'Unassigned [0xA69F]',
	0xA6A0 : 'Unassigned [0xA6A0]',
	0xA6A1 : 'Unassigned [0xA6A1]',
	0xA6A2 : 'Unassigned [0xA6A2]',
	0xA6A3 : 'Unassigned [0xA6A3]',
	0xA6A4 : 'Unassigned [0xA6A4]',
	0xA6A5 : 'Unassigned [0xA6A5]',
	0xA6A6 : 'Unassigned [0xA6A6]',
	0xA6A7 : 'Unassigned [0xA6A7]',
	0xA6A8 : 'Unassigned [0xA6A8]',
	0xA6A9 : 'Unassigned [0xA6A9]',
	0xA6AA : 'Unassigned [0xA6AA]',
	0xA6AB : 'Unassigned [0xA6AB]',
	0xA6AC : 'Unassigned [0xA6AC]',
	0xA6AD : 'Unassigned [0xA6AD]',
	0xA6AE : 'Unassigned [0xA6AE]',
	0xA6AF : 'Unassigned [0xA6AF]',
	0xA6B0 : 'Unassigned [0xA6B0]',
	0xA6B1 : 'Unassigned [0xA6B1]',
	0xA6B2 : 'Unassigned [0xA6B2]',
	0xA6B3 : 'Unassigned [0xA6B3]',
	0xA6B4 : 'Unassigned [0xA6B4]',
	0xA6B5 : 'Unassigned [0xA6B5]',
	0xA6B6 : 'Unassigned [0xA6B6]',
	0xA6B7 : 'Unassigned [0xA6B7]',
	0xA6B8 : 'Unassigned [0xA6B8]',
	0xA6B9 : 'Unassigned [0xA6B9]',
	0xA6BA : 'Unassigned [0xA6BA]',
	0xA6BB : 'Unassigned [0xA6BB]',
	0xA6BC : 'Unassigned [0xA6BC]',
	0xA6BD : 'Unassigned [0xA6BD]',
	0xA6BE : 'Unassigned [0xA6BE]',
	0xA6BF : 'Unassigned [0xA6BF]',
	0xA6C0 : 'Unassigned [0xA6C0]',
	0xA6C1 : 'Unassigned [0xA6C1]',
	0xA6C2 : 'Unassigned [0xA6C2]',
	0xA6C3 : 'Unassigned [0xA6C3]',
	0xA6C4 : 'Unassigned [0xA6C4]',
	0xA6C5 : 'Unassigned [0xA6C5]',
	0xA6C6 : 'Unassigned [0xA6C6]',
	0xA6C7 : 'Unassigned [0xA6C7]',
	0xA6C8 : 'Unassigned [0xA6C8]',
	0xA6C9 : 'Unassigned [0xA6C9]',
	0xA6CA : 'Unassigned [0xA6CA]',
	0xA6CB : 'Unassigned [0xA6CB]',
	0xA6CC : 'Unassigned [0xA6CC]',
	0xA6CD : 'Unassigned [0xA6CD]',
	0xA6CE : 'Unassigned [0xA6CE]',
	0xA6CF : 'Unassigned [0xA6CF]',
	0xA6D0 : 'Unassigned [0xA6D0]',
	0xA6D1 : 'Unassigned [0xA6D1]',
	0xA6D2 : 'Unassigned [0xA6D2]',
	0xA6D3 : 'Unassigned [0xA6D3]',
	0xA6D4 : 'Unassigned [0xA6D4]',
	0xA6D5 : 'Unassigned [0xA6D5]',
	0xA6D6 : 'Unassigned [0xA6D6]',
	0xA6D7 : 'Unassigned [0xA6D7]',
	0xA6D8 : 'Unassigned [0xA6D8]',
	0xA6D9 : 'Unassigned [0xA6D9]',
	0xA6DA : 'Unassigned [0xA6DA]',
	0xA6DB : 'Unassigned [0xA6DB]',
	0xA6DC : 'Unassigned [0xA6DC]',
	0xA6DD : 'Unassigned [0xA6DD]',
	0xA6DE : 'Unassigned [0xA6DE]',
	0xA6DF : 'Unassigned [0xA6DF]',
	0xA6E0 : 'Unassigned [0xA6E0]',
	0xA6E1 : 'Unassigned [0xA6E1]',
	0xA6E2 : 'Unassigned [0xA6E2]',
	0xA6E3 : 'Unassigned [0xA6E3]',
	0xA6E4 : 'Unassigned [0xA6E4]',
	0xA6E5 : 'Unassigned [0xA6E5]',
	0xA6E6 : 'Unassigned [0xA6E6]',
	0xA6E7 : 'Unassigned [0xA6E7]',
	0xA6E8 : 'Unassigned [0xA6E8]',
	0xA6E9 : 'Unassigned [0xA6E9]',
	0xA6EA : 'Unassigned [0xA6EA]',
	0xA6EB : 'Unassigned [0xA6EB]',
	0xA6EC : 'Unassigned [0xA6EC]',
	0xA6ED : 'Unassigned [0xA6ED]',
	0xA6EE : 'Unassigned [0xA6EE]',
	0xA6EF : 'Unassigned [0xA6EF]',
	0xA6F0 : 'Unassigned [0xA6F0]',
	0xA6F1 : 'Unassigned [0xA6F1]',
	0xA6F2 : 'Unassigned [0xA6F2]',
	0xA6F3 : 'Unassigned [0xA6F3]',
	0xA6F4 : 'Unassigned [0xA6F4]',
	0xA6F5 : 'Unassigned [0xA6F5]',
	0xA6F6 : 'Unassigned [0xA6F6]',
	0xA6F7 : 'Unassigned [0xA6F7]',
	0xA6F8 : 'Unassigned [0xA6F8]',
	0xA6F9 : 'Unassigned [0xA6F9]',
	0xA6FA : 'Unassigned [0xA6FA]',
	0xA6FB : 'Unassigned [0xA6FB]',
	0xA6FC : 'Unassigned [0xA6FC]',
	0xA6FD : 'Unassigned [0xA6FD]',
	0xA6FE : 'Unassigned [0xA6FE]',
	0xA6FF : 'Unassigned [0xA6FF]',
	0xA700 : 'Unassigned [0xA700]',
	0xA701 : 'Unassigned [0xA701]',
	0xA702 : 'Unassigned [0xA702]',
	0xA703 : 'Unassigned [0xA703]',
	0xA704 : 'Unassigned [0xA704]',
	0xA705 : 'Unassigned [0xA705]',
	0xA706 : 'Unassigned [0xA706]',
	0xA707 : 'Unassigned [0xA707]',
	0xA708 : 'Unassigned [0xA708]',
	0xA709 : 'Unassigned [0xA709]',
	0xA70A : 'Unassigned [0xA70A]',
	0xA70B : 'Unassigned [0xA70B]',
	0xA70C : 'Unassigned [0xA70C]',
	0xA70D : 'Unassigned [0xA70D]',
	0xA70E : 'Unassigned [0xA70E]',
	0xA70F : 'Unassigned [0xA70F]',
	0xA710 : 'Unassigned [0xA710]',
	0xA711 : 'Unassigned [0xA711]',
	0xA712 : 'Unassigned [0xA712]',
	0xA713 : 'Unassigned [0xA713]',
	0xA714 : 'Unassigned [0xA714]',
	0xA715 : 'Unassigned [0xA715]',
	0xA716 : 'Unassigned [0xA716]',
	0xA717 : 'Unassigned [0xA717]',
	0xA718 : 'Unassigned [0xA718]',
	0xA719 : 'Unassigned [0xA719]',
	0xA71A : 'Unassigned [0xA71A]',
	0xA71B : 'Unassigned [0xA71B]',
	0xA71C : 'Unassigned [0xA71C]',
	0xA71D : 'Unassigned [0xA71D]',
	0xA71E : 'Unassigned [0xA71E]',
	0xA71F : 'Unassigned [0xA71F]',
	0xA720 : 'Unassigned [0xA720]',
	0xA721 : 'Unassigned [0xA721]',
	0xA722 : 'Unassigned [0xA722]',
	0xA723 : 'Unassigned [0xA723]',
	0xA724 : 'Unassigned [0xA724]',
	0xA725 : 'Unassigned [0xA725]',
	0xA726 : 'Unassigned [0xA726]',
	0xA727 : 'Unassigned [0xA727]',
	0xA728 : 'Unassigned [0xA728]',
	0xA729 : 'Unassigned [0xA729]',
	0xA72A : 'Unassigned [0xA72A]',
	0xA72B : 'Unassigned [0xA72B]',
	0xA72C : 'Unassigned [0xA72C]',
	0xA72D : 'Unassigned [0xA72D]',
	0xA72E : 'Unassigned [0xA72E]',
	0xA72F : 'Unassigned [0xA72F]',
	0xA730 : 'Unassigned [0xA730]',
	0xA731 : 'Unassigned [0xA731]',
	0xA732 : 'Unassigned [0xA732]',
	0xA733 : 'Unassigned [0xA733]',
	0xA734 : 'Unassigned [0xA734]',
	0xA735 : 'Unassigned [0xA735]',
	0xA736 : 'Unassigned [0xA736]',
	0xA737 : 'Unassigned [0xA737]',
	0xA738 : 'Unassigned [0xA738]',
	0xA739 : 'Unassigned [0xA739]',
	0xA73A : 'Unassigned [0xA73A]',
	0xA73B : 'Unassigned [0xA73B]',
	0xA73C : 'Unassigned [0xA73C]',
	0xA73D : 'Unassigned [0xA73D]',
	0xA73E : 'Unassigned [0xA73E]',
	0xA73F : 'Unassigned [0xA73F]',
	0xA740 : 'Unassigned [0xA740]',
	0xA741 : 'Unassigned [0xA741]',
	0xA742 : 'Unassigned [0xA742]',
	0xA743 : 'Unassigned [0xA743]',
	0xA744 : 'Unassigned [0xA744]',
	0xA745 : 'Unassigned [0xA745]',
	0xA746 : 'Unassigned [0xA746]',
	0xA747 : 'Unassigned [0xA747]',
	0xA748 : 'Unassigned [0xA748]',
	0xA749 : 'Unassigned [0xA749]',
	0xA74A : 'Unassigned [0xA74A]',
	0xA74B : 'Unassigned [0xA74B]',
	0xA74C : 'Unassigned [0xA74C]',
	0xA74D : 'Unassigned [0xA74D]',
	0xA74E : 'Unassigned [0xA74E]',
	0xA74F : 'Unassigned [0xA74F]',
	0xA750 : 'Unassigned [0xA750]',
	0xA751 : 'Unassigned [0xA751]',
	0xA752 : 'Unassigned [0xA752]',
	0xA753 : 'Unassigned [0xA753]',
	0xA754 : 'Unassigned [0xA754]',
	0xA755 : 'Unassigned [0xA755]',
	0xA756 : 'Unassigned [0xA756]',
	0xA757 : 'Unassigned [0xA757]',
	0xA758 : 'Unassigned [0xA758]',
	0xA759 : 'Unassigned [0xA759]',
	0xA75A : 'Unassigned [0xA75A]',
	0xA75B : 'Unassigned [0xA75B]',
	0xA75C : 'Unassigned [0xA75C]',
	0xA75D : 'Unassigned [0xA75D]',
	0xA75E : 'Unassigned [0xA75E]',
	0xA75F : 'Unassigned [0xA75F]',
	0xA760 : 'Unassigned [0xA760]',
	0xA761 : 'Unassigned [0xA761]',
	0xA762 : 'Unassigned [0xA762]',
	0xA763 : 'Unassigned [0xA763]',
	0xA764 : 'Unassigned [0xA764]',
	0xA765 : 'Unassigned [0xA765]',
	0xA766 : 'Unassigned [0xA766]',
	0xA767 : 'Unassigned [0xA767]',
	0xA768 : 'Unassigned [0xA768]',
	0xA769 : 'Unassigned [0xA769]',
	0xA76A : 'Unassigned [0xA76A]',
	0xA76B : 'Unassigned [0xA76B]',
	0xA76C : 'Unassigned [0xA76C]',
	0xA76D : 'Unassigned [0xA76D]',
	0xA76E : 'Unassigned [0xA76E]',
	0xA76F : 'Unassigned [0xA76F]',
	0xA770 : 'Unassigned [0xA770]',
	0xA771 : 'Unassigned [0xA771]',
	0xA772 : 'Unassigned [0xA772]',
	0xA773 : 'Unassigned [0xA773]',
	0xA774 : 'Unassigned [0xA774]',
	0xA775 : 'Unassigned [0xA775]',
	0xA776 : 'Unassigned [0xA776]',
	0xA777 : 'Unassigned [0xA777]',
	0xA778 : 'Unassigned [0xA778]',
	0xA779 : 'Unassigned [0xA779]',
	0xA77A : 'Unassigned [0xA77A]',
	0xA77B : 'Unassigned [0xA77B]',
	0xA77C : 'Unassigned [0xA77C]',
	0xA77D : 'Unassigned [0xA77D]',
	0xA77E : 'Unassigned [0xA77E]',
	0xA77F : 'Unassigned [0xA77F]',
	0xA780 : 'Unassigned [0xA780]',
	0xA781 : 'Unassigned [0xA781]',
	0xA782 : 'Unassigned [0xA782]',
	0xA783 : 'Unassigned [0xA783]',
	0xA784 : 'Unassigned [0xA784]',
	0xA785 : 'Unassigned [0xA785]',
	0xA786 : 'Unassigned [0xA786]',
	0xA787 : 'Unassigned [0xA787]',
	0xA788 : 'Unassigned [0xA788]',
	0xA789 : 'Unassigned [0xA789]',
	0xA78A : 'Unassigned [0xA78A]',
	0xA78B : 'Unassigned [0xA78B]',
	0xA78C : 'Unassigned [0xA78C]',
	0xA78D : 'Unassigned [0xA78D]',
	0xA78E : 'Unassigned [0xA78E]',
	0xA78F : 'Unassigned [0xA78F]',
	0xA790 : 'Unassigned [0xA790]',
	0xA791 : 'Unassigned [0xA791]',
	0xA792 : 'Unassigned [0xA792]',
	0xA793 : 'Unassigned [0xA793]',
	0xA794 : 'Unassigned [0xA794]',
	0xA795 : 'Unassigned [0xA795]',
	0xA796 : 'Unassigned [0xA796]',
	0xA797 : 'Unassigned [0xA797]',
	0xA798 : 'Unassigned [0xA798]',
	0xA799 : 'Unassigned [0xA799]',
	0xA79A : 'Unassigned [0xA79A]',
	0xA79B : 'Unassigned [0xA79B]',
	0xA79C : 'Unassigned [0xA79C]',
	0xA79D : 'Unassigned [0xA79D]',
	0xA79E : 'Unassigned [0xA79E]',
	0xA79F : 'Unassigned [0xA79F]',
	0xA7A0 : 'Unassigned [0xA7A0]',
	0xA7A1 : 'Unassigned [0xA7A1]',
	0xA7A2 : 'Unassigned [0xA7A2]',
	0xA7A3 : 'Unassigned [0xA7A3]',
	0xA7A4 : 'Unassigned [0xA7A4]',
	0xA7A5 : 'Unassigned [0xA7A5]',
	0xA7A6 : 'Unassigned [0xA7A6]',
	0xA7A7 : 'Unassigned [0xA7A7]',
	0xA7A8 : 'Unassigned [0xA7A8]',
	0xA7A9 : 'Unassigned [0xA7A9]',
	0xA7AA : 'Unassigned [0xA7AA]',
	0xA7AB : 'Unassigned [0xA7AB]',
	0xA7AC : 'Unassigned [0xA7AC]',
	0xA7AD : 'Unassigned [0xA7AD]',
	0xA7AE : 'Unassigned [0xA7AE]',
	0xA7AF : 'Unassigned [0xA7AF]',
	0xA7B0 : 'Unassigned [0xA7B0]',
	0xA7B1 : 'Unassigned [0xA7B1]',
	0xA7B2 : 'Unassigned [0xA7B2]',
	0xA7B3 : 'Unassigned [0xA7B3]',
	0xA7B4 : 'Unassigned [0xA7B4]',
	0xA7B5 : 'Unassigned [0xA7B5]',
	0xA7B6 : 'Unassigned [0xA7B6]',
	0xA7B7 : 'Unassigned [0xA7B7]',
	0xA7B8 : 'Unassigned [0xA7B8]',
	0xA7B9 : 'Unassigned [0xA7B9]',
	0xA7BA : 'Unassigned [0xA7BA]',
	0xA7BB : 'Unassigned [0xA7BB]',
	0xA7BC : 'Unassigned [0xA7BC]',
	0xA7BD : 'Unassigned [0xA7BD]',
	0xA7BE : 'Unassigned [0xA7BE]',
	0xA7BF : 'Unassigned [0xA7BF]',
	0xA7C0 : 'Unassigned [0xA7C0]',
	0xA7C1 : 'Unassigned [0xA7C1]',
	0xA7C2 : 'Unassigned [0xA7C2]',
	0xA7C3 : 'Unassigned [0xA7C3]',
	0xA7C4 : 'Unassigned [0xA7C4]',
	0xA7C5 : 'Unassigned [0xA7C5]',
	0xA7C6 : 'Unassigned [0xA7C6]',
	0xA7C7 : 'Unassigned [0xA7C7]',
	0xA7C8 : 'Unassigned [0xA7C8]',
	0xA7C9 : 'Unassigned [0xA7C9]',
	0xA7CA : 'Unassigned [0xA7CA]',
	0xA7CB : 'Unassigned [0xA7CB]',
	0xA7CC : 'Unassigned [0xA7CC]',
	0xA7CD : 'Unassigned [0xA7CD]',
	0xA7CE : 'Unassigned [0xA7CE]',
	0xA7CF : 'Unassigned [0xA7CF]',
	0xA7D0 : 'Unassigned [0xA7D0]',
	0xA7D1 : 'Unassigned [0xA7D1]',
	0xA7D2 : 'Unassigned [0xA7D2]',
	0xA7D3 : 'Unassigned [0xA7D3]',
	0xA7D4 : 'Unassigned [0xA7D4]',
	0xA7D5 : 'Unassigned [0xA7D5]',
	0xA7D6 : 'Unassigned [0xA7D6]',
	0xA7D7 : 'Unassigned [0xA7D7]',
	0xA7D8 : 'Unassigned [0xA7D8]',
	0xA7D9 : 'Unassigned [0xA7D9]',
	0xA7DA : 'Unassigned [0xA7DA]',
	0xA7DB : 'Unassigned [0xA7DB]',
	0xA7DC : 'Unassigned [0xA7DC]',
	0xA7DD : 'Unassigned [0xA7DD]',
	0xA7DE : 'Unassigned [0xA7DE]',
	0xA7DF : 'Unassigned [0xA7DF]',
	0xA7E0 : 'Unassigned [0xA7E0]',
	0xA7E1 : 'Unassigned [0xA7E1]',
	0xA7E2 : 'Unassigned [0xA7E2]',
	0xA7E3 : 'Unassigned [0xA7E3]',
	0xA7E4 : 'Unassigned [0xA7E4]',
	0xA7E5 : 'Unassigned [0xA7E5]',
	0xA7E6 : 'Unassigned [0xA7E6]',
	0xA7E7 : 'Unassigned [0xA7E7]',
	0xA7E8 : 'Unassigned [0xA7E8]',
	0xA7E9 : 'Unassigned [0xA7E9]',
	0xA7EA : 'Unassigned [0xA7EA]',
	0xA7EB : 'Unassigned [0xA7EB]',
	0xA7EC : 'Unassigned [0xA7EC]',
	0xA7ED : 'Unassigned [0xA7ED]',
	0xA7EE : 'Unassigned [0xA7EE]',
	0xA7EF : 'Unassigned [0xA7EF]',
	0xA7F0 : 'Unassigned [0xA7F0]',
	0xA7F1 : 'Unassigned [0xA7F1]',
	0xA7F2 : 'Unassigned [0xA7F2]',
	0xA7F3 : 'Unassigned [0xA7F3]',
	0xA7F4 : 'Unassigned [0xA7F4]',
	0xA7F5 : 'Unassigned [0xA7F5]',
	0xA7F6 : 'Unassigned [0xA7F6]',
	0xA7F7 : 'Unassigned [0xA7F7]',
	0xA7F8 : 'Unassigned [0xA7F8]',
	0xA7F9 : 'Unassigned [0xA7F9]',
	0xA7FA : 'Unassigned [0xA7FA]',
	0xA7FB : 'Unassigned [0xA7FB]',
	0xA7FC : 'Unassigned [0xA7FC]',
	0xA7FD : 'Unassigned [0xA7FD]',
	0xA7FE : 'Unassigned [0xA7FE]',
	0xA7FF : 'Unassigned [0xA7FF]',
	0xA800 : 'Unassigned [0xA800]',
	0xA801 : 'Unassigned [0xA801]',
	0xA802 : 'Unassigned [0xA802]',
	0xA803 : 'Unassigned [0xA803]',
	0xA804 : 'Unassigned [0xA804]',
	0xA805 : 'Unassigned [0xA805]',
	0xA806 : 'Unassigned [0xA806]',
	0xA807 : 'Unassigned [0xA807]',
	0xA808 : 'Unassigned [0xA808]',
	0xA809 : 'Unassigned [0xA809]',
	0xA80A : 'Unassigned [0xA80A]',
	0xA80B : 'Unassigned [0xA80B]',
	0xA80C : 'Unassigned [0xA80C]',
	0xA80D : 'Unassigned [0xA80D]',
	0xA80E : 'Unassigned [0xA80E]',
	0xA80F : 'Unassigned [0xA80F]',
	0xA810 : 'Unassigned [0xA810]',
	0xA811 : 'Unassigned [0xA811]',
	0xA812 : 'Unassigned [0xA812]',
	0xA813 : 'Unassigned [0xA813]',
	0xA814 : 'Unassigned [0xA814]',
	0xA815 : 'Unassigned [0xA815]',
	0xA816 : 'Unassigned [0xA816]',
	0xA817 : 'Unassigned [0xA817]',
	0xA818 : 'Unassigned [0xA818]',
	0xA819 : 'Unassigned [0xA819]',
	0xA81A : 'Unassigned [0xA81A]',
	0xA81B : 'Unassigned [0xA81B]',
	0xA81C : 'Unassigned [0xA81C]',
	0xA81D : 'Unassigned [0xA81D]',
	0xA81E : 'Unassigned [0xA81E]',
	0xA81F : 'Unassigned [0xA81F]',
	0xA820 : 'Unassigned [0xA820]',
	0xA821 : 'Unassigned [0xA821]',
	0xA822 : 'Unassigned [0xA822]',
	0xA823 : 'Unassigned [0xA823]',
	0xA824 : 'Unassigned [0xA824]',
	0xA825 : 'Unassigned [0xA825]',
	0xA826 : 'Unassigned [0xA826]',
	0xA827 : 'Unassigned [0xA827]',
	0xA828 : 'Unassigned [0xA828]',
	0xA829 : 'Unassigned [0xA829]',
	0xA82A : 'Unassigned [0xA82A]',
	0xA82B : 'Unassigned [0xA82B]',
	0xA82C : 'Unassigned [0xA82C]',
	0xA82D : 'Unassigned [0xA82D]',
	0xA82E : 'Unassigned [0xA82E]',
	0xA82F : 'Unassigned [0xA82F]',
	0xA830 : 'Unassigned [0xA830]',
	0xA831 : 'Unassigned [0xA831]',
	0xA832 : 'Unassigned [0xA832]',
	0xA833 : 'Unassigned [0xA833]',
	0xA834 : 'Unassigned [0xA834]',
	0xA835 : 'Unassigned [0xA835]',
	0xA836 : 'Unassigned [0xA836]',
	0xA837 : 'Unassigned [0xA837]',
	0xA838 : 'Unassigned [0xA838]',
	0xA839 : 'Unassigned [0xA839]',
	0xA83A : 'Unassigned [0xA83A]',
	0xA83B : 'Unassigned [0xA83B]',
	0xA83C : 'Unassigned [0xA83C]',
	0xA83D : 'Unassigned [0xA83D]',
	0xA83E : 'Unassigned [0xA83E]',
	0xA83F : 'Unassigned [0xA83F]',
	0xA840 : 'Unassigned [0xA840]',
	0xA841 : 'Unassigned [0xA841]',
	0xA842 : 'Unassigned [0xA842]',
	0xA843 : 'Unassigned [0xA843]',
	0xA844 : 'Unassigned [0xA844]',
	0xA845 : 'Unassigned [0xA845]',
	0xA846 : 'Unassigned [0xA846]',
	0xA847 : 'Unassigned [0xA847]',
	0xA848 : 'Unassigned [0xA848]',
	0xA849 : 'Unassigned [0xA849]',
	0xA84A : 'Unassigned [0xA84A]',
	0xA84B : 'Unassigned [0xA84B]',
	0xA84C : 'Unassigned [0xA84C]',
	0xA84D : 'Unassigned [0xA84D]',
	0xA84E : 'Unassigned [0xA84E]',
	0xA84F : 'Unassigned [0xA84F]',
	0xA850 : 'Unassigned [0xA850]',
	0xA851 : 'Unassigned [0xA851]',
	0xA852 : 'Unassigned [0xA852]',
	0xA853 : 'Unassigned [0xA853]',
	0xA854 : 'Unassigned [0xA854]',
	0xA855 : 'Unassigned [0xA855]',
	0xA856 : 'Unassigned [0xA856]',
	0xA857 : 'Unassigned [0xA857]',
	0xA858 : 'Unassigned [0xA858]',
	0xA859 : 'Unassigned [0xA859]',
	0xA85A : 'Unassigned [0xA85A]',
	0xA85B : 'Unassigned [0xA85B]',
	0xA85C : 'Unassigned [0xA85C]',
	0xA85D : 'Unassigned [0xA85D]',
	0xA85E : 'Unassigned [0xA85E]',
	0xA85F : 'Unassigned [0xA85F]',
	0xA860 : 'Unassigned [0xA860]',
	0xA861 : 'Unassigned [0xA861]',
	0xA862 : 'Unassigned [0xA862]',
	0xA863 : 'Unassigned [0xA863]',
	0xA864 : 'Unassigned [0xA864]',
	0xA865 : 'Unassigned [0xA865]',
	0xA866 : 'Unassigned [0xA866]',
	0xA867 : 'Unassigned [0xA867]',
	0xA868 : 'Unassigned [0xA868]',
	0xA869 : 'Unassigned [0xA869]',
	0xA86A : 'Unassigned [0xA86A]',
	0xA86B : 'Unassigned [0xA86B]',
	0xA86C : 'Unassigned [0xA86C]',
	0xA86D : 'Unassigned [0xA86D]',
	0xA86E : 'Unassigned [0xA86E]',
	0xA86F : 'Unassigned [0xA86F]',
	0xA870 : 'Unassigned [0xA870]',
	0xA871 : 'Unassigned [0xA871]',
	0xA872 : 'Unassigned [0xA872]',
	0xA873 : 'Unassigned [0xA873]',
	0xA874 : 'Unassigned [0xA874]',
	0xA875 : 'Unassigned [0xA875]',
	0xA876 : 'Unassigned [0xA876]',
	0xA877 : 'Unassigned [0xA877]',
	0xA878 : 'Unassigned [0xA878]',
	0xA879 : 'Unassigned [0xA879]',
	0xA87A : 'Unassigned [0xA87A]',
	0xA87B : 'Unassigned [0xA87B]',
	0xA87C : 'Unassigned [0xA87C]',
	0xA87D : 'Unassigned [0xA87D]',
	0xA87E : 'Unassigned [0xA87E]',
	0xA87F : 'Unassigned [0xA87F]',
	0xA880 : 'Unassigned [0xA880]',
	0xA881 : 'Unassigned [0xA881]',
	0xA882 : 'Unassigned [0xA882]',
	0xA883 : 'Unassigned [0xA883]',
	0xA884 : 'Unassigned [0xA884]',
	0xA885 : 'Unassigned [0xA885]',
	0xA886 : 'Unassigned [0xA886]',
	0xA887 : 'Unassigned [0xA887]',
	0xA888 : 'Unassigned [0xA888]',
	0xA889 : 'Unassigned [0xA889]',
	0xA88A : 'Unassigned [0xA88A]',
	0xA88B : 'Unassigned [0xA88B]',
	0xA88C : 'Unassigned [0xA88C]',
	0xA88D : 'Unassigned [0xA88D]',
	0xA88E : 'Unassigned [0xA88E]',
	0xA88F : 'Unassigned [0xA88F]',
	0xA890 : 'Unassigned [0xA890]',
	0xA891 : 'Unassigned [0xA891]',
	0xA892 : 'Unassigned [0xA892]',
	0xA893 : 'Unassigned [0xA893]',
	0xA894 : 'Unassigned [0xA894]',
	0xA895 : 'Unassigned [0xA895]',
	0xA896 : 'Unassigned [0xA896]',
	0xA897 : 'Unassigned [0xA897]',
	0xA898 : 'Unassigned [0xA898]',
	0xA899 : 'Unassigned [0xA899]',
	0xA89A : 'Unassigned [0xA89A]',
	0xA89B : 'Unassigned [0xA89B]',
	0xA89C : 'Unassigned [0xA89C]',
	0xA89D : 'Unassigned [0xA89D]',
	0xA89E : 'Unassigned [0xA89E]',
	0xA89F : 'Unassigned [0xA89F]',
	0xA8A0 : 'Unassigned [0xA8A0]',
	0xA8A1 : 'Unassigned [0xA8A1]',
	0xA8A2 : 'Unassigned [0xA8A2]',
	0xA8A3 : 'Unassigned [0xA8A3]',
	0xA8A4 : 'Unassigned [0xA8A4]',
	0xA8A5 : 'Unassigned [0xA8A5]',
	0xA8A6 : 'Unassigned [0xA8A6]',
	0xA8A7 : 'Unassigned [0xA8A7]',
	0xA8A8 : 'Unassigned [0xA8A8]',
	0xA8A9 : 'Unassigned [0xA8A9]',
	0xA8AA : 'Unassigned [0xA8AA]',
	0xA8AB : 'Unassigned [0xA8AB]',
	0xA8AC : 'Unassigned [0xA8AC]',
	0xA8AD : 'Unassigned [0xA8AD]',
	0xA8AE : 'Unassigned [0xA8AE]',
	0xA8AF : 'Unassigned [0xA8AF]',
	0xA8B0 : 'Unassigned [0xA8B0]',
	0xA8B1 : 'Unassigned [0xA8B1]',
	0xA8B2 : 'Unassigned [0xA8B2]',
	0xA8B3 : 'Unassigned [0xA8B3]',
	0xA8B4 : 'Unassigned [0xA8B4]',
	0xA8B5 : 'Unassigned [0xA8B5]',
	0xA8B6 : 'Unassigned [0xA8B6]',
	0xA8B7 : 'Unassigned [0xA8B7]',
	0xA8B8 : 'Unassigned [0xA8B8]',
	0xA8B9 : 'Unassigned [0xA8B9]',
	0xA8BA : 'Unassigned [0xA8BA]',
	0xA8BB : 'Unassigned [0xA8BB]',
	0xA8BC : 'Unassigned [0xA8BC]',
	0xA8BD : 'Unassigned [0xA8BD]',
	0xA8BE : 'Unassigned [0xA8BE]',
	0xA8BF : 'Unassigned [0xA8BF]',
	0xA8C0 : 'Unassigned [0xA8C0]',
	0xA8C1 : 'Unassigned [0xA8C1]',
	0xA8C2 : 'Unassigned [0xA8C2]',
	0xA8C3 : 'Unassigned [0xA8C3]',
	0xA8C4 : 'Unassigned [0xA8C4]',
	0xA8C5 : 'Unassigned [0xA8C5]',
	0xA8C6 : 'Unassigned [0xA8C6]',
	0xA8C7 : 'Unassigned [0xA8C7]',
	0xA8C8 : 'Unassigned [0xA8C8]',
	0xA8C9 : 'Unassigned [0xA8C9]',
	0xA8CA : 'Unassigned [0xA8CA]',
	0xA8CB : 'Unassigned [0xA8CB]',
	0xA8CC : 'Unassigned [0xA8CC]',
	0xA8CD : 'Unassigned [0xA8CD]',
	0xA8CE : 'Unassigned [0xA8CE]',
	0xA8CF : 'Unassigned [0xA8CF]',
	0xA8D0 : 'Unassigned [0xA8D0]',
	0xA8D1 : 'Unassigned [0xA8D1]',
	0xA8D2 : 'Unassigned [0xA8D2]',
	0xA8D3 : 'Unassigned [0xA8D3]',
	0xA8D4 : 'Unassigned [0xA8D4]',
	0xA8D5 : 'Unassigned [0xA8D5]',
	0xA8D6 : 'Unassigned [0xA8D6]',
	0xA8D7 : 'Unassigned [0xA8D7]',
	0xA8D8 : 'Unassigned [0xA8D8]',
	0xA8D9 : 'Unassigned [0xA8D9]',
	0xA8DA : 'Unassigned [0xA8DA]',
	0xA8DB : 'Unassigned [0xA8DB]',
	0xA8DC : 'Unassigned [0xA8DC]',
	0xA8DD : 'Unassigned [0xA8DD]',
	0xA8DE : 'Unassigned [0xA8DE]',
	0xA8DF : 'Unassigned [0xA8DF]',
	0xA8E0 : 'Unassigned [0xA8E0]',
	0xA8E1 : 'Unassigned [0xA8E1]',
	0xA8E2 : 'Unassigned [0xA8E2]',
	0xA8E3 : 'Unassigned [0xA8E3]',
	0xA8E4 : 'Unassigned [0xA8E4]',
	0xA8E5 : 'Unassigned [0xA8E5]',
	0xA8E6 : 'Unassigned [0xA8E6]',
	0xA8E7 : 'Unassigned [0xA8E7]',
	0xA8E8 : 'Unassigned [0xA8E8]',
	0xA8E9 : 'Unassigned [0xA8E9]',
	0xA8EA : 'Unassigned [0xA8EA]',
	0xA8EB : 'Unassigned [0xA8EB]',
	0xA8EC : 'Unassigned [0xA8EC]',
	0xA8ED : 'Unassigned [0xA8ED]',
	0xA8EE : 'Unassigned [0xA8EE]',
	0xA8EF : 'Unassigned [0xA8EF]',
	0xA8F0 : 'Unassigned [0xA8F0]',
	0xA8F1 : 'Unassigned [0xA8F1]',
	0xA8F2 : 'Unassigned [0xA8F2]',
	0xA8F3 : 'Unassigned [0xA8F3]',
	0xA8F4 : 'Unassigned [0xA8F4]',
	0xA8F5 : 'Unassigned [0xA8F5]',
	0xA8F6 : 'Unassigned [0xA8F6]',
	0xA8F7 : 'Unassigned [0xA8F7]',
	0xA8F8 : 'Unassigned [0xA8F8]',
	0xA8F9 : 'Unassigned [0xA8F9]',
	0xA8FA : 'Unassigned [0xA8FA]',
	0xA8FB : 'Unassigned [0xA8FB]',
	0xA8FC : 'Unassigned [0xA8FC]',
	0xA8FD : 'Unassigned [0xA8FD]',
	0xA8FE : 'Unassigned [0xA8FE]',
	0xA8FF : 'Unassigned [0xA8FF]',
	0xA900 : 'Unassigned [0xA900]',
	0xA901 : 'Unassigned [0xA901]',
	0xA902 : 'Unassigned [0xA902]',
	0xA903 : 'Unassigned [0xA903]',
	0xA904 : 'Unassigned [0xA904]',
	0xA905 : 'Unassigned [0xA905]',
	0xA906 : 'Unassigned [0xA906]',
	0xA907 : 'Unassigned [0xA907]',
	0xA908 : 'Unassigned [0xA908]',
	0xA909 : 'Unassigned [0xA909]',
	0xA90A : 'Unassigned [0xA90A]',
	0xA90B : 'Unassigned [0xA90B]',
	0xA90C : 'Unassigned [0xA90C]',
	0xA90D : 'Unassigned [0xA90D]',
	0xA90E : 'Unassigned [0xA90E]',
	0xA90F : 'Unassigned [0xA90F]',
	0xA910 : 'Unassigned [0xA910]',
	0xA911 : 'Unassigned [0xA911]',
	0xA912 : 'Unassigned [0xA912]',
	0xA913 : 'Unassigned [0xA913]',
	0xA914 : 'Unassigned [0xA914]',
	0xA915 : 'Unassigned [0xA915]',
	0xA916 : 'Unassigned [0xA916]',
	0xA917 : 'Unassigned [0xA917]',
	0xA918 : 'Unassigned [0xA918]',
	0xA919 : 'Unassigned [0xA919]',
	0xA91A : 'Unassigned [0xA91A]',
	0xA91B : 'Unassigned [0xA91B]',
	0xA91C : 'Unassigned [0xA91C]',
	0xA91D : 'Unassigned [0xA91D]',
	0xA91E : 'Unassigned [0xA91E]',
	0xA91F : 'Unassigned [0xA91F]',
	0xA920 : 'Unassigned [0xA920]',
	0xA921 : 'Unassigned [0xA921]',
	0xA922 : 'Unassigned [0xA922]',
	0xA923 : 'Unassigned [0xA923]',
	0xA924 : 'Unassigned [0xA924]',
	0xA925 : 'Unassigned [0xA925]',
	0xA926 : 'Unassigned [0xA926]',
	0xA927 : 'Unassigned [0xA927]',
	0xA928 : 'Unassigned [0xA928]',
	0xA929 : 'Unassigned [0xA929]',
	0xA92A : 'Unassigned [0xA92A]',
	0xA92B : 'Unassigned [0xA92B]',
	0xA92C : 'Unassigned [0xA92C]',
	0xA92D : 'Unassigned [0xA92D]',
	0xA92E : 'Unassigned [0xA92E]',
	0xA92F : 'Unassigned [0xA92F]',
	0xA930 : 'Unassigned [0xA930]',
	0xA931 : 'Unassigned [0xA931]',
	0xA932 : 'Unassigned [0xA932]',
	0xA933 : 'Unassigned [0xA933]',
	0xA934 : 'Unassigned [0xA934]',
	0xA935 : 'Unassigned [0xA935]',
	0xA936 : 'Unassigned [0xA936]',
	0xA937 : 'Unassigned [0xA937]',
	0xA938 : 'Unassigned [0xA938]',
	0xA939 : 'Unassigned [0xA939]',
	0xA93A : 'Unassigned [0xA93A]',
	0xA93B : 'Unassigned [0xA93B]',
	0xA93C : 'Unassigned [0xA93C]',
	0xA93D : 'Unassigned [0xA93D]',
	0xA93E : 'Unassigned [0xA93E]',
	0xA93F : 'Unassigned [0xA93F]',
	0xA940 : 'Unassigned [0xA940]',
	0xA941 : 'Unassigned [0xA941]',
	0xA942 : 'Unassigned [0xA942]',
	0xA943 : 'Unassigned [0xA943]',
	0xA944 : 'Unassigned [0xA944]',
	0xA945 : 'Unassigned [0xA945]',
	0xA946 : 'Unassigned [0xA946]',
	0xA947 : 'Unassigned [0xA947]',
	0xA948 : 'Unassigned [0xA948]',
	0xA949 : 'Unassigned [0xA949]',
	0xA94A : 'Unassigned [0xA94A]',
	0xA94B : 'Unassigned [0xA94B]',
	0xA94C : 'Unassigned [0xA94C]',
	0xA94D : 'Unassigned [0xA94D]',
	0xA94E : 'Unassigned [0xA94E]',
	0xA94F : 'Unassigned [0xA94F]',
	0xA950 : 'Unassigned [0xA950]',
	0xA951 : 'Unassigned [0xA951]',
	0xA952 : 'Unassigned [0xA952]',
	0xA953 : 'Unassigned [0xA953]',
	0xA954 : 'Unassigned [0xA954]',
	0xA955 : 'Unassigned [0xA955]',
	0xA956 : 'Unassigned [0xA956]',
	0xA957 : 'Unassigned [0xA957]',
	0xA958 : 'Unassigned [0xA958]',
	0xA959 : 'Unassigned [0xA959]',
	0xA95A : 'Unassigned [0xA95A]',
	0xA95B : 'Unassigned [0xA95B]',
	0xA95C : 'Unassigned [0xA95C]',
	0xA95D : 'Unassigned [0xA95D]',
	0xA95E : 'Unassigned [0xA95E]',
	0xA95F : 'Unassigned [0xA95F]',
	0xA960 : 'Unassigned [0xA960]',
	0xA961 : 'Unassigned [0xA961]',
	0xA962 : 'Unassigned [0xA962]',
	0xA963 : 'Unassigned [0xA963]',
	0xA964 : 'Unassigned [0xA964]',
	0xA965 : 'Unassigned [0xA965]',
	0xA966 : 'Unassigned [0xA966]',
	0xA967 : 'Unassigned [0xA967]',
	0xA968 : 'Unassigned [0xA968]',
	0xA969 : 'Unassigned [0xA969]',
	0xA96A : 'Unassigned [0xA96A]',
	0xA96B : 'Unassigned [0xA96B]',
	0xA96C : 'Unassigned [0xA96C]',
	0xA96D : 'Unassigned [0xA96D]',
	0xA96E : 'Unassigned [0xA96E]',
	0xA96F : 'Unassigned [0xA96F]',
	0xA970 : 'Unassigned [0xA970]',
	0xA971 : 'Unassigned [0xA971]',
	0xA972 : 'Unassigned [0xA972]',
	0xA973 : 'Unassigned [0xA973]',
	0xA974 : 'Unassigned [0xA974]',
	0xA975 : 'Unassigned [0xA975]',
	0xA976 : 'Unassigned [0xA976]',
	0xA977 : 'Unassigned [0xA977]',
	0xA978 : 'Unassigned [0xA978]',
	0xA979 : 'Unassigned [0xA979]',
	0xA97A : 'Unassigned [0xA97A]',
	0xA97B : 'Unassigned [0xA97B]',
	0xA97C : 'Unassigned [0xA97C]',
	0xA97D : 'Unassigned [0xA97D]',
	0xA97E : 'Unassigned [0xA97E]',
	0xA97F : 'Unassigned [0xA97F]',
	0xA980 : 'Unassigned [0xA980]',
	0xA981 : 'Unassigned [0xA981]',
	0xA982 : 'Unassigned [0xA982]',
	0xA983 : 'Unassigned [0xA983]',
	0xA984 : 'Unassigned [0xA984]',
	0xA985 : 'Unassigned [0xA985]',
	0xA986 : 'Unassigned [0xA986]',
	0xA987 : 'Unassigned [0xA987]',
	0xA988 : 'Unassigned [0xA988]',
	0xA989 : 'Unassigned [0xA989]',
	0xA98A : 'Unassigned [0xA98A]',
	0xA98B : 'Unassigned [0xA98B]',
	0xA98C : 'Unassigned [0xA98C]',
	0xA98D : 'Unassigned [0xA98D]',
	0xA98E : 'Unassigned [0xA98E]',
	0xA98F : 'Unassigned [0xA98F]',
	0xA990 : 'Unassigned [0xA990]',
	0xA991 : 'Unassigned [0xA991]',
	0xA992 : 'Unassigned [0xA992]',
	0xA993 : 'Unassigned [0xA993]',
	0xA994 : 'Unassigned [0xA994]',
	0xA995 : 'Unassigned [0xA995]',
	0xA996 : 'Unassigned [0xA996]',
	0xA997 : 'Unassigned [0xA997]',
	0xA998 : 'Unassigned [0xA998]',
	0xA999 : 'Unassigned [0xA999]',
	0xA99A : 'Unassigned [0xA99A]',
	0xA99B : 'Unassigned [0xA99B]',
	0xA99C : 'Unassigned [0xA99C]',
	0xA99D : 'Unassigned [0xA99D]',
	0xA99E : 'Unassigned [0xA99E]',
	0xA99F : 'Unassigned [0xA99F]',
	0xA9A0 : 'Unassigned [0xA9A0]',
	0xA9A1 : 'Unassigned [0xA9A1]',
	0xA9A2 : 'Unassigned [0xA9A2]',
	0xA9A3 : 'Unassigned [0xA9A3]',
	0xA9A4 : 'Unassigned [0xA9A4]',
	0xA9A5 : 'Unassigned [0xA9A5]',
	0xA9A6 : 'Unassigned [0xA9A6]',
	0xA9A7 : 'Unassigned [0xA9A7]',
	0xA9A8 : 'Unassigned [0xA9A8]',
	0xA9A9 : 'Unassigned [0xA9A9]',
	0xA9AA : 'Unassigned [0xA9AA]',
	0xA9AB : 'Unassigned [0xA9AB]',
	0xA9AC : 'Unassigned [0xA9AC]',
	0xA9AD : 'Unassigned [0xA9AD]',
	0xA9AE : 'Unassigned [0xA9AE]',
	0xA9AF : 'Unassigned [0xA9AF]',
	0xA9B0 : 'Unassigned [0xA9B0]',
	0xA9B1 : 'Unassigned [0xA9B1]',
	0xA9B2 : 'Unassigned [0xA9B2]',
	0xA9B3 : 'Unassigned [0xA9B3]',
	0xA9B4 : 'Unassigned [0xA9B4]',
	0xA9B5 : 'Unassigned [0xA9B5]',
	0xA9B6 : 'Unassigned [0xA9B6]',
	0xA9B7 : 'Unassigned [0xA9B7]',
	0xA9B8 : 'Unassigned [0xA9B8]',
	0xA9B9 : 'Unassigned [0xA9B9]',
	0xA9BA : 'Unassigned [0xA9BA]',
	0xA9BB : 'Unassigned [0xA9BB]',
	0xA9BC : 'Unassigned [0xA9BC]',
	0xA9BD : 'Unassigned [0xA9BD]',
	0xA9BE : 'Unassigned [0xA9BE]',
	0xA9BF : 'Unassigned [0xA9BF]',
	0xA9C0 : 'Unassigned [0xA9C0]',
	0xA9C1 : 'Unassigned [0xA9C1]',
	0xA9C2 : 'Unassigned [0xA9C2]',
	0xA9C3 : 'Unassigned [0xA9C3]',
	0xA9C4 : 'Unassigned [0xA9C4]',
	0xA9C5 : 'Unassigned [0xA9C5]',
	0xA9C6 : 'Unassigned [0xA9C6]',
	0xA9C7 : 'Unassigned [0xA9C7]',
	0xA9C8 : 'Unassigned [0xA9C8]',
	0xA9C9 : 'Unassigned [0xA9C9]',
	0xA9CA : 'Unassigned [0xA9CA]',
	0xA9CB : 'Unassigned [0xA9CB]',
	0xA9CC : 'Unassigned [0xA9CC]',
	0xA9CD : 'Unassigned [0xA9CD]',
	0xA9CE : 'Unassigned [0xA9CE]',
	0xA9CF : 'Unassigned [0xA9CF]',
	0xA9D0 : 'Unassigned [0xA9D0]',
	0xA9D1 : 'Unassigned [0xA9D1]',
	0xA9D2 : 'Unassigned [0xA9D2]',
	0xA9D3 : 'Unassigned [0xA9D3]',
	0xA9D4 : 'Unassigned [0xA9D4]',
	0xA9D5 : 'Unassigned [0xA9D5]',
	0xA9D6 : 'Unassigned [0xA9D6]',
	0xA9D7 : 'Unassigned [0xA9D7]',
	0xA9D8 : 'Unassigned [0xA9D8]',
	0xA9D9 : 'Unassigned [0xA9D9]',
	0xA9DA : 'Unassigned [0xA9DA]',
	0xA9DB : 'Unassigned [0xA9DB]',
	0xA9DC : 'Unassigned [0xA9DC]',
	0xA9DD : 'Unassigned [0xA9DD]',
	0xA9DE : 'Unassigned [0xA9DE]',
	0xA9DF : 'Unassigned [0xA9DF]',
	0xA9E0 : 'Unassigned [0xA9E0]',
	0xA9E1 : 'Unassigned [0xA9E1]',
	0xA9E2 : 'Unassigned [0xA9E2]',
	0xA9E3 : 'Unassigned [0xA9E3]',
	0xA9E4 : 'Unassigned [0xA9E4]',
	0xA9E5 : 'Unassigned [0xA9E5]',
	0xA9E6 : 'Unassigned [0xA9E6]',
	0xA9E7 : 'Unassigned [0xA9E7]',
	0xA9E8 : 'Unassigned [0xA9E8]',
	0xA9E9 : 'Unassigned [0xA9E9]',
	0xA9EA : 'Unassigned [0xA9EA]',
	0xA9EB : 'Unassigned [0xA9EB]',
	0xA9EC : 'Unassigned [0xA9EC]',
	0xA9ED : 'Unassigned [0xA9ED]',
	0xA9EE : 'Unassigned [0xA9EE]',
	0xA9EF : 'Unassigned [0xA9EF]',
	0xA9F0 : 'Unassigned [0xA9F0]',
	0xA9F1 : 'Unassigned [0xA9F1]',
	0xA9F2 : 'Unassigned [0xA9F2]',
	0xA9F3 : 'Unassigned [0xA9F3]',
	0xA9F4 : 'Unassigned [0xA9F4]',
	0xA9F5 : 'Unassigned [0xA9F5]',
	0xA9F6 : 'Unassigned [0xA9F6]',
	0xA9F7 : 'Unassigned [0xA9F7]',
	0xA9F8 : 'Unassigned [0xA9F8]',
	0xA9F9 : 'Unassigned [0xA9F9]',
	0xA9FA : 'Unassigned [0xA9FA]',
	0xA9FB : 'Unassigned [0xA9FB]',
	0xA9FC : 'Unassigned [0xA9FC]',
	0xA9FD : 'Unassigned [0xA9FD]',
	0xA9FE : 'Unassigned [0xA9FE]',
	0xA9FF : 'Unassigned [0xA9FF]',
	0xAA00 : 'Unassigned [0xAA00]',
	0xAA01 : 'Unassigned [0xAA01]',
	0xAA02 : 'Unassigned [0xAA02]',
	0xAA03 : 'Unassigned [0xAA03]',
	0xAA04 : 'Unassigned [0xAA04]',
	0xAA05 : 'Unassigned [0xAA05]',
	0xAA06 : 'Unassigned [0xAA06]',
	0xAA07 : 'Unassigned [0xAA07]',
	0xAA08 : 'Unassigned [0xAA08]',
	0xAA09 : 'Unassigned [0xAA09]',
	0xAA0A : 'Unassigned [0xAA0A]',
	0xAA0B : 'Unassigned [0xAA0B]',
	0xAA0C : 'Unassigned [0xAA0C]',
	0xAA0D : 'Unassigned [0xAA0D]',
	0xAA0E : 'Unassigned [0xAA0E]',
	0xAA0F : 'Unassigned [0xAA0F]',
	0xAA10 : 'Unassigned [0xAA10]',
	0xAA11 : 'Unassigned [0xAA11]',
	0xAA12 : 'Unassigned [0xAA12]',
	0xAA13 : 'Unassigned [0xAA13]',
	0xAA14 : 'Unassigned [0xAA14]',
	0xAA15 : 'Unassigned [0xAA15]',
	0xAA16 : 'Unassigned [0xAA16]',
	0xAA17 : 'Unassigned [0xAA17]',
	0xAA18 : 'Unassigned [0xAA18]',
	0xAA19 : 'Unassigned [0xAA19]',
	0xAA1A : 'Unassigned [0xAA1A]',
	0xAA1B : 'Unassigned [0xAA1B]',
	0xAA1C : 'Unassigned [0xAA1C]',
	0xAA1D : 'Unassigned [0xAA1D]',
	0xAA1E : 'Unassigned [0xAA1E]',
	0xAA1F : 'Unassigned [0xAA1F]',
	0xAA20 : 'Unassigned [0xAA20]',
	0xAA21 : 'Unassigned [0xAA21]',
	0xAA22 : 'Unassigned [0xAA22]',
	0xAA23 : 'Unassigned [0xAA23]',
	0xAA24 : 'Unassigned [0xAA24]',
	0xAA25 : 'Unassigned [0xAA25]',
	0xAA26 : 'Unassigned [0xAA26]',
	0xAA27 : 'Unassigned [0xAA27]',
	0xAA28 : 'Unassigned [0xAA28]',
	0xAA29 : 'Unassigned [0xAA29]',
	0xAA2A : 'Unassigned [0xAA2A]',
	0xAA2B : 'Unassigned [0xAA2B]',
	0xAA2C : 'Unassigned [0xAA2C]',
	0xAA2D : 'Unassigned [0xAA2D]',
	0xAA2E : 'Unassigned [0xAA2E]',
	0xAA2F : 'Unassigned [0xAA2F]',
	0xAA30 : 'Unassigned [0xAA30]',
	0xAA31 : 'Unassigned [0xAA31]',
	0xAA32 : 'Unassigned [0xAA32]',
	0xAA33 : 'Unassigned [0xAA33]',
	0xAA34 : 'Unassigned [0xAA34]',
	0xAA35 : 'Unassigned [0xAA35]',
	0xAA36 : 'Unassigned [0xAA36]',
	0xAA37 : 'Unassigned [0xAA37]',
	0xAA38 : 'Unassigned [0xAA38]',
	0xAA39 : 'Unassigned [0xAA39]',
	0xAA3A : 'Unassigned [0xAA3A]',
	0xAA3B : 'Unassigned [0xAA3B]',
	0xAA3C : 'Unassigned [0xAA3C]',
	0xAA3D : 'Unassigned [0xAA3D]',
	0xAA3E : 'Unassigned [0xAA3E]',
	0xAA3F : 'Unassigned [0xAA3F]',
	0xAA40 : 'Unassigned [0xAA40]',
	0xAA41 : 'Unassigned [0xAA41]',
	0xAA42 : 'Unassigned [0xAA42]',
	0xAA43 : 'Unassigned [0xAA43]',
	0xAA44 : 'Unassigned [0xAA44]',
	0xAA45 : 'Unassigned [0xAA45]',
	0xAA46 : 'Unassigned [0xAA46]',
	0xAA47 : 'Unassigned [0xAA47]',
	0xAA48 : 'Unassigned [0xAA48]',
	0xAA49 : 'Unassigned [0xAA49]',
	0xAA4A : 'Unassigned [0xAA4A]',
	0xAA4B : 'Unassigned [0xAA4B]',
	0xAA4C : 'Unassigned [0xAA4C]',
	0xAA4D : 'Unassigned [0xAA4D]',
	0xAA4E : 'Unassigned [0xAA4E]',
	0xAA4F : 'Unassigned [0xAA4F]',
	0xAA50 : 'Unassigned [0xAA50]',
	0xAA51 : 'Unassigned [0xAA51]',
	0xAA52 : 'Unassigned [0xAA52]',
	0xAA53 : 'Unassigned [0xAA53]',
	0xAA54 : 'Unassigned [0xAA54]',
	0xAA55 : 'Unassigned [0xAA55]',
	0xAA56 : 'Unassigned [0xAA56]',
	0xAA57 : 'Unassigned [0xAA57]',
	0xAA58 : 'Unassigned [0xAA58]',
	0xAA59 : 'Unassigned [0xAA59]',
	0xAA5A : 'Unassigned [0xAA5A]',
	0xAA5B : 'Unassigned [0xAA5B]',
	0xAA5C : 'Unassigned [0xAA5C]',
	0xAA5D : 'Unassigned [0xAA5D]',
	0xAA5E : 'Unassigned [0xAA5E]',
	0xAA5F : 'Unassigned [0xAA5F]',
	0xAA60 : 'Unassigned [0xAA60]',
	0xAA61 : 'Unassigned [0xAA61]',
	0xAA62 : 'Unassigned [0xAA62]',
	0xAA63 : 'Unassigned [0xAA63]',
	0xAA64 : 'Unassigned [0xAA64]',
	0xAA65 : 'Unassigned [0xAA65]',
	0xAA66 : 'Unassigned [0xAA66]',
	0xAA67 : 'Unassigned [0xAA67]',
	0xAA68 : 'Unassigned [0xAA68]',
	0xAA69 : 'Unassigned [0xAA69]',
	0xAA6A : 'Unassigned [0xAA6A]',
	0xAA6B : 'Unassigned [0xAA6B]',
	0xAA6C : 'Unassigned [0xAA6C]',
	0xAA6D : 'Unassigned [0xAA6D]',
	0xAA6E : 'Unassigned [0xAA6E]',
	0xAA6F : 'Unassigned [0xAA6F]',
	0xAA70 : 'Unassigned [0xAA70]',
	0xAA71 : 'Unassigned [0xAA71]',
	0xAA72 : 'Unassigned [0xAA72]',
	0xAA73 : 'Unassigned [0xAA73]',
	0xAA74 : 'Unassigned [0xAA74]',
	0xAA75 : 'Unassigned [0xAA75]',
	0xAA76 : 'Unassigned [0xAA76]',
	0xAA77 : 'Unassigned [0xAA77]',
	0xAA78 : 'Unassigned [0xAA78]',
	0xAA79 : 'Unassigned [0xAA79]',
	0xAA7A : 'Unassigned [0xAA7A]',
	0xAA7B : 'Unassigned [0xAA7B]',
	0xAA7C : 'Unassigned [0xAA7C]',
	0xAA7D : 'Unassigned [0xAA7D]',
	0xAA7E : 'Unassigned [0xAA7E]',
	0xAA7F : 'Unassigned [0xAA7F]',
	0xAA80 : 'Unassigned [0xAA80]',
	0xAA81 : 'Unassigned [0xAA81]',
	0xAA82 : 'Unassigned [0xAA82]',
	0xAA83 : 'Unassigned [0xAA83]',
	0xAA84 : 'Unassigned [0xAA84]',
	0xAA85 : 'Unassigned [0xAA85]',
	0xAA86 : 'Unassigned [0xAA86]',
	0xAA87 : 'Unassigned [0xAA87]',
	0xAA88 : 'Unassigned [0xAA88]',
	0xAA89 : 'Unassigned [0xAA89]',
	0xAA8A : 'Unassigned [0xAA8A]',
	0xAA8B : 'Unassigned [0xAA8B]',
	0xAA8C : 'Unassigned [0xAA8C]',
	0xAA8D : 'Unassigned [0xAA8D]',
	0xAA8E : 'Unassigned [0xAA8E]',
	0xAA8F : 'Unassigned [0xAA8F]',
	0xAA90 : 'Unassigned [0xAA90]',
	0xAA91 : 'Unassigned [0xAA91]',
	0xAA92 : 'Unassigned [0xAA92]',
	0xAA93 : 'Unassigned [0xAA93]',
	0xAA94 : 'Unassigned [0xAA94]',
	0xAA95 : 'Unassigned [0xAA95]',
	0xAA96 : 'Unassigned [0xAA96]',
	0xAA97 : 'Unassigned [0xAA97]',
	0xAA98 : 'Unassigned [0xAA98]',
	0xAA99 : 'Unassigned [0xAA99]',
	0xAA9A : 'Unassigned [0xAA9A]',
	0xAA9B : 'Unassigned [0xAA9B]',
	0xAA9C : 'Unassigned [0xAA9C]',
	0xAA9D : 'Unassigned [0xAA9D]',
	0xAA9E : 'Unassigned [0xAA9E]',
	0xAA9F : 'Unassigned [0xAA9F]',
	0xAAA0 : 'Unassigned [0xAAA0]',
	0xAAA1 : 'Unassigned [0xAAA1]',
	0xAAA2 : 'Unassigned [0xAAA2]',
	0xAAA3 : 'Unassigned [0xAAA3]',
	0xAAA4 : 'Unassigned [0xAAA4]',
	0xAAA5 : 'Unassigned [0xAAA5]',
	0xAAA6 : 'Unassigned [0xAAA6]',
	0xAAA7 : 'Unassigned [0xAAA7]',
	0xAAA8 : 'Unassigned [0xAAA8]',
	0xAAA9 : 'Unassigned [0xAAA9]',
	0xAAAA : 'Unassigned [0xAAAA]',
	0xAAAB : 'Unassigned [0xAAAB]',
	0xAAAC : 'Unassigned [0xAAAC]',
	0xAAAD : 'Unassigned [0xAAAD]',
	0xAAAE : 'Unassigned [0xAAAE]',
	0xAAAF : 'Unassigned [0xAAAF]',
	0xAAB0 : 'Unassigned [0xAAB0]',
	0xAAB1 : 'Unassigned [0xAAB1]',
	0xAAB2 : 'Unassigned [0xAAB2]',
	0xAAB3 : 'Unassigned [0xAAB3]',
	0xAAB4 : 'Unassigned [0xAAB4]',
	0xAAB5 : 'Unassigned [0xAAB5]',
	0xAAB6 : 'Unassigned [0xAAB6]',
	0xAAB7 : 'Unassigned [0xAAB7]',
	0xAAB8 : 'Unassigned [0xAAB8]',
	0xAAB9 : 'Unassigned [0xAAB9]',
	0xAABA : 'Unassigned [0xAABA]',
	0xAABB : 'Unassigned [0xAABB]',
	0xAABC : 'Unassigned [0xAABC]',
	0xAABD : 'Unassigned [0xAABD]',
	0xAABE : 'Unassigned [0xAABE]',
	0xAABF : 'Unassigned [0xAABF]',
	0xAAC0 : 'Unassigned [0xAAC0]',
	0xAAC1 : 'Unassigned [0xAAC1]',
	0xAAC2 : 'Unassigned [0xAAC2]',
	0xAAC3 : 'Unassigned [0xAAC3]',
	0xAAC4 : 'Unassigned [0xAAC4]',
	0xAAC5 : 'Unassigned [0xAAC5]',
	0xAAC6 : 'Unassigned [0xAAC6]',
	0xAAC7 : 'Unassigned [0xAAC7]',
	0xAAC8 : 'Unassigned [0xAAC8]',
	0xAAC9 : 'Unassigned [0xAAC9]',
	0xAACA : 'Unassigned [0xAACA]',
	0xAACB : 'Unassigned [0xAACB]',
	0xAACC : 'Unassigned [0xAACC]',
	0xAACD : 'Unassigned [0xAACD]',
	0xAACE : 'Unassigned [0xAACE]',
	0xAACF : 'Unassigned [0xAACF]',
	0xAAD0 : 'Unassigned [0xAAD0]',
	0xAAD1 : 'Unassigned [0xAAD1]',
	0xAAD2 : 'Unassigned [0xAAD2]',
	0xAAD3 : 'Unassigned [0xAAD3]',
	0xAAD4 : 'Unassigned [0xAAD4]',
	0xAAD5 : 'Unassigned [0xAAD5]',
	0xAAD6 : 'Unassigned [0xAAD6]',
	0xAAD7 : 'Unassigned [0xAAD7]',
	0xAAD8 : 'Unassigned [0xAAD8]',
	0xAAD9 : 'Unassigned [0xAAD9]',
	0xAADA : 'Unassigned [0xAADA]',
	0xAADB : 'Unassigned [0xAADB]',
	0xAADC : 'Unassigned [0xAADC]',
	0xAADD : 'Unassigned [0xAADD]',
	0xAADE : 'Unassigned [0xAADE]',
	0xAADF : 'Unassigned [0xAADF]',
	0xAAE0 : 'Unassigned [0xAAE0]',
	0xAAE1 : 'Unassigned [0xAAE1]',
	0xAAE2 : 'Unassigned [0xAAE2]',
	0xAAE3 : 'Unassigned [0xAAE3]',
	0xAAE4 : 'Unassigned [0xAAE4]',
	0xAAE5 : 'Unassigned [0xAAE5]',
	0xAAE6 : 'Unassigned [0xAAE6]',
	0xAAE7 : 'Unassigned [0xAAE7]',
	0xAAE8 : 'Unassigned [0xAAE8]',
	0xAAE9 : 'Unassigned [0xAAE9]',
	0xAAEA : 'Unassigned [0xAAEA]',
	0xAAEB : 'Unassigned [0xAAEB]',
	0xAAEC : 'Unassigned [0xAAEC]',
	0xAAED : 'Unassigned [0xAAED]',
	0xAAEE : 'Unassigned [0xAAEE]',
	0xAAEF : 'Unassigned [0xAAEF]',
	0xAAF0 : 'Unassigned [0xAAF0]',
	0xAAF1 : 'Unassigned [0xAAF1]',
	0xAAF2 : 'Unassigned [0xAAF2]',
	0xAAF3 : 'Unassigned [0xAAF3]',
	0xAAF4 : 'Unassigned [0xAAF4]',
	0xAAF5 : 'Unassigned [0xAAF5]',
	0xAAF6 : 'Unassigned [0xAAF6]',
	0xAAF7 : 'Unassigned [0xAAF7]',
	0xAAF8 : 'Unassigned [0xAAF8]',
	0xAAF9 : 'Unassigned [0xAAF9]',
	0xAAFA : 'Unassigned [0xAAFA]',
	0xAAFB : 'Unassigned [0xAAFB]',
	0xAAFC : 'Unassigned [0xAAFC]',
	0xAAFD : 'Unassigned [0xAAFD]',
	0xAAFE : 'Unassigned [0xAAFE]',
	0xAAFF : 'Unassigned [0xAAFF]',
	0xAB00 : 'Unassigned [0xAB00]',
	0xAB01 : 'Unassigned [0xAB01]',
	0xAB02 : 'Unassigned [0xAB02]',
	0xAB03 : 'Unassigned [0xAB03]',
	0xAB04 : 'Unassigned [0xAB04]',
	0xAB05 : 'Unassigned [0xAB05]',
	0xAB06 : 'Unassigned [0xAB06]',
	0xAB07 : 'Unassigned [0xAB07]',
	0xAB08 : 'Unassigned [0xAB08]',
	0xAB09 : 'Unassigned [0xAB09]',
	0xAB0A : 'Unassigned [0xAB0A]',
	0xAB0B : 'Unassigned [0xAB0B]',
	0xAB0C : 'Unassigned [0xAB0C]',
	0xAB0D : 'Unassigned [0xAB0D]',
	0xAB0E : 'Unassigned [0xAB0E]',
	0xAB0F : 'Unassigned [0xAB0F]',
	0xAB10 : 'Unassigned [0xAB10]',
	0xAB11 : 'Unassigned [0xAB11]',
	0xAB12 : 'Unassigned [0xAB12]',
	0xAB13 : 'Unassigned [0xAB13]',
	0xAB14 : 'Unassigned [0xAB14]',
	0xAB15 : 'Unassigned [0xAB15]',
	0xAB16 : 'Unassigned [0xAB16]',
	0xAB17 : 'Unassigned [0xAB17]',
	0xAB18 : 'Unassigned [0xAB18]',
	0xAB19 : 'Unassigned [0xAB19]',
	0xAB1A : 'Unassigned [0xAB1A]',
	0xAB1B : 'Unassigned [0xAB1B]',
	0xAB1C : 'Unassigned [0xAB1C]',
	0xAB1D : 'Unassigned [0xAB1D]',
	0xAB1E : 'Unassigned [0xAB1E]',
	0xAB1F : 'Unassigned [0xAB1F]',
	0xAB20 : 'Unassigned [0xAB20]',
	0xAB21 : 'Unassigned [0xAB21]',
	0xAB22 : 'Unassigned [0xAB22]',
	0xAB23 : 'Unassigned [0xAB23]',
	0xAB24 : 'Unassigned [0xAB24]',
	0xAB25 : 'Unassigned [0xAB25]',
	0xAB26 : 'Unassigned [0xAB26]',
	0xAB27 : 'Unassigned [0xAB27]',
	0xAB28 : 'Unassigned [0xAB28]',
	0xAB29 : 'Unassigned [0xAB29]',
	0xAB2A : 'Unassigned [0xAB2A]',
	0xAB2B : 'Unassigned [0xAB2B]',
	0xAB2C : 'Unassigned [0xAB2C]',
	0xAB2D : 'Unassigned [0xAB2D]',
	0xAB2E : 'Unassigned [0xAB2E]',
	0xAB2F : 'Unassigned [0xAB2F]',
	0xAB30 : 'Unassigned [0xAB30]',
	0xAB31 : 'Unassigned [0xAB31]',
	0xAB32 : 'Unassigned [0xAB32]',
	0xAB33 : 'Unassigned [0xAB33]',
	0xAB34 : 'Unassigned [0xAB34]',
	0xAB35 : 'Unassigned [0xAB35]',
	0xAB36 : 'Unassigned [0xAB36]',
	0xAB37 : 'Unassigned [0xAB37]',
	0xAB38 : 'Unassigned [0xAB38]',
	0xAB39 : 'Unassigned [0xAB39]',
	0xAB3A : 'Unassigned [0xAB3A]',
	0xAB3B : 'Unassigned [0xAB3B]',
	0xAB3C : 'Unassigned [0xAB3C]',
	0xAB3D : 'Unassigned [0xAB3D]',
	0xAB3E : 'Unassigned [0xAB3E]',
	0xAB3F : 'Unassigned [0xAB3F]',
	0xAB40 : 'Unassigned [0xAB40]',
	0xAB41 : 'Unassigned [0xAB41]',
	0xAB42 : 'Unassigned [0xAB42]',
	0xAB43 : 'Unassigned [0xAB43]',
	0xAB44 : 'Unassigned [0xAB44]',
	0xAB45 : 'Unassigned [0xAB45]',
	0xAB46 : 'Unassigned [0xAB46]',
	0xAB47 : 'Unassigned [0xAB47]',
	0xAB48 : 'Unassigned [0xAB48]',
	0xAB49 : 'Unassigned [0xAB49]',
	0xAB4A : 'Unassigned [0xAB4A]',
	0xAB4B : 'Unassigned [0xAB4B]',
	0xAB4C : 'Unassigned [0xAB4C]',
	0xAB4D : 'Unassigned [0xAB4D]',
	0xAB4E : 'Unassigned [0xAB4E]',
	0xAB4F : 'Unassigned [0xAB4F]',
	0xAB50 : 'Unassigned [0xAB50]',
	0xAB51 : 'Unassigned [0xAB51]',
	0xAB52 : 'Unassigned [0xAB52]',
	0xAB53 : 'Unassigned [0xAB53]',
	0xAB54 : 'Unassigned [0xAB54]',
	0xAB55 : 'Unassigned [0xAB55]',
	0xAB56 : 'Unassigned [0xAB56]',
	0xAB57 : 'Unassigned [0xAB57]',
	0xAB58 : 'Unassigned [0xAB58]',
	0xAB59 : 'Unassigned [0xAB59]',
	0xAB5A : 'Unassigned [0xAB5A]',
	0xAB5B : 'Unassigned [0xAB5B]',
	0xAB5C : 'Unassigned [0xAB5C]',
	0xAB5D : 'Unassigned [0xAB5D]',
	0xAB5E : 'Unassigned [0xAB5E]',
	0xAB5F : 'Unassigned [0xAB5F]',
	0xAB60 : 'Unassigned [0xAB60]',
	0xAB61 : 'Unassigned [0xAB61]',
	0xAB62 : 'Unassigned [0xAB62]',
	0xAB63 : 'Unassigned [0xAB63]',
	0xAB64 : 'Unassigned [0xAB64]',
	0xAB65 : 'Unassigned [0xAB65]',
	0xAB66 : 'Unassigned [0xAB66]',
	0xAB67 : 'Unassigned [0xAB67]',
	0xAB68 : 'Unassigned [0xAB68]',
	0xAB69 : 'Unassigned [0xAB69]',
	0xAB6A : 'Unassigned [0xAB6A]',
	0xAB6B : 'Unassigned [0xAB6B]',
	0xAB6C : 'Unassigned [0xAB6C]',
	0xAB6D : 'Unassigned [0xAB6D]',
	0xAB6E : 'Unassigned [0xAB6E]',
	0xAB6F : 'Unassigned [0xAB6F]',
	0xAB70 : 'Unassigned [0xAB70]',
	0xAB71 : 'Unassigned [0xAB71]',
	0xAB72 : 'Unassigned [0xAB72]',
	0xAB73 : 'Unassigned [0xAB73]',
	0xAB74 : 'Unassigned [0xAB74]',
	0xAB75 : 'Unassigned [0xAB75]',
	0xAB76 : 'Unassigned [0xAB76]',
	0xAB77 : 'Unassigned [0xAB77]',
	0xAB78 : 'Unassigned [0xAB78]',
	0xAB79 : 'Unassigned [0xAB79]',
	0xAB7A : 'Unassigned [0xAB7A]',
	0xAB7B : 'Unassigned [0xAB7B]',
	0xAB7C : 'Unassigned [0xAB7C]',
	0xAB7D : 'Unassigned [0xAB7D]',
	0xAB7E : 'Unassigned [0xAB7E]',
	0xAB7F : 'Unassigned [0xAB7F]',
	0xAB80 : 'Unassigned [0xAB80]',
	0xAB81 : 'Unassigned [0xAB81]',
	0xAB82 : 'Unassigned [0xAB82]',
	0xAB83 : 'Unassigned [0xAB83]',
	0xAB84 : 'Unassigned [0xAB84]',
	0xAB85 : 'Unassigned [0xAB85]',
	0xAB86 : 'Unassigned [0xAB86]',
	0xAB87 : 'Unassigned [0xAB87]',
	0xAB88 : 'Unassigned [0xAB88]',
	0xAB89 : 'Unassigned [0xAB89]',
	0xAB8A : 'Unassigned [0xAB8A]',
	0xAB8B : 'Unassigned [0xAB8B]',
	0xAB8C : 'Unassigned [0xAB8C]',
	0xAB8D : 'Unassigned [0xAB8D]',
	0xAB8E : 'Unassigned [0xAB8E]',
	0xAB8F : 'Unassigned [0xAB8F]',
	0xAB90 : 'Unassigned [0xAB90]',
	0xAB91 : 'Unassigned [0xAB91]',
	0xAB92 : 'Unassigned [0xAB92]',
	0xAB93 : 'Unassigned [0xAB93]',
	0xAB94 : 'Unassigned [0xAB94]',
	0xAB95 : 'Unassigned [0xAB95]',
	0xAB96 : 'Unassigned [0xAB96]',
	0xAB97 : 'Unassigned [0xAB97]',
	0xAB98 : 'Unassigned [0xAB98]',
	0xAB99 : 'Unassigned [0xAB99]',
	0xAB9A : 'Unassigned [0xAB9A]',
	0xAB9B : 'Unassigned [0xAB9B]',
	0xAB9C : 'Unassigned [0xAB9C]',
	0xAB9D : 'Unassigned [0xAB9D]',
	0xAB9E : 'Unassigned [0xAB9E]',
	0xAB9F : 'Unassigned [0xAB9F]',
	0xABA0 : 'Unassigned [0xABA0]',
	0xABA1 : 'Unassigned [0xABA1]',
	0xABA2 : 'Unassigned [0xABA2]',
	0xABA3 : 'Unassigned [0xABA3]',
	0xABA4 : 'Unassigned [0xABA4]',
	0xABA5 : 'Unassigned [0xABA5]',
	0xABA6 : 'Unassigned [0xABA6]',
	0xABA7 : 'Unassigned [0xABA7]',
	0xABA8 : 'Unassigned [0xABA8]',
	0xABA9 : 'Unassigned [0xABA9]',
	0xABAA : 'Unassigned [0xABAA]',
	0xABAB : 'Unassigned [0xABAB]',
	0xABAC : 'Unassigned [0xABAC]',
	0xABAD : 'Unassigned [0xABAD]',
	0xABAE : 'Unassigned [0xABAE]',
	0xABAF : 'Unassigned [0xABAF]',
	0xABB0 : 'Unassigned [0xABB0]',
	0xABB1 : 'Unassigned [0xABB1]',
	0xABB2 : 'Unassigned [0xABB2]',
	0xABB3 : 'Unassigned [0xABB3]',
	0xABB4 : 'Unassigned [0xABB4]',
	0xABB5 : 'Unassigned [0xABB5]',
	0xABB6 : 'Unassigned [0xABB6]',
	0xABB7 : 'Unassigned [0xABB7]',
	0xABB8 : 'Unassigned [0xABB8]',
	0xABB9 : 'Unassigned [0xABB9]',
	0xABBA : 'Unassigned [0xABBA]',
	0xABBB : 'Unassigned [0xABBB]',
	0xABBC : 'Unassigned [0xABBC]',
	0xABBD : 'Unassigned [0xABBD]',
	0xABBE : 'Unassigned [0xABBE]',
	0xABBF : 'Unassigned [0xABBF]',
	0xABC0 : 'Unassigned [0xABC0]',
	0xABC1 : 'Unassigned [0xABC1]',
	0xABC2 : 'Unassigned [0xABC2]',
	0xABC3 : 'Unassigned [0xABC3]',
	0xABC4 : 'Unassigned [0xABC4]',
	0xABC5 : 'Unassigned [0xABC5]',
	0xABC6 : 'Unassigned [0xABC6]',
	0xABC7 : 'Unassigned [0xABC7]',
	0xABC8 : 'Unassigned [0xABC8]',
	0xABC9 : 'Unassigned [0xABC9]',
	0xABCA : 'Unassigned [0xABCA]',
	0xABCB : 'Unassigned [0xABCB]',
	0xABCC : 'Unassigned [0xABCC]',
	0xABCD : 'Unassigned [0xABCD]',
	0xABCE : 'Unassigned [0xABCE]',
	0xABCF : 'Unassigned [0xABCF]',
	0xABD0 : 'Unassigned [0xABD0]',
	0xABD1 : 'Unassigned [0xABD1]',
	0xABD2 : 'Unassigned [0xABD2]',
	0xABD3 : 'Unassigned [0xABD3]',
	0xABD4 : 'Unassigned [0xABD4]',
	0xABD5 : 'Unassigned [0xABD5]',
	0xABD6 : 'Unassigned [0xABD6]',
	0xABD7 : 'Unassigned [0xABD7]',
	0xABD8 : 'Unassigned [0xABD8]',
	0xABD9 : 'Unassigned [0xABD9]',
	0xABDA : 'Unassigned [0xABDA]',
	0xABDB : 'Unassigned [0xABDB]',
	0xABDC : 'Unassigned [0xABDC]',
	0xABDD : 'Unassigned [0xABDD]',
	0xABDE : 'Unassigned [0xABDE]',
	0xABDF : 'Unassigned [0xABDF]',
	0xABE0 : 'Unassigned [0xABE0]',
	0xABE1 : 'Unassigned [0xABE1]',
	0xABE2 : 'Unassigned [0xABE2]',
	0xABE3 : 'Unassigned [0xABE3]',
	0xABE4 : 'Unassigned [0xABE4]',
	0xABE5 : 'Unassigned [0xABE5]',
	0xABE6 : 'Unassigned [0xABE6]',
	0xABE7 : 'Unassigned [0xABE7]',
	0xABE8 : 'Unassigned [0xABE8]',
	0xABE9 : 'Unassigned [0xABE9]',
	0xABEA : 'Unassigned [0xABEA]',
	0xABEB : 'Unassigned [0xABEB]',
	0xABEC : 'Unassigned [0xABEC]',
	0xABED : 'Unassigned [0xABED]',
	0xABEE : 'Unassigned [0xABEE]',
	0xABEF : 'Unassigned [0xABEF]',
	0xABF0 : 'Unassigned [0xABF0]',
	0xABF1 : 'Unassigned [0xABF1]',
	0xABF2 : 'Unassigned [0xABF2]',
	0xABF3 : 'Unassigned [0xABF3]',
	0xABF4 : 'Unassigned [0xABF4]',
	0xABF5 : 'Unassigned [0xABF5]',
	0xABF6 : 'Unassigned [0xABF6]',
	0xABF7 : 'Unassigned [0xABF7]',
	0xABF8 : 'Unassigned [0xABF8]',
	0xABF9 : 'Unassigned [0xABF9]',
	0xABFA : 'Unassigned [0xABFA]',
	0xABFB : 'Unassigned [0xABFB]',
	0xABFC : 'Unassigned [0xABFC]',
	0xABFD : 'Unassigned [0xABFD]',
	0xABFE : 'Unassigned [0xABFE]',
	0xABFF : 'Unassigned [0xABFF]',
	0xAC00 : 'Unassigned [0xAC00]',
	0xAC01 : 'Unassigned [0xAC01]',
	0xAC02 : 'Unassigned [0xAC02]',
	0xAC03 : 'Unassigned [0xAC03]',
	0xAC04 : 'Unassigned [0xAC04]',
	0xAC05 : 'Unassigned [0xAC05]',
	0xAC06 : 'Unassigned [0xAC06]',
	0xAC07 : 'Unassigned [0xAC07]',
	0xAC08 : 'Unassigned [0xAC08]',
	0xAC09 : 'Unassigned [0xAC09]',
	0xAC0A : 'Unassigned [0xAC0A]',
	0xAC0B : 'Unassigned [0xAC0B]',
	0xAC0C : 'Unassigned [0xAC0C]',
	0xAC0D : 'Unassigned [0xAC0D]',
	0xAC0E : 'Unassigned [0xAC0E]',
	0xAC0F : 'Unassigned [0xAC0F]',
	0xAC10 : 'Unassigned [0xAC10]',
	0xAC11 : 'Unassigned [0xAC11]',
	0xAC12 : 'Unassigned [0xAC12]',
	0xAC13 : 'Unassigned [0xAC13]',
	0xAC14 : 'Unassigned [0xAC14]',
	0xAC15 : 'Unassigned [0xAC15]',
	0xAC16 : 'Unassigned [0xAC16]',
	0xAC17 : 'Unassigned [0xAC17]',
	0xAC18 : 'Unassigned [0xAC18]',
	0xAC19 : 'Unassigned [0xAC19]',
	0xAC1A : 'Unassigned [0xAC1A]',
	0xAC1B : 'Unassigned [0xAC1B]',
	0xAC1C : 'Unassigned [0xAC1C]',
	0xAC1D : 'Unassigned [0xAC1D]',
	0xAC1E : 'Unassigned [0xAC1E]',
	0xAC1F : 'Unassigned [0xAC1F]',
	0xAC20 : 'Unassigned [0xAC20]',
	0xAC21 : 'Unassigned [0xAC21]',
	0xAC22 : 'Unassigned [0xAC22]',
	0xAC23 : 'Unassigned [0xAC23]',
	0xAC24 : 'Unassigned [0xAC24]',
	0xAC25 : 'Unassigned [0xAC25]',
	0xAC26 : 'Unassigned [0xAC26]',
	0xAC27 : 'Unassigned [0xAC27]',
	0xAC28 : 'Unassigned [0xAC28]',
	0xAC29 : 'Unassigned [0xAC29]',
	0xAC2A : 'Unassigned [0xAC2A]',
	0xAC2B : 'Unassigned [0xAC2B]',
	0xAC2C : 'Unassigned [0xAC2C]',
	0xAC2D : 'Unassigned [0xAC2D]',
	0xAC2E : 'Unassigned [0xAC2E]',
	0xAC2F : 'Unassigned [0xAC2F]',
	0xAC30 : 'Unassigned [0xAC30]',
	0xAC31 : 'Unassigned [0xAC31]',
	0xAC32 : 'Unassigned [0xAC32]',
	0xAC33 : 'Unassigned [0xAC33]',
	0xAC34 : 'Unassigned [0xAC34]',
	0xAC35 : 'Unassigned [0xAC35]',
	0xAC36 : 'Unassigned [0xAC36]',
	0xAC37 : 'Unassigned [0xAC37]',
	0xAC38 : 'Unassigned [0xAC38]',
	0xAC39 : 'Unassigned [0xAC39]',
	0xAC3A : 'Unassigned [0xAC3A]',
	0xAC3B : 'Unassigned [0xAC3B]',
	0xAC3C : 'Unassigned [0xAC3C]',
	0xAC3D : 'Unassigned [0xAC3D]',
	0xAC3E : 'Unassigned [0xAC3E]',
	0xAC3F : 'Unassigned [0xAC3F]',
	0xAC40 : 'Unassigned [0xAC40]',
	0xAC41 : 'Unassigned [0xAC41]',
	0xAC42 : 'Unassigned [0xAC42]',
	0xAC43 : 'Unassigned [0xAC43]',
	0xAC44 : 'Unassigned [0xAC44]',
	0xAC45 : 'Unassigned [0xAC45]',
	0xAC46 : 'Unassigned [0xAC46]',
	0xAC47 : 'Unassigned [0xAC47]',
	0xAC48 : 'Unassigned [0xAC48]',
	0xAC49 : 'Unassigned [0xAC49]',
	0xAC4A : 'Unassigned [0xAC4A]',
	0xAC4B : 'Unassigned [0xAC4B]',
	0xAC4C : 'Unassigned [0xAC4C]',
	0xAC4D : 'Unassigned [0xAC4D]',
	0xAC4E : 'Unassigned [0xAC4E]',
	0xAC4F : 'Unassigned [0xAC4F]',
	0xAC50 : 'Unassigned [0xAC50]',
	0xAC51 : 'Unassigned [0xAC51]',
	0xAC52 : 'Unassigned [0xAC52]',
	0xAC53 : 'Unassigned [0xAC53]',
	0xAC54 : 'Unassigned [0xAC54]',
	0xAC55 : 'Unassigned [0xAC55]',
	0xAC56 : 'Unassigned [0xAC56]',
	0xAC57 : 'Unassigned [0xAC57]',
	0xAC58 : 'Unassigned [0xAC58]',
	0xAC59 : 'Unassigned [0xAC59]',
	0xAC5A : 'Unassigned [0xAC5A]',
	0xAC5B : 'Unassigned [0xAC5B]',
	0xAC5C : 'Unassigned [0xAC5C]',
	0xAC5D : 'Unassigned [0xAC5D]',
	0xAC5E : 'Unassigned [0xAC5E]',
	0xAC5F : 'Unassigned [0xAC5F]',
	0xAC60 : 'Unassigned [0xAC60]',
	0xAC61 : 'Unassigned [0xAC61]',
	0xAC62 : 'Unassigned [0xAC62]',
	0xAC63 : 'Unassigned [0xAC63]',
	0xAC64 : 'Unassigned [0xAC64]',
	0xAC65 : 'Unassigned [0xAC65]',
	0xAC66 : 'Unassigned [0xAC66]',
	0xAC67 : 'Unassigned [0xAC67]',
	0xAC68 : 'Unassigned [0xAC68]',
	0xAC69 : 'Unassigned [0xAC69]',
	0xAC6A : 'Unassigned [0xAC6A]',
	0xAC6B : 'Unassigned [0xAC6B]',
	0xAC6C : 'Unassigned [0xAC6C]',
	0xAC6D : 'Unassigned [0xAC6D]',
	0xAC6E : 'Unassigned [0xAC6E]',
	0xAC6F : 'Unassigned [0xAC6F]',
	0xAC70 : 'Unassigned [0xAC70]',
	0xAC71 : 'Unassigned [0xAC71]',
	0xAC72 : 'Unassigned [0xAC72]',
	0xAC73 : 'Unassigned [0xAC73]',
	0xAC74 : 'Unassigned [0xAC74]',
	0xAC75 : 'Unassigned [0xAC75]',
	0xAC76 : 'Unassigned [0xAC76]',
	0xAC77 : 'Unassigned [0xAC77]',
	0xAC78 : 'Unassigned [0xAC78]',
	0xAC79 : 'Unassigned [0xAC79]',
	0xAC7A : 'Unassigned [0xAC7A]',
	0xAC7B : 'Unassigned [0xAC7B]',
	0xAC7C : 'Unassigned [0xAC7C]',
	0xAC7D : 'Unassigned [0xAC7D]',
	0xAC7E : 'Unassigned [0xAC7E]',
	0xAC7F : 'Unassigned [0xAC7F]',
	0xAC80 : 'Unassigned [0xAC80]',
	0xAC81 : 'Unassigned [0xAC81]',
	0xAC82 : 'Unassigned [0xAC82]',
	0xAC83 : 'Unassigned [0xAC83]',
	0xAC84 : 'Unassigned [0xAC84]',
	0xAC85 : 'Unassigned [0xAC85]',
	0xAC86 : 'Unassigned [0xAC86]',
	0xAC87 : 'Unassigned [0xAC87]',
	0xAC88 : 'Unassigned [0xAC88]',
	0xAC89 : 'Unassigned [0xAC89]',
	0xAC8A : 'Unassigned [0xAC8A]',
	0xAC8B : 'Unassigned [0xAC8B]',
	0xAC8C : 'Unassigned [0xAC8C]',
	0xAC8D : 'Unassigned [0xAC8D]',
	0xAC8E : 'Unassigned [0xAC8E]',
	0xAC8F : 'Unassigned [0xAC8F]',
	0xAC90 : 'Unassigned [0xAC90]',
	0xAC91 : 'Unassigned [0xAC91]',
	0xAC92 : 'Unassigned [0xAC92]',
	0xAC93 : 'Unassigned [0xAC93]',
	0xAC94 : 'Unassigned [0xAC94]',
	0xAC95 : 'Unassigned [0xAC95]',
	0xAC96 : 'Unassigned [0xAC96]',
	0xAC97 : 'Unassigned [0xAC97]',
	0xAC98 : 'Unassigned [0xAC98]',
	0xAC99 : 'Unassigned [0xAC99]',
	0xAC9A : 'Unassigned [0xAC9A]',
	0xAC9B : 'Unassigned [0xAC9B]',
	0xAC9C : 'Unassigned [0xAC9C]',
	0xAC9D : 'Unassigned [0xAC9D]',
	0xAC9E : 'Unassigned [0xAC9E]',
	0xAC9F : 'Unassigned [0xAC9F]',
	0xACA0 : 'Unassigned [0xACA0]',
	0xACA1 : 'Unassigned [0xACA1]',
	0xACA2 : 'Unassigned [0xACA2]',
	0xACA3 : 'Unassigned [0xACA3]',
	0xACA4 : 'Unassigned [0xACA4]',
	0xACA5 : 'Unassigned [0xACA5]',
	0xACA6 : 'Unassigned [0xACA6]',
	0xACA7 : 'Unassigned [0xACA7]',
	0xACA8 : 'Unassigned [0xACA8]',
	0xACA9 : 'Unassigned [0xACA9]',
	0xACAA : 'Unassigned [0xACAA]',
	0xACAB : 'Unassigned [0xACAB]',
	0xACAC : 'Unassigned [0xACAC]',
	0xACAD : 'Unassigned [0xACAD]',
	0xACAE : 'Unassigned [0xACAE]',
	0xACAF : 'Unassigned [0xACAF]',
	0xACB0 : 'Unassigned [0xACB0]',
	0xACB1 : 'Unassigned [0xACB1]',
	0xACB2 : 'Unassigned [0xACB2]',
	0xACB3 : 'Unassigned [0xACB3]',
	0xACB4 : 'Unassigned [0xACB4]',
	0xACB5 : 'Unassigned [0xACB5]',
	0xACB6 : 'Unassigned [0xACB6]',
	0xACB7 : 'Unassigned [0xACB7]',
	0xACB8 : 'Unassigned [0xACB8]',
	0xACB9 : 'Unassigned [0xACB9]',
	0xACBA : 'Unassigned [0xACBA]',
	0xACBB : 'Unassigned [0xACBB]',
	0xACBC : 'Unassigned [0xACBC]',
	0xACBD : 'Unassigned [0xACBD]',
	0xACBE : 'Unassigned [0xACBE]',
	0xACBF : 'Unassigned [0xACBF]',
	0xACC0 : 'Unassigned [0xACC0]',
	0xACC1 : 'Unassigned [0xACC1]',
	0xACC2 : 'Unassigned [0xACC2]',
	0xACC3 : 'Unassigned [0xACC3]',
	0xACC4 : 'Unassigned [0xACC4]',
	0xACC5 : 'Unassigned [0xACC5]',
	0xACC6 : 'Unassigned [0xACC6]',
	0xACC7 : 'Unassigned [0xACC7]',
	0xACC8 : 'Unassigned [0xACC8]',
	0xACC9 : 'Unassigned [0xACC9]',
	0xACCA : 'Unassigned [0xACCA]',
	0xACCB : 'Unassigned [0xACCB]',
	0xACCC : 'Unassigned [0xACCC]',
	0xACCD : 'Unassigned [0xACCD]',
	0xACCE : 'Unassigned [0xACCE]',
	0xACCF : 'Unassigned [0xACCF]',
	0xACD0 : 'Unassigned [0xACD0]',
	0xACD1 : 'Unassigned [0xACD1]',
	0xACD2 : 'Unassigned [0xACD2]',
	0xACD3 : 'Unassigned [0xACD3]',
	0xACD4 : 'Unassigned [0xACD4]',
	0xACD5 : 'Unassigned [0xACD5]',
	0xACD6 : 'Unassigned [0xACD6]',
	0xACD7 : 'Unassigned [0xACD7]',
	0xACD8 : 'Unassigned [0xACD8]',
	0xACD9 : 'Unassigned [0xACD9]',
	0xACDA : 'Unassigned [0xACDA]',
	0xACDB : 'Unassigned [0xACDB]',
	0xACDC : 'Unassigned [0xACDC]',
	0xACDD : 'Unassigned [0xACDD]',
	0xACDE : 'Unassigned [0xACDE]',
	0xACDF : 'Unassigned [0xACDF]',
	0xACE0 : 'Unassigned [0xACE0]',
	0xACE1 : 'Unassigned [0xACE1]',
	0xACE2 : 'Unassigned [0xACE2]',
	0xACE3 : 'Unassigned [0xACE3]',
	0xACE4 : 'Unassigned [0xACE4]',
	0xACE5 : 'Unassigned [0xACE5]',
	0xACE6 : 'Unassigned [0xACE6]',
	0xACE7 : 'Unassigned [0xACE7]',
	0xACE8 : 'Unassigned [0xACE8]',
	0xACE9 : 'Unassigned [0xACE9]',
	0xACEA : 'Unassigned [0xACEA]',
	0xACEB : 'Unassigned [0xACEB]',
	0xACEC : 'Unassigned [0xACEC]',
	0xACED : 'Unassigned [0xACED]',
	0xACEE : 'Unassigned [0xACEE]',
	0xACEF : 'Unassigned [0xACEF]',
	0xACF0 : 'Unassigned [0xACF0]',
	0xACF1 : 'Unassigned [0xACF1]',
	0xACF2 : 'Unassigned [0xACF2]',
	0xACF3 : 'Unassigned [0xACF3]',
	0xACF4 : 'Unassigned [0xACF4]',
	0xACF5 : 'Unassigned [0xACF5]',
	0xACF6 : 'Unassigned [0xACF6]',
	0xACF7 : 'Unassigned [0xACF7]',
	0xACF8 : 'Unassigned [0xACF8]',
	0xACF9 : 'Unassigned [0xACF9]',
	0xACFA : 'Unassigned [0xACFA]',
	0xACFB : 'Unassigned [0xACFB]',
	0xACFC : 'Unassigned [0xACFC]',
	0xACFD : 'Unassigned [0xACFD]',
	0xACFE : 'Unassigned [0xACFE]',
	0xACFF : 'Unassigned [0xACFF]',
	0xAD00 : 'Unassigned [0xAD00]',
	0xAD01 : 'Unassigned [0xAD01]',
	0xAD02 : 'Unassigned [0xAD02]',
	0xAD03 : 'Unassigned [0xAD03]',
	0xAD04 : 'Unassigned [0xAD04]',
	0xAD05 : 'Unassigned [0xAD05]',
	0xAD06 : 'Unassigned [0xAD06]',
	0xAD07 : 'Unassigned [0xAD07]',
	0xAD08 : 'Unassigned [0xAD08]',
	0xAD09 : 'Unassigned [0xAD09]',
	0xAD0A : 'Unassigned [0xAD0A]',
	0xAD0B : 'Unassigned [0xAD0B]',
	0xAD0C : 'Unassigned [0xAD0C]',
	0xAD0D : 'Unassigned [0xAD0D]',
	0xAD0E : 'Unassigned [0xAD0E]',
	0xAD0F : 'Unassigned [0xAD0F]',
	0xAD10 : 'Unassigned [0xAD10]',
	0xAD11 : 'Unassigned [0xAD11]',
	0xAD12 : 'Unassigned [0xAD12]',
	0xAD13 : 'Unassigned [0xAD13]',
	0xAD14 : 'Unassigned [0xAD14]',
	0xAD15 : 'Unassigned [0xAD15]',
	0xAD16 : 'Unassigned [0xAD16]',
	0xAD17 : 'Unassigned [0xAD17]',
	0xAD18 : 'Unassigned [0xAD18]',
	0xAD19 : 'Unassigned [0xAD19]',
	0xAD1A : 'Unassigned [0xAD1A]',
	0xAD1B : 'Unassigned [0xAD1B]',
	0xAD1C : 'Unassigned [0xAD1C]',
	0xAD1D : 'Unassigned [0xAD1D]',
	0xAD1E : 'Unassigned [0xAD1E]',
	0xAD1F : 'Unassigned [0xAD1F]',
	0xAD20 : 'Unassigned [0xAD20]',
	0xAD21 : 'Unassigned [0xAD21]',
	0xAD22 : 'Unassigned [0xAD22]',
	0xAD23 : 'Unassigned [0xAD23]',
	0xAD24 : 'Unassigned [0xAD24]',
	0xAD25 : 'Unassigned [0xAD25]',
	0xAD26 : 'Unassigned [0xAD26]',
	0xAD27 : 'Unassigned [0xAD27]',
	0xAD28 : 'Unassigned [0xAD28]',
	0xAD29 : 'Unassigned [0xAD29]',
	0xAD2A : 'Unassigned [0xAD2A]',
	0xAD2B : 'Unassigned [0xAD2B]',
	0xAD2C : 'Unassigned [0xAD2C]',
	0xAD2D : 'Unassigned [0xAD2D]',
	0xAD2E : 'Unassigned [0xAD2E]',
	0xAD2F : 'Unassigned [0xAD2F]',
	0xAD30 : 'Unassigned [0xAD30]',
	0xAD31 : 'Unassigned [0xAD31]',
	0xAD32 : 'Unassigned [0xAD32]',
	0xAD33 : 'Unassigned [0xAD33]',
	0xAD34 : 'Unassigned [0xAD34]',
	0xAD35 : 'Unassigned [0xAD35]',
	0xAD36 : 'Unassigned [0xAD36]',
	0xAD37 : 'Unassigned [0xAD37]',
	0xAD38 : 'Unassigned [0xAD38]',
	0xAD39 : 'Unassigned [0xAD39]',
	0xAD3A : 'Unassigned [0xAD3A]',
	0xAD3B : 'Unassigned [0xAD3B]',
	0xAD3C : 'Unassigned [0xAD3C]',
	0xAD3D : 'Unassigned [0xAD3D]',
	0xAD3E : 'Unassigned [0xAD3E]',
	0xAD3F : 'Unassigned [0xAD3F]',
	0xAD40 : 'Unassigned [0xAD40]',
	0xAD41 : 'Unassigned [0xAD41]',
	0xAD42 : 'Unassigned [0xAD42]',
	0xAD43 : 'Unassigned [0xAD43]',
	0xAD44 : 'Unassigned [0xAD44]',
	0xAD45 : 'Unassigned [0xAD45]',
	0xAD46 : 'Unassigned [0xAD46]',
	0xAD47 : 'Unassigned [0xAD47]',
	0xAD48 : 'Unassigned [0xAD48]',
	0xAD49 : 'Unassigned [0xAD49]',
	0xAD4A : 'Unassigned [0xAD4A]',
	0xAD4B : 'Unassigned [0xAD4B]',
	0xAD4C : 'Unassigned [0xAD4C]',
	0xAD4D : 'Unassigned [0xAD4D]',
	0xAD4E : 'Unassigned [0xAD4E]',
	0xAD4F : 'Unassigned [0xAD4F]',
	0xAD50 : 'Unassigned [0xAD50]',
	0xAD51 : 'Unassigned [0xAD51]',
	0xAD52 : 'Unassigned [0xAD52]',
	0xAD53 : 'Unassigned [0xAD53]',
	0xAD54 : 'Unassigned [0xAD54]',
	0xAD55 : 'Unassigned [0xAD55]',
	0xAD56 : 'Unassigned [0xAD56]',
	0xAD57 : 'Unassigned [0xAD57]',
	0xAD58 : 'Unassigned [0xAD58]',
	0xAD59 : 'Unassigned [0xAD59]',
	0xAD5A : 'Unassigned [0xAD5A]',
	0xAD5B : 'Unassigned [0xAD5B]',
	0xAD5C : 'Unassigned [0xAD5C]',
	0xAD5D : 'Unassigned [0xAD5D]',
	0xAD5E : 'Unassigned [0xAD5E]',
	0xAD5F : 'Unassigned [0xAD5F]',
	0xAD60 : 'Unassigned [0xAD60]',
	0xAD61 : 'Unassigned [0xAD61]',
	0xAD62 : 'Unassigned [0xAD62]',
	0xAD63 : 'Unassigned [0xAD63]',
	0xAD64 : 'Unassigned [0xAD64]',
	0xAD65 : 'Unassigned [0xAD65]',
	0xAD66 : 'Unassigned [0xAD66]',
	0xAD67 : 'Unassigned [0xAD67]',
	0xAD68 : 'Unassigned [0xAD68]',
	0xAD69 : 'Unassigned [0xAD69]',
	0xAD6A : 'Unassigned [0xAD6A]',
	0xAD6B : 'Unassigned [0xAD6B]',
	0xAD6C : 'Unassigned [0xAD6C]',
	0xAD6D : 'Unassigned [0xAD6D]',
	0xAD6E : 'Unassigned [0xAD6E]',
	0xAD6F : 'Unassigned [0xAD6F]',
	0xAD70 : 'Unassigned [0xAD70]',
	0xAD71 : 'Unassigned [0xAD71]',
	0xAD72 : 'Unassigned [0xAD72]',
	0xAD73 : 'Unassigned [0xAD73]',
	0xAD74 : 'Unassigned [0xAD74]',
	0xAD75 : 'Unassigned [0xAD75]',
	0xAD76 : 'Unassigned [0xAD76]',
	0xAD77 : 'Unassigned [0xAD77]',
	0xAD78 : 'Unassigned [0xAD78]',
	0xAD79 : 'Unassigned [0xAD79]',
	0xAD7A : 'Unassigned [0xAD7A]',
	0xAD7B : 'Unassigned [0xAD7B]',
	0xAD7C : 'Unassigned [0xAD7C]',
	0xAD7D : 'Unassigned [0xAD7D]',
	0xAD7E : 'Unassigned [0xAD7E]',
	0xAD7F : 'Unassigned [0xAD7F]',
	0xAD80 : 'Unassigned [0xAD80]',
	0xAD81 : 'Unassigned [0xAD81]',
	0xAD82 : 'Unassigned [0xAD82]',
	0xAD83 : 'Unassigned [0xAD83]',
	0xAD84 : 'Unassigned [0xAD84]',
	0xAD85 : 'Unassigned [0xAD85]',
	0xAD86 : 'Unassigned [0xAD86]',
	0xAD87 : 'Unassigned [0xAD87]',
	0xAD88 : 'Unassigned [0xAD88]',
	0xAD89 : 'Unassigned [0xAD89]',
	0xAD8A : 'Unassigned [0xAD8A]',
	0xAD8B : 'Unassigned [0xAD8B]',
	0xAD8C : 'Unassigned [0xAD8C]',
	0xAD8D : 'Unassigned [0xAD8D]',
	0xAD8E : 'Unassigned [0xAD8E]',
	0xAD8F : 'Unassigned [0xAD8F]',
	0xAD90 : 'Unassigned [0xAD90]',
	0xAD91 : 'Unassigned [0xAD91]',
	0xAD92 : 'Unassigned [0xAD92]',
	0xAD93 : 'Unassigned [0xAD93]',
	0xAD94 : 'Unassigned [0xAD94]',
	0xAD95 : 'Unassigned [0xAD95]',
	0xAD96 : 'Unassigned [0xAD96]',
	0xAD97 : 'Unassigned [0xAD97]',
	0xAD98 : 'Unassigned [0xAD98]',
	0xAD99 : 'Unassigned [0xAD99]',
	0xAD9A : 'Unassigned [0xAD9A]',
	0xAD9B : 'Unassigned [0xAD9B]',
	0xAD9C : 'Unassigned [0xAD9C]',
	0xAD9D : 'Unassigned [0xAD9D]',
	0xAD9E : 'Unassigned [0xAD9E]',
	0xAD9F : 'Unassigned [0xAD9F]',
	0xADA0 : 'Unassigned [0xADA0]',
	0xADA1 : 'Unassigned [0xADA1]',
	0xADA2 : 'Unassigned [0xADA2]',
	0xADA3 : 'Unassigned [0xADA3]',
	0xADA4 : 'Unassigned [0xADA4]',
	0xADA5 : 'Unassigned [0xADA5]',
	0xADA6 : 'Unassigned [0xADA6]',
	0xADA7 : 'Unassigned [0xADA7]',
	0xADA8 : 'Unassigned [0xADA8]',
	0xADA9 : 'Unassigned [0xADA9]',
	0xADAA : 'Unassigned [0xADAA]',
	0xADAB : 'Unassigned [0xADAB]',
	0xADAC : 'Unassigned [0xADAC]',
	0xADAD : 'Unassigned [0xADAD]',
	0xADAE : 'Unassigned [0xADAE]',
	0xADAF : 'Unassigned [0xADAF]',
	0xADB0 : 'Unassigned [0xADB0]',
	0xADB1 : 'Unassigned [0xADB1]',
	0xADB2 : 'Unassigned [0xADB2]',
	0xADB3 : 'Unassigned [0xADB3]',
	0xADB4 : 'Unassigned [0xADB4]',
	0xADB5 : 'Unassigned [0xADB5]',
	0xADB6 : 'Unassigned [0xADB6]',
	0xADB7 : 'Unassigned [0xADB7]',
	0xADB8 : 'Unassigned [0xADB8]',
	0xADB9 : 'Unassigned [0xADB9]',
	0xADBA : 'Unassigned [0xADBA]',
	0xADBB : 'Unassigned [0xADBB]',
	0xADBC : 'Unassigned [0xADBC]',
	0xADBD : 'Unassigned [0xADBD]',
	0xADBE : 'Unassigned [0xADBE]',
	0xADBF : 'Unassigned [0xADBF]',
	0xADC0 : 'Unassigned [0xADC0]',
	0xADC1 : 'Unassigned [0xADC1]',
	0xADC2 : 'Unassigned [0xADC2]',
	0xADC3 : 'Unassigned [0xADC3]',
	0xADC4 : 'Unassigned [0xADC4]',
	0xADC5 : 'Unassigned [0xADC5]',
	0xADC6 : 'Unassigned [0xADC6]',
	0xADC7 : 'Unassigned [0xADC7]',
	0xADC8 : 'Unassigned [0xADC8]',
	0xADC9 : 'Unassigned [0xADC9]',
	0xADCA : 'Unassigned [0xADCA]',
	0xADCB : 'Unassigned [0xADCB]',
	0xADCC : 'Unassigned [0xADCC]',
	0xADCD : 'Unassigned [0xADCD]',
	0xADCE : 'Unassigned [0xADCE]',
	0xADCF : 'Unassigned [0xADCF]',
	0xADD0 : 'Unassigned [0xADD0]',
	0xADD1 : 'Unassigned [0xADD1]',
	0xADD2 : 'Unassigned [0xADD2]',
	0xADD3 : 'Unassigned [0xADD3]',
	0xADD4 : 'Unassigned [0xADD4]',
	0xADD5 : 'Unassigned [0xADD5]',
	0xADD6 : 'Unassigned [0xADD6]',
	0xADD7 : 'Unassigned [0xADD7]',
	0xADD8 : 'Unassigned [0xADD8]',
	0xADD9 : 'Unassigned [0xADD9]',
	0xADDA : 'Unassigned [0xADDA]',
	0xADDB : 'Unassigned [0xADDB]',
	0xADDC : 'Unassigned [0xADDC]',
	0xADDD : 'Unassigned [0xADDD]',
	0xADDE : 'Unassigned [0xADDE]',
	0xADDF : 'Unassigned [0xADDF]',
	0xADE0 : 'Unassigned [0xADE0]',
	0xADE1 : 'Unassigned [0xADE1]',
	0xADE2 : 'Unassigned [0xADE2]',
	0xADE3 : 'Unassigned [0xADE3]',
	0xADE4 : 'Unassigned [0xADE4]',
	0xADE5 : 'Unassigned [0xADE5]',
	0xADE6 : 'Unassigned [0xADE6]',
	0xADE7 : 'Unassigned [0xADE7]',
	0xADE8 : 'Unassigned [0xADE8]',
	0xADE9 : 'Unassigned [0xADE9]',
	0xADEA : 'Unassigned [0xADEA]',
	0xADEB : 'Unassigned [0xADEB]',
	0xADEC : 'Unassigned [0xADEC]',
	0xADED : 'Unassigned [0xADED]',
	0xADEE : 'Unassigned [0xADEE]',
	0xADEF : 'Unassigned [0xADEF]',
	0xADF0 : 'Unassigned [0xADF0]',
	0xADF1 : 'Unassigned [0xADF1]',
	0xADF2 : 'Unassigned [0xADF2]',
	0xADF3 : 'Unassigned [0xADF3]',
	0xADF4 : 'Unassigned [0xADF4]',
	0xADF5 : 'Unassigned [0xADF5]',
	0xADF6 : 'Unassigned [0xADF6]',
	0xADF7 : 'Unassigned [0xADF7]',
	0xADF8 : 'Unassigned [0xADF8]',
	0xADF9 : 'Unassigned [0xADF9]',
	0xADFA : 'Unassigned [0xADFA]',
	0xADFB : 'Unassigned [0xADFB]',
	0xADFC : 'Unassigned [0xADFC]',
	0xADFD : 'Unassigned [0xADFD]',
	0xADFE : 'Unassigned [0xADFE]',
	0xADFF : 'Unassigned [0xADFF]',
	0xAE00 : 'Unassigned [0xAE00]',
	0xAE01 : 'Unassigned [0xAE01]',
	0xAE02 : 'Unassigned [0xAE02]',
	0xAE03 : 'Unassigned [0xAE03]',
	0xAE04 : 'Unassigned [0xAE04]',
	0xAE05 : 'Unassigned [0xAE05]',
	0xAE06 : 'Unassigned [0xAE06]',
	0xAE07 : 'Unassigned [0xAE07]',
	0xAE08 : 'Unassigned [0xAE08]',
	0xAE09 : 'Unassigned [0xAE09]',
	0xAE0A : 'Unassigned [0xAE0A]',
	0xAE0B : 'Unassigned [0xAE0B]',
	0xAE0C : 'Unassigned [0xAE0C]',
	0xAE0D : 'Unassigned [0xAE0D]',
	0xAE0E : 'Unassigned [0xAE0E]',
	0xAE0F : 'Unassigned [0xAE0F]',
	0xAE10 : 'Unassigned [0xAE10]',
	0xAE11 : 'Unassigned [0xAE11]',
	0xAE12 : 'Unassigned [0xAE12]',
	0xAE13 : 'Unassigned [0xAE13]',
	0xAE14 : 'Unassigned [0xAE14]',
	0xAE15 : 'Unassigned [0xAE15]',
	0xAE16 : 'Unassigned [0xAE16]',
	0xAE17 : 'Unassigned [0xAE17]',
	0xAE18 : 'Unassigned [0xAE18]',
	0xAE19 : 'Unassigned [0xAE19]',
	0xAE1A : 'Unassigned [0xAE1A]',
	0xAE1B : 'Unassigned [0xAE1B]',
	0xAE1C : 'Unassigned [0xAE1C]',
	0xAE1D : 'Unassigned [0xAE1D]',
	0xAE1E : 'Unassigned [0xAE1E]',
	0xAE1F : 'Unassigned [0xAE1F]',
	0xAE20 : 'Unassigned [0xAE20]',
	0xAE21 : 'Unassigned [0xAE21]',
	0xAE22 : 'Unassigned [0xAE22]',
	0xAE23 : 'Unassigned [0xAE23]',
	0xAE24 : 'Unassigned [0xAE24]',
	0xAE25 : 'Unassigned [0xAE25]',
	0xAE26 : 'Unassigned [0xAE26]',
	0xAE27 : 'Unassigned [0xAE27]',
	0xAE28 : 'Unassigned [0xAE28]',
	0xAE29 : 'Unassigned [0xAE29]',
	0xAE2A : 'Unassigned [0xAE2A]',
	0xAE2B : 'Unassigned [0xAE2B]',
	0xAE2C : 'Unassigned [0xAE2C]',
	0xAE2D : 'Unassigned [0xAE2D]',
	0xAE2E : 'Unassigned [0xAE2E]',
	0xAE2F : 'Unassigned [0xAE2F]',
	0xAE30 : 'Unassigned [0xAE30]',
	0xAE31 : 'Unassigned [0xAE31]',
	0xAE32 : 'Unassigned [0xAE32]',
	0xAE33 : 'Unassigned [0xAE33]',
	0xAE34 : 'Unassigned [0xAE34]',
	0xAE35 : 'Unassigned [0xAE35]',
	0xAE36 : 'Unassigned [0xAE36]',
	0xAE37 : 'Unassigned [0xAE37]',
	0xAE38 : 'Unassigned [0xAE38]',
	0xAE39 : 'Unassigned [0xAE39]',
	0xAE3A : 'Unassigned [0xAE3A]',
	0xAE3B : 'Unassigned [0xAE3B]',
	0xAE3C : 'Unassigned [0xAE3C]',
	0xAE3D : 'Unassigned [0xAE3D]',
	0xAE3E : 'Unassigned [0xAE3E]',
	0xAE3F : 'Unassigned [0xAE3F]',
	0xAE40 : 'Unassigned [0xAE40]',
	0xAE41 : 'Unassigned [0xAE41]',
	0xAE42 : 'Unassigned [0xAE42]',
	0xAE43 : 'Unassigned [0xAE43]',
	0xAE44 : 'Unassigned [0xAE44]',
	0xAE45 : 'Unassigned [0xAE45]',
	0xAE46 : 'Unassigned [0xAE46]',
	0xAE47 : 'Unassigned [0xAE47]',
	0xAE48 : 'Unassigned [0xAE48]',
	0xAE49 : 'Unassigned [0xAE49]',
	0xAE4A : 'Unassigned [0xAE4A]',
	0xAE4B : 'Unassigned [0xAE4B]',
	0xAE4C : 'Unassigned [0xAE4C]',
	0xAE4D : 'Unassigned [0xAE4D]',
	0xAE4E : 'Unassigned [0xAE4E]',
	0xAE4F : 'Unassigned [0xAE4F]',
	0xAE50 : 'Unassigned [0xAE50]',
	0xAE51 : 'Unassigned [0xAE51]',
	0xAE52 : 'Unassigned [0xAE52]',
	0xAE53 : 'Unassigned [0xAE53]',
	0xAE54 : 'Unassigned [0xAE54]',
	0xAE55 : 'Unassigned [0xAE55]',
	0xAE56 : 'Unassigned [0xAE56]',
	0xAE57 : 'Unassigned [0xAE57]',
	0xAE58 : 'Unassigned [0xAE58]',
	0xAE59 : 'Unassigned [0xAE59]',
	0xAE5A : 'Unassigned [0xAE5A]',
	0xAE5B : 'Unassigned [0xAE5B]',
	0xAE5C : 'Unassigned [0xAE5C]',
	0xAE5D : 'Unassigned [0xAE5D]',
	0xAE5E : 'Unassigned [0xAE5E]',
	0xAE5F : 'Unassigned [0xAE5F]',
	0xAE60 : 'Unassigned [0xAE60]',
	0xAE61 : 'Unassigned [0xAE61]',
	0xAE62 : 'Unassigned [0xAE62]',
	0xAE63 : 'Unassigned [0xAE63]',
	0xAE64 : 'Unassigned [0xAE64]',
	0xAE65 : 'Unassigned [0xAE65]',
	0xAE66 : 'Unassigned [0xAE66]',
	0xAE67 : 'Unassigned [0xAE67]',
	0xAE68 : 'Unassigned [0xAE68]',
	0xAE69 : 'Unassigned [0xAE69]',
	0xAE6A : 'Unassigned [0xAE6A]',
	0xAE6B : 'Unassigned [0xAE6B]',
	0xAE6C : 'Unassigned [0xAE6C]',
	0xAE6D : 'Unassigned [0xAE6D]',
	0xAE6E : 'Unassigned [0xAE6E]',
	0xAE6F : 'Unassigned [0xAE6F]',
	0xAE70 : 'Unassigned [0xAE70]',
	0xAE71 : 'Unassigned [0xAE71]',
	0xAE72 : 'Unassigned [0xAE72]',
	0xAE73 : 'Unassigned [0xAE73]',
	0xAE74 : 'Unassigned [0xAE74]',
	0xAE75 : 'Unassigned [0xAE75]',
	0xAE76 : 'Unassigned [0xAE76]',
	0xAE77 : 'Unassigned [0xAE77]',
	0xAE78 : 'Unassigned [0xAE78]',
	0xAE79 : 'Unassigned [0xAE79]',
	0xAE7A : 'Unassigned [0xAE7A]',
	0xAE7B : 'Unassigned [0xAE7B]',
	0xAE7C : 'Unassigned [0xAE7C]',
	0xAE7D : 'Unassigned [0xAE7D]',
	0xAE7E : 'Unassigned [0xAE7E]',
	0xAE7F : 'Unassigned [0xAE7F]',
	0xAE80 : 'Unassigned [0xAE80]',
	0xAE81 : 'Unassigned [0xAE81]',
	0xAE82 : 'Unassigned [0xAE82]',
	0xAE83 : 'Unassigned [0xAE83]',
	0xAE84 : 'Unassigned [0xAE84]',
	0xAE85 : 'Unassigned [0xAE85]',
	0xAE86 : 'Unassigned [0xAE86]',
	0xAE87 : 'Unassigned [0xAE87]',
	0xAE88 : 'Unassigned [0xAE88]',
	0xAE89 : 'Unassigned [0xAE89]',
	0xAE8A : 'Unassigned [0xAE8A]',
	0xAE8B : 'Unassigned [0xAE8B]',
	0xAE8C : 'Unassigned [0xAE8C]',
	0xAE8D : 'Unassigned [0xAE8D]',
	0xAE8E : 'Unassigned [0xAE8E]',
	0xAE8F : 'Unassigned [0xAE8F]',
	0xAE90 : 'Unassigned [0xAE90]',
	0xAE91 : 'Unassigned [0xAE91]',
	0xAE92 : 'Unassigned [0xAE92]',
	0xAE93 : 'Unassigned [0xAE93]',
	0xAE94 : 'Unassigned [0xAE94]',
	0xAE95 : 'Unassigned [0xAE95]',
	0xAE96 : 'Unassigned [0xAE96]',
	0xAE97 : 'Unassigned [0xAE97]',
	0xAE98 : 'Unassigned [0xAE98]',
	0xAE99 : 'Unassigned [0xAE99]',
	0xAE9A : 'Unassigned [0xAE9A]',
	0xAE9B : 'Unassigned [0xAE9B]',
	0xAE9C : 'Unassigned [0xAE9C]',
	0xAE9D : 'Unassigned [0xAE9D]',
	0xAE9E : 'Unassigned [0xAE9E]',
	0xAE9F : 'Unassigned [0xAE9F]',
	0xAEA0 : 'Unassigned [0xAEA0]',
	0xAEA1 : 'Unassigned [0xAEA1]',
	0xAEA2 : 'Unassigned [0xAEA2]',
	0xAEA3 : 'Unassigned [0xAEA3]',
	0xAEA4 : 'Unassigned [0xAEA4]',
	0xAEA5 : 'Unassigned [0xAEA5]',
	0xAEA6 : 'Unassigned [0xAEA6]',
	0xAEA7 : 'Unassigned [0xAEA7]',
	0xAEA8 : 'Unassigned [0xAEA8]',
	0xAEA9 : 'Unassigned [0xAEA9]',
	0xAEAA : 'Unassigned [0xAEAA]',
	0xAEAB : 'Unassigned [0xAEAB]',
	0xAEAC : 'Unassigned [0xAEAC]',
	0xAEAD : 'Unassigned [0xAEAD]',
	0xAEAE : 'Unassigned [0xAEAE]',
	0xAEAF : 'Unassigned [0xAEAF]',
	0xAEB0 : 'Unassigned [0xAEB0]',
	0xAEB1 : 'Unassigned [0xAEB1]',
	0xAEB2 : 'Unassigned [0xAEB2]',
	0xAEB3 : 'Unassigned [0xAEB3]',
	0xAEB4 : 'Unassigned [0xAEB4]',
	0xAEB5 : 'Unassigned [0xAEB5]',
	0xAEB6 : 'Unassigned [0xAEB6]',
	0xAEB7 : 'Unassigned [0xAEB7]',
	0xAEB8 : 'Unassigned [0xAEB8]',
	0xAEB9 : 'Unassigned [0xAEB9]',
	0xAEBA : 'Unassigned [0xAEBA]',
	0xAEBB : 'Unassigned [0xAEBB]',
	0xAEBC : 'Unassigned [0xAEBC]',
	0xAEBD : 'Unassigned [0xAEBD]',
	0xAEBE : 'Unassigned [0xAEBE]',
	0xAEBF : 'Unassigned [0xAEBF]',
	0xAEC0 : 'Unassigned [0xAEC0]',
	0xAEC1 : 'Unassigned [0xAEC1]',
	0xAEC2 : 'Unassigned [0xAEC2]',
	0xAEC3 : 'Unassigned [0xAEC3]',
	0xAEC4 : 'Unassigned [0xAEC4]',
	0xAEC5 : 'Unassigned [0xAEC5]',
	0xAEC6 : 'Unassigned [0xAEC6]',
	0xAEC7 : 'Unassigned [0xAEC7]',
	0xAEC8 : 'Unassigned [0xAEC8]',
	0xAEC9 : 'Unassigned [0xAEC9]',
	0xAECA : 'Unassigned [0xAECA]',
	0xAECB : 'Unassigned [0xAECB]',
	0xAECC : 'Unassigned [0xAECC]',
	0xAECD : 'Unassigned [0xAECD]',
	0xAECE : 'Unassigned [0xAECE]',
	0xAECF : 'Unassigned [0xAECF]',
	0xAED0 : 'Unassigned [0xAED0]',
	0xAED1 : 'Unassigned [0xAED1]',
	0xAED2 : 'Unassigned [0xAED2]',
	0xAED3 : 'Unassigned [0xAED3]',
	0xAED4 : 'Unassigned [0xAED4]',
	0xAED5 : 'Unassigned [0xAED5]',
	0xAED6 : 'Unassigned [0xAED6]',
	0xAED7 : 'Unassigned [0xAED7]',
	0xAED8 : 'Unassigned [0xAED8]',
	0xAED9 : 'Unassigned [0xAED9]',
	0xAEDA : 'Unassigned [0xAEDA]',
	0xAEDB : 'Unassigned [0xAEDB]',
	0xAEDC : 'Unassigned [0xAEDC]',
	0xAEDD : 'Unassigned [0xAEDD]',
	0xAEDE : 'Unassigned [0xAEDE]',
	0xAEDF : 'Unassigned [0xAEDF]',
	0xAEE0 : 'Unassigned [0xAEE0]',
	0xAEE1 : 'Unassigned [0xAEE1]',
	0xAEE2 : 'Unassigned [0xAEE2]',
	0xAEE3 : 'Unassigned [0xAEE3]',
	0xAEE4 : 'Unassigned [0xAEE4]',
	0xAEE5 : 'Unassigned [0xAEE5]',
	0xAEE6 : 'Unassigned [0xAEE6]',
	0xAEE7 : 'Unassigned [0xAEE7]',
	0xAEE8 : 'Unassigned [0xAEE8]',
	0xAEE9 : 'Unassigned [0xAEE9]',
	0xAEEA : 'Unassigned [0xAEEA]',
	0xAEEB : 'Unassigned [0xAEEB]',
	0xAEEC : 'Unassigned [0xAEEC]',
	0xAEED : 'Unassigned [0xAEED]',
	0xAEEE : 'Unassigned [0xAEEE]',
	0xAEEF : 'Unassigned [0xAEEF]',
	0xAEF0 : 'Unassigned [0xAEF0]',
	0xAEF1 : 'Unassigned [0xAEF1]',
	0xAEF2 : 'Unassigned [0xAEF2]',
	0xAEF3 : 'Unassigned [0xAEF3]',
	0xAEF4 : 'Unassigned [0xAEF4]',
	0xAEF5 : 'Unassigned [0xAEF5]',
	0xAEF6 : 'Unassigned [0xAEF6]',
	0xAEF7 : 'Unassigned [0xAEF7]',
	0xAEF8 : 'Unassigned [0xAEF8]',
	0xAEF9 : 'Unassigned [0xAEF9]',
	0xAEFA : 'Unassigned [0xAEFA]',
	0xAEFB : 'Unassigned [0xAEFB]',
	0xAEFC : 'Unassigned [0xAEFC]',
	0xAEFD : 'Unassigned [0xAEFD]',
	0xAEFE : 'Unassigned [0xAEFE]',
	0xAEFF : 'Unassigned [0xAEFF]',
	0xAF00 : 'Unassigned [0xAF00]',
	0xAF01 : 'Unassigned [0xAF01]',
	0xAF02 : 'Unassigned [0xAF02]',
	0xAF03 : 'Unassigned [0xAF03]',
	0xAF04 : 'Unassigned [0xAF04]',
	0xAF05 : 'Unassigned [0xAF05]',
	0xAF06 : 'Unassigned [0xAF06]',
	0xAF07 : 'Unassigned [0xAF07]',
	0xAF08 : 'Unassigned [0xAF08]',
	0xAF09 : 'Unassigned [0xAF09]',
	0xAF0A : 'Unassigned [0xAF0A]',
	0xAF0B : 'Unassigned [0xAF0B]',
	0xAF0C : 'Unassigned [0xAF0C]',
	0xAF0D : 'Unassigned [0xAF0D]',
	0xAF0E : 'Unassigned [0xAF0E]',
	0xAF0F : 'Unassigned [0xAF0F]',
	0xAF10 : 'Unassigned [0xAF10]',
	0xAF11 : 'Unassigned [0xAF11]',
	0xAF12 : 'Unassigned [0xAF12]',
	0xAF13 : 'Unassigned [0xAF13]',
	0xAF14 : 'Unassigned [0xAF14]',
	0xAF15 : 'Unassigned [0xAF15]',
	0xAF16 : 'Unassigned [0xAF16]',
	0xAF17 : 'Unassigned [0xAF17]',
	0xAF18 : 'Unassigned [0xAF18]',
	0xAF19 : 'Unassigned [0xAF19]',
	0xAF1A : 'Unassigned [0xAF1A]',
	0xAF1B : 'Unassigned [0xAF1B]',
	0xAF1C : 'Unassigned [0xAF1C]',
	0xAF1D : 'Unassigned [0xAF1D]',
	0xAF1E : 'Unassigned [0xAF1E]',
	0xAF1F : 'Unassigned [0xAF1F]',
	0xAF20 : 'Unassigned [0xAF20]',
	0xAF21 : 'Unassigned [0xAF21]',
	0xAF22 : 'Unassigned [0xAF22]',
	0xAF23 : 'Unassigned [0xAF23]',
	0xAF24 : 'Unassigned [0xAF24]',
	0xAF25 : 'Unassigned [0xAF25]',
	0xAF26 : 'Unassigned [0xAF26]',
	0xAF27 : 'Unassigned [0xAF27]',
	0xAF28 : 'Unassigned [0xAF28]',
	0xAF29 : 'Unassigned [0xAF29]',
	0xAF2A : 'Unassigned [0xAF2A]',
	0xAF2B : 'Unassigned [0xAF2B]',
	0xAF2C : 'Unassigned [0xAF2C]',
	0xAF2D : 'Unassigned [0xAF2D]',
	0xAF2E : 'Unassigned [0xAF2E]',
	0xAF2F : 'Unassigned [0xAF2F]',
	0xAF30 : 'Unassigned [0xAF30]',
	0xAF31 : 'Unassigned [0xAF31]',
	0xAF32 : 'Unassigned [0xAF32]',
	0xAF33 : 'Unassigned [0xAF33]',
	0xAF34 : 'Unassigned [0xAF34]',
	0xAF35 : 'Unassigned [0xAF35]',
	0xAF36 : 'Unassigned [0xAF36]',
	0xAF37 : 'Unassigned [0xAF37]',
	0xAF38 : 'Unassigned [0xAF38]',
	0xAF39 : 'Unassigned [0xAF39]',
	0xAF3A : 'Unassigned [0xAF3A]',
	0xAF3B : 'Unassigned [0xAF3B]',
	0xAF3C : 'Unassigned [0xAF3C]',
	0xAF3D : 'Unassigned [0xAF3D]',
	0xAF3E : 'Unassigned [0xAF3E]',
	0xAF3F : 'Unassigned [0xAF3F]',
	0xAF40 : 'Unassigned [0xAF40]',
	0xAF41 : 'Unassigned [0xAF41]',
	0xAF42 : 'Unassigned [0xAF42]',
	0xAF43 : 'Unassigned [0xAF43]',
	0xAF44 : 'Unassigned [0xAF44]',
	0xAF45 : 'Unassigned [0xAF45]',
	0xAF46 : 'Unassigned [0xAF46]',
	0xAF47 : 'Unassigned [0xAF47]',
	0xAF48 : 'Unassigned [0xAF48]',
	0xAF49 : 'Unassigned [0xAF49]',
	0xAF4A : 'Unassigned [0xAF4A]',
	0xAF4B : 'Unassigned [0xAF4B]',
	0xAF4C : 'Unassigned [0xAF4C]',
	0xAF4D : 'Unassigned [0xAF4D]',
	0xAF4E : 'Unassigned [0xAF4E]',
	0xAF4F : 'Unassigned [0xAF4F]',
	0xAF50 : 'Unassigned [0xAF50]',
	0xAF51 : 'Unassigned [0xAF51]',
	0xAF52 : 'Unassigned [0xAF52]',
	0xAF53 : 'Unassigned [0xAF53]',
	0xAF54 : 'Unassigned [0xAF54]',
	0xAF55 : 'Unassigned [0xAF55]',
	0xAF56 : 'Unassigned [0xAF56]',
	0xAF57 : 'Unassigned [0xAF57]',
	0xAF58 : 'Unassigned [0xAF58]',
	0xAF59 : 'Unassigned [0xAF59]',
	0xAF5A : 'Unassigned [0xAF5A]',
	0xAF5B : 'Unassigned [0xAF5B]',
	0xAF5C : 'Unassigned [0xAF5C]',
	0xAF5D : 'Unassigned [0xAF5D]',
	0xAF5E : 'Unassigned [0xAF5E]',
	0xAF5F : 'Unassigned [0xAF5F]',
	0xAF60 : 'Unassigned [0xAF60]',
	0xAF61 : 'Unassigned [0xAF61]',
	0xAF62 : 'Unassigned [0xAF62]',
	0xAF63 : 'Unassigned [0xAF63]',
	0xAF64 : 'Unassigned [0xAF64]',
	0xAF65 : 'Unassigned [0xAF65]',
	0xAF66 : 'Unassigned [0xAF66]',
	0xAF67 : 'Unassigned [0xAF67]',
	0xAF68 : 'Unassigned [0xAF68]',
	0xAF69 : 'Unassigned [0xAF69]',
	0xAF6A : 'Unassigned [0xAF6A]',
	0xAF6B : 'Unassigned [0xAF6B]',
	0xAF6C : 'Unassigned [0xAF6C]',
	0xAF6D : 'Unassigned [0xAF6D]',
	0xAF6E : 'Unassigned [0xAF6E]',
	0xAF6F : 'Unassigned [0xAF6F]',
	0xAF70 : 'Unassigned [0xAF70]',
	0xAF71 : 'Unassigned [0xAF71]',
	0xAF72 : 'Unassigned [0xAF72]',
	0xAF73 : 'Unassigned [0xAF73]',
	0xAF74 : 'Unassigned [0xAF74]',
	0xAF75 : 'Unassigned [0xAF75]',
	0xAF76 : 'Unassigned [0xAF76]',
	0xAF77 : 'Unassigned [0xAF77]',
	0xAF78 : 'Unassigned [0xAF78]',
	0xAF79 : 'Unassigned [0xAF79]',
	0xAF7A : 'Unassigned [0xAF7A]',
	0xAF7B : 'Unassigned [0xAF7B]',
	0xAF7C : 'Unassigned [0xAF7C]',
	0xAF7D : 'Unassigned [0xAF7D]',
	0xAF7E : 'Unassigned [0xAF7E]',
	0xAF7F : 'Unassigned [0xAF7F]',
	0xAF80 : 'Unassigned [0xAF80]',
	0xAF81 : 'Unassigned [0xAF81]',
	0xAF82 : 'Unassigned [0xAF82]',
	0xAF83 : 'Unassigned [0xAF83]',
	0xAF84 : 'Unassigned [0xAF84]',
	0xAF85 : 'Unassigned [0xAF85]',
	0xAF86 : 'Unassigned [0xAF86]',
	0xAF87 : 'Unassigned [0xAF87]',
	0xAF88 : 'Unassigned [0xAF88]',
	0xAF89 : 'Unassigned [0xAF89]',
	0xAF8A : 'Unassigned [0xAF8A]',
	0xAF8B : 'Unassigned [0xAF8B]',
	0xAF8C : 'Unassigned [0xAF8C]',
	0xAF8D : 'Unassigned [0xAF8D]',
	0xAF8E : 'Unassigned [0xAF8E]',
	0xAF8F : 'Unassigned [0xAF8F]',
	0xAF90 : 'Unassigned [0xAF90]',
	0xAF91 : 'Unassigned [0xAF91]',
	0xAF92 : 'Unassigned [0xAF92]',
	0xAF93 : 'Unassigned [0xAF93]',
	0xAF94 : 'Unassigned [0xAF94]',
	0xAF95 : 'Unassigned [0xAF95]',
	0xAF96 : 'Unassigned [0xAF96]',
	0xAF97 : 'Unassigned [0xAF97]',
	0xAF98 : 'Unassigned [0xAF98]',
	0xAF99 : 'Unassigned [0xAF99]',
	0xAF9A : 'Unassigned [0xAF9A]',
	0xAF9B : 'Unassigned [0xAF9B]',
	0xAF9C : 'Unassigned [0xAF9C]',
	0xAF9D : 'Unassigned [0xAF9D]',
	0xAF9E : 'Unassigned [0xAF9E]',
	0xAF9F : 'Unassigned [0xAF9F]',
	0xAFA0 : 'Unassigned [0xAFA0]',
	0xAFA1 : 'Unassigned [0xAFA1]',
	0xAFA2 : 'Unassigned [0xAFA2]',
	0xAFA3 : 'Unassigned [0xAFA3]',
	0xAFA4 : 'Unassigned [0xAFA4]',
	0xAFA5 : 'Unassigned [0xAFA5]',
	0xAFA6 : 'Unassigned [0xAFA6]',
	0xAFA7 : 'Unassigned [0xAFA7]',
	0xAFA8 : 'Unassigned [0xAFA8]',
	0xAFA9 : 'Unassigned [0xAFA9]',
	0xAFAA : 'Unassigned [0xAFAA]',
	0xAFAB : 'Unassigned [0xAFAB]',
	0xAFAC : 'Unassigned [0xAFAC]',
	0xAFAD : 'Unassigned [0xAFAD]',
	0xAFAE : 'Unassigned [0xAFAE]',
	0xAFAF : 'Unassigned [0xAFAF]',
	0xAFB0 : 'Unassigned [0xAFB0]',
	0xAFB1 : 'Unassigned [0xAFB1]',
	0xAFB2 : 'Unassigned [0xAFB2]',
	0xAFB3 : 'Unassigned [0xAFB3]',
	0xAFB4 : 'Unassigned [0xAFB4]',
	0xAFB5 : 'Unassigned [0xAFB5]',
	0xAFB6 : 'Unassigned [0xAFB6]',
	0xAFB7 : 'Unassigned [0xAFB7]',
	0xAFB8 : 'Unassigned [0xAFB8]',
	0xAFB9 : 'Unassigned [0xAFB9]',
	0xAFBA : 'Unassigned [0xAFBA]',
	0xAFBB : 'Unassigned [0xAFBB]',
	0xAFBC : 'Unassigned [0xAFBC]',
	0xAFBD : 'Unassigned [0xAFBD]',
	0xAFBE : 'Unassigned [0xAFBE]',
	0xAFBF : 'Unassigned [0xAFBF]',
	0xAFC0 : 'Unassigned [0xAFC0]',
	0xAFC1 : 'Unassigned [0xAFC1]',
	0xAFC2 : 'Unassigned [0xAFC2]',
	0xAFC3 : 'Unassigned [0xAFC3]',
	0xAFC4 : 'Unassigned [0xAFC4]',
	0xAFC5 : 'Unassigned [0xAFC5]',
	0xAFC6 : 'Unassigned [0xAFC6]',
	0xAFC7 : 'Unassigned [0xAFC7]',
	0xAFC8 : 'Unassigned [0xAFC8]',
	0xAFC9 : 'Unassigned [0xAFC9]',
	0xAFCA : 'Unassigned [0xAFCA]',
	0xAFCB : 'Unassigned [0xAFCB]',
	0xAFCC : 'Unassigned [0xAFCC]',
	0xAFCD : 'Unassigned [0xAFCD]',
	0xAFCE : 'Unassigned [0xAFCE]',
	0xAFCF : 'Unassigned [0xAFCF]',
	0xAFD0 : 'Unassigned [0xAFD0]',
	0xAFD1 : 'Unassigned [0xAFD1]',
	0xAFD2 : 'Unassigned [0xAFD2]',
	0xAFD3 : 'Unassigned [0xAFD3]',
	0xAFD4 : 'Unassigned [0xAFD4]',
	0xAFD5 : 'Unassigned [0xAFD5]',
	0xAFD6 : 'Unassigned [0xAFD6]',
	0xAFD7 : 'Unassigned [0xAFD7]',
	0xAFD8 : 'Unassigned [0xAFD8]',
	0xAFD9 : 'Unassigned [0xAFD9]',
	0xAFDA : 'Unassigned [0xAFDA]',
	0xAFDB : 'Unassigned [0xAFDB]',
	0xAFDC : 'Unassigned [0xAFDC]',
	0xAFDD : 'Unassigned [0xAFDD]',
	0xAFDE : 'Unassigned [0xAFDE]',
	0xAFDF : 'Unassigned [0xAFDF]',
	0xAFE0 : 'Unassigned [0xAFE0]',
	0xAFE1 : 'Unassigned [0xAFE1]',
	0xAFE2 : 'Unassigned [0xAFE2]',
	0xAFE3 : 'Unassigned [0xAFE3]',
	0xAFE4 : 'Unassigned [0xAFE4]',
	0xAFE5 : 'Unassigned [0xAFE5]',
	0xAFE6 : 'Unassigned [0xAFE6]',
	0xAFE7 : 'Unassigned [0xAFE7]',
	0xAFE8 : 'Unassigned [0xAFE8]',
	0xAFE9 : 'Unassigned [0xAFE9]',
	0xAFEA : 'Unassigned [0xAFEA]',
	0xAFEB : 'Unassigned [0xAFEB]',
	0xAFEC : 'Unassigned [0xAFEC]',
	0xAFED : 'Unassigned [0xAFED]',
	0xAFEE : 'Unassigned [0xAFEE]',
	0xAFEF : 'Unassigned [0xAFEF]',
	0xAFF0 : 'Unassigned [0xAFF0]',
	0xAFF1 : 'Unassigned [0xAFF1]',
	0xAFF2 : 'Unassigned [0xAFF2]',
	0xAFF3 : 'Unassigned [0xAFF3]',
	0xAFF4 : 'Unassigned [0xAFF4]',
	0xAFF5 : 'Unassigned [0xAFF5]',
	0xAFF6 : 'Unassigned [0xAFF6]',
	0xAFF7 : 'Unassigned [0xAFF7]',
	0xAFF8 : 'Unassigned [0xAFF8]',
	0xAFF9 : 'Unassigned [0xAFF9]',
	0xAFFA : 'Unassigned [0xAFFA]',
	0xAFFB : 'Unassigned [0xAFFB]',
	0xAFFC : 'Unassigned [0xAFFC]',
	0xAFFD : 'Unassigned [0xAFFD]',
	0xAFFE : 'Unassigned [0xAFFE]',
	0xAFFF : 'Unassigned [0xAFFF]',
	0xB000 : 'Unassigned [0xB000]',
	0xB001 : 'Unassigned [0xB001]',
	0xB002 : 'Unassigned [0xB002]',
	0xB003 : 'Unassigned [0xB003]',
	0xB004 : 'Unassigned [0xB004]',
	0xB005 : 'Unassigned [0xB005]',
	0xB006 : 'Unassigned [0xB006]',
	0xB007 : 'Unassigned [0xB007]',
	0xB008 : 'Unassigned [0xB008]',
	0xB009 : 'Unassigned [0xB009]',
	0xB00A : 'Unassigned [0xB00A]',
	0xB00B : 'Unassigned [0xB00B]',
	0xB00C : 'Unassigned [0xB00C]',
	0xB00D : 'Unassigned [0xB00D]',
	0xB00E : 'Unassigned [0xB00E]',
	0xB00F : 'Unassigned [0xB00F]',
	0xB010 : 'Unassigned [0xB010]',
	0xB011 : 'Unassigned [0xB011]',
	0xB012 : 'Unassigned [0xB012]',
	0xB013 : 'Unassigned [0xB013]',
	0xB014 : 'Unassigned [0xB014]',
	0xB015 : 'Unassigned [0xB015]',
	0xB016 : 'Unassigned [0xB016]',
	0xB017 : 'Unassigned [0xB017]',
	0xB018 : 'Unassigned [0xB018]',
	0xB019 : 'Unassigned [0xB019]',
	0xB01A : 'Unassigned [0xB01A]',
	0xB01B : 'Unassigned [0xB01B]',
	0xB01C : 'Unassigned [0xB01C]',
	0xB01D : 'Unassigned [0xB01D]',
	0xB01E : 'Unassigned [0xB01E]',
	0xB01F : 'Unassigned [0xB01F]',
	0xB020 : 'Unassigned [0xB020]',
	0xB021 : 'Unassigned [0xB021]',
	0xB022 : 'Unassigned [0xB022]',
	0xB023 : 'Unassigned [0xB023]',
	0xB024 : 'Unassigned [0xB024]',
	0xB025 : 'Unassigned [0xB025]',
	0xB026 : 'Unassigned [0xB026]',
	0xB027 : 'Unassigned [0xB027]',
	0xB028 : 'Unassigned [0xB028]',
	0xB029 : 'Unassigned [0xB029]',
	0xB02A : 'Unassigned [0xB02A]',
	0xB02B : 'Unassigned [0xB02B]',
	0xB02C : 'Unassigned [0xB02C]',
	0xB02D : 'Unassigned [0xB02D]',
	0xB02E : 'Unassigned [0xB02E]',
	0xB02F : 'Unassigned [0xB02F]',
	0xB030 : 'Unassigned [0xB030]',
	0xB031 : 'Unassigned [0xB031]',
	0xB032 : 'Unassigned [0xB032]',
	0xB033 : 'Unassigned [0xB033]',
	0xB034 : 'Unassigned [0xB034]',
	0xB035 : 'Unassigned [0xB035]',
	0xB036 : 'Unassigned [0xB036]',
	0xB037 : 'Unassigned [0xB037]',
	0xB038 : 'Unassigned [0xB038]',
	0xB039 : 'Unassigned [0xB039]',
	0xB03A : 'Unassigned [0xB03A]',
	0xB03B : 'Unassigned [0xB03B]',
	0xB03C : 'Unassigned [0xB03C]',
	0xB03D : 'Unassigned [0xB03D]',
	0xB03E : 'Unassigned [0xB03E]',
	0xB03F : 'Unassigned [0xB03F]',
	0xB040 : 'Unassigned [0xB040]',
	0xB041 : 'Unassigned [0xB041]',
	0xB042 : 'Unassigned [0xB042]',
	0xB043 : 'Unassigned [0xB043]',
	0xB044 : 'Unassigned [0xB044]',
	0xB045 : 'Unassigned [0xB045]',
	0xB046 : 'Unassigned [0xB046]',
	0xB047 : 'Unassigned [0xB047]',
	0xB048 : 'Unassigned [0xB048]',
	0xB049 : 'Unassigned [0xB049]',
	0xB04A : 'Unassigned [0xB04A]',
	0xB04B : 'Unassigned [0xB04B]',
	0xB04C : 'Unassigned [0xB04C]',
	0xB04D : 'Unassigned [0xB04D]',
	0xB04E : 'Unassigned [0xB04E]',
	0xB04F : 'Unassigned [0xB04F]',
	0xB050 : 'Unassigned [0xB050]',
	0xB051 : 'Unassigned [0xB051]',
	0xB052 : 'Unassigned [0xB052]',
	0xB053 : 'Unassigned [0xB053]',
	0xB054 : 'Unassigned [0xB054]',
	0xB055 : 'Unassigned [0xB055]',
	0xB056 : 'Unassigned [0xB056]',
	0xB057 : 'Unassigned [0xB057]',
	0xB058 : 'Unassigned [0xB058]',
	0xB059 : 'Unassigned [0xB059]',
	0xB05A : 'Unassigned [0xB05A]',
	0xB05B : 'Unassigned [0xB05B]',
	0xB05C : 'Unassigned [0xB05C]',
	0xB05D : 'Unassigned [0xB05D]',
	0xB05E : 'Unassigned [0xB05E]',
	0xB05F : 'Unassigned [0xB05F]',
	0xB060 : 'Unassigned [0xB060]',
	0xB061 : 'Unassigned [0xB061]',
	0xB062 : 'Unassigned [0xB062]',
	0xB063 : 'Unassigned [0xB063]',
	0xB064 : 'Unassigned [0xB064]',
	0xB065 : 'Unassigned [0xB065]',
	0xB066 : 'Unassigned [0xB066]',
	0xB067 : 'Unassigned [0xB067]',
	0xB068 : 'Unassigned [0xB068]',
	0xB069 : 'Unassigned [0xB069]',
	0xB06A : 'Unassigned [0xB06A]',
	0xB06B : 'Unassigned [0xB06B]',
	0xB06C : 'Unassigned [0xB06C]',
	0xB06D : 'Unassigned [0xB06D]',
	0xB06E : 'Unassigned [0xB06E]',
	0xB06F : 'Unassigned [0xB06F]',
	0xB070 : 'Unassigned [0xB070]',
	0xB071 : 'Unassigned [0xB071]',
	0xB072 : 'Unassigned [0xB072]',
	0xB073 : 'Unassigned [0xB073]',
	0xB074 : 'Unassigned [0xB074]',
	0xB075 : 'Unassigned [0xB075]',
	0xB076 : 'Unassigned [0xB076]',
	0xB077 : 'Unassigned [0xB077]',
	0xB078 : 'Unassigned [0xB078]',
	0xB079 : 'Unassigned [0xB079]',
	0xB07A : 'Unassigned [0xB07A]',
	0xB07B : 'Unassigned [0xB07B]',
	0xB07C : 'Unassigned [0xB07C]',
	0xB07D : 'Unassigned [0xB07D]',
	0xB07E : 'Unassigned [0xB07E]',
	0xB07F : 'Unassigned [0xB07F]',
	0xB080 : 'Unassigned [0xB080]',
	0xB081 : 'Unassigned [0xB081]',
	0xB082 : 'Unassigned [0xB082]',
	0xB083 : 'Unassigned [0xB083]',
	0xB084 : 'Unassigned [0xB084]',
	0xB085 : 'Unassigned [0xB085]',
	0xB086 : 'Unassigned [0xB086]',
	0xB087 : 'Unassigned [0xB087]',
	0xB088 : 'Unassigned [0xB088]',
	0xB089 : 'Unassigned [0xB089]',
	0xB08A : 'Unassigned [0xB08A]',
	0xB08B : 'Unassigned [0xB08B]',
	0xB08C : 'Unassigned [0xB08C]',
	0xB08D : 'Unassigned [0xB08D]',
	0xB08E : 'Unassigned [0xB08E]',
	0xB08F : 'Unassigned [0xB08F]',
	0xB090 : 'Unassigned [0xB090]',
	0xB091 : 'Unassigned [0xB091]',
	0xB092 : 'Unassigned [0xB092]',
	0xB093 : 'Unassigned [0xB093]',
	0xB094 : 'Unassigned [0xB094]',
	0xB095 : 'Unassigned [0xB095]',
	0xB096 : 'Unassigned [0xB096]',
	0xB097 : 'Unassigned [0xB097]',
	0xB098 : 'Unassigned [0xB098]',
	0xB099 : 'Unassigned [0xB099]',
	0xB09A : 'Unassigned [0xB09A]',
	0xB09B : 'Unassigned [0xB09B]',
	0xB09C : 'Unassigned [0xB09C]',
	0xB09D : 'Unassigned [0xB09D]',
	0xB09E : 'Unassigned [0xB09E]',
	0xB09F : 'Unassigned [0xB09F]',
	0xB0A0 : 'Unassigned [0xB0A0]',
	0xB0A1 : 'Unassigned [0xB0A1]',
	0xB0A2 : 'Unassigned [0xB0A2]',
	0xB0A3 : 'Unassigned [0xB0A3]',
	0xB0A4 : 'Unassigned [0xB0A4]',
	0xB0A5 : 'Unassigned [0xB0A5]',
	0xB0A6 : 'Unassigned [0xB0A6]',
	0xB0A7 : 'Unassigned [0xB0A7]',
	0xB0A8 : 'Unassigned [0xB0A8]',
	0xB0A9 : 'Unassigned [0xB0A9]',
	0xB0AA : 'Unassigned [0xB0AA]',
	0xB0AB : 'Unassigned [0xB0AB]',
	0xB0AC : 'Unassigned [0xB0AC]',
	0xB0AD : 'Unassigned [0xB0AD]',
	0xB0AE : 'Unassigned [0xB0AE]',
	0xB0AF : 'Unassigned [0xB0AF]',
	0xB0B0 : 'Unassigned [0xB0B0]',
	0xB0B1 : 'Unassigned [0xB0B1]',
	0xB0B2 : 'Unassigned [0xB0B2]',
	0xB0B3 : 'Unassigned [0xB0B3]',
	0xB0B4 : 'Unassigned [0xB0B4]',
	0xB0B5 : 'Unassigned [0xB0B5]',
	0xB0B6 : 'Unassigned [0xB0B6]',
	0xB0B7 : 'Unassigned [0xB0B7]',
	0xB0B8 : 'Unassigned [0xB0B8]',
	0xB0B9 : 'Unassigned [0xB0B9]',
	0xB0BA : 'Unassigned [0xB0BA]',
	0xB0BB : 'Unassigned [0xB0BB]',
	0xB0BC : 'Unassigned [0xB0BC]',
	0xB0BD : 'Unassigned [0xB0BD]',
	0xB0BE : 'Unassigned [0xB0BE]',
	0xB0BF : 'Unassigned [0xB0BF]',
	0xB0C0 : 'Unassigned [0xB0C0]',
	0xB0C1 : 'Unassigned [0xB0C1]',
	0xB0C2 : 'Unassigned [0xB0C2]',
	0xB0C3 : 'Unassigned [0xB0C3]',
	0xB0C4 : 'Unassigned [0xB0C4]',
	0xB0C5 : 'Unassigned [0xB0C5]',
	0xB0C6 : 'Unassigned [0xB0C6]',
	0xB0C7 : 'Unassigned [0xB0C7]',
	0xB0C8 : 'Unassigned [0xB0C8]',
	0xB0C9 : 'Unassigned [0xB0C9]',
	0xB0CA : 'Unassigned [0xB0CA]',
	0xB0CB : 'Unassigned [0xB0CB]',
	0xB0CC : 'Unassigned [0xB0CC]',
	0xB0CD : 'Unassigned [0xB0CD]',
	0xB0CE : 'Unassigned [0xB0CE]',
	0xB0CF : 'Unassigned [0xB0CF]',
	0xB0D0 : 'Unassigned [0xB0D0]',
	0xB0D1 : 'Unassigned [0xB0D1]',
	0xB0D2 : 'Unassigned [0xB0D2]',
	0xB0D3 : 'Unassigned [0xB0D3]',
	0xB0D4 : 'Unassigned [0xB0D4]',
	0xB0D5 : 'Unassigned [0xB0D5]',
	0xB0D6 : 'Unassigned [0xB0D6]',
	0xB0D7 : 'Unassigned [0xB0D7]',
	0xB0D8 : 'Unassigned [0xB0D8]',
	0xB0D9 : 'Unassigned [0xB0D9]',
	0xB0DA : 'Unassigned [0xB0DA]',
	0xB0DB : 'Unassigned [0xB0DB]',
	0xB0DC : 'Unassigned [0xB0DC]',
	0xB0DD : 'Unassigned [0xB0DD]',
	0xB0DE : 'Unassigned [0xB0DE]',
	0xB0DF : 'Unassigned [0xB0DF]',
	0xB0E0 : 'Unassigned [0xB0E0]',
	0xB0E1 : 'Unassigned [0xB0E1]',
	0xB0E2 : 'Unassigned [0xB0E2]',
	0xB0E3 : 'Unassigned [0xB0E3]',
	0xB0E4 : 'Unassigned [0xB0E4]',
	0xB0E5 : 'Unassigned [0xB0E5]',
	0xB0E6 : 'Unassigned [0xB0E6]',
	0xB0E7 : 'Unassigned [0xB0E7]',
	0xB0E8 : 'Unassigned [0xB0E8]',
	0xB0E9 : 'Unassigned [0xB0E9]',
	0xB0EA : 'Unassigned [0xB0EA]',
	0xB0EB : 'Unassigned [0xB0EB]',
	0xB0EC : 'Unassigned [0xB0EC]',
	0xB0ED : 'Unassigned [0xB0ED]',
	0xB0EE : 'Unassigned [0xB0EE]',
	0xB0EF : 'Unassigned [0xB0EF]',
	0xB0F0 : 'Unassigned [0xB0F0]',
	0xB0F1 : 'Unassigned [0xB0F1]',
	0xB0F2 : 'Unassigned [0xB0F2]',
	0xB0F3 : 'Unassigned [0xB0F3]',
	0xB0F4 : 'Unassigned [0xB0F4]',
	0xB0F5 : 'Unassigned [0xB0F5]',
	0xB0F6 : 'Unassigned [0xB0F6]',
	0xB0F7 : 'Unassigned [0xB0F7]',
	0xB0F8 : 'Unassigned [0xB0F8]',
	0xB0F9 : 'Unassigned [0xB0F9]',
	0xB0FA : 'Unassigned [0xB0FA]',
	0xB0FB : 'Unassigned [0xB0FB]',
	0xB0FC : 'Unassigned [0xB0FC]',
	0xB0FD : 'Unassigned [0xB0FD]',
	0xB0FE : 'Unassigned [0xB0FE]',
	0xB0FF : 'Unassigned [0xB0FF]',
	0xB100 : 'Unassigned [0xB100]',
	0xB101 : 'Unassigned [0xB101]',
	0xB102 : 'Unassigned [0xB102]',
	0xB103 : 'Unassigned [0xB103]',
	0xB104 : 'Unassigned [0xB104]',
	0xB105 : 'Unassigned [0xB105]',
	0xB106 : 'Unassigned [0xB106]',
	0xB107 : 'Unassigned [0xB107]',
	0xB108 : 'Unassigned [0xB108]',
	0xB109 : 'Unassigned [0xB109]',
	0xB10A : 'Unassigned [0xB10A]',
	0xB10B : 'Unassigned [0xB10B]',
	0xB10C : 'Unassigned [0xB10C]',
	0xB10D : 'Unassigned [0xB10D]',
	0xB10E : 'Unassigned [0xB10E]',
	0xB10F : 'Unassigned [0xB10F]',
	0xB110 : 'Unassigned [0xB110]',
	0xB111 : 'Unassigned [0xB111]',
	0xB112 : 'Unassigned [0xB112]',
	0xB113 : 'Unassigned [0xB113]',
	0xB114 : 'Unassigned [0xB114]',
	0xB115 : 'Unassigned [0xB115]',
	0xB116 : 'Unassigned [0xB116]',
	0xB117 : 'Unassigned [0xB117]',
	0xB118 : 'Unassigned [0xB118]',
	0xB119 : 'Unassigned [0xB119]',
	0xB11A : 'Unassigned [0xB11A]',
	0xB11B : 'Unassigned [0xB11B]',
	0xB11C : 'Unassigned [0xB11C]',
	0xB11D : 'Unassigned [0xB11D]',
	0xB11E : 'Unassigned [0xB11E]',
	0xB11F : 'Unassigned [0xB11F]',
	0xB120 : 'Unassigned [0xB120]',
	0xB121 : 'Unassigned [0xB121]',
	0xB122 : 'Unassigned [0xB122]',
	0xB123 : 'Unassigned [0xB123]',
	0xB124 : 'Unassigned [0xB124]',
	0xB125 : 'Unassigned [0xB125]',
	0xB126 : 'Unassigned [0xB126]',
	0xB127 : 'Unassigned [0xB127]',
	0xB128 : 'Unassigned [0xB128]',
	0xB129 : 'Unassigned [0xB129]',
	0xB12A : 'Unassigned [0xB12A]',
	0xB12B : 'Unassigned [0xB12B]',
	0xB12C : 'Unassigned [0xB12C]',
	0xB12D : 'Unassigned [0xB12D]',
	0xB12E : 'Unassigned [0xB12E]',
	0xB12F : 'Unassigned [0xB12F]',
	0xB130 : 'Unassigned [0xB130]',
	0xB131 : 'Unassigned [0xB131]',
	0xB132 : 'Unassigned [0xB132]',
	0xB133 : 'Unassigned [0xB133]',
	0xB134 : 'Unassigned [0xB134]',
	0xB135 : 'Unassigned [0xB135]',
	0xB136 : 'Unassigned [0xB136]',
	0xB137 : 'Unassigned [0xB137]',
	0xB138 : 'Unassigned [0xB138]',
	0xB139 : 'Unassigned [0xB139]',
	0xB13A : 'Unassigned [0xB13A]',
	0xB13B : 'Unassigned [0xB13B]',
	0xB13C : 'Unassigned [0xB13C]',
	0xB13D : 'Unassigned [0xB13D]',
	0xB13E : 'Unassigned [0xB13E]',
	0xB13F : 'Unassigned [0xB13F]',
	0xB140 : 'Unassigned [0xB140]',
	0xB141 : 'Unassigned [0xB141]',
	0xB142 : 'Unassigned [0xB142]',
	0xB143 : 'Unassigned [0xB143]',
	0xB144 : 'Unassigned [0xB144]',
	0xB145 : 'Unassigned [0xB145]',
	0xB146 : 'Unassigned [0xB146]',
	0xB147 : 'Unassigned [0xB147]',
	0xB148 : 'Unassigned [0xB148]',
	0xB149 : 'Unassigned [0xB149]',
	0xB14A : 'Unassigned [0xB14A]',
	0xB14B : 'Unassigned [0xB14B]',
	0xB14C : 'Unassigned [0xB14C]',
	0xB14D : 'Unassigned [0xB14D]',
	0xB14E : 'Unassigned [0xB14E]',
	0xB14F : 'Unassigned [0xB14F]',
	0xB150 : 'Unassigned [0xB150]',
	0xB151 : 'Unassigned [0xB151]',
	0xB152 : 'Unassigned [0xB152]',
	0xB153 : 'Unassigned [0xB153]',
	0xB154 : 'Unassigned [0xB154]',
	0xB155 : 'Unassigned [0xB155]',
	0xB156 : 'Unassigned [0xB156]',
	0xB157 : 'Unassigned [0xB157]',
	0xB158 : 'Unassigned [0xB158]',
	0xB159 : 'Unassigned [0xB159]',
	0xB15A : 'Unassigned [0xB15A]',
	0xB15B : 'Unassigned [0xB15B]',
	0xB15C : 'Unassigned [0xB15C]',
	0xB15D : 'Unassigned [0xB15D]',
	0xB15E : 'Unassigned [0xB15E]',
	0xB15F : 'Unassigned [0xB15F]',
	0xB160 : 'Unassigned [0xB160]',
	0xB161 : 'Unassigned [0xB161]',
	0xB162 : 'Unassigned [0xB162]',
	0xB163 : 'Unassigned [0xB163]',
	0xB164 : 'Unassigned [0xB164]',
	0xB165 : 'Unassigned [0xB165]',
	0xB166 : 'Unassigned [0xB166]',
	0xB167 : 'Unassigned [0xB167]',
	0xB168 : 'Unassigned [0xB168]',
	0xB169 : 'Unassigned [0xB169]',
	0xB16A : 'Unassigned [0xB16A]',
	0xB16B : 'Unassigned [0xB16B]',
	0xB16C : 'Unassigned [0xB16C]',
	0xB16D : 'Unassigned [0xB16D]',
	0xB16E : 'Unassigned [0xB16E]',
	0xB16F : 'Unassigned [0xB16F]',
	0xB170 : 'Unassigned [0xB170]',
	0xB171 : 'Unassigned [0xB171]',
	0xB172 : 'Unassigned [0xB172]',
	0xB173 : 'Unassigned [0xB173]',
	0xB174 : 'Unassigned [0xB174]',
	0xB175 : 'Unassigned [0xB175]',
	0xB176 : 'Unassigned [0xB176]',
	0xB177 : 'Unassigned [0xB177]',
	0xB178 : 'Unassigned [0xB178]',
	0xB179 : 'Unassigned [0xB179]',
	0xB17A : 'Unassigned [0xB17A]',
	0xB17B : 'Unassigned [0xB17B]',
	0xB17C : 'Unassigned [0xB17C]',
	0xB17D : 'Unassigned [0xB17D]',
	0xB17E : 'Unassigned [0xB17E]',
	0xB17F : 'Unassigned [0xB17F]',
	0xB180 : 'Unassigned [0xB180]',
	0xB181 : 'Unassigned [0xB181]',
	0xB182 : 'Unassigned [0xB182]',
	0xB183 : 'Unassigned [0xB183]',
	0xB184 : 'Unassigned [0xB184]',
	0xB185 : 'Unassigned [0xB185]',
	0xB186 : 'Unassigned [0xB186]',
	0xB187 : 'Unassigned [0xB187]',
	0xB188 : 'Unassigned [0xB188]',
	0xB189 : 'Unassigned [0xB189]',
	0xB18A : 'Unassigned [0xB18A]',
	0xB18B : 'Unassigned [0xB18B]',
	0xB18C : 'Unassigned [0xB18C]',
	0xB18D : 'Unassigned [0xB18D]',
	0xB18E : 'Unassigned [0xB18E]',
	0xB18F : 'Unassigned [0xB18F]',
	0xB190 : 'Unassigned [0xB190]',
	0xB191 : 'Unassigned [0xB191]',
	0xB192 : 'Unassigned [0xB192]',
	0xB193 : 'Unassigned [0xB193]',
	0xB194 : 'Unassigned [0xB194]',
	0xB195 : 'Unassigned [0xB195]',
	0xB196 : 'Unassigned [0xB196]',
	0xB197 : 'Unassigned [0xB197]',
	0xB198 : 'Unassigned [0xB198]',
	0xB199 : 'Unassigned [0xB199]',
	0xB19A : 'Unassigned [0xB19A]',
	0xB19B : 'Unassigned [0xB19B]',
	0xB19C : 'Unassigned [0xB19C]',
	0xB19D : 'Unassigned [0xB19D]',
	0xB19E : 'Unassigned [0xB19E]',
	0xB19F : 'Unassigned [0xB19F]',
	0xB1A0 : 'Unassigned [0xB1A0]',
	0xB1A1 : 'Unassigned [0xB1A1]',
	0xB1A2 : 'Unassigned [0xB1A2]',
	0xB1A3 : 'Unassigned [0xB1A3]',
	0xB1A4 : 'Unassigned [0xB1A4]',
	0xB1A5 : 'Unassigned [0xB1A5]',
	0xB1A6 : 'Unassigned [0xB1A6]',
	0xB1A7 : 'Unassigned [0xB1A7]',
	0xB1A8 : 'Unassigned [0xB1A8]',
	0xB1A9 : 'Unassigned [0xB1A9]',
	0xB1AA : 'Unassigned [0xB1AA]',
	0xB1AB : 'Unassigned [0xB1AB]',
	0xB1AC : 'Unassigned [0xB1AC]',
	0xB1AD : 'Unassigned [0xB1AD]',
	0xB1AE : 'Unassigned [0xB1AE]',
	0xB1AF : 'Unassigned [0xB1AF]',
	0xB1B0 : 'Unassigned [0xB1B0]',
	0xB1B1 : 'Unassigned [0xB1B1]',
	0xB1B2 : 'Unassigned [0xB1B2]',
	0xB1B3 : 'Unassigned [0xB1B3]',
	0xB1B4 : 'Unassigned [0xB1B4]',
	0xB1B5 : 'Unassigned [0xB1B5]',
	0xB1B6 : 'Unassigned [0xB1B6]',
	0xB1B7 : 'Unassigned [0xB1B7]',
	0xB1B8 : 'Unassigned [0xB1B8]',
	0xB1B9 : 'Unassigned [0xB1B9]',
	0xB1BA : 'Unassigned [0xB1BA]',
	0xB1BB : 'Unassigned [0xB1BB]',
	0xB1BC : 'Unassigned [0xB1BC]',
	0xB1BD : 'Unassigned [0xB1BD]',
	0xB1BE : 'Unassigned [0xB1BE]',
	0xB1BF : 'Unassigned [0xB1BF]',
	0xB1C0 : 'Unassigned [0xB1C0]',
	0xB1C1 : 'Unassigned [0xB1C1]',
	0xB1C2 : 'Unassigned [0xB1C2]',
	0xB1C3 : 'Unassigned [0xB1C3]',
	0xB1C4 : 'Unassigned [0xB1C4]',
	0xB1C5 : 'Unassigned [0xB1C5]',
	0xB1C6 : 'Unassigned [0xB1C6]',
	0xB1C7 : 'Unassigned [0xB1C7]',
	0xB1C8 : 'Unassigned [0xB1C8]',
	0xB1C9 : 'Unassigned [0xB1C9]',
	0xB1CA : 'Unassigned [0xB1CA]',
	0xB1CB : 'Unassigned [0xB1CB]',
	0xB1CC : 'Unassigned [0xB1CC]',
	0xB1CD : 'Unassigned [0xB1CD]',
	0xB1CE : 'Unassigned [0xB1CE]',
	0xB1CF : 'Unassigned [0xB1CF]',
	0xB1D0 : 'Unassigned [0xB1D0]',
	0xB1D1 : 'Unassigned [0xB1D1]',
	0xB1D2 : 'Unassigned [0xB1D2]',
	0xB1D3 : 'Unassigned [0xB1D3]',
	0xB1D4 : 'Unassigned [0xB1D4]',
	0xB1D5 : 'Unassigned [0xB1D5]',
	0xB1D6 : 'Unassigned [0xB1D6]',
	0xB1D7 : 'Unassigned [0xB1D7]',
	0xB1D8 : 'Unassigned [0xB1D8]',
	0xB1D9 : 'Unassigned [0xB1D9]',
	0xB1DA : 'Unassigned [0xB1DA]',
	0xB1DB : 'Unassigned [0xB1DB]',
	0xB1DC : 'Unassigned [0xB1DC]',
	0xB1DD : 'Unassigned [0xB1DD]',
	0xB1DE : 'Unassigned [0xB1DE]',
	0xB1DF : 'Unassigned [0xB1DF]',
	0xB1E0 : 'Unassigned [0xB1E0]',
	0xB1E1 : 'Unassigned [0xB1E1]',
	0xB1E2 : 'Unassigned [0xB1E2]',
	0xB1E3 : 'Unassigned [0xB1E3]',
	0xB1E4 : 'Unassigned [0xB1E4]',
	0xB1E5 : 'Unassigned [0xB1E5]',
	0xB1E6 : 'Unassigned [0xB1E6]',
	0xB1E7 : 'Unassigned [0xB1E7]',
	0xB1E8 : 'Unassigned [0xB1E8]',
	0xB1E9 : 'Unassigned [0xB1E9]',
	0xB1EA : 'Unassigned [0xB1EA]',
	0xB1EB : 'Unassigned [0xB1EB]',
	0xB1EC : 'Unassigned [0xB1EC]',
	0xB1ED : 'Unassigned [0xB1ED]',
	0xB1EE : 'Unassigned [0xB1EE]',
	0xB1EF : 'Unassigned [0xB1EF]',
	0xB1F0 : 'Unassigned [0xB1F0]',
	0xB1F1 : 'Unassigned [0xB1F1]',
	0xB1F2 : 'Unassigned [0xB1F2]',
	0xB1F3 : 'Unassigned [0xB1F3]',
	0xB1F4 : 'Unassigned [0xB1F4]',
	0xB1F5 : 'Unassigned [0xB1F5]',
	0xB1F6 : 'Unassigned [0xB1F6]',
	0xB1F7 : 'Unassigned [0xB1F7]',
	0xB1F8 : 'Unassigned [0xB1F8]',
	0xB1F9 : 'Unassigned [0xB1F9]',
	0xB1FA : 'Unassigned [0xB1FA]',
	0xB1FB : 'Unassigned [0xB1FB]',
	0xB1FC : 'Unassigned [0xB1FC]',
	0xB1FD : 'Unassigned [0xB1FD]',
	0xB1FE : 'Unassigned [0xB1FE]',
	0xB1FF : 'Unassigned [0xB1FF]',
	0xB200 : 'Unassigned [0xB200]',
	0xB201 : 'Unassigned [0xB201]',
	0xB202 : 'Unassigned [0xB202]',
	0xB203 : 'Unassigned [0xB203]',
	0xB204 : 'Unassigned [0xB204]',
	0xB205 : 'Unassigned [0xB205]',
	0xB206 : 'Unassigned [0xB206]',
	0xB207 : 'Unassigned [0xB207]',
	0xB208 : 'Unassigned [0xB208]',
	0xB209 : 'Unassigned [0xB209]',
	0xB20A : 'Unassigned [0xB20A]',
	0xB20B : 'Unassigned [0xB20B]',
	0xB20C : 'Unassigned [0xB20C]',
	0xB20D : 'Unassigned [0xB20D]',
	0xB20E : 'Unassigned [0xB20E]',
	0xB20F : 'Unassigned [0xB20F]',
	0xB210 : 'Unassigned [0xB210]',
	0xB211 : 'Unassigned [0xB211]',
	0xB212 : 'Unassigned [0xB212]',
	0xB213 : 'Unassigned [0xB213]',
	0xB214 : 'Unassigned [0xB214]',
	0xB215 : 'Unassigned [0xB215]',
	0xB216 : 'Unassigned [0xB216]',
	0xB217 : 'Unassigned [0xB217]',
	0xB218 : 'Unassigned [0xB218]',
	0xB219 : 'Unassigned [0xB219]',
	0xB21A : 'Unassigned [0xB21A]',
	0xB21B : 'Unassigned [0xB21B]',
	0xB21C : 'Unassigned [0xB21C]',
	0xB21D : 'Unassigned [0xB21D]',
	0xB21E : 'Unassigned [0xB21E]',
	0xB21F : 'Unassigned [0xB21F]',
	0xB220 : 'Unassigned [0xB220]',
	0xB221 : 'Unassigned [0xB221]',
	0xB222 : 'Unassigned [0xB222]',
	0xB223 : 'Unassigned [0xB223]',
	0xB224 : 'Unassigned [0xB224]',
	0xB225 : 'Unassigned [0xB225]',
	0xB226 : 'Unassigned [0xB226]',
	0xB227 : 'Unassigned [0xB227]',
	0xB228 : 'Unassigned [0xB228]',
	0xB229 : 'Unassigned [0xB229]',
	0xB22A : 'Unassigned [0xB22A]',
	0xB22B : 'Unassigned [0xB22B]',
	0xB22C : 'Unassigned [0xB22C]',
	0xB22D : 'Unassigned [0xB22D]',
	0xB22E : 'Unassigned [0xB22E]',
	0xB22F : 'Unassigned [0xB22F]',
	0xB230 : 'Unassigned [0xB230]',
	0xB231 : 'Unassigned [0xB231]',
	0xB232 : 'Unassigned [0xB232]',
	0xB233 : 'Unassigned [0xB233]',
	0xB234 : 'Unassigned [0xB234]',
	0xB235 : 'Unassigned [0xB235]',
	0xB236 : 'Unassigned [0xB236]',
	0xB237 : 'Unassigned [0xB237]',
	0xB238 : 'Unassigned [0xB238]',
	0xB239 : 'Unassigned [0xB239]',
	0xB23A : 'Unassigned [0xB23A]',
	0xB23B : 'Unassigned [0xB23B]',
	0xB23C : 'Unassigned [0xB23C]',
	0xB23D : 'Unassigned [0xB23D]',
	0xB23E : 'Unassigned [0xB23E]',
	0xB23F : 'Unassigned [0xB23F]',
	0xB240 : 'Unassigned [0xB240]',
	0xB241 : 'Unassigned [0xB241]',
	0xB242 : 'Unassigned [0xB242]',
	0xB243 : 'Unassigned [0xB243]',
	0xB244 : 'Unassigned [0xB244]',
	0xB245 : 'Unassigned [0xB245]',
	0xB246 : 'Unassigned [0xB246]',
	0xB247 : 'Unassigned [0xB247]',
	0xB248 : 'Unassigned [0xB248]',
	0xB249 : 'Unassigned [0xB249]',
	0xB24A : 'Unassigned [0xB24A]',
	0xB24B : 'Unassigned [0xB24B]',
	0xB24C : 'Unassigned [0xB24C]',
	0xB24D : 'Unassigned [0xB24D]',
	0xB24E : 'Unassigned [0xB24E]',
	0xB24F : 'Unassigned [0xB24F]',
	0xB250 : 'Unassigned [0xB250]',
	0xB251 : 'Unassigned [0xB251]',
	0xB252 : 'Unassigned [0xB252]',
	0xB253 : 'Unassigned [0xB253]',
	0xB254 : 'Unassigned [0xB254]',
	0xB255 : 'Unassigned [0xB255]',
	0xB256 : 'Unassigned [0xB256]',
	0xB257 : 'Unassigned [0xB257]',
	0xB258 : 'Unassigned [0xB258]',
	0xB259 : 'Unassigned [0xB259]',
	0xB25A : 'Unassigned [0xB25A]',
	0xB25B : 'Unassigned [0xB25B]',
	0xB25C : 'Unassigned [0xB25C]',
	0xB25D : 'Unassigned [0xB25D]',
	0xB25E : 'Unassigned [0xB25E]',
	0xB25F : 'Unassigned [0xB25F]',
	0xB260 : 'Unassigned [0xB260]',
	0xB261 : 'Unassigned [0xB261]',
	0xB262 : 'Unassigned [0xB262]',
	0xB263 : 'Unassigned [0xB263]',
	0xB264 : 'Unassigned [0xB264]',
	0xB265 : 'Unassigned [0xB265]',
	0xB266 : 'Unassigned [0xB266]',
	0xB267 : 'Unassigned [0xB267]',
	0xB268 : 'Unassigned [0xB268]',
	0xB269 : 'Unassigned [0xB269]',
	0xB26A : 'Unassigned [0xB26A]',
	0xB26B : 'Unassigned [0xB26B]',
	0xB26C : 'Unassigned [0xB26C]',
	0xB26D : 'Unassigned [0xB26D]',
	0xB26E : 'Unassigned [0xB26E]',
	0xB26F : 'Unassigned [0xB26F]',
	0xB270 : 'Unassigned [0xB270]',
	0xB271 : 'Unassigned [0xB271]',
	0xB272 : 'Unassigned [0xB272]',
	0xB273 : 'Unassigned [0xB273]',
	0xB274 : 'Unassigned [0xB274]',
	0xB275 : 'Unassigned [0xB275]',
	0xB276 : 'Unassigned [0xB276]',
	0xB277 : 'Unassigned [0xB277]',
	0xB278 : 'Unassigned [0xB278]',
	0xB279 : 'Unassigned [0xB279]',
	0xB27A : 'Unassigned [0xB27A]',
	0xB27B : 'Unassigned [0xB27B]',
	0xB27C : 'Unassigned [0xB27C]',
	0xB27D : 'Unassigned [0xB27D]',
	0xB27E : 'Unassigned [0xB27E]',
	0xB27F : 'Unassigned [0xB27F]',
	0xB280 : 'Unassigned [0xB280]',
	0xB281 : 'Unassigned [0xB281]',
	0xB282 : 'Unassigned [0xB282]',
	0xB283 : 'Unassigned [0xB283]',
	0xB284 : 'Unassigned [0xB284]',
	0xB285 : 'Unassigned [0xB285]',
	0xB286 : 'Unassigned [0xB286]',
	0xB287 : 'Unassigned [0xB287]',
	0xB288 : 'Unassigned [0xB288]',
	0xB289 : 'Unassigned [0xB289]',
	0xB28A : 'Unassigned [0xB28A]',
	0xB28B : 'Unassigned [0xB28B]',
	0xB28C : 'Unassigned [0xB28C]',
	0xB28D : 'Unassigned [0xB28D]',
	0xB28E : 'Unassigned [0xB28E]',
	0xB28F : 'Unassigned [0xB28F]',
	0xB290 : 'Unassigned [0xB290]',
	0xB291 : 'Unassigned [0xB291]',
	0xB292 : 'Unassigned [0xB292]',
	0xB293 : 'Unassigned [0xB293]',
	0xB294 : 'Unassigned [0xB294]',
	0xB295 : 'Unassigned [0xB295]',
	0xB296 : 'Unassigned [0xB296]',
	0xB297 : 'Unassigned [0xB297]',
	0xB298 : 'Unassigned [0xB298]',
	0xB299 : 'Unassigned [0xB299]',
	0xB29A : 'Unassigned [0xB29A]',
	0xB29B : 'Unassigned [0xB29B]',
	0xB29C : 'Unassigned [0xB29C]',
	0xB29D : 'Unassigned [0xB29D]',
	0xB29E : 'Unassigned [0xB29E]',
	0xB29F : 'Unassigned [0xB29F]',
	0xB2A0 : 'Unassigned [0xB2A0]',
	0xB2A1 : 'Unassigned [0xB2A1]',
	0xB2A2 : 'Unassigned [0xB2A2]',
	0xB2A3 : 'Unassigned [0xB2A3]',
	0xB2A4 : 'Unassigned [0xB2A4]',
	0xB2A5 : 'Unassigned [0xB2A5]',
	0xB2A6 : 'Unassigned [0xB2A6]',
	0xB2A7 : 'Unassigned [0xB2A7]',
	0xB2A8 : 'Unassigned [0xB2A8]',
	0xB2A9 : 'Unassigned [0xB2A9]',
	0xB2AA : 'Unassigned [0xB2AA]',
	0xB2AB : 'Unassigned [0xB2AB]',
	0xB2AC : 'Unassigned [0xB2AC]',
	0xB2AD : 'Unassigned [0xB2AD]',
	0xB2AE : 'Unassigned [0xB2AE]',
	0xB2AF : 'Unassigned [0xB2AF]',
	0xB2B0 : 'Unassigned [0xB2B0]',
	0xB2B1 : 'Unassigned [0xB2B1]',
	0xB2B2 : 'Unassigned [0xB2B2]',
	0xB2B3 : 'Unassigned [0xB2B3]',
	0xB2B4 : 'Unassigned [0xB2B4]',
	0xB2B5 : 'Unassigned [0xB2B5]',
	0xB2B6 : 'Unassigned [0xB2B6]',
	0xB2B7 : 'Unassigned [0xB2B7]',
	0xB2B8 : 'Unassigned [0xB2B8]',
	0xB2B9 : 'Unassigned [0xB2B9]',
	0xB2BA : 'Unassigned [0xB2BA]',
	0xB2BB : 'Unassigned [0xB2BB]',
	0xB2BC : 'Unassigned [0xB2BC]',
	0xB2BD : 'Unassigned [0xB2BD]',
	0xB2BE : 'Unassigned [0xB2BE]',
	0xB2BF : 'Unassigned [0xB2BF]',
	0xB2C0 : 'Unassigned [0xB2C0]',
	0xB2C1 : 'Unassigned [0xB2C1]',
	0xB2C2 : 'Unassigned [0xB2C2]',
	0xB2C3 : 'Unassigned [0xB2C3]',
	0xB2C4 : 'Unassigned [0xB2C4]',
	0xB2C5 : 'Unassigned [0xB2C5]',
	0xB2C6 : 'Unassigned [0xB2C6]',
	0xB2C7 : 'Unassigned [0xB2C7]',
	0xB2C8 : 'Unassigned [0xB2C8]',
	0xB2C9 : 'Unassigned [0xB2C9]',
	0xB2CA : 'Unassigned [0xB2CA]',
	0xB2CB : 'Unassigned [0xB2CB]',
	0xB2CC : 'Unassigned [0xB2CC]',
	0xB2CD : 'Unassigned [0xB2CD]',
	0xB2CE : 'Unassigned [0xB2CE]',
	0xB2CF : 'Unassigned [0xB2CF]',
	0xB2D0 : 'Unassigned [0xB2D0]',
	0xB2D1 : 'Unassigned [0xB2D1]',
	0xB2D2 : 'Unassigned [0xB2D2]',
	0xB2D3 : 'Unassigned [0xB2D3]',
	0xB2D4 : 'Unassigned [0xB2D4]',
	0xB2D5 : 'Unassigned [0xB2D5]',
	0xB2D6 : 'Unassigned [0xB2D6]',
	0xB2D7 : 'Unassigned [0xB2D7]',
	0xB2D8 : 'Unassigned [0xB2D8]',
	0xB2D9 : 'Unassigned [0xB2D9]',
	0xB2DA : 'Unassigned [0xB2DA]',
	0xB2DB : 'Unassigned [0xB2DB]',
	0xB2DC : 'Unassigned [0xB2DC]',
	0xB2DD : 'Unassigned [0xB2DD]',
	0xB2DE : 'Unassigned [0xB2DE]',
	0xB2DF : 'Unassigned [0xB2DF]',
	0xB2E0 : 'Unassigned [0xB2E0]',
	0xB2E1 : 'Unassigned [0xB2E1]',
	0xB2E2 : 'Unassigned [0xB2E2]',
	0xB2E3 : 'Unassigned [0xB2E3]',
	0xB2E4 : 'Unassigned [0xB2E4]',
	0xB2E5 : 'Unassigned [0xB2E5]',
	0xB2E6 : 'Unassigned [0xB2E6]',
	0xB2E7 : 'Unassigned [0xB2E7]',
	0xB2E8 : 'Unassigned [0xB2E8]',
	0xB2E9 : 'Unassigned [0xB2E9]',
	0xB2EA : 'Unassigned [0xB2EA]',
	0xB2EB : 'Unassigned [0xB2EB]',
	0xB2EC : 'Unassigned [0xB2EC]',
	0xB2ED : 'Unassigned [0xB2ED]',
	0xB2EE : 'Unassigned [0xB2EE]',
	0xB2EF : 'Unassigned [0xB2EF]',
	0xB2F0 : 'Unassigned [0xB2F0]',
	0xB2F1 : 'Unassigned [0xB2F1]',
	0xB2F2 : 'Unassigned [0xB2F2]',
	0xB2F3 : 'Unassigned [0xB2F3]',
	0xB2F4 : 'Unassigned [0xB2F4]',
	0xB2F5 : 'Unassigned [0xB2F5]',
	0xB2F6 : 'Unassigned [0xB2F6]',
	0xB2F7 : 'Unassigned [0xB2F7]',
	0xB2F8 : 'Unassigned [0xB2F8]',
	0xB2F9 : 'Unassigned [0xB2F9]',
	0xB2FA : 'Unassigned [0xB2FA]',
	0xB2FB : 'Unassigned [0xB2FB]',
	0xB2FC : 'Unassigned [0xB2FC]',
	0xB2FD : 'Unassigned [0xB2FD]',
	0xB2FE : 'Unassigned [0xB2FE]',
	0xB2FF : 'Unassigned [0xB2FF]',
	0xB300 : 'Unassigned [0xB300]',
	0xB301 : 'Unassigned [0xB301]',
	0xB302 : 'Unassigned [0xB302]',
	0xB303 : 'Unassigned [0xB303]',
	0xB304 : 'Unassigned [0xB304]',
	0xB305 : 'Unassigned [0xB305]',
	0xB306 : 'Unassigned [0xB306]',
	0xB307 : 'Unassigned [0xB307]',
	0xB308 : 'Unassigned [0xB308]',
	0xB309 : 'Unassigned [0xB309]',
	0xB30A : 'Unassigned [0xB30A]',
	0xB30B : 'Unassigned [0xB30B]',
	0xB30C : 'Unassigned [0xB30C]',
	0xB30D : 'Unassigned [0xB30D]',
	0xB30E : 'Unassigned [0xB30E]',
	0xB30F : 'Unassigned [0xB30F]',
	0xB310 : 'Unassigned [0xB310]',
	0xB311 : 'Unassigned [0xB311]',
	0xB312 : 'Unassigned [0xB312]',
	0xB313 : 'Unassigned [0xB313]',
	0xB314 : 'Unassigned [0xB314]',
	0xB315 : 'Unassigned [0xB315]',
	0xB316 : 'Unassigned [0xB316]',
	0xB317 : 'Unassigned [0xB317]',
	0xB318 : 'Unassigned [0xB318]',
	0xB319 : 'Unassigned [0xB319]',
	0xB31A : 'Unassigned [0xB31A]',
	0xB31B : 'Unassigned [0xB31B]',
	0xB31C : 'Unassigned [0xB31C]',
	0xB31D : 'Unassigned [0xB31D]',
	0xB31E : 'Unassigned [0xB31E]',
	0xB31F : 'Unassigned [0xB31F]',
	0xB320 : 'Unassigned [0xB320]',
	0xB321 : 'Unassigned [0xB321]',
	0xB322 : 'Unassigned [0xB322]',
	0xB323 : 'Unassigned [0xB323]',
	0xB324 : 'Unassigned [0xB324]',
	0xB325 : 'Unassigned [0xB325]',
	0xB326 : 'Unassigned [0xB326]',
	0xB327 : 'Unassigned [0xB327]',
	0xB328 : 'Unassigned [0xB328]',
	0xB329 : 'Unassigned [0xB329]',
	0xB32A : 'Unassigned [0xB32A]',
	0xB32B : 'Unassigned [0xB32B]',
	0xB32C : 'Unassigned [0xB32C]',
	0xB32D : 'Unassigned [0xB32D]',
	0xB32E : 'Unassigned [0xB32E]',
	0xB32F : 'Unassigned [0xB32F]',
	0xB330 : 'Unassigned [0xB330]',
	0xB331 : 'Unassigned [0xB331]',
	0xB332 : 'Unassigned [0xB332]',
	0xB333 : 'Unassigned [0xB333]',
	0xB334 : 'Unassigned [0xB334]',
	0xB335 : 'Unassigned [0xB335]',
	0xB336 : 'Unassigned [0xB336]',
	0xB337 : 'Unassigned [0xB337]',
	0xB338 : 'Unassigned [0xB338]',
	0xB339 : 'Unassigned [0xB339]',
	0xB33A : 'Unassigned [0xB33A]',
	0xB33B : 'Unassigned [0xB33B]',
	0xB33C : 'Unassigned [0xB33C]',
	0xB33D : 'Unassigned [0xB33D]',
	0xB33E : 'Unassigned [0xB33E]',
	0xB33F : 'Unassigned [0xB33F]',
	0xB340 : 'Unassigned [0xB340]',
	0xB341 : 'Unassigned [0xB341]',
	0xB342 : 'Unassigned [0xB342]',
	0xB343 : 'Unassigned [0xB343]',
	0xB344 : 'Unassigned [0xB344]',
	0xB345 : 'Unassigned [0xB345]',
	0xB346 : 'Unassigned [0xB346]',
	0xB347 : 'Unassigned [0xB347]',
	0xB348 : 'Unassigned [0xB348]',
	0xB349 : 'Unassigned [0xB349]',
	0xB34A : 'Unassigned [0xB34A]',
	0xB34B : 'Unassigned [0xB34B]',
	0xB34C : 'Unassigned [0xB34C]',
	0xB34D : 'Unassigned [0xB34D]',
	0xB34E : 'Unassigned [0xB34E]',
	0xB34F : 'Unassigned [0xB34F]',
	0xB350 : 'Unassigned [0xB350]',
	0xB351 : 'Unassigned [0xB351]',
	0xB352 : 'Unassigned [0xB352]',
	0xB353 : 'Unassigned [0xB353]',
	0xB354 : 'Unassigned [0xB354]',
	0xB355 : 'Unassigned [0xB355]',
	0xB356 : 'Unassigned [0xB356]',
	0xB357 : 'Unassigned [0xB357]',
	0xB358 : 'Unassigned [0xB358]',
	0xB359 : 'Unassigned [0xB359]',
	0xB35A : 'Unassigned [0xB35A]',
	0xB35B : 'Unassigned [0xB35B]',
	0xB35C : 'Unassigned [0xB35C]',
	0xB35D : 'Unassigned [0xB35D]',
	0xB35E : 'Unassigned [0xB35E]',
	0xB35F : 'Unassigned [0xB35F]',
	0xB360 : 'Unassigned [0xB360]',
	0xB361 : 'Unassigned [0xB361]',
	0xB362 : 'Unassigned [0xB362]',
	0xB363 : 'Unassigned [0xB363]',
	0xB364 : 'Unassigned [0xB364]',
	0xB365 : 'Unassigned [0xB365]',
	0xB366 : 'Unassigned [0xB366]',
	0xB367 : 'Unassigned [0xB367]',
	0xB368 : 'Unassigned [0xB368]',
	0xB369 : 'Unassigned [0xB369]',
	0xB36A : 'Unassigned [0xB36A]',
	0xB36B : 'Unassigned [0xB36B]',
	0xB36C : 'Unassigned [0xB36C]',
	0xB36D : 'Unassigned [0xB36D]',
	0xB36E : 'Unassigned [0xB36E]',
	0xB36F : 'Unassigned [0xB36F]',
	0xB370 : 'Unassigned [0xB370]',
	0xB371 : 'Unassigned [0xB371]',
	0xB372 : 'Unassigned [0xB372]',
	0xB373 : 'Unassigned [0xB373]',
	0xB374 : 'Unassigned [0xB374]',
	0xB375 : 'Unassigned [0xB375]',
	0xB376 : 'Unassigned [0xB376]',
	0xB377 : 'Unassigned [0xB377]',
	0xB378 : 'Unassigned [0xB378]',
	0xB379 : 'Unassigned [0xB379]',
	0xB37A : 'Unassigned [0xB37A]',
	0xB37B : 'Unassigned [0xB37B]',
	0xB37C : 'Unassigned [0xB37C]',
	0xB37D : 'Unassigned [0xB37D]',
	0xB37E : 'Unassigned [0xB37E]',
	0xB37F : 'Unassigned [0xB37F]',
	0xB380 : 'Unassigned [0xB380]',
	0xB381 : 'Unassigned [0xB381]',
	0xB382 : 'Unassigned [0xB382]',
	0xB383 : 'Unassigned [0xB383]',
	0xB384 : 'Unassigned [0xB384]',
	0xB385 : 'Unassigned [0xB385]',
	0xB386 : 'Unassigned [0xB386]',
	0xB387 : 'Unassigned [0xB387]',
	0xB388 : 'Unassigned [0xB388]',
	0xB389 : 'Unassigned [0xB389]',
	0xB38A : 'Unassigned [0xB38A]',
	0xB38B : 'Unassigned [0xB38B]',
	0xB38C : 'Unassigned [0xB38C]',
	0xB38D : 'Unassigned [0xB38D]',
	0xB38E : 'Unassigned [0xB38E]',
	0xB38F : 'Unassigned [0xB38F]',
	0xB390 : 'Unassigned [0xB390]',
	0xB391 : 'Unassigned [0xB391]',
	0xB392 : 'Unassigned [0xB392]',
	0xB393 : 'Unassigned [0xB393]',
	0xB394 : 'Unassigned [0xB394]',
	0xB395 : 'Unassigned [0xB395]',
	0xB396 : 'Unassigned [0xB396]',
	0xB397 : 'Unassigned [0xB397]',
	0xB398 : 'Unassigned [0xB398]',
	0xB399 : 'Unassigned [0xB399]',
	0xB39A : 'Unassigned [0xB39A]',
	0xB39B : 'Unassigned [0xB39B]',
	0xB39C : 'Unassigned [0xB39C]',
	0xB39D : 'Unassigned [0xB39D]',
	0xB39E : 'Unassigned [0xB39E]',
	0xB39F : 'Unassigned [0xB39F]',
	0xB3A0 : 'Unassigned [0xB3A0]',
	0xB3A1 : 'Unassigned [0xB3A1]',
	0xB3A2 : 'Unassigned [0xB3A2]',
	0xB3A3 : 'Unassigned [0xB3A3]',
	0xB3A4 : 'Unassigned [0xB3A4]',
	0xB3A5 : 'Unassigned [0xB3A5]',
	0xB3A6 : 'Unassigned [0xB3A6]',
	0xB3A7 : 'Unassigned [0xB3A7]',
	0xB3A8 : 'Unassigned [0xB3A8]',
	0xB3A9 : 'Unassigned [0xB3A9]',
	0xB3AA : 'Unassigned [0xB3AA]',
	0xB3AB : 'Unassigned [0xB3AB]',
	0xB3AC : 'Unassigned [0xB3AC]',
	0xB3AD : 'Unassigned [0xB3AD]',
	0xB3AE : 'Unassigned [0xB3AE]',
	0xB3AF : 'Unassigned [0xB3AF]',
	0xB3B0 : 'Unassigned [0xB3B0]',
	0xB3B1 : 'Unassigned [0xB3B1]',
	0xB3B2 : 'Unassigned [0xB3B2]',
	0xB3B3 : 'Unassigned [0xB3B3]',
	0xB3B4 : 'Unassigned [0xB3B4]',
	0xB3B5 : 'Unassigned [0xB3B5]',
	0xB3B6 : 'Unassigned [0xB3B6]',
	0xB3B7 : 'Unassigned [0xB3B7]',
	0xB3B8 : 'Unassigned [0xB3B8]',
	0xB3B9 : 'Unassigned [0xB3B9]',
	0xB3BA : 'Unassigned [0xB3BA]',
	0xB3BB : 'Unassigned [0xB3BB]',
	0xB3BC : 'Unassigned [0xB3BC]',
	0xB3BD : 'Unassigned [0xB3BD]',
	0xB3BE : 'Unassigned [0xB3BE]',
	0xB3BF : 'Unassigned [0xB3BF]',
	0xB3C0 : 'Unassigned [0xB3C0]',
	0xB3C1 : 'Unassigned [0xB3C1]',
	0xB3C2 : 'Unassigned [0xB3C2]',
	0xB3C3 : 'Unassigned [0xB3C3]',
	0xB3C4 : 'Unassigned [0xB3C4]',
	0xB3C5 : 'Unassigned [0xB3C5]',
	0xB3C6 : 'Unassigned [0xB3C6]',
	0xB3C7 : 'Unassigned [0xB3C7]',
	0xB3C8 : 'Unassigned [0xB3C8]',
	0xB3C9 : 'Unassigned [0xB3C9]',
	0xB3CA : 'Unassigned [0xB3CA]',
	0xB3CB : 'Unassigned [0xB3CB]',
	0xB3CC : 'Unassigned [0xB3CC]',
	0xB3CD : 'Unassigned [0xB3CD]',
	0xB3CE : 'Unassigned [0xB3CE]',
	0xB3CF : 'Unassigned [0xB3CF]',
	0xB3D0 : 'Unassigned [0xB3D0]',
	0xB3D1 : 'Unassigned [0xB3D1]',
	0xB3D2 : 'Unassigned [0xB3D2]',
	0xB3D3 : 'Unassigned [0xB3D3]',
	0xB3D4 : 'Unassigned [0xB3D4]',
	0xB3D5 : 'Unassigned [0xB3D5]',
	0xB3D6 : 'Unassigned [0xB3D6]',
	0xB3D7 : 'Unassigned [0xB3D7]',
	0xB3D8 : 'Unassigned [0xB3D8]',
	0xB3D9 : 'Unassigned [0xB3D9]',
	0xB3DA : 'Unassigned [0xB3DA]',
	0xB3DB : 'Unassigned [0xB3DB]',
	0xB3DC : 'Unassigned [0xB3DC]',
	0xB3DD : 'Unassigned [0xB3DD]',
	0xB3DE : 'Unassigned [0xB3DE]',
	0xB3DF : 'Unassigned [0xB3DF]',
	0xB3E0 : 'Unassigned [0xB3E0]',
	0xB3E1 : 'Unassigned [0xB3E1]',
	0xB3E2 : 'Unassigned [0xB3E2]',
	0xB3E3 : 'Unassigned [0xB3E3]',
	0xB3E4 : 'Unassigned [0xB3E4]',
	0xB3E5 : 'Unassigned [0xB3E5]',
	0xB3E6 : 'Unassigned [0xB3E6]',
	0xB3E7 : 'Unassigned [0xB3E7]',
	0xB3E8 : 'Unassigned [0xB3E8]',
	0xB3E9 : 'Unassigned [0xB3E9]',
	0xB3EA : 'Unassigned [0xB3EA]',
	0xB3EB : 'Unassigned [0xB3EB]',
	0xB3EC : 'Unassigned [0xB3EC]',
	0xB3ED : 'Unassigned [0xB3ED]',
	0xB3EE : 'Unassigned [0xB3EE]',
	0xB3EF : 'Unassigned [0xB3EF]',
	0xB3F0 : 'Unassigned [0xB3F0]',
	0xB3F1 : 'Unassigned [0xB3F1]',
	0xB3F2 : 'Unassigned [0xB3F2]',
	0xB3F3 : 'Unassigned [0xB3F3]',
	0xB3F4 : 'Unassigned [0xB3F4]',
	0xB3F5 : 'Unassigned [0xB3F5]',
	0xB3F6 : 'Unassigned [0xB3F6]',
	0xB3F7 : 'Unassigned [0xB3F7]',
	0xB3F8 : 'Unassigned [0xB3F8]',
	0xB3F9 : 'Unassigned [0xB3F9]',
	0xB3FA : 'Unassigned [0xB3FA]',
	0xB3FB : 'Unassigned [0xB3FB]',
	0xB3FC : 'Unassigned [0xB3FC]',
	0xB3FD : 'Unassigned [0xB3FD]',
	0xB3FE : 'Unassigned [0xB3FE]',
	0xB3FF : 'Unassigned [0xB3FF]',
	0xB400 : 'Unassigned [0xB400]',
	0xB401 : 'Unassigned [0xB401]',
	0xB402 : 'Unassigned [0xB402]',
	0xB403 : 'Unassigned [0xB403]',
	0xB404 : 'Unassigned [0xB404]',
	0xB405 : 'Unassigned [0xB405]',
	0xB406 : 'Unassigned [0xB406]',
	0xB407 : 'Unassigned [0xB407]',
	0xB408 : 'Unassigned [0xB408]',
	0xB409 : 'Unassigned [0xB409]',
	0xB40A : 'Unassigned [0xB40A]',
	0xB40B : 'Unassigned [0xB40B]',
	0xB40C : 'Unassigned [0xB40C]',
	0xB40D : 'Unassigned [0xB40D]',
	0xB40E : 'Unassigned [0xB40E]',
	0xB40F : 'Unassigned [0xB40F]',
	0xB410 : 'Unassigned [0xB410]',
	0xB411 : 'Unassigned [0xB411]',
	0xB412 : 'Unassigned [0xB412]',
	0xB413 : 'Unassigned [0xB413]',
	0xB414 : 'Unassigned [0xB414]',
	0xB415 : 'Unassigned [0xB415]',
	0xB416 : 'Unassigned [0xB416]',
	0xB417 : 'Unassigned [0xB417]',
	0xB418 : 'Unassigned [0xB418]',
	0xB419 : 'Unassigned [0xB419]',
	0xB41A : 'Unassigned [0xB41A]',
	0xB41B : 'Unassigned [0xB41B]',
	0xB41C : 'Unassigned [0xB41C]',
	0xB41D : 'Unassigned [0xB41D]',
	0xB41E : 'Unassigned [0xB41E]',
	0xB41F : 'Unassigned [0xB41F]',
	0xB420 : 'Unassigned [0xB420]',
	0xB421 : 'Unassigned [0xB421]',
	0xB422 : 'Unassigned [0xB422]',
	0xB423 : 'Unassigned [0xB423]',
	0xB424 : 'Unassigned [0xB424]',
	0xB425 : 'Unassigned [0xB425]',
	0xB426 : 'Unassigned [0xB426]',
	0xB427 : 'Unassigned [0xB427]',
	0xB428 : 'Unassigned [0xB428]',
	0xB429 : 'Unassigned [0xB429]',
	0xB42A : 'Unassigned [0xB42A]',
	0xB42B : 'Unassigned [0xB42B]',
	0xB42C : 'Unassigned [0xB42C]',
	0xB42D : 'Unassigned [0xB42D]',
	0xB42E : 'Unassigned [0xB42E]',
	0xB42F : 'Unassigned [0xB42F]',
	0xB430 : 'Unassigned [0xB430]',
	0xB431 : 'Unassigned [0xB431]',
	0xB432 : 'Unassigned [0xB432]',
	0xB433 : 'Unassigned [0xB433]',
	0xB434 : 'Unassigned [0xB434]',
	0xB435 : 'Unassigned [0xB435]',
	0xB436 : 'Unassigned [0xB436]',
	0xB437 : 'Unassigned [0xB437]',
	0xB438 : 'Unassigned [0xB438]',
	0xB439 : 'Unassigned [0xB439]',
	0xB43A : 'Unassigned [0xB43A]',
	0xB43B : 'Unassigned [0xB43B]',
	0xB43C : 'Unassigned [0xB43C]',
	0xB43D : 'Unassigned [0xB43D]',
	0xB43E : 'Unassigned [0xB43E]',
	0xB43F : 'Unassigned [0xB43F]',
	0xB440 : 'Unassigned [0xB440]',
	0xB441 : 'Unassigned [0xB441]',
	0xB442 : 'Unassigned [0xB442]',
	0xB443 : 'Unassigned [0xB443]',
	0xB444 : 'Unassigned [0xB444]',
	0xB445 : 'Unassigned [0xB445]',
	0xB446 : 'Unassigned [0xB446]',
	0xB447 : 'Unassigned [0xB447]',
	0xB448 : 'Unassigned [0xB448]',
	0xB449 : 'Unassigned [0xB449]',
	0xB44A : 'Unassigned [0xB44A]',
	0xB44B : 'Unassigned [0xB44B]',
	0xB44C : 'Unassigned [0xB44C]',
	0xB44D : 'Unassigned [0xB44D]',
	0xB44E : 'Unassigned [0xB44E]',
	0xB44F : 'Unassigned [0xB44F]',
	0xB450 : 'Unassigned [0xB450]',
	0xB451 : 'Unassigned [0xB451]',
	0xB452 : 'Unassigned [0xB452]',
	0xB453 : 'Unassigned [0xB453]',
	0xB454 : 'Unassigned [0xB454]',
	0xB455 : 'Unassigned [0xB455]',
	0xB456 : 'Unassigned [0xB456]',
	0xB457 : 'Unassigned [0xB457]',
	0xB458 : 'Unassigned [0xB458]',
	0xB459 : 'Unassigned [0xB459]',
	0xB45A : 'Unassigned [0xB45A]',
	0xB45B : 'Unassigned [0xB45B]',
	0xB45C : 'Unassigned [0xB45C]',
	0xB45D : 'Unassigned [0xB45D]',
	0xB45E : 'Unassigned [0xB45E]',
	0xB45F : 'Unassigned [0xB45F]',
	0xB460 : 'Unassigned [0xB460]',
	0xB461 : 'Unassigned [0xB461]',
	0xB462 : 'Unassigned [0xB462]',
	0xB463 : 'Unassigned [0xB463]',
	0xB464 : 'Unassigned [0xB464]',
	0xB465 : 'Unassigned [0xB465]',
	0xB466 : 'Unassigned [0xB466]',
	0xB467 : 'Unassigned [0xB467]',
	0xB468 : 'Unassigned [0xB468]',
	0xB469 : 'Unassigned [0xB469]',
	0xB46A : 'Unassigned [0xB46A]',
	0xB46B : 'Unassigned [0xB46B]',
	0xB46C : 'Unassigned [0xB46C]',
	0xB46D : 'Unassigned [0xB46D]',
	0xB46E : 'Unassigned [0xB46E]',
	0xB46F : 'Unassigned [0xB46F]',
	0xB470 : 'Unassigned [0xB470]',
	0xB471 : 'Unassigned [0xB471]',
	0xB472 : 'Unassigned [0xB472]',
	0xB473 : 'Unassigned [0xB473]',
	0xB474 : 'Unassigned [0xB474]',
	0xB475 : 'Unassigned [0xB475]',
	0xB476 : 'Unassigned [0xB476]',
	0xB477 : 'Unassigned [0xB477]',
	0xB478 : 'Unassigned [0xB478]',
	0xB479 : 'Unassigned [0xB479]',
	0xB47A : 'Unassigned [0xB47A]',
	0xB47B : 'Unassigned [0xB47B]',
	0xB47C : 'Unassigned [0xB47C]',
	0xB47D : 'Unassigned [0xB47D]',
	0xB47E : 'Unassigned [0xB47E]',
	0xB47F : 'Unassigned [0xB47F]',
	0xB480 : 'Unassigned [0xB480]',
	0xB481 : 'Unassigned [0xB481]',
	0xB482 : 'Unassigned [0xB482]',
	0xB483 : 'Unassigned [0xB483]',
	0xB484 : 'Unassigned [0xB484]',
	0xB485 : 'Unassigned [0xB485]',
	0xB486 : 'Unassigned [0xB486]',
	0xB487 : 'Unassigned [0xB487]',
	0xB488 : 'Unassigned [0xB488]',
	0xB489 : 'Unassigned [0xB489]',
	0xB48A : 'Unassigned [0xB48A]',
	0xB48B : 'Unassigned [0xB48B]',
	0xB48C : 'Unassigned [0xB48C]',
	0xB48D : 'Unassigned [0xB48D]',
	0xB48E : 'Unassigned [0xB48E]',
	0xB48F : 'Unassigned [0xB48F]',
	0xB490 : 'Unassigned [0xB490]',
	0xB491 : 'Unassigned [0xB491]',
	0xB492 : 'Unassigned [0xB492]',
	0xB493 : 'Unassigned [0xB493]',
	0xB494 : 'Unassigned [0xB494]',
	0xB495 : 'Unassigned [0xB495]',
	0xB496 : 'Unassigned [0xB496]',
	0xB497 : 'Unassigned [0xB497]',
	0xB498 : 'Unassigned [0xB498]',
	0xB499 : 'Unassigned [0xB499]',
	0xB49A : 'Unassigned [0xB49A]',
	0xB49B : 'Unassigned [0xB49B]',
	0xB49C : 'Unassigned [0xB49C]',
	0xB49D : 'Unassigned [0xB49D]',
	0xB49E : 'Unassigned [0xB49E]',
	0xB49F : 'Unassigned [0xB49F]',
	0xB4A0 : 'Unassigned [0xB4A0]',
	0xB4A1 : 'Unassigned [0xB4A1]',
	0xB4A2 : 'Unassigned [0xB4A2]',
	0xB4A3 : 'Unassigned [0xB4A3]',
	0xB4A4 : 'Unassigned [0xB4A4]',
	0xB4A5 : 'Unassigned [0xB4A5]',
	0xB4A6 : 'Unassigned [0xB4A6]',
	0xB4A7 : 'Unassigned [0xB4A7]',
	0xB4A8 : 'Unassigned [0xB4A8]',
	0xB4A9 : 'Unassigned [0xB4A9]',
	0xB4AA : 'Unassigned [0xB4AA]',
	0xB4AB : 'Unassigned [0xB4AB]',
	0xB4AC : 'Unassigned [0xB4AC]',
	0xB4AD : 'Unassigned [0xB4AD]',
	0xB4AE : 'Unassigned [0xB4AE]',
	0xB4AF : 'Unassigned [0xB4AF]',
	0xB4B0 : 'Unassigned [0xB4B0]',
	0xB4B1 : 'Unassigned [0xB4B1]',
	0xB4B2 : 'Unassigned [0xB4B2]',
	0xB4B3 : 'Unassigned [0xB4B3]',
	0xB4B4 : 'Unassigned [0xB4B4]',
	0xB4B5 : 'Unassigned [0xB4B5]',
	0xB4B6 : 'Unassigned [0xB4B6]',
	0xB4B7 : 'Unassigned [0xB4B7]',
	0xB4B8 : 'Unassigned [0xB4B8]',
	0xB4B9 : 'Unassigned [0xB4B9]',
	0xB4BA : 'Unassigned [0xB4BA]',
	0xB4BB : 'Unassigned [0xB4BB]',
	0xB4BC : 'Unassigned [0xB4BC]',
	0xB4BD : 'Unassigned [0xB4BD]',
	0xB4BE : 'Unassigned [0xB4BE]',
	0xB4BF : 'Unassigned [0xB4BF]',
	0xB4C0 : 'Unassigned [0xB4C0]',
	0xB4C1 : 'Unassigned [0xB4C1]',
	0xB4C2 : 'Unassigned [0xB4C2]',
	0xB4C3 : 'Unassigned [0xB4C3]',
	0xB4C4 : 'Unassigned [0xB4C4]',
	0xB4C5 : 'Unassigned [0xB4C5]',
	0xB4C6 : 'Unassigned [0xB4C6]',
	0xB4C7 : 'Unassigned [0xB4C7]',
	0xB4C8 : 'Unassigned [0xB4C8]',
	0xB4C9 : 'Unassigned [0xB4C9]',
	0xB4CA : 'Unassigned [0xB4CA]',
	0xB4CB : 'Unassigned [0xB4CB]',
	0xB4CC : 'Unassigned [0xB4CC]',
	0xB4CD : 'Unassigned [0xB4CD]',
	0xB4CE : 'Unassigned [0xB4CE]',
	0xB4CF : 'Unassigned [0xB4CF]',
	0xB4D0 : 'Unassigned [0xB4D0]',
	0xB4D1 : 'Unassigned [0xB4D1]',
	0xB4D2 : 'Unassigned [0xB4D2]',
	0xB4D3 : 'Unassigned [0xB4D3]',
	0xB4D4 : 'Unassigned [0xB4D4]',
	0xB4D5 : 'Unassigned [0xB4D5]',
	0xB4D6 : 'Unassigned [0xB4D6]',
	0xB4D7 : 'Unassigned [0xB4D7]',
	0xB4D8 : 'Unassigned [0xB4D8]',
	0xB4D9 : 'Unassigned [0xB4D9]',
	0xB4DA : 'Unassigned [0xB4DA]',
	0xB4DB : 'Unassigned [0xB4DB]',
	0xB4DC : 'Unassigned [0xB4DC]',
	0xB4DD : 'Unassigned [0xB4DD]',
	0xB4DE : 'Unassigned [0xB4DE]',
	0xB4DF : 'Unassigned [0xB4DF]',
	0xB4E0 : 'Unassigned [0xB4E0]',
	0xB4E1 : 'Unassigned [0xB4E1]',
	0xB4E2 : 'Unassigned [0xB4E2]',
	0xB4E3 : 'Unassigned [0xB4E3]',
	0xB4E4 : 'Unassigned [0xB4E4]',
	0xB4E5 : 'Unassigned [0xB4E5]',
	0xB4E6 : 'Unassigned [0xB4E6]',
	0xB4E7 : 'Unassigned [0xB4E7]',
	0xB4E8 : 'Unassigned [0xB4E8]',
	0xB4E9 : 'Unassigned [0xB4E9]',
	0xB4EA : 'Unassigned [0xB4EA]',
	0xB4EB : 'Unassigned [0xB4EB]',
	0xB4EC : 'Unassigned [0xB4EC]',
	0xB4ED : 'Unassigned [0xB4ED]',
	0xB4EE : 'Unassigned [0xB4EE]',
	0xB4EF : 'Unassigned [0xB4EF]',
	0xB4F0 : 'Unassigned [0xB4F0]',
	0xB4F1 : 'Unassigned [0xB4F1]',
	0xB4F2 : 'Unassigned [0xB4F2]',
	0xB4F3 : 'Unassigned [0xB4F3]',
	0xB4F4 : 'Unassigned [0xB4F4]',
	0xB4F5 : 'Unassigned [0xB4F5]',
	0xB4F6 : 'Unassigned [0xB4F6]',
	0xB4F7 : 'Unassigned [0xB4F7]',
	0xB4F8 : 'Unassigned [0xB4F8]',
	0xB4F9 : 'Unassigned [0xB4F9]',
	0xB4FA : 'Unassigned [0xB4FA]',
	0xB4FB : 'Unassigned [0xB4FB]',
	0xB4FC : 'Unassigned [0xB4FC]',
	0xB4FD : 'Unassigned [0xB4FD]',
	0xB4FE : 'Unassigned [0xB4FE]',
	0xB4FF : 'Unassigned [0xB4FF]',
	0xB500 : 'Unassigned [0xB500]',
	0xB501 : 'Unassigned [0xB501]',
	0xB502 : 'Unassigned [0xB502]',
	0xB503 : 'Unassigned [0xB503]',
	0xB504 : 'Unassigned [0xB504]',
	0xB505 : 'Unassigned [0xB505]',
	0xB506 : 'Unassigned [0xB506]',
	0xB507 : 'Unassigned [0xB507]',
	0xB508 : 'Unassigned [0xB508]',
	0xB509 : 'Unassigned [0xB509]',
	0xB50A : 'Unassigned [0xB50A]',
	0xB50B : 'Unassigned [0xB50B]',
	0xB50C : 'Unassigned [0xB50C]',
	0xB50D : 'Unassigned [0xB50D]',
	0xB50E : 'Unassigned [0xB50E]',
	0xB50F : 'Unassigned [0xB50F]',
	0xB510 : 'Unassigned [0xB510]',
	0xB511 : 'Unassigned [0xB511]',
	0xB512 : 'Unassigned [0xB512]',
	0xB513 : 'Unassigned [0xB513]',
	0xB514 : 'Unassigned [0xB514]',
	0xB515 : 'Unassigned [0xB515]',
	0xB516 : 'Unassigned [0xB516]',
	0xB517 : 'Unassigned [0xB517]',
	0xB518 : 'Unassigned [0xB518]',
	0xB519 : 'Unassigned [0xB519]',
	0xB51A : 'Unassigned [0xB51A]',
	0xB51B : 'Unassigned [0xB51B]',
	0xB51C : 'Unassigned [0xB51C]',
	0xB51D : 'Unassigned [0xB51D]',
	0xB51E : 'Unassigned [0xB51E]',
	0xB51F : 'Unassigned [0xB51F]',
	0xB520 : 'Unassigned [0xB520]',
	0xB521 : 'Unassigned [0xB521]',
	0xB522 : 'Unassigned [0xB522]',
	0xB523 : 'Unassigned [0xB523]',
	0xB524 : 'Unassigned [0xB524]',
	0xB525 : 'Unassigned [0xB525]',
	0xB526 : 'Unassigned [0xB526]',
	0xB527 : 'Unassigned [0xB527]',
	0xB528 : 'Unassigned [0xB528]',
	0xB529 : 'Unassigned [0xB529]',
	0xB52A : 'Unassigned [0xB52A]',
	0xB52B : 'Unassigned [0xB52B]',
	0xB52C : 'Unassigned [0xB52C]',
	0xB52D : 'Unassigned [0xB52D]',
	0xB52E : 'Unassigned [0xB52E]',
	0xB52F : 'Unassigned [0xB52F]',
	0xB530 : 'Unassigned [0xB530]',
	0xB531 : 'Unassigned [0xB531]',
	0xB532 : 'Unassigned [0xB532]',
	0xB533 : 'Unassigned [0xB533]',
	0xB534 : 'Unassigned [0xB534]',
	0xB535 : 'Unassigned [0xB535]',
	0xB536 : 'Unassigned [0xB536]',
	0xB537 : 'Unassigned [0xB537]',
	0xB538 : 'Unassigned [0xB538]',
	0xB539 : 'Unassigned [0xB539]',
	0xB53A : 'Unassigned [0xB53A]',
	0xB53B : 'Unassigned [0xB53B]',
	0xB53C : 'Unassigned [0xB53C]',
	0xB53D : 'Unassigned [0xB53D]',
	0xB53E : 'Unassigned [0xB53E]',
	0xB53F : 'Unassigned [0xB53F]',
	0xB540 : 'Unassigned [0xB540]',
	0xB541 : 'Unassigned [0xB541]',
	0xB542 : 'Unassigned [0xB542]',
	0xB543 : 'Unassigned [0xB543]',
	0xB544 : 'Unassigned [0xB544]',
	0xB545 : 'Unassigned [0xB545]',
	0xB546 : 'Unassigned [0xB546]',
	0xB547 : 'Unassigned [0xB547]',
	0xB548 : 'Unassigned [0xB548]',
	0xB549 : 'Unassigned [0xB549]',
	0xB54A : 'Unassigned [0xB54A]',
	0xB54B : 'Unassigned [0xB54B]',
	0xB54C : 'Unassigned [0xB54C]',
	0xB54D : 'Unassigned [0xB54D]',
	0xB54E : 'Unassigned [0xB54E]',
	0xB54F : 'Unassigned [0xB54F]',
	0xB550 : 'Unassigned [0xB550]',
	0xB551 : 'Unassigned [0xB551]',
	0xB552 : 'Unassigned [0xB552]',
	0xB553 : 'Unassigned [0xB553]',
	0xB554 : 'Unassigned [0xB554]',
	0xB555 : 'Unassigned [0xB555]',
	0xB556 : 'Unassigned [0xB556]',
	0xB557 : 'Unassigned [0xB557]',
	0xB558 : 'Unassigned [0xB558]',
	0xB559 : 'Unassigned [0xB559]',
	0xB55A : 'Unassigned [0xB55A]',
	0xB55B : 'Unassigned [0xB55B]',
	0xB55C : 'Unassigned [0xB55C]',
	0xB55D : 'Unassigned [0xB55D]',
	0xB55E : 'Unassigned [0xB55E]',
	0xB55F : 'Unassigned [0xB55F]',
	0xB560 : 'Unassigned [0xB560]',
	0xB561 : 'Unassigned [0xB561]',
	0xB562 : 'Unassigned [0xB562]',
	0xB563 : 'Unassigned [0xB563]',
	0xB564 : 'Unassigned [0xB564]',
	0xB565 : 'Unassigned [0xB565]',
	0xB566 : 'Unassigned [0xB566]',
	0xB567 : 'Unassigned [0xB567]',
	0xB568 : 'Unassigned [0xB568]',
	0xB569 : 'Unassigned [0xB569]',
	0xB56A : 'Unassigned [0xB56A]',
	0xB56B : 'Unassigned [0xB56B]',
	0xB56C : 'Unassigned [0xB56C]',
	0xB56D : 'Unassigned [0xB56D]',
	0xB56E : 'Unassigned [0xB56E]',
	0xB56F : 'Unassigned [0xB56F]',
	0xB570 : 'Unassigned [0xB570]',
	0xB571 : 'Unassigned [0xB571]',
	0xB572 : 'Unassigned [0xB572]',
	0xB573 : 'Unassigned [0xB573]',
	0xB574 : 'Unassigned [0xB574]',
	0xB575 : 'Unassigned [0xB575]',
	0xB576 : 'Unassigned [0xB576]',
	0xB577 : 'Unassigned [0xB577]',
	0xB578 : 'Unassigned [0xB578]',
	0xB579 : 'Unassigned [0xB579]',
	0xB57A : 'Unassigned [0xB57A]',
	0xB57B : 'Unassigned [0xB57B]',
	0xB57C : 'Unassigned [0xB57C]',
	0xB57D : 'Unassigned [0xB57D]',
	0xB57E : 'Unassigned [0xB57E]',
	0xB57F : 'Unassigned [0xB57F]',
	0xB580 : 'Unassigned [0xB580]',
	0xB581 : 'Unassigned [0xB581]',
	0xB582 : 'Unassigned [0xB582]',
	0xB583 : 'Unassigned [0xB583]',
	0xB584 : 'Unassigned [0xB584]',
	0xB585 : 'Unassigned [0xB585]',
	0xB586 : 'Unassigned [0xB586]',
	0xB587 : 'Unassigned [0xB587]',
	0xB588 : 'Unassigned [0xB588]',
	0xB589 : 'Unassigned [0xB589]',
	0xB58A : 'Unassigned [0xB58A]',
	0xB58B : 'Unassigned [0xB58B]',
	0xB58C : 'Unassigned [0xB58C]',
	0xB58D : 'Unassigned [0xB58D]',
	0xB58E : 'Unassigned [0xB58E]',
	0xB58F : 'Unassigned [0xB58F]',
	0xB590 : 'Unassigned [0xB590]',
	0xB591 : 'Unassigned [0xB591]',
	0xB592 : 'Unassigned [0xB592]',
	0xB593 : 'Unassigned [0xB593]',
	0xB594 : 'Unassigned [0xB594]',
	0xB595 : 'Unassigned [0xB595]',
	0xB596 : 'Unassigned [0xB596]',
	0xB597 : 'Unassigned [0xB597]',
	0xB598 : 'Unassigned [0xB598]',
	0xB599 : 'Unassigned [0xB599]',
	0xB59A : 'Unassigned [0xB59A]',
	0xB59B : 'Unassigned [0xB59B]',
	0xB59C : 'Unassigned [0xB59C]',
	0xB59D : 'Unassigned [0xB59D]',
	0xB59E : 'Unassigned [0xB59E]',
	0xB59F : 'Unassigned [0xB59F]',
	0xB5A0 : 'Unassigned [0xB5A0]',
	0xB5A1 : 'Unassigned [0xB5A1]',
	0xB5A2 : 'Unassigned [0xB5A2]',
	0xB5A3 : 'Unassigned [0xB5A3]',
	0xB5A4 : 'Unassigned [0xB5A4]',
	0xB5A5 : 'Unassigned [0xB5A5]',
	0xB5A6 : 'Unassigned [0xB5A6]',
	0xB5A7 : 'Unassigned [0xB5A7]',
	0xB5A8 : 'Unassigned [0xB5A8]',
	0xB5A9 : 'Unassigned [0xB5A9]',
	0xB5AA : 'Unassigned [0xB5AA]',
	0xB5AB : 'Unassigned [0xB5AB]',
	0xB5AC : 'Unassigned [0xB5AC]',
	0xB5AD : 'Unassigned [0xB5AD]',
	0xB5AE : 'Unassigned [0xB5AE]',
	0xB5AF : 'Unassigned [0xB5AF]',
	0xB5B0 : 'Unassigned [0xB5B0]',
	0xB5B1 : 'Unassigned [0xB5B1]',
	0xB5B2 : 'Unassigned [0xB5B2]',
	0xB5B3 : 'Unassigned [0xB5B3]',
	0xB5B4 : 'Unassigned [0xB5B4]',
	0xB5B5 : 'Unassigned [0xB5B5]',
	0xB5B6 : 'Unassigned [0xB5B6]',
	0xB5B7 : 'Unassigned [0xB5B7]',
	0xB5B8 : 'Unassigned [0xB5B8]',
	0xB5B9 : 'Unassigned [0xB5B9]',
	0xB5BA : 'Unassigned [0xB5BA]',
	0xB5BB : 'Unassigned [0xB5BB]',
	0xB5BC : 'Unassigned [0xB5BC]',
	0xB5BD : 'Unassigned [0xB5BD]',
	0xB5BE : 'Unassigned [0xB5BE]',
	0xB5BF : 'Unassigned [0xB5BF]',
	0xB5C0 : 'Unassigned [0xB5C0]',
	0xB5C1 : 'Unassigned [0xB5C1]',
	0xB5C2 : 'Unassigned [0xB5C2]',
	0xB5C3 : 'Unassigned [0xB5C3]',
	0xB5C4 : 'Unassigned [0xB5C4]',
	0xB5C5 : 'Unassigned [0xB5C5]',
	0xB5C6 : 'Unassigned [0xB5C6]',
	0xB5C7 : 'Unassigned [0xB5C7]',
	0xB5C8 : 'Unassigned [0xB5C8]',
	0xB5C9 : 'Unassigned [0xB5C9]',
	0xB5CA : 'Unassigned [0xB5CA]',
	0xB5CB : 'Unassigned [0xB5CB]',
	0xB5CC : 'Unassigned [0xB5CC]',
	0xB5CD : 'Unassigned [0xB5CD]',
	0xB5CE : 'Unassigned [0xB5CE]',
	0xB5CF : 'Unassigned [0xB5CF]',
	0xB5D0 : 'Unassigned [0xB5D0]',
	0xB5D1 : 'Unassigned [0xB5D1]',
	0xB5D2 : 'Unassigned [0xB5D2]',
	0xB5D3 : 'Unassigned [0xB5D3]',
	0xB5D4 : 'Unassigned [0xB5D4]',
	0xB5D5 : 'Unassigned [0xB5D5]',
	0xB5D6 : 'Unassigned [0xB5D6]',
	0xB5D7 : 'Unassigned [0xB5D7]',
	0xB5D8 : 'Unassigned [0xB5D8]',
	0xB5D9 : 'Unassigned [0xB5D9]',
	0xB5DA : 'Unassigned [0xB5DA]',
	0xB5DB : 'Unassigned [0xB5DB]',
	0xB5DC : 'Unassigned [0xB5DC]',
	0xB5DD : 'Unassigned [0xB5DD]',
	0xB5DE : 'Unassigned [0xB5DE]',
	0xB5DF : 'Unassigned [0xB5DF]',
	0xB5E0 : 'Unassigned [0xB5E0]',
	0xB5E1 : 'Unassigned [0xB5E1]',
	0xB5E2 : 'Unassigned [0xB5E2]',
	0xB5E3 : 'Unassigned [0xB5E3]',
	0xB5E4 : 'Unassigned [0xB5E4]',
	0xB5E5 : 'Unassigned [0xB5E5]',
	0xB5E6 : 'Unassigned [0xB5E6]',
	0xB5E7 : 'Unassigned [0xB5E7]',
	0xB5E8 : 'Unassigned [0xB5E8]',
	0xB5E9 : 'Unassigned [0xB5E9]',
	0xB5EA : 'Unassigned [0xB5EA]',
	0xB5EB : 'Unassigned [0xB5EB]',
	0xB5EC : 'Unassigned [0xB5EC]',
	0xB5ED : 'Unassigned [0xB5ED]',
	0xB5EE : 'Unassigned [0xB5EE]',
	0xB5EF : 'Unassigned [0xB5EF]',
	0xB5F0 : 'Unassigned [0xB5F0]',
	0xB5F1 : 'Unassigned [0xB5F1]',
	0xB5F2 : 'Unassigned [0xB5F2]',
	0xB5F3 : 'Unassigned [0xB5F3]',
	0xB5F4 : 'Unassigned [0xB5F4]',
	0xB5F5 : 'Unassigned [0xB5F5]',
	0xB5F6 : 'Unassigned [0xB5F6]',
	0xB5F7 : 'Unassigned [0xB5F7]',
	0xB5F8 : 'Unassigned [0xB5F8]',
	0xB5F9 : 'Unassigned [0xB5F9]',
	0xB5FA : 'Unassigned [0xB5FA]',
	0xB5FB : 'Unassigned [0xB5FB]',
	0xB5FC : 'Unassigned [0xB5FC]',
	0xB5FD : 'Unassigned [0xB5FD]',
	0xB5FE : 'Unassigned [0xB5FE]',
	0xB5FF : 'Unassigned [0xB5FF]',
	0xB600 : 'Unassigned [0xB600]',
	0xB601 : 'Unassigned [0xB601]',
	0xB602 : 'Unassigned [0xB602]',
	0xB603 : 'Unassigned [0xB603]',
	0xB604 : 'Unassigned [0xB604]',
	0xB605 : 'Unassigned [0xB605]',
	0xB606 : 'Unassigned [0xB606]',
	0xB607 : 'Unassigned [0xB607]',
	0xB608 : 'Unassigned [0xB608]',
	0xB609 : 'Unassigned [0xB609]',
	0xB60A : 'Unassigned [0xB60A]',
	0xB60B : 'Unassigned [0xB60B]',
	0xB60C : 'Unassigned [0xB60C]',
	0xB60D : 'Unassigned [0xB60D]',
	0xB60E : 'Unassigned [0xB60E]',
	0xB60F : 'Unassigned [0xB60F]',
	0xB610 : 'Unassigned [0xB610]',
	0xB611 : 'Unassigned [0xB611]',
	0xB612 : 'Unassigned [0xB612]',
	0xB613 : 'Unassigned [0xB613]',
	0xB614 : 'Unassigned [0xB614]',
	0xB615 : 'Unassigned [0xB615]',
	0xB616 : 'Unassigned [0xB616]',
	0xB617 : 'Unassigned [0xB617]',
	0xB618 : 'Unassigned [0xB618]',
	0xB619 : 'Unassigned [0xB619]',
	0xB61A : 'Unassigned [0xB61A]',
	0xB61B : 'Unassigned [0xB61B]',
	0xB61C : 'Unassigned [0xB61C]',
	0xB61D : 'Unassigned [0xB61D]',
	0xB61E : 'Unassigned [0xB61E]',
	0xB61F : 'Unassigned [0xB61F]',
	0xB620 : 'Unassigned [0xB620]',
	0xB621 : 'Unassigned [0xB621]',
	0xB622 : 'Unassigned [0xB622]',
	0xB623 : 'Unassigned [0xB623]',
	0xB624 : 'Unassigned [0xB624]',
	0xB625 : 'Unassigned [0xB625]',
	0xB626 : 'Unassigned [0xB626]',
	0xB627 : 'Unassigned [0xB627]',
	0xB628 : 'Unassigned [0xB628]',
	0xB629 : 'Unassigned [0xB629]',
	0xB62A : 'Unassigned [0xB62A]',
	0xB62B : 'Unassigned [0xB62B]',
	0xB62C : 'Unassigned [0xB62C]',
	0xB62D : 'Unassigned [0xB62D]',
	0xB62E : 'Unassigned [0xB62E]',
	0xB62F : 'Unassigned [0xB62F]',
	0xB630 : 'Unassigned [0xB630]',
	0xB631 : 'Unassigned [0xB631]',
	0xB632 : 'Unassigned [0xB632]',
	0xB633 : 'Unassigned [0xB633]',
	0xB634 : 'Unassigned [0xB634]',
	0xB635 : 'Unassigned [0xB635]',
	0xB636 : 'Unassigned [0xB636]',
	0xB637 : 'Unassigned [0xB637]',
	0xB638 : 'Unassigned [0xB638]',
	0xB639 : 'Unassigned [0xB639]',
	0xB63A : 'Unassigned [0xB63A]',
	0xB63B : 'Unassigned [0xB63B]',
	0xB63C : 'Unassigned [0xB63C]',
	0xB63D : 'Unassigned [0xB63D]',
	0xB63E : 'Unassigned [0xB63E]',
	0xB63F : 'Unassigned [0xB63F]',
	0xB640 : 'Unassigned [0xB640]',
	0xB641 : 'Unassigned [0xB641]',
	0xB642 : 'Unassigned [0xB642]',
	0xB643 : 'Unassigned [0xB643]',
	0xB644 : 'Unassigned [0xB644]',
	0xB645 : 'Unassigned [0xB645]',
	0xB646 : 'Unassigned [0xB646]',
	0xB647 : 'Unassigned [0xB647]',
	0xB648 : 'Unassigned [0xB648]',
	0xB649 : 'Unassigned [0xB649]',
	0xB64A : 'Unassigned [0xB64A]',
	0xB64B : 'Unassigned [0xB64B]',
	0xB64C : 'Unassigned [0xB64C]',
	0xB64D : 'Unassigned [0xB64D]',
	0xB64E : 'Unassigned [0xB64E]',
	0xB64F : 'Unassigned [0xB64F]',
	0xB650 : 'Unassigned [0xB650]',
	0xB651 : 'Unassigned [0xB651]',
	0xB652 : 'Unassigned [0xB652]',
	0xB653 : 'Unassigned [0xB653]',
	0xB654 : 'Unassigned [0xB654]',
	0xB655 : 'Unassigned [0xB655]',
	0xB656 : 'Unassigned [0xB656]',
	0xB657 : 'Unassigned [0xB657]',
	0xB658 : 'Unassigned [0xB658]',
	0xB659 : 'Unassigned [0xB659]',
	0xB65A : 'Unassigned [0xB65A]',
	0xB65B : 'Unassigned [0xB65B]',
	0xB65C : 'Unassigned [0xB65C]',
	0xB65D : 'Unassigned [0xB65D]',
	0xB65E : 'Unassigned [0xB65E]',
	0xB65F : 'Unassigned [0xB65F]',
	0xB660 : 'Unassigned [0xB660]',
	0xB661 : 'Unassigned [0xB661]',
	0xB662 : 'Unassigned [0xB662]',
	0xB663 : 'Unassigned [0xB663]',
	0xB664 : 'Unassigned [0xB664]',
	0xB665 : 'Unassigned [0xB665]',
	0xB666 : 'Unassigned [0xB666]',
	0xB667 : 'Unassigned [0xB667]',
	0xB668 : 'Unassigned [0xB668]',
	0xB669 : 'Unassigned [0xB669]',
	0xB66A : 'Unassigned [0xB66A]',
	0xB66B : 'Unassigned [0xB66B]',
	0xB66C : 'Unassigned [0xB66C]',
	0xB66D : 'Unassigned [0xB66D]',
	0xB66E : 'Unassigned [0xB66E]',
	0xB66F : 'Unassigned [0xB66F]',
	0xB670 : 'Unassigned [0xB670]',
	0xB671 : 'Unassigned [0xB671]',
	0xB672 : 'Unassigned [0xB672]',
	0xB673 : 'Unassigned [0xB673]',
	0xB674 : 'Unassigned [0xB674]',
	0xB675 : 'Unassigned [0xB675]',
	0xB676 : 'Unassigned [0xB676]',
	0xB677 : 'Unassigned [0xB677]',
	0xB678 : 'Unassigned [0xB678]',
	0xB679 : 'Unassigned [0xB679]',
	0xB67A : 'Unassigned [0xB67A]',
	0xB67B : 'Unassigned [0xB67B]',
	0xB67C : 'Unassigned [0xB67C]',
	0xB67D : 'Unassigned [0xB67D]',
	0xB67E : 'Unassigned [0xB67E]',
	0xB67F : 'Unassigned [0xB67F]',
	0xB680 : 'Unassigned [0xB680]',
	0xB681 : 'Unassigned [0xB681]',
	0xB682 : 'Unassigned [0xB682]',
	0xB683 : 'Unassigned [0xB683]',
	0xB684 : 'Unassigned [0xB684]',
	0xB685 : 'Unassigned [0xB685]',
	0xB686 : 'Unassigned [0xB686]',
	0xB687 : 'Unassigned [0xB687]',
	0xB688 : 'Unassigned [0xB688]',
	0xB689 : 'Unassigned [0xB689]',
	0xB68A : 'Unassigned [0xB68A]',
	0xB68B : 'Unassigned [0xB68B]',
	0xB68C : 'Unassigned [0xB68C]',
	0xB68D : 'Unassigned [0xB68D]',
	0xB68E : 'Unassigned [0xB68E]',
	0xB68F : 'Unassigned [0xB68F]',
	0xB690 : 'Unassigned [0xB690]',
	0xB691 : 'Unassigned [0xB691]',
	0xB692 : 'Unassigned [0xB692]',
	0xB693 : 'Unassigned [0xB693]',
	0xB694 : 'Unassigned [0xB694]',
	0xB695 : 'Unassigned [0xB695]',
	0xB696 : 'Unassigned [0xB696]',
	0xB697 : 'Unassigned [0xB697]',
	0xB698 : 'Unassigned [0xB698]',
	0xB699 : 'Unassigned [0xB699]',
	0xB69A : 'Unassigned [0xB69A]',
	0xB69B : 'Unassigned [0xB69B]',
	0xB69C : 'Unassigned [0xB69C]',
	0xB69D : 'Unassigned [0xB69D]',
	0xB69E : 'Unassigned [0xB69E]',
	0xB69F : 'Unassigned [0xB69F]',
	0xB6A0 : 'Unassigned [0xB6A0]',
	0xB6A1 : 'Unassigned [0xB6A1]',
	0xB6A2 : 'Unassigned [0xB6A2]',
	0xB6A3 : 'Unassigned [0xB6A3]',
	0xB6A4 : 'Unassigned [0xB6A4]',
	0xB6A5 : 'Unassigned [0xB6A5]',
	0xB6A6 : 'Unassigned [0xB6A6]',
	0xB6A7 : 'Unassigned [0xB6A7]',
	0xB6A8 : 'Unassigned [0xB6A8]',
	0xB6A9 : 'Unassigned [0xB6A9]',
	0xB6AA : 'Unassigned [0xB6AA]',
	0xB6AB : 'Unassigned [0xB6AB]',
	0xB6AC : 'Unassigned [0xB6AC]',
	0xB6AD : 'Unassigned [0xB6AD]',
	0xB6AE : 'Unassigned [0xB6AE]',
	0xB6AF : 'Unassigned [0xB6AF]',
	0xB6B0 : 'Unassigned [0xB6B0]',
	0xB6B1 : 'Unassigned [0xB6B1]',
	0xB6B2 : 'Unassigned [0xB6B2]',
	0xB6B3 : 'Unassigned [0xB6B3]',
	0xB6B4 : 'Unassigned [0xB6B4]',
	0xB6B5 : 'Unassigned [0xB6B5]',
	0xB6B6 : 'Unassigned [0xB6B6]',
	0xB6B7 : 'Unassigned [0xB6B7]',
	0xB6B8 : 'Unassigned [0xB6B8]',
	0xB6B9 : 'Unassigned [0xB6B9]',
	0xB6BA : 'Unassigned [0xB6BA]',
	0xB6BB : 'Unassigned [0xB6BB]',
	0xB6BC : 'Unassigned [0xB6BC]',
	0xB6BD : 'Unassigned [0xB6BD]',
	0xB6BE : 'Unassigned [0xB6BE]',
	0xB6BF : 'Unassigned [0xB6BF]',
	0xB6C0 : 'Unassigned [0xB6C0]',
	0xB6C1 : 'Unassigned [0xB6C1]',
	0xB6C2 : 'Unassigned [0xB6C2]',
	0xB6C3 : 'Unassigned [0xB6C3]',
	0xB6C4 : 'Unassigned [0xB6C4]',
	0xB6C5 : 'Unassigned [0xB6C5]',
	0xB6C6 : 'Unassigned [0xB6C6]',
	0xB6C7 : 'Unassigned [0xB6C7]',
	0xB6C8 : 'Unassigned [0xB6C8]',
	0xB6C9 : 'Unassigned [0xB6C9]',
	0xB6CA : 'Unassigned [0xB6CA]',
	0xB6CB : 'Unassigned [0xB6CB]',
	0xB6CC : 'Unassigned [0xB6CC]',
	0xB6CD : 'Unassigned [0xB6CD]',
	0xB6CE : 'Unassigned [0xB6CE]',
	0xB6CF : 'Unassigned [0xB6CF]',
	0xB6D0 : 'Unassigned [0xB6D0]',
	0xB6D1 : 'Unassigned [0xB6D1]',
	0xB6D2 : 'Unassigned [0xB6D2]',
	0xB6D3 : 'Unassigned [0xB6D3]',
	0xB6D4 : 'Unassigned [0xB6D4]',
	0xB6D5 : 'Unassigned [0xB6D5]',
	0xB6D6 : 'Unassigned [0xB6D6]',
	0xB6D7 : 'Unassigned [0xB6D7]',
	0xB6D8 : 'Unassigned [0xB6D8]',
	0xB6D9 : 'Unassigned [0xB6D9]',
	0xB6DA : 'Unassigned [0xB6DA]',
	0xB6DB : 'Unassigned [0xB6DB]',
	0xB6DC : 'Unassigned [0xB6DC]',
	0xB6DD : 'Unassigned [0xB6DD]',
	0xB6DE : 'Unassigned [0xB6DE]',
	0xB6DF : 'Unassigned [0xB6DF]',
	0xB6E0 : 'Unassigned [0xB6E0]',
	0xB6E1 : 'Unassigned [0xB6E1]',
	0xB6E2 : 'Unassigned [0xB6E2]',
	0xB6E3 : 'Unassigned [0xB6E3]',
	0xB6E4 : 'Unassigned [0xB6E4]',
	0xB6E5 : 'Unassigned [0xB6E5]',
	0xB6E6 : 'Unassigned [0xB6E6]',
	0xB6E7 : 'Unassigned [0xB6E7]',
	0xB6E8 : 'Unassigned [0xB6E8]',
	0xB6E9 : 'Unassigned [0xB6E9]',
	0xB6EA : 'Unassigned [0xB6EA]',
	0xB6EB : 'Unassigned [0xB6EB]',
	0xB6EC : 'Unassigned [0xB6EC]',
	0xB6ED : 'Unassigned [0xB6ED]',
	0xB6EE : 'Unassigned [0xB6EE]',
	0xB6EF : 'Unassigned [0xB6EF]',
	0xB6F0 : 'Unassigned [0xB6F0]',
	0xB6F1 : 'Unassigned [0xB6F1]',
	0xB6F2 : 'Unassigned [0xB6F2]',
	0xB6F3 : 'Unassigned [0xB6F3]',
	0xB6F4 : 'Unassigned [0xB6F4]',
	0xB6F5 : 'Unassigned [0xB6F5]',
	0xB6F6 : 'Unassigned [0xB6F6]',
	0xB6F7 : 'Unassigned [0xB6F7]',
	0xB6F8 : 'Unassigned [0xB6F8]',
	0xB6F9 : 'Unassigned [0xB6F9]',
	0xB6FA : 'Unassigned [0xB6FA]',
	0xB6FB : 'Unassigned [0xB6FB]',
	0xB6FC : 'Unassigned [0xB6FC]',
	0xB6FD : 'Unassigned [0xB6FD]',
	0xB6FE : 'Unassigned [0xB6FE]',
	0xB6FF : 'Unassigned [0xB6FF]',
	0xB700 : 'Unassigned [0xB700]',
	0xB701 : 'Unassigned [0xB701]',
	0xB702 : 'Unassigned [0xB702]',
	0xB703 : 'Unassigned [0xB703]',
	0xB704 : 'Unassigned [0xB704]',
	0xB705 : 'Unassigned [0xB705]',
	0xB706 : 'Unassigned [0xB706]',
	0xB707 : 'Unassigned [0xB707]',
	0xB708 : 'Unassigned [0xB708]',
	0xB709 : 'Unassigned [0xB709]',
	0xB70A : 'Unassigned [0xB70A]',
	0xB70B : 'Unassigned [0xB70B]',
	0xB70C : 'Unassigned [0xB70C]',
	0xB70D : 'Unassigned [0xB70D]',
	0xB70E : 'Unassigned [0xB70E]',
	0xB70F : 'Unassigned [0xB70F]',
	0xB710 : 'Unassigned [0xB710]',
	0xB711 : 'Unassigned [0xB711]',
	0xB712 : 'Unassigned [0xB712]',
	0xB713 : 'Unassigned [0xB713]',
	0xB714 : 'Unassigned [0xB714]',
	0xB715 : 'Unassigned [0xB715]',
	0xB716 : 'Unassigned [0xB716]',
	0xB717 : 'Unassigned [0xB717]',
	0xB718 : 'Unassigned [0xB718]',
	0xB719 : 'Unassigned [0xB719]',
	0xB71A : 'Unassigned [0xB71A]',
	0xB71B : 'Unassigned [0xB71B]',
	0xB71C : 'Unassigned [0xB71C]',
	0xB71D : 'Unassigned [0xB71D]',
	0xB71E : 'Unassigned [0xB71E]',
	0xB71F : 'Unassigned [0xB71F]',
	0xB720 : 'Unassigned [0xB720]',
	0xB721 : 'Unassigned [0xB721]',
	0xB722 : 'Unassigned [0xB722]',
	0xB723 : 'Unassigned [0xB723]',
	0xB724 : 'Unassigned [0xB724]',
	0xB725 : 'Unassigned [0xB725]',
	0xB726 : 'Unassigned [0xB726]',
	0xB727 : 'Unassigned [0xB727]',
	0xB728 : 'Unassigned [0xB728]',
	0xB729 : 'Unassigned [0xB729]',
	0xB72A : 'Unassigned [0xB72A]',
	0xB72B : 'Unassigned [0xB72B]',
	0xB72C : 'Unassigned [0xB72C]',
	0xB72D : 'Unassigned [0xB72D]',
	0xB72E : 'Unassigned [0xB72E]',
	0xB72F : 'Unassigned [0xB72F]',
	0xB730 : 'Unassigned [0xB730]',
	0xB731 : 'Unassigned [0xB731]',
	0xB732 : 'Unassigned [0xB732]',
	0xB733 : 'Unassigned [0xB733]',
	0xB734 : 'Unassigned [0xB734]',
	0xB735 : 'Unassigned [0xB735]',
	0xB736 : 'Unassigned [0xB736]',
	0xB737 : 'Unassigned [0xB737]',
	0xB738 : 'Unassigned [0xB738]',
	0xB739 : 'Unassigned [0xB739]',
	0xB73A : 'Unassigned [0xB73A]',
	0xB73B : 'Unassigned [0xB73B]',
	0xB73C : 'Unassigned [0xB73C]',
	0xB73D : 'Unassigned [0xB73D]',
	0xB73E : 'Unassigned [0xB73E]',
	0xB73F : 'Unassigned [0xB73F]',
	0xB740 : 'Unassigned [0xB740]',
	0xB741 : 'Unassigned [0xB741]',
	0xB742 : 'Unassigned [0xB742]',
	0xB743 : 'Unassigned [0xB743]',
	0xB744 : 'Unassigned [0xB744]',
	0xB745 : 'Unassigned [0xB745]',
	0xB746 : 'Unassigned [0xB746]',
	0xB747 : 'Unassigned [0xB747]',
	0xB748 : 'Unassigned [0xB748]',
	0xB749 : 'Unassigned [0xB749]',
	0xB74A : 'Unassigned [0xB74A]',
	0xB74B : 'Unassigned [0xB74B]',
	0xB74C : 'Unassigned [0xB74C]',
	0xB74D : 'Unassigned [0xB74D]',
	0xB74E : 'Unassigned [0xB74E]',
	0xB74F : 'Unassigned [0xB74F]',
	0xB750 : 'Unassigned [0xB750]',
	0xB751 : 'Unassigned [0xB751]',
	0xB752 : 'Unassigned [0xB752]',
	0xB753 : 'Unassigned [0xB753]',
	0xB754 : 'Unassigned [0xB754]',
	0xB755 : 'Unassigned [0xB755]',
	0xB756 : 'Unassigned [0xB756]',
	0xB757 : 'Unassigned [0xB757]',
	0xB758 : 'Unassigned [0xB758]',
	0xB759 : 'Unassigned [0xB759]',
	0xB75A : 'Unassigned [0xB75A]',
	0xB75B : 'Unassigned [0xB75B]',
	0xB75C : 'Unassigned [0xB75C]',
	0xB75D : 'Unassigned [0xB75D]',
	0xB75E : 'Unassigned [0xB75E]',
	0xB75F : 'Unassigned [0xB75F]',
	0xB760 : 'Unassigned [0xB760]',
	0xB761 : 'Unassigned [0xB761]',
	0xB762 : 'Unassigned [0xB762]',
	0xB763 : 'Unassigned [0xB763]',
	0xB764 : 'Unassigned [0xB764]',
	0xB765 : 'Unassigned [0xB765]',
	0xB766 : 'Unassigned [0xB766]',
	0xB767 : 'Unassigned [0xB767]',
	0xB768 : 'Unassigned [0xB768]',
	0xB769 : 'Unassigned [0xB769]',
	0xB76A : 'Unassigned [0xB76A]',
	0xB76B : 'Unassigned [0xB76B]',
	0xB76C : 'Unassigned [0xB76C]',
	0xB76D : 'Unassigned [0xB76D]',
	0xB76E : 'Unassigned [0xB76E]',
	0xB76F : 'Unassigned [0xB76F]',
	0xB770 : 'Unassigned [0xB770]',
	0xB771 : 'Unassigned [0xB771]',
	0xB772 : 'Unassigned [0xB772]',
	0xB773 : 'Unassigned [0xB773]',
	0xB774 : 'Unassigned [0xB774]',
	0xB775 : 'Unassigned [0xB775]',
	0xB776 : 'Unassigned [0xB776]',
	0xB777 : 'Unassigned [0xB777]',
	0xB778 : 'Unassigned [0xB778]',
	0xB779 : 'Unassigned [0xB779]',
	0xB77A : 'Unassigned [0xB77A]',
	0xB77B : 'Unassigned [0xB77B]',
	0xB77C : 'Unassigned [0xB77C]',
	0xB77D : 'Unassigned [0xB77D]',
	0xB77E : 'Unassigned [0xB77E]',
	0xB77F : 'Unassigned [0xB77F]',
	0xB780 : 'Unassigned [0xB780]',
	0xB781 : 'Unassigned [0xB781]',
	0xB782 : 'Unassigned [0xB782]',
	0xB783 : 'Unassigned [0xB783]',
	0xB784 : 'Unassigned [0xB784]',
	0xB785 : 'Unassigned [0xB785]',
	0xB786 : 'Unassigned [0xB786]',
	0xB787 : 'Unassigned [0xB787]',
	0xB788 : 'Unassigned [0xB788]',
	0xB789 : 'Unassigned [0xB789]',
	0xB78A : 'Unassigned [0xB78A]',
	0xB78B : 'Unassigned [0xB78B]',
	0xB78C : 'Unassigned [0xB78C]',
	0xB78D : 'Unassigned [0xB78D]',
	0xB78E : 'Unassigned [0xB78E]',
	0xB78F : 'Unassigned [0xB78F]',
	0xB790 : 'Unassigned [0xB790]',
	0xB791 : 'Unassigned [0xB791]',
	0xB792 : 'Unassigned [0xB792]',
	0xB793 : 'Unassigned [0xB793]',
	0xB794 : 'Unassigned [0xB794]',
	0xB795 : 'Unassigned [0xB795]',
	0xB796 : 'Unassigned [0xB796]',
	0xB797 : 'Unassigned [0xB797]',
	0xB798 : 'Unassigned [0xB798]',
	0xB799 : 'Unassigned [0xB799]',
	0xB79A : 'Unassigned [0xB79A]',
	0xB79B : 'Unassigned [0xB79B]',
	0xB79C : 'Unassigned [0xB79C]',
	0xB79D : 'Unassigned [0xB79D]',
	0xB79E : 'Unassigned [0xB79E]',
	0xB79F : 'Unassigned [0xB79F]',
	0xB7A0 : 'Unassigned [0xB7A0]',
	0xB7A1 : 'Unassigned [0xB7A1]',
	0xB7A2 : 'Unassigned [0xB7A2]',
	0xB7A3 : 'Unassigned [0xB7A3]',
	0xB7A4 : 'Unassigned [0xB7A4]',
	0xB7A5 : 'Unassigned [0xB7A5]',
	0xB7A6 : 'Unassigned [0xB7A6]',
	0xB7A7 : 'Unassigned [0xB7A7]',
	0xB7A8 : 'Unassigned [0xB7A8]',
	0xB7A9 : 'Unassigned [0xB7A9]',
	0xB7AA : 'Unassigned [0xB7AA]',
	0xB7AB : 'Unassigned [0xB7AB]',
	0xB7AC : 'Unassigned [0xB7AC]',
	0xB7AD : 'Unassigned [0xB7AD]',
	0xB7AE : 'Unassigned [0xB7AE]',
	0xB7AF : 'Unassigned [0xB7AF]',
	0xB7B0 : 'Unassigned [0xB7B0]',
	0xB7B1 : 'Unassigned [0xB7B1]',
	0xB7B2 : 'Unassigned [0xB7B2]',
	0xB7B3 : 'Unassigned [0xB7B3]',
	0xB7B4 : 'Unassigned [0xB7B4]',
	0xB7B5 : 'Unassigned [0xB7B5]',
	0xB7B6 : 'Unassigned [0xB7B6]',
	0xB7B7 : 'Unassigned [0xB7B7]',
	0xB7B8 : 'Unassigned [0xB7B8]',
	0xB7B9 : 'Unassigned [0xB7B9]',
	0xB7BA : 'Unassigned [0xB7BA]',
	0xB7BB : 'Unassigned [0xB7BB]',
	0xB7BC : 'Unassigned [0xB7BC]',
	0xB7BD : 'Unassigned [0xB7BD]',
	0xB7BE : 'Unassigned [0xB7BE]',
	0xB7BF : 'Unassigned [0xB7BF]',
	0xB7C0 : 'Unassigned [0xB7C0]',
	0xB7C1 : 'Unassigned [0xB7C1]',
	0xB7C2 : 'Unassigned [0xB7C2]',
	0xB7C3 : 'Unassigned [0xB7C3]',
	0xB7C4 : 'Unassigned [0xB7C4]',
	0xB7C5 : 'Unassigned [0xB7C5]',
	0xB7C6 : 'Unassigned [0xB7C6]',
	0xB7C7 : 'Unassigned [0xB7C7]',
	0xB7C8 : 'Unassigned [0xB7C8]',
	0xB7C9 : 'Unassigned [0xB7C9]',
	0xB7CA : 'Unassigned [0xB7CA]',
	0xB7CB : 'Unassigned [0xB7CB]',
	0xB7CC : 'Unassigned [0xB7CC]',
	0xB7CD : 'Unassigned [0xB7CD]',
	0xB7CE : 'Unassigned [0xB7CE]',
	0xB7CF : 'Unassigned [0xB7CF]',
	0xB7D0 : 'Unassigned [0xB7D0]',
	0xB7D1 : 'Unassigned [0xB7D1]',
	0xB7D2 : 'Unassigned [0xB7D2]',
	0xB7D3 : 'Unassigned [0xB7D3]',
	0xB7D4 : 'Unassigned [0xB7D4]',
	0xB7D5 : 'Unassigned [0xB7D5]',
	0xB7D6 : 'Unassigned [0xB7D6]',
	0xB7D7 : 'Unassigned [0xB7D7]',
	0xB7D8 : 'Unassigned [0xB7D8]',
	0xB7D9 : 'Unassigned [0xB7D9]',
	0xB7DA : 'Unassigned [0xB7DA]',
	0xB7DB : 'Unassigned [0xB7DB]',
	0xB7DC : 'Unassigned [0xB7DC]',
	0xB7DD : 'Unassigned [0xB7DD]',
	0xB7DE : 'Unassigned [0xB7DE]',
	0xB7DF : 'Unassigned [0xB7DF]',
	0xB7E0 : 'Unassigned [0xB7E0]',
	0xB7E1 : 'Unassigned [0xB7E1]',
	0xB7E2 : 'Unassigned [0xB7E2]',
	0xB7E3 : 'Unassigned [0xB7E3]',
	0xB7E4 : 'Unassigned [0xB7E4]',
	0xB7E5 : 'Unassigned [0xB7E5]',
	0xB7E6 : 'Unassigned [0xB7E6]',
	0xB7E7 : 'Unassigned [0xB7E7]',
	0xB7E8 : 'Unassigned [0xB7E8]',
	0xB7E9 : 'Unassigned [0xB7E9]',
	0xB7EA : 'Unassigned [0xB7EA]',
	0xB7EB : 'Unassigned [0xB7EB]',
	0xB7EC : 'Unassigned [0xB7EC]',
	0xB7ED : 'Unassigned [0xB7ED]',
	0xB7EE : 'Unassigned [0xB7EE]',
	0xB7EF : 'Unassigned [0xB7EF]',
	0xB7F0 : 'Unassigned [0xB7F0]',
	0xB7F1 : 'Unassigned [0xB7F1]',
	0xB7F2 : 'Unassigned [0xB7F2]',
	0xB7F3 : 'Unassigned [0xB7F3]',
	0xB7F4 : 'Unassigned [0xB7F4]',
	0xB7F5 : 'Unassigned [0xB7F5]',
	0xB7F6 : 'Unassigned [0xB7F6]',
	0xB7F7 : 'Unassigned [0xB7F7]',
	0xB7F8 : 'Unassigned [0xB7F8]',
	0xB7F9 : 'Unassigned [0xB7F9]',
	0xB7FA : 'Unassigned [0xB7FA]',
	0xB7FB : 'Unassigned [0xB7FB]',
	0xB7FC : 'Unassigned [0xB7FC]',
	0xB7FD : 'Unassigned [0xB7FD]',
	0xB7FE : 'Unassigned [0xB7FE]',
	0xB7FF : 'Unassigned [0xB7FF]',
	0xB800 : 'Unassigned [0xB800]',
	0xB801 : 'Unassigned [0xB801]',
	0xB802 : 'Unassigned [0xB802]',
	0xB803 : 'Unassigned [0xB803]',
	0xB804 : 'Unassigned [0xB804]',
	0xB805 : 'Unassigned [0xB805]',
	0xB806 : 'Unassigned [0xB806]',
	0xB807 : 'Unassigned [0xB807]',
	0xB808 : 'Unassigned [0xB808]',
	0xB809 : 'Unassigned [0xB809]',
	0xB80A : 'Unassigned [0xB80A]',
	0xB80B : 'Unassigned [0xB80B]',
	0xB80C : 'Unassigned [0xB80C]',
	0xB80D : 'Unassigned [0xB80D]',
	0xB80E : 'Unassigned [0xB80E]',
	0xB80F : 'Unassigned [0xB80F]',
	0xB810 : 'Unassigned [0xB810]',
	0xB811 : 'Unassigned [0xB811]',
	0xB812 : 'Unassigned [0xB812]',
	0xB813 : 'Unassigned [0xB813]',
	0xB814 : 'Unassigned [0xB814]',
	0xB815 : 'Unassigned [0xB815]',
	0xB816 : 'Unassigned [0xB816]',
	0xB817 : 'Unassigned [0xB817]',
	0xB818 : 'Unassigned [0xB818]',
	0xB819 : 'Unassigned [0xB819]',
	0xB81A : 'Unassigned [0xB81A]',
	0xB81B : 'Unassigned [0xB81B]',
	0xB81C : 'Unassigned [0xB81C]',
	0xB81D : 'Unassigned [0xB81D]',
	0xB81E : 'Unassigned [0xB81E]',
	0xB81F : 'Unassigned [0xB81F]',
	0xB820 : 'Unassigned [0xB820]',
	0xB821 : 'Unassigned [0xB821]',
	0xB822 : 'Unassigned [0xB822]',
	0xB823 : 'Unassigned [0xB823]',
	0xB824 : 'Unassigned [0xB824]',
	0xB825 : 'Unassigned [0xB825]',
	0xB826 : 'Unassigned [0xB826]',
	0xB827 : 'Unassigned [0xB827]',
	0xB828 : 'Unassigned [0xB828]',
	0xB829 : 'Unassigned [0xB829]',
	0xB82A : 'Unassigned [0xB82A]',
	0xB82B : 'Unassigned [0xB82B]',
	0xB82C : 'Unassigned [0xB82C]',
	0xB82D : 'Unassigned [0xB82D]',
	0xB82E : 'Unassigned [0xB82E]',
	0xB82F : 'Unassigned [0xB82F]',
	0xB830 : 'Unassigned [0xB830]',
	0xB831 : 'Unassigned [0xB831]',
	0xB832 : 'Unassigned [0xB832]',
	0xB833 : 'Unassigned [0xB833]',
	0xB834 : 'Unassigned [0xB834]',
	0xB835 : 'Unassigned [0xB835]',
	0xB836 : 'Unassigned [0xB836]',
	0xB837 : 'Unassigned [0xB837]',
	0xB838 : 'Unassigned [0xB838]',
	0xB839 : 'Unassigned [0xB839]',
	0xB83A : 'Unassigned [0xB83A]',
	0xB83B : 'Unassigned [0xB83B]',
	0xB83C : 'Unassigned [0xB83C]',
	0xB83D : 'Unassigned [0xB83D]',
	0xB83E : 'Unassigned [0xB83E]',
	0xB83F : 'Unassigned [0xB83F]',
	0xB840 : 'Unassigned [0xB840]',
	0xB841 : 'Unassigned [0xB841]',
	0xB842 : 'Unassigned [0xB842]',
	0xB843 : 'Unassigned [0xB843]',
	0xB844 : 'Unassigned [0xB844]',
	0xB845 : 'Unassigned [0xB845]',
	0xB846 : 'Unassigned [0xB846]',
	0xB847 : 'Unassigned [0xB847]',
	0xB848 : 'Unassigned [0xB848]',
	0xB849 : 'Unassigned [0xB849]',
	0xB84A : 'Unassigned [0xB84A]',
	0xB84B : 'Unassigned [0xB84B]',
	0xB84C : 'Unassigned [0xB84C]',
	0xB84D : 'Unassigned [0xB84D]',
	0xB84E : 'Unassigned [0xB84E]',
	0xB84F : 'Unassigned [0xB84F]',
	0xB850 : 'Unassigned [0xB850]',
	0xB851 : 'Unassigned [0xB851]',
	0xB852 : 'Unassigned [0xB852]',
	0xB853 : 'Unassigned [0xB853]',
	0xB854 : 'Unassigned [0xB854]',
	0xB855 : 'Unassigned [0xB855]',
	0xB856 : 'Unassigned [0xB856]',
	0xB857 : 'Unassigned [0xB857]',
	0xB858 : 'Unassigned [0xB858]',
	0xB859 : 'Unassigned [0xB859]',
	0xB85A : 'Unassigned [0xB85A]',
	0xB85B : 'Unassigned [0xB85B]',
	0xB85C : 'Unassigned [0xB85C]',
	0xB85D : 'Unassigned [0xB85D]',
	0xB85E : 'Unassigned [0xB85E]',
	0xB85F : 'Unassigned [0xB85F]',
	0xB860 : 'Unassigned [0xB860]',
	0xB861 : 'Unassigned [0xB861]',
	0xB862 : 'Unassigned [0xB862]',
	0xB863 : 'Unassigned [0xB863]',
	0xB864 : 'Unassigned [0xB864]',
	0xB865 : 'Unassigned [0xB865]',
	0xB866 : 'Unassigned [0xB866]',
	0xB867 : 'Unassigned [0xB867]',
	0xB868 : 'Unassigned [0xB868]',
	0xB869 : 'Unassigned [0xB869]',
	0xB86A : 'Unassigned [0xB86A]',
	0xB86B : 'Unassigned [0xB86B]',
	0xB86C : 'Unassigned [0xB86C]',
	0xB86D : 'Unassigned [0xB86D]',
	0xB86E : 'Unassigned [0xB86E]',
	0xB86F : 'Unassigned [0xB86F]',
	0xB870 : 'Unassigned [0xB870]',
	0xB871 : 'Unassigned [0xB871]',
	0xB872 : 'Unassigned [0xB872]',
	0xB873 : 'Unassigned [0xB873]',
	0xB874 : 'Unassigned [0xB874]',
	0xB875 : 'Unassigned [0xB875]',
	0xB876 : 'Unassigned [0xB876]',
	0xB877 : 'Unassigned [0xB877]',
	0xB878 : 'Unassigned [0xB878]',
	0xB879 : 'Unassigned [0xB879]',
	0xB87A : 'Unassigned [0xB87A]',
	0xB87B : 'Unassigned [0xB87B]',
	0xB87C : 'Unassigned [0xB87C]',
	0xB87D : 'Unassigned [0xB87D]',
	0xB87E : 'Unassigned [0xB87E]',
	0xB87F : 'Unassigned [0xB87F]',
	0xB880 : 'Unassigned [0xB880]',
	0xB881 : 'Unassigned [0xB881]',
	0xB882 : 'Unassigned [0xB882]',
	0xB883 : 'Unassigned [0xB883]',
	0xB884 : 'Unassigned [0xB884]',
	0xB885 : 'Unassigned [0xB885]',
	0xB886 : 'Unassigned [0xB886]',
	0xB887 : 'Unassigned [0xB887]',
	0xB888 : 'Unassigned [0xB888]',
	0xB889 : 'Unassigned [0xB889]',
	0xB88A : 'Unassigned [0xB88A]',
	0xB88B : 'Unassigned [0xB88B]',
	0xB88C : 'Unassigned [0xB88C]',
	0xB88D : 'Unassigned [0xB88D]',
	0xB88E : 'Unassigned [0xB88E]',
	0xB88F : 'Unassigned [0xB88F]',
	0xB890 : 'Unassigned [0xB890]',
	0xB891 : 'Unassigned [0xB891]',
	0xB892 : 'Unassigned [0xB892]',
	0xB893 : 'Unassigned [0xB893]',
	0xB894 : 'Unassigned [0xB894]',
	0xB895 : 'Unassigned [0xB895]',
	0xB896 : 'Unassigned [0xB896]',
	0xB897 : 'Unassigned [0xB897]',
	0xB898 : 'Unassigned [0xB898]',
	0xB899 : 'Unassigned [0xB899]',
	0xB89A : 'Unassigned [0xB89A]',
	0xB89B : 'Unassigned [0xB89B]',
	0xB89C : 'Unassigned [0xB89C]',
	0xB89D : 'Unassigned [0xB89D]',
	0xB89E : 'Unassigned [0xB89E]',
	0xB89F : 'Unassigned [0xB89F]',
	0xB8A0 : 'Unassigned [0xB8A0]',
	0xB8A1 : 'Unassigned [0xB8A1]',
	0xB8A2 : 'Unassigned [0xB8A2]',
	0xB8A3 : 'Unassigned [0xB8A3]',
	0xB8A4 : 'Unassigned [0xB8A4]',
	0xB8A5 : 'Unassigned [0xB8A5]',
	0xB8A6 : 'Unassigned [0xB8A6]',
	0xB8A7 : 'Unassigned [0xB8A7]',
	0xB8A8 : 'Unassigned [0xB8A8]',
	0xB8A9 : 'Unassigned [0xB8A9]',
	0xB8AA : 'Unassigned [0xB8AA]',
	0xB8AB : 'Unassigned [0xB8AB]',
	0xB8AC : 'Unassigned [0xB8AC]',
	0xB8AD : 'Unassigned [0xB8AD]',
	0xB8AE : 'Unassigned [0xB8AE]',
	0xB8AF : 'Unassigned [0xB8AF]',
	0xB8B0 : 'Unassigned [0xB8B0]',
	0xB8B1 : 'Unassigned [0xB8B1]',
	0xB8B2 : 'Unassigned [0xB8B2]',
	0xB8B3 : 'Unassigned [0xB8B3]',
	0xB8B4 : 'Unassigned [0xB8B4]',
	0xB8B5 : 'Unassigned [0xB8B5]',
	0xB8B6 : 'Unassigned [0xB8B6]',
	0xB8B7 : 'Unassigned [0xB8B7]',
	0xB8B8 : 'Unassigned [0xB8B8]',
	0xB8B9 : 'Unassigned [0xB8B9]',
	0xB8BA : 'Unassigned [0xB8BA]',
	0xB8BB : 'Unassigned [0xB8BB]',
	0xB8BC : 'Unassigned [0xB8BC]',
	0xB8BD : 'Unassigned [0xB8BD]',
	0xB8BE : 'Unassigned [0xB8BE]',
	0xB8BF : 'Unassigned [0xB8BF]',
	0xB8C0 : 'Unassigned [0xB8C0]',
	0xB8C1 : 'Unassigned [0xB8C1]',
	0xB8C2 : 'Unassigned [0xB8C2]',
	0xB8C3 : 'Unassigned [0xB8C3]',
	0xB8C4 : 'Unassigned [0xB8C4]',
	0xB8C5 : 'Unassigned [0xB8C5]',
	0xB8C6 : 'Unassigned [0xB8C6]',
	0xB8C7 : 'Unassigned [0xB8C7]',
	0xB8C8 : 'Unassigned [0xB8C8]',
	0xB8C9 : 'Unassigned [0xB8C9]',
	0xB8CA : 'Unassigned [0xB8CA]',
	0xB8CB : 'Unassigned [0xB8CB]',
	0xB8CC : 'Unassigned [0xB8CC]',
	0xB8CD : 'Unassigned [0xB8CD]',
	0xB8CE : 'Unassigned [0xB8CE]',
	0xB8CF : 'Unassigned [0xB8CF]',
	0xB8D0 : 'Unassigned [0xB8D0]',
	0xB8D1 : 'Unassigned [0xB8D1]',
	0xB8D2 : 'Unassigned [0xB8D2]',
	0xB8D3 : 'Unassigned [0xB8D3]',
	0xB8D4 : 'Unassigned [0xB8D4]',
	0xB8D5 : 'Unassigned [0xB8D5]',
	0xB8D6 : 'Unassigned [0xB8D6]',
	0xB8D7 : 'Unassigned [0xB8D7]',
	0xB8D8 : 'Unassigned [0xB8D8]',
	0xB8D9 : 'Unassigned [0xB8D9]',
	0xB8DA : 'Unassigned [0xB8DA]',
	0xB8DB : 'Unassigned [0xB8DB]',
	0xB8DC : 'Unassigned [0xB8DC]',
	0xB8DD : 'Unassigned [0xB8DD]',
	0xB8DE : 'Unassigned [0xB8DE]',
	0xB8DF : 'Unassigned [0xB8DF]',
	0xB8E0 : 'Unassigned [0xB8E0]',
	0xB8E1 : 'Unassigned [0xB8E1]',
	0xB8E2 : 'Unassigned [0xB8E2]',
	0xB8E3 : 'Unassigned [0xB8E3]',
	0xB8E4 : 'Unassigned [0xB8E4]',
	0xB8E5 : 'Unassigned [0xB8E5]',
	0xB8E6 : 'Unassigned [0xB8E6]',
	0xB8E7 : 'Unassigned [0xB8E7]',
	0xB8E8 : 'Unassigned [0xB8E8]',
	0xB8E9 : 'Unassigned [0xB8E9]',
	0xB8EA : 'Unassigned [0xB8EA]',
	0xB8EB : 'Unassigned [0xB8EB]',
	0xB8EC : 'Unassigned [0xB8EC]',
	0xB8ED : 'Unassigned [0xB8ED]',
	0xB8EE : 'Unassigned [0xB8EE]',
	0xB8EF : 'Unassigned [0xB8EF]',
	0xB8F0 : 'Unassigned [0xB8F0]',
	0xB8F1 : 'Unassigned [0xB8F1]',
	0xB8F2 : 'Unassigned [0xB8F2]',
	0xB8F3 : 'Unassigned [0xB8F3]',
	0xB8F4 : 'Unassigned [0xB8F4]',
	0xB8F5 : 'Unassigned [0xB8F5]',
	0xB8F6 : 'Unassigned [0xB8F6]',
	0xB8F7 : 'Unassigned [0xB8F7]',
	0xB8F8 : 'Unassigned [0xB8F8]',
	0xB8F9 : 'Unassigned [0xB8F9]',
	0xB8FA : 'Unassigned [0xB8FA]',
	0xB8FB : 'Unassigned [0xB8FB]',
	0xB8FC : 'Unassigned [0xB8FC]',
	0xB8FD : 'Unassigned [0xB8FD]',
	0xB8FE : 'Unassigned [0xB8FE]',
	0xB8FF : 'Unassigned [0xB8FF]',
	0xB900 : 'Unassigned [0xB900]',
	0xB901 : 'Unassigned [0xB901]',
	0xB902 : 'Unassigned [0xB902]',
	0xB903 : 'Unassigned [0xB903]',
	0xB904 : 'Unassigned [0xB904]',
	0xB905 : 'Unassigned [0xB905]',
	0xB906 : 'Unassigned [0xB906]',
	0xB907 : 'Unassigned [0xB907]',
	0xB908 : 'Unassigned [0xB908]',
	0xB909 : 'Unassigned [0xB909]',
	0xB90A : 'Unassigned [0xB90A]',
	0xB90B : 'Unassigned [0xB90B]',
	0xB90C : 'Unassigned [0xB90C]',
	0xB90D : 'Unassigned [0xB90D]',
	0xB90E : 'Unassigned [0xB90E]',
	0xB90F : 'Unassigned [0xB90F]',
	0xB910 : 'Unassigned [0xB910]',
	0xB911 : 'Unassigned [0xB911]',
	0xB912 : 'Unassigned [0xB912]',
	0xB913 : 'Unassigned [0xB913]',
	0xB914 : 'Unassigned [0xB914]',
	0xB915 : 'Unassigned [0xB915]',
	0xB916 : 'Unassigned [0xB916]',
	0xB917 : 'Unassigned [0xB917]',
	0xB918 : 'Unassigned [0xB918]',
	0xB919 : 'Unassigned [0xB919]',
	0xB91A : 'Unassigned [0xB91A]',
	0xB91B : 'Unassigned [0xB91B]',
	0xB91C : 'Unassigned [0xB91C]',
	0xB91D : 'Unassigned [0xB91D]',
	0xB91E : 'Unassigned [0xB91E]',
	0xB91F : 'Unassigned [0xB91F]',
	0xB920 : 'Unassigned [0xB920]',
	0xB921 : 'Unassigned [0xB921]',
	0xB922 : 'Unassigned [0xB922]',
	0xB923 : 'Unassigned [0xB923]',
	0xB924 : 'Unassigned [0xB924]',
	0xB925 : 'Unassigned [0xB925]',
	0xB926 : 'Unassigned [0xB926]',
	0xB927 : 'Unassigned [0xB927]',
	0xB928 : 'Unassigned [0xB928]',
	0xB929 : 'Unassigned [0xB929]',
	0xB92A : 'Unassigned [0xB92A]',
	0xB92B : 'Unassigned [0xB92B]',
	0xB92C : 'Unassigned [0xB92C]',
	0xB92D : 'Unassigned [0xB92D]',
	0xB92E : 'Unassigned [0xB92E]',
	0xB92F : 'Unassigned [0xB92F]',
	0xB930 : 'Unassigned [0xB930]',
	0xB931 : 'Unassigned [0xB931]',
	0xB932 : 'Unassigned [0xB932]',
	0xB933 : 'Unassigned [0xB933]',
	0xB934 : 'Unassigned [0xB934]',
	0xB935 : 'Unassigned [0xB935]',
	0xB936 : 'Unassigned [0xB936]',
	0xB937 : 'Unassigned [0xB937]',
	0xB938 : 'Unassigned [0xB938]',
	0xB939 : 'Unassigned [0xB939]',
	0xB93A : 'Unassigned [0xB93A]',
	0xB93B : 'Unassigned [0xB93B]',
	0xB93C : 'Unassigned [0xB93C]',
	0xB93D : 'Unassigned [0xB93D]',
	0xB93E : 'Unassigned [0xB93E]',
	0xB93F : 'Unassigned [0xB93F]',
	0xB940 : 'Unassigned [0xB940]',
	0xB941 : 'Unassigned [0xB941]',
	0xB942 : 'Unassigned [0xB942]',
	0xB943 : 'Unassigned [0xB943]',
	0xB944 : 'Unassigned [0xB944]',
	0xB945 : 'Unassigned [0xB945]',
	0xB946 : 'Unassigned [0xB946]',
	0xB947 : 'Unassigned [0xB947]',
	0xB948 : 'Unassigned [0xB948]',
	0xB949 : 'Unassigned [0xB949]',
	0xB94A : 'Unassigned [0xB94A]',
	0xB94B : 'Unassigned [0xB94B]',
	0xB94C : 'Unassigned [0xB94C]',
	0xB94D : 'Unassigned [0xB94D]',
	0xB94E : 'Unassigned [0xB94E]',
	0xB94F : 'Unassigned [0xB94F]',
	0xB950 : 'Unassigned [0xB950]',
	0xB951 : 'Unassigned [0xB951]',
	0xB952 : 'Unassigned [0xB952]',
	0xB953 : 'Unassigned [0xB953]',
	0xB954 : 'Unassigned [0xB954]',
	0xB955 : 'Unassigned [0xB955]',
	0xB956 : 'Unassigned [0xB956]',
	0xB957 : 'Unassigned [0xB957]',
	0xB958 : 'Unassigned [0xB958]',
	0xB959 : 'Unassigned [0xB959]',
	0xB95A : 'Unassigned [0xB95A]',
	0xB95B : 'Unassigned [0xB95B]',
	0xB95C : 'Unassigned [0xB95C]',
	0xB95D : 'Unassigned [0xB95D]',
	0xB95E : 'Unassigned [0xB95E]',
	0xB95F : 'Unassigned [0xB95F]',
	0xB960 : 'Unassigned [0xB960]',
	0xB961 : 'Unassigned [0xB961]',
	0xB962 : 'Unassigned [0xB962]',
	0xB963 : 'Unassigned [0xB963]',
	0xB964 : 'Unassigned [0xB964]',
	0xB965 : 'Unassigned [0xB965]',
	0xB966 : 'Unassigned [0xB966]',
	0xB967 : 'Unassigned [0xB967]',
	0xB968 : 'Unassigned [0xB968]',
	0xB969 : 'Unassigned [0xB969]',
	0xB96A : 'Unassigned [0xB96A]',
	0xB96B : 'Unassigned [0xB96B]',
	0xB96C : 'Unassigned [0xB96C]',
	0xB96D : 'Unassigned [0xB96D]',
	0xB96E : 'Unassigned [0xB96E]',
	0xB96F : 'Unassigned [0xB96F]',
	0xB970 : 'Unassigned [0xB970]',
	0xB971 : 'Unassigned [0xB971]',
	0xB972 : 'Unassigned [0xB972]',
	0xB973 : 'Unassigned [0xB973]',
	0xB974 : 'Unassigned [0xB974]',
	0xB975 : 'Unassigned [0xB975]',
	0xB976 : 'Unassigned [0xB976]',
	0xB977 : 'Unassigned [0xB977]',
	0xB978 : 'Unassigned [0xB978]',
	0xB979 : 'Unassigned [0xB979]',
	0xB97A : 'Unassigned [0xB97A]',
	0xB97B : 'Unassigned [0xB97B]',
	0xB97C : 'Unassigned [0xB97C]',
	0xB97D : 'Unassigned [0xB97D]',
	0xB97E : 'Unassigned [0xB97E]',
	0xB97F : 'Unassigned [0xB97F]',
	0xB980 : 'Unassigned [0xB980]',
	0xB981 : 'Unassigned [0xB981]',
	0xB982 : 'Unassigned [0xB982]',
	0xB983 : 'Unassigned [0xB983]',
	0xB984 : 'Unassigned [0xB984]',
	0xB985 : 'Unassigned [0xB985]',
	0xB986 : 'Unassigned [0xB986]',
	0xB987 : 'Unassigned [0xB987]',
	0xB988 : 'Unassigned [0xB988]',
	0xB989 : 'Unassigned [0xB989]',
	0xB98A : 'Unassigned [0xB98A]',
	0xB98B : 'Unassigned [0xB98B]',
	0xB98C : 'Unassigned [0xB98C]',
	0xB98D : 'Unassigned [0xB98D]',
	0xB98E : 'Unassigned [0xB98E]',
	0xB98F : 'Unassigned [0xB98F]',
	0xB990 : 'Unassigned [0xB990]',
	0xB991 : 'Unassigned [0xB991]',
	0xB992 : 'Unassigned [0xB992]',
	0xB993 : 'Unassigned [0xB993]',
	0xB994 : 'Unassigned [0xB994]',
	0xB995 : 'Unassigned [0xB995]',
	0xB996 : 'Unassigned [0xB996]',
	0xB997 : 'Unassigned [0xB997]',
	0xB998 : 'Unassigned [0xB998]',
	0xB999 : 'Unassigned [0xB999]',
	0xB99A : 'Unassigned [0xB99A]',
	0xB99B : 'Unassigned [0xB99B]',
	0xB99C : 'Unassigned [0xB99C]',
	0xB99D : 'Unassigned [0xB99D]',
	0xB99E : 'Unassigned [0xB99E]',
	0xB99F : 'Unassigned [0xB99F]',
	0xB9A0 : 'Unassigned [0xB9A0]',
	0xB9A1 : 'Unassigned [0xB9A1]',
	0xB9A2 : 'Unassigned [0xB9A2]',
	0xB9A3 : 'Unassigned [0xB9A3]',
	0xB9A4 : 'Unassigned [0xB9A4]',
	0xB9A5 : 'Unassigned [0xB9A5]',
	0xB9A6 : 'Unassigned [0xB9A6]',
	0xB9A7 : 'Unassigned [0xB9A7]',
	0xB9A8 : 'Unassigned [0xB9A8]',
	0xB9A9 : 'Unassigned [0xB9A9]',
	0xB9AA : 'Unassigned [0xB9AA]',
	0xB9AB : 'Unassigned [0xB9AB]',
	0xB9AC : 'Unassigned [0xB9AC]',
	0xB9AD : 'Unassigned [0xB9AD]',
	0xB9AE : 'Unassigned [0xB9AE]',
	0xB9AF : 'Unassigned [0xB9AF]',
	0xB9B0 : 'Unassigned [0xB9B0]',
	0xB9B1 : 'Unassigned [0xB9B1]',
	0xB9B2 : 'Unassigned [0xB9B2]',
	0xB9B3 : 'Unassigned [0xB9B3]',
	0xB9B4 : 'Unassigned [0xB9B4]',
	0xB9B5 : 'Unassigned [0xB9B5]',
	0xB9B6 : 'Unassigned [0xB9B6]',
	0xB9B7 : 'Unassigned [0xB9B7]',
	0xB9B8 : 'Unassigned [0xB9B8]',
	0xB9B9 : 'Unassigned [0xB9B9]',
	0xB9BA : 'Unassigned [0xB9BA]',
	0xB9BB : 'Unassigned [0xB9BB]',
	0xB9BC : 'Unassigned [0xB9BC]',
	0xB9BD : 'Unassigned [0xB9BD]',
	0xB9BE : 'Unassigned [0xB9BE]',
	0xB9BF : 'Unassigned [0xB9BF]',
	0xB9C0 : 'Unassigned [0xB9C0]',
	0xB9C1 : 'Unassigned [0xB9C1]',
	0xB9C2 : 'Unassigned [0xB9C2]',
	0xB9C3 : 'Unassigned [0xB9C3]',
	0xB9C4 : 'Unassigned [0xB9C4]',
	0xB9C5 : 'Unassigned [0xB9C5]',
	0xB9C6 : 'Unassigned [0xB9C6]',
	0xB9C7 : 'Unassigned [0xB9C7]',
	0xB9C8 : 'Unassigned [0xB9C8]',
	0xB9C9 : 'Unassigned [0xB9C9]',
	0xB9CA : 'Unassigned [0xB9CA]',
	0xB9CB : 'Unassigned [0xB9CB]',
	0xB9CC : 'Unassigned [0xB9CC]',
	0xB9CD : 'Unassigned [0xB9CD]',
	0xB9CE : 'Unassigned [0xB9CE]',
	0xB9CF : 'Unassigned [0xB9CF]',
	0xB9D0 : 'Unassigned [0xB9D0]',
	0xB9D1 : 'Unassigned [0xB9D1]',
	0xB9D2 : 'Unassigned [0xB9D2]',
	0xB9D3 : 'Unassigned [0xB9D3]',
	0xB9D4 : 'Unassigned [0xB9D4]',
	0xB9D5 : 'Unassigned [0xB9D5]',
	0xB9D6 : 'Unassigned [0xB9D6]',
	0xB9D7 : 'Unassigned [0xB9D7]',
	0xB9D8 : 'Unassigned [0xB9D8]',
	0xB9D9 : 'Unassigned [0xB9D9]',
	0xB9DA : 'Unassigned [0xB9DA]',
	0xB9DB : 'Unassigned [0xB9DB]',
	0xB9DC : 'Unassigned [0xB9DC]',
	0xB9DD : 'Unassigned [0xB9DD]',
	0xB9DE : 'Unassigned [0xB9DE]',
	0xB9DF : 'Unassigned [0xB9DF]',
	0xB9E0 : 'Unassigned [0xB9E0]',
	0xB9E1 : 'Unassigned [0xB9E1]',
	0xB9E2 : 'Unassigned [0xB9E2]',
	0xB9E3 : 'Unassigned [0xB9E3]',
	0xB9E4 : 'Unassigned [0xB9E4]',
	0xB9E5 : 'Unassigned [0xB9E5]',
	0xB9E6 : 'Unassigned [0xB9E6]',
	0xB9E7 : 'Unassigned [0xB9E7]',
	0xB9E8 : 'Unassigned [0xB9E8]',
	0xB9E9 : 'Unassigned [0xB9E9]',
	0xB9EA : 'Unassigned [0xB9EA]',
	0xB9EB : 'Unassigned [0xB9EB]',
	0xB9EC : 'Unassigned [0xB9EC]',
	0xB9ED : 'Unassigned [0xB9ED]',
	0xB9EE : 'Unassigned [0xB9EE]',
	0xB9EF : 'Unassigned [0xB9EF]',
	0xB9F0 : 'Unassigned [0xB9F0]',
	0xB9F1 : 'Unassigned [0xB9F1]',
	0xB9F2 : 'Unassigned [0xB9F2]',
	0xB9F3 : 'Unassigned [0xB9F3]',
	0xB9F4 : 'Unassigned [0xB9F4]',
	0xB9F5 : 'Unassigned [0xB9F5]',
	0xB9F6 : 'Unassigned [0xB9F6]',
	0xB9F7 : 'Unassigned [0xB9F7]',
	0xB9F8 : 'Unassigned [0xB9F8]',
	0xB9F9 : 'Unassigned [0xB9F9]',
	0xB9FA : 'Unassigned [0xB9FA]',
	0xB9FB : 'Unassigned [0xB9FB]',
	0xB9FC : 'Unassigned [0xB9FC]',
	0xB9FD : 'Unassigned [0xB9FD]',
	0xB9FE : 'Unassigned [0xB9FE]',
	0xB9FF : 'Unassigned [0xB9FF]',
	0xBA00 : 'Unassigned [0xBA00]',
	0xBA01 : 'Unassigned [0xBA01]',
	0xBA02 : 'Unassigned [0xBA02]',
	0xBA03 : 'Unassigned [0xBA03]',
	0xBA04 : 'Unassigned [0xBA04]',
	0xBA05 : 'Unassigned [0xBA05]',
	0xBA06 : 'Unassigned [0xBA06]',
	0xBA07 : 'Unassigned [0xBA07]',
	0xBA08 : 'Unassigned [0xBA08]',
	0xBA09 : 'Unassigned [0xBA09]',
	0xBA0A : 'Unassigned [0xBA0A]',
	0xBA0B : 'Unassigned [0xBA0B]',
	0xBA0C : 'Unassigned [0xBA0C]',
	0xBA0D : 'Unassigned [0xBA0D]',
	0xBA0E : 'Unassigned [0xBA0E]',
	0xBA0F : 'Unassigned [0xBA0F]',
	0xBA10 : 'Unassigned [0xBA10]',
	0xBA11 : 'Unassigned [0xBA11]',
	0xBA12 : 'Unassigned [0xBA12]',
	0xBA13 : 'Unassigned [0xBA13]',
	0xBA14 : 'Unassigned [0xBA14]',
	0xBA15 : 'Unassigned [0xBA15]',
	0xBA16 : 'Unassigned [0xBA16]',
	0xBA17 : 'Unassigned [0xBA17]',
	0xBA18 : 'Unassigned [0xBA18]',
	0xBA19 : 'Unassigned [0xBA19]',
	0xBA1A : 'Unassigned [0xBA1A]',
	0xBA1B : 'Unassigned [0xBA1B]',
	0xBA1C : 'Unassigned [0xBA1C]',
	0xBA1D : 'Unassigned [0xBA1D]',
	0xBA1E : 'Unassigned [0xBA1E]',
	0xBA1F : 'Unassigned [0xBA1F]',
	0xBA20 : 'Unassigned [0xBA20]',
	0xBA21 : 'Unassigned [0xBA21]',
	0xBA22 : 'Unassigned [0xBA22]',
	0xBA23 : 'Unassigned [0xBA23]',
	0xBA24 : 'Unassigned [0xBA24]',
	0xBA25 : 'Unassigned [0xBA25]',
	0xBA26 : 'Unassigned [0xBA26]',
	0xBA27 : 'Unassigned [0xBA27]',
	0xBA28 : 'Unassigned [0xBA28]',
	0xBA29 : 'Unassigned [0xBA29]',
	0xBA2A : 'Unassigned [0xBA2A]',
	0xBA2B : 'Unassigned [0xBA2B]',
	0xBA2C : 'Unassigned [0xBA2C]',
	0xBA2D : 'Unassigned [0xBA2D]',
	0xBA2E : 'Unassigned [0xBA2E]',
	0xBA2F : 'Unassigned [0xBA2F]',
	0xBA30 : 'Unassigned [0xBA30]',
	0xBA31 : 'Unassigned [0xBA31]',
	0xBA32 : 'Unassigned [0xBA32]',
	0xBA33 : 'Unassigned [0xBA33]',
	0xBA34 : 'Unassigned [0xBA34]',
	0xBA35 : 'Unassigned [0xBA35]',
	0xBA36 : 'Unassigned [0xBA36]',
	0xBA37 : 'Unassigned [0xBA37]',
	0xBA38 : 'Unassigned [0xBA38]',
	0xBA39 : 'Unassigned [0xBA39]',
	0xBA3A : 'Unassigned [0xBA3A]',
	0xBA3B : 'Unassigned [0xBA3B]',
	0xBA3C : 'Unassigned [0xBA3C]',
	0xBA3D : 'Unassigned [0xBA3D]',
	0xBA3E : 'Unassigned [0xBA3E]',
	0xBA3F : 'Unassigned [0xBA3F]',
	0xBA40 : 'Unassigned [0xBA40]',
	0xBA41 : 'Unassigned [0xBA41]',
	0xBA42 : 'Unassigned [0xBA42]',
	0xBA43 : 'Unassigned [0xBA43]',
	0xBA44 : 'Unassigned [0xBA44]',
	0xBA45 : 'Unassigned [0xBA45]',
	0xBA46 : 'Unassigned [0xBA46]',
	0xBA47 : 'Unassigned [0xBA47]',
	0xBA48 : 'Unassigned [0xBA48]',
	0xBA49 : 'Unassigned [0xBA49]',
	0xBA4A : 'Unassigned [0xBA4A]',
	0xBA4B : 'Unassigned [0xBA4B]',
	0xBA4C : 'Unassigned [0xBA4C]',
	0xBA4D : 'Unassigned [0xBA4D]',
	0xBA4E : 'Unassigned [0xBA4E]',
	0xBA4F : 'Unassigned [0xBA4F]',
	0xBA50 : 'Unassigned [0xBA50]',
	0xBA51 : 'Unassigned [0xBA51]',
	0xBA52 : 'Unassigned [0xBA52]',
	0xBA53 : 'Unassigned [0xBA53]',
	0xBA54 : 'Unassigned [0xBA54]',
	0xBA55 : 'Unassigned [0xBA55]',
	0xBA56 : 'Unassigned [0xBA56]',
	0xBA57 : 'Unassigned [0xBA57]',
	0xBA58 : 'Unassigned [0xBA58]',
	0xBA59 : 'Unassigned [0xBA59]',
	0xBA5A : 'Unassigned [0xBA5A]',
	0xBA5B : 'Unassigned [0xBA5B]',
	0xBA5C : 'Unassigned [0xBA5C]',
	0xBA5D : 'Unassigned [0xBA5D]',
	0xBA5E : 'Unassigned [0xBA5E]',
	0xBA5F : 'Unassigned [0xBA5F]',
	0xBA60 : 'Unassigned [0xBA60]',
	0xBA61 : 'Unassigned [0xBA61]',
	0xBA62 : 'Unassigned [0xBA62]',
	0xBA63 : 'Unassigned [0xBA63]',
	0xBA64 : 'Unassigned [0xBA64]',
	0xBA65 : 'Unassigned [0xBA65]',
	0xBA66 : 'Unassigned [0xBA66]',
	0xBA67 : 'Unassigned [0xBA67]',
	0xBA68 : 'Unassigned [0xBA68]',
	0xBA69 : 'Unassigned [0xBA69]',
	0xBA6A : 'Unassigned [0xBA6A]',
	0xBA6B : 'Unassigned [0xBA6B]',
	0xBA6C : 'Unassigned [0xBA6C]',
	0xBA6D : 'Unassigned [0xBA6D]',
	0xBA6E : 'Unassigned [0xBA6E]',
	0xBA6F : 'Unassigned [0xBA6F]',
	0xBA70 : 'Unassigned [0xBA70]',
	0xBA71 : 'Unassigned [0xBA71]',
	0xBA72 : 'Unassigned [0xBA72]',
	0xBA73 : 'Unassigned [0xBA73]',
	0xBA74 : 'Unassigned [0xBA74]',
	0xBA75 : 'Unassigned [0xBA75]',
	0xBA76 : 'Unassigned [0xBA76]',
	0xBA77 : 'Unassigned [0xBA77]',
	0xBA78 : 'Unassigned [0xBA78]',
	0xBA79 : 'Unassigned [0xBA79]',
	0xBA7A : 'Unassigned [0xBA7A]',
	0xBA7B : 'Unassigned [0xBA7B]',
	0xBA7C : 'Unassigned [0xBA7C]',
	0xBA7D : 'Unassigned [0xBA7D]',
	0xBA7E : 'Unassigned [0xBA7E]',
	0xBA7F : 'Unassigned [0xBA7F]',
	0xBA80 : 'Unassigned [0xBA80]',
	0xBA81 : 'Unassigned [0xBA81]',
	0xBA82 : 'Unassigned [0xBA82]',
	0xBA83 : 'Unassigned [0xBA83]',
	0xBA84 : 'Unassigned [0xBA84]',
	0xBA85 : 'Unassigned [0xBA85]',
	0xBA86 : 'Unassigned [0xBA86]',
	0xBA87 : 'Unassigned [0xBA87]',
	0xBA88 : 'Unassigned [0xBA88]',
	0xBA89 : 'Unassigned [0xBA89]',
	0xBA8A : 'Unassigned [0xBA8A]',
	0xBA8B : 'Unassigned [0xBA8B]',
	0xBA8C : 'Unassigned [0xBA8C]',
	0xBA8D : 'Unassigned [0xBA8D]',
	0xBA8E : 'Unassigned [0xBA8E]',
	0xBA8F : 'Unassigned [0xBA8F]',
	0xBA90 : 'Unassigned [0xBA90]',
	0xBA91 : 'Unassigned [0xBA91]',
	0xBA92 : 'Unassigned [0xBA92]',
	0xBA93 : 'Unassigned [0xBA93]',
	0xBA94 : 'Unassigned [0xBA94]',
	0xBA95 : 'Unassigned [0xBA95]',
	0xBA96 : 'Unassigned [0xBA96]',
	0xBA97 : 'Unassigned [0xBA97]',
	0xBA98 : 'Unassigned [0xBA98]',
	0xBA99 : 'Unassigned [0xBA99]',
	0xBA9A : 'Unassigned [0xBA9A]',
	0xBA9B : 'Unassigned [0xBA9B]',
	0xBA9C : 'Unassigned [0xBA9C]',
	0xBA9D : 'Unassigned [0xBA9D]',
	0xBA9E : 'Unassigned [0xBA9E]',
	0xBA9F : 'Unassigned [0xBA9F]',
	0xBAA0 : 'Unassigned [0xBAA0]',
	0xBAA1 : 'Unassigned [0xBAA1]',
	0xBAA2 : 'Unassigned [0xBAA2]',
	0xBAA3 : 'Unassigned [0xBAA3]',
	0xBAA4 : 'Unassigned [0xBAA4]',
	0xBAA5 : 'Unassigned [0xBAA5]',
	0xBAA6 : 'Unassigned [0xBAA6]',
	0xBAA7 : 'Unassigned [0xBAA7]',
	0xBAA8 : 'Unassigned [0xBAA8]',
	0xBAA9 : 'Unassigned [0xBAA9]',
	0xBAAA : 'Unassigned [0xBAAA]',
	0xBAAB : 'Unassigned [0xBAAB]',
	0xBAAC : 'Unassigned [0xBAAC]',
	0xBAAD : 'Unassigned [0xBAAD]',
	0xBAAE : 'Unassigned [0xBAAE]',
	0xBAAF : 'Unassigned [0xBAAF]',
	0xBAB0 : 'Unassigned [0xBAB0]',
	0xBAB1 : 'Unassigned [0xBAB1]',
	0xBAB2 : 'Unassigned [0xBAB2]',
	0xBAB3 : 'Unassigned [0xBAB3]',
	0xBAB4 : 'Unassigned [0xBAB4]',
	0xBAB5 : 'Unassigned [0xBAB5]',
	0xBAB6 : 'Unassigned [0xBAB6]',
	0xBAB7 : 'Unassigned [0xBAB7]',
	0xBAB8 : 'Unassigned [0xBAB8]',
	0xBAB9 : 'Unassigned [0xBAB9]',
	0xBABA : 'Unassigned [0xBABA]',
	0xBABB : 'Unassigned [0xBABB]',
	0xBABC : 'Unassigned [0xBABC]',
	0xBABD : 'Unassigned [0xBABD]',
	0xBABE : 'Unassigned [0xBABE]',
	0xBABF : 'Unassigned [0xBABF]',
	0xBAC0 : 'Unassigned [0xBAC0]',
	0xBAC1 : 'Unassigned [0xBAC1]',
	0xBAC2 : 'Unassigned [0xBAC2]',
	0xBAC3 : 'Unassigned [0xBAC3]',
	0xBAC4 : 'Unassigned [0xBAC4]',
	0xBAC5 : 'Unassigned [0xBAC5]',
	0xBAC6 : 'Unassigned [0xBAC6]',
	0xBAC7 : 'Unassigned [0xBAC7]',
	0xBAC8 : 'Unassigned [0xBAC8]',
	0xBAC9 : 'Unassigned [0xBAC9]',
	0xBACA : 'Unassigned [0xBACA]',
	0xBACB : 'Unassigned [0xBACB]',
	0xBACC : 'Unassigned [0xBACC]',
	0xBACD : 'Unassigned [0xBACD]',
	0xBACE : 'Unassigned [0xBACE]',
	0xBACF : 'Unassigned [0xBACF]',
	0xBAD0 : 'Unassigned [0xBAD0]',
	0xBAD1 : 'Unassigned [0xBAD1]',
	0xBAD2 : 'Unassigned [0xBAD2]',
	0xBAD3 : 'Unassigned [0xBAD3]',
	0xBAD4 : 'Unassigned [0xBAD4]',
	0xBAD5 : 'Unassigned [0xBAD5]',
	0xBAD6 : 'Unassigned [0xBAD6]',
	0xBAD7 : 'Unassigned [0xBAD7]',
	0xBAD8 : 'Unassigned [0xBAD8]',
	0xBAD9 : 'Unassigned [0xBAD9]',
	0xBADA : 'Unassigned [0xBADA]',
	0xBADB : 'Unassigned [0xBADB]',
	0xBADC : 'Unassigned [0xBADC]',
	0xBADD : 'Unassigned [0xBADD]',
	0xBADE : 'Unassigned [0xBADE]',
	0xBADF : 'Unassigned [0xBADF]',
	0xBAE0 : 'Unassigned [0xBAE0]',
	0xBAE1 : 'Unassigned [0xBAE1]',
	0xBAE2 : 'Unassigned [0xBAE2]',
	0xBAE3 : 'Unassigned [0xBAE3]',
	0xBAE4 : 'Unassigned [0xBAE4]',
	0xBAE5 : 'Unassigned [0xBAE5]',
	0xBAE6 : 'Unassigned [0xBAE6]',
	0xBAE7 : 'Unassigned [0xBAE7]',
	0xBAE8 : 'Unassigned [0xBAE8]',
	0xBAE9 : 'Unassigned [0xBAE9]',
	0xBAEA : 'Unassigned [0xBAEA]',
	0xBAEB : 'Unassigned [0xBAEB]',
	0xBAEC : 'Unassigned [0xBAEC]',
	0xBAED : 'Unassigned [0xBAED]',
	0xBAEE : 'Unassigned [0xBAEE]',
	0xBAEF : 'Unassigned [0xBAEF]',
	0xBAF0 : 'Unassigned [0xBAF0]',
	0xBAF1 : 'Unassigned [0xBAF1]',
	0xBAF2 : 'Unassigned [0xBAF2]',
	0xBAF3 : 'Unassigned [0xBAF3]',
	0xBAF4 : 'Unassigned [0xBAF4]',
	0xBAF5 : 'Unassigned [0xBAF5]',
	0xBAF6 : 'Unassigned [0xBAF6]',
	0xBAF7 : 'Unassigned [0xBAF7]',
	0xBAF8 : 'Unassigned [0xBAF8]',
	0xBAF9 : 'Unassigned [0xBAF9]',
	0xBAFA : 'Unassigned [0xBAFA]',
	0xBAFB : 'Unassigned [0xBAFB]',
	0xBAFC : 'Unassigned [0xBAFC]',
	0xBAFD : 'Unassigned [0xBAFD]',
	0xBAFE : 'Unassigned [0xBAFE]',
	0xBAFF : 'Unassigned [0xBAFF]',
	0xBB00 : 'Unassigned [0xBB00]',
	0xBB01 : 'Unassigned [0xBB01]',
	0xBB02 : 'Unassigned [0xBB02]',
	0xBB03 : 'Unassigned [0xBB03]',
	0xBB04 : 'Unassigned [0xBB04]',
	0xBB05 : 'Unassigned [0xBB05]',
	0xBB06 : 'Unassigned [0xBB06]',
	0xBB07 : 'Unassigned [0xBB07]',
	0xBB08 : 'Unassigned [0xBB08]',
	0xBB09 : 'Unassigned [0xBB09]',
	0xBB0A : 'Unassigned [0xBB0A]',
	0xBB0B : 'Unassigned [0xBB0B]',
	0xBB0C : 'Unassigned [0xBB0C]',
	0xBB0D : 'Unassigned [0xBB0D]',
	0xBB0E : 'Unassigned [0xBB0E]',
	0xBB0F : 'Unassigned [0xBB0F]',
	0xBB10 : 'Unassigned [0xBB10]',
	0xBB11 : 'Unassigned [0xBB11]',
	0xBB12 : 'Unassigned [0xBB12]',
	0xBB13 : 'Unassigned [0xBB13]',
	0xBB14 : 'Unassigned [0xBB14]',
	0xBB15 : 'Unassigned [0xBB15]',
	0xBB16 : 'Unassigned [0xBB16]',
	0xBB17 : 'Unassigned [0xBB17]',
	0xBB18 : 'Unassigned [0xBB18]',
	0xBB19 : 'Unassigned [0xBB19]',
	0xBB1A : 'Unassigned [0xBB1A]',
	0xBB1B : 'Unassigned [0xBB1B]',
	0xBB1C : 'Unassigned [0xBB1C]',
	0xBB1D : 'Unassigned [0xBB1D]',
	0xBB1E : 'Unassigned [0xBB1E]',
	0xBB1F : 'Unassigned [0xBB1F]',
	0xBB20 : 'Unassigned [0xBB20]',
	0xBB21 : 'Unassigned [0xBB21]',
	0xBB22 : 'Unassigned [0xBB22]',
	0xBB23 : 'Unassigned [0xBB23]',
	0xBB24 : 'Unassigned [0xBB24]',
	0xBB25 : 'Unassigned [0xBB25]',
	0xBB26 : 'Unassigned [0xBB26]',
	0xBB27 : 'Unassigned [0xBB27]',
	0xBB28 : 'Unassigned [0xBB28]',
	0xBB29 : 'Unassigned [0xBB29]',
	0xBB2A : 'Unassigned [0xBB2A]',
	0xBB2B : 'Unassigned [0xBB2B]',
	0xBB2C : 'Unassigned [0xBB2C]',
	0xBB2D : 'Unassigned [0xBB2D]',
	0xBB2E : 'Unassigned [0xBB2E]',
	0xBB2F : 'Unassigned [0xBB2F]',
	0xBB30 : 'Unassigned [0xBB30]',
	0xBB31 : 'Unassigned [0xBB31]',
	0xBB32 : 'Unassigned [0xBB32]',
	0xBB33 : 'Unassigned [0xBB33]',
	0xBB34 : 'Unassigned [0xBB34]',
	0xBB35 : 'Unassigned [0xBB35]',
	0xBB36 : 'Unassigned [0xBB36]',
	0xBB37 : 'Unassigned [0xBB37]',
	0xBB38 : 'Unassigned [0xBB38]',
	0xBB39 : 'Unassigned [0xBB39]',
	0xBB3A : 'Unassigned [0xBB3A]',
	0xBB3B : 'Unassigned [0xBB3B]',
	0xBB3C : 'Unassigned [0xBB3C]',
	0xBB3D : 'Unassigned [0xBB3D]',
	0xBB3E : 'Unassigned [0xBB3E]',
	0xBB3F : 'Unassigned [0xBB3F]',
	0xBB40 : 'Unassigned [0xBB40]',
	0xBB41 : 'Unassigned [0xBB41]',
	0xBB42 : 'Unassigned [0xBB42]',
	0xBB43 : 'Unassigned [0xBB43]',
	0xBB44 : 'Unassigned [0xBB44]',
	0xBB45 : 'Unassigned [0xBB45]',
	0xBB46 : 'Unassigned [0xBB46]',
	0xBB47 : 'Unassigned [0xBB47]',
	0xBB48 : 'Unassigned [0xBB48]',
	0xBB49 : 'Unassigned [0xBB49]',
	0xBB4A : 'Unassigned [0xBB4A]',
	0xBB4B : 'Unassigned [0xBB4B]',
	0xBB4C : 'Unassigned [0xBB4C]',
	0xBB4D : 'Unassigned [0xBB4D]',
	0xBB4E : 'Unassigned [0xBB4E]',
	0xBB4F : 'Unassigned [0xBB4F]',
	0xBB50 : 'Unassigned [0xBB50]',
	0xBB51 : 'Unassigned [0xBB51]',
	0xBB52 : 'Unassigned [0xBB52]',
	0xBB53 : 'Unassigned [0xBB53]',
	0xBB54 : 'Unassigned [0xBB54]',
	0xBB55 : 'Unassigned [0xBB55]',
	0xBB56 : 'Unassigned [0xBB56]',
	0xBB57 : 'Unassigned [0xBB57]',
	0xBB58 : 'Unassigned [0xBB58]',
	0xBB59 : 'Unassigned [0xBB59]',
	0xBB5A : 'Unassigned [0xBB5A]',
	0xBB5B : 'Unassigned [0xBB5B]',
	0xBB5C : 'Unassigned [0xBB5C]',
	0xBB5D : 'Unassigned [0xBB5D]',
	0xBB5E : 'Unassigned [0xBB5E]',
	0xBB5F : 'Unassigned [0xBB5F]',
	0xBB60 : 'Unassigned [0xBB60]',
	0xBB61 : 'Unassigned [0xBB61]',
	0xBB62 : 'Unassigned [0xBB62]',
	0xBB63 : 'Unassigned [0xBB63]',
	0xBB64 : 'Unassigned [0xBB64]',
	0xBB65 : 'Unassigned [0xBB65]',
	0xBB66 : 'Unassigned [0xBB66]',
	0xBB67 : 'Unassigned [0xBB67]',
	0xBB68 : 'Unassigned [0xBB68]',
	0xBB69 : 'Unassigned [0xBB69]',
	0xBB6A : 'Unassigned [0xBB6A]',
	0xBB6B : 'Unassigned [0xBB6B]',
	0xBB6C : 'Unassigned [0xBB6C]',
	0xBB6D : 'Unassigned [0xBB6D]',
	0xBB6E : 'Unassigned [0xBB6E]',
	0xBB6F : 'Unassigned [0xBB6F]',
	0xBB70 : 'Unassigned [0xBB70]',
	0xBB71 : 'Unassigned [0xBB71]',
	0xBB72 : 'Unassigned [0xBB72]',
	0xBB73 : 'Unassigned [0xBB73]',
	0xBB74 : 'Unassigned [0xBB74]',
	0xBB75 : 'Unassigned [0xBB75]',
	0xBB76 : 'Unassigned [0xBB76]',
	0xBB77 : 'Unassigned [0xBB77]',
	0xBB78 : 'Unassigned [0xBB78]',
	0xBB79 : 'Unassigned [0xBB79]',
	0xBB7A : 'Unassigned [0xBB7A]',
	0xBB7B : 'Unassigned [0xBB7B]',
	0xBB7C : 'Unassigned [0xBB7C]',
	0xBB7D : 'Unassigned [0xBB7D]',
	0xBB7E : 'Unassigned [0xBB7E]',
	0xBB7F : 'Unassigned [0xBB7F]',
	0xBB80 : 'Unassigned [0xBB80]',
	0xBB81 : 'Unassigned [0xBB81]',
	0xBB82 : 'Unassigned [0xBB82]',
	0xBB83 : 'Unassigned [0xBB83]',
	0xBB84 : 'Unassigned [0xBB84]',
	0xBB85 : 'Unassigned [0xBB85]',
	0xBB86 : 'Unassigned [0xBB86]',
	0xBB87 : 'Unassigned [0xBB87]',
	0xBB88 : 'Unassigned [0xBB88]',
	0xBB89 : 'Unassigned [0xBB89]',
	0xBB8A : 'Unassigned [0xBB8A]',
	0xBB8B : 'Unassigned [0xBB8B]',
	0xBB8C : 'Unassigned [0xBB8C]',
	0xBB8D : 'Unassigned [0xBB8D]',
	0xBB8E : 'Unassigned [0xBB8E]',
	0xBB8F : 'Unassigned [0xBB8F]',
	0xBB90 : 'Unassigned [0xBB90]',
	0xBB91 : 'Unassigned [0xBB91]',
	0xBB92 : 'Unassigned [0xBB92]',
	0xBB93 : 'Unassigned [0xBB93]',
	0xBB94 : 'Unassigned [0xBB94]',
	0xBB95 : 'Unassigned [0xBB95]',
	0xBB96 : 'Unassigned [0xBB96]',
	0xBB97 : 'Unassigned [0xBB97]',
	0xBB98 : 'Unassigned [0xBB98]',
	0xBB99 : 'Unassigned [0xBB99]',
	0xBB9A : 'Unassigned [0xBB9A]',
	0xBB9B : 'Unassigned [0xBB9B]',
	0xBB9C : 'Unassigned [0xBB9C]',
	0xBB9D : 'Unassigned [0xBB9D]',
	0xBB9E : 'Unassigned [0xBB9E]',
	0xBB9F : 'Unassigned [0xBB9F]',
	0xBBA0 : 'Unassigned [0xBBA0]',
	0xBBA1 : 'Unassigned [0xBBA1]',
	0xBBA2 : 'Unassigned [0xBBA2]',
	0xBBA3 : 'Unassigned [0xBBA3]',
	0xBBA4 : 'Unassigned [0xBBA4]',
	0xBBA5 : 'Unassigned [0xBBA5]',
	0xBBA6 : 'Unassigned [0xBBA6]',
	0xBBA7 : 'Unassigned [0xBBA7]',
	0xBBA8 : 'Unassigned [0xBBA8]',
	0xBBA9 : 'Unassigned [0xBBA9]',
	0xBBAA : 'Unassigned [0xBBAA]',
	0xBBAB : 'Unassigned [0xBBAB]',
	0xBBAC : 'Unassigned [0xBBAC]',
	0xBBAD : 'Unassigned [0xBBAD]',
	0xBBAE : 'Unassigned [0xBBAE]',
	0xBBAF : 'Unassigned [0xBBAF]',
	0xBBB0 : 'Unassigned [0xBBB0]',
	0xBBB1 : 'Unassigned [0xBBB1]',
	0xBBB2 : 'Unassigned [0xBBB2]',
	0xBBB3 : 'Unassigned [0xBBB3]',
	0xBBB4 : 'Unassigned [0xBBB4]',
	0xBBB5 : 'Unassigned [0xBBB5]',
	0xBBB6 : 'Unassigned [0xBBB6]',
	0xBBB7 : 'Unassigned [0xBBB7]',
	0xBBB8 : 'Unassigned [0xBBB8]',
	0xBBB9 : 'Unassigned [0xBBB9]',
	0xBBBA : 'Unassigned [0xBBBA]',
	0xBBBB : 'Unassigned [0xBBBB]',
	0xBBBC : 'Unassigned [0xBBBC]',
	0xBBBD : 'Unassigned [0xBBBD]',
	0xBBBE : 'Unassigned [0xBBBE]',
	0xBBBF : 'Unassigned [0xBBBF]',
	0xBBC0 : 'Unassigned [0xBBC0]',
	0xBBC1 : 'Unassigned [0xBBC1]',
	0xBBC2 : 'Unassigned [0xBBC2]',
	0xBBC3 : 'Unassigned [0xBBC3]',
	0xBBC4 : 'Unassigned [0xBBC4]',
	0xBBC5 : 'Unassigned [0xBBC5]',
	0xBBC6 : 'Unassigned [0xBBC6]',
	0xBBC7 : 'Unassigned [0xBBC7]',
	0xBBC8 : 'Unassigned [0xBBC8]',
	0xBBC9 : 'Unassigned [0xBBC9]',
	0xBBCA : 'Unassigned [0xBBCA]',
	0xBBCB : 'Unassigned [0xBBCB]',
	0xBBCC : 'Unassigned [0xBBCC]',
	0xBBCD : 'Unassigned [0xBBCD]',
	0xBBCE : 'Unassigned [0xBBCE]',
	0xBBCF : 'Unassigned [0xBBCF]',
	0xBBD0 : 'Unassigned [0xBBD0]',
	0xBBD1 : 'Unassigned [0xBBD1]',
	0xBBD2 : 'Unassigned [0xBBD2]',
	0xBBD3 : 'Unassigned [0xBBD3]',
	0xBBD4 : 'Unassigned [0xBBD4]',
	0xBBD5 : 'Unassigned [0xBBD5]',
	0xBBD6 : 'Unassigned [0xBBD6]',
	0xBBD7 : 'Unassigned [0xBBD7]',
	0xBBD8 : 'Unassigned [0xBBD8]',
	0xBBD9 : 'Unassigned [0xBBD9]',
	0xBBDA : 'Unassigned [0xBBDA]',
	0xBBDB : 'Unassigned [0xBBDB]',
	0xBBDC : 'Unassigned [0xBBDC]',
	0xBBDD : 'Unassigned [0xBBDD]',
	0xBBDE : 'Unassigned [0xBBDE]',
	0xBBDF : 'Unassigned [0xBBDF]',
	0xBBE0 : 'Unassigned [0xBBE0]',
	0xBBE1 : 'Unassigned [0xBBE1]',
	0xBBE2 : 'Unassigned [0xBBE2]',
	0xBBE3 : 'Unassigned [0xBBE3]',
	0xBBE4 : 'Unassigned [0xBBE4]',
	0xBBE5 : 'Unassigned [0xBBE5]',
	0xBBE6 : 'Unassigned [0xBBE6]',
	0xBBE7 : 'Unassigned [0xBBE7]',
	0xBBE8 : 'Unassigned [0xBBE8]',
	0xBBE9 : 'Unassigned [0xBBE9]',
	0xBBEA : 'Unassigned [0xBBEA]',
	0xBBEB : 'Unassigned [0xBBEB]',
	0xBBEC : 'Unassigned [0xBBEC]',
	0xBBED : 'Unassigned [0xBBED]',
	0xBBEE : 'Unassigned [0xBBEE]',
	0xBBEF : 'Unassigned [0xBBEF]',
	0xBBF0 : 'Unassigned [0xBBF0]',
	0xBBF1 : 'Unassigned [0xBBF1]',
	0xBBF2 : 'Unassigned [0xBBF2]',
	0xBBF3 : 'Unassigned [0xBBF3]',
	0xBBF4 : 'Unassigned [0xBBF4]',
	0xBBF5 : 'Unassigned [0xBBF5]',
	0xBBF6 : 'Unassigned [0xBBF6]',
	0xBBF7 : 'Unassigned [0xBBF7]',
	0xBBF8 : 'Unassigned [0xBBF8]',
	0xBBF9 : 'Unassigned [0xBBF9]',
	0xBBFA : 'Unassigned [0xBBFA]',
	0xBBFB : 'Unassigned [0xBBFB]',
	0xBBFC : 'Unassigned [0xBBFC]',
	0xBBFD : 'Unassigned [0xBBFD]',
	0xBBFE : 'Unassigned [0xBBFE]',
	0xBBFF : 'Unassigned [0xBBFF]',
	0xBC00 : 'Unassigned [0xBC00]',
	0xBC01 : 'Unassigned [0xBC01]',
	0xBC02 : 'Unassigned [0xBC02]',
	0xBC03 : 'Unassigned [0xBC03]',
	0xBC04 : 'Unassigned [0xBC04]',
	0xBC05 : 'Unassigned [0xBC05]',
	0xBC06 : 'Unassigned [0xBC06]',
	0xBC07 : 'Unassigned [0xBC07]',
	0xBC08 : 'Unassigned [0xBC08]',
	0xBC09 : 'Unassigned [0xBC09]',
	0xBC0A : 'Unassigned [0xBC0A]',
	0xBC0B : 'Unassigned [0xBC0B]',
	0xBC0C : 'Unassigned [0xBC0C]',
	0xBC0D : 'Unassigned [0xBC0D]',
	0xBC0E : 'Unassigned [0xBC0E]',
	0xBC0F : 'Unassigned [0xBC0F]',
	0xBC10 : 'Unassigned [0xBC10]',
	0xBC11 : 'Unassigned [0xBC11]',
	0xBC12 : 'Unassigned [0xBC12]',
	0xBC13 : 'Unassigned [0xBC13]',
	0xBC14 : 'Unassigned [0xBC14]',
	0xBC15 : 'Unassigned [0xBC15]',
	0xBC16 : 'Unassigned [0xBC16]',
	0xBC17 : 'Unassigned [0xBC17]',
	0xBC18 : 'Unassigned [0xBC18]',
	0xBC19 : 'Unassigned [0xBC19]',
	0xBC1A : 'Unassigned [0xBC1A]',
	0xBC1B : 'Unassigned [0xBC1B]',
	0xBC1C : 'Unassigned [0xBC1C]',
	0xBC1D : 'Unassigned [0xBC1D]',
	0xBC1E : 'Unassigned [0xBC1E]',
	0xBC1F : 'Unassigned [0xBC1F]',
	0xBC20 : 'Unassigned [0xBC20]',
	0xBC21 : 'Unassigned [0xBC21]',
	0xBC22 : 'Unassigned [0xBC22]',
	0xBC23 : 'Unassigned [0xBC23]',
	0xBC24 : 'Unassigned [0xBC24]',
	0xBC25 : 'Unassigned [0xBC25]',
	0xBC26 : 'Unassigned [0xBC26]',
	0xBC27 : 'Unassigned [0xBC27]',
	0xBC28 : 'Unassigned [0xBC28]',
	0xBC29 : 'Unassigned [0xBC29]',
	0xBC2A : 'Unassigned [0xBC2A]',
	0xBC2B : 'Unassigned [0xBC2B]',
	0xBC2C : 'Unassigned [0xBC2C]',
	0xBC2D : 'Unassigned [0xBC2D]',
	0xBC2E : 'Unassigned [0xBC2E]',
	0xBC2F : 'Unassigned [0xBC2F]',
	0xBC30 : 'Unassigned [0xBC30]',
	0xBC31 : 'Unassigned [0xBC31]',
	0xBC32 : 'Unassigned [0xBC32]',
	0xBC33 : 'Unassigned [0xBC33]',
	0xBC34 : 'Unassigned [0xBC34]',
	0xBC35 : 'Unassigned [0xBC35]',
	0xBC36 : 'Unassigned [0xBC36]',
	0xBC37 : 'Unassigned [0xBC37]',
	0xBC38 : 'Unassigned [0xBC38]',
	0xBC39 : 'Unassigned [0xBC39]',
	0xBC3A : 'Unassigned [0xBC3A]',
	0xBC3B : 'Unassigned [0xBC3B]',
	0xBC3C : 'Unassigned [0xBC3C]',
	0xBC3D : 'Unassigned [0xBC3D]',
	0xBC3E : 'Unassigned [0xBC3E]',
	0xBC3F : 'Unassigned [0xBC3F]',
	0xBC40 : 'Unassigned [0xBC40]',
	0xBC41 : 'Unassigned [0xBC41]',
	0xBC42 : 'Unassigned [0xBC42]',
	0xBC43 : 'Unassigned [0xBC43]',
	0xBC44 : 'Unassigned [0xBC44]',
	0xBC45 : 'Unassigned [0xBC45]',
	0xBC46 : 'Unassigned [0xBC46]',
	0xBC47 : 'Unassigned [0xBC47]',
	0xBC48 : 'Unassigned [0xBC48]',
	0xBC49 : 'Unassigned [0xBC49]',
	0xBC4A : 'Unassigned [0xBC4A]',
	0xBC4B : 'Unassigned [0xBC4B]',
	0xBC4C : 'Unassigned [0xBC4C]',
	0xBC4D : 'Unassigned [0xBC4D]',
	0xBC4E : 'Unassigned [0xBC4E]',
	0xBC4F : 'Unassigned [0xBC4F]',
	0xBC50 : 'Unassigned [0xBC50]',
	0xBC51 : 'Unassigned [0xBC51]',
	0xBC52 : 'Unassigned [0xBC52]',
	0xBC53 : 'Unassigned [0xBC53]',
	0xBC54 : 'Unassigned [0xBC54]',
	0xBC55 : 'Unassigned [0xBC55]',
	0xBC56 : 'Unassigned [0xBC56]',
	0xBC57 : 'Unassigned [0xBC57]',
	0xBC58 : 'Unassigned [0xBC58]',
	0xBC59 : 'Unassigned [0xBC59]',
	0xBC5A : 'Unassigned [0xBC5A]',
	0xBC5B : 'Unassigned [0xBC5B]',
	0xBC5C : 'Unassigned [0xBC5C]',
	0xBC5D : 'Unassigned [0xBC5D]',
	0xBC5E : 'Unassigned [0xBC5E]',
	0xBC5F : 'Unassigned [0xBC5F]',
	0xBC60 : 'Unassigned [0xBC60]',
	0xBC61 : 'Unassigned [0xBC61]',
	0xBC62 : 'Unassigned [0xBC62]',
	0xBC63 : 'Unassigned [0xBC63]',
	0xBC64 : 'Unassigned [0xBC64]',
	0xBC65 : 'Unassigned [0xBC65]',
	0xBC66 : 'Unassigned [0xBC66]',
	0xBC67 : 'Unassigned [0xBC67]',
	0xBC68 : 'Unassigned [0xBC68]',
	0xBC69 : 'Unassigned [0xBC69]',
	0xBC6A : 'Unassigned [0xBC6A]',
	0xBC6B : 'Unassigned [0xBC6B]',
	0xBC6C : 'Unassigned [0xBC6C]',
	0xBC6D : 'Unassigned [0xBC6D]',
	0xBC6E : 'Unassigned [0xBC6E]',
	0xBC6F : 'Unassigned [0xBC6F]',
	0xBC70 : 'Unassigned [0xBC70]',
	0xBC71 : 'Unassigned [0xBC71]',
	0xBC72 : 'Unassigned [0xBC72]',
	0xBC73 : 'Unassigned [0xBC73]',
	0xBC74 : 'Unassigned [0xBC74]',
	0xBC75 : 'Unassigned [0xBC75]',
	0xBC76 : 'Unassigned [0xBC76]',
	0xBC77 : 'Unassigned [0xBC77]',
	0xBC78 : 'Unassigned [0xBC78]',
	0xBC79 : 'Unassigned [0xBC79]',
	0xBC7A : 'Unassigned [0xBC7A]',
	0xBC7B : 'Unassigned [0xBC7B]',
	0xBC7C : 'Unassigned [0xBC7C]',
	0xBC7D : 'Unassigned [0xBC7D]',
	0xBC7E : 'Unassigned [0xBC7E]',
	0xBC7F : 'Unassigned [0xBC7F]',
	0xBC80 : 'Unassigned [0xBC80]',
	0xBC81 : 'Unassigned [0xBC81]',
	0xBC82 : 'Unassigned [0xBC82]',
	0xBC83 : 'Unassigned [0xBC83]',
	0xBC84 : 'Unassigned [0xBC84]',
	0xBC85 : 'Unassigned [0xBC85]',
	0xBC86 : 'Unassigned [0xBC86]',
	0xBC87 : 'Unassigned [0xBC87]',
	0xBC88 : 'Unassigned [0xBC88]',
	0xBC89 : 'Unassigned [0xBC89]',
	0xBC8A : 'Unassigned [0xBC8A]',
	0xBC8B : 'Unassigned [0xBC8B]',
	0xBC8C : 'Unassigned [0xBC8C]',
	0xBC8D : 'Unassigned [0xBC8D]',
	0xBC8E : 'Unassigned [0xBC8E]',
	0xBC8F : 'Unassigned [0xBC8F]',
	0xBC90 : 'Unassigned [0xBC90]',
	0xBC91 : 'Unassigned [0xBC91]',
	0xBC92 : 'Unassigned [0xBC92]',
	0xBC93 : 'Unassigned [0xBC93]',
	0xBC94 : 'Unassigned [0xBC94]',
	0xBC95 : 'Unassigned [0xBC95]',
	0xBC96 : 'Unassigned [0xBC96]',
	0xBC97 : 'Unassigned [0xBC97]',
	0xBC98 : 'Unassigned [0xBC98]',
	0xBC99 : 'Unassigned [0xBC99]',
	0xBC9A : 'Unassigned [0xBC9A]',
	0xBC9B : 'Unassigned [0xBC9B]',
	0xBC9C : 'Unassigned [0xBC9C]',
	0xBC9D : 'Unassigned [0xBC9D]',
	0xBC9E : 'Unassigned [0xBC9E]',
	0xBC9F : 'Unassigned [0xBC9F]',
	0xBCA0 : 'Unassigned [0xBCA0]',
	0xBCA1 : 'Unassigned [0xBCA1]',
	0xBCA2 : 'Unassigned [0xBCA2]',
	0xBCA3 : 'Unassigned [0xBCA3]',
	0xBCA4 : 'Unassigned [0xBCA4]',
	0xBCA5 : 'Unassigned [0xBCA5]',
	0xBCA6 : 'Unassigned [0xBCA6]',
	0xBCA7 : 'Unassigned [0xBCA7]',
	0xBCA8 : 'Unassigned [0xBCA8]',
	0xBCA9 : 'Unassigned [0xBCA9]',
	0xBCAA : 'Unassigned [0xBCAA]',
	0xBCAB : 'Unassigned [0xBCAB]',
	0xBCAC : 'Unassigned [0xBCAC]',
	0xBCAD : 'Unassigned [0xBCAD]',
	0xBCAE : 'Unassigned [0xBCAE]',
	0xBCAF : 'Unassigned [0xBCAF]',
	0xBCB0 : 'Unassigned [0xBCB0]',
	0xBCB1 : 'Unassigned [0xBCB1]',
	0xBCB2 : 'Unassigned [0xBCB2]',
	0xBCB3 : 'Unassigned [0xBCB3]',
	0xBCB4 : 'Unassigned [0xBCB4]',
	0xBCB5 : 'Unassigned [0xBCB5]',
	0xBCB6 : 'Unassigned [0xBCB6]',
	0xBCB7 : 'Unassigned [0xBCB7]',
	0xBCB8 : 'Unassigned [0xBCB8]',
	0xBCB9 : 'Unassigned [0xBCB9]',
	0xBCBA : 'Unassigned [0xBCBA]',
	0xBCBB : 'Unassigned [0xBCBB]',
	0xBCBC : 'Unassigned [0xBCBC]',
	0xBCBD : 'Unassigned [0xBCBD]',
	0xBCBE : 'Unassigned [0xBCBE]',
	0xBCBF : 'Unassigned [0xBCBF]',
	0xBCC0 : 'Unassigned [0xBCC0]',
	0xBCC1 : 'Unassigned [0xBCC1]',
	0xBCC2 : 'Unassigned [0xBCC2]',
	0xBCC3 : 'Unassigned [0xBCC3]',
	0xBCC4 : 'Unassigned [0xBCC4]',
	0xBCC5 : 'Unassigned [0xBCC5]',
	0xBCC6 : 'Unassigned [0xBCC6]',
	0xBCC7 : 'Unassigned [0xBCC7]',
	0xBCC8 : 'Unassigned [0xBCC8]',
	0xBCC9 : 'Unassigned [0xBCC9]',
	0xBCCA : 'Unassigned [0xBCCA]',
	0xBCCB : 'Unassigned [0xBCCB]',
	0xBCCC : 'Unassigned [0xBCCC]',
	0xBCCD : 'Unassigned [0xBCCD]',
	0xBCCE : 'Unassigned [0xBCCE]',
	0xBCCF : 'Unassigned [0xBCCF]',
	0xBCD0 : 'Unassigned [0xBCD0]',
	0xBCD1 : 'Unassigned [0xBCD1]',
	0xBCD2 : 'Unassigned [0xBCD2]',
	0xBCD3 : 'Unassigned [0xBCD3]',
	0xBCD4 : 'Unassigned [0xBCD4]',
	0xBCD5 : 'Unassigned [0xBCD5]',
	0xBCD6 : 'Unassigned [0xBCD6]',
	0xBCD7 : 'Unassigned [0xBCD7]',
	0xBCD8 : 'Unassigned [0xBCD8]',
	0xBCD9 : 'Unassigned [0xBCD9]',
	0xBCDA : 'Unassigned [0xBCDA]',
	0xBCDB : 'Unassigned [0xBCDB]',
	0xBCDC : 'Unassigned [0xBCDC]',
	0xBCDD : 'Unassigned [0xBCDD]',
	0xBCDE : 'Unassigned [0xBCDE]',
	0xBCDF : 'Unassigned [0xBCDF]',
	0xBCE0 : 'Unassigned [0xBCE0]',
	0xBCE1 : 'Unassigned [0xBCE1]',
	0xBCE2 : 'Unassigned [0xBCE2]',
	0xBCE3 : 'Unassigned [0xBCE3]',
	0xBCE4 : 'Unassigned [0xBCE4]',
	0xBCE5 : 'Unassigned [0xBCE5]',
	0xBCE6 : 'Unassigned [0xBCE6]',
	0xBCE7 : 'Unassigned [0xBCE7]',
	0xBCE8 : 'Unassigned [0xBCE8]',
	0xBCE9 : 'Unassigned [0xBCE9]',
	0xBCEA : 'Unassigned [0xBCEA]',
	0xBCEB : 'Unassigned [0xBCEB]',
	0xBCEC : 'Unassigned [0xBCEC]',
	0xBCED : 'Unassigned [0xBCED]',
	0xBCEE : 'Unassigned [0xBCEE]',
	0xBCEF : 'Unassigned [0xBCEF]',
	0xBCF0 : 'Unassigned [0xBCF0]',
	0xBCF1 : 'Unassigned [0xBCF1]',
	0xBCF2 : 'Unassigned [0xBCF2]',
	0xBCF3 : 'Unassigned [0xBCF3]',
	0xBCF4 : 'Unassigned [0xBCF4]',
	0xBCF5 : 'Unassigned [0xBCF5]',
	0xBCF6 : 'Unassigned [0xBCF6]',
	0xBCF7 : 'Unassigned [0xBCF7]',
	0xBCF8 : 'Unassigned [0xBCF8]',
	0xBCF9 : 'Unassigned [0xBCF9]',
	0xBCFA : 'Unassigned [0xBCFA]',
	0xBCFB : 'Unassigned [0xBCFB]',
	0xBCFC : 'Unassigned [0xBCFC]',
	0xBCFD : 'Unassigned [0xBCFD]',
	0xBCFE : 'Unassigned [0xBCFE]',
	0xBCFF : 'Unassigned [0xBCFF]',
	0xBD00 : 'Unassigned [0xBD00]',
	0xBD01 : 'Unassigned [0xBD01]',
	0xBD02 : 'Unassigned [0xBD02]',
	0xBD03 : 'Unassigned [0xBD03]',
	0xBD04 : 'Unassigned [0xBD04]',
	0xBD05 : 'Unassigned [0xBD05]',
	0xBD06 : 'Unassigned [0xBD06]',
	0xBD07 : 'Unassigned [0xBD07]',
	0xBD08 : 'Unassigned [0xBD08]',
	0xBD09 : 'Unassigned [0xBD09]',
	0xBD0A : 'Unassigned [0xBD0A]',
	0xBD0B : 'Unassigned [0xBD0B]',
	0xBD0C : 'Unassigned [0xBD0C]',
	0xBD0D : 'Unassigned [0xBD0D]',
	0xBD0E : 'Unassigned [0xBD0E]',
	0xBD0F : 'Unassigned [0xBD0F]',
	0xBD10 : 'Unassigned [0xBD10]',
	0xBD11 : 'Unassigned [0xBD11]',
	0xBD12 : 'Unassigned [0xBD12]',
	0xBD13 : 'Unassigned [0xBD13]',
	0xBD14 : 'Unassigned [0xBD14]',
	0xBD15 : 'Unassigned [0xBD15]',
	0xBD16 : 'Unassigned [0xBD16]',
	0xBD17 : 'Unassigned [0xBD17]',
	0xBD18 : 'Unassigned [0xBD18]',
	0xBD19 : 'Unassigned [0xBD19]',
	0xBD1A : 'Unassigned [0xBD1A]',
	0xBD1B : 'Unassigned [0xBD1B]',
	0xBD1C : 'Unassigned [0xBD1C]',
	0xBD1D : 'Unassigned [0xBD1D]',
	0xBD1E : 'Unassigned [0xBD1E]',
	0xBD1F : 'Unassigned [0xBD1F]',
	0xBD20 : 'Unassigned [0xBD20]',
	0xBD21 : 'Unassigned [0xBD21]',
	0xBD22 : 'Unassigned [0xBD22]',
	0xBD23 : 'Unassigned [0xBD23]',
	0xBD24 : 'Unassigned [0xBD24]',
	0xBD25 : 'Unassigned [0xBD25]',
	0xBD26 : 'Unassigned [0xBD26]',
	0xBD27 : 'Unassigned [0xBD27]',
	0xBD28 : 'Unassigned [0xBD28]',
	0xBD29 : 'Unassigned [0xBD29]',
	0xBD2A : 'Unassigned [0xBD2A]',
	0xBD2B : 'Unassigned [0xBD2B]',
	0xBD2C : 'Unassigned [0xBD2C]',
	0xBD2D : 'Unassigned [0xBD2D]',
	0xBD2E : 'Unassigned [0xBD2E]',
	0xBD2F : 'Unassigned [0xBD2F]',
	0xBD30 : 'Unassigned [0xBD30]',
	0xBD31 : 'Unassigned [0xBD31]',
	0xBD32 : 'Unassigned [0xBD32]',
	0xBD33 : 'Unassigned [0xBD33]',
	0xBD34 : 'Unassigned [0xBD34]',
	0xBD35 : 'Unassigned [0xBD35]',
	0xBD36 : 'Unassigned [0xBD36]',
	0xBD37 : 'Unassigned [0xBD37]',
	0xBD38 : 'Unassigned [0xBD38]',
	0xBD39 : 'Unassigned [0xBD39]',
	0xBD3A : 'Unassigned [0xBD3A]',
	0xBD3B : 'Unassigned [0xBD3B]',
	0xBD3C : 'Unassigned [0xBD3C]',
	0xBD3D : 'Unassigned [0xBD3D]',
	0xBD3E : 'Unassigned [0xBD3E]',
	0xBD3F : 'Unassigned [0xBD3F]',
	0xBD40 : 'Unassigned [0xBD40]',
	0xBD41 : 'Unassigned [0xBD41]',
	0xBD42 : 'Unassigned [0xBD42]',
	0xBD43 : 'Unassigned [0xBD43]',
	0xBD44 : 'Unassigned [0xBD44]',
	0xBD45 : 'Unassigned [0xBD45]',
	0xBD46 : 'Unassigned [0xBD46]',
	0xBD47 : 'Unassigned [0xBD47]',
	0xBD48 : 'Unassigned [0xBD48]',
	0xBD49 : 'Unassigned [0xBD49]',
	0xBD4A : 'Unassigned [0xBD4A]',
	0xBD4B : 'Unassigned [0xBD4B]',
	0xBD4C : 'Unassigned [0xBD4C]',
	0xBD4D : 'Unassigned [0xBD4D]',
	0xBD4E : 'Unassigned [0xBD4E]',
	0xBD4F : 'Unassigned [0xBD4F]',
	0xBD50 : 'Unassigned [0xBD50]',
	0xBD51 : 'Unassigned [0xBD51]',
	0xBD52 : 'Unassigned [0xBD52]',
	0xBD53 : 'Unassigned [0xBD53]',
	0xBD54 : 'Unassigned [0xBD54]',
	0xBD55 : 'Unassigned [0xBD55]',
	0xBD56 : 'Unassigned [0xBD56]',
	0xBD57 : 'Unassigned [0xBD57]',
	0xBD58 : 'Unassigned [0xBD58]',
	0xBD59 : 'Unassigned [0xBD59]',
	0xBD5A : 'Unassigned [0xBD5A]',
	0xBD5B : 'Unassigned [0xBD5B]',
	0xBD5C : 'Unassigned [0xBD5C]',
	0xBD5D : 'Unassigned [0xBD5D]',
	0xBD5E : 'Unassigned [0xBD5E]',
	0xBD5F : 'Unassigned [0xBD5F]',
	0xBD60 : 'Unassigned [0xBD60]',
	0xBD61 : 'Unassigned [0xBD61]',
	0xBD62 : 'Unassigned [0xBD62]',
	0xBD63 : 'Unassigned [0xBD63]',
	0xBD64 : 'Unassigned [0xBD64]',
	0xBD65 : 'Unassigned [0xBD65]',
	0xBD66 : 'Unassigned [0xBD66]',
	0xBD67 : 'Unassigned [0xBD67]',
	0xBD68 : 'Unassigned [0xBD68]',
	0xBD69 : 'Unassigned [0xBD69]',
	0xBD6A : 'Unassigned [0xBD6A]',
	0xBD6B : 'Unassigned [0xBD6B]',
	0xBD6C : 'Unassigned [0xBD6C]',
	0xBD6D : 'Unassigned [0xBD6D]',
	0xBD6E : 'Unassigned [0xBD6E]',
	0xBD6F : 'Unassigned [0xBD6F]',
	0xBD70 : 'Unassigned [0xBD70]',
	0xBD71 : 'Unassigned [0xBD71]',
	0xBD72 : 'Unassigned [0xBD72]',
	0xBD73 : 'Unassigned [0xBD73]',
	0xBD74 : 'Unassigned [0xBD74]',
	0xBD75 : 'Unassigned [0xBD75]',
	0xBD76 : 'Unassigned [0xBD76]',
	0xBD77 : 'Unassigned [0xBD77]',
	0xBD78 : 'Unassigned [0xBD78]',
	0xBD79 : 'Unassigned [0xBD79]',
	0xBD7A : 'Unassigned [0xBD7A]',
	0xBD7B : 'Unassigned [0xBD7B]',
	0xBD7C : 'Unassigned [0xBD7C]',
	0xBD7D : 'Unassigned [0xBD7D]',
	0xBD7E : 'Unassigned [0xBD7E]',
	0xBD7F : 'Unassigned [0xBD7F]',
	0xBD80 : 'Unassigned [0xBD80]',
	0xBD81 : 'Unassigned [0xBD81]',
	0xBD82 : 'Unassigned [0xBD82]',
	0xBD83 : 'Unassigned [0xBD83]',
	0xBD84 : 'Unassigned [0xBD84]',
	0xBD85 : 'Unassigned [0xBD85]',
	0xBD86 : 'Unassigned [0xBD86]',
	0xBD87 : 'Unassigned [0xBD87]',
	0xBD88 : 'Unassigned [0xBD88]',
	0xBD89 : 'Unassigned [0xBD89]',
	0xBD8A : 'Unassigned [0xBD8A]',
	0xBD8B : 'Unassigned [0xBD8B]',
	0xBD8C : 'Unassigned [0xBD8C]',
	0xBD8D : 'Unassigned [0xBD8D]',
	0xBD8E : 'Unassigned [0xBD8E]',
	0xBD8F : 'Unassigned [0xBD8F]',
	0xBD90 : 'Unassigned [0xBD90]',
	0xBD91 : 'Unassigned [0xBD91]',
	0xBD92 : 'Unassigned [0xBD92]',
	0xBD93 : 'Unassigned [0xBD93]',
	0xBD94 : 'Unassigned [0xBD94]',
	0xBD95 : 'Unassigned [0xBD95]',
	0xBD96 : 'Unassigned [0xBD96]',
	0xBD97 : 'Unassigned [0xBD97]',
	0xBD98 : 'Unassigned [0xBD98]',
	0xBD99 : 'Unassigned [0xBD99]',
	0xBD9A : 'Unassigned [0xBD9A]',
	0xBD9B : 'Unassigned [0xBD9B]',
	0xBD9C : 'Unassigned [0xBD9C]',
	0xBD9D : 'Unassigned [0xBD9D]',
	0xBD9E : 'Unassigned [0xBD9E]',
	0xBD9F : 'Unassigned [0xBD9F]',
	0xBDA0 : 'Unassigned [0xBDA0]',
	0xBDA1 : 'Unassigned [0xBDA1]',
	0xBDA2 : 'Unassigned [0xBDA2]',
	0xBDA3 : 'Unassigned [0xBDA3]',
	0xBDA4 : 'Unassigned [0xBDA4]',
	0xBDA5 : 'Unassigned [0xBDA5]',
	0xBDA6 : 'Unassigned [0xBDA6]',
	0xBDA7 : 'Unassigned [0xBDA7]',
	0xBDA8 : 'Unassigned [0xBDA8]',
	0xBDA9 : 'Unassigned [0xBDA9]',
	0xBDAA : 'Unassigned [0xBDAA]',
	0xBDAB : 'Unassigned [0xBDAB]',
	0xBDAC : 'Unassigned [0xBDAC]',
	0xBDAD : 'Unassigned [0xBDAD]',
	0xBDAE : 'Unassigned [0xBDAE]',
	0xBDAF : 'Unassigned [0xBDAF]',
	0xBDB0 : 'Unassigned [0xBDB0]',
	0xBDB1 : 'Unassigned [0xBDB1]',
	0xBDB2 : 'Unassigned [0xBDB2]',
	0xBDB3 : 'Unassigned [0xBDB3]',
	0xBDB4 : 'Unassigned [0xBDB4]',
	0xBDB5 : 'Unassigned [0xBDB5]',
	0xBDB6 : 'Unassigned [0xBDB6]',
	0xBDB7 : 'Unassigned [0xBDB7]',
	0xBDB8 : 'Unassigned [0xBDB8]',
	0xBDB9 : 'Unassigned [0xBDB9]',
	0xBDBA : 'Unassigned [0xBDBA]',
	0xBDBB : 'Unassigned [0xBDBB]',
	0xBDBC : 'Unassigned [0xBDBC]',
	0xBDBD : 'Unassigned [0xBDBD]',
	0xBDBE : 'Unassigned [0xBDBE]',
	0xBDBF : 'Unassigned [0xBDBF]',
	0xBDC0 : 'Unassigned [0xBDC0]',
	0xBDC1 : 'Unassigned [0xBDC1]',
	0xBDC2 : 'Unassigned [0xBDC2]',
	0xBDC3 : 'Unassigned [0xBDC3]',
	0xBDC4 : 'Unassigned [0xBDC4]',
	0xBDC5 : 'Unassigned [0xBDC5]',
	0xBDC6 : 'Unassigned [0xBDC6]',
	0xBDC7 : 'Unassigned [0xBDC7]',
	0xBDC8 : 'Unassigned [0xBDC8]',
	0xBDC9 : 'Unassigned [0xBDC9]',
	0xBDCA : 'Unassigned [0xBDCA]',
	0xBDCB : 'Unassigned [0xBDCB]',
	0xBDCC : 'Unassigned [0xBDCC]',
	0xBDCD : 'Unassigned [0xBDCD]',
	0xBDCE : 'Unassigned [0xBDCE]',
	0xBDCF : 'Unassigned [0xBDCF]',
	0xBDD0 : 'Unassigned [0xBDD0]',
	0xBDD1 : 'Unassigned [0xBDD1]',
	0xBDD2 : 'Unassigned [0xBDD2]',
	0xBDD3 : 'Unassigned [0xBDD3]',
	0xBDD4 : 'Unassigned [0xBDD4]',
	0xBDD5 : 'Unassigned [0xBDD5]',
	0xBDD6 : 'Unassigned [0xBDD6]',
	0xBDD7 : 'Unassigned [0xBDD7]',
	0xBDD8 : 'Unassigned [0xBDD8]',
	0xBDD9 : 'Unassigned [0xBDD9]',
	0xBDDA : 'Unassigned [0xBDDA]',
	0xBDDB : 'Unassigned [0xBDDB]',
	0xBDDC : 'Unassigned [0xBDDC]',
	0xBDDD : 'Unassigned [0xBDDD]',
	0xBDDE : 'Unassigned [0xBDDE]',
	0xBDDF : 'Unassigned [0xBDDF]',
	0xBDE0 : 'Unassigned [0xBDE0]',
	0xBDE1 : 'Unassigned [0xBDE1]',
	0xBDE2 : 'Unassigned [0xBDE2]',
	0xBDE3 : 'Unassigned [0xBDE3]',
	0xBDE4 : 'Unassigned [0xBDE4]',
	0xBDE5 : 'Unassigned [0xBDE5]',
	0xBDE6 : 'Unassigned [0xBDE6]',
	0xBDE7 : 'Unassigned [0xBDE7]',
	0xBDE8 : 'Unassigned [0xBDE8]',
	0xBDE9 : 'Unassigned [0xBDE9]',
	0xBDEA : 'Unassigned [0xBDEA]',
	0xBDEB : 'Unassigned [0xBDEB]',
	0xBDEC : 'Unassigned [0xBDEC]',
	0xBDED : 'Unassigned [0xBDED]',
	0xBDEE : 'Unassigned [0xBDEE]',
	0xBDEF : 'Unassigned [0xBDEF]',
	0xBDF0 : 'Unassigned [0xBDF0]',
	0xBDF1 : 'Unassigned [0xBDF1]',
	0xBDF2 : 'Unassigned [0xBDF2]',
	0xBDF3 : 'Unassigned [0xBDF3]',
	0xBDF4 : 'Unassigned [0xBDF4]',
	0xBDF5 : 'Unassigned [0xBDF5]',
	0xBDF6 : 'Unassigned [0xBDF6]',
	0xBDF7 : 'Unassigned [0xBDF7]',
	0xBDF8 : 'Unassigned [0xBDF8]',
	0xBDF9 : 'Unassigned [0xBDF9]',
	0xBDFA : 'Unassigned [0xBDFA]',
	0xBDFB : 'Unassigned [0xBDFB]',
	0xBDFC : 'Unassigned [0xBDFC]',
	0xBDFD : 'Unassigned [0xBDFD]',
	0xBDFE : 'Unassigned [0xBDFE]',
	0xBDFF : 'Unassigned [0xBDFF]',
	0xBE00 : 'Unassigned [0xBE00]',
	0xBE01 : 'Unassigned [0xBE01]',
	0xBE02 : 'Unassigned [0xBE02]',
	0xBE03 : 'Unassigned [0xBE03]',
	0xBE04 : 'Unassigned [0xBE04]',
	0xBE05 : 'Unassigned [0xBE05]',
	0xBE06 : 'Unassigned [0xBE06]',
	0xBE07 : 'Unassigned [0xBE07]',
	0xBE08 : 'Unassigned [0xBE08]',
	0xBE09 : 'Unassigned [0xBE09]',
	0xBE0A : 'Unassigned [0xBE0A]',
	0xBE0B : 'Unassigned [0xBE0B]',
	0xBE0C : 'Unassigned [0xBE0C]',
	0xBE0D : 'Unassigned [0xBE0D]',
	0xBE0E : 'Unassigned [0xBE0E]',
	0xBE0F : 'Unassigned [0xBE0F]',
	0xBE10 : 'Unassigned [0xBE10]',
	0xBE11 : 'Unassigned [0xBE11]',
	0xBE12 : 'Unassigned [0xBE12]',
	0xBE13 : 'Unassigned [0xBE13]',
	0xBE14 : 'Unassigned [0xBE14]',
	0xBE15 : 'Unassigned [0xBE15]',
	0xBE16 : 'Unassigned [0xBE16]',
	0xBE17 : 'Unassigned [0xBE17]',
	0xBE18 : 'Unassigned [0xBE18]',
	0xBE19 : 'Unassigned [0xBE19]',
	0xBE1A : 'Unassigned [0xBE1A]',
	0xBE1B : 'Unassigned [0xBE1B]',
	0xBE1C : 'Unassigned [0xBE1C]',
	0xBE1D : 'Unassigned [0xBE1D]',
	0xBE1E : 'Unassigned [0xBE1E]',
	0xBE1F : 'Unassigned [0xBE1F]',
	0xBE20 : 'Unassigned [0xBE20]',
	0xBE21 : 'Unassigned [0xBE21]',
	0xBE22 : 'Unassigned [0xBE22]',
	0xBE23 : 'Unassigned [0xBE23]',
	0xBE24 : 'Unassigned [0xBE24]',
	0xBE25 : 'Unassigned [0xBE25]',
	0xBE26 : 'Unassigned [0xBE26]',
	0xBE27 : 'Unassigned [0xBE27]',
	0xBE28 : 'Unassigned [0xBE28]',
	0xBE29 : 'Unassigned [0xBE29]',
	0xBE2A : 'Unassigned [0xBE2A]',
	0xBE2B : 'Unassigned [0xBE2B]',
	0xBE2C : 'Unassigned [0xBE2C]',
	0xBE2D : 'Unassigned [0xBE2D]',
	0xBE2E : 'Unassigned [0xBE2E]',
	0xBE2F : 'Unassigned [0xBE2F]',
	0xBE30 : 'Unassigned [0xBE30]',
	0xBE31 : 'Unassigned [0xBE31]',
	0xBE32 : 'Unassigned [0xBE32]',
	0xBE33 : 'Unassigned [0xBE33]',
	0xBE34 : 'Unassigned [0xBE34]',
	0xBE35 : 'Unassigned [0xBE35]',
	0xBE36 : 'Unassigned [0xBE36]',
	0xBE37 : 'Unassigned [0xBE37]',
	0xBE38 : 'Unassigned [0xBE38]',
	0xBE39 : 'Unassigned [0xBE39]',
	0xBE3A : 'Unassigned [0xBE3A]',
	0xBE3B : 'Unassigned [0xBE3B]',
	0xBE3C : 'Unassigned [0xBE3C]',
	0xBE3D : 'Unassigned [0xBE3D]',
	0xBE3E : 'Unassigned [0xBE3E]',
	0xBE3F : 'Unassigned [0xBE3F]',
	0xBE40 : 'Unassigned [0xBE40]',
	0xBE41 : 'Unassigned [0xBE41]',
	0xBE42 : 'Unassigned [0xBE42]',
	0xBE43 : 'Unassigned [0xBE43]',
	0xBE44 : 'Unassigned [0xBE44]',
	0xBE45 : 'Unassigned [0xBE45]',
	0xBE46 : 'Unassigned [0xBE46]',
	0xBE47 : 'Unassigned [0xBE47]',
	0xBE48 : 'Unassigned [0xBE48]',
	0xBE49 : 'Unassigned [0xBE49]',
	0xBE4A : 'Unassigned [0xBE4A]',
	0xBE4B : 'Unassigned [0xBE4B]',
	0xBE4C : 'Unassigned [0xBE4C]',
	0xBE4D : 'Unassigned [0xBE4D]',
	0xBE4E : 'Unassigned [0xBE4E]',
	0xBE4F : 'Unassigned [0xBE4F]',
	0xBE50 : 'Unassigned [0xBE50]',
	0xBE51 : 'Unassigned [0xBE51]',
	0xBE52 : 'Unassigned [0xBE52]',
	0xBE53 : 'Unassigned [0xBE53]',
	0xBE54 : 'Unassigned [0xBE54]',
	0xBE55 : 'Unassigned [0xBE55]',
	0xBE56 : 'Unassigned [0xBE56]',
	0xBE57 : 'Unassigned [0xBE57]',
	0xBE58 : 'Unassigned [0xBE58]',
	0xBE59 : 'Unassigned [0xBE59]',
	0xBE5A : 'Unassigned [0xBE5A]',
	0xBE5B : 'Unassigned [0xBE5B]',
	0xBE5C : 'Unassigned [0xBE5C]',
	0xBE5D : 'Unassigned [0xBE5D]',
	0xBE5E : 'Unassigned [0xBE5E]',
	0xBE5F : 'Unassigned [0xBE5F]',
	0xBE60 : 'Unassigned [0xBE60]',
	0xBE61 : 'Unassigned [0xBE61]',
	0xBE62 : 'Unassigned [0xBE62]',
	0xBE63 : 'Unassigned [0xBE63]',
	0xBE64 : 'Unassigned [0xBE64]',
	0xBE65 : 'Unassigned [0xBE65]',
	0xBE66 : 'Unassigned [0xBE66]',
	0xBE67 : 'Unassigned [0xBE67]',
	0xBE68 : 'Unassigned [0xBE68]',
	0xBE69 : 'Unassigned [0xBE69]',
	0xBE6A : 'Unassigned [0xBE6A]',
	0xBE6B : 'Unassigned [0xBE6B]',
	0xBE6C : 'Unassigned [0xBE6C]',
	0xBE6D : 'Unassigned [0xBE6D]',
	0xBE6E : 'Unassigned [0xBE6E]',
	0xBE6F : 'Unassigned [0xBE6F]',
	0xBE70 : 'Unassigned [0xBE70]',
	0xBE71 : 'Unassigned [0xBE71]',
	0xBE72 : 'Unassigned [0xBE72]',
	0xBE73 : 'Unassigned [0xBE73]',
	0xBE74 : 'Unassigned [0xBE74]',
	0xBE75 : 'Unassigned [0xBE75]',
	0xBE76 : 'Unassigned [0xBE76]',
	0xBE77 : 'Unassigned [0xBE77]',
	0xBE78 : 'Unassigned [0xBE78]',
	0xBE79 : 'Unassigned [0xBE79]',
	0xBE7A : 'Unassigned [0xBE7A]',
	0xBE7B : 'Unassigned [0xBE7B]',
	0xBE7C : 'Unassigned [0xBE7C]',
	0xBE7D : 'Unassigned [0xBE7D]',
	0xBE7E : 'Unassigned [0xBE7E]',
	0xBE7F : 'Unassigned [0xBE7F]',
	0xBE80 : 'Unassigned [0xBE80]',
	0xBE81 : 'Unassigned [0xBE81]',
	0xBE82 : 'Unassigned [0xBE82]',
	0xBE83 : 'Unassigned [0xBE83]',
	0xBE84 : 'Unassigned [0xBE84]',
	0xBE85 : 'Unassigned [0xBE85]',
	0xBE86 : 'Unassigned [0xBE86]',
	0xBE87 : 'Unassigned [0xBE87]',
	0xBE88 : 'Unassigned [0xBE88]',
	0xBE89 : 'Unassigned [0xBE89]',
	0xBE8A : 'Unassigned [0xBE8A]',
	0xBE8B : 'Unassigned [0xBE8B]',
	0xBE8C : 'Unassigned [0xBE8C]',
	0xBE8D : 'Unassigned [0xBE8D]',
	0xBE8E : 'Unassigned [0xBE8E]',
	0xBE8F : 'Unassigned [0xBE8F]',
	0xBE90 : 'Unassigned [0xBE90]',
	0xBE91 : 'Unassigned [0xBE91]',
	0xBE92 : 'Unassigned [0xBE92]',
	0xBE93 : 'Unassigned [0xBE93]',
	0xBE94 : 'Unassigned [0xBE94]',
	0xBE95 : 'Unassigned [0xBE95]',
	0xBE96 : 'Unassigned [0xBE96]',
	0xBE97 : 'Unassigned [0xBE97]',
	0xBE98 : 'Unassigned [0xBE98]',
	0xBE99 : 'Unassigned [0xBE99]',
	0xBE9A : 'Unassigned [0xBE9A]',
	0xBE9B : 'Unassigned [0xBE9B]',
	0xBE9C : 'Unassigned [0xBE9C]',
	0xBE9D : 'Unassigned [0xBE9D]',
	0xBE9E : 'Unassigned [0xBE9E]',
	0xBE9F : 'Unassigned [0xBE9F]',
	0xBEA0 : 'Unassigned [0xBEA0]',
	0xBEA1 : 'Unassigned [0xBEA1]',
	0xBEA2 : 'Unassigned [0xBEA2]',
	0xBEA3 : 'Unassigned [0xBEA3]',
	0xBEA4 : 'Unassigned [0xBEA4]',
	0xBEA5 : 'Unassigned [0xBEA5]',
	0xBEA6 : 'Unassigned [0xBEA6]',
	0xBEA7 : 'Unassigned [0xBEA7]',
	0xBEA8 : 'Unassigned [0xBEA8]',
	0xBEA9 : 'Unassigned [0xBEA9]',
	0xBEAA : 'Unassigned [0xBEAA]',
	0xBEAB : 'Unassigned [0xBEAB]',
	0xBEAC : 'Unassigned [0xBEAC]',
	0xBEAD : 'Unassigned [0xBEAD]',
	0xBEAE : 'Unassigned [0xBEAE]',
	0xBEAF : 'Unassigned [0xBEAF]',
	0xBEB0 : 'Unassigned [0xBEB0]',
	0xBEB1 : 'Unassigned [0xBEB1]',
	0xBEB2 : 'Unassigned [0xBEB2]',
	0xBEB3 : 'Unassigned [0xBEB3]',
	0xBEB4 : 'Unassigned [0xBEB4]',
	0xBEB5 : 'Unassigned [0xBEB5]',
	0xBEB6 : 'Unassigned [0xBEB6]',
	0xBEB7 : 'Unassigned [0xBEB7]',
	0xBEB8 : 'Unassigned [0xBEB8]',
	0xBEB9 : 'Unassigned [0xBEB9]',
	0xBEBA : 'Unassigned [0xBEBA]',
	0xBEBB : 'Unassigned [0xBEBB]',
	0xBEBC : 'Unassigned [0xBEBC]',
	0xBEBD : 'Unassigned [0xBEBD]',
	0xBEBE : 'Unassigned [0xBEBE]',
	0xBEBF : 'Unassigned [0xBEBF]',
	0xBEC0 : 'Unassigned [0xBEC0]',
	0xBEC1 : 'Unassigned [0xBEC1]',
	0xBEC2 : 'Unassigned [0xBEC2]',
	0xBEC3 : 'Unassigned [0xBEC3]',
	0xBEC4 : 'Unassigned [0xBEC4]',
	0xBEC5 : 'Unassigned [0xBEC5]',
	0xBEC6 : 'Unassigned [0xBEC6]',
	0xBEC7 : 'Unassigned [0xBEC7]',
	0xBEC8 : 'Unassigned [0xBEC8]',
	0xBEC9 : 'Unassigned [0xBEC9]',
	0xBECA : 'Unassigned [0xBECA]',
	0xBECB : 'Unassigned [0xBECB]',
	0xBECC : 'Unassigned [0xBECC]',
	0xBECD : 'Unassigned [0xBECD]',
	0xBECE : 'Unassigned [0xBECE]',
	0xBECF : 'Unassigned [0xBECF]',
	0xBED0 : 'Unassigned [0xBED0]',
	0xBED1 : 'Unassigned [0xBED1]',
	0xBED2 : 'Unassigned [0xBED2]',
	0xBED3 : 'Unassigned [0xBED3]',
	0xBED4 : 'Unassigned [0xBED4]',
	0xBED5 : 'Unassigned [0xBED5]',
	0xBED6 : 'Unassigned [0xBED6]',
	0xBED7 : 'Unassigned [0xBED7]',
	0xBED8 : 'Unassigned [0xBED8]',
	0xBED9 : 'Unassigned [0xBED9]',
	0xBEDA : 'Unassigned [0xBEDA]',
	0xBEDB : 'Unassigned [0xBEDB]',
	0xBEDC : 'Unassigned [0xBEDC]',
	0xBEDD : 'Unassigned [0xBEDD]',
	0xBEDE : 'Unassigned [0xBEDE]',
	0xBEDF : 'Unassigned [0xBEDF]',
	0xBEE0 : 'Unassigned [0xBEE0]',
	0xBEE1 : 'Unassigned [0xBEE1]',
	0xBEE2 : 'Unassigned [0xBEE2]',
	0xBEE3 : 'Unassigned [0xBEE3]',
	0xBEE4 : 'Unassigned [0xBEE4]',
	0xBEE5 : 'Unassigned [0xBEE5]',
	0xBEE6 : 'Unassigned [0xBEE6]',
	0xBEE7 : 'Unassigned [0xBEE7]',
	0xBEE8 : 'Unassigned [0xBEE8]',
	0xBEE9 : 'Unassigned [0xBEE9]',
	0xBEEA : 'Unassigned [0xBEEA]',
	0xBEEB : 'Unassigned [0xBEEB]',
	0xBEEC : 'Unassigned [0xBEEC]',
	0xBEED : 'Unassigned [0xBEED]',
	0xBEEE : 'Unassigned [0xBEEE]',
	0xBEEF : 'Unassigned [0xBEEF]',
	0xBEF0 : 'Unassigned [0xBEF0]',
	0xBEF1 : 'Unassigned [0xBEF1]',
	0xBEF2 : 'Unassigned [0xBEF2]',
	0xBEF3 : 'Unassigned [0xBEF3]',
	0xBEF4 : 'Unassigned [0xBEF4]',
	0xBEF5 : 'Unassigned [0xBEF5]',
	0xBEF6 : 'Unassigned [0xBEF6]',
	0xBEF7 : 'Unassigned [0xBEF7]',
	0xBEF8 : 'Unassigned [0xBEF8]',
	0xBEF9 : 'Unassigned [0xBEF9]',
	0xBEFA : 'Unassigned [0xBEFA]',
	0xBEFB : 'Unassigned [0xBEFB]',
	0xBEFC : 'Unassigned [0xBEFC]',
	0xBEFD : 'Unassigned [0xBEFD]',
	0xBEFE : 'Unassigned [0xBEFE]',
	0xBEFF : 'Unassigned [0xBEFF]',
	0xBF00 : 'Unassigned [0xBF00]',
	0xBF01 : 'Unassigned [0xBF01]',
	0xBF02 : 'Unassigned [0xBF02]',
	0xBF03 : 'Unassigned [0xBF03]',
	0xBF04 : 'Unassigned [0xBF04]',
	0xBF05 : 'Unassigned [0xBF05]',
	0xBF06 : 'Unassigned [0xBF06]',
	0xBF07 : 'Unassigned [0xBF07]',
	0xBF08 : 'Unassigned [0xBF08]',
	0xBF09 : 'Unassigned [0xBF09]',
	0xBF0A : 'Unassigned [0xBF0A]',
	0xBF0B : 'Unassigned [0xBF0B]',
	0xBF0C : 'Unassigned [0xBF0C]',
	0xBF0D : 'Unassigned [0xBF0D]',
	0xBF0E : 'Unassigned [0xBF0E]',
	0xBF0F : 'Unassigned [0xBF0F]',
	0xBF10 : 'Unassigned [0xBF10]',
	0xBF11 : 'Unassigned [0xBF11]',
	0xBF12 : 'Unassigned [0xBF12]',
	0xBF13 : 'Unassigned [0xBF13]',
	0xBF14 : 'Unassigned [0xBF14]',
	0xBF15 : 'Unassigned [0xBF15]',
	0xBF16 : 'Unassigned [0xBF16]',
	0xBF17 : 'Unassigned [0xBF17]',
	0xBF18 : 'Unassigned [0xBF18]',
	0xBF19 : 'Unassigned [0xBF19]',
	0xBF1A : 'Unassigned [0xBF1A]',
	0xBF1B : 'Unassigned [0xBF1B]',
	0xBF1C : 'Unassigned [0xBF1C]',
	0xBF1D : 'Unassigned [0xBF1D]',
	0xBF1E : 'Unassigned [0xBF1E]',
	0xBF1F : 'Unassigned [0xBF1F]',
	0xBF20 : 'Unassigned [0xBF20]',
	0xBF21 : 'Unassigned [0xBF21]',
	0xBF22 : 'Unassigned [0xBF22]',
	0xBF23 : 'Unassigned [0xBF23]',
	0xBF24 : 'Unassigned [0xBF24]',
	0xBF25 : 'Unassigned [0xBF25]',
	0xBF26 : 'Unassigned [0xBF26]',
	0xBF27 : 'Unassigned [0xBF27]',
	0xBF28 : 'Unassigned [0xBF28]',
	0xBF29 : 'Unassigned [0xBF29]',
	0xBF2A : 'Unassigned [0xBF2A]',
	0xBF2B : 'Unassigned [0xBF2B]',
	0xBF2C : 'Unassigned [0xBF2C]',
	0xBF2D : 'Unassigned [0xBF2D]',
	0xBF2E : 'Unassigned [0xBF2E]',
	0xBF2F : 'Unassigned [0xBF2F]',
	0xBF30 : 'Unassigned [0xBF30]',
	0xBF31 : 'Unassigned [0xBF31]',
	0xBF32 : 'Unassigned [0xBF32]',
	0xBF33 : 'Unassigned [0xBF33]',
	0xBF34 : 'Unassigned [0xBF34]',
	0xBF35 : 'Unassigned [0xBF35]',
	0xBF36 : 'Unassigned [0xBF36]',
	0xBF37 : 'Unassigned [0xBF37]',
	0xBF38 : 'Unassigned [0xBF38]',
	0xBF39 : 'Unassigned [0xBF39]',
	0xBF3A : 'Unassigned [0xBF3A]',
	0xBF3B : 'Unassigned [0xBF3B]',
	0xBF3C : 'Unassigned [0xBF3C]',
	0xBF3D : 'Unassigned [0xBF3D]',
	0xBF3E : 'Unassigned [0xBF3E]',
	0xBF3F : 'Unassigned [0xBF3F]',
	0xBF40 : 'Unassigned [0xBF40]',
	0xBF41 : 'Unassigned [0xBF41]',
	0xBF42 : 'Unassigned [0xBF42]',
	0xBF43 : 'Unassigned [0xBF43]',
	0xBF44 : 'Unassigned [0xBF44]',
	0xBF45 : 'Unassigned [0xBF45]',
	0xBF46 : 'Unassigned [0xBF46]',
	0xBF47 : 'Unassigned [0xBF47]',
	0xBF48 : 'Unassigned [0xBF48]',
	0xBF49 : 'Unassigned [0xBF49]',
	0xBF4A : 'Unassigned [0xBF4A]',
	0xBF4B : 'Unassigned [0xBF4B]',
	0xBF4C : 'Unassigned [0xBF4C]',
	0xBF4D : 'Unassigned [0xBF4D]',
	0xBF4E : 'Unassigned [0xBF4E]',
	0xBF4F : 'Unassigned [0xBF4F]',
	0xBF50 : 'Unassigned [0xBF50]',
	0xBF51 : 'Unassigned [0xBF51]',
	0xBF52 : 'Unassigned [0xBF52]',
	0xBF53 : 'Unassigned [0xBF53]',
	0xBF54 : 'Unassigned [0xBF54]',
	0xBF55 : 'Unassigned [0xBF55]',
	0xBF56 : 'Unassigned [0xBF56]',
	0xBF57 : 'Unassigned [0xBF57]',
	0xBF58 : 'Unassigned [0xBF58]',
	0xBF59 : 'Unassigned [0xBF59]',
	0xBF5A : 'Unassigned [0xBF5A]',
	0xBF5B : 'Unassigned [0xBF5B]',
	0xBF5C : 'Unassigned [0xBF5C]',
	0xBF5D : 'Unassigned [0xBF5D]',
	0xBF5E : 'Unassigned [0xBF5E]',
	0xBF5F : 'Unassigned [0xBF5F]',
	0xBF60 : 'Unassigned [0xBF60]',
	0xBF61 : 'Unassigned [0xBF61]',
	0xBF62 : 'Unassigned [0xBF62]',
	0xBF63 : 'Unassigned [0xBF63]',
	0xBF64 : 'Unassigned [0xBF64]',
	0xBF65 : 'Unassigned [0xBF65]',
	0xBF66 : 'Unassigned [0xBF66]',
	0xBF67 : 'Unassigned [0xBF67]',
	0xBF68 : 'Unassigned [0xBF68]',
	0xBF69 : 'Unassigned [0xBF69]',
	0xBF6A : 'Unassigned [0xBF6A]',
	0xBF6B : 'Unassigned [0xBF6B]',
	0xBF6C : 'Unassigned [0xBF6C]',
	0xBF6D : 'Unassigned [0xBF6D]',
	0xBF6E : 'Unassigned [0xBF6E]',
	0xBF6F : 'Unassigned [0xBF6F]',
	0xBF70 : 'Unassigned [0xBF70]',
	0xBF71 : 'Unassigned [0xBF71]',
	0xBF72 : 'Unassigned [0xBF72]',
	0xBF73 : 'Unassigned [0xBF73]',
	0xBF74 : 'Unassigned [0xBF74]',
	0xBF75 : 'Unassigned [0xBF75]',
	0xBF76 : 'Unassigned [0xBF76]',
	0xBF77 : 'Unassigned [0xBF77]',
	0xBF78 : 'Unassigned [0xBF78]',
	0xBF79 : 'Unassigned [0xBF79]',
	0xBF7A : 'Unassigned [0xBF7A]',
	0xBF7B : 'Unassigned [0xBF7B]',
	0xBF7C : 'Unassigned [0xBF7C]',
	0xBF7D : 'Unassigned [0xBF7D]',
	0xBF7E : 'Unassigned [0xBF7E]',
	0xBF7F : 'Unassigned [0xBF7F]',
	0xBF80 : 'Unassigned [0xBF80]',
	0xBF81 : 'Unassigned [0xBF81]',
	0xBF82 : 'Unassigned [0xBF82]',
	0xBF83 : 'Unassigned [0xBF83]',
	0xBF84 : 'Unassigned [0xBF84]',
	0xBF85 : 'Unassigned [0xBF85]',
	0xBF86 : 'Unassigned [0xBF86]',
	0xBF87 : 'Unassigned [0xBF87]',
	0xBF88 : 'Unassigned [0xBF88]',
	0xBF89 : 'Unassigned [0xBF89]',
	0xBF8A : 'Unassigned [0xBF8A]',
	0xBF8B : 'Unassigned [0xBF8B]',
	0xBF8C : 'Unassigned [0xBF8C]',
	0xBF8D : 'Unassigned [0xBF8D]',
	0xBF8E : 'Unassigned [0xBF8E]',
	0xBF8F : 'Unassigned [0xBF8F]',
	0xBF90 : 'Unassigned [0xBF90]',
	0xBF91 : 'Unassigned [0xBF91]',
	0xBF92 : 'Unassigned [0xBF92]',
	0xBF93 : 'Unassigned [0xBF93]',
	0xBF94 : 'Unassigned [0xBF94]',
	0xBF95 : 'Unassigned [0xBF95]',
	0xBF96 : 'Unassigned [0xBF96]',
	0xBF97 : 'Unassigned [0xBF97]',
	0xBF98 : 'Unassigned [0xBF98]',
	0xBF99 : 'Unassigned [0xBF99]',
	0xBF9A : 'Unassigned [0xBF9A]',
	0xBF9B : 'Unassigned [0xBF9B]',
	0xBF9C : 'Unassigned [0xBF9C]',
	0xBF9D : 'Unassigned [0xBF9D]',
	0xBF9E : 'Unassigned [0xBF9E]',
	0xBF9F : 'Unassigned [0xBF9F]',
	0xBFA0 : 'Unassigned [0xBFA0]',
	0xBFA1 : 'Unassigned [0xBFA1]',
	0xBFA2 : 'Unassigned [0xBFA2]',
	0xBFA3 : 'Unassigned [0xBFA3]',
	0xBFA4 : 'Unassigned [0xBFA4]',
	0xBFA5 : 'Unassigned [0xBFA5]',
	0xBFA6 : 'Unassigned [0xBFA6]',
	0xBFA7 : 'Unassigned [0xBFA7]',
	0xBFA8 : 'Unassigned [0xBFA8]',
	0xBFA9 : 'Unassigned [0xBFA9]',
	0xBFAA : 'Unassigned [0xBFAA]',
	0xBFAB : 'Unassigned [0xBFAB]',
	0xBFAC : 'Unassigned [0xBFAC]',
	0xBFAD : 'Unassigned [0xBFAD]',
	0xBFAE : 'Unassigned [0xBFAE]',
	0xBFAF : 'Unassigned [0xBFAF]',
	0xBFB0 : 'Unassigned [0xBFB0]',
	0xBFB1 : 'Unassigned [0xBFB1]',
	0xBFB2 : 'Unassigned [0xBFB2]',
	0xBFB3 : 'Unassigned [0xBFB3]',
	0xBFB4 : 'Unassigned [0xBFB4]',
	0xBFB5 : 'Unassigned [0xBFB5]',
	0xBFB6 : 'Unassigned [0xBFB6]',
	0xBFB7 : 'Unassigned [0xBFB7]',
	0xBFB8 : 'Unassigned [0xBFB8]',
	0xBFB9 : 'Unassigned [0xBFB9]',
	0xBFBA : 'Unassigned [0xBFBA]',
	0xBFBB : 'Unassigned [0xBFBB]',
	0xBFBC : 'Unassigned [0xBFBC]',
	0xBFBD : 'Unassigned [0xBFBD]',
	0xBFBE : 'Unassigned [0xBFBE]',
	0xBFBF : 'Unassigned [0xBFBF]',
	0xBFC0 : 'Unassigned [0xBFC0]',
	0xBFC1 : 'Unassigned [0xBFC1]',
	0xBFC2 : 'Unassigned [0xBFC2]',
	0xBFC3 : 'Unassigned [0xBFC3]',
	0xBFC4 : 'Unassigned [0xBFC4]',
	0xBFC5 : 'Unassigned [0xBFC5]',
	0xBFC6 : 'Unassigned [0xBFC6]',
	0xBFC7 : 'Unassigned [0xBFC7]',
	0xBFC8 : 'Unassigned [0xBFC8]',
	0xBFC9 : 'Unassigned [0xBFC9]',
	0xBFCA : 'Unassigned [0xBFCA]',
	0xBFCB : 'Unassigned [0xBFCB]',
	0xBFCC : 'Unassigned [0xBFCC]',
	0xBFCD : 'Unassigned [0xBFCD]',
	0xBFCE : 'Unassigned [0xBFCE]',
	0xBFCF : 'Unassigned [0xBFCF]',
	0xBFD0 : 'Unassigned [0xBFD0]',
	0xBFD1 : 'Unassigned [0xBFD1]',
	0xBFD2 : 'Unassigned [0xBFD2]',
	0xBFD3 : 'Unassigned [0xBFD3]',
	0xBFD4 : 'Unassigned [0xBFD4]',
	0xBFD5 : 'Unassigned [0xBFD5]',
	0xBFD6 : 'Unassigned [0xBFD6]',
	0xBFD7 : 'Unassigned [0xBFD7]',
	0xBFD8 : 'Unassigned [0xBFD8]',
	0xBFD9 : 'Unassigned [0xBFD9]',
	0xBFDA : 'Unassigned [0xBFDA]',
	0xBFDB : 'Unassigned [0xBFDB]',
	0xBFDC : 'Unassigned [0xBFDC]',
	0xBFDD : 'Unassigned [0xBFDD]',
	0xBFDE : 'Unassigned [0xBFDE]',
	0xBFDF : 'Unassigned [0xBFDF]',
	0xBFE0 : 'Unassigned [0xBFE0]',
	0xBFE1 : 'Unassigned [0xBFE1]',
	0xBFE2 : 'Unassigned [0xBFE2]',
	0xBFE3 : 'Unassigned [0xBFE3]',
	0xBFE4 : 'Unassigned [0xBFE4]',
	0xBFE5 : 'Unassigned [0xBFE5]',
	0xBFE6 : 'Unassigned [0xBFE6]',
	0xBFE7 : 'Unassigned [0xBFE7]',
	0xBFE8 : 'Unassigned [0xBFE8]',
	0xBFE9 : 'Unassigned [0xBFE9]',
	0xBFEA : 'Unassigned [0xBFEA]',
	0xBFEB : 'Unassigned [0xBFEB]',
	0xBFEC : 'Unassigned [0xBFEC]',
	0xBFED : 'Unassigned [0xBFED]',
	0xBFEE : 'Unassigned [0xBFEE]',
	0xBFEF : 'Unassigned [0xBFEF]',
	0xBFF0 : 'Unassigned [0xBFF0]',
	0xBFF1 : 'Unassigned [0xBFF1]',
	0xBFF2 : 'Unassigned [0xBFF2]',
	0xBFF3 : 'Unassigned [0xBFF3]',
	0xBFF4 : 'Unassigned [0xBFF4]',
	0xBFF5 : 'Unassigned [0xBFF5]',
	0xBFF6 : 'Unassigned [0xBFF6]',
	0xBFF7 : 'Unassigned [0xBFF7]',
	0xBFF8 : 'Unassigned [0xBFF8]',
	0xBFF9 : 'Unassigned [0xBFF9]',
	0xBFFA : 'Unassigned [0xBFFA]',
	0xBFFB : 'Unassigned [0xBFFB]',
	0xBFFC : 'Unassigned [0xBFFC]',
	0xBFFD : 'Unassigned [0xBFFD]',
	0xBFFE : 'Unassigned [0xBFFE]',
	0xBFFF : 'Unassigned [0xBFFF]',
	0xC000 : 'Unassigned [0xC000]',
	0xC001 : 'Unassigned [0xC001]',
	0xC002 : 'Unassigned [0xC002]',
	0xC003 : 'Unassigned [0xC003]',
	0xC004 : 'Unassigned [0xC004]',
	0xC005 : 'Unassigned [0xC005]',
	0xC006 : 'Unassigned [0xC006]',
	0xC007 : 'Unassigned [0xC007]',
	0xC008 : 'Unassigned [0xC008]',
	0xC009 : 'Unassigned [0xC009]',
	0xC00A : 'Unassigned [0xC00A]',
	0xC00B : 'Unassigned [0xC00B]',
	0xC00C : 'Unassigned [0xC00C]',
	0xC00D : 'Unassigned [0xC00D]',
	0xC00E : 'Unassigned [0xC00E]',
	0xC00F : 'Unassigned [0xC00F]',
	0xC010 : 'Unassigned [0xC010]',
	0xC011 : 'Unassigned [0xC011]',
	0xC012 : 'Unassigned [0xC012]',
	0xC013 : 'Unassigned [0xC013]',
	0xC014 : 'Unassigned [0xC014]',
	0xC015 : 'Unassigned [0xC015]',
	0xC016 : 'Unassigned [0xC016]',
	0xC017 : 'Unassigned [0xC017]',
	0xC018 : 'Unassigned [0xC018]',
	0xC019 : 'Unassigned [0xC019]',
	0xC01A : 'Unassigned [0xC01A]',
	0xC01B : 'Unassigned [0xC01B]',
	0xC01C : 'Unassigned [0xC01C]',
	0xC01D : 'Unassigned [0xC01D]',
	0xC01E : 'Unassigned [0xC01E]',
	0xC01F : 'Unassigned [0xC01F]',
	0xC020 : 'Unassigned [0xC020]',
	0xC021 : 'Unassigned [0xC021]',
	0xC022 : 'Unassigned [0xC022]',
	0xC023 : 'Unassigned [0xC023]',
	0xC024 : 'Unassigned [0xC024]',
	0xC025 : 'Unassigned [0xC025]',
	0xC026 : 'Unassigned [0xC026]',
	0xC027 : 'Unassigned [0xC027]',
	0xC028 : 'Unassigned [0xC028]',
	0xC029 : 'Unassigned [0xC029]',
	0xC02A : 'Unassigned [0xC02A]',
	0xC02B : 'Unassigned [0xC02B]',
	0xC02C : 'Unassigned [0xC02C]',
	0xC02D : 'Unassigned [0xC02D]',
	0xC02E : 'Unassigned [0xC02E]',
	0xC02F : 'Unassigned [0xC02F]',
	0xC030 : 'Unassigned [0xC030]',
	0xC031 : 'Unassigned [0xC031]',
	0xC032 : 'Unassigned [0xC032]',
	0xC033 : 'Unassigned [0xC033]',
	0xC034 : 'Unassigned [0xC034]',
	0xC035 : 'Unassigned [0xC035]',
	0xC036 : 'Unassigned [0xC036]',
	0xC037 : 'Unassigned [0xC037]',
	0xC038 : 'Unassigned [0xC038]',
	0xC039 : 'Unassigned [0xC039]',
	0xC03A : 'Unassigned [0xC03A]',
	0xC03B : 'Unassigned [0xC03B]',
	0xC03C : 'Unassigned [0xC03C]',
	0xC03D : 'Unassigned [0xC03D]',
	0xC03E : 'Unassigned [0xC03E]',
	0xC03F : 'Unassigned [0xC03F]',
	0xC040 : 'Unassigned [0xC040]',
	0xC041 : 'Unassigned [0xC041]',
	0xC042 : 'Unassigned [0xC042]',
	0xC043 : 'Unassigned [0xC043]',
	0xC044 : 'Unassigned [0xC044]',
	0xC045 : 'Unassigned [0xC045]',
	0xC046 : 'Unassigned [0xC046]',
	0xC047 : 'Unassigned [0xC047]',
	0xC048 : 'Unassigned [0xC048]',
	0xC049 : 'Unassigned [0xC049]',
	0xC04A : 'Unassigned [0xC04A]',
	0xC04B : 'Unassigned [0xC04B]',
	0xC04C : 'Unassigned [0xC04C]',
	0xC04D : 'Unassigned [0xC04D]',
	0xC04E : 'Unassigned [0xC04E]',
	0xC04F : 'Unassigned [0xC04F]',
	0xC050 : 'Unassigned [0xC050]',
	0xC051 : 'Unassigned [0xC051]',
	0xC052 : 'Unassigned [0xC052]',
	0xC053 : 'Unassigned [0xC053]',
	0xC054 : 'Unassigned [0xC054]',
	0xC055 : 'Unassigned [0xC055]',
	0xC056 : 'Unassigned [0xC056]',
	0xC057 : 'Unassigned [0xC057]',
	0xC058 : 'Unassigned [0xC058]',
	0xC059 : 'Unassigned [0xC059]',
	0xC05A : 'Unassigned [0xC05A]',
	0xC05B : 'Unassigned [0xC05B]',
	0xC05C : 'Unassigned [0xC05C]',
	0xC05D : 'Unassigned [0xC05D]',
	0xC05E : 'Unassigned [0xC05E]',
	0xC05F : 'Unassigned [0xC05F]',
	0xC060 : 'Unassigned [0xC060]',
	0xC061 : 'Unassigned [0xC061]',
	0xC062 : 'Unassigned [0xC062]',
	0xC063 : 'Unassigned [0xC063]',
	0xC064 : 'Unassigned [0xC064]',
	0xC065 : 'Unassigned [0xC065]',
	0xC066 : 'Unassigned [0xC066]',
	0xC067 : 'Unassigned [0xC067]',
	0xC068 : 'Unassigned [0xC068]',
	0xC069 : 'Unassigned [0xC069]',
	0xC06A : 'Unassigned [0xC06A]',
	0xC06B : 'Unassigned [0xC06B]',
	0xC06C : 'Unassigned [0xC06C]',
	0xC06D : 'Unassigned [0xC06D]',
	0xC06E : 'Unassigned [0xC06E]',
	0xC06F : 'Unassigned [0xC06F]',
	0xC070 : 'Unassigned [0xC070]',
	0xC071 : 'Unassigned [0xC071]',
	0xC072 : 'Unassigned [0xC072]',
	0xC073 : 'Unassigned [0xC073]',
	0xC074 : 'Unassigned [0xC074]',
	0xC075 : 'Unassigned [0xC075]',
	0xC076 : 'Unassigned [0xC076]',
	0xC077 : 'Unassigned [0xC077]',
	0xC078 : 'Unassigned [0xC078]',
	0xC079 : 'Unassigned [0xC079]',
	0xC07A : 'Unassigned [0xC07A]',
	0xC07B : 'Unassigned [0xC07B]',
	0xC07C : 'Unassigned [0xC07C]',
	0xC07D : 'Unassigned [0xC07D]',
	0xC07E : 'Unassigned [0xC07E]',
	0xC07F : 'Unassigned [0xC07F]',
	0xC080 : 'Unassigned [0xC080]',
	0xC081 : 'Unassigned [0xC081]',
	0xC082 : 'Unassigned [0xC082]',
	0xC083 : 'Unassigned [0xC083]',
	0xC084 : 'Unassigned [0xC084]',
	0xC085 : 'Unassigned [0xC085]',
	0xC086 : 'Unassigned [0xC086]',
	0xC087 : 'Unassigned [0xC087]',
	0xC088 : 'Unassigned [0xC088]',
	0xC089 : 'Unassigned [0xC089]',
	0xC08A : 'Unassigned [0xC08A]',
	0xC08B : 'Unassigned [0xC08B]',
	0xC08C : 'Unassigned [0xC08C]',
	0xC08D : 'Unassigned [0xC08D]',
	0xC08E : 'Unassigned [0xC08E]',
	0xC08F : 'Unassigned [0xC08F]',
	0xC090 : 'Unassigned [0xC090]',
	0xC091 : 'Unassigned [0xC091]',
	0xC092 : 'Unassigned [0xC092]',
	0xC093 : 'Unassigned [0xC093]',
	0xC094 : 'Unassigned [0xC094]',
	0xC095 : 'Unassigned [0xC095]',
	0xC096 : 'Unassigned [0xC096]',
	0xC097 : 'Unassigned [0xC097]',
	0xC098 : 'Unassigned [0xC098]',
	0xC099 : 'Unassigned [0xC099]',
	0xC09A : 'Unassigned [0xC09A]',
	0xC09B : 'Unassigned [0xC09B]',
	0xC09C : 'Unassigned [0xC09C]',
	0xC09D : 'Unassigned [0xC09D]',
	0xC09E : 'Unassigned [0xC09E]',
	0xC09F : 'Unassigned [0xC09F]',
	0xC0A0 : 'Unassigned [0xC0A0]',
	0xC0A1 : 'Unassigned [0xC0A1]',
	0xC0A2 : 'Unassigned [0xC0A2]',
	0xC0A3 : 'Unassigned [0xC0A3]',
	0xC0A4 : 'Unassigned [0xC0A4]',
	0xC0A5 : 'Unassigned [0xC0A5]',
	0xC0A6 : 'Unassigned [0xC0A6]',
	0xC0A7 : 'Unassigned [0xC0A7]',
	0xC0A8 : 'Unassigned [0xC0A8]',
	0xC0A9 : 'Unassigned [0xC0A9]',
	0xC0AA : 'Unassigned [0xC0AA]',
	0xC0AB : 'Unassigned [0xC0AB]',
	0xC0AC : 'Unassigned [0xC0AC]',
	0xC0AD : 'Unassigned [0xC0AD]',
	0xC0AE : 'Unassigned [0xC0AE]',
	0xC0AF : 'Unassigned [0xC0AF]',
	0xC0B0 : 'Unassigned [0xC0B0]',
	0xC0B1 : 'Unassigned [0xC0B1]',
	0xC0B2 : 'Unassigned [0xC0B2]',
	0xC0B3 : 'Unassigned [0xC0B3]',
	0xC0B4 : 'Unassigned [0xC0B4]',
	0xC0B5 : 'Unassigned [0xC0B5]',
	0xC0B6 : 'Unassigned [0xC0B6]',
	0xC0B7 : 'Unassigned [0xC0B7]',
	0xC0B8 : 'Unassigned [0xC0B8]',
	0xC0B9 : 'Unassigned [0xC0B9]',
	0xC0BA : 'Unassigned [0xC0BA]',
	0xC0BB : 'Unassigned [0xC0BB]',
	0xC0BC : 'Unassigned [0xC0BC]',
	0xC0BD : 'Unassigned [0xC0BD]',
	0xC0BE : 'Unassigned [0xC0BE]',
	0xC0BF : 'Unassigned [0xC0BF]',
	0xC0C0 : 'Unassigned [0xC0C0]',
	0xC0C1 : 'Unassigned [0xC0C1]',
	0xC0C2 : 'Unassigned [0xC0C2]',
	0xC0C3 : 'Unassigned [0xC0C3]',
	0xC0C4 : 'Unassigned [0xC0C4]',
	0xC0C5 : 'Unassigned [0xC0C5]',
	0xC0C6 : 'Unassigned [0xC0C6]',
	0xC0C7 : 'Unassigned [0xC0C7]',
	0xC0C8 : 'Unassigned [0xC0C8]',
	0xC0C9 : 'Unassigned [0xC0C9]',
	0xC0CA : 'Unassigned [0xC0CA]',
	0xC0CB : 'Unassigned [0xC0CB]',
	0xC0CC : 'Unassigned [0xC0CC]',
	0xC0CD : 'Unassigned [0xC0CD]',
	0xC0CE : 'Unassigned [0xC0CE]',
	0xC0CF : 'Unassigned [0xC0CF]',
	0xC0D0 : 'Unassigned [0xC0D0]',
	0xC0D1 : 'Unassigned [0xC0D1]',
	0xC0D2 : 'Unassigned [0xC0D2]',
	0xC0D3 : 'Unassigned [0xC0D3]',
	0xC0D4 : 'Unassigned [0xC0D4]',
	0xC0D5 : 'Unassigned [0xC0D5]',
	0xC0D6 : 'Unassigned [0xC0D6]',
	0xC0D7 : 'Unassigned [0xC0D7]',
	0xC0D8 : 'Unassigned [0xC0D8]',
	0xC0D9 : 'Unassigned [0xC0D9]',
	0xC0DA : 'Unassigned [0xC0DA]',
	0xC0DB : 'Unassigned [0xC0DB]',
	0xC0DC : 'Unassigned [0xC0DC]',
	0xC0DD : 'Unassigned [0xC0DD]',
	0xC0DE : 'Unassigned [0xC0DE]',
	0xC0DF : 'Unassigned [0xC0DF]',
	0xC0E0 : 'Unassigned [0xC0E0]',
	0xC0E1 : 'Unassigned [0xC0E1]',
	0xC0E2 : 'Unassigned [0xC0E2]',
	0xC0E3 : 'Unassigned [0xC0E3]',
	0xC0E4 : 'Unassigned [0xC0E4]',
	0xC0E5 : 'Unassigned [0xC0E5]',
	0xC0E6 : 'Unassigned [0xC0E6]',
	0xC0E7 : 'Unassigned [0xC0E7]',
	0xC0E8 : 'Unassigned [0xC0E8]',
	0xC0E9 : 'Unassigned [0xC0E9]',
	0xC0EA : 'Unassigned [0xC0EA]',
	0xC0EB : 'Unassigned [0xC0EB]',
	0xC0EC : 'Unassigned [0xC0EC]',
	0xC0ED : 'Unassigned [0xC0ED]',
	0xC0EE : 'Unassigned [0xC0EE]',
	0xC0EF : 'Unassigned [0xC0EF]',
	0xC0F0 : 'Unassigned [0xC0F0]',
	0xC0F1 : 'Unassigned [0xC0F1]',
	0xC0F2 : 'Unassigned [0xC0F2]',
	0xC0F3 : 'Unassigned [0xC0F3]',
	0xC0F4 : 'Unassigned [0xC0F4]',
	0xC0F5 : 'Unassigned [0xC0F5]',
	0xC0F6 : 'Unassigned [0xC0F6]',
	0xC0F7 : 'Unassigned [0xC0F7]',
	0xC0F8 : 'Unassigned [0xC0F8]',
	0xC0F9 : 'Unassigned [0xC0F9]',
	0xC0FA : 'Unassigned [0xC0FA]',
	0xC0FB : 'Unassigned [0xC0FB]',
	0xC0FC : 'Unassigned [0xC0FC]',
	0xC0FD : 'Unassigned [0xC0FD]',
	0xC0FE : 'Unassigned [0xC0FE]',
	0xC0FF : 'Unassigned [0xC0FF]',
	0xC100 : 'Unassigned [0xC100]',
	0xC101 : 'Unassigned [0xC101]',
	0xC102 : 'Unassigned [0xC102]',
	0xC103 : 'Unassigned [0xC103]',
	0xC104 : 'Unassigned [0xC104]',
	0xC105 : 'Unassigned [0xC105]',
	0xC106 : 'Unassigned [0xC106]',
	0xC107 : 'Unassigned [0xC107]',
	0xC108 : 'Unassigned [0xC108]',
	0xC109 : 'Unassigned [0xC109]',
	0xC10A : 'Unassigned [0xC10A]',
	0xC10B : 'Unassigned [0xC10B]',
	0xC10C : 'Unassigned [0xC10C]',
	0xC10D : 'Unassigned [0xC10D]',
	0xC10E : 'Unassigned [0xC10E]',
	0xC10F : 'Unassigned [0xC10F]',
	0xC110 : 'Unassigned [0xC110]',
	0xC111 : 'Unassigned [0xC111]',
	0xC112 : 'Unassigned [0xC112]',
	0xC113 : 'Unassigned [0xC113]',
	0xC114 : 'Unassigned [0xC114]',
	0xC115 : 'Unassigned [0xC115]',
	0xC116 : 'Unassigned [0xC116]',
	0xC117 : 'Unassigned [0xC117]',
	0xC118 : 'Unassigned [0xC118]',
	0xC119 : 'Unassigned [0xC119]',
	0xC11A : 'Unassigned [0xC11A]',
	0xC11B : 'Unassigned [0xC11B]',
	0xC11C : 'Unassigned [0xC11C]',
	0xC11D : 'Unassigned [0xC11D]',
	0xC11E : 'Unassigned [0xC11E]',
	0xC11F : 'Unassigned [0xC11F]',
	0xC120 : 'Unassigned [0xC120]',
	0xC121 : 'Unassigned [0xC121]',
	0xC122 : 'Unassigned [0xC122]',
	0xC123 : 'Unassigned [0xC123]',
	0xC124 : 'Unassigned [0xC124]',
	0xC125 : 'Unassigned [0xC125]',
	0xC126 : 'Unassigned [0xC126]',
	0xC127 : 'Unassigned [0xC127]',
	0xC128 : 'Unassigned [0xC128]',
	0xC129 : 'Unassigned [0xC129]',
	0xC12A : 'Unassigned [0xC12A]',
	0xC12B : 'Unassigned [0xC12B]',
	0xC12C : 'Unassigned [0xC12C]',
	0xC12D : 'Unassigned [0xC12D]',
	0xC12E : 'Unassigned [0xC12E]',
	0xC12F : 'Unassigned [0xC12F]',
	0xC130 : 'Unassigned [0xC130]',
	0xC131 : 'Unassigned [0xC131]',
	0xC132 : 'Unassigned [0xC132]',
	0xC133 : 'Unassigned [0xC133]',
	0xC134 : 'Unassigned [0xC134]',
	0xC135 : 'Unassigned [0xC135]',
	0xC136 : 'Unassigned [0xC136]',
	0xC137 : 'Unassigned [0xC137]',
	0xC138 : 'Unassigned [0xC138]',
	0xC139 : 'Unassigned [0xC139]',
	0xC13A : 'Unassigned [0xC13A]',
	0xC13B : 'Unassigned [0xC13B]',
	0xC13C : 'Unassigned [0xC13C]',
	0xC13D : 'Unassigned [0xC13D]',
	0xC13E : 'Unassigned [0xC13E]',
	0xC13F : 'Unassigned [0xC13F]',
	0xC140 : 'Unassigned [0xC140]',
	0xC141 : 'Unassigned [0xC141]',
	0xC142 : 'Unassigned [0xC142]',
	0xC143 : 'Unassigned [0xC143]',
	0xC144 : 'Unassigned [0xC144]',
	0xC145 : 'Unassigned [0xC145]',
	0xC146 : 'Unassigned [0xC146]',
	0xC147 : 'Unassigned [0xC147]',
	0xC148 : 'Unassigned [0xC148]',
	0xC149 : 'Unassigned [0xC149]',
	0xC14A : 'Unassigned [0xC14A]',
	0xC14B : 'Unassigned [0xC14B]',
	0xC14C : 'Unassigned [0xC14C]',
	0xC14D : 'Unassigned [0xC14D]',
	0xC14E : 'Unassigned [0xC14E]',
	0xC14F : 'Unassigned [0xC14F]',
	0xC150 : 'Unassigned [0xC150]',
	0xC151 : 'Unassigned [0xC151]',
	0xC152 : 'Unassigned [0xC152]',
	0xC153 : 'Unassigned [0xC153]',
	0xC154 : 'Unassigned [0xC154]',
	0xC155 : 'Unassigned [0xC155]',
	0xC156 : 'Unassigned [0xC156]',
	0xC157 : 'Unassigned [0xC157]',
	0xC158 : 'Unassigned [0xC158]',
	0xC159 : 'Unassigned [0xC159]',
	0xC15A : 'Unassigned [0xC15A]',
	0xC15B : 'Unassigned [0xC15B]',
	0xC15C : 'Unassigned [0xC15C]',
	0xC15D : 'Unassigned [0xC15D]',
	0xC15E : 'Unassigned [0xC15E]',
	0xC15F : 'Unassigned [0xC15F]',
	0xC160 : 'Unassigned [0xC160]',
	0xC161 : 'Unassigned [0xC161]',
	0xC162 : 'Unassigned [0xC162]',
	0xC163 : 'Unassigned [0xC163]',
	0xC164 : 'Unassigned [0xC164]',
	0xC165 : 'Unassigned [0xC165]',
	0xC166 : 'Unassigned [0xC166]',
	0xC167 : 'Unassigned [0xC167]',
	0xC168 : 'Unassigned [0xC168]',
	0xC169 : 'Unassigned [0xC169]',
	0xC16A : 'Unassigned [0xC16A]',
	0xC16B : 'Unassigned [0xC16B]',
	0xC16C : 'Unassigned [0xC16C]',
	0xC16D : 'Unassigned [0xC16D]',
	0xC16E : 'Unassigned [0xC16E]',
	0xC16F : 'Unassigned [0xC16F]',
	0xC170 : 'Unassigned [0xC170]',
	0xC171 : 'Unassigned [0xC171]',
	0xC172 : 'Unassigned [0xC172]',
	0xC173 : 'Unassigned [0xC173]',
	0xC174 : 'Unassigned [0xC174]',
	0xC175 : 'Unassigned [0xC175]',
	0xC176 : 'Unassigned [0xC176]',
	0xC177 : 'Unassigned [0xC177]',
	0xC178 : 'Unassigned [0xC178]',
	0xC179 : 'Unassigned [0xC179]',
	0xC17A : 'Unassigned [0xC17A]',
	0xC17B : 'Unassigned [0xC17B]',
	0xC17C : 'Unassigned [0xC17C]',
	0xC17D : 'Unassigned [0xC17D]',
	0xC17E : 'Unassigned [0xC17E]',
	0xC17F : 'Unassigned [0xC17F]',
	0xC180 : 'Unassigned [0xC180]',
	0xC181 : 'Unassigned [0xC181]',
	0xC182 : 'Unassigned [0xC182]',
	0xC183 : 'Unassigned [0xC183]',
	0xC184 : 'Unassigned [0xC184]',
	0xC185 : 'Unassigned [0xC185]',
	0xC186 : 'Unassigned [0xC186]',
	0xC187 : 'Unassigned [0xC187]',
	0xC188 : 'Unassigned [0xC188]',
	0xC189 : 'Unassigned [0xC189]',
	0xC18A : 'Unassigned [0xC18A]',
	0xC18B : 'Unassigned [0xC18B]',
	0xC18C : 'Unassigned [0xC18C]',
	0xC18D : 'Unassigned [0xC18D]',
	0xC18E : 'Unassigned [0xC18E]',
	0xC18F : 'Unassigned [0xC18F]',
	0xC190 : 'Unassigned [0xC190]',
	0xC191 : 'Unassigned [0xC191]',
	0xC192 : 'Unassigned [0xC192]',
	0xC193 : 'Unassigned [0xC193]',
	0xC194 : 'Unassigned [0xC194]',
	0xC195 : 'Unassigned [0xC195]',
	0xC196 : 'Unassigned [0xC196]',
	0xC197 : 'Unassigned [0xC197]',
	0xC198 : 'Unassigned [0xC198]',
	0xC199 : 'Unassigned [0xC199]',
	0xC19A : 'Unassigned [0xC19A]',
	0xC19B : 'Unassigned [0xC19B]',
	0xC19C : 'Unassigned [0xC19C]',
	0xC19D : 'Unassigned [0xC19D]',
	0xC19E : 'Unassigned [0xC19E]',
	0xC19F : 'Unassigned [0xC19F]',
	0xC1A0 : 'Unassigned [0xC1A0]',
	0xC1A1 : 'Unassigned [0xC1A1]',
	0xC1A2 : 'Unassigned [0xC1A2]',
	0xC1A3 : 'Unassigned [0xC1A3]',
	0xC1A4 : 'Unassigned [0xC1A4]',
	0xC1A5 : 'Unassigned [0xC1A5]',
	0xC1A6 : 'Unassigned [0xC1A6]',
	0xC1A7 : 'Unassigned [0xC1A7]',
	0xC1A8 : 'Unassigned [0xC1A8]',
	0xC1A9 : 'Unassigned [0xC1A9]',
	0xC1AA : 'Unassigned [0xC1AA]',
	0xC1AB : 'Unassigned [0xC1AB]',
	0xC1AC : 'Unassigned [0xC1AC]',
	0xC1AD : 'Unassigned [0xC1AD]',
	0xC1AE : 'Unassigned [0xC1AE]',
	0xC1AF : 'Unassigned [0xC1AF]',
	0xC1B0 : 'Unassigned [0xC1B0]',
	0xC1B1 : 'Unassigned [0xC1B1]',
	0xC1B2 : 'Unassigned [0xC1B2]',
	0xC1B3 : 'Unassigned [0xC1B3]',
	0xC1B4 : 'Unassigned [0xC1B4]',
	0xC1B5 : 'Unassigned [0xC1B5]',
	0xC1B6 : 'Unassigned [0xC1B6]',
	0xC1B7 : 'Unassigned [0xC1B7]',
	0xC1B8 : 'Unassigned [0xC1B8]',
	0xC1B9 : 'Unassigned [0xC1B9]',
	0xC1BA : 'Unassigned [0xC1BA]',
	0xC1BB : 'Unassigned [0xC1BB]',
	0xC1BC : 'Unassigned [0xC1BC]',
	0xC1BD : 'Unassigned [0xC1BD]',
	0xC1BE : 'Unassigned [0xC1BE]',
	0xC1BF : 'Unassigned [0xC1BF]',
	0xC1C0 : 'Unassigned [0xC1C0]',
	0xC1C1 : 'Unassigned [0xC1C1]',
	0xC1C2 : 'Unassigned [0xC1C2]',
	0xC1C3 : 'Unassigned [0xC1C3]',
	0xC1C4 : 'Unassigned [0xC1C4]',
	0xC1C5 : 'Unassigned [0xC1C5]',
	0xC1C6 : 'Unassigned [0xC1C6]',
	0xC1C7 : 'Unassigned [0xC1C7]',
	0xC1C8 : 'Unassigned [0xC1C8]',
	0xC1C9 : 'Unassigned [0xC1C9]',
	0xC1CA : 'Unassigned [0xC1CA]',
	0xC1CB : 'Unassigned [0xC1CB]',
	0xC1CC : 'Unassigned [0xC1CC]',
	0xC1CD : 'Unassigned [0xC1CD]',
	0xC1CE : 'Unassigned [0xC1CE]',
	0xC1CF : 'Unassigned [0xC1CF]',
	0xC1D0 : 'Unassigned [0xC1D0]',
	0xC1D1 : 'Unassigned [0xC1D1]',
	0xC1D2 : 'Unassigned [0xC1D2]',
	0xC1D3 : 'Unassigned [0xC1D3]',
	0xC1D4 : 'Unassigned [0xC1D4]',
	0xC1D5 : 'Unassigned [0xC1D5]',
	0xC1D6 : 'Unassigned [0xC1D6]',
	0xC1D7 : 'Unassigned [0xC1D7]',
	0xC1D8 : 'Unassigned [0xC1D8]',
	0xC1D9 : 'Unassigned [0xC1D9]',
	0xC1DA : 'Unassigned [0xC1DA]',
	0xC1DB : 'Unassigned [0xC1DB]',
	0xC1DC : 'Unassigned [0xC1DC]',
	0xC1DD : 'Unassigned [0xC1DD]',
	0xC1DE : 'Unassigned [0xC1DE]',
	0xC1DF : 'Unassigned [0xC1DF]',
	0xC1E0 : 'Unassigned [0xC1E0]',
	0xC1E1 : 'Unassigned [0xC1E1]',
	0xC1E2 : 'Unassigned [0xC1E2]',
	0xC1E3 : 'Unassigned [0xC1E3]',
	0xC1E4 : 'Unassigned [0xC1E4]',
	0xC1E5 : 'Unassigned [0xC1E5]',
	0xC1E6 : 'Unassigned [0xC1E6]',
	0xC1E7 : 'Unassigned [0xC1E7]',
	0xC1E8 : 'Unassigned [0xC1E8]',
	0xC1E9 : 'Unassigned [0xC1E9]',
	0xC1EA : 'Unassigned [0xC1EA]',
	0xC1EB : 'Unassigned [0xC1EB]',
	0xC1EC : 'Unassigned [0xC1EC]',
	0xC1ED : 'Unassigned [0xC1ED]',
	0xC1EE : 'Unassigned [0xC1EE]',
	0xC1EF : 'Unassigned [0xC1EF]',
	0xC1F0 : 'Unassigned [0xC1F0]',
	0xC1F1 : 'Unassigned [0xC1F1]',
	0xC1F2 : 'Unassigned [0xC1F2]',
	0xC1F3 : 'Unassigned [0xC1F3]',
	0xC1F4 : 'Unassigned [0xC1F4]',
	0xC1F5 : 'Unassigned [0xC1F5]',
	0xC1F6 : 'Unassigned [0xC1F6]',
	0xC1F7 : 'Unassigned [0xC1F7]',
	0xC1F8 : 'Unassigned [0xC1F8]',
	0xC1F9 : 'Unassigned [0xC1F9]',
	0xC1FA : 'Unassigned [0xC1FA]',
	0xC1FB : 'Unassigned [0xC1FB]',
	0xC1FC : 'Unassigned [0xC1FC]',
	0xC1FD : 'Unassigned [0xC1FD]',
	0xC1FE : 'Unassigned [0xC1FE]',
	0xC1FF : 'Unassigned [0xC1FF]',
	0xC200 : 'Unassigned [0xC200]',
	0xC201 : 'Unassigned [0xC201]',
	0xC202 : 'Unassigned [0xC202]',
	0xC203 : 'Unassigned [0xC203]',
	0xC204 : 'Unassigned [0xC204]',
	0xC205 : 'Unassigned [0xC205]',
	0xC206 : 'Unassigned [0xC206]',
	0xC207 : 'Unassigned [0xC207]',
	0xC208 : 'Unassigned [0xC208]',
	0xC209 : 'Unassigned [0xC209]',
	0xC20A : 'Unassigned [0xC20A]',
	0xC20B : 'Unassigned [0xC20B]',
	0xC20C : 'Unassigned [0xC20C]',
	0xC20D : 'Unassigned [0xC20D]',
	0xC20E : 'Unassigned [0xC20E]',
	0xC20F : 'Unassigned [0xC20F]',
	0xC210 : 'Unassigned [0xC210]',
	0xC211 : 'Unassigned [0xC211]',
	0xC212 : 'Unassigned [0xC212]',
	0xC213 : 'Unassigned [0xC213]',
	0xC214 : 'Unassigned [0xC214]',
	0xC215 : 'Unassigned [0xC215]',
	0xC216 : 'Unassigned [0xC216]',
	0xC217 : 'Unassigned [0xC217]',
	0xC218 : 'Unassigned [0xC218]',
	0xC219 : 'Unassigned [0xC219]',
	0xC21A : 'Unassigned [0xC21A]',
	0xC21B : 'Unassigned [0xC21B]',
	0xC21C : 'Unassigned [0xC21C]',
	0xC21D : 'Unassigned [0xC21D]',
	0xC21E : 'Unassigned [0xC21E]',
	0xC21F : 'Unassigned [0xC21F]',
	0xC220 : 'Unassigned [0xC220]',
	0xC221 : 'Unassigned [0xC221]',
	0xC222 : 'Unassigned [0xC222]',
	0xC223 : 'Unassigned [0xC223]',
	0xC224 : 'Unassigned [0xC224]',
	0xC225 : 'Unassigned [0xC225]',
	0xC226 : 'Unassigned [0xC226]',
	0xC227 : 'Unassigned [0xC227]',
	0xC228 : 'Unassigned [0xC228]',
	0xC229 : 'Unassigned [0xC229]',
	0xC22A : 'Unassigned [0xC22A]',
	0xC22B : 'Unassigned [0xC22B]',
	0xC22C : 'Unassigned [0xC22C]',
	0xC22D : 'Unassigned [0xC22D]',
	0xC22E : 'Unassigned [0xC22E]',
	0xC22F : 'Unassigned [0xC22F]',
	0xC230 : 'Unassigned [0xC230]',
	0xC231 : 'Unassigned [0xC231]',
	0xC232 : 'Unassigned [0xC232]',
	0xC233 : 'Unassigned [0xC233]',
	0xC234 : 'Unassigned [0xC234]',
	0xC235 : 'Unassigned [0xC235]',
	0xC236 : 'Unassigned [0xC236]',
	0xC237 : 'Unassigned [0xC237]',
	0xC238 : 'Unassigned [0xC238]',
	0xC239 : 'Unassigned [0xC239]',
	0xC23A : 'Unassigned [0xC23A]',
	0xC23B : 'Unassigned [0xC23B]',
	0xC23C : 'Unassigned [0xC23C]',
	0xC23D : 'Unassigned [0xC23D]',
	0xC23E : 'Unassigned [0xC23E]',
	0xC23F : 'Unassigned [0xC23F]',
	0xC240 : 'Unassigned [0xC240]',
	0xC241 : 'Unassigned [0xC241]',
	0xC242 : 'Unassigned [0xC242]',
	0xC243 : 'Unassigned [0xC243]',
	0xC244 : 'Unassigned [0xC244]',
	0xC245 : 'Unassigned [0xC245]',
	0xC246 : 'Unassigned [0xC246]',
	0xC247 : 'Unassigned [0xC247]',
	0xC248 : 'Unassigned [0xC248]',
	0xC249 : 'Unassigned [0xC249]',
	0xC24A : 'Unassigned [0xC24A]',
	0xC24B : 'Unassigned [0xC24B]',
	0xC24C : 'Unassigned [0xC24C]',
	0xC24D : 'Unassigned [0xC24D]',
	0xC24E : 'Unassigned [0xC24E]',
	0xC24F : 'Unassigned [0xC24F]',
	0xC250 : 'Unassigned [0xC250]',
	0xC251 : 'Unassigned [0xC251]',
	0xC252 : 'Unassigned [0xC252]',
	0xC253 : 'Unassigned [0xC253]',
	0xC254 : 'Unassigned [0xC254]',
	0xC255 : 'Unassigned [0xC255]',
	0xC256 : 'Unassigned [0xC256]',
	0xC257 : 'Unassigned [0xC257]',
	0xC258 : 'Unassigned [0xC258]',
	0xC259 : 'Unassigned [0xC259]',
	0xC25A : 'Unassigned [0xC25A]',
	0xC25B : 'Unassigned [0xC25B]',
	0xC25C : 'Unassigned [0xC25C]',
	0xC25D : 'Unassigned [0xC25D]',
	0xC25E : 'Unassigned [0xC25E]',
	0xC25F : 'Unassigned [0xC25F]',
	0xC260 : 'Unassigned [0xC260]',
	0xC261 : 'Unassigned [0xC261]',
	0xC262 : 'Unassigned [0xC262]',
	0xC263 : 'Unassigned [0xC263]',
	0xC264 : 'Unassigned [0xC264]',
	0xC265 : 'Unassigned [0xC265]',
	0xC266 : 'Unassigned [0xC266]',
	0xC267 : 'Unassigned [0xC267]',
	0xC268 : 'Unassigned [0xC268]',
	0xC269 : 'Unassigned [0xC269]',
	0xC26A : 'Unassigned [0xC26A]',
	0xC26B : 'Unassigned [0xC26B]',
	0xC26C : 'Unassigned [0xC26C]',
	0xC26D : 'Unassigned [0xC26D]',
	0xC26E : 'Unassigned [0xC26E]',
	0xC26F : 'Unassigned [0xC26F]',
	0xC270 : 'Unassigned [0xC270]',
	0xC271 : 'Unassigned [0xC271]',
	0xC272 : 'Unassigned [0xC272]',
	0xC273 : 'Unassigned [0xC273]',
	0xC274 : 'Unassigned [0xC274]',
	0xC275 : 'Unassigned [0xC275]',
	0xC276 : 'Unassigned [0xC276]',
	0xC277 : 'Unassigned [0xC277]',
	0xC278 : 'Unassigned [0xC278]',
	0xC279 : 'Unassigned [0xC279]',
	0xC27A : 'Unassigned [0xC27A]',
	0xC27B : 'Unassigned [0xC27B]',
	0xC27C : 'Unassigned [0xC27C]',
	0xC27D : 'Unassigned [0xC27D]',
	0xC27E : 'Unassigned [0xC27E]',
	0xC27F : 'Unassigned [0xC27F]',
	0xC280 : 'Unassigned [0xC280]',
	0xC281 : 'Unassigned [0xC281]',
	0xC282 : 'Unassigned [0xC282]',
	0xC283 : 'Unassigned [0xC283]',
	0xC284 : 'Unassigned [0xC284]',
	0xC285 : 'Unassigned [0xC285]',
	0xC286 : 'Unassigned [0xC286]',
	0xC287 : 'Unassigned [0xC287]',
	0xC288 : 'Unassigned [0xC288]',
	0xC289 : 'Unassigned [0xC289]',
	0xC28A : 'Unassigned [0xC28A]',
	0xC28B : 'Unassigned [0xC28B]',
	0xC28C : 'Unassigned [0xC28C]',
	0xC28D : 'Unassigned [0xC28D]',
	0xC28E : 'Unassigned [0xC28E]',
	0xC28F : 'Unassigned [0xC28F]',
	0xC290 : 'Unassigned [0xC290]',
	0xC291 : 'Unassigned [0xC291]',
	0xC292 : 'Unassigned [0xC292]',
	0xC293 : 'Unassigned [0xC293]',
	0xC294 : 'Unassigned [0xC294]',
	0xC295 : 'Unassigned [0xC295]',
	0xC296 : 'Unassigned [0xC296]',
	0xC297 : 'Unassigned [0xC297]',
	0xC298 : 'Unassigned [0xC298]',
	0xC299 : 'Unassigned [0xC299]',
	0xC29A : 'Unassigned [0xC29A]',
	0xC29B : 'Unassigned [0xC29B]',
	0xC29C : 'Unassigned [0xC29C]',
	0xC29D : 'Unassigned [0xC29D]',
	0xC29E : 'Unassigned [0xC29E]',
	0xC29F : 'Unassigned [0xC29F]',
	0xC2A0 : 'Unassigned [0xC2A0]',
	0xC2A1 : 'Unassigned [0xC2A1]',
	0xC2A2 : 'Unassigned [0xC2A2]',
	0xC2A3 : 'Unassigned [0xC2A3]',
	0xC2A4 : 'Unassigned [0xC2A4]',
	0xC2A5 : 'Unassigned [0xC2A5]',
	0xC2A6 : 'Unassigned [0xC2A6]',
	0xC2A7 : 'Unassigned [0xC2A7]',
	0xC2A8 : 'Unassigned [0xC2A8]',
	0xC2A9 : 'Unassigned [0xC2A9]',
	0xC2AA : 'Unassigned [0xC2AA]',
	0xC2AB : 'Unassigned [0xC2AB]',
	0xC2AC : 'Unassigned [0xC2AC]',
	0xC2AD : 'Unassigned [0xC2AD]',
	0xC2AE : 'Unassigned [0xC2AE]',
	0xC2AF : 'Unassigned [0xC2AF]',
	0xC2B0 : 'Unassigned [0xC2B0]',
	0xC2B1 : 'Unassigned [0xC2B1]',
	0xC2B2 : 'Unassigned [0xC2B2]',
	0xC2B3 : 'Unassigned [0xC2B3]',
	0xC2B4 : 'Unassigned [0xC2B4]',
	0xC2B5 : 'Unassigned [0xC2B5]',
	0xC2B6 : 'Unassigned [0xC2B6]',
	0xC2B7 : 'Unassigned [0xC2B7]',
	0xC2B8 : 'Unassigned [0xC2B8]',
	0xC2B9 : 'Unassigned [0xC2B9]',
	0xC2BA : 'Unassigned [0xC2BA]',
	0xC2BB : 'Unassigned [0xC2BB]',
	0xC2BC : 'Unassigned [0xC2BC]',
	0xC2BD : 'Unassigned [0xC2BD]',
	0xC2BE : 'Unassigned [0xC2BE]',
	0xC2BF : 'Unassigned [0xC2BF]',
	0xC2C0 : 'Unassigned [0xC2C0]',
	0xC2C1 : 'Unassigned [0xC2C1]',
	0xC2C2 : 'Unassigned [0xC2C2]',
	0xC2C3 : 'Unassigned [0xC2C3]',
	0xC2C4 : 'Unassigned [0xC2C4]',
	0xC2C5 : 'Unassigned [0xC2C5]',
	0xC2C6 : 'Unassigned [0xC2C6]',
	0xC2C7 : 'Unassigned [0xC2C7]',
	0xC2C8 : 'Unassigned [0xC2C8]',
	0xC2C9 : 'Unassigned [0xC2C9]',
	0xC2CA : 'Unassigned [0xC2CA]',
	0xC2CB : 'Unassigned [0xC2CB]',
	0xC2CC : 'Unassigned [0xC2CC]',
	0xC2CD : 'Unassigned [0xC2CD]',
	0xC2CE : 'Unassigned [0xC2CE]',
	0xC2CF : 'Unassigned [0xC2CF]',
	0xC2D0 : 'Unassigned [0xC2D0]',
	0xC2D1 : 'Unassigned [0xC2D1]',
	0xC2D2 : 'Unassigned [0xC2D2]',
	0xC2D3 : 'Unassigned [0xC2D3]',
	0xC2D4 : 'Unassigned [0xC2D4]',
	0xC2D5 : 'Unassigned [0xC2D5]',
	0xC2D6 : 'Unassigned [0xC2D6]',
	0xC2D7 : 'Unassigned [0xC2D7]',
	0xC2D8 : 'Unassigned [0xC2D8]',
	0xC2D9 : 'Unassigned [0xC2D9]',
	0xC2DA : 'Unassigned [0xC2DA]',
	0xC2DB : 'Unassigned [0xC2DB]',
	0xC2DC : 'Unassigned [0xC2DC]',
	0xC2DD : 'Unassigned [0xC2DD]',
	0xC2DE : 'Unassigned [0xC2DE]',
	0xC2DF : 'Unassigned [0xC2DF]',
	0xC2E0 : 'Unassigned [0xC2E0]',
	0xC2E1 : 'Unassigned [0xC2E1]',
	0xC2E2 : 'Unassigned [0xC2E2]',
	0xC2E3 : 'Unassigned [0xC2E3]',
	0xC2E4 : 'Unassigned [0xC2E4]',
	0xC2E5 : 'Unassigned [0xC2E5]',
	0xC2E6 : 'Unassigned [0xC2E6]',
	0xC2E7 : 'Unassigned [0xC2E7]',
	0xC2E8 : 'Unassigned [0xC2E8]',
	0xC2E9 : 'Unassigned [0xC2E9]',
	0xC2EA : 'Unassigned [0xC2EA]',
	0xC2EB : 'Unassigned [0xC2EB]',
	0xC2EC : 'Unassigned [0xC2EC]',
	0xC2ED : 'Unassigned [0xC2ED]',
	0xC2EE : 'Unassigned [0xC2EE]',
	0xC2EF : 'Unassigned [0xC2EF]',
	0xC2F0 : 'Unassigned [0xC2F0]',
	0xC2F1 : 'Unassigned [0xC2F1]',
	0xC2F2 : 'Unassigned [0xC2F2]',
	0xC2F3 : 'Unassigned [0xC2F3]',
	0xC2F4 : 'Unassigned [0xC2F4]',
	0xC2F5 : 'Unassigned [0xC2F5]',
	0xC2F6 : 'Unassigned [0xC2F6]',
	0xC2F7 : 'Unassigned [0xC2F7]',
	0xC2F8 : 'Unassigned [0xC2F8]',
	0xC2F9 : 'Unassigned [0xC2F9]',
	0xC2FA : 'Unassigned [0xC2FA]',
	0xC2FB : 'Unassigned [0xC2FB]',
	0xC2FC : 'Unassigned [0xC2FC]',
	0xC2FD : 'Unassigned [0xC2FD]',
	0xC2FE : 'Unassigned [0xC2FE]',
	0xC2FF : 'Unassigned [0xC2FF]',
	0xC300 : 'Unassigned [0xC300]',
	0xC301 : 'Unassigned [0xC301]',
	0xC302 : 'Unassigned [0xC302]',
	0xC303 : 'Unassigned [0xC303]',
	0xC304 : 'Unassigned [0xC304]',
	0xC305 : 'Unassigned [0xC305]',
	0xC306 : 'Unassigned [0xC306]',
	0xC307 : 'Unassigned [0xC307]',
	0xC308 : 'Unassigned [0xC308]',
	0xC309 : 'Unassigned [0xC309]',
	0xC30A : 'Unassigned [0xC30A]',
	0xC30B : 'Unassigned [0xC30B]',
	0xC30C : 'Unassigned [0xC30C]',
	0xC30D : 'Unassigned [0xC30D]',
	0xC30E : 'Unassigned [0xC30E]',
	0xC30F : 'Unassigned [0xC30F]',
	0xC310 : 'Unassigned [0xC310]',
	0xC311 : 'Unassigned [0xC311]',
	0xC312 : 'Unassigned [0xC312]',
	0xC313 : 'Unassigned [0xC313]',
	0xC314 : 'Unassigned [0xC314]',
	0xC315 : 'Unassigned [0xC315]',
	0xC316 : 'Unassigned [0xC316]',
	0xC317 : 'Unassigned [0xC317]',
	0xC318 : 'Unassigned [0xC318]',
	0xC319 : 'Unassigned [0xC319]',
	0xC31A : 'Unassigned [0xC31A]',
	0xC31B : 'Unassigned [0xC31B]',
	0xC31C : 'Unassigned [0xC31C]',
	0xC31D : 'Unassigned [0xC31D]',
	0xC31E : 'Unassigned [0xC31E]',
	0xC31F : 'Unassigned [0xC31F]',
	0xC320 : 'Unassigned [0xC320]',
	0xC321 : 'Unassigned [0xC321]',
	0xC322 : 'Unassigned [0xC322]',
	0xC323 : 'Unassigned [0xC323]',
	0xC324 : 'Unassigned [0xC324]',
	0xC325 : 'Unassigned [0xC325]',
	0xC326 : 'Unassigned [0xC326]',
	0xC327 : 'Unassigned [0xC327]',
	0xC328 : 'Unassigned [0xC328]',
	0xC329 : 'Unassigned [0xC329]',
	0xC32A : 'Unassigned [0xC32A]',
	0xC32B : 'Unassigned [0xC32B]',
	0xC32C : 'Unassigned [0xC32C]',
	0xC32D : 'Unassigned [0xC32D]',
	0xC32E : 'Unassigned [0xC32E]',
	0xC32F : 'Unassigned [0xC32F]',
	0xC330 : 'Unassigned [0xC330]',
	0xC331 : 'Unassigned [0xC331]',
	0xC332 : 'Unassigned [0xC332]',
	0xC333 : 'Unassigned [0xC333]',
	0xC334 : 'Unassigned [0xC334]',
	0xC335 : 'Unassigned [0xC335]',
	0xC336 : 'Unassigned [0xC336]',
	0xC337 : 'Unassigned [0xC337]',
	0xC338 : 'Unassigned [0xC338]',
	0xC339 : 'Unassigned [0xC339]',
	0xC33A : 'Unassigned [0xC33A]',
	0xC33B : 'Unassigned [0xC33B]',
	0xC33C : 'Unassigned [0xC33C]',
	0xC33D : 'Unassigned [0xC33D]',
	0xC33E : 'Unassigned [0xC33E]',
	0xC33F : 'Unassigned [0xC33F]',
	0xC340 : 'Unassigned [0xC340]',
	0xC341 : 'Unassigned [0xC341]',
	0xC342 : 'Unassigned [0xC342]',
	0xC343 : 'Unassigned [0xC343]',
	0xC344 : 'Unassigned [0xC344]',
	0xC345 : 'Unassigned [0xC345]',
	0xC346 : 'Unassigned [0xC346]',
	0xC347 : 'Unassigned [0xC347]',
	0xC348 : 'Unassigned [0xC348]',
	0xC349 : 'Unassigned [0xC349]',
	0xC34A : 'Unassigned [0xC34A]',
	0xC34B : 'Unassigned [0xC34B]',
	0xC34C : 'Unassigned [0xC34C]',
	0xC34D : 'Unassigned [0xC34D]',
	0xC34E : 'Unassigned [0xC34E]',
	0xC34F : 'Unassigned [0xC34F]',
	0xC350 : 'Unassigned [0xC350]',
	0xC351 : 'Unassigned [0xC351]',
	0xC352 : 'Unassigned [0xC352]',
	0xC353 : 'Unassigned [0xC353]',
	0xC354 : 'Unassigned [0xC354]',
	0xC355 : 'Unassigned [0xC355]',
	0xC356 : 'Unassigned [0xC356]',
	0xC357 : 'Unassigned [0xC357]',
	0xC358 : 'Unassigned [0xC358]',
	0xC359 : 'Unassigned [0xC359]',
	0xC35A : 'Unassigned [0xC35A]',
	0xC35B : 'Unassigned [0xC35B]',
	0xC35C : 'Unassigned [0xC35C]',
	0xC35D : 'Unassigned [0xC35D]',
	0xC35E : 'Unassigned [0xC35E]',
	0xC35F : 'Unassigned [0xC35F]',
	0xC360 : 'Unassigned [0xC360]',
	0xC361 : 'Unassigned [0xC361]',
	0xC362 : 'Unassigned [0xC362]',
	0xC363 : 'Unassigned [0xC363]',
	0xC364 : 'Unassigned [0xC364]',
	0xC365 : 'Unassigned [0xC365]',
	0xC366 : 'Unassigned [0xC366]',
	0xC367 : 'Unassigned [0xC367]',
	0xC368 : 'Unassigned [0xC368]',
	0xC369 : 'Unassigned [0xC369]',
	0xC36A : 'Unassigned [0xC36A]',
	0xC36B : 'Unassigned [0xC36B]',
	0xC36C : 'Unassigned [0xC36C]',
	0xC36D : 'Unassigned [0xC36D]',
	0xC36E : 'Unassigned [0xC36E]',
	0xC36F : 'Unassigned [0xC36F]',
	0xC370 : 'Unassigned [0xC370]',
	0xC371 : 'Unassigned [0xC371]',
	0xC372 : 'Unassigned [0xC372]',
	0xC373 : 'Unassigned [0xC373]',
	0xC374 : 'Unassigned [0xC374]',
	0xC375 : 'Unassigned [0xC375]',
	0xC376 : 'Unassigned [0xC376]',
	0xC377 : 'Unassigned [0xC377]',
	0xC378 : 'Unassigned [0xC378]',
	0xC379 : 'Unassigned [0xC379]',
	0xC37A : 'Unassigned [0xC37A]',
	0xC37B : 'Unassigned [0xC37B]',
	0xC37C : 'Unassigned [0xC37C]',
	0xC37D : 'Unassigned [0xC37D]',
	0xC37E : 'Unassigned [0xC37E]',
	0xC37F : 'Unassigned [0xC37F]',
	0xC380 : 'Unassigned [0xC380]',
	0xC381 : 'Unassigned [0xC381]',
	0xC382 : 'Unassigned [0xC382]',
	0xC383 : 'Unassigned [0xC383]',
	0xC384 : 'Unassigned [0xC384]',
	0xC385 : 'Unassigned [0xC385]',
	0xC386 : 'Unassigned [0xC386]',
	0xC387 : 'Unassigned [0xC387]',
	0xC388 : 'Unassigned [0xC388]',
	0xC389 : 'Unassigned [0xC389]',
	0xC38A : 'Unassigned [0xC38A]',
	0xC38B : 'Unassigned [0xC38B]',
	0xC38C : 'Unassigned [0xC38C]',
	0xC38D : 'Unassigned [0xC38D]',
	0xC38E : 'Unassigned [0xC38E]',
	0xC38F : 'Unassigned [0xC38F]',
	0xC390 : 'Unassigned [0xC390]',
	0xC391 : 'Unassigned [0xC391]',
	0xC392 : 'Unassigned [0xC392]',
	0xC393 : 'Unassigned [0xC393]',
	0xC394 : 'Unassigned [0xC394]',
	0xC395 : 'Unassigned [0xC395]',
	0xC396 : 'Unassigned [0xC396]',
	0xC397 : 'Unassigned [0xC397]',
	0xC398 : 'Unassigned [0xC398]',
	0xC399 : 'Unassigned [0xC399]',
	0xC39A : 'Unassigned [0xC39A]',
	0xC39B : 'Unassigned [0xC39B]',
	0xC39C : 'Unassigned [0xC39C]',
	0xC39D : 'Unassigned [0xC39D]',
	0xC39E : 'Unassigned [0xC39E]',
	0xC39F : 'Unassigned [0xC39F]',
	0xC3A0 : 'Unassigned [0xC3A0]',
	0xC3A1 : 'Unassigned [0xC3A1]',
	0xC3A2 : 'Unassigned [0xC3A2]',
	0xC3A3 : 'Unassigned [0xC3A3]',
	0xC3A4 : 'Unassigned [0xC3A4]',
	0xC3A5 : 'Unassigned [0xC3A5]',
	0xC3A6 : 'Unassigned [0xC3A6]',
	0xC3A7 : 'Unassigned [0xC3A7]',
	0xC3A8 : 'Unassigned [0xC3A8]',
	0xC3A9 : 'Unassigned [0xC3A9]',
	0xC3AA : 'Unassigned [0xC3AA]',
	0xC3AB : 'Unassigned [0xC3AB]',
	0xC3AC : 'Unassigned [0xC3AC]',
	0xC3AD : 'Unassigned [0xC3AD]',
	0xC3AE : 'Unassigned [0xC3AE]',
	0xC3AF : 'Unassigned [0xC3AF]',
	0xC3B0 : 'Unassigned [0xC3B0]',
	0xC3B1 : 'Unassigned [0xC3B1]',
	0xC3B2 : 'Unassigned [0xC3B2]',
	0xC3B3 : 'Unassigned [0xC3B3]',
	0xC3B4 : 'Unassigned [0xC3B4]',
	0xC3B5 : 'Unassigned [0xC3B5]',
	0xC3B6 : 'Unassigned [0xC3B6]',
	0xC3B7 : 'Unassigned [0xC3B7]',
	0xC3B8 : 'Unassigned [0xC3B8]',
	0xC3B9 : 'Unassigned [0xC3B9]',
	0xC3BA : 'Unassigned [0xC3BA]',
	0xC3BB : 'Unassigned [0xC3BB]',
	0xC3BC : 'Unassigned [0xC3BC]',
	0xC3BD : 'Unassigned [0xC3BD]',
	0xC3BE : 'Unassigned [0xC3BE]',
	0xC3BF : 'Unassigned [0xC3BF]',
	0xC3C0 : 'Unassigned [0xC3C0]',
	0xC3C1 : 'Unassigned [0xC3C1]',
	0xC3C2 : 'Unassigned [0xC3C2]',
	0xC3C3 : 'Unassigned [0xC3C3]',
	0xC3C4 : 'Unassigned [0xC3C4]',
	0xC3C5 : 'Unassigned [0xC3C5]',
	0xC3C6 : 'Unassigned [0xC3C6]',
	0xC3C7 : 'Unassigned [0xC3C7]',
	0xC3C8 : 'Unassigned [0xC3C8]',
	0xC3C9 : 'Unassigned [0xC3C9]',
	0xC3CA : 'Unassigned [0xC3CA]',
	0xC3CB : 'Unassigned [0xC3CB]',
	0xC3CC : 'Unassigned [0xC3CC]',
	0xC3CD : 'Unassigned [0xC3CD]',
	0xC3CE : 'Unassigned [0xC3CE]',
	0xC3CF : 'Unassigned [0xC3CF]',
	0xC3D0 : 'Unassigned [0xC3D0]',
	0xC3D1 : 'Unassigned [0xC3D1]',
	0xC3D2 : 'Unassigned [0xC3D2]',
	0xC3D3 : 'Unassigned [0xC3D3]',
	0xC3D4 : 'Unassigned [0xC3D4]',
	0xC3D5 : 'Unassigned [0xC3D5]',
	0xC3D6 : 'Unassigned [0xC3D6]',
	0xC3D7 : 'Unassigned [0xC3D7]',
	0xC3D8 : 'Unassigned [0xC3D8]',
	0xC3D9 : 'Unassigned [0xC3D9]',
	0xC3DA : 'Unassigned [0xC3DA]',
	0xC3DB : 'Unassigned [0xC3DB]',
	0xC3DC : 'Unassigned [0xC3DC]',
	0xC3DD : 'Unassigned [0xC3DD]',
	0xC3DE : 'Unassigned [0xC3DE]',
	0xC3DF : 'Unassigned [0xC3DF]',
	0xC3E0 : 'Unassigned [0xC3E0]',
	0xC3E1 : 'Unassigned [0xC3E1]',
	0xC3E2 : 'Unassigned [0xC3E2]',
	0xC3E3 : 'Unassigned [0xC3E3]',
	0xC3E4 : 'Unassigned [0xC3E4]',
	0xC3E5 : 'Unassigned [0xC3E5]',
	0xC3E6 : 'Unassigned [0xC3E6]',
	0xC3E7 : 'Unassigned [0xC3E7]',
	0xC3E8 : 'Unassigned [0xC3E8]',
	0xC3E9 : 'Unassigned [0xC3E9]',
	0xC3EA : 'Unassigned [0xC3EA]',
	0xC3EB : 'Unassigned [0xC3EB]',
	0xC3EC : 'Unassigned [0xC3EC]',
	0xC3ED : 'Unassigned [0xC3ED]',
	0xC3EE : 'Unassigned [0xC3EE]',
	0xC3EF : 'Unassigned [0xC3EF]',
	0xC3F0 : 'Unassigned [0xC3F0]',
	0xC3F1 : 'Unassigned [0xC3F1]',
	0xC3F2 : 'Unassigned [0xC3F2]',
	0xC3F3 : 'Unassigned [0xC3F3]',
	0xC3F4 : 'Unassigned [0xC3F4]',
	0xC3F5 : 'Unassigned [0xC3F5]',
	0xC3F6 : 'Unassigned [0xC3F6]',
	0xC3F7 : 'Unassigned [0xC3F7]',
	0xC3F8 : 'Unassigned [0xC3F8]',
	0xC3F9 : 'Unassigned [0xC3F9]',
	0xC3FA : 'Unassigned [0xC3FA]',
	0xC3FB : 'Unassigned [0xC3FB]',
	0xC3FC : 'Unassigned [0xC3FC]',
	0xC3FD : 'Unassigned [0xC3FD]',
	0xC3FE : 'Unassigned [0xC3FE]',
	0xC3FF : 'Unassigned [0xC3FF]',
	0xC400 : 'Unassigned [0xC400]',
	0xC401 : 'Unassigned [0xC401]',
	0xC402 : 'Unassigned [0xC402]',
	0xC403 : 'Unassigned [0xC403]',
	0xC404 : 'Unassigned [0xC404]',
	0xC405 : 'Unassigned [0xC405]',
	0xC406 : 'Unassigned [0xC406]',
	0xC407 : 'Unassigned [0xC407]',
	0xC408 : 'Unassigned [0xC408]',
	0xC409 : 'Unassigned [0xC409]',
	0xC40A : 'Unassigned [0xC40A]',
	0xC40B : 'Unassigned [0xC40B]',
	0xC40C : 'Unassigned [0xC40C]',
	0xC40D : 'Unassigned [0xC40D]',
	0xC40E : 'Unassigned [0xC40E]',
	0xC40F : 'Unassigned [0xC40F]',
	0xC410 : 'Unassigned [0xC410]',
	0xC411 : 'Unassigned [0xC411]',
	0xC412 : 'Unassigned [0xC412]',
	0xC413 : 'Unassigned [0xC413]',
	0xC414 : 'Unassigned [0xC414]',
	0xC415 : 'Unassigned [0xC415]',
	0xC416 : 'Unassigned [0xC416]',
	0xC417 : 'Unassigned [0xC417]',
	0xC418 : 'Unassigned [0xC418]',
	0xC419 : 'Unassigned [0xC419]',
	0xC41A : 'Unassigned [0xC41A]',
	0xC41B : 'Unassigned [0xC41B]',
	0xC41C : 'Unassigned [0xC41C]',
	0xC41D : 'Unassigned [0xC41D]',
	0xC41E : 'Unassigned [0xC41E]',
	0xC41F : 'Unassigned [0xC41F]',
	0xC420 : 'Unassigned [0xC420]',
	0xC421 : 'Unassigned [0xC421]',
	0xC422 : 'Unassigned [0xC422]',
	0xC423 : 'Unassigned [0xC423]',
	0xC424 : 'Unassigned [0xC424]',
	0xC425 : 'Unassigned [0xC425]',
	0xC426 : 'Unassigned [0xC426]',
	0xC427 : 'Unassigned [0xC427]',
	0xC428 : 'Unassigned [0xC428]',
	0xC429 : 'Unassigned [0xC429]',
	0xC42A : 'Unassigned [0xC42A]',
	0xC42B : 'Unassigned [0xC42B]',
	0xC42C : 'Unassigned [0xC42C]',
	0xC42D : 'Unassigned [0xC42D]',
	0xC42E : 'Unassigned [0xC42E]',
	0xC42F : 'Unassigned [0xC42F]',
	0xC430 : 'Unassigned [0xC430]',
	0xC431 : 'Unassigned [0xC431]',
	0xC432 : 'Unassigned [0xC432]',
	0xC433 : 'Unassigned [0xC433]',
	0xC434 : 'Unassigned [0xC434]',
	0xC435 : 'Unassigned [0xC435]',
	0xC436 : 'Unassigned [0xC436]',
	0xC437 : 'Unassigned [0xC437]',
	0xC438 : 'Unassigned [0xC438]',
	0xC439 : 'Unassigned [0xC439]',
	0xC43A : 'Unassigned [0xC43A]',
	0xC43B : 'Unassigned [0xC43B]',
	0xC43C : 'Unassigned [0xC43C]',
	0xC43D : 'Unassigned [0xC43D]',
	0xC43E : 'Unassigned [0xC43E]',
	0xC43F : 'Unassigned [0xC43F]',
	0xC440 : 'Unassigned [0xC440]',
	0xC441 : 'Unassigned [0xC441]',
	0xC442 : 'Unassigned [0xC442]',
	0xC443 : 'Unassigned [0xC443]',
	0xC444 : 'Unassigned [0xC444]',
	0xC445 : 'Unassigned [0xC445]',
	0xC446 : 'Unassigned [0xC446]',
	0xC447 : 'Unassigned [0xC447]',
	0xC448 : 'Unassigned [0xC448]',
	0xC449 : 'Unassigned [0xC449]',
	0xC44A : 'Unassigned [0xC44A]',
	0xC44B : 'Unassigned [0xC44B]',
	0xC44C : 'Unassigned [0xC44C]',
	0xC44D : 'Unassigned [0xC44D]',
	0xC44E : 'Unassigned [0xC44E]',
	0xC44F : 'Unassigned [0xC44F]',
	0xC450 : 'Unassigned [0xC450]',
	0xC451 : 'Unassigned [0xC451]',
	0xC452 : 'Unassigned [0xC452]',
	0xC453 : 'Unassigned [0xC453]',
	0xC454 : 'Unassigned [0xC454]',
	0xC455 : 'Unassigned [0xC455]',
	0xC456 : 'Unassigned [0xC456]',
	0xC457 : 'Unassigned [0xC457]',
	0xC458 : 'Unassigned [0xC458]',
	0xC459 : 'Unassigned [0xC459]',
	0xC45A : 'Unassigned [0xC45A]',
	0xC45B : 'Unassigned [0xC45B]',
	0xC45C : 'Unassigned [0xC45C]',
	0xC45D : 'Unassigned [0xC45D]',
	0xC45E : 'Unassigned [0xC45E]',
	0xC45F : 'Unassigned [0xC45F]',
	0xC460 : 'Unassigned [0xC460]',
	0xC461 : 'Unassigned [0xC461]',
	0xC462 : 'Unassigned [0xC462]',
	0xC463 : 'Unassigned [0xC463]',
	0xC464 : 'Unassigned [0xC464]',
	0xC465 : 'Unassigned [0xC465]',
	0xC466 : 'Unassigned [0xC466]',
	0xC467 : 'Unassigned [0xC467]',
	0xC468 : 'Unassigned [0xC468]',
	0xC469 : 'Unassigned [0xC469]',
	0xC46A : 'Unassigned [0xC46A]',
	0xC46B : 'Unassigned [0xC46B]',
	0xC46C : 'Unassigned [0xC46C]',
	0xC46D : 'Unassigned [0xC46D]',
	0xC46E : 'Unassigned [0xC46E]',
	0xC46F : 'Unassigned [0xC46F]',
	0xC470 : 'Unassigned [0xC470]',
	0xC471 : 'Unassigned [0xC471]',
	0xC472 : 'Unassigned [0xC472]',
	0xC473 : 'Unassigned [0xC473]',
	0xC474 : 'Unassigned [0xC474]',
	0xC475 : 'Unassigned [0xC475]',
	0xC476 : 'Unassigned [0xC476]',
	0xC477 : 'Unassigned [0xC477]',
	0xC478 : 'Unassigned [0xC478]',
	0xC479 : 'Unassigned [0xC479]',
	0xC47A : 'Unassigned [0xC47A]',
	0xC47B : 'Unassigned [0xC47B]',
	0xC47C : 'Unassigned [0xC47C]',
	0xC47D : 'Unassigned [0xC47D]',
	0xC47E : 'Unassigned [0xC47E]',
	0xC47F : 'Unassigned [0xC47F]',
	0xC480 : 'Unassigned [0xC480]',
	0xC481 : 'Unassigned [0xC481]',
	0xC482 : 'Unassigned [0xC482]',
	0xC483 : 'Unassigned [0xC483]',
	0xC484 : 'Unassigned [0xC484]',
	0xC485 : 'Unassigned [0xC485]',
	0xC486 : 'Unassigned [0xC486]',
	0xC487 : 'Unassigned [0xC487]',
	0xC488 : 'Unassigned [0xC488]',
	0xC489 : 'Unassigned [0xC489]',
	0xC48A : 'Unassigned [0xC48A]',
	0xC48B : 'Unassigned [0xC48B]',
	0xC48C : 'Unassigned [0xC48C]',
	0xC48D : 'Unassigned [0xC48D]',
	0xC48E : 'Unassigned [0xC48E]',
	0xC48F : 'Unassigned [0xC48F]',
	0xC490 : 'Unassigned [0xC490]',
	0xC491 : 'Unassigned [0xC491]',
	0xC492 : 'Unassigned [0xC492]',
	0xC493 : 'Unassigned [0xC493]',
	0xC494 : 'Unassigned [0xC494]',
	0xC495 : 'Unassigned [0xC495]',
	0xC496 : 'Unassigned [0xC496]',
	0xC497 : 'Unassigned [0xC497]',
	0xC498 : 'Unassigned [0xC498]',
	0xC499 : 'Unassigned [0xC499]',
	0xC49A : 'Unassigned [0xC49A]',
	0xC49B : 'Unassigned [0xC49B]',
	0xC49C : 'Unassigned [0xC49C]',
	0xC49D : 'Unassigned [0xC49D]',
	0xC49E : 'Unassigned [0xC49E]',
	0xC49F : 'Unassigned [0xC49F]',
	0xC4A0 : 'Unassigned [0xC4A0]',
	0xC4A1 : 'Unassigned [0xC4A1]',
	0xC4A2 : 'Unassigned [0xC4A2]',
	0xC4A3 : 'Unassigned [0xC4A3]',
	0xC4A4 : 'Unassigned [0xC4A4]',
	0xC4A5 : 'Unassigned [0xC4A5]',
	0xC4A6 : 'Unassigned [0xC4A6]',
	0xC4A7 : 'Unassigned [0xC4A7]',
	0xC4A8 : 'Unassigned [0xC4A8]',
	0xC4A9 : 'Unassigned [0xC4A9]',
	0xC4AA : 'Unassigned [0xC4AA]',
	0xC4AB : 'Unassigned [0xC4AB]',
	0xC4AC : 'Unassigned [0xC4AC]',
	0xC4AD : 'Unassigned [0xC4AD]',
	0xC4AE : 'Unassigned [0xC4AE]',
	0xC4AF : 'Unassigned [0xC4AF]',
	0xC4B0 : 'Unassigned [0xC4B0]',
	0xC4B1 : 'Unassigned [0xC4B1]',
	0xC4B2 : 'Unassigned [0xC4B2]',
	0xC4B3 : 'Unassigned [0xC4B3]',
	0xC4B4 : 'Unassigned [0xC4B4]',
	0xC4B5 : 'Unassigned [0xC4B5]',
	0xC4B6 : 'Unassigned [0xC4B6]',
	0xC4B7 : 'Unassigned [0xC4B7]',
	0xC4B8 : 'Unassigned [0xC4B8]',
	0xC4B9 : 'Unassigned [0xC4B9]',
	0xC4BA : 'Unassigned [0xC4BA]',
	0xC4BB : 'Unassigned [0xC4BB]',
	0xC4BC : 'Unassigned [0xC4BC]',
	0xC4BD : 'Unassigned [0xC4BD]',
	0xC4BE : 'Unassigned [0xC4BE]',
	0xC4BF : 'Unassigned [0xC4BF]',
	0xC4C0 : 'Unassigned [0xC4C0]',
	0xC4C1 : 'Unassigned [0xC4C1]',
	0xC4C2 : 'Unassigned [0xC4C2]',
	0xC4C3 : 'Unassigned [0xC4C3]',
	0xC4C4 : 'Unassigned [0xC4C4]',
	0xC4C5 : 'Unassigned [0xC4C5]',
	0xC4C6 : 'Unassigned [0xC4C6]',
	0xC4C7 : 'Unassigned [0xC4C7]',
	0xC4C8 : 'Unassigned [0xC4C8]',
	0xC4C9 : 'Unassigned [0xC4C9]',
	0xC4CA : 'Unassigned [0xC4CA]',
	0xC4CB : 'Unassigned [0xC4CB]',
	0xC4CC : 'Unassigned [0xC4CC]',
	0xC4CD : 'Unassigned [0xC4CD]',
	0xC4CE : 'Unassigned [0xC4CE]',
	0xC4CF : 'Unassigned [0xC4CF]',
	0xC4D0 : 'Unassigned [0xC4D0]',
	0xC4D1 : 'Unassigned [0xC4D1]',
	0xC4D2 : 'Unassigned [0xC4D2]',
	0xC4D3 : 'Unassigned [0xC4D3]',
	0xC4D4 : 'Unassigned [0xC4D4]',
	0xC4D5 : 'Unassigned [0xC4D5]',
	0xC4D6 : 'Unassigned [0xC4D6]',
	0xC4D7 : 'Unassigned [0xC4D7]',
	0xC4D8 : 'Unassigned [0xC4D8]',
	0xC4D9 : 'Unassigned [0xC4D9]',
	0xC4DA : 'Unassigned [0xC4DA]',
	0xC4DB : 'Unassigned [0xC4DB]',
	0xC4DC : 'Unassigned [0xC4DC]',
	0xC4DD : 'Unassigned [0xC4DD]',
	0xC4DE : 'Unassigned [0xC4DE]',
	0xC4DF : 'Unassigned [0xC4DF]',
	0xC4E0 : 'Unassigned [0xC4E0]',
	0xC4E1 : 'Unassigned [0xC4E1]',
	0xC4E2 : 'Unassigned [0xC4E2]',
	0xC4E3 : 'Unassigned [0xC4E3]',
	0xC4E4 : 'Unassigned [0xC4E4]',
	0xC4E5 : 'Unassigned [0xC4E5]',
	0xC4E6 : 'Unassigned [0xC4E6]',
	0xC4E7 : 'Unassigned [0xC4E7]',
	0xC4E8 : 'Unassigned [0xC4E8]',
	0xC4E9 : 'Unassigned [0xC4E9]',
	0xC4EA : 'Unassigned [0xC4EA]',
	0xC4EB : 'Unassigned [0xC4EB]',
	0xC4EC : 'Unassigned [0xC4EC]',
	0xC4ED : 'Unassigned [0xC4ED]',
	0xC4EE : 'Unassigned [0xC4EE]',
	0xC4EF : 'Unassigned [0xC4EF]',
	0xC4F0 : 'Unassigned [0xC4F0]',
	0xC4F1 : 'Unassigned [0xC4F1]',
	0xC4F2 : 'Unassigned [0xC4F2]',
	0xC4F3 : 'Unassigned [0xC4F3]',
	0xC4F4 : 'Unassigned [0xC4F4]',
	0xC4F5 : 'Unassigned [0xC4F5]',
	0xC4F6 : 'Unassigned [0xC4F6]',
	0xC4F7 : 'Unassigned [0xC4F7]',
	0xC4F8 : 'Unassigned [0xC4F8]',
	0xC4F9 : 'Unassigned [0xC4F9]',
	0xC4FA : 'Unassigned [0xC4FA]',
	0xC4FB : 'Unassigned [0xC4FB]',
	0xC4FC : 'Unassigned [0xC4FC]',
	0xC4FD : 'Unassigned [0xC4FD]',
	0xC4FE : 'Unassigned [0xC4FE]',
	0xC4FF : 'Unassigned [0xC4FF]',
	0xC500 : 'Unassigned [0xC500]',
	0xC501 : 'Unassigned [0xC501]',
	0xC502 : 'Unassigned [0xC502]',
	0xC503 : 'Unassigned [0xC503]',
	0xC504 : 'Unassigned [0xC504]',
	0xC505 : 'Unassigned [0xC505]',
	0xC506 : 'Unassigned [0xC506]',
	0xC507 : 'Unassigned [0xC507]',
	0xC508 : 'Unassigned [0xC508]',
	0xC509 : 'Unassigned [0xC509]',
	0xC50A : 'Unassigned [0xC50A]',
	0xC50B : 'Unassigned [0xC50B]',
	0xC50C : 'Unassigned [0xC50C]',
	0xC50D : 'Unassigned [0xC50D]',
	0xC50E : 'Unassigned [0xC50E]',
	0xC50F : 'Unassigned [0xC50F]',
	0xC510 : 'Unassigned [0xC510]',
	0xC511 : 'Unassigned [0xC511]',
	0xC512 : 'Unassigned [0xC512]',
	0xC513 : 'Unassigned [0xC513]',
	0xC514 : 'Unassigned [0xC514]',
	0xC515 : 'Unassigned [0xC515]',
	0xC516 : 'Unassigned [0xC516]',
	0xC517 : 'Unassigned [0xC517]',
	0xC518 : 'Unassigned [0xC518]',
	0xC519 : 'Unassigned [0xC519]',
	0xC51A : 'Unassigned [0xC51A]',
	0xC51B : 'Unassigned [0xC51B]',
	0xC51C : 'Unassigned [0xC51C]',
	0xC51D : 'Unassigned [0xC51D]',
	0xC51E : 'Unassigned [0xC51E]',
	0xC51F : 'Unassigned [0xC51F]',
	0xC520 : 'Unassigned [0xC520]',
	0xC521 : 'Unassigned [0xC521]',
	0xC522 : 'Unassigned [0xC522]',
	0xC523 : 'Unassigned [0xC523]',
	0xC524 : 'Unassigned [0xC524]',
	0xC525 : 'Unassigned [0xC525]',
	0xC526 : 'Unassigned [0xC526]',
	0xC527 : 'Unassigned [0xC527]',
	0xC528 : 'Unassigned [0xC528]',
	0xC529 : 'Unassigned [0xC529]',
	0xC52A : 'Unassigned [0xC52A]',
	0xC52B : 'Unassigned [0xC52B]',
	0xC52C : 'Unassigned [0xC52C]',
	0xC52D : 'Unassigned [0xC52D]',
	0xC52E : 'Unassigned [0xC52E]',
	0xC52F : 'Unassigned [0xC52F]',
	0xC530 : 'Unassigned [0xC530]',
	0xC531 : 'Unassigned [0xC531]',
	0xC532 : 'Unassigned [0xC532]',
	0xC533 : 'Unassigned [0xC533]',
	0xC534 : 'Unassigned [0xC534]',
	0xC535 : 'Unassigned [0xC535]',
	0xC536 : 'Unassigned [0xC536]',
	0xC537 : 'Unassigned [0xC537]',
	0xC538 : 'Unassigned [0xC538]',
	0xC539 : 'Unassigned [0xC539]',
	0xC53A : 'Unassigned [0xC53A]',
	0xC53B : 'Unassigned [0xC53B]',
	0xC53C : 'Unassigned [0xC53C]',
	0xC53D : 'Unassigned [0xC53D]',
	0xC53E : 'Unassigned [0xC53E]',
	0xC53F : 'Unassigned [0xC53F]',
	0xC540 : 'Unassigned [0xC540]',
	0xC541 : 'Unassigned [0xC541]',
	0xC542 : 'Unassigned [0xC542]',
	0xC543 : 'Unassigned [0xC543]',
	0xC544 : 'Unassigned [0xC544]',
	0xC545 : 'Unassigned [0xC545]',
	0xC546 : 'Unassigned [0xC546]',
	0xC547 : 'Unassigned [0xC547]',
	0xC548 : 'Unassigned [0xC548]',
	0xC549 : 'Unassigned [0xC549]',
	0xC54A : 'Unassigned [0xC54A]',
	0xC54B : 'Unassigned [0xC54B]',
	0xC54C : 'Unassigned [0xC54C]',
	0xC54D : 'Unassigned [0xC54D]',
	0xC54E : 'Unassigned [0xC54E]',
	0xC54F : 'Unassigned [0xC54F]',
	0xC550 : 'Unassigned [0xC550]',
	0xC551 : 'Unassigned [0xC551]',
	0xC552 : 'Unassigned [0xC552]',
	0xC553 : 'Unassigned [0xC553]',
	0xC554 : 'Unassigned [0xC554]',
	0xC555 : 'Unassigned [0xC555]',
	0xC556 : 'Unassigned [0xC556]',
	0xC557 : 'Unassigned [0xC557]',
	0xC558 : 'Unassigned [0xC558]',
	0xC559 : 'Unassigned [0xC559]',
	0xC55A : 'Unassigned [0xC55A]',
	0xC55B : 'Unassigned [0xC55B]',
	0xC55C : 'Unassigned [0xC55C]',
	0xC55D : 'Unassigned [0xC55D]',
	0xC55E : 'Unassigned [0xC55E]',
	0xC55F : 'Unassigned [0xC55F]',
	0xC560 : 'Unassigned [0xC560]',
	0xC561 : 'Unassigned [0xC561]',
	0xC562 : 'Unassigned [0xC562]',
	0xC563 : 'Unassigned [0xC563]',
	0xC564 : 'Unassigned [0xC564]',
	0xC565 : 'Unassigned [0xC565]',
	0xC566 : 'Unassigned [0xC566]',
	0xC567 : 'Unassigned [0xC567]',
	0xC568 : 'Unassigned [0xC568]',
	0xC569 : 'Unassigned [0xC569]',
	0xC56A : 'Unassigned [0xC56A]',
	0xC56B : 'Unassigned [0xC56B]',
	0xC56C : 'Unassigned [0xC56C]',
	0xC56D : 'Unassigned [0xC56D]',
	0xC56E : 'Unassigned [0xC56E]',
	0xC56F : 'Unassigned [0xC56F]',
	0xC570 : 'Unassigned [0xC570]',
	0xC571 : 'Unassigned [0xC571]',
	0xC572 : 'Unassigned [0xC572]',
	0xC573 : 'Unassigned [0xC573]',
	0xC574 : 'Unassigned [0xC574]',
	0xC575 : 'Unassigned [0xC575]',
	0xC576 : 'Unassigned [0xC576]',
	0xC577 : 'Unassigned [0xC577]',
	0xC578 : 'Unassigned [0xC578]',
	0xC579 : 'Unassigned [0xC579]',
	0xC57A : 'Unassigned [0xC57A]',
	0xC57B : 'Unassigned [0xC57B]',
	0xC57C : 'Unassigned [0xC57C]',
	0xC57D : 'Unassigned [0xC57D]',
	0xC57E : 'Unassigned [0xC57E]',
	0xC57F : 'Unassigned [0xC57F]',
	0xC580 : 'Unassigned [0xC580]',
	0xC581 : 'Unassigned [0xC581]',
	0xC582 : 'Unassigned [0xC582]',
	0xC583 : 'Unassigned [0xC583]',
	0xC584 : 'Unassigned [0xC584]',
	0xC585 : 'Unassigned [0xC585]',
	0xC586 : 'Unassigned [0xC586]',
	0xC587 : 'Unassigned [0xC587]',
	0xC588 : 'Unassigned [0xC588]',
	0xC589 : 'Unassigned [0xC589]',
	0xC58A : 'Unassigned [0xC58A]',
	0xC58B : 'Unassigned [0xC58B]',
	0xC58C : 'Unassigned [0xC58C]',
	0xC58D : 'Unassigned [0xC58D]',
	0xC58E : 'Unassigned [0xC58E]',
	0xC58F : 'Unassigned [0xC58F]',
	0xC590 : 'Unassigned [0xC590]',
	0xC591 : 'Unassigned [0xC591]',
	0xC592 : 'Unassigned [0xC592]',
	0xC593 : 'Unassigned [0xC593]',
	0xC594 : 'Unassigned [0xC594]',
	0xC595 : 'Unassigned [0xC595]',
	0xC596 : 'Unassigned [0xC596]',
	0xC597 : 'Unassigned [0xC597]',
	0xC598 : 'Unassigned [0xC598]',
	0xC599 : 'Unassigned [0xC599]',
	0xC59A : 'Unassigned [0xC59A]',
	0xC59B : 'Unassigned [0xC59B]',
	0xC59C : 'Unassigned [0xC59C]',
	0xC59D : 'Unassigned [0xC59D]',
	0xC59E : 'Unassigned [0xC59E]',
	0xC59F : 'Unassigned [0xC59F]',
	0xC5A0 : 'Unassigned [0xC5A0]',
	0xC5A1 : 'Unassigned [0xC5A1]',
	0xC5A2 : 'Unassigned [0xC5A2]',
	0xC5A3 : 'Unassigned [0xC5A3]',
	0xC5A4 : 'Unassigned [0xC5A4]',
	0xC5A5 : 'Unassigned [0xC5A5]',
	0xC5A6 : 'Unassigned [0xC5A6]',
	0xC5A7 : 'Unassigned [0xC5A7]',
	0xC5A8 : 'Unassigned [0xC5A8]',
	0xC5A9 : 'Unassigned [0xC5A9]',
	0xC5AA : 'Unassigned [0xC5AA]',
	0xC5AB : 'Unassigned [0xC5AB]',
	0xC5AC : 'Unassigned [0xC5AC]',
	0xC5AD : 'Unassigned [0xC5AD]',
	0xC5AE : 'Unassigned [0xC5AE]',
	0xC5AF : 'Unassigned [0xC5AF]',
	0xC5B0 : 'Unassigned [0xC5B0]',
	0xC5B1 : 'Unassigned [0xC5B1]',
	0xC5B2 : 'Unassigned [0xC5B2]',
	0xC5B3 : 'Unassigned [0xC5B3]',
	0xC5B4 : 'Unassigned [0xC5B4]',
	0xC5B5 : 'Unassigned [0xC5B5]',
	0xC5B6 : 'Unassigned [0xC5B6]',
	0xC5B7 : 'Unassigned [0xC5B7]',
	0xC5B8 : 'Unassigned [0xC5B8]',
	0xC5B9 : 'Unassigned [0xC5B9]',
	0xC5BA : 'Unassigned [0xC5BA]',
	0xC5BB : 'Unassigned [0xC5BB]',
	0xC5BC : 'Unassigned [0xC5BC]',
	0xC5BD : 'Unassigned [0xC5BD]',
	0xC5BE : 'Unassigned [0xC5BE]',
	0xC5BF : 'Unassigned [0xC5BF]',
	0xC5C0 : 'Unassigned [0xC5C0]',
	0xC5C1 : 'Unassigned [0xC5C1]',
	0xC5C2 : 'Unassigned [0xC5C2]',
	0xC5C3 : 'Unassigned [0xC5C3]',
	0xC5C4 : 'Unassigned [0xC5C4]',
	0xC5C5 : 'Unassigned [0xC5C5]',
	0xC5C6 : 'Unassigned [0xC5C6]',
	0xC5C7 : 'Unassigned [0xC5C7]',
	0xC5C8 : 'Unassigned [0xC5C8]',
	0xC5C9 : 'Unassigned [0xC5C9]',
	0xC5CA : 'Unassigned [0xC5CA]',
	0xC5CB : 'Unassigned [0xC5CB]',
	0xC5CC : 'Unassigned [0xC5CC]',
	0xC5CD : 'Unassigned [0xC5CD]',
	0xC5CE : 'Unassigned [0xC5CE]',
	0xC5CF : 'Unassigned [0xC5CF]',
	0xC5D0 : 'Unassigned [0xC5D0]',
	0xC5D1 : 'Unassigned [0xC5D1]',
	0xC5D2 : 'Unassigned [0xC5D2]',
	0xC5D3 : 'Unassigned [0xC5D3]',
	0xC5D4 : 'Unassigned [0xC5D4]',
	0xC5D5 : 'Unassigned [0xC5D5]',
	0xC5D6 : 'Unassigned [0xC5D6]',
	0xC5D7 : 'Unassigned [0xC5D7]',
	0xC5D8 : 'Unassigned [0xC5D8]',
	0xC5D9 : 'Unassigned [0xC5D9]',
	0xC5DA : 'Unassigned [0xC5DA]',
	0xC5DB : 'Unassigned [0xC5DB]',
	0xC5DC : 'Unassigned [0xC5DC]',
	0xC5DD : 'Unassigned [0xC5DD]',
	0xC5DE : 'Unassigned [0xC5DE]',
	0xC5DF : 'Unassigned [0xC5DF]',
	0xC5E0 : 'Unassigned [0xC5E0]',
	0xC5E1 : 'Unassigned [0xC5E1]',
	0xC5E2 : 'Unassigned [0xC5E2]',
	0xC5E3 : 'Unassigned [0xC5E3]',
	0xC5E4 : 'Unassigned [0xC5E4]',
	0xC5E5 : 'Unassigned [0xC5E5]',
	0xC5E6 : 'Unassigned [0xC5E6]',
	0xC5E7 : 'Unassigned [0xC5E7]',
	0xC5E8 : 'Unassigned [0xC5E8]',
	0xC5E9 : 'Unassigned [0xC5E9]',
	0xC5EA : 'Unassigned [0xC5EA]',
	0xC5EB : 'Unassigned [0xC5EB]',
	0xC5EC : 'Unassigned [0xC5EC]',
	0xC5ED : 'Unassigned [0xC5ED]',
	0xC5EE : 'Unassigned [0xC5EE]',
	0xC5EF : 'Unassigned [0xC5EF]',
	0xC5F0 : 'Unassigned [0xC5F0]',
	0xC5F1 : 'Unassigned [0xC5F1]',
	0xC5F2 : 'Unassigned [0xC5F2]',
	0xC5F3 : 'Unassigned [0xC5F3]',
	0xC5F4 : 'Unassigned [0xC5F4]',
	0xC5F5 : 'Unassigned [0xC5F5]',
	0xC5F6 : 'Unassigned [0xC5F6]',
	0xC5F7 : 'Unassigned [0xC5F7]',
	0xC5F8 : 'Unassigned [0xC5F8]',
	0xC5F9 : 'Unassigned [0xC5F9]',
	0xC5FA : 'Unassigned [0xC5FA]',
	0xC5FB : 'Unassigned [0xC5FB]',
	0xC5FC : 'Unassigned [0xC5FC]',
	0xC5FD : 'Unassigned [0xC5FD]',
	0xC5FE : 'Unassigned [0xC5FE]',
	0xC5FF : 'Unassigned [0xC5FF]',
	0xC600 : 'Unassigned [0xC600]',
	0xC601 : 'Unassigned [0xC601]',
	0xC602 : 'Unassigned [0xC602]',
	0xC603 : 'Unassigned [0xC603]',
	0xC604 : 'Unassigned [0xC604]',
	0xC605 : 'Unassigned [0xC605]',
	0xC606 : 'Unassigned [0xC606]',
	0xC607 : 'Unassigned [0xC607]',
	0xC608 : 'Unassigned [0xC608]',
	0xC609 : 'Unassigned [0xC609]',
	0xC60A : 'Unassigned [0xC60A]',
	0xC60B : 'Unassigned [0xC60B]',
	0xC60C : 'Unassigned [0xC60C]',
	0xC60D : 'Unassigned [0xC60D]',
	0xC60E : 'Unassigned [0xC60E]',
	0xC60F : 'Unassigned [0xC60F]',
	0xC610 : 'Unassigned [0xC610]',
	0xC611 : 'Unassigned [0xC611]',
	0xC612 : 'Unassigned [0xC612]',
	0xC613 : 'Unassigned [0xC613]',
	0xC614 : 'Unassigned [0xC614]',
	0xC615 : 'Unassigned [0xC615]',
	0xC616 : 'Unassigned [0xC616]',
	0xC617 : 'Unassigned [0xC617]',
	0xC618 : 'Unassigned [0xC618]',
	0xC619 : 'Unassigned [0xC619]',
	0xC61A : 'Unassigned [0xC61A]',
	0xC61B : 'Unassigned [0xC61B]',
	0xC61C : 'Unassigned [0xC61C]',
	0xC61D : 'Unassigned [0xC61D]',
	0xC61E : 'Unassigned [0xC61E]',
	0xC61F : 'Unassigned [0xC61F]',
	0xC620 : 'Unassigned [0xC620]',
	0xC621 : 'Unassigned [0xC621]',
	0xC622 : 'Unassigned [0xC622]',
	0xC623 : 'Unassigned [0xC623]',
	0xC624 : 'Unassigned [0xC624]',
	0xC625 : 'Unassigned [0xC625]',
	0xC626 : 'Unassigned [0xC626]',
	0xC627 : 'Unassigned [0xC627]',
	0xC628 : 'Unassigned [0xC628]',
	0xC629 : 'Unassigned [0xC629]',
	0xC62A : 'Unassigned [0xC62A]',
	0xC62B : 'Unassigned [0xC62B]',
	0xC62C : 'Unassigned [0xC62C]',
	0xC62D : 'Unassigned [0xC62D]',
	0xC62E : 'Unassigned [0xC62E]',
	0xC62F : 'Unassigned [0xC62F]',
	0xC630 : 'Unassigned [0xC630]',
	0xC631 : 'Unassigned [0xC631]',
	0xC632 : 'Unassigned [0xC632]',
	0xC633 : 'Unassigned [0xC633]',
	0xC634 : 'Unassigned [0xC634]',
	0xC635 : 'Unassigned [0xC635]',
	0xC636 : 'Unassigned [0xC636]',
	0xC637 : 'Unassigned [0xC637]',
	0xC638 : 'Unassigned [0xC638]',
	0xC639 : 'Unassigned [0xC639]',
	0xC63A : 'Unassigned [0xC63A]',
	0xC63B : 'Unassigned [0xC63B]',
	0xC63C : 'Unassigned [0xC63C]',
	0xC63D : 'Unassigned [0xC63D]',
	0xC63E : 'Unassigned [0xC63E]',
	0xC63F : 'Unassigned [0xC63F]',
	0xC640 : 'Unassigned [0xC640]',
	0xC641 : 'Unassigned [0xC641]',
	0xC642 : 'Unassigned [0xC642]',
	0xC643 : 'Unassigned [0xC643]',
	0xC644 : 'Unassigned [0xC644]',
	0xC645 : 'Unassigned [0xC645]',
	0xC646 : 'Unassigned [0xC646]',
	0xC647 : 'Unassigned [0xC647]',
	0xC648 : 'Unassigned [0xC648]',
	0xC649 : 'Unassigned [0xC649]',
	0xC64A : 'Unassigned [0xC64A]',
	0xC64B : 'Unassigned [0xC64B]',
	0xC64C : 'Unassigned [0xC64C]',
	0xC64D : 'Unassigned [0xC64D]',
	0xC64E : 'Unassigned [0xC64E]',
	0xC64F : 'Unassigned [0xC64F]',
	0xC650 : 'Unassigned [0xC650]',
	0xC651 : 'Unassigned [0xC651]',
	0xC652 : 'Unassigned [0xC652]',
	0xC653 : 'Unassigned [0xC653]',
	0xC654 : 'Unassigned [0xC654]',
	0xC655 : 'Unassigned [0xC655]',
	0xC656 : 'Unassigned [0xC656]',
	0xC657 : 'Unassigned [0xC657]',
	0xC658 : 'Unassigned [0xC658]',
	0xC659 : 'Unassigned [0xC659]',
	0xC65A : 'Unassigned [0xC65A]',
	0xC65B : 'Unassigned [0xC65B]',
	0xC65C : 'Unassigned [0xC65C]',
	0xC65D : 'Unassigned [0xC65D]',
	0xC65E : 'Unassigned [0xC65E]',
	0xC65F : 'Unassigned [0xC65F]',
	0xC660 : 'Unassigned [0xC660]',
	0xC661 : 'Unassigned [0xC661]',
	0xC662 : 'Unassigned [0xC662]',
	0xC663 : 'Unassigned [0xC663]',
	0xC664 : 'Unassigned [0xC664]',
	0xC665 : 'Unassigned [0xC665]',
	0xC666 : 'Unassigned [0xC666]',
	0xC667 : 'Unassigned [0xC667]',
	0xC668 : 'Unassigned [0xC668]',
	0xC669 : 'Unassigned [0xC669]',
	0xC66A : 'Unassigned [0xC66A]',
	0xC66B : 'Unassigned [0xC66B]',
	0xC66C : 'Unassigned [0xC66C]',
	0xC66D : 'Unassigned [0xC66D]',
	0xC66E : 'Unassigned [0xC66E]',
	0xC66F : 'Unassigned [0xC66F]',
	0xC670 : 'Unassigned [0xC670]',
	0xC671 : 'Unassigned [0xC671]',
	0xC672 : 'Unassigned [0xC672]',
	0xC673 : 'Unassigned [0xC673]',
	0xC674 : 'Unassigned [0xC674]',
	0xC675 : 'Unassigned [0xC675]',
	0xC676 : 'Unassigned [0xC676]',
	0xC677 : 'Unassigned [0xC677]',
	0xC678 : 'Unassigned [0xC678]',
	0xC679 : 'Unassigned [0xC679]',
	0xC67A : 'Unassigned [0xC67A]',
	0xC67B : 'Unassigned [0xC67B]',
	0xC67C : 'Unassigned [0xC67C]',
	0xC67D : 'Unassigned [0xC67D]',
	0xC67E : 'Unassigned [0xC67E]',
	0xC67F : 'Unassigned [0xC67F]',
	0xC680 : 'Unassigned [0xC680]',
	0xC681 : 'Unassigned [0xC681]',
	0xC682 : 'Unassigned [0xC682]',
	0xC683 : 'Unassigned [0xC683]',
	0xC684 : 'Unassigned [0xC684]',
	0xC685 : 'Unassigned [0xC685]',
	0xC686 : 'Unassigned [0xC686]',
	0xC687 : 'Unassigned [0xC687]',
	0xC688 : 'Unassigned [0xC688]',
	0xC689 : 'Unassigned [0xC689]',
	0xC68A : 'Unassigned [0xC68A]',
	0xC68B : 'Unassigned [0xC68B]',
	0xC68C : 'Unassigned [0xC68C]',
	0xC68D : 'Unassigned [0xC68D]',
	0xC68E : 'Unassigned [0xC68E]',
	0xC68F : 'Unassigned [0xC68F]',
	0xC690 : 'Unassigned [0xC690]',
	0xC691 : 'Unassigned [0xC691]',
	0xC692 : 'Unassigned [0xC692]',
	0xC693 : 'Unassigned [0xC693]',
	0xC694 : 'Unassigned [0xC694]',
	0xC695 : 'Unassigned [0xC695]',
	0xC696 : 'Unassigned [0xC696]',
	0xC697 : 'Unassigned [0xC697]',
	0xC698 : 'Unassigned [0xC698]',
	0xC699 : 'Unassigned [0xC699]',
	0xC69A : 'Unassigned [0xC69A]',
	0xC69B : 'Unassigned [0xC69B]',
	0xC69C : 'Unassigned [0xC69C]',
	0xC69D : 'Unassigned [0xC69D]',
	0xC69E : 'Unassigned [0xC69E]',
	0xC69F : 'Unassigned [0xC69F]',
	0xC6A0 : 'Unassigned [0xC6A0]',
	0xC6A1 : 'Unassigned [0xC6A1]',
	0xC6A2 : 'Unassigned [0xC6A2]',
	0xC6A3 : 'Unassigned [0xC6A3]',
	0xC6A4 : 'Unassigned [0xC6A4]',
	0xC6A5 : 'Unassigned [0xC6A5]',
	0xC6A6 : 'Unassigned [0xC6A6]',
	0xC6A7 : 'Unassigned [0xC6A7]',
	0xC6A8 : 'Unassigned [0xC6A8]',
	0xC6A9 : 'Unassigned [0xC6A9]',
	0xC6AA : 'Unassigned [0xC6AA]',
	0xC6AB : 'Unassigned [0xC6AB]',
	0xC6AC : 'Unassigned [0xC6AC]',
	0xC6AD : 'Unassigned [0xC6AD]',
	0xC6AE : 'Unassigned [0xC6AE]',
	0xC6AF : 'Unassigned [0xC6AF]',
	0xC6B0 : 'Unassigned [0xC6B0]',
	0xC6B1 : 'Unassigned [0xC6B1]',
	0xC6B2 : 'Unassigned [0xC6B2]',
	0xC6B3 : 'Unassigned [0xC6B3]',
	0xC6B4 : 'Unassigned [0xC6B4]',
	0xC6B5 : 'Unassigned [0xC6B5]',
	0xC6B6 : 'Unassigned [0xC6B6]',
	0xC6B7 : 'Unassigned [0xC6B7]',
	0xC6B8 : 'Unassigned [0xC6B8]',
	0xC6B9 : 'Unassigned [0xC6B9]',
	0xC6BA : 'Unassigned [0xC6BA]',
	0xC6BB : 'Unassigned [0xC6BB]',
	0xC6BC : 'Unassigned [0xC6BC]',
	0xC6BD : 'Unassigned [0xC6BD]',
	0xC6BE : 'Unassigned [0xC6BE]',
	0xC6BF : 'Unassigned [0xC6BF]',
	0xC6C0 : 'Unassigned [0xC6C0]',
	0xC6C1 : 'Unassigned [0xC6C1]',
	0xC6C2 : 'Unassigned [0xC6C2]',
	0xC6C3 : 'Unassigned [0xC6C3]',
	0xC6C4 : 'Unassigned [0xC6C4]',
	0xC6C5 : 'Unassigned [0xC6C5]',
	0xC6C6 : 'Unassigned [0xC6C6]',
	0xC6C7 : 'Unassigned [0xC6C7]',
	0xC6C8 : 'Unassigned [0xC6C8]',
	0xC6C9 : 'Unassigned [0xC6C9]',
	0xC6CA : 'Unassigned [0xC6CA]',
	0xC6CB : 'Unassigned [0xC6CB]',
	0xC6CC : 'Unassigned [0xC6CC]',
	0xC6CD : 'Unassigned [0xC6CD]',
	0xC6CE : 'Unassigned [0xC6CE]',
	0xC6CF : 'Unassigned [0xC6CF]',
	0xC6D0 : 'Unassigned [0xC6D0]',
	0xC6D1 : 'Unassigned [0xC6D1]',
	0xC6D2 : 'Unassigned [0xC6D2]',
	0xC6D3 : 'Unassigned [0xC6D3]',
	0xC6D4 : 'Unassigned [0xC6D4]',
	0xC6D5 : 'Unassigned [0xC6D5]',
	0xC6D6 : 'Unassigned [0xC6D6]',
	0xC6D7 : 'Unassigned [0xC6D7]',
	0xC6D8 : 'Unassigned [0xC6D8]',
	0xC6D9 : 'Unassigned [0xC6D9]',
	0xC6DA : 'Unassigned [0xC6DA]',
	0xC6DB : 'Unassigned [0xC6DB]',
	0xC6DC : 'Unassigned [0xC6DC]',
	0xC6DD : 'Unassigned [0xC6DD]',
	0xC6DE : 'Unassigned [0xC6DE]',
	0xC6DF : 'Unassigned [0xC6DF]',
	0xC6E0 : 'Unassigned [0xC6E0]',
	0xC6E1 : 'Unassigned [0xC6E1]',
	0xC6E2 : 'Unassigned [0xC6E2]',
	0xC6E3 : 'Unassigned [0xC6E3]',
	0xC6E4 : 'Unassigned [0xC6E4]',
	0xC6E5 : 'Unassigned [0xC6E5]',
	0xC6E6 : 'Unassigned [0xC6E6]',
	0xC6E7 : 'Unassigned [0xC6E7]',
	0xC6E8 : 'Unassigned [0xC6E8]',
	0xC6E9 : 'Unassigned [0xC6E9]',
	0xC6EA : 'Unassigned [0xC6EA]',
	0xC6EB : 'Unassigned [0xC6EB]',
	0xC6EC : 'Unassigned [0xC6EC]',
	0xC6ED : 'Unassigned [0xC6ED]',
	0xC6EE : 'Unassigned [0xC6EE]',
	0xC6EF : 'Unassigned [0xC6EF]',
	0xC6F0 : 'Unassigned [0xC6F0]',
	0xC6F1 : 'Unassigned [0xC6F1]',
	0xC6F2 : 'Unassigned [0xC6F2]',
	0xC6F3 : 'Unassigned [0xC6F3]',
	0xC6F4 : 'Unassigned [0xC6F4]',
	0xC6F5 : 'Unassigned [0xC6F5]',
	0xC6F6 : 'Unassigned [0xC6F6]',
	0xC6F7 : 'Unassigned [0xC6F7]',
	0xC6F8 : 'Unassigned [0xC6F8]',
	0xC6F9 : 'Unassigned [0xC6F9]',
	0xC6FA : 'Unassigned [0xC6FA]',
	0xC6FB : 'Unassigned [0xC6FB]',
	0xC6FC : 'Unassigned [0xC6FC]',
	0xC6FD : 'Unassigned [0xC6FD]',
	0xC6FE : 'Unassigned [0xC6FE]',
	0xC6FF : 'Unassigned [0xC6FF]',
	0xC700 : 'Unassigned [0xC700]',
	0xC701 : 'Unassigned [0xC701]',
	0xC702 : 'Unassigned [0xC702]',
	0xC703 : 'Unassigned [0xC703]',
	0xC704 : 'Unassigned [0xC704]',
	0xC705 : 'Unassigned [0xC705]',
	0xC706 : 'Unassigned [0xC706]',
	0xC707 : 'Unassigned [0xC707]',
	0xC708 : 'Unassigned [0xC708]',
	0xC709 : 'Unassigned [0xC709]',
	0xC70A : 'Unassigned [0xC70A]',
	0xC70B : 'Unassigned [0xC70B]',
	0xC70C : 'Unassigned [0xC70C]',
	0xC70D : 'Unassigned [0xC70D]',
	0xC70E : 'Unassigned [0xC70E]',
	0xC70F : 'Unassigned [0xC70F]',
	0xC710 : 'Unassigned [0xC710]',
	0xC711 : 'Unassigned [0xC711]',
	0xC712 : 'Unassigned [0xC712]',
	0xC713 : 'Unassigned [0xC713]',
	0xC714 : 'Unassigned [0xC714]',
	0xC715 : 'Unassigned [0xC715]',
	0xC716 : 'Unassigned [0xC716]',
	0xC717 : 'Unassigned [0xC717]',
	0xC718 : 'Unassigned [0xC718]',
	0xC719 : 'Unassigned [0xC719]',
	0xC71A : 'Unassigned [0xC71A]',
	0xC71B : 'Unassigned [0xC71B]',
	0xC71C : 'Unassigned [0xC71C]',
	0xC71D : 'Unassigned [0xC71D]',
	0xC71E : 'Unassigned [0xC71E]',
	0xC71F : 'Unassigned [0xC71F]',
	0xC720 : 'Unassigned [0xC720]',
	0xC721 : 'Unassigned [0xC721]',
	0xC722 : 'Unassigned [0xC722]',
	0xC723 : 'Unassigned [0xC723]',
	0xC724 : 'Unassigned [0xC724]',
	0xC725 : 'Unassigned [0xC725]',
	0xC726 : 'Unassigned [0xC726]',
	0xC727 : 'Unassigned [0xC727]',
	0xC728 : 'Unassigned [0xC728]',
	0xC729 : 'Unassigned [0xC729]',
	0xC72A : 'Unassigned [0xC72A]',
	0xC72B : 'Unassigned [0xC72B]',
	0xC72C : 'Unassigned [0xC72C]',
	0xC72D : 'Unassigned [0xC72D]',
	0xC72E : 'Unassigned [0xC72E]',
	0xC72F : 'Unassigned [0xC72F]',
	0xC730 : 'Unassigned [0xC730]',
	0xC731 : 'Unassigned [0xC731]',
	0xC732 : 'Unassigned [0xC732]',
	0xC733 : 'Unassigned [0xC733]',
	0xC734 : 'Unassigned [0xC734]',
	0xC735 : 'Unassigned [0xC735]',
	0xC736 : 'Unassigned [0xC736]',
	0xC737 : 'Unassigned [0xC737]',
	0xC738 : 'Unassigned [0xC738]',
	0xC739 : 'Unassigned [0xC739]',
	0xC73A : 'Unassigned [0xC73A]',
	0xC73B : 'Unassigned [0xC73B]',
	0xC73C : 'Unassigned [0xC73C]',
	0xC73D : 'Unassigned [0xC73D]',
	0xC73E : 'Unassigned [0xC73E]',
	0xC73F : 'Unassigned [0xC73F]',
	0xC740 : 'Unassigned [0xC740]',
	0xC741 : 'Unassigned [0xC741]',
	0xC742 : 'Unassigned [0xC742]',
	0xC743 : 'Unassigned [0xC743]',
	0xC744 : 'Unassigned [0xC744]',
	0xC745 : 'Unassigned [0xC745]',
	0xC746 : 'Unassigned [0xC746]',
	0xC747 : 'Unassigned [0xC747]',
	0xC748 : 'Unassigned [0xC748]',
	0xC749 : 'Unassigned [0xC749]',
	0xC74A : 'Unassigned [0xC74A]',
	0xC74B : 'Unassigned [0xC74B]',
	0xC74C : 'Unassigned [0xC74C]',
	0xC74D : 'Unassigned [0xC74D]',
	0xC74E : 'Unassigned [0xC74E]',
	0xC74F : 'Unassigned [0xC74F]',
	0xC750 : 'Unassigned [0xC750]',
	0xC751 : 'Unassigned [0xC751]',
	0xC752 : 'Unassigned [0xC752]',
	0xC753 : 'Unassigned [0xC753]',
	0xC754 : 'Unassigned [0xC754]',
	0xC755 : 'Unassigned [0xC755]',
	0xC756 : 'Unassigned [0xC756]',
	0xC757 : 'Unassigned [0xC757]',
	0xC758 : 'Unassigned [0xC758]',
	0xC759 : 'Unassigned [0xC759]',
	0xC75A : 'Unassigned [0xC75A]',
	0xC75B : 'Unassigned [0xC75B]',
	0xC75C : 'Unassigned [0xC75C]',
	0xC75D : 'Unassigned [0xC75D]',
	0xC75E : 'Unassigned [0xC75E]',
	0xC75F : 'Unassigned [0xC75F]',
	0xC760 : 'Unassigned [0xC760]',
	0xC761 : 'Unassigned [0xC761]',
	0xC762 : 'Unassigned [0xC762]',
	0xC763 : 'Unassigned [0xC763]',
	0xC764 : 'Unassigned [0xC764]',
	0xC765 : 'Unassigned [0xC765]',
	0xC766 : 'Unassigned [0xC766]',
	0xC767 : 'Unassigned [0xC767]',
	0xC768 : 'Unassigned [0xC768]',
	0xC769 : 'Unassigned [0xC769]',
	0xC76A : 'Unassigned [0xC76A]',
	0xC76B : 'Unassigned [0xC76B]',
	0xC76C : 'Unassigned [0xC76C]',
	0xC76D : 'Unassigned [0xC76D]',
	0xC76E : 'Unassigned [0xC76E]',
	0xC76F : 'Unassigned [0xC76F]',
	0xC770 : 'Unassigned [0xC770]',
	0xC771 : 'Unassigned [0xC771]',
	0xC772 : 'Unassigned [0xC772]',
	0xC773 : 'Unassigned [0xC773]',
	0xC774 : 'Unassigned [0xC774]',
	0xC775 : 'Unassigned [0xC775]',
	0xC776 : 'Unassigned [0xC776]',
	0xC777 : 'Unassigned [0xC777]',
	0xC778 : 'Unassigned [0xC778]',
	0xC779 : 'Unassigned [0xC779]',
	0xC77A : 'Unassigned [0xC77A]',
	0xC77B : 'Unassigned [0xC77B]',
	0xC77C : 'Unassigned [0xC77C]',
	0xC77D : 'Unassigned [0xC77D]',
	0xC77E : 'Unassigned [0xC77E]',
	0xC77F : 'Unassigned [0xC77F]',
	0xC780 : 'Unassigned [0xC780]',
	0xC781 : 'Unassigned [0xC781]',
	0xC782 : 'Unassigned [0xC782]',
	0xC783 : 'Unassigned [0xC783]',
	0xC784 : 'Unassigned [0xC784]',
	0xC785 : 'Unassigned [0xC785]',
	0xC786 : 'Unassigned [0xC786]',
	0xC787 : 'Unassigned [0xC787]',
	0xC788 : 'Unassigned [0xC788]',
	0xC789 : 'Unassigned [0xC789]',
	0xC78A : 'Unassigned [0xC78A]',
	0xC78B : 'Unassigned [0xC78B]',
	0xC78C : 'Unassigned [0xC78C]',
	0xC78D : 'Unassigned [0xC78D]',
	0xC78E : 'Unassigned [0xC78E]',
	0xC78F : 'Unassigned [0xC78F]',
	0xC790 : 'Unassigned [0xC790]',
	0xC791 : 'Unassigned [0xC791]',
	0xC792 : 'Unassigned [0xC792]',
	0xC793 : 'Unassigned [0xC793]',
	0xC794 : 'Unassigned [0xC794]',
	0xC795 : 'Unassigned [0xC795]',
	0xC796 : 'Unassigned [0xC796]',
	0xC797 : 'Unassigned [0xC797]',
	0xC798 : 'Unassigned [0xC798]',
	0xC799 : 'Unassigned [0xC799]',
	0xC79A : 'Unassigned [0xC79A]',
	0xC79B : 'Unassigned [0xC79B]',
	0xC79C : 'Unassigned [0xC79C]',
	0xC79D : 'Unassigned [0xC79D]',
	0xC79E : 'Unassigned [0xC79E]',
	0xC79F : 'Unassigned [0xC79F]',
	0xC7A0 : 'Unassigned [0xC7A0]',
	0xC7A1 : 'Unassigned [0xC7A1]',
	0xC7A2 : 'Unassigned [0xC7A2]',
	0xC7A3 : 'Unassigned [0xC7A3]',
	0xC7A4 : 'Unassigned [0xC7A4]',
	0xC7A5 : 'Unassigned [0xC7A5]',
	0xC7A6 : 'Unassigned [0xC7A6]',
	0xC7A7 : 'Unassigned [0xC7A7]',
	0xC7A8 : 'Unassigned [0xC7A8]',
	0xC7A9 : 'Unassigned [0xC7A9]',
	0xC7AA : 'Unassigned [0xC7AA]',
	0xC7AB : 'Unassigned [0xC7AB]',
	0xC7AC : 'Unassigned [0xC7AC]',
	0xC7AD : 'Unassigned [0xC7AD]',
	0xC7AE : 'Unassigned [0xC7AE]',
	0xC7AF : 'Unassigned [0xC7AF]',
	0xC7B0 : 'Unassigned [0xC7B0]',
	0xC7B1 : 'Unassigned [0xC7B1]',
	0xC7B2 : 'Unassigned [0xC7B2]',
	0xC7B3 : 'Unassigned [0xC7B3]',
	0xC7B4 : 'Unassigned [0xC7B4]',
	0xC7B5 : 'Unassigned [0xC7B5]',
	0xC7B6 : 'Unassigned [0xC7B6]',
	0xC7B7 : 'Unassigned [0xC7B7]',
	0xC7B8 : 'Unassigned [0xC7B8]',
	0xC7B9 : 'Unassigned [0xC7B9]',
	0xC7BA : 'Unassigned [0xC7BA]',
	0xC7BB : 'Unassigned [0xC7BB]',
	0xC7BC : 'Unassigned [0xC7BC]',
	0xC7BD : 'Unassigned [0xC7BD]',
	0xC7BE : 'Unassigned [0xC7BE]',
	0xC7BF : 'Unassigned [0xC7BF]',
	0xC7C0 : 'Unassigned [0xC7C0]',
	0xC7C1 : 'Unassigned [0xC7C1]',
	0xC7C2 : 'Unassigned [0xC7C2]',
	0xC7C3 : 'Unassigned [0xC7C3]',
	0xC7C4 : 'Unassigned [0xC7C4]',
	0xC7C5 : 'Unassigned [0xC7C5]',
	0xC7C6 : 'Unassigned [0xC7C6]',
	0xC7C7 : 'Unassigned [0xC7C7]',
	0xC7C8 : 'Unassigned [0xC7C8]',
	0xC7C9 : 'Unassigned [0xC7C9]',
	0xC7CA : 'Unassigned [0xC7CA]',
	0xC7CB : 'Unassigned [0xC7CB]',
	0xC7CC : 'Unassigned [0xC7CC]',
	0xC7CD : 'Unassigned [0xC7CD]',
	0xC7CE : 'Unassigned [0xC7CE]',
	0xC7CF : 'Unassigned [0xC7CF]',
	0xC7D0 : 'Unassigned [0xC7D0]',
	0xC7D1 : 'Unassigned [0xC7D1]',
	0xC7D2 : 'Unassigned [0xC7D2]',
	0xC7D3 : 'Unassigned [0xC7D3]',
	0xC7D4 : 'Unassigned [0xC7D4]',
	0xC7D5 : 'Unassigned [0xC7D5]',
	0xC7D6 : 'Unassigned [0xC7D6]',
	0xC7D7 : 'Unassigned [0xC7D7]',
	0xC7D8 : 'Unassigned [0xC7D8]',
	0xC7D9 : 'Unassigned [0xC7D9]',
	0xC7DA : 'Unassigned [0xC7DA]',
	0xC7DB : 'Unassigned [0xC7DB]',
	0xC7DC : 'Unassigned [0xC7DC]',
	0xC7DD : 'Unassigned [0xC7DD]',
	0xC7DE : 'Unassigned [0xC7DE]',
	0xC7DF : 'Unassigned [0xC7DF]',
	0xC7E0 : 'Unassigned [0xC7E0]',
	0xC7E1 : 'Unassigned [0xC7E1]',
	0xC7E2 : 'Unassigned [0xC7E2]',
	0xC7E3 : 'Unassigned [0xC7E3]',
	0xC7E4 : 'Unassigned [0xC7E4]',
	0xC7E5 : 'Unassigned [0xC7E5]',
	0xC7E6 : 'Unassigned [0xC7E6]',
	0xC7E7 : 'Unassigned [0xC7E7]',
	0xC7E8 : 'Unassigned [0xC7E8]',
	0xC7E9 : 'Unassigned [0xC7E9]',
	0xC7EA : 'Unassigned [0xC7EA]',
	0xC7EB : 'Unassigned [0xC7EB]',
	0xC7EC : 'Unassigned [0xC7EC]',
	0xC7ED : 'Unassigned [0xC7ED]',
	0xC7EE : 'Unassigned [0xC7EE]',
	0xC7EF : 'Unassigned [0xC7EF]',
	0xC7F0 : 'Unassigned [0xC7F0]',
	0xC7F1 : 'Unassigned [0xC7F1]',
	0xC7F2 : 'Unassigned [0xC7F2]',
	0xC7F3 : 'Unassigned [0xC7F3]',
	0xC7F4 : 'Unassigned [0xC7F4]',
	0xC7F5 : 'Unassigned [0xC7F5]',
	0xC7F6 : 'Unassigned [0xC7F6]',
	0xC7F7 : 'Unassigned [0xC7F7]',
	0xC7F8 : 'Unassigned [0xC7F8]',
	0xC7F9 : 'Unassigned [0xC7F9]',
	0xC7FA : 'Unassigned [0xC7FA]',
	0xC7FB : 'Unassigned [0xC7FB]',
	0xC7FC : 'Unassigned [0xC7FC]',
	0xC7FD : 'Unassigned [0xC7FD]',
	0xC7FE : 'Unassigned [0xC7FE]',
	0xC7FF : 'Unassigned [0xC7FF]',
	0xC800 : 'Unassigned [0xC800]',
	0xC801 : 'Unassigned [0xC801]',
	0xC802 : 'Unassigned [0xC802]',
	0xC803 : 'Unassigned [0xC803]',
	0xC804 : 'Unassigned [0xC804]',
	0xC805 : 'Unassigned [0xC805]',
	0xC806 : 'Unassigned [0xC806]',
	0xC807 : 'Unassigned [0xC807]',
	0xC808 : 'Unassigned [0xC808]',
	0xC809 : 'Unassigned [0xC809]',
	0xC80A : 'Unassigned [0xC80A]',
	0xC80B : 'Unassigned [0xC80B]',
	0xC80C : 'Unassigned [0xC80C]',
	0xC80D : 'Unassigned [0xC80D]',
	0xC80E : 'Unassigned [0xC80E]',
	0xC80F : 'Unassigned [0xC80F]',
	0xC810 : 'Unassigned [0xC810]',
	0xC811 : 'Unassigned [0xC811]',
	0xC812 : 'Unassigned [0xC812]',
	0xC813 : 'Unassigned [0xC813]',
	0xC814 : 'Unassigned [0xC814]',
	0xC815 : 'Unassigned [0xC815]',
	0xC816 : 'Unassigned [0xC816]',
	0xC817 : 'Unassigned [0xC817]',
	0xC818 : 'Unassigned [0xC818]',
	0xC819 : 'Unassigned [0xC819]',
	0xC81A : 'Unassigned [0xC81A]',
	0xC81B : 'Unassigned [0xC81B]',
	0xC81C : 'Unassigned [0xC81C]',
	0xC81D : 'Unassigned [0xC81D]',
	0xC81E : 'Unassigned [0xC81E]',
	0xC81F : 'Unassigned [0xC81F]',
	0xC820 : 'Unassigned [0xC820]',
	0xC821 : 'Unassigned [0xC821]',
	0xC822 : 'Unassigned [0xC822]',
	0xC823 : 'Unassigned [0xC823]',
	0xC824 : 'Unassigned [0xC824]',
	0xC825 : 'Unassigned [0xC825]',
	0xC826 : 'Unassigned [0xC826]',
	0xC827 : 'Unassigned [0xC827]',
	0xC828 : 'Unassigned [0xC828]',
	0xC829 : 'Unassigned [0xC829]',
	0xC82A : 'Unassigned [0xC82A]',
	0xC82B : 'Unassigned [0xC82B]',
	0xC82C : 'Unassigned [0xC82C]',
	0xC82D : 'Unassigned [0xC82D]',
	0xC82E : 'Unassigned [0xC82E]',
	0xC82F : 'Unassigned [0xC82F]',
	0xC830 : 'Unassigned [0xC830]',
	0xC831 : 'Unassigned [0xC831]',
	0xC832 : 'Unassigned [0xC832]',
	0xC833 : 'Unassigned [0xC833]',
	0xC834 : 'Unassigned [0xC834]',
	0xC835 : 'Unassigned [0xC835]',
	0xC836 : 'Unassigned [0xC836]',
	0xC837 : 'Unassigned [0xC837]',
	0xC838 : 'Unassigned [0xC838]',
	0xC839 : 'Unassigned [0xC839]',
	0xC83A : 'Unassigned [0xC83A]',
	0xC83B : 'Unassigned [0xC83B]',
	0xC83C : 'Unassigned [0xC83C]',
	0xC83D : 'Unassigned [0xC83D]',
	0xC83E : 'Unassigned [0xC83E]',
	0xC83F : 'Unassigned [0xC83F]',
	0xC840 : 'Unassigned [0xC840]',
	0xC841 : 'Unassigned [0xC841]',
	0xC842 : 'Unassigned [0xC842]',
	0xC843 : 'Unassigned [0xC843]',
	0xC844 : 'Unassigned [0xC844]',
	0xC845 : 'Unassigned [0xC845]',
	0xC846 : 'Unassigned [0xC846]',
	0xC847 : 'Unassigned [0xC847]',
	0xC848 : 'Unassigned [0xC848]',
	0xC849 : 'Unassigned [0xC849]',
	0xC84A : 'Unassigned [0xC84A]',
	0xC84B : 'Unassigned [0xC84B]',
	0xC84C : 'Unassigned [0xC84C]',
	0xC84D : 'Unassigned [0xC84D]',
	0xC84E : 'Unassigned [0xC84E]',
	0xC84F : 'Unassigned [0xC84F]',
	0xC850 : 'Unassigned [0xC850]',
	0xC851 : 'Unassigned [0xC851]',
	0xC852 : 'Unassigned [0xC852]',
	0xC853 : 'Unassigned [0xC853]',
	0xC854 : 'Unassigned [0xC854]',
	0xC855 : 'Unassigned [0xC855]',
	0xC856 : 'Unassigned [0xC856]',
	0xC857 : 'Unassigned [0xC857]',
	0xC858 : 'Unassigned [0xC858]',
	0xC859 : 'Unassigned [0xC859]',
	0xC85A : 'Unassigned [0xC85A]',
	0xC85B : 'Unassigned [0xC85B]',
	0xC85C : 'Unassigned [0xC85C]',
	0xC85D : 'Unassigned [0xC85D]',
	0xC85E : 'Unassigned [0xC85E]',
	0xC85F : 'Unassigned [0xC85F]',
	0xC860 : 'Unassigned [0xC860]',
	0xC861 : 'Unassigned [0xC861]',
	0xC862 : 'Unassigned [0xC862]',
	0xC863 : 'Unassigned [0xC863]',
	0xC864 : 'Unassigned [0xC864]',
	0xC865 : 'Unassigned [0xC865]',
	0xC866 : 'Unassigned [0xC866]',
	0xC867 : 'Unassigned [0xC867]',
	0xC868 : 'Unassigned [0xC868]',
	0xC869 : 'Unassigned [0xC869]',
	0xC86A : 'Unassigned [0xC86A]',
	0xC86B : 'Unassigned [0xC86B]',
	0xC86C : 'Unassigned [0xC86C]',
	0xC86D : 'Unassigned [0xC86D]',
	0xC86E : 'Unassigned [0xC86E]',
	0xC86F : 'Unassigned [0xC86F]',
	0xC870 : 'Unassigned [0xC870]',
	0xC871 : 'Unassigned [0xC871]',
	0xC872 : 'Unassigned [0xC872]',
	0xC873 : 'Unassigned [0xC873]',
	0xC874 : 'Unassigned [0xC874]',
	0xC875 : 'Unassigned [0xC875]',
	0xC876 : 'Unassigned [0xC876]',
	0xC877 : 'Unassigned [0xC877]',
	0xC878 : 'Unassigned [0xC878]',
	0xC879 : 'Unassigned [0xC879]',
	0xC87A : 'Unassigned [0xC87A]',
	0xC87B : 'Unassigned [0xC87B]',
	0xC87C : 'Unassigned [0xC87C]',
	0xC87D : 'Unassigned [0xC87D]',
	0xC87E : 'Unassigned [0xC87E]',
	0xC87F : 'Unassigned [0xC87F]',
	0xC880 : 'Unassigned [0xC880]',
	0xC881 : 'Unassigned [0xC881]',
	0xC882 : 'Unassigned [0xC882]',
	0xC883 : 'Unassigned [0xC883]',
	0xC884 : 'Unassigned [0xC884]',
	0xC885 : 'Unassigned [0xC885]',
	0xC886 : 'Unassigned [0xC886]',
	0xC887 : 'Unassigned [0xC887]',
	0xC888 : 'Unassigned [0xC888]',
	0xC889 : 'Unassigned [0xC889]',
	0xC88A : 'Unassigned [0xC88A]',
	0xC88B : 'Unassigned [0xC88B]',
	0xC88C : 'Unassigned [0xC88C]',
	0xC88D : 'Unassigned [0xC88D]',
	0xC88E : 'Unassigned [0xC88E]',
	0xC88F : 'Unassigned [0xC88F]',
	0xC890 : 'Unassigned [0xC890]',
	0xC891 : 'Unassigned [0xC891]',
	0xC892 : 'Unassigned [0xC892]',
	0xC893 : 'Unassigned [0xC893]',
	0xC894 : 'Unassigned [0xC894]',
	0xC895 : 'Unassigned [0xC895]',
	0xC896 : 'Unassigned [0xC896]',
	0xC897 : 'Unassigned [0xC897]',
	0xC898 : 'Unassigned [0xC898]',
	0xC899 : 'Unassigned [0xC899]',
	0xC89A : 'Unassigned [0xC89A]',
	0xC89B : 'Unassigned [0xC89B]',
	0xC89C : 'Unassigned [0xC89C]',
	0xC89D : 'Unassigned [0xC89D]',
	0xC89E : 'Unassigned [0xC89E]',
	0xC89F : 'Unassigned [0xC89F]',
	0xC8A0 : 'Unassigned [0xC8A0]',
	0xC8A1 : 'Unassigned [0xC8A1]',
	0xC8A2 : 'Unassigned [0xC8A2]',
	0xC8A3 : 'Unassigned [0xC8A3]',
	0xC8A4 : 'Unassigned [0xC8A4]',
	0xC8A5 : 'Unassigned [0xC8A5]',
	0xC8A6 : 'Unassigned [0xC8A6]',
	0xC8A7 : 'Unassigned [0xC8A7]',
	0xC8A8 : 'Unassigned [0xC8A8]',
	0xC8A9 : 'Unassigned [0xC8A9]',
	0xC8AA : 'Unassigned [0xC8AA]',
	0xC8AB : 'Unassigned [0xC8AB]',
	0xC8AC : 'Unassigned [0xC8AC]',
	0xC8AD : 'Unassigned [0xC8AD]',
	0xC8AE : 'Unassigned [0xC8AE]',
	0xC8AF : 'Unassigned [0xC8AF]',
	0xC8B0 : 'Unassigned [0xC8B0]',
	0xC8B1 : 'Unassigned [0xC8B1]',
	0xC8B2 : 'Unassigned [0xC8B2]',
	0xC8B3 : 'Unassigned [0xC8B3]',
	0xC8B4 : 'Unassigned [0xC8B4]',
	0xC8B5 : 'Unassigned [0xC8B5]',
	0xC8B6 : 'Unassigned [0xC8B6]',
	0xC8B7 : 'Unassigned [0xC8B7]',
	0xC8B8 : 'Unassigned [0xC8B8]',
	0xC8B9 : 'Unassigned [0xC8B9]',
	0xC8BA : 'Unassigned [0xC8BA]',
	0xC8BB : 'Unassigned [0xC8BB]',
	0xC8BC : 'Unassigned [0xC8BC]',
	0xC8BD : 'Unassigned [0xC8BD]',
	0xC8BE : 'Unassigned [0xC8BE]',
	0xC8BF : 'Unassigned [0xC8BF]',
	0xC8C0 : 'Unassigned [0xC8C0]',
	0xC8C1 : 'Unassigned [0xC8C1]',
	0xC8C2 : 'Unassigned [0xC8C2]',
	0xC8C3 : 'Unassigned [0xC8C3]',
	0xC8C4 : 'Unassigned [0xC8C4]',
	0xC8C5 : 'Unassigned [0xC8C5]',
	0xC8C6 : 'Unassigned [0xC8C6]',
	0xC8C7 : 'Unassigned [0xC8C7]',
	0xC8C8 : 'Unassigned [0xC8C8]',
	0xC8C9 : 'Unassigned [0xC8C9]',
	0xC8CA : 'Unassigned [0xC8CA]',
	0xC8CB : 'Unassigned [0xC8CB]',
	0xC8CC : 'Unassigned [0xC8CC]',
	0xC8CD : 'Unassigned [0xC8CD]',
	0xC8CE : 'Unassigned [0xC8CE]',
	0xC8CF : 'Unassigned [0xC8CF]',
	0xC8D0 : 'Unassigned [0xC8D0]',
	0xC8D1 : 'Unassigned [0xC8D1]',
	0xC8D2 : 'Unassigned [0xC8D2]',
	0xC8D3 : 'Unassigned [0xC8D3]',
	0xC8D4 : 'Unassigned [0xC8D4]',
	0xC8D5 : 'Unassigned [0xC8D5]',
	0xC8D6 : 'Unassigned [0xC8D6]',
	0xC8D7 : 'Unassigned [0xC8D7]',
	0xC8D8 : 'Unassigned [0xC8D8]',
	0xC8D9 : 'Unassigned [0xC8D9]',
	0xC8DA : 'Unassigned [0xC8DA]',
	0xC8DB : 'Unassigned [0xC8DB]',
	0xC8DC : 'Unassigned [0xC8DC]',
	0xC8DD : 'Unassigned [0xC8DD]',
	0xC8DE : 'Unassigned [0xC8DE]',
	0xC8DF : 'Unassigned [0xC8DF]',
	0xC8E0 : 'Unassigned [0xC8E0]',
	0xC8E1 : 'Unassigned [0xC8E1]',
	0xC8E2 : 'Unassigned [0xC8E2]',
	0xC8E3 : 'Unassigned [0xC8E3]',
	0xC8E4 : 'Unassigned [0xC8E4]',
	0xC8E5 : 'Unassigned [0xC8E5]',
	0xC8E6 : 'Unassigned [0xC8E6]',
	0xC8E7 : 'Unassigned [0xC8E7]',
	0xC8E8 : 'Unassigned [0xC8E8]',
	0xC8E9 : 'Unassigned [0xC8E9]',
	0xC8EA : 'Unassigned [0xC8EA]',
	0xC8EB : 'Unassigned [0xC8EB]',
	0xC8EC : 'Unassigned [0xC8EC]',
	0xC8ED : 'Unassigned [0xC8ED]',
	0xC8EE : 'Unassigned [0xC8EE]',
	0xC8EF : 'Unassigned [0xC8EF]',
	0xC8F0 : 'Unassigned [0xC8F0]',
	0xC8F1 : 'Unassigned [0xC8F1]',
	0xC8F2 : 'Unassigned [0xC8F2]',
	0xC8F3 : 'Unassigned [0xC8F3]',
	0xC8F4 : 'Unassigned [0xC8F4]',
	0xC8F5 : 'Unassigned [0xC8F5]',
	0xC8F6 : 'Unassigned [0xC8F6]',
	0xC8F7 : 'Unassigned [0xC8F7]',
	0xC8F8 : 'Unassigned [0xC8F8]',
	0xC8F9 : 'Unassigned [0xC8F9]',
	0xC8FA : 'Unassigned [0xC8FA]',
	0xC8FB : 'Unassigned [0xC8FB]',
	0xC8FC : 'Unassigned [0xC8FC]',
	0xC8FD : 'Unassigned [0xC8FD]',
	0xC8FE : 'Unassigned [0xC8FE]',
	0xC8FF : 'Unassigned [0xC8FF]',
	0xC900 : 'Unassigned [0xC900]',
	0xC901 : 'Unassigned [0xC901]',
	0xC902 : 'Unassigned [0xC902]',
	0xC903 : 'Unassigned [0xC903]',
	0xC904 : 'Unassigned [0xC904]',
	0xC905 : 'Unassigned [0xC905]',
	0xC906 : 'Unassigned [0xC906]',
	0xC907 : 'Unassigned [0xC907]',
	0xC908 : 'Unassigned [0xC908]',
	0xC909 : 'Unassigned [0xC909]',
	0xC90A : 'Unassigned [0xC90A]',
	0xC90B : 'Unassigned [0xC90B]',
	0xC90C : 'Unassigned [0xC90C]',
	0xC90D : 'Unassigned [0xC90D]',
	0xC90E : 'Unassigned [0xC90E]',
	0xC90F : 'Unassigned [0xC90F]',
	0xC910 : 'Unassigned [0xC910]',
	0xC911 : 'Unassigned [0xC911]',
	0xC912 : 'Unassigned [0xC912]',
	0xC913 : 'Unassigned [0xC913]',
	0xC914 : 'Unassigned [0xC914]',
	0xC915 : 'Unassigned [0xC915]',
	0xC916 : 'Unassigned [0xC916]',
	0xC917 : 'Unassigned [0xC917]',
	0xC918 : 'Unassigned [0xC918]',
	0xC919 : 'Unassigned [0xC919]',
	0xC91A : 'Unassigned [0xC91A]',
	0xC91B : 'Unassigned [0xC91B]',
	0xC91C : 'Unassigned [0xC91C]',
	0xC91D : 'Unassigned [0xC91D]',
	0xC91E : 'Unassigned [0xC91E]',
	0xC91F : 'Unassigned [0xC91F]',
	0xC920 : 'Unassigned [0xC920]',
	0xC921 : 'Unassigned [0xC921]',
	0xC922 : 'Unassigned [0xC922]',
	0xC923 : 'Unassigned [0xC923]',
	0xC924 : 'Unassigned [0xC924]',
	0xC925 : 'Unassigned [0xC925]',
	0xC926 : 'Unassigned [0xC926]',
	0xC927 : 'Unassigned [0xC927]',
	0xC928 : 'Unassigned [0xC928]',
	0xC929 : 'Unassigned [0xC929]',
	0xC92A : 'Unassigned [0xC92A]',
	0xC92B : 'Unassigned [0xC92B]',
	0xC92C : 'Unassigned [0xC92C]',
	0xC92D : 'Unassigned [0xC92D]',
	0xC92E : 'Unassigned [0xC92E]',
	0xC92F : 'Unassigned [0xC92F]',
	0xC930 : 'Unassigned [0xC930]',
	0xC931 : 'Unassigned [0xC931]',
	0xC932 : 'Unassigned [0xC932]',
	0xC933 : 'Unassigned [0xC933]',
	0xC934 : 'Unassigned [0xC934]',
	0xC935 : 'Unassigned [0xC935]',
	0xC936 : 'Unassigned [0xC936]',
	0xC937 : 'Unassigned [0xC937]',
	0xC938 : 'Unassigned [0xC938]',
	0xC939 : 'Unassigned [0xC939]',
	0xC93A : 'Unassigned [0xC93A]',
	0xC93B : 'Unassigned [0xC93B]',
	0xC93C : 'Unassigned [0xC93C]',
	0xC93D : 'Unassigned [0xC93D]',
	0xC93E : 'Unassigned [0xC93E]',
	0xC93F : 'Unassigned [0xC93F]',
	0xC940 : 'Unassigned [0xC940]',
	0xC941 : 'Unassigned [0xC941]',
	0xC942 : 'Unassigned [0xC942]',
	0xC943 : 'Unassigned [0xC943]',
	0xC944 : 'Unassigned [0xC944]',
	0xC945 : 'Unassigned [0xC945]',
	0xC946 : 'Unassigned [0xC946]',
	0xC947 : 'Unassigned [0xC947]',
	0xC948 : 'Unassigned [0xC948]',
	0xC949 : 'Unassigned [0xC949]',
	0xC94A : 'Unassigned [0xC94A]',
	0xC94B : 'Unassigned [0xC94B]',
	0xC94C : 'Unassigned [0xC94C]',
	0xC94D : 'Unassigned [0xC94D]',
	0xC94E : 'Unassigned [0xC94E]',
	0xC94F : 'Unassigned [0xC94F]',
	0xC950 : 'Unassigned [0xC950]',
	0xC951 : 'Unassigned [0xC951]',
	0xC952 : 'Unassigned [0xC952]',
	0xC953 : 'Unassigned [0xC953]',
	0xC954 : 'Unassigned [0xC954]',
	0xC955 : 'Unassigned [0xC955]',
	0xC956 : 'Unassigned [0xC956]',
	0xC957 : 'Unassigned [0xC957]',
	0xC958 : 'Unassigned [0xC958]',
	0xC959 : 'Unassigned [0xC959]',
	0xC95A : 'Unassigned [0xC95A]',
	0xC95B : 'Unassigned [0xC95B]',
	0xC95C : 'Unassigned [0xC95C]',
	0xC95D : 'Unassigned [0xC95D]',
	0xC95E : 'Unassigned [0xC95E]',
	0xC95F : 'Unassigned [0xC95F]',
	0xC960 : 'Unassigned [0xC960]',
	0xC961 : 'Unassigned [0xC961]',
	0xC962 : 'Unassigned [0xC962]',
	0xC963 : 'Unassigned [0xC963]',
	0xC964 : 'Unassigned [0xC964]',
	0xC965 : 'Unassigned [0xC965]',
	0xC966 : 'Unassigned [0xC966]',
	0xC967 : 'Unassigned [0xC967]',
	0xC968 : 'Unassigned [0xC968]',
	0xC969 : 'Unassigned [0xC969]',
	0xC96A : 'Unassigned [0xC96A]',
	0xC96B : 'Unassigned [0xC96B]',
	0xC96C : 'Unassigned [0xC96C]',
	0xC96D : 'Unassigned [0xC96D]',
	0xC96E : 'Unassigned [0xC96E]',
	0xC96F : 'Unassigned [0xC96F]',
	0xC970 : 'Unassigned [0xC970]',
	0xC971 : 'Unassigned [0xC971]',
	0xC972 : 'Unassigned [0xC972]',
	0xC973 : 'Unassigned [0xC973]',
	0xC974 : 'Unassigned [0xC974]',
	0xC975 : 'Unassigned [0xC975]',
	0xC976 : 'Unassigned [0xC976]',
	0xC977 : 'Unassigned [0xC977]',
	0xC978 : 'Unassigned [0xC978]',
	0xC979 : 'Unassigned [0xC979]',
	0xC97A : 'Unassigned [0xC97A]',
	0xC97B : 'Unassigned [0xC97B]',
	0xC97C : 'Unassigned [0xC97C]',
	0xC97D : 'Unassigned [0xC97D]',
	0xC97E : 'Unassigned [0xC97E]',
	0xC97F : 'Unassigned [0xC97F]',
	0xC980 : 'Unassigned [0xC980]',
	0xC981 : 'Unassigned [0xC981]',
	0xC982 : 'Unassigned [0xC982]',
	0xC983 : 'Unassigned [0xC983]',
	0xC984 : 'Unassigned [0xC984]',
	0xC985 : 'Unassigned [0xC985]',
	0xC986 : 'Unassigned [0xC986]',
	0xC987 : 'Unassigned [0xC987]',
	0xC988 : 'Unassigned [0xC988]',
	0xC989 : 'Unassigned [0xC989]',
	0xC98A : 'Unassigned [0xC98A]',
	0xC98B : 'Unassigned [0xC98B]',
	0xC98C : 'Unassigned [0xC98C]',
	0xC98D : 'Unassigned [0xC98D]',
	0xC98E : 'Unassigned [0xC98E]',
	0xC98F : 'Unassigned [0xC98F]',
	0xC990 : 'Unassigned [0xC990]',
	0xC991 : 'Unassigned [0xC991]',
	0xC992 : 'Unassigned [0xC992]',
	0xC993 : 'Unassigned [0xC993]',
	0xC994 : 'Unassigned [0xC994]',
	0xC995 : 'Unassigned [0xC995]',
	0xC996 : 'Unassigned [0xC996]',
	0xC997 : 'Unassigned [0xC997]',
	0xC998 : 'Unassigned [0xC998]',
	0xC999 : 'Unassigned [0xC999]',
	0xC99A : 'Unassigned [0xC99A]',
	0xC99B : 'Unassigned [0xC99B]',
	0xC99C : 'Unassigned [0xC99C]',
	0xC99D : 'Unassigned [0xC99D]',
	0xC99E : 'Unassigned [0xC99E]',
	0xC99F : 'Unassigned [0xC99F]',
	0xC9A0 : 'Unassigned [0xC9A0]',
	0xC9A1 : 'Unassigned [0xC9A1]',
	0xC9A2 : 'Unassigned [0xC9A2]',
	0xC9A3 : 'Unassigned [0xC9A3]',
	0xC9A4 : 'Unassigned [0xC9A4]',
	0xC9A5 : 'Unassigned [0xC9A5]',
	0xC9A6 : 'Unassigned [0xC9A6]',
	0xC9A7 : 'Unassigned [0xC9A7]',
	0xC9A8 : 'Unassigned [0xC9A8]',
	0xC9A9 : 'Unassigned [0xC9A9]',
	0xC9AA : 'Unassigned [0xC9AA]',
	0xC9AB : 'Unassigned [0xC9AB]',
	0xC9AC : 'Unassigned [0xC9AC]',
	0xC9AD : 'Unassigned [0xC9AD]',
	0xC9AE : 'Unassigned [0xC9AE]',
	0xC9AF : 'Unassigned [0xC9AF]',
	0xC9B0 : 'Unassigned [0xC9B0]',
	0xC9B1 : 'Unassigned [0xC9B1]',
	0xC9B2 : 'Unassigned [0xC9B2]',
	0xC9B3 : 'Unassigned [0xC9B3]',
	0xC9B4 : 'Unassigned [0xC9B4]',
	0xC9B5 : 'Unassigned [0xC9B5]',
	0xC9B6 : 'Unassigned [0xC9B6]',
	0xC9B7 : 'Unassigned [0xC9B7]',
	0xC9B8 : 'Unassigned [0xC9B8]',
	0xC9B9 : 'Unassigned [0xC9B9]',
	0xC9BA : 'Unassigned [0xC9BA]',
	0xC9BB : 'Unassigned [0xC9BB]',
	0xC9BC : 'Unassigned [0xC9BC]',
	0xC9BD : 'Unassigned [0xC9BD]',
	0xC9BE : 'Unassigned [0xC9BE]',
	0xC9BF : 'Unassigned [0xC9BF]',
	0xC9C0 : 'Unassigned [0xC9C0]',
	0xC9C1 : 'Unassigned [0xC9C1]',
	0xC9C2 : 'Unassigned [0xC9C2]',
	0xC9C3 : 'Unassigned [0xC9C3]',
	0xC9C4 : 'Unassigned [0xC9C4]',
	0xC9C5 : 'Unassigned [0xC9C5]',
	0xC9C6 : 'Unassigned [0xC9C6]',
	0xC9C7 : 'Unassigned [0xC9C7]',
	0xC9C8 : 'Unassigned [0xC9C8]',
	0xC9C9 : 'Unassigned [0xC9C9]',
	0xC9CA : 'Unassigned [0xC9CA]',
	0xC9CB : 'Unassigned [0xC9CB]',
	0xC9CC : 'Unassigned [0xC9CC]',
	0xC9CD : 'Unassigned [0xC9CD]',
	0xC9CE : 'Unassigned [0xC9CE]',
	0xC9CF : 'Unassigned [0xC9CF]',
	0xC9D0 : 'Unassigned [0xC9D0]',
	0xC9D1 : 'Unassigned [0xC9D1]',
	0xC9D2 : 'Unassigned [0xC9D2]',
	0xC9D3 : 'Unassigned [0xC9D3]',
	0xC9D4 : 'Unassigned [0xC9D4]',
	0xC9D5 : 'Unassigned [0xC9D5]',
	0xC9D6 : 'Unassigned [0xC9D6]',
	0xC9D7 : 'Unassigned [0xC9D7]',
	0xC9D8 : 'Unassigned [0xC9D8]',
	0xC9D9 : 'Unassigned [0xC9D9]',
	0xC9DA : 'Unassigned [0xC9DA]',
	0xC9DB : 'Unassigned [0xC9DB]',
	0xC9DC : 'Unassigned [0xC9DC]',
	0xC9DD : 'Unassigned [0xC9DD]',
	0xC9DE : 'Unassigned [0xC9DE]',
	0xC9DF : 'Unassigned [0xC9DF]',
	0xC9E0 : 'Unassigned [0xC9E0]',
	0xC9E1 : 'Unassigned [0xC9E1]',
	0xC9E2 : 'Unassigned [0xC9E2]',
	0xC9E3 : 'Unassigned [0xC9E3]',
	0xC9E4 : 'Unassigned [0xC9E4]',
	0xC9E5 : 'Unassigned [0xC9E5]',
	0xC9E6 : 'Unassigned [0xC9E6]',
	0xC9E7 : 'Unassigned [0xC9E7]',
	0xC9E8 : 'Unassigned [0xC9E8]',
	0xC9E9 : 'Unassigned [0xC9E9]',
	0xC9EA : 'Unassigned [0xC9EA]',
	0xC9EB : 'Unassigned [0xC9EB]',
	0xC9EC : 'Unassigned [0xC9EC]',
	0xC9ED : 'Unassigned [0xC9ED]',
	0xC9EE : 'Unassigned [0xC9EE]',
	0xC9EF : 'Unassigned [0xC9EF]',
	0xC9F0 : 'Unassigned [0xC9F0]',
	0xC9F1 : 'Unassigned [0xC9F1]',
	0xC9F2 : 'Unassigned [0xC9F2]',
	0xC9F3 : 'Unassigned [0xC9F3]',
	0xC9F4 : 'Unassigned [0xC9F4]',
	0xC9F5 : 'Unassigned [0xC9F5]',
	0xC9F6 : 'Unassigned [0xC9F6]',
	0xC9F7 : 'Unassigned [0xC9F7]',
	0xC9F8 : 'Unassigned [0xC9F8]',
	0xC9F9 : 'Unassigned [0xC9F9]',
	0xC9FA : 'Unassigned [0xC9FA]',
	0xC9FB : 'Unassigned [0xC9FB]',
	0xC9FC : 'Unassigned [0xC9FC]',
	0xC9FD : 'Unassigned [0xC9FD]',
	0xC9FE : 'Unassigned [0xC9FE]',
	0xC9FF : 'Unassigned [0xC9FF]',
	0xCA00 : 'Unassigned [0xCA00]',
	0xCA01 : 'Unassigned [0xCA01]',
	0xCA02 : 'Unassigned [0xCA02]',
	0xCA03 : 'Unassigned [0xCA03]',
	0xCA04 : 'Unassigned [0xCA04]',
	0xCA05 : 'Unassigned [0xCA05]',
	0xCA06 : 'Unassigned [0xCA06]',
	0xCA07 : 'Unassigned [0xCA07]',
	0xCA08 : 'Unassigned [0xCA08]',
	0xCA09 : 'Unassigned [0xCA09]',
	0xCA0A : 'Unassigned [0xCA0A]',
	0xCA0B : 'Unassigned [0xCA0B]',
	0xCA0C : 'Unassigned [0xCA0C]',
	0xCA0D : 'Unassigned [0xCA0D]',
	0xCA0E : 'Unassigned [0xCA0E]',
	0xCA0F : 'Unassigned [0xCA0F]',
	0xCA10 : 'Unassigned [0xCA10]',
	0xCA11 : 'Unassigned [0xCA11]',
	0xCA12 : 'Unassigned [0xCA12]',
	0xCA13 : 'Unassigned [0xCA13]',
	0xCA14 : 'Unassigned [0xCA14]',
	0xCA15 : 'Unassigned [0xCA15]',
	0xCA16 : 'Unassigned [0xCA16]',
	0xCA17 : 'Unassigned [0xCA17]',
	0xCA18 : 'Unassigned [0xCA18]',
	0xCA19 : 'Unassigned [0xCA19]',
	0xCA1A : 'Unassigned [0xCA1A]',
	0xCA1B : 'Unassigned [0xCA1B]',
	0xCA1C : 'Unassigned [0xCA1C]',
	0xCA1D : 'Unassigned [0xCA1D]',
	0xCA1E : 'Unassigned [0xCA1E]',
	0xCA1F : 'Unassigned [0xCA1F]',
	0xCA20 : 'Unassigned [0xCA20]',
	0xCA21 : 'Unassigned [0xCA21]',
	0xCA22 : 'Unassigned [0xCA22]',
	0xCA23 : 'Unassigned [0xCA23]',
	0xCA24 : 'Unassigned [0xCA24]',
	0xCA25 : 'Unassigned [0xCA25]',
	0xCA26 : 'Unassigned [0xCA26]',
	0xCA27 : 'Unassigned [0xCA27]',
	0xCA28 : 'Unassigned [0xCA28]',
	0xCA29 : 'Unassigned [0xCA29]',
	0xCA2A : 'Unassigned [0xCA2A]',
	0xCA2B : 'Unassigned [0xCA2B]',
	0xCA2C : 'Unassigned [0xCA2C]',
	0xCA2D : 'Unassigned [0xCA2D]',
	0xCA2E : 'Unassigned [0xCA2E]',
	0xCA2F : 'Unassigned [0xCA2F]',
	0xCA30 : 'Unassigned [0xCA30]',
	0xCA31 : 'Unassigned [0xCA31]',
	0xCA32 : 'Unassigned [0xCA32]',
	0xCA33 : 'Unassigned [0xCA33]',
	0xCA34 : 'Unassigned [0xCA34]',
	0xCA35 : 'Unassigned [0xCA35]',
	0xCA36 : 'Unassigned [0xCA36]',
	0xCA37 : 'Unassigned [0xCA37]',
	0xCA38 : 'Unassigned [0xCA38]',
	0xCA39 : 'Unassigned [0xCA39]',
	0xCA3A : 'Unassigned [0xCA3A]',
	0xCA3B : 'Unassigned [0xCA3B]',
	0xCA3C : 'Unassigned [0xCA3C]',
	0xCA3D : 'Unassigned [0xCA3D]',
	0xCA3E : 'Unassigned [0xCA3E]',
	0xCA3F : 'Unassigned [0xCA3F]',
	0xCA40 : 'Unassigned [0xCA40]',
	0xCA41 : 'Unassigned [0xCA41]',
	0xCA42 : 'Unassigned [0xCA42]',
	0xCA43 : 'Unassigned [0xCA43]',
	0xCA44 : 'Unassigned [0xCA44]',
	0xCA45 : 'Unassigned [0xCA45]',
	0xCA46 : 'Unassigned [0xCA46]',
	0xCA47 : 'Unassigned [0xCA47]',
	0xCA48 : 'Unassigned [0xCA48]',
	0xCA49 : 'Unassigned [0xCA49]',
	0xCA4A : 'Unassigned [0xCA4A]',
	0xCA4B : 'Unassigned [0xCA4B]',
	0xCA4C : 'Unassigned [0xCA4C]',
	0xCA4D : 'Unassigned [0xCA4D]',
	0xCA4E : 'Unassigned [0xCA4E]',
	0xCA4F : 'Unassigned [0xCA4F]',
	0xCA50 : 'Unassigned [0xCA50]',
	0xCA51 : 'Unassigned [0xCA51]',
	0xCA52 : 'Unassigned [0xCA52]',
	0xCA53 : 'Unassigned [0xCA53]',
	0xCA54 : 'Unassigned [0xCA54]',
	0xCA55 : 'Unassigned [0xCA55]',
	0xCA56 : 'Unassigned [0xCA56]',
	0xCA57 : 'Unassigned [0xCA57]',
	0xCA58 : 'Unassigned [0xCA58]',
	0xCA59 : 'Unassigned [0xCA59]',
	0xCA5A : 'Unassigned [0xCA5A]',
	0xCA5B : 'Unassigned [0xCA5B]',
	0xCA5C : 'Unassigned [0xCA5C]',
	0xCA5D : 'Unassigned [0xCA5D]',
	0xCA5E : 'Unassigned [0xCA5E]',
	0xCA5F : 'Unassigned [0xCA5F]',
	0xCA60 : 'Unassigned [0xCA60]',
	0xCA61 : 'Unassigned [0xCA61]',
	0xCA62 : 'Unassigned [0xCA62]',
	0xCA63 : 'Unassigned [0xCA63]',
	0xCA64 : 'Unassigned [0xCA64]',
	0xCA65 : 'Unassigned [0xCA65]',
	0xCA66 : 'Unassigned [0xCA66]',
	0xCA67 : 'Unassigned [0xCA67]',
	0xCA68 : 'Unassigned [0xCA68]',
	0xCA69 : 'Unassigned [0xCA69]',
	0xCA6A : 'Unassigned [0xCA6A]',
	0xCA6B : 'Unassigned [0xCA6B]',
	0xCA6C : 'Unassigned [0xCA6C]',
	0xCA6D : 'Unassigned [0xCA6D]',
	0xCA6E : 'Unassigned [0xCA6E]',
	0xCA6F : 'Unassigned [0xCA6F]',
	0xCA70 : 'Unassigned [0xCA70]',
	0xCA71 : 'Unassigned [0xCA71]',
	0xCA72 : 'Unassigned [0xCA72]',
	0xCA73 : 'Unassigned [0xCA73]',
	0xCA74 : 'Unassigned [0xCA74]',
	0xCA75 : 'Unassigned [0xCA75]',
	0xCA76 : 'Unassigned [0xCA76]',
	0xCA77 : 'Unassigned [0xCA77]',
	0xCA78 : 'Unassigned [0xCA78]',
	0xCA79 : 'Unassigned [0xCA79]',
	0xCA7A : 'Unassigned [0xCA7A]',
	0xCA7B : 'Unassigned [0xCA7B]',
	0xCA7C : 'Unassigned [0xCA7C]',
	0xCA7D : 'Unassigned [0xCA7D]',
	0xCA7E : 'Unassigned [0xCA7E]',
	0xCA7F : 'Unassigned [0xCA7F]',
	0xCA80 : 'Unassigned [0xCA80]',
	0xCA81 : 'Unassigned [0xCA81]',
	0xCA82 : 'Unassigned [0xCA82]',
	0xCA83 : 'Unassigned [0xCA83]',
	0xCA84 : 'Unassigned [0xCA84]',
	0xCA85 : 'Unassigned [0xCA85]',
	0xCA86 : 'Unassigned [0xCA86]',
	0xCA87 : 'Unassigned [0xCA87]',
	0xCA88 : 'Unassigned [0xCA88]',
	0xCA89 : 'Unassigned [0xCA89]',
	0xCA8A : 'Unassigned [0xCA8A]',
	0xCA8B : 'Unassigned [0xCA8B]',
	0xCA8C : 'Unassigned [0xCA8C]',
	0xCA8D : 'Unassigned [0xCA8D]',
	0xCA8E : 'Unassigned [0xCA8E]',
	0xCA8F : 'Unassigned [0xCA8F]',
	0xCA90 : 'Unassigned [0xCA90]',
	0xCA91 : 'Unassigned [0xCA91]',
	0xCA92 : 'Unassigned [0xCA92]',
	0xCA93 : 'Unassigned [0xCA93]',
	0xCA94 : 'Unassigned [0xCA94]',
	0xCA95 : 'Unassigned [0xCA95]',
	0xCA96 : 'Unassigned [0xCA96]',
	0xCA97 : 'Unassigned [0xCA97]',
	0xCA98 : 'Unassigned [0xCA98]',
	0xCA99 : 'Unassigned [0xCA99]',
	0xCA9A : 'Unassigned [0xCA9A]',
	0xCA9B : 'Unassigned [0xCA9B]',
	0xCA9C : 'Unassigned [0xCA9C]',
	0xCA9D : 'Unassigned [0xCA9D]',
	0xCA9E : 'Unassigned [0xCA9E]',
	0xCA9F : 'Unassigned [0xCA9F]',
	0xCAA0 : 'Unassigned [0xCAA0]',
	0xCAA1 : 'Unassigned [0xCAA1]',
	0xCAA2 : 'Unassigned [0xCAA2]',
	0xCAA3 : 'Unassigned [0xCAA3]',
	0xCAA4 : 'Unassigned [0xCAA4]',
	0xCAA5 : 'Unassigned [0xCAA5]',
	0xCAA6 : 'Unassigned [0xCAA6]',
	0xCAA7 : 'Unassigned [0xCAA7]',
	0xCAA8 : 'Unassigned [0xCAA8]',
	0xCAA9 : 'Unassigned [0xCAA9]',
	0xCAAA : 'Unassigned [0xCAAA]',
	0xCAAB : 'Unassigned [0xCAAB]',
	0xCAAC : 'Unassigned [0xCAAC]',
	0xCAAD : 'Unassigned [0xCAAD]',
	0xCAAE : 'Unassigned [0xCAAE]',
	0xCAAF : 'Unassigned [0xCAAF]',
	0xCAB0 : 'Unassigned [0xCAB0]',
	0xCAB1 : 'Unassigned [0xCAB1]',
	0xCAB2 : 'Unassigned [0xCAB2]',
	0xCAB3 : 'Unassigned [0xCAB3]',
	0xCAB4 : 'Unassigned [0xCAB4]',
	0xCAB5 : 'Unassigned [0xCAB5]',
	0xCAB6 : 'Unassigned [0xCAB6]',
	0xCAB7 : 'Unassigned [0xCAB7]',
	0xCAB8 : 'Unassigned [0xCAB8]',
	0xCAB9 : 'Unassigned [0xCAB9]',
	0xCABA : 'Unassigned [0xCABA]',
	0xCABB : 'Unassigned [0xCABB]',
	0xCABC : 'Unassigned [0xCABC]',
	0xCABD : 'Unassigned [0xCABD]',
	0xCABE : 'Unassigned [0xCABE]',
	0xCABF : 'Unassigned [0xCABF]',
	0xCAC0 : 'Unassigned [0xCAC0]',
	0xCAC1 : 'Unassigned [0xCAC1]',
	0xCAC2 : 'Unassigned [0xCAC2]',
	0xCAC3 : 'Unassigned [0xCAC3]',
	0xCAC4 : 'Unassigned [0xCAC4]',
	0xCAC5 : 'Unassigned [0xCAC5]',
	0xCAC6 : 'Unassigned [0xCAC6]',
	0xCAC7 : 'Unassigned [0xCAC7]',
	0xCAC8 : 'Unassigned [0xCAC8]',
	0xCAC9 : 'Unassigned [0xCAC9]',
	0xCACA : 'Unassigned [0xCACA]',
	0xCACB : 'Unassigned [0xCACB]',
	0xCACC : 'Unassigned [0xCACC]',
	0xCACD : 'Unassigned [0xCACD]',
	0xCACE : 'Unassigned [0xCACE]',
	0xCACF : 'Unassigned [0xCACF]',
	0xCAD0 : 'Unassigned [0xCAD0]',
	0xCAD1 : 'Unassigned [0xCAD1]',
	0xCAD2 : 'Unassigned [0xCAD2]',
	0xCAD3 : 'Unassigned [0xCAD3]',
	0xCAD4 : 'Unassigned [0xCAD4]',
	0xCAD5 : 'Unassigned [0xCAD5]',
	0xCAD6 : 'Unassigned [0xCAD6]',
	0xCAD7 : 'Unassigned [0xCAD7]',
	0xCAD8 : 'Unassigned [0xCAD8]',
	0xCAD9 : 'Unassigned [0xCAD9]',
	0xCADA : 'Unassigned [0xCADA]',
	0xCADB : 'Unassigned [0xCADB]',
	0xCADC : 'Unassigned [0xCADC]',
	0xCADD : 'Unassigned [0xCADD]',
	0xCADE : 'Unassigned [0xCADE]',
	0xCADF : 'Unassigned [0xCADF]',
	0xCAE0 : 'Unassigned [0xCAE0]',
	0xCAE1 : 'Unassigned [0xCAE1]',
	0xCAE2 : 'Unassigned [0xCAE2]',
	0xCAE3 : 'Unassigned [0xCAE3]',
	0xCAE4 : 'Unassigned [0xCAE4]',
	0xCAE5 : 'Unassigned [0xCAE5]',
	0xCAE6 : 'Unassigned [0xCAE6]',
	0xCAE7 : 'Unassigned [0xCAE7]',
	0xCAE8 : 'Unassigned [0xCAE8]',
	0xCAE9 : 'Unassigned [0xCAE9]',
	0xCAEA : 'Unassigned [0xCAEA]',
	0xCAEB : 'Unassigned [0xCAEB]',
	0xCAEC : 'Unassigned [0xCAEC]',
	0xCAED : 'Unassigned [0xCAED]',
	0xCAEE : 'Unassigned [0xCAEE]',
	0xCAEF : 'Unassigned [0xCAEF]',
	0xCAF0 : 'Unassigned [0xCAF0]',
	0xCAF1 : 'Unassigned [0xCAF1]',
	0xCAF2 : 'Unassigned [0xCAF2]',
	0xCAF3 : 'Unassigned [0xCAF3]',
	0xCAF4 : 'Unassigned [0xCAF4]',
	0xCAF5 : 'Unassigned [0xCAF5]',
	0xCAF6 : 'Unassigned [0xCAF6]',
	0xCAF7 : 'Unassigned [0xCAF7]',
	0xCAF8 : 'Unassigned [0xCAF8]',
	0xCAF9 : 'Unassigned [0xCAF9]',
	0xCAFA : 'Unassigned [0xCAFA]',
	0xCAFB : 'Unassigned [0xCAFB]',
	0xCAFC : 'Unassigned [0xCAFC]',
	0xCAFD : 'Unassigned [0xCAFD]',
	0xCAFE : 'Unassigned [0xCAFE]',
	0xCAFF : 'Unassigned [0xCAFF]',
	0xCB00 : 'Unassigned [0xCB00]',
	0xCB01 : 'Unassigned [0xCB01]',
	0xCB02 : 'Unassigned [0xCB02]',
	0xCB03 : 'Unassigned [0xCB03]',
	0xCB04 : 'Unassigned [0xCB04]',
	0xCB05 : 'Unassigned [0xCB05]',
	0xCB06 : 'Unassigned [0xCB06]',
	0xCB07 : 'Unassigned [0xCB07]',
	0xCB08 : 'Unassigned [0xCB08]',
	0xCB09 : 'Unassigned [0xCB09]',
	0xCB0A : 'Unassigned [0xCB0A]',
	0xCB0B : 'Unassigned [0xCB0B]',
	0xCB0C : 'Unassigned [0xCB0C]',
	0xCB0D : 'Unassigned [0xCB0D]',
	0xCB0E : 'Unassigned [0xCB0E]',
	0xCB0F : 'Unassigned [0xCB0F]',
	0xCB10 : 'Unassigned [0xCB10]',
	0xCB11 : 'Unassigned [0xCB11]',
	0xCB12 : 'Unassigned [0xCB12]',
	0xCB13 : 'Unassigned [0xCB13]',
	0xCB14 : 'Unassigned [0xCB14]',
	0xCB15 : 'Unassigned [0xCB15]',
	0xCB16 : 'Unassigned [0xCB16]',
	0xCB17 : 'Unassigned [0xCB17]',
	0xCB18 : 'Unassigned [0xCB18]',
	0xCB19 : 'Unassigned [0xCB19]',
	0xCB1A : 'Unassigned [0xCB1A]',
	0xCB1B : 'Unassigned [0xCB1B]',
	0xCB1C : 'Unassigned [0xCB1C]',
	0xCB1D : 'Unassigned [0xCB1D]',
	0xCB1E : 'Unassigned [0xCB1E]',
	0xCB1F : 'Unassigned [0xCB1F]',
	0xCB20 : 'Unassigned [0xCB20]',
	0xCB21 : 'Unassigned [0xCB21]',
	0xCB22 : 'Unassigned [0xCB22]',
	0xCB23 : 'Unassigned [0xCB23]',
	0xCB24 : 'Unassigned [0xCB24]',
	0xCB25 : 'Unassigned [0xCB25]',
	0xCB26 : 'Unassigned [0xCB26]',
	0xCB27 : 'Unassigned [0xCB27]',
	0xCB28 : 'Unassigned [0xCB28]',
	0xCB29 : 'Unassigned [0xCB29]',
	0xCB2A : 'Unassigned [0xCB2A]',
	0xCB2B : 'Unassigned [0xCB2B]',
	0xCB2C : 'Unassigned [0xCB2C]',
	0xCB2D : 'Unassigned [0xCB2D]',
	0xCB2E : 'Unassigned [0xCB2E]',
	0xCB2F : 'Unassigned [0xCB2F]',
	0xCB30 : 'Unassigned [0xCB30]',
	0xCB31 : 'Unassigned [0xCB31]',
	0xCB32 : 'Unassigned [0xCB32]',
	0xCB33 : 'Unassigned [0xCB33]',
	0xCB34 : 'Unassigned [0xCB34]',
	0xCB35 : 'Unassigned [0xCB35]',
	0xCB36 : 'Unassigned [0xCB36]',
	0xCB37 : 'Unassigned [0xCB37]',
	0xCB38 : 'Unassigned [0xCB38]',
	0xCB39 : 'Unassigned [0xCB39]',
	0xCB3A : 'Unassigned [0xCB3A]',
	0xCB3B : 'Unassigned [0xCB3B]',
	0xCB3C : 'Unassigned [0xCB3C]',
	0xCB3D : 'Unassigned [0xCB3D]',
	0xCB3E : 'Unassigned [0xCB3E]',
	0xCB3F : 'Unassigned [0xCB3F]',
	0xCB40 : 'Unassigned [0xCB40]',
	0xCB41 : 'Unassigned [0xCB41]',
	0xCB42 : 'Unassigned [0xCB42]',
	0xCB43 : 'Unassigned [0xCB43]',
	0xCB44 : 'Unassigned [0xCB44]',
	0xCB45 : 'Unassigned [0xCB45]',
	0xCB46 : 'Unassigned [0xCB46]',
	0xCB47 : 'Unassigned [0xCB47]',
	0xCB48 : 'Unassigned [0xCB48]',
	0xCB49 : 'Unassigned [0xCB49]',
	0xCB4A : 'Unassigned [0xCB4A]',
	0xCB4B : 'Unassigned [0xCB4B]',
	0xCB4C : 'Unassigned [0xCB4C]',
	0xCB4D : 'Unassigned [0xCB4D]',
	0xCB4E : 'Unassigned [0xCB4E]',
	0xCB4F : 'Unassigned [0xCB4F]',
	0xCB50 : 'Unassigned [0xCB50]',
	0xCB51 : 'Unassigned [0xCB51]',
	0xCB52 : 'Unassigned [0xCB52]',
	0xCB53 : 'Unassigned [0xCB53]',
	0xCB54 : 'Unassigned [0xCB54]',
	0xCB55 : 'Unassigned [0xCB55]',
	0xCB56 : 'Unassigned [0xCB56]',
	0xCB57 : 'Unassigned [0xCB57]',
	0xCB58 : 'Unassigned [0xCB58]',
	0xCB59 : 'Unassigned [0xCB59]',
	0xCB5A : 'Unassigned [0xCB5A]',
	0xCB5B : 'Unassigned [0xCB5B]',
	0xCB5C : 'Unassigned [0xCB5C]',
	0xCB5D : 'Unassigned [0xCB5D]',
	0xCB5E : 'Unassigned [0xCB5E]',
	0xCB5F : 'Unassigned [0xCB5F]',
	0xCB60 : 'Unassigned [0xCB60]',
	0xCB61 : 'Unassigned [0xCB61]',
	0xCB62 : 'Unassigned [0xCB62]',
	0xCB63 : 'Unassigned [0xCB63]',
	0xCB64 : 'Unassigned [0xCB64]',
	0xCB65 : 'Unassigned [0xCB65]',
	0xCB66 : 'Unassigned [0xCB66]',
	0xCB67 : 'Unassigned [0xCB67]',
	0xCB68 : 'Unassigned [0xCB68]',
	0xCB69 : 'Unassigned [0xCB69]',
	0xCB6A : 'Unassigned [0xCB6A]',
	0xCB6B : 'Unassigned [0xCB6B]',
	0xCB6C : 'Unassigned [0xCB6C]',
	0xCB6D : 'Unassigned [0xCB6D]',
	0xCB6E : 'Unassigned [0xCB6E]',
	0xCB6F : 'Unassigned [0xCB6F]',
	0xCB70 : 'Unassigned [0xCB70]',
	0xCB71 : 'Unassigned [0xCB71]',
	0xCB72 : 'Unassigned [0xCB72]',
	0xCB73 : 'Unassigned [0xCB73]',
	0xCB74 : 'Unassigned [0xCB74]',
	0xCB75 : 'Unassigned [0xCB75]',
	0xCB76 : 'Unassigned [0xCB76]',
	0xCB77 : 'Unassigned [0xCB77]',
	0xCB78 : 'Unassigned [0xCB78]',
	0xCB79 : 'Unassigned [0xCB79]',
	0xCB7A : 'Unassigned [0xCB7A]',
	0xCB7B : 'Unassigned [0xCB7B]',
	0xCB7C : 'Unassigned [0xCB7C]',
	0xCB7D : 'Unassigned [0xCB7D]',
	0xCB7E : 'Unassigned [0xCB7E]',
	0xCB7F : 'Unassigned [0xCB7F]',
	0xCB80 : 'Unassigned [0xCB80]',
	0xCB81 : 'Unassigned [0xCB81]',
	0xCB82 : 'Unassigned [0xCB82]',
	0xCB83 : 'Unassigned [0xCB83]',
	0xCB84 : 'Unassigned [0xCB84]',
	0xCB85 : 'Unassigned [0xCB85]',
	0xCB86 : 'Unassigned [0xCB86]',
	0xCB87 : 'Unassigned [0xCB87]',
	0xCB88 : 'Unassigned [0xCB88]',
	0xCB89 : 'Unassigned [0xCB89]',
	0xCB8A : 'Unassigned [0xCB8A]',
	0xCB8B : 'Unassigned [0xCB8B]',
	0xCB8C : 'Unassigned [0xCB8C]',
	0xCB8D : 'Unassigned [0xCB8D]',
	0xCB8E : 'Unassigned [0xCB8E]',
	0xCB8F : 'Unassigned [0xCB8F]',
	0xCB90 : 'Unassigned [0xCB90]',
	0xCB91 : 'Unassigned [0xCB91]',
	0xCB92 : 'Unassigned [0xCB92]',
	0xCB93 : 'Unassigned [0xCB93]',
	0xCB94 : 'Unassigned [0xCB94]',
	0xCB95 : 'Unassigned [0xCB95]',
	0xCB96 : 'Unassigned [0xCB96]',
	0xCB97 : 'Unassigned [0xCB97]',
	0xCB98 : 'Unassigned [0xCB98]',
	0xCB99 : 'Unassigned [0xCB99]',
	0xCB9A : 'Unassigned [0xCB9A]',
	0xCB9B : 'Unassigned [0xCB9B]',
	0xCB9C : 'Unassigned [0xCB9C]',
	0xCB9D : 'Unassigned [0xCB9D]',
	0xCB9E : 'Unassigned [0xCB9E]',
	0xCB9F : 'Unassigned [0xCB9F]',
	0xCBA0 : 'Unassigned [0xCBA0]',
	0xCBA1 : 'Unassigned [0xCBA1]',
	0xCBA2 : 'Unassigned [0xCBA2]',
	0xCBA3 : 'Unassigned [0xCBA3]',
	0xCBA4 : 'Unassigned [0xCBA4]',
	0xCBA5 : 'Unassigned [0xCBA5]',
	0xCBA6 : 'Unassigned [0xCBA6]',
	0xCBA7 : 'Unassigned [0xCBA7]',
	0xCBA8 : 'Unassigned [0xCBA8]',
	0xCBA9 : 'Unassigned [0xCBA9]',
	0xCBAA : 'Unassigned [0xCBAA]',
	0xCBAB : 'Unassigned [0xCBAB]',
	0xCBAC : 'Unassigned [0xCBAC]',
	0xCBAD : 'Unassigned [0xCBAD]',
	0xCBAE : 'Unassigned [0xCBAE]',
	0xCBAF : 'Unassigned [0xCBAF]',
	0xCBB0 : 'Unassigned [0xCBB0]',
	0xCBB1 : 'Unassigned [0xCBB1]',
	0xCBB2 : 'Unassigned [0xCBB2]',
	0xCBB3 : 'Unassigned [0xCBB3]',
	0xCBB4 : 'Unassigned [0xCBB4]',
	0xCBB5 : 'Unassigned [0xCBB5]',
	0xCBB6 : 'Unassigned [0xCBB6]',
	0xCBB7 : 'Unassigned [0xCBB7]',
	0xCBB8 : 'Unassigned [0xCBB8]',
	0xCBB9 : 'Unassigned [0xCBB9]',
	0xCBBA : 'Unassigned [0xCBBA]',
	0xCBBB : 'Unassigned [0xCBBB]',
	0xCBBC : 'Unassigned [0xCBBC]',
	0xCBBD : 'Unassigned [0xCBBD]',
	0xCBBE : 'Unassigned [0xCBBE]',
	0xCBBF : 'Unassigned [0xCBBF]',
	0xCBC0 : 'Unassigned [0xCBC0]',
	0xCBC1 : 'Unassigned [0xCBC1]',
	0xCBC2 : 'Unassigned [0xCBC2]',
	0xCBC3 : 'Unassigned [0xCBC3]',
	0xCBC4 : 'Unassigned [0xCBC4]',
	0xCBC5 : 'Unassigned [0xCBC5]',
	0xCBC6 : 'Unassigned [0xCBC6]',
	0xCBC7 : 'Unassigned [0xCBC7]',
	0xCBC8 : 'Unassigned [0xCBC8]',
	0xCBC9 : 'Unassigned [0xCBC9]',
	0xCBCA : 'Unassigned [0xCBCA]',
	0xCBCB : 'Unassigned [0xCBCB]',
	0xCBCC : 'Unassigned [0xCBCC]',
	0xCBCD : 'Unassigned [0xCBCD]',
	0xCBCE : 'Unassigned [0xCBCE]',
	0xCBCF : 'Unassigned [0xCBCF]',
	0xCBD0 : 'Unassigned [0xCBD0]',
	0xCBD1 : 'Unassigned [0xCBD1]',
	0xCBD2 : 'Unassigned [0xCBD2]',
	0xCBD3 : 'Unassigned [0xCBD3]',
	0xCBD4 : 'Unassigned [0xCBD4]',
	0xCBD5 : 'Unassigned [0xCBD5]',
	0xCBD6 : 'Unassigned [0xCBD6]',
	0xCBD7 : 'Unassigned [0xCBD7]',
	0xCBD8 : 'Unassigned [0xCBD8]',
	0xCBD9 : 'Unassigned [0xCBD9]',
	0xCBDA : 'Unassigned [0xCBDA]',
	0xCBDB : 'Unassigned [0xCBDB]',
	0xCBDC : 'Unassigned [0xCBDC]',
	0xCBDD : 'Unassigned [0xCBDD]',
	0xCBDE : 'Unassigned [0xCBDE]',
	0xCBDF : 'Unassigned [0xCBDF]',
	0xCBE0 : 'Unassigned [0xCBE0]',
	0xCBE1 : 'Unassigned [0xCBE1]',
	0xCBE2 : 'Unassigned [0xCBE2]',
	0xCBE3 : 'Unassigned [0xCBE3]',
	0xCBE4 : 'Unassigned [0xCBE4]',
	0xCBE5 : 'Unassigned [0xCBE5]',
	0xCBE6 : 'Unassigned [0xCBE6]',
	0xCBE7 : 'Unassigned [0xCBE7]',
	0xCBE8 : 'Unassigned [0xCBE8]',
	0xCBE9 : 'Unassigned [0xCBE9]',
	0xCBEA : 'Unassigned [0xCBEA]',
	0xCBEB : 'Unassigned [0xCBEB]',
	0xCBEC : 'Unassigned [0xCBEC]',
	0xCBED : 'Unassigned [0xCBED]',
	0xCBEE : 'Unassigned [0xCBEE]',
	0xCBEF : 'Unassigned [0xCBEF]',
	0xCBF0 : 'Unassigned [0xCBF0]',
	0xCBF1 : 'Unassigned [0xCBF1]',
	0xCBF2 : 'Unassigned [0xCBF2]',
	0xCBF3 : 'Unassigned [0xCBF3]',
	0xCBF4 : 'Unassigned [0xCBF4]',
	0xCBF5 : 'Unassigned [0xCBF5]',
	0xCBF6 : 'Unassigned [0xCBF6]',
	0xCBF7 : 'Unassigned [0xCBF7]',
	0xCBF8 : 'Unassigned [0xCBF8]',
	0xCBF9 : 'Unassigned [0xCBF9]',
	0xCBFA : 'Unassigned [0xCBFA]',
	0xCBFB : 'Unassigned [0xCBFB]',
	0xCBFC : 'Unassigned [0xCBFC]',
	0xCBFD : 'Unassigned [0xCBFD]',
	0xCBFE : 'Unassigned [0xCBFE]',
	0xCBFF : 'Unassigned [0xCBFF]',
	0xCC00 : 'Unassigned [0xCC00]',
	0xCC01 : 'Unassigned [0xCC01]',
	0xCC02 : 'Unassigned [0xCC02]',
	0xCC03 : 'Unassigned [0xCC03]',
	0xCC04 : 'Unassigned [0xCC04]',
	0xCC05 : 'Unassigned [0xCC05]',
	0xCC06 : 'Unassigned [0xCC06]',
	0xCC07 : 'Unassigned [0xCC07]',
	0xCC08 : 'Unassigned [0xCC08]',
	0xCC09 : 'Unassigned [0xCC09]',
	0xCC0A : 'Unassigned [0xCC0A]',
	0xCC0B : 'Unassigned [0xCC0B]',
	0xCC0C : 'Unassigned [0xCC0C]',
	0xCC0D : 'Unassigned [0xCC0D]',
	0xCC0E : 'Unassigned [0xCC0E]',
	0xCC0F : 'Unassigned [0xCC0F]',
	0xCC10 : 'Unassigned [0xCC10]',
	0xCC11 : 'Unassigned [0xCC11]',
	0xCC12 : 'Unassigned [0xCC12]',
	0xCC13 : 'Unassigned [0xCC13]',
	0xCC14 : 'Unassigned [0xCC14]',
	0xCC15 : 'Unassigned [0xCC15]',
	0xCC16 : 'Unassigned [0xCC16]',
	0xCC17 : 'Unassigned [0xCC17]',
	0xCC18 : 'Unassigned [0xCC18]',
	0xCC19 : 'Unassigned [0xCC19]',
	0xCC1A : 'Unassigned [0xCC1A]',
	0xCC1B : 'Unassigned [0xCC1B]',
	0xCC1C : 'Unassigned [0xCC1C]',
	0xCC1D : 'Unassigned [0xCC1D]',
	0xCC1E : 'Unassigned [0xCC1E]',
	0xCC1F : 'Unassigned [0xCC1F]',
	0xCC20 : 'Unassigned [0xCC20]',
	0xCC21 : 'Unassigned [0xCC21]',
	0xCC22 : 'Unassigned [0xCC22]',
	0xCC23 : 'Unassigned [0xCC23]',
	0xCC24 : 'Unassigned [0xCC24]',
	0xCC25 : 'Unassigned [0xCC25]',
	0xCC26 : 'Unassigned [0xCC26]',
	0xCC27 : 'Unassigned [0xCC27]',
	0xCC28 : 'Unassigned [0xCC28]',
	0xCC29 : 'Unassigned [0xCC29]',
	0xCC2A : 'Unassigned [0xCC2A]',
	0xCC2B : 'Unassigned [0xCC2B]',
	0xCC2C : 'Unassigned [0xCC2C]',
	0xCC2D : 'Unassigned [0xCC2D]',
	0xCC2E : 'Unassigned [0xCC2E]',
	0xCC2F : 'Unassigned [0xCC2F]',
	0xCC30 : 'Unassigned [0xCC30]',
	0xCC31 : 'Unassigned [0xCC31]',
	0xCC32 : 'Unassigned [0xCC32]',
	0xCC33 : 'Unassigned [0xCC33]',
	0xCC34 : 'Unassigned [0xCC34]',
	0xCC35 : 'Unassigned [0xCC35]',
	0xCC36 : 'Unassigned [0xCC36]',
	0xCC37 : 'Unassigned [0xCC37]',
	0xCC38 : 'Unassigned [0xCC38]',
	0xCC39 : 'Unassigned [0xCC39]',
	0xCC3A : 'Unassigned [0xCC3A]',
	0xCC3B : 'Unassigned [0xCC3B]',
	0xCC3C : 'Unassigned [0xCC3C]',
	0xCC3D : 'Unassigned [0xCC3D]',
	0xCC3E : 'Unassigned [0xCC3E]',
	0xCC3F : 'Unassigned [0xCC3F]',
	0xCC40 : 'Unassigned [0xCC40]',
	0xCC41 : 'Unassigned [0xCC41]',
	0xCC42 : 'Unassigned [0xCC42]',
	0xCC43 : 'Unassigned [0xCC43]',
	0xCC44 : 'Unassigned [0xCC44]',
	0xCC45 : 'Unassigned [0xCC45]',
	0xCC46 : 'Unassigned [0xCC46]',
	0xCC47 : 'Unassigned [0xCC47]',
	0xCC48 : 'Unassigned [0xCC48]',
	0xCC49 : 'Unassigned [0xCC49]',
	0xCC4A : 'Unassigned [0xCC4A]',
	0xCC4B : 'Unassigned [0xCC4B]',
	0xCC4C : 'Unassigned [0xCC4C]',
	0xCC4D : 'Unassigned [0xCC4D]',
	0xCC4E : 'Unassigned [0xCC4E]',
	0xCC4F : 'Unassigned [0xCC4F]',
	0xCC50 : 'Unassigned [0xCC50]',
	0xCC51 : 'Unassigned [0xCC51]',
	0xCC52 : 'Unassigned [0xCC52]',
	0xCC53 : 'Unassigned [0xCC53]',
	0xCC54 : 'Unassigned [0xCC54]',
	0xCC55 : 'Unassigned [0xCC55]',
	0xCC56 : 'Unassigned [0xCC56]',
	0xCC57 : 'Unassigned [0xCC57]',
	0xCC58 : 'Unassigned [0xCC58]',
	0xCC59 : 'Unassigned [0xCC59]',
	0xCC5A : 'Unassigned [0xCC5A]',
	0xCC5B : 'Unassigned [0xCC5B]',
	0xCC5C : 'Unassigned [0xCC5C]',
	0xCC5D : 'Unassigned [0xCC5D]',
	0xCC5E : 'Unassigned [0xCC5E]',
	0xCC5F : 'Unassigned [0xCC5F]',
	0xCC60 : 'Unassigned [0xCC60]',
	0xCC61 : 'Unassigned [0xCC61]',
	0xCC62 : 'Unassigned [0xCC62]',
	0xCC63 : 'Unassigned [0xCC63]',
	0xCC64 : 'Unassigned [0xCC64]',
	0xCC65 : 'Unassigned [0xCC65]',
	0xCC66 : 'Unassigned [0xCC66]',
	0xCC67 : 'Unassigned [0xCC67]',
	0xCC68 : 'Unassigned [0xCC68]',
	0xCC69 : 'Unassigned [0xCC69]',
	0xCC6A : 'Unassigned [0xCC6A]',
	0xCC6B : 'Unassigned [0xCC6B]',
	0xCC6C : 'Unassigned [0xCC6C]',
	0xCC6D : 'Unassigned [0xCC6D]',
	0xCC6E : 'Unassigned [0xCC6E]',
	0xCC6F : 'Unassigned [0xCC6F]',
	0xCC70 : 'Unassigned [0xCC70]',
	0xCC71 : 'Unassigned [0xCC71]',
	0xCC72 : 'Unassigned [0xCC72]',
	0xCC73 : 'Unassigned [0xCC73]',
	0xCC74 : 'Unassigned [0xCC74]',
	0xCC75 : 'Unassigned [0xCC75]',
	0xCC76 : 'Unassigned [0xCC76]',
	0xCC77 : 'Unassigned [0xCC77]',
	0xCC78 : 'Unassigned [0xCC78]',
	0xCC79 : 'Unassigned [0xCC79]',
	0xCC7A : 'Unassigned [0xCC7A]',
	0xCC7B : 'Unassigned [0xCC7B]',
	0xCC7C : 'Unassigned [0xCC7C]',
	0xCC7D : 'Unassigned [0xCC7D]',
	0xCC7E : 'Unassigned [0xCC7E]',
	0xCC7F : 'Unassigned [0xCC7F]',
	0xCC80 : 'Unassigned [0xCC80]',
	0xCC81 : 'Unassigned [0xCC81]',
	0xCC82 : 'Unassigned [0xCC82]',
	0xCC83 : 'Unassigned [0xCC83]',
	0xCC84 : 'Unassigned [0xCC84]',
	0xCC85 : 'Unassigned [0xCC85]',
	0xCC86 : 'Unassigned [0xCC86]',
	0xCC87 : 'Unassigned [0xCC87]',
	0xCC88 : 'Unassigned [0xCC88]',
	0xCC89 : 'Unassigned [0xCC89]',
	0xCC8A : 'Unassigned [0xCC8A]',
	0xCC8B : 'Unassigned [0xCC8B]',
	0xCC8C : 'Unassigned [0xCC8C]',
	0xCC8D : 'Unassigned [0xCC8D]',
	0xCC8E : 'Unassigned [0xCC8E]',
	0xCC8F : 'Unassigned [0xCC8F]',
	0xCC90 : 'Unassigned [0xCC90]',
	0xCC91 : 'Unassigned [0xCC91]',
	0xCC92 : 'Unassigned [0xCC92]',
	0xCC93 : 'Unassigned [0xCC93]',
	0xCC94 : 'Unassigned [0xCC94]',
	0xCC95 : 'Unassigned [0xCC95]',
	0xCC96 : 'Unassigned [0xCC96]',
	0xCC97 : 'Unassigned [0xCC97]',
	0xCC98 : 'Unassigned [0xCC98]',
	0xCC99 : 'Unassigned [0xCC99]',
	0xCC9A : 'Unassigned [0xCC9A]',
	0xCC9B : 'Unassigned [0xCC9B]',
	0xCC9C : 'Unassigned [0xCC9C]',
	0xCC9D : 'Unassigned [0xCC9D]',
	0xCC9E : 'Unassigned [0xCC9E]',
	0xCC9F : 'Unassigned [0xCC9F]',
	0xCCA0 : 'Unassigned [0xCCA0]',
	0xCCA1 : 'Unassigned [0xCCA1]',
	0xCCA2 : 'Unassigned [0xCCA2]',
	0xCCA3 : 'Unassigned [0xCCA3]',
	0xCCA4 : 'Unassigned [0xCCA4]',
	0xCCA5 : 'Unassigned [0xCCA5]',
	0xCCA6 : 'Unassigned [0xCCA6]',
	0xCCA7 : 'Unassigned [0xCCA7]',
	0xCCA8 : 'Unassigned [0xCCA8]',
	0xCCA9 : 'Unassigned [0xCCA9]',
	0xCCAA : 'Unassigned [0xCCAA]',
	0xCCAB : 'Unassigned [0xCCAB]',
	0xCCAC : 'Unassigned [0xCCAC]',
	0xCCAD : 'Unassigned [0xCCAD]',
	0xCCAE : 'Unassigned [0xCCAE]',
	0xCCAF : 'Unassigned [0xCCAF]',
	0xCCB0 : 'Unassigned [0xCCB0]',
	0xCCB1 : 'Unassigned [0xCCB1]',
	0xCCB2 : 'Unassigned [0xCCB2]',
	0xCCB3 : 'Unassigned [0xCCB3]',
	0xCCB4 : 'Unassigned [0xCCB4]',
	0xCCB5 : 'Unassigned [0xCCB5]',
	0xCCB6 : 'Unassigned [0xCCB6]',
	0xCCB7 : 'Unassigned [0xCCB7]',
	0xCCB8 : 'Unassigned [0xCCB8]',
	0xCCB9 : 'Unassigned [0xCCB9]',
	0xCCBA : 'Unassigned [0xCCBA]',
	0xCCBB : 'Unassigned [0xCCBB]',
	0xCCBC : 'Unassigned [0xCCBC]',
	0xCCBD : 'Unassigned [0xCCBD]',
	0xCCBE : 'Unassigned [0xCCBE]',
	0xCCBF : 'Unassigned [0xCCBF]',
	0xCCC0 : 'Unassigned [0xCCC0]',
	0xCCC1 : 'Unassigned [0xCCC1]',
	0xCCC2 : 'Unassigned [0xCCC2]',
	0xCCC3 : 'Unassigned [0xCCC3]',
	0xCCC4 : 'Unassigned [0xCCC4]',
	0xCCC5 : 'Unassigned [0xCCC5]',
	0xCCC6 : 'Unassigned [0xCCC6]',
	0xCCC7 : 'Unassigned [0xCCC7]',
	0xCCC8 : 'Unassigned [0xCCC8]',
	0xCCC9 : 'Unassigned [0xCCC9]',
	0xCCCA : 'Unassigned [0xCCCA]',
	0xCCCB : 'Unassigned [0xCCCB]',
	0xCCCC : 'Unassigned [0xCCCC]',
	0xCCCD : 'Unassigned [0xCCCD]',
	0xCCCE : 'Unassigned [0xCCCE]',
	0xCCCF : 'Unassigned [0xCCCF]',
	0xCCD0 : 'Unassigned [0xCCD0]',
	0xCCD1 : 'Unassigned [0xCCD1]',
	0xCCD2 : 'Unassigned [0xCCD2]',
	0xCCD3 : 'Unassigned [0xCCD3]',
	0xCCD4 : 'Unassigned [0xCCD4]',
	0xCCD5 : 'Unassigned [0xCCD5]',
	0xCCD6 : 'Unassigned [0xCCD6]',
	0xCCD7 : 'Unassigned [0xCCD7]',
	0xCCD8 : 'Unassigned [0xCCD8]',
	0xCCD9 : 'Unassigned [0xCCD9]',
	0xCCDA : 'Unassigned [0xCCDA]',
	0xCCDB : 'Unassigned [0xCCDB]',
	0xCCDC : 'Unassigned [0xCCDC]',
	0xCCDD : 'Unassigned [0xCCDD]',
	0xCCDE : 'Unassigned [0xCCDE]',
	0xCCDF : 'Unassigned [0xCCDF]',
	0xCCE0 : 'Unassigned [0xCCE0]',
	0xCCE1 : 'Unassigned [0xCCE1]',
	0xCCE2 : 'Unassigned [0xCCE2]',
	0xCCE3 : 'Unassigned [0xCCE3]',
	0xCCE4 : 'Unassigned [0xCCE4]',
	0xCCE5 : 'Unassigned [0xCCE5]',
	0xCCE6 : 'Unassigned [0xCCE6]',
	0xCCE7 : 'Unassigned [0xCCE7]',
	0xCCE8 : 'Unassigned [0xCCE8]',
	0xCCE9 : 'Unassigned [0xCCE9]',
	0xCCEA : 'Unassigned [0xCCEA]',
	0xCCEB : 'Unassigned [0xCCEB]',
	0xCCEC : 'Unassigned [0xCCEC]',
	0xCCED : 'Unassigned [0xCCED]',
	0xCCEE : 'Unassigned [0xCCEE]',
	0xCCEF : 'Unassigned [0xCCEF]',
	0xCCF0 : 'Unassigned [0xCCF0]',
	0xCCF1 : 'Unassigned [0xCCF1]',
	0xCCF2 : 'Unassigned [0xCCF2]',
	0xCCF3 : 'Unassigned [0xCCF3]',
	0xCCF4 : 'Unassigned [0xCCF4]',
	0xCCF5 : 'Unassigned [0xCCF5]',
	0xCCF6 : 'Unassigned [0xCCF6]',
	0xCCF7 : 'Unassigned [0xCCF7]',
	0xCCF8 : 'Unassigned [0xCCF8]',
	0xCCF9 : 'Unassigned [0xCCF9]',
	0xCCFA : 'Unassigned [0xCCFA]',
	0xCCFB : 'Unassigned [0xCCFB]',
	0xCCFC : 'Unassigned [0xCCFC]',
	0xCCFD : 'Unassigned [0xCCFD]',
	0xCCFE : 'Unassigned [0xCCFE]',
	0xCCFF : 'Unassigned [0xCCFF]',
	0xCD00 : 'Unassigned [0xCD00]',
	0xCD01 : 'Unassigned [0xCD01]',
	0xCD02 : 'Unassigned [0xCD02]',
	0xCD03 : 'Unassigned [0xCD03]',
	0xCD04 : 'Unassigned [0xCD04]',
	0xCD05 : 'Unassigned [0xCD05]',
	0xCD06 : 'Unassigned [0xCD06]',
	0xCD07 : 'Unassigned [0xCD07]',
	0xCD08 : 'Unassigned [0xCD08]',
	0xCD09 : 'Unassigned [0xCD09]',
	0xCD0A : 'Unassigned [0xCD0A]',
	0xCD0B : 'Unassigned [0xCD0B]',
	0xCD0C : 'Unassigned [0xCD0C]',
	0xCD0D : 'Unassigned [0xCD0D]',
	0xCD0E : 'Unassigned [0xCD0E]',
	0xCD0F : 'Unassigned [0xCD0F]',
	0xCD10 : 'Unassigned [0xCD10]',
	0xCD11 : 'Unassigned [0xCD11]',
	0xCD12 : 'Unassigned [0xCD12]',
	0xCD13 : 'Unassigned [0xCD13]',
	0xCD14 : 'Unassigned [0xCD14]',
	0xCD15 : 'Unassigned [0xCD15]',
	0xCD16 : 'Unassigned [0xCD16]',
	0xCD17 : 'Unassigned [0xCD17]',
	0xCD18 : 'Unassigned [0xCD18]',
	0xCD19 : 'Unassigned [0xCD19]',
	0xCD1A : 'Unassigned [0xCD1A]',
	0xCD1B : 'Unassigned [0xCD1B]',
	0xCD1C : 'Unassigned [0xCD1C]',
	0xCD1D : 'Unassigned [0xCD1D]',
	0xCD1E : 'Unassigned [0xCD1E]',
	0xCD1F : 'Unassigned [0xCD1F]',
	0xCD20 : 'Unassigned [0xCD20]',
	0xCD21 : 'Unassigned [0xCD21]',
	0xCD22 : 'Unassigned [0xCD22]',
	0xCD23 : 'Unassigned [0xCD23]',
	0xCD24 : 'Unassigned [0xCD24]',
	0xCD25 : 'Unassigned [0xCD25]',
	0xCD26 : 'Unassigned [0xCD26]',
	0xCD27 : 'Unassigned [0xCD27]',
	0xCD28 : 'Unassigned [0xCD28]',
	0xCD29 : 'Unassigned [0xCD29]',
	0xCD2A : 'Unassigned [0xCD2A]',
	0xCD2B : 'Unassigned [0xCD2B]',
	0xCD2C : 'Unassigned [0xCD2C]',
	0xCD2D : 'Unassigned [0xCD2D]',
	0xCD2E : 'Unassigned [0xCD2E]',
	0xCD2F : 'Unassigned [0xCD2F]',
	0xCD30 : 'Unassigned [0xCD30]',
	0xCD31 : 'Unassigned [0xCD31]',
	0xCD32 : 'Unassigned [0xCD32]',
	0xCD33 : 'Unassigned [0xCD33]',
	0xCD34 : 'Unassigned [0xCD34]',
	0xCD35 : 'Unassigned [0xCD35]',
	0xCD36 : 'Unassigned [0xCD36]',
	0xCD37 : 'Unassigned [0xCD37]',
	0xCD38 : 'Unassigned [0xCD38]',
	0xCD39 : 'Unassigned [0xCD39]',
	0xCD3A : 'Unassigned [0xCD3A]',
	0xCD3B : 'Unassigned [0xCD3B]',
	0xCD3C : 'Unassigned [0xCD3C]',
	0xCD3D : 'Unassigned [0xCD3D]',
	0xCD3E : 'Unassigned [0xCD3E]',
	0xCD3F : 'Unassigned [0xCD3F]',
	0xCD40 : 'Unassigned [0xCD40]',
	0xCD41 : 'Unassigned [0xCD41]',
	0xCD42 : 'Unassigned [0xCD42]',
	0xCD43 : 'Unassigned [0xCD43]',
	0xCD44 : 'Unassigned [0xCD44]',
	0xCD45 : 'Unassigned [0xCD45]',
	0xCD46 : 'Unassigned [0xCD46]',
	0xCD47 : 'Unassigned [0xCD47]',
	0xCD48 : 'Unassigned [0xCD48]',
	0xCD49 : 'Unassigned [0xCD49]',
	0xCD4A : 'Unassigned [0xCD4A]',
	0xCD4B : 'Unassigned [0xCD4B]',
	0xCD4C : 'Unassigned [0xCD4C]',
	0xCD4D : 'Unassigned [0xCD4D]',
	0xCD4E : 'Unassigned [0xCD4E]',
	0xCD4F : 'Unassigned [0xCD4F]',
	0xCD50 : 'Unassigned [0xCD50]',
	0xCD51 : 'Unassigned [0xCD51]',
	0xCD52 : 'Unassigned [0xCD52]',
	0xCD53 : 'Unassigned [0xCD53]',
	0xCD54 : 'Unassigned [0xCD54]',
	0xCD55 : 'Unassigned [0xCD55]',
	0xCD56 : 'Unassigned [0xCD56]',
	0xCD57 : 'Unassigned [0xCD57]',
	0xCD58 : 'Unassigned [0xCD58]',
	0xCD59 : 'Unassigned [0xCD59]',
	0xCD5A : 'Unassigned [0xCD5A]',
	0xCD5B : 'Unassigned [0xCD5B]',
	0xCD5C : 'Unassigned [0xCD5C]',
	0xCD5D : 'Unassigned [0xCD5D]',
	0xCD5E : 'Unassigned [0xCD5E]',
	0xCD5F : 'Unassigned [0xCD5F]',
	0xCD60 : 'Unassigned [0xCD60]',
	0xCD61 : 'Unassigned [0xCD61]',
	0xCD62 : 'Unassigned [0xCD62]',
	0xCD63 : 'Unassigned [0xCD63]',
	0xCD64 : 'Unassigned [0xCD64]',
	0xCD65 : 'Unassigned [0xCD65]',
	0xCD66 : 'Unassigned [0xCD66]',
	0xCD67 : 'Unassigned [0xCD67]',
	0xCD68 : 'Unassigned [0xCD68]',
	0xCD69 : 'Unassigned [0xCD69]',
	0xCD6A : 'Unassigned [0xCD6A]',
	0xCD6B : 'Unassigned [0xCD6B]',
	0xCD6C : 'Unassigned [0xCD6C]',
	0xCD6D : 'Unassigned [0xCD6D]',
	0xCD6E : 'Unassigned [0xCD6E]',
	0xCD6F : 'Unassigned [0xCD6F]',
	0xCD70 : 'Unassigned [0xCD70]',
	0xCD71 : 'Unassigned [0xCD71]',
	0xCD72 : 'Unassigned [0xCD72]',
	0xCD73 : 'Unassigned [0xCD73]',
	0xCD74 : 'Unassigned [0xCD74]',
	0xCD75 : 'Unassigned [0xCD75]',
	0xCD76 : 'Unassigned [0xCD76]',
	0xCD77 : 'Unassigned [0xCD77]',
	0xCD78 : 'Unassigned [0xCD78]',
	0xCD79 : 'Unassigned [0xCD79]',
	0xCD7A : 'Unassigned [0xCD7A]',
	0xCD7B : 'Unassigned [0xCD7B]',
	0xCD7C : 'Unassigned [0xCD7C]',
	0xCD7D : 'Unassigned [0xCD7D]',
	0xCD7E : 'Unassigned [0xCD7E]',
	0xCD7F : 'Unassigned [0xCD7F]',
	0xCD80 : 'Unassigned [0xCD80]',
	0xCD81 : 'Unassigned [0xCD81]',
	0xCD82 : 'Unassigned [0xCD82]',
	0xCD83 : 'Unassigned [0xCD83]',
	0xCD84 : 'Unassigned [0xCD84]',
	0xCD85 : 'Unassigned [0xCD85]',
	0xCD86 : 'Unassigned [0xCD86]',
	0xCD87 : 'Unassigned [0xCD87]',
	0xCD88 : 'Unassigned [0xCD88]',
	0xCD89 : 'Unassigned [0xCD89]',
	0xCD8A : 'Unassigned [0xCD8A]',
	0xCD8B : 'Unassigned [0xCD8B]',
	0xCD8C : 'Unassigned [0xCD8C]',
	0xCD8D : 'Unassigned [0xCD8D]',
	0xCD8E : 'Unassigned [0xCD8E]',
	0xCD8F : 'Unassigned [0xCD8F]',
	0xCD90 : 'Unassigned [0xCD90]',
	0xCD91 : 'Unassigned [0xCD91]',
	0xCD92 : 'Unassigned [0xCD92]',
	0xCD93 : 'Unassigned [0xCD93]',
	0xCD94 : 'Unassigned [0xCD94]',
	0xCD95 : 'Unassigned [0xCD95]',
	0xCD96 : 'Unassigned [0xCD96]',
	0xCD97 : 'Unassigned [0xCD97]',
	0xCD98 : 'Unassigned [0xCD98]',
	0xCD99 : 'Unassigned [0xCD99]',
	0xCD9A : 'Unassigned [0xCD9A]',
	0xCD9B : 'Unassigned [0xCD9B]',
	0xCD9C : 'Unassigned [0xCD9C]',
	0xCD9D : 'Unassigned [0xCD9D]',
	0xCD9E : 'Unassigned [0xCD9E]',
	0xCD9F : 'Unassigned [0xCD9F]',
	0xCDA0 : 'Unassigned [0xCDA0]',
	0xCDA1 : 'Unassigned [0xCDA1]',
	0xCDA2 : 'Unassigned [0xCDA2]',
	0xCDA3 : 'Unassigned [0xCDA3]',
	0xCDA4 : 'Unassigned [0xCDA4]',
	0xCDA5 : 'Unassigned [0xCDA5]',
	0xCDA6 : 'Unassigned [0xCDA6]',
	0xCDA7 : 'Unassigned [0xCDA7]',
	0xCDA8 : 'Unassigned [0xCDA8]',
	0xCDA9 : 'Unassigned [0xCDA9]',
	0xCDAA : 'Unassigned [0xCDAA]',
	0xCDAB : 'Unassigned [0xCDAB]',
	0xCDAC : 'Unassigned [0xCDAC]',
	0xCDAD : 'Unassigned [0xCDAD]',
	0xCDAE : 'Unassigned [0xCDAE]',
	0xCDAF : 'Unassigned [0xCDAF]',
	0xCDB0 : 'Unassigned [0xCDB0]',
	0xCDB1 : 'Unassigned [0xCDB1]',
	0xCDB2 : 'Unassigned [0xCDB2]',
	0xCDB3 : 'Unassigned [0xCDB3]',
	0xCDB4 : 'Unassigned [0xCDB4]',
	0xCDB5 : 'Unassigned [0xCDB5]',
	0xCDB6 : 'Unassigned [0xCDB6]',
	0xCDB7 : 'Unassigned [0xCDB7]',
	0xCDB8 : 'Unassigned [0xCDB8]',
	0xCDB9 : 'Unassigned [0xCDB9]',
	0xCDBA : 'Unassigned [0xCDBA]',
	0xCDBB : 'Unassigned [0xCDBB]',
	0xCDBC : 'Unassigned [0xCDBC]',
	0xCDBD : 'Unassigned [0xCDBD]',
	0xCDBE : 'Unassigned [0xCDBE]',
	0xCDBF : 'Unassigned [0xCDBF]',
	0xCDC0 : 'Unassigned [0xCDC0]',
	0xCDC1 : 'Unassigned [0xCDC1]',
	0xCDC2 : 'Unassigned [0xCDC2]',
	0xCDC3 : 'Unassigned [0xCDC3]',
	0xCDC4 : 'Unassigned [0xCDC4]',
	0xCDC5 : 'Unassigned [0xCDC5]',
	0xCDC6 : 'Unassigned [0xCDC6]',
	0xCDC7 : 'Unassigned [0xCDC7]',
	0xCDC8 : 'Unassigned [0xCDC8]',
	0xCDC9 : 'Unassigned [0xCDC9]',
	0xCDCA : 'Unassigned [0xCDCA]',
	0xCDCB : 'Unassigned [0xCDCB]',
	0xCDCC : 'Unassigned [0xCDCC]',
	0xCDCD : 'Unassigned [0xCDCD]',
	0xCDCE : 'Unassigned [0xCDCE]',
	0xCDCF : 'Unassigned [0xCDCF]',
	0xCDD0 : 'Unassigned [0xCDD0]',
	0xCDD1 : 'Unassigned [0xCDD1]',
	0xCDD2 : 'Unassigned [0xCDD2]',
	0xCDD3 : 'Unassigned [0xCDD3]',
	0xCDD4 : 'Unassigned [0xCDD4]',
	0xCDD5 : 'Unassigned [0xCDD5]',
	0xCDD6 : 'Unassigned [0xCDD6]',
	0xCDD7 : 'Unassigned [0xCDD7]',
	0xCDD8 : 'Unassigned [0xCDD8]',
	0xCDD9 : 'Unassigned [0xCDD9]',
	0xCDDA : 'Unassigned [0xCDDA]',
	0xCDDB : 'Unassigned [0xCDDB]',
	0xCDDC : 'Unassigned [0xCDDC]',
	0xCDDD : 'Unassigned [0xCDDD]',
	0xCDDE : 'Unassigned [0xCDDE]',
	0xCDDF : 'Unassigned [0xCDDF]',
	0xCDE0 : 'Unassigned [0xCDE0]',
	0xCDE1 : 'Unassigned [0xCDE1]',
	0xCDE2 : 'Unassigned [0xCDE2]',
	0xCDE3 : 'Unassigned [0xCDE3]',
	0xCDE4 : 'Unassigned [0xCDE4]',
	0xCDE5 : 'Unassigned [0xCDE5]',
	0xCDE6 : 'Unassigned [0xCDE6]',
	0xCDE7 : 'Unassigned [0xCDE7]',
	0xCDE8 : 'Unassigned [0xCDE8]',
	0xCDE9 : 'Unassigned [0xCDE9]',
	0xCDEA : 'Unassigned [0xCDEA]',
	0xCDEB : 'Unassigned [0xCDEB]',
	0xCDEC : 'Unassigned [0xCDEC]',
	0xCDED : 'Unassigned [0xCDED]',
	0xCDEE : 'Unassigned [0xCDEE]',
	0xCDEF : 'Unassigned [0xCDEF]',
	0xCDF0 : 'Unassigned [0xCDF0]',
	0xCDF1 : 'Unassigned [0xCDF1]',
	0xCDF2 : 'Unassigned [0xCDF2]',
	0xCDF3 : 'Unassigned [0xCDF3]',
	0xCDF4 : 'Unassigned [0xCDF4]',
	0xCDF5 : 'Unassigned [0xCDF5]',
	0xCDF6 : 'Unassigned [0xCDF6]',
	0xCDF7 : 'Unassigned [0xCDF7]',
	0xCDF8 : 'Unassigned [0xCDF8]',
	0xCDF9 : 'Unassigned [0xCDF9]',
	0xCDFA : 'Unassigned [0xCDFA]',
	0xCDFB : 'Unassigned [0xCDFB]',
	0xCDFC : 'Unassigned [0xCDFC]',
	0xCDFD : 'Unassigned [0xCDFD]',
	0xCDFE : 'Unassigned [0xCDFE]',
	0xCDFF : 'Unassigned [0xCDFF]',
	0xCE00 : 'Unassigned [0xCE00]',
	0xCE01 : 'Unassigned [0xCE01]',
	0xCE02 : 'Unassigned [0xCE02]',
	0xCE03 : 'Unassigned [0xCE03]',
	0xCE04 : 'Unassigned [0xCE04]',
	0xCE05 : 'Unassigned [0xCE05]',
	0xCE06 : 'Unassigned [0xCE06]',
	0xCE07 : 'Unassigned [0xCE07]',
	0xCE08 : 'Unassigned [0xCE08]',
	0xCE09 : 'Unassigned [0xCE09]',
	0xCE0A : 'Unassigned [0xCE0A]',
	0xCE0B : 'Unassigned [0xCE0B]',
	0xCE0C : 'Unassigned [0xCE0C]',
	0xCE0D : 'Unassigned [0xCE0D]',
	0xCE0E : 'Unassigned [0xCE0E]',
	0xCE0F : 'Unassigned [0xCE0F]',
	0xCE10 : 'Unassigned [0xCE10]',
	0xCE11 : 'Unassigned [0xCE11]',
	0xCE12 : 'Unassigned [0xCE12]',
	0xCE13 : 'Unassigned [0xCE13]',
	0xCE14 : 'Unassigned [0xCE14]',
	0xCE15 : 'Unassigned [0xCE15]',
	0xCE16 : 'Unassigned [0xCE16]',
	0xCE17 : 'Unassigned [0xCE17]',
	0xCE18 : 'Unassigned [0xCE18]',
	0xCE19 : 'Unassigned [0xCE19]',
	0xCE1A : 'Unassigned [0xCE1A]',
	0xCE1B : 'Unassigned [0xCE1B]',
	0xCE1C : 'Unassigned [0xCE1C]',
	0xCE1D : 'Unassigned [0xCE1D]',
	0xCE1E : 'Unassigned [0xCE1E]',
	0xCE1F : 'Unassigned [0xCE1F]',
	0xCE20 : 'Unassigned [0xCE20]',
	0xCE21 : 'Unassigned [0xCE21]',
	0xCE22 : 'Unassigned [0xCE22]',
	0xCE23 : 'Unassigned [0xCE23]',
	0xCE24 : 'Unassigned [0xCE24]',
	0xCE25 : 'Unassigned [0xCE25]',
	0xCE26 : 'Unassigned [0xCE26]',
	0xCE27 : 'Unassigned [0xCE27]',
	0xCE28 : 'Unassigned [0xCE28]',
	0xCE29 : 'Unassigned [0xCE29]',
	0xCE2A : 'Unassigned [0xCE2A]',
	0xCE2B : 'Unassigned [0xCE2B]',
	0xCE2C : 'Unassigned [0xCE2C]',
	0xCE2D : 'Unassigned [0xCE2D]',
	0xCE2E : 'Unassigned [0xCE2E]',
	0xCE2F : 'Unassigned [0xCE2F]',
	0xCE30 : 'Unassigned [0xCE30]',
	0xCE31 : 'Unassigned [0xCE31]',
	0xCE32 : 'Unassigned [0xCE32]',
	0xCE33 : 'Unassigned [0xCE33]',
	0xCE34 : 'Unassigned [0xCE34]',
	0xCE35 : 'Unassigned [0xCE35]',
	0xCE36 : 'Unassigned [0xCE36]',
	0xCE37 : 'Unassigned [0xCE37]',
	0xCE38 : 'Unassigned [0xCE38]',
	0xCE39 : 'Unassigned [0xCE39]',
	0xCE3A : 'Unassigned [0xCE3A]',
	0xCE3B : 'Unassigned [0xCE3B]',
	0xCE3C : 'Unassigned [0xCE3C]',
	0xCE3D : 'Unassigned [0xCE3D]',
	0xCE3E : 'Unassigned [0xCE3E]',
	0xCE3F : 'Unassigned [0xCE3F]',
	0xCE40 : 'Unassigned [0xCE40]',
	0xCE41 : 'Unassigned [0xCE41]',
	0xCE42 : 'Unassigned [0xCE42]',
	0xCE43 : 'Unassigned [0xCE43]',
	0xCE44 : 'Unassigned [0xCE44]',
	0xCE45 : 'Unassigned [0xCE45]',
	0xCE46 : 'Unassigned [0xCE46]',
	0xCE47 : 'Unassigned [0xCE47]',
	0xCE48 : 'Unassigned [0xCE48]',
	0xCE49 : 'Unassigned [0xCE49]',
	0xCE4A : 'Unassigned [0xCE4A]',
	0xCE4B : 'Unassigned [0xCE4B]',
	0xCE4C : 'Unassigned [0xCE4C]',
	0xCE4D : 'Unassigned [0xCE4D]',
	0xCE4E : 'Unassigned [0xCE4E]',
	0xCE4F : 'Unassigned [0xCE4F]',
	0xCE50 : 'Unassigned [0xCE50]',
	0xCE51 : 'Unassigned [0xCE51]',
	0xCE52 : 'Unassigned [0xCE52]',
	0xCE53 : 'Unassigned [0xCE53]',
	0xCE54 : 'Unassigned [0xCE54]',
	0xCE55 : 'Unassigned [0xCE55]',
	0xCE56 : 'Unassigned [0xCE56]',
	0xCE57 : 'Unassigned [0xCE57]',
	0xCE58 : 'Unassigned [0xCE58]',
	0xCE59 : 'Unassigned [0xCE59]',
	0xCE5A : 'Unassigned [0xCE5A]',
	0xCE5B : 'Unassigned [0xCE5B]',
	0xCE5C : 'Unassigned [0xCE5C]',
	0xCE5D : 'Unassigned [0xCE5D]',
	0xCE5E : 'Unassigned [0xCE5E]',
	0xCE5F : 'Unassigned [0xCE5F]',
	0xCE60 : 'Unassigned [0xCE60]',
	0xCE61 : 'Unassigned [0xCE61]',
	0xCE62 : 'Unassigned [0xCE62]',
	0xCE63 : 'Unassigned [0xCE63]',
	0xCE64 : 'Unassigned [0xCE64]',
	0xCE65 : 'Unassigned [0xCE65]',
	0xCE66 : 'Unassigned [0xCE66]',
	0xCE67 : 'Unassigned [0xCE67]',
	0xCE68 : 'Unassigned [0xCE68]',
	0xCE69 : 'Unassigned [0xCE69]',
	0xCE6A : 'Unassigned [0xCE6A]',
	0xCE6B : 'Unassigned [0xCE6B]',
	0xCE6C : 'Unassigned [0xCE6C]',
	0xCE6D : 'Unassigned [0xCE6D]',
	0xCE6E : 'Unassigned [0xCE6E]',
	0xCE6F : 'Unassigned [0xCE6F]',
	0xCE70 : 'Unassigned [0xCE70]',
	0xCE71 : 'Unassigned [0xCE71]',
	0xCE72 : 'Unassigned [0xCE72]',
	0xCE73 : 'Unassigned [0xCE73]',
	0xCE74 : 'Unassigned [0xCE74]',
	0xCE75 : 'Unassigned [0xCE75]',
	0xCE76 : 'Unassigned [0xCE76]',
	0xCE77 : 'Unassigned [0xCE77]',
	0xCE78 : 'Unassigned [0xCE78]',
	0xCE79 : 'Unassigned [0xCE79]',
	0xCE7A : 'Unassigned [0xCE7A]',
	0xCE7B : 'Unassigned [0xCE7B]',
	0xCE7C : 'Unassigned [0xCE7C]',
	0xCE7D : 'Unassigned [0xCE7D]',
	0xCE7E : 'Unassigned [0xCE7E]',
	0xCE7F : 'Unassigned [0xCE7F]',
	0xCE80 : 'Unassigned [0xCE80]',
	0xCE81 : 'Unassigned [0xCE81]',
	0xCE82 : 'Unassigned [0xCE82]',
	0xCE83 : 'Unassigned [0xCE83]',
	0xCE84 : 'Unassigned [0xCE84]',
	0xCE85 : 'Unassigned [0xCE85]',
	0xCE86 : 'Unassigned [0xCE86]',
	0xCE87 : 'Unassigned [0xCE87]',
	0xCE88 : 'Unassigned [0xCE88]',
	0xCE89 : 'Unassigned [0xCE89]',
	0xCE8A : 'Unassigned [0xCE8A]',
	0xCE8B : 'Unassigned [0xCE8B]',
	0xCE8C : 'Unassigned [0xCE8C]',
	0xCE8D : 'Unassigned [0xCE8D]',
	0xCE8E : 'Unassigned [0xCE8E]',
	0xCE8F : 'Unassigned [0xCE8F]',
	0xCE90 : 'Unassigned [0xCE90]',
	0xCE91 : 'Unassigned [0xCE91]',
	0xCE92 : 'Unassigned [0xCE92]',
	0xCE93 : 'Unassigned [0xCE93]',
	0xCE94 : 'Unassigned [0xCE94]',
	0xCE95 : 'Unassigned [0xCE95]',
	0xCE96 : 'Unassigned [0xCE96]',
	0xCE97 : 'Unassigned [0xCE97]',
	0xCE98 : 'Unassigned [0xCE98]',
	0xCE99 : 'Unassigned [0xCE99]',
	0xCE9A : 'Unassigned [0xCE9A]',
	0xCE9B : 'Unassigned [0xCE9B]',
	0xCE9C : 'Unassigned [0xCE9C]',
	0xCE9D : 'Unassigned [0xCE9D]',
	0xCE9E : 'Unassigned [0xCE9E]',
	0xCE9F : 'Unassigned [0xCE9F]',
	0xCEA0 : 'Unassigned [0xCEA0]',
	0xCEA1 : 'Unassigned [0xCEA1]',
	0xCEA2 : 'Unassigned [0xCEA2]',
	0xCEA3 : 'Unassigned [0xCEA3]',
	0xCEA4 : 'Unassigned [0xCEA4]',
	0xCEA5 : 'Unassigned [0xCEA5]',
	0xCEA6 : 'Unassigned [0xCEA6]',
	0xCEA7 : 'Unassigned [0xCEA7]',
	0xCEA8 : 'Unassigned [0xCEA8]',
	0xCEA9 : 'Unassigned [0xCEA9]',
	0xCEAA : 'Unassigned [0xCEAA]',
	0xCEAB : 'Unassigned [0xCEAB]',
	0xCEAC : 'Unassigned [0xCEAC]',
	0xCEAD : 'Unassigned [0xCEAD]',
	0xCEAE : 'Unassigned [0xCEAE]',
	0xCEAF : 'Unassigned [0xCEAF]',
	0xCEB0 : 'Unassigned [0xCEB0]',
	0xCEB1 : 'Unassigned [0xCEB1]',
	0xCEB2 : 'Unassigned [0xCEB2]',
	0xCEB3 : 'Unassigned [0xCEB3]',
	0xCEB4 : 'Unassigned [0xCEB4]',
	0xCEB5 : 'Unassigned [0xCEB5]',
	0xCEB6 : 'Unassigned [0xCEB6]',
	0xCEB7 : 'Unassigned [0xCEB7]',
	0xCEB8 : 'Unassigned [0xCEB8]',
	0xCEB9 : 'Unassigned [0xCEB9]',
	0xCEBA : 'Unassigned [0xCEBA]',
	0xCEBB : 'Unassigned [0xCEBB]',
	0xCEBC : 'Unassigned [0xCEBC]',
	0xCEBD : 'Unassigned [0xCEBD]',
	0xCEBE : 'Unassigned [0xCEBE]',
	0xCEBF : 'Unassigned [0xCEBF]',
	0xCEC0 : 'Unassigned [0xCEC0]',
	0xCEC1 : 'Unassigned [0xCEC1]',
	0xCEC2 : 'Unassigned [0xCEC2]',
	0xCEC3 : 'Unassigned [0xCEC3]',
	0xCEC4 : 'Unassigned [0xCEC4]',
	0xCEC5 : 'Unassigned [0xCEC5]',
	0xCEC6 : 'Unassigned [0xCEC6]',
	0xCEC7 : 'Unassigned [0xCEC7]',
	0xCEC8 : 'Unassigned [0xCEC8]',
	0xCEC9 : 'Unassigned [0xCEC9]',
	0xCECA : 'Unassigned [0xCECA]',
	0xCECB : 'Unassigned [0xCECB]',
	0xCECC : 'Unassigned [0xCECC]',
	0xCECD : 'Unassigned [0xCECD]',
	0xCECE : 'Unassigned [0xCECE]',
	0xCECF : 'Unassigned [0xCECF]',
	0xCED0 : 'Unassigned [0xCED0]',
	0xCED1 : 'Unassigned [0xCED1]',
	0xCED2 : 'Unassigned [0xCED2]',
	0xCED3 : 'Unassigned [0xCED3]',
	0xCED4 : 'Unassigned [0xCED4]',
	0xCED5 : 'Unassigned [0xCED5]',
	0xCED6 : 'Unassigned [0xCED6]',
	0xCED7 : 'Unassigned [0xCED7]',
	0xCED8 : 'Unassigned [0xCED8]',
	0xCED9 : 'Unassigned [0xCED9]',
	0xCEDA : 'Unassigned [0xCEDA]',
	0xCEDB : 'Unassigned [0xCEDB]',
	0xCEDC : 'Unassigned [0xCEDC]',
	0xCEDD : 'Unassigned [0xCEDD]',
	0xCEDE : 'Unassigned [0xCEDE]',
	0xCEDF : 'Unassigned [0xCEDF]',
	0xCEE0 : 'Unassigned [0xCEE0]',
	0xCEE1 : 'Unassigned [0xCEE1]',
	0xCEE2 : 'Unassigned [0xCEE2]',
	0xCEE3 : 'Unassigned [0xCEE3]',
	0xCEE4 : 'Unassigned [0xCEE4]',
	0xCEE5 : 'Unassigned [0xCEE5]',
	0xCEE6 : 'Unassigned [0xCEE6]',
	0xCEE7 : 'Unassigned [0xCEE7]',
	0xCEE8 : 'Unassigned [0xCEE8]',
	0xCEE9 : 'Unassigned [0xCEE9]',
	0xCEEA : 'Unassigned [0xCEEA]',
	0xCEEB : 'Unassigned [0xCEEB]',
	0xCEEC : 'Unassigned [0xCEEC]',
	0xCEED : 'Unassigned [0xCEED]',
	0xCEEE : 'Unassigned [0xCEEE]',
	0xCEEF : 'Unassigned [0xCEEF]',
	0xCEF0 : 'Unassigned [0xCEF0]',
	0xCEF1 : 'Unassigned [0xCEF1]',
	0xCEF2 : 'Unassigned [0xCEF2]',
	0xCEF3 : 'Unassigned [0xCEF3]',
	0xCEF4 : 'Unassigned [0xCEF4]',
	0xCEF5 : 'Unassigned [0xCEF5]',
	0xCEF6 : 'Unassigned [0xCEF6]',
	0xCEF7 : 'Unassigned [0xCEF7]',
	0xCEF8 : 'Unassigned [0xCEF8]',
	0xCEF9 : 'Unassigned [0xCEF9]',
	0xCEFA : 'Unassigned [0xCEFA]',
	0xCEFB : 'Unassigned [0xCEFB]',
	0xCEFC : 'Unassigned [0xCEFC]',
	0xCEFD : 'Unassigned [0xCEFD]',
	0xCEFE : 'Unassigned [0xCEFE]',
	0xCEFF : 'Unassigned [0xCEFF]',
	0xCF00 : 'Unassigned [0xCF00]',
	0xCF01 : 'Unassigned [0xCF01]',
	0xCF02 : 'Unassigned [0xCF02]',
	0xCF03 : 'Unassigned [0xCF03]',
	0xCF04 : 'Unassigned [0xCF04]',
	0xCF05 : 'Unassigned [0xCF05]',
	0xCF06 : 'Unassigned [0xCF06]',
	0xCF07 : 'Unassigned [0xCF07]',
	0xCF08 : 'Unassigned [0xCF08]',
	0xCF09 : 'Unassigned [0xCF09]',
	0xCF0A : 'Unassigned [0xCF0A]',
	0xCF0B : 'Unassigned [0xCF0B]',
	0xCF0C : 'Unassigned [0xCF0C]',
	0xCF0D : 'Unassigned [0xCF0D]',
	0xCF0E : 'Unassigned [0xCF0E]',
	0xCF0F : 'Unassigned [0xCF0F]',
	0xCF10 : 'Unassigned [0xCF10]',
	0xCF11 : 'Unassigned [0xCF11]',
	0xCF12 : 'Unassigned [0xCF12]',
	0xCF13 : 'Unassigned [0xCF13]',
	0xCF14 : 'Unassigned [0xCF14]',
	0xCF15 : 'Unassigned [0xCF15]',
	0xCF16 : 'Unassigned [0xCF16]',
	0xCF17 : 'Unassigned [0xCF17]',
	0xCF18 : 'Unassigned [0xCF18]',
	0xCF19 : 'Unassigned [0xCF19]',
	0xCF1A : 'Unassigned [0xCF1A]',
	0xCF1B : 'Unassigned [0xCF1B]',
	0xCF1C : 'Unassigned [0xCF1C]',
	0xCF1D : 'Unassigned [0xCF1D]',
	0xCF1E : 'Unassigned [0xCF1E]',
	0xCF1F : 'Unassigned [0xCF1F]',
	0xCF20 : 'Unassigned [0xCF20]',
	0xCF21 : 'Unassigned [0xCF21]',
	0xCF22 : 'Unassigned [0xCF22]',
	0xCF23 : 'Unassigned [0xCF23]',
	0xCF24 : 'Unassigned [0xCF24]',
	0xCF25 : 'Unassigned [0xCF25]',
	0xCF26 : 'Unassigned [0xCF26]',
	0xCF27 : 'Unassigned [0xCF27]',
	0xCF28 : 'Unassigned [0xCF28]',
	0xCF29 : 'Unassigned [0xCF29]',
	0xCF2A : 'Unassigned [0xCF2A]',
	0xCF2B : 'Unassigned [0xCF2B]',
	0xCF2C : 'Unassigned [0xCF2C]',
	0xCF2D : 'Unassigned [0xCF2D]',
	0xCF2E : 'Unassigned [0xCF2E]',
	0xCF2F : 'Unassigned [0xCF2F]',
	0xCF30 : 'Unassigned [0xCF30]',
	0xCF31 : 'Unassigned [0xCF31]',
	0xCF32 : 'Unassigned [0xCF32]',
	0xCF33 : 'Unassigned [0xCF33]',
	0xCF34 : 'Unassigned [0xCF34]',
	0xCF35 : 'Unassigned [0xCF35]',
	0xCF36 : 'Unassigned [0xCF36]',
	0xCF37 : 'Unassigned [0xCF37]',
	0xCF38 : 'Unassigned [0xCF38]',
	0xCF39 : 'Unassigned [0xCF39]',
	0xCF3A : 'Unassigned [0xCF3A]',
	0xCF3B : 'Unassigned [0xCF3B]',
	0xCF3C : 'Unassigned [0xCF3C]',
	0xCF3D : 'Unassigned [0xCF3D]',
	0xCF3E : 'Unassigned [0xCF3E]',
	0xCF3F : 'Unassigned [0xCF3F]',
	0xCF40 : 'Unassigned [0xCF40]',
	0xCF41 : 'Unassigned [0xCF41]',
	0xCF42 : 'Unassigned [0xCF42]',
	0xCF43 : 'Unassigned [0xCF43]',
	0xCF44 : 'Unassigned [0xCF44]',
	0xCF45 : 'Unassigned [0xCF45]',
	0xCF46 : 'Unassigned [0xCF46]',
	0xCF47 : 'Unassigned [0xCF47]',
	0xCF48 : 'Unassigned [0xCF48]',
	0xCF49 : 'Unassigned [0xCF49]',
	0xCF4A : 'Unassigned [0xCF4A]',
	0xCF4B : 'Unassigned [0xCF4B]',
	0xCF4C : 'Unassigned [0xCF4C]',
	0xCF4D : 'Unassigned [0xCF4D]',
	0xCF4E : 'Unassigned [0xCF4E]',
	0xCF4F : 'Unassigned [0xCF4F]',
	0xCF50 : 'Unassigned [0xCF50]',
	0xCF51 : 'Unassigned [0xCF51]',
	0xCF52 : 'Unassigned [0xCF52]',
	0xCF53 : 'Unassigned [0xCF53]',
	0xCF54 : 'Unassigned [0xCF54]',
	0xCF55 : 'Unassigned [0xCF55]',
	0xCF56 : 'Unassigned [0xCF56]',
	0xCF57 : 'Unassigned [0xCF57]',
	0xCF58 : 'Unassigned [0xCF58]',
	0xCF59 : 'Unassigned [0xCF59]',
	0xCF5A : 'Unassigned [0xCF5A]',
	0xCF5B : 'Unassigned [0xCF5B]',
	0xCF5C : 'Unassigned [0xCF5C]',
	0xCF5D : 'Unassigned [0xCF5D]',
	0xCF5E : 'Unassigned [0xCF5E]',
	0xCF5F : 'Unassigned [0xCF5F]',
	0xCF60 : 'Unassigned [0xCF60]',
	0xCF61 : 'Unassigned [0xCF61]',
	0xCF62 : 'Unassigned [0xCF62]',
	0xCF63 : 'Unassigned [0xCF63]',
	0xCF64 : 'Unassigned [0xCF64]',
	0xCF65 : 'Unassigned [0xCF65]',
	0xCF66 : 'Unassigned [0xCF66]',
	0xCF67 : 'Unassigned [0xCF67]',
	0xCF68 : 'Unassigned [0xCF68]',
	0xCF69 : 'Unassigned [0xCF69]',
	0xCF6A : 'Unassigned [0xCF6A]',
	0xCF6B : 'Unassigned [0xCF6B]',
	0xCF6C : 'Unassigned [0xCF6C]',
	0xCF6D : 'Unassigned [0xCF6D]',
	0xCF6E : 'Unassigned [0xCF6E]',
	0xCF6F : 'Unassigned [0xCF6F]',
	0xCF70 : 'Unassigned [0xCF70]',
	0xCF71 : 'Unassigned [0xCF71]',
	0xCF72 : 'Unassigned [0xCF72]',
	0xCF73 : 'Unassigned [0xCF73]',
	0xCF74 : 'Unassigned [0xCF74]',
	0xCF75 : 'Unassigned [0xCF75]',
	0xCF76 : 'Unassigned [0xCF76]',
	0xCF77 : 'Unassigned [0xCF77]',
	0xCF78 : 'Unassigned [0xCF78]',
	0xCF79 : 'Unassigned [0xCF79]',
	0xCF7A : 'Unassigned [0xCF7A]',
	0xCF7B : 'Unassigned [0xCF7B]',
	0xCF7C : 'Unassigned [0xCF7C]',
	0xCF7D : 'Unassigned [0xCF7D]',
	0xCF7E : 'Unassigned [0xCF7E]',
	0xCF7F : 'Unassigned [0xCF7F]',
	0xCF80 : 'Unassigned [0xCF80]',
	0xCF81 : 'Unassigned [0xCF81]',
	0xCF82 : 'Unassigned [0xCF82]',
	0xCF83 : 'Unassigned [0xCF83]',
	0xCF84 : 'Unassigned [0xCF84]',
	0xCF85 : 'Unassigned [0xCF85]',
	0xCF86 : 'Unassigned [0xCF86]',
	0xCF87 : 'Unassigned [0xCF87]',
	0xCF88 : 'Unassigned [0xCF88]',
	0xCF89 : 'Unassigned [0xCF89]',
	0xCF8A : 'Unassigned [0xCF8A]',
	0xCF8B : 'Unassigned [0xCF8B]',
	0xCF8C : 'Unassigned [0xCF8C]',
	0xCF8D : 'Unassigned [0xCF8D]',
	0xCF8E : 'Unassigned [0xCF8E]',
	0xCF8F : 'Unassigned [0xCF8F]',
	0xCF90 : 'Unassigned [0xCF90]',
	0xCF91 : 'Unassigned [0xCF91]',
	0xCF92 : 'Unassigned [0xCF92]',
	0xCF93 : 'Unassigned [0xCF93]',
	0xCF94 : 'Unassigned [0xCF94]',
	0xCF95 : 'Unassigned [0xCF95]',
	0xCF96 : 'Unassigned [0xCF96]',
	0xCF97 : 'Unassigned [0xCF97]',
	0xCF98 : 'Unassigned [0xCF98]',
	0xCF99 : 'Unassigned [0xCF99]',
	0xCF9A : 'Unassigned [0xCF9A]',
	0xCF9B : 'Unassigned [0xCF9B]',
	0xCF9C : 'Unassigned [0xCF9C]',
	0xCF9D : 'Unassigned [0xCF9D]',
	0xCF9E : 'Unassigned [0xCF9E]',
	0xCF9F : 'Unassigned [0xCF9F]',
	0xCFA0 : 'Unassigned [0xCFA0]',
	0xCFA1 : 'Unassigned [0xCFA1]',
	0xCFA2 : 'Unassigned [0xCFA2]',
	0xCFA3 : 'Unassigned [0xCFA3]',
	0xCFA4 : 'Unassigned [0xCFA4]',
	0xCFA5 : 'Unassigned [0xCFA5]',
	0xCFA6 : 'Unassigned [0xCFA6]',
	0xCFA7 : 'Unassigned [0xCFA7]',
	0xCFA8 : 'Unassigned [0xCFA8]',
	0xCFA9 : 'Unassigned [0xCFA9]',
	0xCFAA : 'Unassigned [0xCFAA]',
	0xCFAB : 'Unassigned [0xCFAB]',
	0xCFAC : 'Unassigned [0xCFAC]',
	0xCFAD : 'Unassigned [0xCFAD]',
	0xCFAE : 'Unassigned [0xCFAE]',
	0xCFAF : 'Unassigned [0xCFAF]',
	0xCFB0 : 'Unassigned [0xCFB0]',
	0xCFB1 : 'Unassigned [0xCFB1]',
	0xCFB2 : 'Unassigned [0xCFB2]',
	0xCFB3 : 'Unassigned [0xCFB3]',
	0xCFB4 : 'Unassigned [0xCFB4]',
	0xCFB5 : 'Unassigned [0xCFB5]',
	0xCFB6 : 'Unassigned [0xCFB6]',
	0xCFB7 : 'Unassigned [0xCFB7]',
	0xCFB8 : 'Unassigned [0xCFB8]',
	0xCFB9 : 'Unassigned [0xCFB9]',
	0xCFBA : 'Unassigned [0xCFBA]',
	0xCFBB : 'Unassigned [0xCFBB]',
	0xCFBC : 'Unassigned [0xCFBC]',
	0xCFBD : 'Unassigned [0xCFBD]',
	0xCFBE : 'Unassigned [0xCFBE]',
	0xCFBF : 'Unassigned [0xCFBF]',
	0xCFC0 : 'Unassigned [0xCFC0]',
	0xCFC1 : 'Unassigned [0xCFC1]',
	0xCFC2 : 'Unassigned [0xCFC2]',
	0xCFC3 : 'Unassigned [0xCFC3]',
	0xCFC4 : 'Unassigned [0xCFC4]',
	0xCFC5 : 'Unassigned [0xCFC5]',
	0xCFC6 : 'Unassigned [0xCFC6]',
	0xCFC7 : 'Unassigned [0xCFC7]',
	0xCFC8 : 'Unassigned [0xCFC8]',
	0xCFC9 : 'Unassigned [0xCFC9]',
	0xCFCA : 'Unassigned [0xCFCA]',
	0xCFCB : 'Unassigned [0xCFCB]',
	0xCFCC : 'Unassigned [0xCFCC]',
	0xCFCD : 'Unassigned [0xCFCD]',
	0xCFCE : 'Unassigned [0xCFCE]',
	0xCFCF : 'Unassigned [0xCFCF]',
	0xCFD0 : 'Unassigned [0xCFD0]',
	0xCFD1 : 'Unassigned [0xCFD1]',
	0xCFD2 : 'Unassigned [0xCFD2]',
	0xCFD3 : 'Unassigned [0xCFD3]',
	0xCFD4 : 'Unassigned [0xCFD4]',
	0xCFD5 : 'Unassigned [0xCFD5]',
	0xCFD6 : 'Unassigned [0xCFD6]',
	0xCFD7 : 'Unassigned [0xCFD7]',
	0xCFD8 : 'Unassigned [0xCFD8]',
	0xCFD9 : 'Unassigned [0xCFD9]',
	0xCFDA : 'Unassigned [0xCFDA]',
	0xCFDB : 'Unassigned [0xCFDB]',
	0xCFDC : 'Unassigned [0xCFDC]',
	0xCFDD : 'Unassigned [0xCFDD]',
	0xCFDE : 'Unassigned [0xCFDE]',
	0xCFDF : 'Unassigned [0xCFDF]',
	0xCFE0 : 'Unassigned [0xCFE0]',
	0xCFE1 : 'Unassigned [0xCFE1]',
	0xCFE2 : 'Unassigned [0xCFE2]',
	0xCFE3 : 'Unassigned [0xCFE3]',
	0xCFE4 : 'Unassigned [0xCFE4]',
	0xCFE5 : 'Unassigned [0xCFE5]',
	0xCFE6 : 'Unassigned [0xCFE6]',
	0xCFE7 : 'Unassigned [0xCFE7]',
	0xCFE8 : 'Unassigned [0xCFE8]',
	0xCFE9 : 'Unassigned [0xCFE9]',
	0xCFEA : 'Unassigned [0xCFEA]',
	0xCFEB : 'Unassigned [0xCFEB]',
	0xCFEC : 'Unassigned [0xCFEC]',
	0xCFED : 'Unassigned [0xCFED]',
	0xCFEE : 'Unassigned [0xCFEE]',
	0xCFEF : 'Unassigned [0xCFEF]',
	0xCFF0 : 'Unassigned [0xCFF0]',
	0xCFF1 : 'Unassigned [0xCFF1]',
	0xCFF2 : 'Unassigned [0xCFF2]',
	0xCFF3 : 'Unassigned [0xCFF3]',
	0xCFF4 : 'Unassigned [0xCFF4]',
	0xCFF5 : 'Unassigned [0xCFF5]',
	0xCFF6 : 'Unassigned [0xCFF6]',
	0xCFF7 : 'Unassigned [0xCFF7]',
	0xCFF8 : 'Unassigned [0xCFF8]',
	0xCFF9 : 'Unassigned [0xCFF9]',
	0xCFFA : 'Unassigned [0xCFFA]',
	0xCFFB : 'Unassigned [0xCFFB]',
	0xCFFC : 'Unassigned [0xCFFC]',
	0xCFFD : 'Unassigned [0xCFFD]',
	0xCFFE : 'Unassigned [0xCFFE]',
	0xCFFF : 'Unassigned [0xCFFF]',
	0xD000 : 'Unassigned [0xD000]',
	0xD001 : 'Unassigned [0xD001]',
	0xD002 : 'Unassigned [0xD002]',
	0xD003 : 'Unassigned [0xD003]',
	0xD004 : 'Unassigned [0xD004]',
	0xD005 : 'Unassigned [0xD005]',
	0xD006 : 'Unassigned [0xD006]',
	0xD007 : 'Unassigned [0xD007]',
	0xD008 : 'Unassigned [0xD008]',
	0xD009 : 'Unassigned [0xD009]',
	0xD00A : 'Unassigned [0xD00A]',
	0xD00B : 'Unassigned [0xD00B]',
	0xD00C : 'Unassigned [0xD00C]',
	0xD00D : 'Unassigned [0xD00D]',
	0xD00E : 'Unassigned [0xD00E]',
	0xD00F : 'Unassigned [0xD00F]',
	0xD010 : 'Unassigned [0xD010]',
	0xD011 : 'Unassigned [0xD011]',
	0xD012 : 'Unassigned [0xD012]',
	0xD013 : 'Unassigned [0xD013]',
	0xD014 : 'Unassigned [0xD014]',
	0xD015 : 'Unassigned [0xD015]',
	0xD016 : 'Unassigned [0xD016]',
	0xD017 : 'Unassigned [0xD017]',
	0xD018 : 'Unassigned [0xD018]',
	0xD019 : 'Unassigned [0xD019]',
	0xD01A : 'Unassigned [0xD01A]',
	0xD01B : 'Unassigned [0xD01B]',
	0xD01C : 'Unassigned [0xD01C]',
	0xD01D : 'Unassigned [0xD01D]',
	0xD01E : 'Unassigned [0xD01E]',
	0xD01F : 'Unassigned [0xD01F]',
	0xD020 : 'Unassigned [0xD020]',
	0xD021 : 'Unassigned [0xD021]',
	0xD022 : 'Unassigned [0xD022]',
	0xD023 : 'Unassigned [0xD023]',
	0xD024 : 'Unassigned [0xD024]',
	0xD025 : 'Unassigned [0xD025]',
	0xD026 : 'Unassigned [0xD026]',
	0xD027 : 'Unassigned [0xD027]',
	0xD028 : 'Unassigned [0xD028]',
	0xD029 : 'Unassigned [0xD029]',
	0xD02A : 'Unassigned [0xD02A]',
	0xD02B : 'Unassigned [0xD02B]',
	0xD02C : 'Unassigned [0xD02C]',
	0xD02D : 'Unassigned [0xD02D]',
	0xD02E : 'Unassigned [0xD02E]',
	0xD02F : 'Unassigned [0xD02F]',
	0xD030 : 'Unassigned [0xD030]',
	0xD031 : 'Unassigned [0xD031]',
	0xD032 : 'Unassigned [0xD032]',
	0xD033 : 'Unassigned [0xD033]',
	0xD034 : 'Unassigned [0xD034]',
	0xD035 : 'Unassigned [0xD035]',
	0xD036 : 'Unassigned [0xD036]',
	0xD037 : 'Unassigned [0xD037]',
	0xD038 : 'Unassigned [0xD038]',
	0xD039 : 'Unassigned [0xD039]',
	0xD03A : 'Unassigned [0xD03A]',
	0xD03B : 'Unassigned [0xD03B]',
	0xD03C : 'Unassigned [0xD03C]',
	0xD03D : 'Unassigned [0xD03D]',
	0xD03E : 'Unassigned [0xD03E]',
	0xD03F : 'Unassigned [0xD03F]',
	0xD040 : 'Unassigned [0xD040]',
	0xD041 : 'Unassigned [0xD041]',
	0xD042 : 'Unassigned [0xD042]',
	0xD043 : 'Unassigned [0xD043]',
	0xD044 : 'Unassigned [0xD044]',
	0xD045 : 'Unassigned [0xD045]',
	0xD046 : 'Unassigned [0xD046]',
	0xD047 : 'Unassigned [0xD047]',
	0xD048 : 'Unassigned [0xD048]',
	0xD049 : 'Unassigned [0xD049]',
	0xD04A : 'Unassigned [0xD04A]',
	0xD04B : 'Unassigned [0xD04B]',
	0xD04C : 'Unassigned [0xD04C]',
	0xD04D : 'Unassigned [0xD04D]',
	0xD04E : 'Unassigned [0xD04E]',
	0xD04F : 'Unassigned [0xD04F]',
	0xD050 : 'Unassigned [0xD050]',
	0xD051 : 'Unassigned [0xD051]',
	0xD052 : 'Unassigned [0xD052]',
	0xD053 : 'Unassigned [0xD053]',
	0xD054 : 'Unassigned [0xD054]',
	0xD055 : 'Unassigned [0xD055]',
	0xD056 : 'Unassigned [0xD056]',
	0xD057 : 'Unassigned [0xD057]',
	0xD058 : 'Unassigned [0xD058]',
	0xD059 : 'Unassigned [0xD059]',
	0xD05A : 'Unassigned [0xD05A]',
	0xD05B : 'Unassigned [0xD05B]',
	0xD05C : 'Unassigned [0xD05C]',
	0xD05D : 'Unassigned [0xD05D]',
	0xD05E : 'Unassigned [0xD05E]',
	0xD05F : 'Unassigned [0xD05F]',
	0xD060 : 'Unassigned [0xD060]',
	0xD061 : 'Unassigned [0xD061]',
	0xD062 : 'Unassigned [0xD062]',
	0xD063 : 'Unassigned [0xD063]',
	0xD064 : 'Unassigned [0xD064]',
	0xD065 : 'Unassigned [0xD065]',
	0xD066 : 'Unassigned [0xD066]',
	0xD067 : 'Unassigned [0xD067]',
	0xD068 : 'Unassigned [0xD068]',
	0xD069 : 'Unassigned [0xD069]',
	0xD06A : 'Unassigned [0xD06A]',
	0xD06B : 'Unassigned [0xD06B]',
	0xD06C : 'Unassigned [0xD06C]',
	0xD06D : 'Unassigned [0xD06D]',
	0xD06E : 'Unassigned [0xD06E]',
	0xD06F : 'Unassigned [0xD06F]',
	0xD070 : 'Unassigned [0xD070]',
	0xD071 : 'Unassigned [0xD071]',
	0xD072 : 'Unassigned [0xD072]',
	0xD073 : 'Unassigned [0xD073]',
	0xD074 : 'Unassigned [0xD074]',
	0xD075 : 'Unassigned [0xD075]',
	0xD076 : 'Unassigned [0xD076]',
	0xD077 : 'Unassigned [0xD077]',
	0xD078 : 'Unassigned [0xD078]',
	0xD079 : 'Unassigned [0xD079]',
	0xD07A : 'Unassigned [0xD07A]',
	0xD07B : 'Unassigned [0xD07B]',
	0xD07C : 'Unassigned [0xD07C]',
	0xD07D : 'Unassigned [0xD07D]',
	0xD07E : 'Unassigned [0xD07E]',
	0xD07F : 'Unassigned [0xD07F]',
	0xD080 : 'Unassigned [0xD080]',
	0xD081 : 'Unassigned [0xD081]',
	0xD082 : 'Unassigned [0xD082]',
	0xD083 : 'Unassigned [0xD083]',
	0xD084 : 'Unassigned [0xD084]',
	0xD085 : 'Unassigned [0xD085]',
	0xD086 : 'Unassigned [0xD086]',
	0xD087 : 'Unassigned [0xD087]',
	0xD088 : 'Unassigned [0xD088]',
	0xD089 : 'Unassigned [0xD089]',
	0xD08A : 'Unassigned [0xD08A]',
	0xD08B : 'Unassigned [0xD08B]',
	0xD08C : 'Unassigned [0xD08C]',
	0xD08D : 'Unassigned [0xD08D]',
	0xD08E : 'Unassigned [0xD08E]',
	0xD08F : 'Unassigned [0xD08F]',
	0xD090 : 'Unassigned [0xD090]',
	0xD091 : 'Unassigned [0xD091]',
	0xD092 : 'Unassigned [0xD092]',
	0xD093 : 'Unassigned [0xD093]',
	0xD094 : 'Unassigned [0xD094]',
	0xD095 : 'Unassigned [0xD095]',
	0xD096 : 'Unassigned [0xD096]',
	0xD097 : 'Unassigned [0xD097]',
	0xD098 : 'Unassigned [0xD098]',
	0xD099 : 'Unassigned [0xD099]',
	0xD09A : 'Unassigned [0xD09A]',
	0xD09B : 'Unassigned [0xD09B]',
	0xD09C : 'Unassigned [0xD09C]',
	0xD09D : 'Unassigned [0xD09D]',
	0xD09E : 'Unassigned [0xD09E]',
	0xD09F : 'Unassigned [0xD09F]',
	0xD0A0 : 'Unassigned [0xD0A0]',
	0xD0A1 : 'Unassigned [0xD0A1]',
	0xD0A2 : 'Unassigned [0xD0A2]',
	0xD0A3 : 'Unassigned [0xD0A3]',
	0xD0A4 : 'Unassigned [0xD0A4]',
	0xD0A5 : 'Unassigned [0xD0A5]',
	0xD0A6 : 'Unassigned [0xD0A6]',
	0xD0A7 : 'Unassigned [0xD0A7]',
	0xD0A8 : 'Unassigned [0xD0A8]',
	0xD0A9 : 'Unassigned [0xD0A9]',
	0xD0AA : 'Unassigned [0xD0AA]',
	0xD0AB : 'Unassigned [0xD0AB]',
	0xD0AC : 'Unassigned [0xD0AC]',
	0xD0AD : 'Unassigned [0xD0AD]',
	0xD0AE : 'Unassigned [0xD0AE]',
	0xD0AF : 'Unassigned [0xD0AF]',
	0xD0B0 : 'Unassigned [0xD0B0]',
	0xD0B1 : 'Unassigned [0xD0B1]',
	0xD0B2 : 'Unassigned [0xD0B2]',
	0xD0B3 : 'Unassigned [0xD0B3]',
	0xD0B4 : 'Unassigned [0xD0B4]',
	0xD0B5 : 'Unassigned [0xD0B5]',
	0xD0B6 : 'Unassigned [0xD0B6]',
	0xD0B7 : 'Unassigned [0xD0B7]',
	0xD0B8 : 'Unassigned [0xD0B8]',
	0xD0B9 : 'Unassigned [0xD0B9]',
	0xD0BA : 'Unassigned [0xD0BA]',
	0xD0BB : 'Unassigned [0xD0BB]',
	0xD0BC : 'Unassigned [0xD0BC]',
	0xD0BD : 'Unassigned [0xD0BD]',
	0xD0BE : 'Unassigned [0xD0BE]',
	0xD0BF : 'Unassigned [0xD0BF]',
	0xD0C0 : 'Unassigned [0xD0C0]',
	0xD0C1 : 'Unassigned [0xD0C1]',
	0xD0C2 : 'Unassigned [0xD0C2]',
	0xD0C3 : 'Unassigned [0xD0C3]',
	0xD0C4 : 'Unassigned [0xD0C4]',
	0xD0C5 : 'Unassigned [0xD0C5]',
	0xD0C6 : 'Unassigned [0xD0C6]',
	0xD0C7 : 'Unassigned [0xD0C7]',
	0xD0C8 : 'Unassigned [0xD0C8]',
	0xD0C9 : 'Unassigned [0xD0C9]',
	0xD0CA : 'Unassigned [0xD0CA]',
	0xD0CB : 'Unassigned [0xD0CB]',
	0xD0CC : 'Unassigned [0xD0CC]',
	0xD0CD : 'Unassigned [0xD0CD]',
	0xD0CE : 'Unassigned [0xD0CE]',
	0xD0CF : 'Unassigned [0xD0CF]',
	0xD0D0 : 'Unassigned [0xD0D0]',
	0xD0D1 : 'Unassigned [0xD0D1]',
	0xD0D2 : 'Unassigned [0xD0D2]',
	0xD0D3 : 'Unassigned [0xD0D3]',
	0xD0D4 : 'Unassigned [0xD0D4]',
	0xD0D5 : 'Unassigned [0xD0D5]',
	0xD0D6 : 'Unassigned [0xD0D6]',
	0xD0D7 : 'Unassigned [0xD0D7]',
	0xD0D8 : 'Unassigned [0xD0D8]',
	0xD0D9 : 'Unassigned [0xD0D9]',
	0xD0DA : 'Unassigned [0xD0DA]',
	0xD0DB : 'Unassigned [0xD0DB]',
	0xD0DC : 'Unassigned [0xD0DC]',
	0xD0DD : 'Unassigned [0xD0DD]',
	0xD0DE : 'Unassigned [0xD0DE]',
	0xD0DF : 'Unassigned [0xD0DF]',
	0xD0E0 : 'Unassigned [0xD0E0]',
	0xD0E1 : 'Unassigned [0xD0E1]',
	0xD0E2 : 'Unassigned [0xD0E2]',
	0xD0E3 : 'Unassigned [0xD0E3]',
	0xD0E4 : 'Unassigned [0xD0E4]',
	0xD0E5 : 'Unassigned [0xD0E5]',
	0xD0E6 : 'Unassigned [0xD0E6]',
	0xD0E7 : 'Unassigned [0xD0E7]',
	0xD0E8 : 'Unassigned [0xD0E8]',
	0xD0E9 : 'Unassigned [0xD0E9]',
	0xD0EA : 'Unassigned [0xD0EA]',
	0xD0EB : 'Unassigned [0xD0EB]',
	0xD0EC : 'Unassigned [0xD0EC]',
	0xD0ED : 'Unassigned [0xD0ED]',
	0xD0EE : 'Unassigned [0xD0EE]',
	0xD0EF : 'Unassigned [0xD0EF]',
	0xD0F0 : 'Unassigned [0xD0F0]',
	0xD0F1 : 'Unassigned [0xD0F1]',
	0xD0F2 : 'Unassigned [0xD0F2]',
	0xD0F3 : 'Unassigned [0xD0F3]',
	0xD0F4 : 'Unassigned [0xD0F4]',
	0xD0F5 : 'Unassigned [0xD0F5]',
	0xD0F6 : 'Unassigned [0xD0F6]',
	0xD0F7 : 'Unassigned [0xD0F7]',
	0xD0F8 : 'Unassigned [0xD0F8]',
	0xD0F9 : 'Unassigned [0xD0F9]',
	0xD0FA : 'Unassigned [0xD0FA]',
	0xD0FB : 'Unassigned [0xD0FB]',
	0xD0FC : 'Unassigned [0xD0FC]',
	0xD0FD : 'Unassigned [0xD0FD]',
	0xD0FE : 'Unassigned [0xD0FE]',
	0xD0FF : 'Unassigned [0xD0FF]',
	0xD100 : 'Unassigned [0xD100]',
	0xD101 : 'Unassigned [0xD101]',
	0xD102 : 'Unassigned [0xD102]',
	0xD103 : 'Unassigned [0xD103]',
	0xD104 : 'Unassigned [0xD104]',
	0xD105 : 'Unassigned [0xD105]',
	0xD106 : 'Unassigned [0xD106]',
	0xD107 : 'Unassigned [0xD107]',
	0xD108 : 'Unassigned [0xD108]',
	0xD109 : 'Unassigned [0xD109]',
	0xD10A : 'Unassigned [0xD10A]',
	0xD10B : 'Unassigned [0xD10B]',
	0xD10C : 'Unassigned [0xD10C]',
	0xD10D : 'Unassigned [0xD10D]',
	0xD10E : 'Unassigned [0xD10E]',
	0xD10F : 'Unassigned [0xD10F]',
	0xD110 : 'Unassigned [0xD110]',
	0xD111 : 'Unassigned [0xD111]',
	0xD112 : 'Unassigned [0xD112]',
	0xD113 : 'Unassigned [0xD113]',
	0xD114 : 'Unassigned [0xD114]',
	0xD115 : 'Unassigned [0xD115]',
	0xD116 : 'Unassigned [0xD116]',
	0xD117 : 'Unassigned [0xD117]',
	0xD118 : 'Unassigned [0xD118]',
	0xD119 : 'Unassigned [0xD119]',
	0xD11A : 'Unassigned [0xD11A]',
	0xD11B : 'Unassigned [0xD11B]',
	0xD11C : 'Unassigned [0xD11C]',
	0xD11D : 'Unassigned [0xD11D]',
	0xD11E : 'Unassigned [0xD11E]',
	0xD11F : 'Unassigned [0xD11F]',
	0xD120 : 'Unassigned [0xD120]',
	0xD121 : 'Unassigned [0xD121]',
	0xD122 : 'Unassigned [0xD122]',
	0xD123 : 'Unassigned [0xD123]',
	0xD124 : 'Unassigned [0xD124]',
	0xD125 : 'Unassigned [0xD125]',
	0xD126 : 'Unassigned [0xD126]',
	0xD127 : 'Unassigned [0xD127]',
	0xD128 : 'Unassigned [0xD128]',
	0xD129 : 'Unassigned [0xD129]',
	0xD12A : 'Unassigned [0xD12A]',
	0xD12B : 'Unassigned [0xD12B]',
	0xD12C : 'Unassigned [0xD12C]',
	0xD12D : 'Unassigned [0xD12D]',
	0xD12E : 'Unassigned [0xD12E]',
	0xD12F : 'Unassigned [0xD12F]',
	0xD130 : 'Unassigned [0xD130]',
	0xD131 : 'Unassigned [0xD131]',
	0xD132 : 'Unassigned [0xD132]',
	0xD133 : 'Unassigned [0xD133]',
	0xD134 : 'Unassigned [0xD134]',
	0xD135 : 'Unassigned [0xD135]',
	0xD136 : 'Unassigned [0xD136]',
	0xD137 : 'Unassigned [0xD137]',
	0xD138 : 'Unassigned [0xD138]',
	0xD139 : 'Unassigned [0xD139]',
	0xD13A : 'Unassigned [0xD13A]',
	0xD13B : 'Unassigned [0xD13B]',
	0xD13C : 'Unassigned [0xD13C]',
	0xD13D : 'Unassigned [0xD13D]',
	0xD13E : 'Unassigned [0xD13E]',
	0xD13F : 'Unassigned [0xD13F]',
	0xD140 : 'Unassigned [0xD140]',
	0xD141 : 'Unassigned [0xD141]',
	0xD142 : 'Unassigned [0xD142]',
	0xD143 : 'Unassigned [0xD143]',
	0xD144 : 'Unassigned [0xD144]',
	0xD145 : 'Unassigned [0xD145]',
	0xD146 : 'Unassigned [0xD146]',
	0xD147 : 'Unassigned [0xD147]',
	0xD148 : 'Unassigned [0xD148]',
	0xD149 : 'Unassigned [0xD149]',
	0xD14A : 'Unassigned [0xD14A]',
	0xD14B : 'Unassigned [0xD14B]',
	0xD14C : 'Unassigned [0xD14C]',
	0xD14D : 'Unassigned [0xD14D]',
	0xD14E : 'Unassigned [0xD14E]',
	0xD14F : 'Unassigned [0xD14F]',
	0xD150 : 'Unassigned [0xD150]',
	0xD151 : 'Unassigned [0xD151]',
	0xD152 : 'Unassigned [0xD152]',
	0xD153 : 'Unassigned [0xD153]',
	0xD154 : 'Unassigned [0xD154]',
	0xD155 : 'Unassigned [0xD155]',
	0xD156 : 'Unassigned [0xD156]',
	0xD157 : 'Unassigned [0xD157]',
	0xD158 : 'Unassigned [0xD158]',
	0xD159 : 'Unassigned [0xD159]',
	0xD15A : 'Unassigned [0xD15A]',
	0xD15B : 'Unassigned [0xD15B]',
	0xD15C : 'Unassigned [0xD15C]',
	0xD15D : 'Unassigned [0xD15D]',
	0xD15E : 'Unassigned [0xD15E]',
	0xD15F : 'Unassigned [0xD15F]',
	0xD160 : 'Unassigned [0xD160]',
	0xD161 : 'Unassigned [0xD161]',
	0xD162 : 'Unassigned [0xD162]',
	0xD163 : 'Unassigned [0xD163]',
	0xD164 : 'Unassigned [0xD164]',
	0xD165 : 'Unassigned [0xD165]',
	0xD166 : 'Unassigned [0xD166]',
	0xD167 : 'Unassigned [0xD167]',
	0xD168 : 'Unassigned [0xD168]',
	0xD169 : 'Unassigned [0xD169]',
	0xD16A : 'Unassigned [0xD16A]',
	0xD16B : 'Unassigned [0xD16B]',
	0xD16C : 'Unassigned [0xD16C]',
	0xD16D : 'Unassigned [0xD16D]',
	0xD16E : 'Unassigned [0xD16E]',
	0xD16F : 'Unassigned [0xD16F]',
	0xD170 : 'Unassigned [0xD170]',
	0xD171 : 'Unassigned [0xD171]',
	0xD172 : 'Unassigned [0xD172]',
	0xD173 : 'Unassigned [0xD173]',
	0xD174 : 'Unassigned [0xD174]',
	0xD175 : 'Unassigned [0xD175]',
	0xD176 : 'Unassigned [0xD176]',
	0xD177 : 'Unassigned [0xD177]',
	0xD178 : 'Unassigned [0xD178]',
	0xD179 : 'Unassigned [0xD179]',
	0xD17A : 'Unassigned [0xD17A]',
	0xD17B : 'Unassigned [0xD17B]',
	0xD17C : 'Unassigned [0xD17C]',
	0xD17D : 'Unassigned [0xD17D]',
	0xD17E : 'Unassigned [0xD17E]',
	0xD17F : 'Unassigned [0xD17F]',
	0xD180 : 'Unassigned [0xD180]',
	0xD181 : 'Unassigned [0xD181]',
	0xD182 : 'Unassigned [0xD182]',
	0xD183 : 'Unassigned [0xD183]',
	0xD184 : 'Unassigned [0xD184]',
	0xD185 : 'Unassigned [0xD185]',
	0xD186 : 'Unassigned [0xD186]',
	0xD187 : 'Unassigned [0xD187]',
	0xD188 : 'Unassigned [0xD188]',
	0xD189 : 'Unassigned [0xD189]',
	0xD18A : 'Unassigned [0xD18A]',
	0xD18B : 'Unassigned [0xD18B]',
	0xD18C : 'Unassigned [0xD18C]',
	0xD18D : 'Unassigned [0xD18D]',
	0xD18E : 'Unassigned [0xD18E]',
	0xD18F : 'Unassigned [0xD18F]',
	0xD190 : 'Unassigned [0xD190]',
	0xD191 : 'Unassigned [0xD191]',
	0xD192 : 'Unassigned [0xD192]',
	0xD193 : 'Unassigned [0xD193]',
	0xD194 : 'Unassigned [0xD194]',
	0xD195 : 'Unassigned [0xD195]',
	0xD196 : 'Unassigned [0xD196]',
	0xD197 : 'Unassigned [0xD197]',
	0xD198 : 'Unassigned [0xD198]',
	0xD199 : 'Unassigned [0xD199]',
	0xD19A : 'Unassigned [0xD19A]',
	0xD19B : 'Unassigned [0xD19B]',
	0xD19C : 'Unassigned [0xD19C]',
	0xD19D : 'Unassigned [0xD19D]',
	0xD19E : 'Unassigned [0xD19E]',
	0xD19F : 'Unassigned [0xD19F]',
	0xD1A0 : 'Unassigned [0xD1A0]',
	0xD1A1 : 'Unassigned [0xD1A1]',
	0xD1A2 : 'Unassigned [0xD1A2]',
	0xD1A3 : 'Unassigned [0xD1A3]',
	0xD1A4 : 'Unassigned [0xD1A4]',
	0xD1A5 : 'Unassigned [0xD1A5]',
	0xD1A6 : 'Unassigned [0xD1A6]',
	0xD1A7 : 'Unassigned [0xD1A7]',
	0xD1A8 : 'Unassigned [0xD1A8]',
	0xD1A9 : 'Unassigned [0xD1A9]',
	0xD1AA : 'Unassigned [0xD1AA]',
	0xD1AB : 'Unassigned [0xD1AB]',
	0xD1AC : 'Unassigned [0xD1AC]',
	0xD1AD : 'Unassigned [0xD1AD]',
	0xD1AE : 'Unassigned [0xD1AE]',
	0xD1AF : 'Unassigned [0xD1AF]',
	0xD1B0 : 'Unassigned [0xD1B0]',
	0xD1B1 : 'Unassigned [0xD1B1]',
	0xD1B2 : 'Unassigned [0xD1B2]',
	0xD1B3 : 'Unassigned [0xD1B3]',
	0xD1B4 : 'Unassigned [0xD1B4]',
	0xD1B5 : 'Unassigned [0xD1B5]',
	0xD1B6 : 'Unassigned [0xD1B6]',
	0xD1B7 : 'Unassigned [0xD1B7]',
	0xD1B8 : 'Unassigned [0xD1B8]',
	0xD1B9 : 'Unassigned [0xD1B9]',
	0xD1BA : 'Unassigned [0xD1BA]',
	0xD1BB : 'Unassigned [0xD1BB]',
	0xD1BC : 'Unassigned [0xD1BC]',
	0xD1BD : 'Unassigned [0xD1BD]',
	0xD1BE : 'Unassigned [0xD1BE]',
	0xD1BF : 'Unassigned [0xD1BF]',
	0xD1C0 : 'Unassigned [0xD1C0]',
	0xD1C1 : 'Unassigned [0xD1C1]',
	0xD1C2 : 'Unassigned [0xD1C2]',
	0xD1C3 : 'Unassigned [0xD1C3]',
	0xD1C4 : 'Unassigned [0xD1C4]',
	0xD1C5 : 'Unassigned [0xD1C5]',
	0xD1C6 : 'Unassigned [0xD1C6]',
	0xD1C7 : 'Unassigned [0xD1C7]',
	0xD1C8 : 'Unassigned [0xD1C8]',
	0xD1C9 : 'Unassigned [0xD1C9]',
	0xD1CA : 'Unassigned [0xD1CA]',
	0xD1CB : 'Unassigned [0xD1CB]',
	0xD1CC : 'Unassigned [0xD1CC]',
	0xD1CD : 'Unassigned [0xD1CD]',
	0xD1CE : 'Unassigned [0xD1CE]',
	0xD1CF : 'Unassigned [0xD1CF]',
	0xD1D0 : 'Unassigned [0xD1D0]',
	0xD1D1 : 'Unassigned [0xD1D1]',
	0xD1D2 : 'Unassigned [0xD1D2]',
	0xD1D3 : 'Unassigned [0xD1D3]',
	0xD1D4 : 'Unassigned [0xD1D4]',
	0xD1D5 : 'Unassigned [0xD1D5]',
	0xD1D6 : 'Unassigned [0xD1D6]',
	0xD1D7 : 'Unassigned [0xD1D7]',
	0xD1D8 : 'Unassigned [0xD1D8]',
	0xD1D9 : 'Unassigned [0xD1D9]',
	0xD1DA : 'Unassigned [0xD1DA]',
	0xD1DB : 'Unassigned [0xD1DB]',
	0xD1DC : 'Unassigned [0xD1DC]',
	0xD1DD : 'Unassigned [0xD1DD]',
	0xD1DE : 'Unassigned [0xD1DE]',
	0xD1DF : 'Unassigned [0xD1DF]',
	0xD1E0 : 'Unassigned [0xD1E0]',
	0xD1E1 : 'Unassigned [0xD1E1]',
	0xD1E2 : 'Unassigned [0xD1E2]',
	0xD1E3 : 'Unassigned [0xD1E3]',
	0xD1E4 : 'Unassigned [0xD1E4]',
	0xD1E5 : 'Unassigned [0xD1E5]',
	0xD1E6 : 'Unassigned [0xD1E6]',
	0xD1E7 : 'Unassigned [0xD1E7]',
	0xD1E8 : 'Unassigned [0xD1E8]',
	0xD1E9 : 'Unassigned [0xD1E9]',
	0xD1EA : 'Unassigned [0xD1EA]',
	0xD1EB : 'Unassigned [0xD1EB]',
	0xD1EC : 'Unassigned [0xD1EC]',
	0xD1ED : 'Unassigned [0xD1ED]',
	0xD1EE : 'Unassigned [0xD1EE]',
	0xD1EF : 'Unassigned [0xD1EF]',
	0xD1F0 : 'Unassigned [0xD1F0]',
	0xD1F1 : 'Unassigned [0xD1F1]',
	0xD1F2 : 'Unassigned [0xD1F2]',
	0xD1F3 : 'Unassigned [0xD1F3]',
	0xD1F4 : 'Unassigned [0xD1F4]',
	0xD1F5 : 'Unassigned [0xD1F5]',
	0xD1F6 : 'Unassigned [0xD1F6]',
	0xD1F7 : 'Unassigned [0xD1F7]',
	0xD1F8 : 'Unassigned [0xD1F8]',
	0xD1F9 : 'Unassigned [0xD1F9]',
	0xD1FA : 'Unassigned [0xD1FA]',
	0xD1FB : 'Unassigned [0xD1FB]',
	0xD1FC : 'Unassigned [0xD1FC]',
	0xD1FD : 'Unassigned [0xD1FD]',
	0xD1FE : 'Unassigned [0xD1FE]',
	0xD1FF : 'Unassigned [0xD1FF]',
	0xD200 : 'Unassigned [0xD200]',
	0xD201 : 'Unassigned [0xD201]',
	0xD202 : 'Unassigned [0xD202]',
	0xD203 : 'Unassigned [0xD203]',
	0xD204 : 'Unassigned [0xD204]',
	0xD205 : 'Unassigned [0xD205]',
	0xD206 : 'Unassigned [0xD206]',
	0xD207 : 'Unassigned [0xD207]',
	0xD208 : 'Unassigned [0xD208]',
	0xD209 : 'Unassigned [0xD209]',
	0xD20A : 'Unassigned [0xD20A]',
	0xD20B : 'Unassigned [0xD20B]',
	0xD20C : 'Unassigned [0xD20C]',
	0xD20D : 'Unassigned [0xD20D]',
	0xD20E : 'Unassigned [0xD20E]',
	0xD20F : 'Unassigned [0xD20F]',
	0xD210 : 'Unassigned [0xD210]',
	0xD211 : 'Unassigned [0xD211]',
	0xD212 : 'Unassigned [0xD212]',
	0xD213 : 'Unassigned [0xD213]',
	0xD214 : 'Unassigned [0xD214]',
	0xD215 : 'Unassigned [0xD215]',
	0xD216 : 'Unassigned [0xD216]',
	0xD217 : 'Unassigned [0xD217]',
	0xD218 : 'Unassigned [0xD218]',
	0xD219 : 'Unassigned [0xD219]',
	0xD21A : 'Unassigned [0xD21A]',
	0xD21B : 'Unassigned [0xD21B]',
	0xD21C : 'Unassigned [0xD21C]',
	0xD21D : 'Unassigned [0xD21D]',
	0xD21E : 'Unassigned [0xD21E]',
	0xD21F : 'Unassigned [0xD21F]',
	0xD220 : 'Unassigned [0xD220]',
	0xD221 : 'Unassigned [0xD221]',
	0xD222 : 'Unassigned [0xD222]',
	0xD223 : 'Unassigned [0xD223]',
	0xD224 : 'Unassigned [0xD224]',
	0xD225 : 'Unassigned [0xD225]',
	0xD226 : 'Unassigned [0xD226]',
	0xD227 : 'Unassigned [0xD227]',
	0xD228 : 'Unassigned [0xD228]',
	0xD229 : 'Unassigned [0xD229]',
	0xD22A : 'Unassigned [0xD22A]',
	0xD22B : 'Unassigned [0xD22B]',
	0xD22C : 'Unassigned [0xD22C]',
	0xD22D : 'Unassigned [0xD22D]',
	0xD22E : 'Unassigned [0xD22E]',
	0xD22F : 'Unassigned [0xD22F]',
	0xD230 : 'Unassigned [0xD230]',
	0xD231 : 'Unassigned [0xD231]',
	0xD232 : 'Unassigned [0xD232]',
	0xD233 : 'Unassigned [0xD233]',
	0xD234 : 'Unassigned [0xD234]',
	0xD235 : 'Unassigned [0xD235]',
	0xD236 : 'Unassigned [0xD236]',
	0xD237 : 'Unassigned [0xD237]',
	0xD238 : 'Unassigned [0xD238]',
	0xD239 : 'Unassigned [0xD239]',
	0xD23A : 'Unassigned [0xD23A]',
	0xD23B : 'Unassigned [0xD23B]',
	0xD23C : 'Unassigned [0xD23C]',
	0xD23D : 'Unassigned [0xD23D]',
	0xD23E : 'Unassigned [0xD23E]',
	0xD23F : 'Unassigned [0xD23F]',
	0xD240 : 'Unassigned [0xD240]',
	0xD241 : 'Unassigned [0xD241]',
	0xD242 : 'Unassigned [0xD242]',
	0xD243 : 'Unassigned [0xD243]',
	0xD244 : 'Unassigned [0xD244]',
	0xD245 : 'Unassigned [0xD245]',
	0xD246 : 'Unassigned [0xD246]',
	0xD247 : 'Unassigned [0xD247]',
	0xD248 : 'Unassigned [0xD248]',
	0xD249 : 'Unassigned [0xD249]',
	0xD24A : 'Unassigned [0xD24A]',
	0xD24B : 'Unassigned [0xD24B]',
	0xD24C : 'Unassigned [0xD24C]',
	0xD24D : 'Unassigned [0xD24D]',
	0xD24E : 'Unassigned [0xD24E]',
	0xD24F : 'Unassigned [0xD24F]',
	0xD250 : 'Unassigned [0xD250]',
	0xD251 : 'Unassigned [0xD251]',
	0xD252 : 'Unassigned [0xD252]',
	0xD253 : 'Unassigned [0xD253]',
	0xD254 : 'Unassigned [0xD254]',
	0xD255 : 'Unassigned [0xD255]',
	0xD256 : 'Unassigned [0xD256]',
	0xD257 : 'Unassigned [0xD257]',
	0xD258 : 'Unassigned [0xD258]',
	0xD259 : 'Unassigned [0xD259]',
	0xD25A : 'Unassigned [0xD25A]',
	0xD25B : 'Unassigned [0xD25B]',
	0xD25C : 'Unassigned [0xD25C]',
	0xD25D : 'Unassigned [0xD25D]',
	0xD25E : 'Unassigned [0xD25E]',
	0xD25F : 'Unassigned [0xD25F]',
	0xD260 : 'Unassigned [0xD260]',
	0xD261 : 'Unassigned [0xD261]',
	0xD262 : 'Unassigned [0xD262]',
	0xD263 : 'Unassigned [0xD263]',
	0xD264 : 'Unassigned [0xD264]',
	0xD265 : 'Unassigned [0xD265]',
	0xD266 : 'Unassigned [0xD266]',
	0xD267 : 'Unassigned [0xD267]',
	0xD268 : 'Unassigned [0xD268]',
	0xD269 : 'Unassigned [0xD269]',
	0xD26A : 'Unassigned [0xD26A]',
	0xD26B : 'Unassigned [0xD26B]',
	0xD26C : 'Unassigned [0xD26C]',
	0xD26D : 'Unassigned [0xD26D]',
	0xD26E : 'Unassigned [0xD26E]',
	0xD26F : 'Unassigned [0xD26F]',
	0xD270 : 'Unassigned [0xD270]',
	0xD271 : 'Unassigned [0xD271]',
	0xD272 : 'Unassigned [0xD272]',
	0xD273 : 'Unassigned [0xD273]',
	0xD274 : 'Unassigned [0xD274]',
	0xD275 : 'Unassigned [0xD275]',
	0xD276 : 'Unassigned [0xD276]',
	0xD277 : 'Unassigned [0xD277]',
	0xD278 : 'Unassigned [0xD278]',
	0xD279 : 'Unassigned [0xD279]',
	0xD27A : 'Unassigned [0xD27A]',
	0xD27B : 'Unassigned [0xD27B]',
	0xD27C : 'Unassigned [0xD27C]',
	0xD27D : 'Unassigned [0xD27D]',
	0xD27E : 'Unassigned [0xD27E]',
	0xD27F : 'Unassigned [0xD27F]',
	0xD280 : 'Unassigned [0xD280]',
	0xD281 : 'Unassigned [0xD281]',
	0xD282 : 'Unassigned [0xD282]',
	0xD283 : 'Unassigned [0xD283]',
	0xD284 : 'Unassigned [0xD284]',
	0xD285 : 'Unassigned [0xD285]',
	0xD286 : 'Unassigned [0xD286]',
	0xD287 : 'Unassigned [0xD287]',
	0xD288 : 'Unassigned [0xD288]',
	0xD289 : 'Unassigned [0xD289]',
	0xD28A : 'Unassigned [0xD28A]',
	0xD28B : 'Unassigned [0xD28B]',
	0xD28C : 'Unassigned [0xD28C]',
	0xD28D : 'Unassigned [0xD28D]',
	0xD28E : 'Unassigned [0xD28E]',
	0xD28F : 'Unassigned [0xD28F]',
	0xD290 : 'Unassigned [0xD290]',
	0xD291 : 'Unassigned [0xD291]',
	0xD292 : 'Unassigned [0xD292]',
	0xD293 : 'Unassigned [0xD293]',
	0xD294 : 'Unassigned [0xD294]',
	0xD295 : 'Unassigned [0xD295]',
	0xD296 : 'Unassigned [0xD296]',
	0xD297 : 'Unassigned [0xD297]',
	0xD298 : 'Unassigned [0xD298]',
	0xD299 : 'Unassigned [0xD299]',
	0xD29A : 'Unassigned [0xD29A]',
	0xD29B : 'Unassigned [0xD29B]',
	0xD29C : 'Unassigned [0xD29C]',
	0xD29D : 'Unassigned [0xD29D]',
	0xD29E : 'Unassigned [0xD29E]',
	0xD29F : 'Unassigned [0xD29F]',
	0xD2A0 : 'Unassigned [0xD2A0]',
	0xD2A1 : 'Unassigned [0xD2A1]',
	0xD2A2 : 'Unassigned [0xD2A2]',
	0xD2A3 : 'Unassigned [0xD2A3]',
	0xD2A4 : 'Unassigned [0xD2A4]',
	0xD2A5 : 'Unassigned [0xD2A5]',
	0xD2A6 : 'Unassigned [0xD2A6]',
	0xD2A7 : 'Unassigned [0xD2A7]',
	0xD2A8 : 'Unassigned [0xD2A8]',
	0xD2A9 : 'Unassigned [0xD2A9]',
	0xD2AA : 'Unassigned [0xD2AA]',
	0xD2AB : 'Unassigned [0xD2AB]',
	0xD2AC : 'Unassigned [0xD2AC]',
	0xD2AD : 'Unassigned [0xD2AD]',
	0xD2AE : 'Unassigned [0xD2AE]',
	0xD2AF : 'Unassigned [0xD2AF]',
	0xD2B0 : 'Unassigned [0xD2B0]',
	0xD2B1 : 'Unassigned [0xD2B1]',
	0xD2B2 : 'Unassigned [0xD2B2]',
	0xD2B3 : 'Unassigned [0xD2B3]',
	0xD2B4 : 'Unassigned [0xD2B4]',
	0xD2B5 : 'Unassigned [0xD2B5]',
	0xD2B6 : 'Unassigned [0xD2B6]',
	0xD2B7 : 'Unassigned [0xD2B7]',
	0xD2B8 : 'Unassigned [0xD2B8]',
	0xD2B9 : 'Unassigned [0xD2B9]',
	0xD2BA : 'Unassigned [0xD2BA]',
	0xD2BB : 'Unassigned [0xD2BB]',
	0xD2BC : 'Unassigned [0xD2BC]',
	0xD2BD : 'Unassigned [0xD2BD]',
	0xD2BE : 'Unassigned [0xD2BE]',
	0xD2BF : 'Unassigned [0xD2BF]',
	0xD2C0 : 'Unassigned [0xD2C0]',
	0xD2C1 : 'Unassigned [0xD2C1]',
	0xD2C2 : 'Unassigned [0xD2C2]',
	0xD2C3 : 'Unassigned [0xD2C3]',
	0xD2C4 : 'Unassigned [0xD2C4]',
	0xD2C5 : 'Unassigned [0xD2C5]',
	0xD2C6 : 'Unassigned [0xD2C6]',
	0xD2C7 : 'Unassigned [0xD2C7]',
	0xD2C8 : 'Unassigned [0xD2C8]',
	0xD2C9 : 'Unassigned [0xD2C9]',
	0xD2CA : 'Unassigned [0xD2CA]',
	0xD2CB : 'Unassigned [0xD2CB]',
	0xD2CC : 'Unassigned [0xD2CC]',
	0xD2CD : 'Unassigned [0xD2CD]',
	0xD2CE : 'Unassigned [0xD2CE]',
	0xD2CF : 'Unassigned [0xD2CF]',
	0xD2D0 : 'Unassigned [0xD2D0]',
	0xD2D1 : 'Unassigned [0xD2D1]',
	0xD2D2 : 'Unassigned [0xD2D2]',
	0xD2D3 : 'Unassigned [0xD2D3]',
	0xD2D4 : 'Unassigned [0xD2D4]',
	0xD2D5 : 'Unassigned [0xD2D5]',
	0xD2D6 : 'Unassigned [0xD2D6]',
	0xD2D7 : 'Unassigned [0xD2D7]',
	0xD2D8 : 'Unassigned [0xD2D8]',
	0xD2D9 : 'Unassigned [0xD2D9]',
	0xD2DA : 'Unassigned [0xD2DA]',
	0xD2DB : 'Unassigned [0xD2DB]',
	0xD2DC : 'Unassigned [0xD2DC]',
	0xD2DD : 'Unassigned [0xD2DD]',
	0xD2DE : 'Unassigned [0xD2DE]',
	0xD2DF : 'Unassigned [0xD2DF]',
	0xD2E0 : 'Unassigned [0xD2E0]',
	0xD2E1 : 'Unassigned [0xD2E1]',
	0xD2E2 : 'Unassigned [0xD2E2]',
	0xD2E3 : 'Unassigned [0xD2E3]',
	0xD2E4 : 'Unassigned [0xD2E4]',
	0xD2E5 : 'Unassigned [0xD2E5]',
	0xD2E6 : 'Unassigned [0xD2E6]',
	0xD2E7 : 'Unassigned [0xD2E7]',
	0xD2E8 : 'Unassigned [0xD2E8]',
	0xD2E9 : 'Unassigned [0xD2E9]',
	0xD2EA : 'Unassigned [0xD2EA]',
	0xD2EB : 'Unassigned [0xD2EB]',
	0xD2EC : 'Unassigned [0xD2EC]',
	0xD2ED : 'Unassigned [0xD2ED]',
	0xD2EE : 'Unassigned [0xD2EE]',
	0xD2EF : 'Unassigned [0xD2EF]',
	0xD2F0 : 'Unassigned [0xD2F0]',
	0xD2F1 : 'Unassigned [0xD2F1]',
	0xD2F2 : 'Unassigned [0xD2F2]',
	0xD2F3 : 'Unassigned [0xD2F3]',
	0xD2F4 : 'Unassigned [0xD2F4]',
	0xD2F5 : 'Unassigned [0xD2F5]',
	0xD2F6 : 'Unassigned [0xD2F6]',
	0xD2F7 : 'Unassigned [0xD2F7]',
	0xD2F8 : 'Unassigned [0xD2F8]',
	0xD2F9 : 'Unassigned [0xD2F9]',
	0xD2FA : 'Unassigned [0xD2FA]',
	0xD2FB : 'Unassigned [0xD2FB]',
	0xD2FC : 'Unassigned [0xD2FC]',
	0xD2FD : 'Unassigned [0xD2FD]',
	0xD2FE : 'Unassigned [0xD2FE]',
	0xD2FF : 'Unassigned [0xD2FF]',
	0xD300 : 'Unassigned [0xD300]',
	0xD301 : 'Unassigned [0xD301]',
	0xD302 : 'Unassigned [0xD302]',
	0xD303 : 'Unassigned [0xD303]',
	0xD304 : 'Unassigned [0xD304]',
	0xD305 : 'Unassigned [0xD305]',
	0xD306 : 'Unassigned [0xD306]',
	0xD307 : 'Unassigned [0xD307]',
	0xD308 : 'Unassigned [0xD308]',
	0xD309 : 'Unassigned [0xD309]',
	0xD30A : 'Unassigned [0xD30A]',
	0xD30B : 'Unassigned [0xD30B]',
	0xD30C : 'Unassigned [0xD30C]',
	0xD30D : 'Unassigned [0xD30D]',
	0xD30E : 'Unassigned [0xD30E]',
	0xD30F : 'Unassigned [0xD30F]',
	0xD310 : 'Unassigned [0xD310]',
	0xD311 : 'Unassigned [0xD311]',
	0xD312 : 'Unassigned [0xD312]',
	0xD313 : 'Unassigned [0xD313]',
	0xD314 : 'Unassigned [0xD314]',
	0xD315 : 'Unassigned [0xD315]',
	0xD316 : 'Unassigned [0xD316]',
	0xD317 : 'Unassigned [0xD317]',
	0xD318 : 'Unassigned [0xD318]',
	0xD319 : 'Unassigned [0xD319]',
	0xD31A : 'Unassigned [0xD31A]',
	0xD31B : 'Unassigned [0xD31B]',
	0xD31C : 'Unassigned [0xD31C]',
	0xD31D : 'Unassigned [0xD31D]',
	0xD31E : 'Unassigned [0xD31E]',
	0xD31F : 'Unassigned [0xD31F]',
	0xD320 : 'Unassigned [0xD320]',
	0xD321 : 'Unassigned [0xD321]',
	0xD322 : 'Unassigned [0xD322]',
	0xD323 : 'Unassigned [0xD323]',
	0xD324 : 'Unassigned [0xD324]',
	0xD325 : 'Unassigned [0xD325]',
	0xD326 : 'Unassigned [0xD326]',
	0xD327 : 'Unassigned [0xD327]',
	0xD328 : 'Unassigned [0xD328]',
	0xD329 : 'Unassigned [0xD329]',
	0xD32A : 'Unassigned [0xD32A]',
	0xD32B : 'Unassigned [0xD32B]',
	0xD32C : 'Unassigned [0xD32C]',
	0xD32D : 'Unassigned [0xD32D]',
	0xD32E : 'Unassigned [0xD32E]',
	0xD32F : 'Unassigned [0xD32F]',
	0xD330 : 'Unassigned [0xD330]',
	0xD331 : 'Unassigned [0xD331]',
	0xD332 : 'Unassigned [0xD332]',
	0xD333 : 'Unassigned [0xD333]',
	0xD334 : 'Unassigned [0xD334]',
	0xD335 : 'Unassigned [0xD335]',
	0xD336 : 'Unassigned [0xD336]',
	0xD337 : 'Unassigned [0xD337]',
	0xD338 : 'Unassigned [0xD338]',
	0xD339 : 'Unassigned [0xD339]',
	0xD33A : 'Unassigned [0xD33A]',
	0xD33B : 'Unassigned [0xD33B]',
	0xD33C : 'Unassigned [0xD33C]',
	0xD33D : 'Unassigned [0xD33D]',
	0xD33E : 'Unassigned [0xD33E]',
	0xD33F : 'Unassigned [0xD33F]',
	0xD340 : 'Unassigned [0xD340]',
	0xD341 : 'Unassigned [0xD341]',
	0xD342 : 'Unassigned [0xD342]',
	0xD343 : 'Unassigned [0xD343]',
	0xD344 : 'Unassigned [0xD344]',
	0xD345 : 'Unassigned [0xD345]',
	0xD346 : 'Unassigned [0xD346]',
	0xD347 : 'Unassigned [0xD347]',
	0xD348 : 'Unassigned [0xD348]',
	0xD349 : 'Unassigned [0xD349]',
	0xD34A : 'Unassigned [0xD34A]',
	0xD34B : 'Unassigned [0xD34B]',
	0xD34C : 'Unassigned [0xD34C]',
	0xD34D : 'Unassigned [0xD34D]',
	0xD34E : 'Unassigned [0xD34E]',
	0xD34F : 'Unassigned [0xD34F]',
	0xD350 : 'Unassigned [0xD350]',
	0xD351 : 'Unassigned [0xD351]',
	0xD352 : 'Unassigned [0xD352]',
	0xD353 : 'Unassigned [0xD353]',
	0xD354 : 'Unassigned [0xD354]',
	0xD355 : 'Unassigned [0xD355]',
	0xD356 : 'Unassigned [0xD356]',
	0xD357 : 'Unassigned [0xD357]',
	0xD358 : 'Unassigned [0xD358]',
	0xD359 : 'Unassigned [0xD359]',
	0xD35A : 'Unassigned [0xD35A]',
	0xD35B : 'Unassigned [0xD35B]',
	0xD35C : 'Unassigned [0xD35C]',
	0xD35D : 'Unassigned [0xD35D]',
	0xD35E : 'Unassigned [0xD35E]',
	0xD35F : 'Unassigned [0xD35F]',
	0xD360 : 'Unassigned [0xD360]',
	0xD361 : 'Unassigned [0xD361]',
	0xD362 : 'Unassigned [0xD362]',
	0xD363 : 'Unassigned [0xD363]',
	0xD364 : 'Unassigned [0xD364]',
	0xD365 : 'Unassigned [0xD365]',
	0xD366 : 'Unassigned [0xD366]',
	0xD367 : 'Unassigned [0xD367]',
	0xD368 : 'Unassigned [0xD368]',
	0xD369 : 'Unassigned [0xD369]',
	0xD36A : 'Unassigned [0xD36A]',
	0xD36B : 'Unassigned [0xD36B]',
	0xD36C : 'Unassigned [0xD36C]',
	0xD36D : 'Unassigned [0xD36D]',
	0xD36E : 'Unassigned [0xD36E]',
	0xD36F : 'Unassigned [0xD36F]',
	0xD370 : 'Unassigned [0xD370]',
	0xD371 : 'Unassigned [0xD371]',
	0xD372 : 'Unassigned [0xD372]',
	0xD373 : 'Unassigned [0xD373]',
	0xD374 : 'Unassigned [0xD374]',
	0xD375 : 'Unassigned [0xD375]',
	0xD376 : 'Unassigned [0xD376]',
	0xD377 : 'Unassigned [0xD377]',
	0xD378 : 'Unassigned [0xD378]',
	0xD379 : 'Unassigned [0xD379]',
	0xD37A : 'Unassigned [0xD37A]',
	0xD37B : 'Unassigned [0xD37B]',
	0xD37C : 'Unassigned [0xD37C]',
	0xD37D : 'Unassigned [0xD37D]',
	0xD37E : 'Unassigned [0xD37E]',
	0xD37F : 'Unassigned [0xD37F]',
	0xD380 : 'Unassigned [0xD380]',
	0xD381 : 'Unassigned [0xD381]',
	0xD382 : 'Unassigned [0xD382]',
	0xD383 : 'Unassigned [0xD383]',
	0xD384 : 'Unassigned [0xD384]',
	0xD385 : 'Unassigned [0xD385]',
	0xD386 : 'Unassigned [0xD386]',
	0xD387 : 'Unassigned [0xD387]',
	0xD388 : 'Unassigned [0xD388]',
	0xD389 : 'Unassigned [0xD389]',
	0xD38A : 'Unassigned [0xD38A]',
	0xD38B : 'Unassigned [0xD38B]',
	0xD38C : 'Unassigned [0xD38C]',
	0xD38D : 'Unassigned [0xD38D]',
	0xD38E : 'Unassigned [0xD38E]',
	0xD38F : 'Unassigned [0xD38F]',
	0xD390 : 'Unassigned [0xD390]',
	0xD391 : 'Unassigned [0xD391]',
	0xD392 : 'Unassigned [0xD392]',
	0xD393 : 'Unassigned [0xD393]',
	0xD394 : 'Unassigned [0xD394]',
	0xD395 : 'Unassigned [0xD395]',
	0xD396 : 'Unassigned [0xD396]',
	0xD397 : 'Unassigned [0xD397]',
	0xD398 : 'Unassigned [0xD398]',
	0xD399 : 'Unassigned [0xD399]',
	0xD39A : 'Unassigned [0xD39A]',
	0xD39B : 'Unassigned [0xD39B]',
	0xD39C : 'Unassigned [0xD39C]',
	0xD39D : 'Unassigned [0xD39D]',
	0xD39E : 'Unassigned [0xD39E]',
	0xD39F : 'Unassigned [0xD39F]',
	0xD3A0 : 'Unassigned [0xD3A0]',
	0xD3A1 : 'Unassigned [0xD3A1]',
	0xD3A2 : 'Unassigned [0xD3A2]',
	0xD3A3 : 'Unassigned [0xD3A3]',
	0xD3A4 : 'Unassigned [0xD3A4]',
	0xD3A5 : 'Unassigned [0xD3A5]',
	0xD3A6 : 'Unassigned [0xD3A6]',
	0xD3A7 : 'Unassigned [0xD3A7]',
	0xD3A8 : 'Unassigned [0xD3A8]',
	0xD3A9 : 'Unassigned [0xD3A9]',
	0xD3AA : 'Unassigned [0xD3AA]',
	0xD3AB : 'Unassigned [0xD3AB]',
	0xD3AC : 'Unassigned [0xD3AC]',
	0xD3AD : 'Unassigned [0xD3AD]',
	0xD3AE : 'Unassigned [0xD3AE]',
	0xD3AF : 'Unassigned [0xD3AF]',
	0xD3B0 : 'Unassigned [0xD3B0]',
	0xD3B1 : 'Unassigned [0xD3B1]',
	0xD3B2 : 'Unassigned [0xD3B2]',
	0xD3B3 : 'Unassigned [0xD3B3]',
	0xD3B4 : 'Unassigned [0xD3B4]',
	0xD3B5 : 'Unassigned [0xD3B5]',
	0xD3B6 : 'Unassigned [0xD3B6]',
	0xD3B7 : 'Unassigned [0xD3B7]',
	0xD3B8 : 'Unassigned [0xD3B8]',
	0xD3B9 : 'Unassigned [0xD3B9]',
	0xD3BA : 'Unassigned [0xD3BA]',
	0xD3BB : 'Unassigned [0xD3BB]',
	0xD3BC : 'Unassigned [0xD3BC]',
	0xD3BD : 'Unassigned [0xD3BD]',
	0xD3BE : 'Unassigned [0xD3BE]',
	0xD3BF : 'Unassigned [0xD3BF]',
	0xD3C0 : 'Unassigned [0xD3C0]',
	0xD3C1 : 'Unassigned [0xD3C1]',
	0xD3C2 : 'Unassigned [0xD3C2]',
	0xD3C3 : 'Unassigned [0xD3C3]',
	0xD3C4 : 'Unassigned [0xD3C4]',
	0xD3C5 : 'Unassigned [0xD3C5]',
	0xD3C6 : 'Unassigned [0xD3C6]',
	0xD3C7 : 'Unassigned [0xD3C7]',
	0xD3C8 : 'Unassigned [0xD3C8]',
	0xD3C9 : 'Unassigned [0xD3C9]',
	0xD3CA : 'Unassigned [0xD3CA]',
	0xD3CB : 'Unassigned [0xD3CB]',
	0xD3CC : 'Unassigned [0xD3CC]',
	0xD3CD : 'Unassigned [0xD3CD]',
	0xD3CE : 'Unassigned [0xD3CE]',
	0xD3CF : 'Unassigned [0xD3CF]',
	0xD3D0 : 'Unassigned [0xD3D0]',
	0xD3D1 : 'Unassigned [0xD3D1]',
	0xD3D2 : 'Unassigned [0xD3D2]',
	0xD3D3 : 'Unassigned [0xD3D3]',
	0xD3D4 : 'Unassigned [0xD3D4]',
	0xD3D5 : 'Unassigned [0xD3D5]',
	0xD3D6 : 'Unassigned [0xD3D6]',
	0xD3D7 : 'Unassigned [0xD3D7]',
	0xD3D8 : 'Unassigned [0xD3D8]',
	0xD3D9 : 'Unassigned [0xD3D9]',
	0xD3DA : 'Unassigned [0xD3DA]',
	0xD3DB : 'Unassigned [0xD3DB]',
	0xD3DC : 'Unassigned [0xD3DC]',
	0xD3DD : 'Unassigned [0xD3DD]',
	0xD3DE : 'Unassigned [0xD3DE]',
	0xD3DF : 'Unassigned [0xD3DF]',
	0xD3E0 : 'Unassigned [0xD3E0]',
	0xD3E1 : 'Unassigned [0xD3E1]',
	0xD3E2 : 'Unassigned [0xD3E2]',
	0xD3E3 : 'Unassigned [0xD3E3]',
	0xD3E4 : 'Unassigned [0xD3E4]',
	0xD3E5 : 'Unassigned [0xD3E5]',
	0xD3E6 : 'Unassigned [0xD3E6]',
	0xD3E7 : 'Unassigned [0xD3E7]',
	0xD3E8 : 'Unassigned [0xD3E8]',
	0xD3E9 : 'Unassigned [0xD3E9]',
	0xD3EA : 'Unassigned [0xD3EA]',
	0xD3EB : 'Unassigned [0xD3EB]',
	0xD3EC : 'Unassigned [0xD3EC]',
	0xD3ED : 'Unassigned [0xD3ED]',
	0xD3EE : 'Unassigned [0xD3EE]',
	0xD3EF : 'Unassigned [0xD3EF]',
	0xD3F0 : 'Unassigned [0xD3F0]',
	0xD3F1 : 'Unassigned [0xD3F1]',
	0xD3F2 : 'Unassigned [0xD3F2]',
	0xD3F3 : 'Unassigned [0xD3F3]',
	0xD3F4 : 'Unassigned [0xD3F4]',
	0xD3F5 : 'Unassigned [0xD3F5]',
	0xD3F6 : 'Unassigned [0xD3F6]',
	0xD3F7 : 'Unassigned [0xD3F7]',
	0xD3F8 : 'Unassigned [0xD3F8]',
	0xD3F9 : 'Unassigned [0xD3F9]',
	0xD3FA : 'Unassigned [0xD3FA]',
	0xD3FB : 'Unassigned [0xD3FB]',
	0xD3FC : 'Unassigned [0xD3FC]',
	0xD3FD : 'Unassigned [0xD3FD]',
	0xD3FE : 'Unassigned [0xD3FE]',
	0xD3FF : 'Unassigned [0xD3FF]',
	0xD400 : 'Unassigned [0xD400]',
	0xD401 : 'Unassigned [0xD401]',
	0xD402 : 'Unassigned [0xD402]',
	0xD403 : 'Unassigned [0xD403]',
	0xD404 : 'Unassigned [0xD404]',
	0xD405 : 'Unassigned [0xD405]',
	0xD406 : 'Unassigned [0xD406]',
	0xD407 : 'Unassigned [0xD407]',
	0xD408 : 'Unassigned [0xD408]',
	0xD409 : 'Unassigned [0xD409]',
	0xD40A : 'Unassigned [0xD40A]',
	0xD40B : 'Unassigned [0xD40B]',
	0xD40C : 'Unassigned [0xD40C]',
	0xD40D : 'Unassigned [0xD40D]',
	0xD40E : 'Unassigned [0xD40E]',
	0xD40F : 'Unassigned [0xD40F]',
	0xD410 : 'Unassigned [0xD410]',
	0xD411 : 'Unassigned [0xD411]',
	0xD412 : 'Unassigned [0xD412]',
	0xD413 : 'Unassigned [0xD413]',
	0xD414 : 'Unassigned [0xD414]',
	0xD415 : 'Unassigned [0xD415]',
	0xD416 : 'Unassigned [0xD416]',
	0xD417 : 'Unassigned [0xD417]',
	0xD418 : 'Unassigned [0xD418]',
	0xD419 : 'Unassigned [0xD419]',
	0xD41A : 'Unassigned [0xD41A]',
	0xD41B : 'Unassigned [0xD41B]',
	0xD41C : 'Unassigned [0xD41C]',
	0xD41D : 'Unassigned [0xD41D]',
	0xD41E : 'Unassigned [0xD41E]',
	0xD41F : 'Unassigned [0xD41F]',
	0xD420 : 'Unassigned [0xD420]',
	0xD421 : 'Unassigned [0xD421]',
	0xD422 : 'Unassigned [0xD422]',
	0xD423 : 'Unassigned [0xD423]',
	0xD424 : 'Unassigned [0xD424]',
	0xD425 : 'Unassigned [0xD425]',
	0xD426 : 'Unassigned [0xD426]',
	0xD427 : 'Unassigned [0xD427]',
	0xD428 : 'Unassigned [0xD428]',
	0xD429 : 'Unassigned [0xD429]',
	0xD42A : 'Unassigned [0xD42A]',
	0xD42B : 'Unassigned [0xD42B]',
	0xD42C : 'Unassigned [0xD42C]',
	0xD42D : 'Unassigned [0xD42D]',
	0xD42E : 'Unassigned [0xD42E]',
	0xD42F : 'Unassigned [0xD42F]',
	0xD430 : 'Unassigned [0xD430]',
	0xD431 : 'Unassigned [0xD431]',
	0xD432 : 'Unassigned [0xD432]',
	0xD433 : 'Unassigned [0xD433]',
	0xD434 : 'Unassigned [0xD434]',
	0xD435 : 'Unassigned [0xD435]',
	0xD436 : 'Unassigned [0xD436]',
	0xD437 : 'Unassigned [0xD437]',
	0xD438 : 'Unassigned [0xD438]',
	0xD439 : 'Unassigned [0xD439]',
	0xD43A : 'Unassigned [0xD43A]',
	0xD43B : 'Unassigned [0xD43B]',
	0xD43C : 'Unassigned [0xD43C]',
	0xD43D : 'Unassigned [0xD43D]',
	0xD43E : 'Unassigned [0xD43E]',
	0xD43F : 'Unassigned [0xD43F]',
	0xD440 : 'Unassigned [0xD440]',
	0xD441 : 'Unassigned [0xD441]',
	0xD442 : 'Unassigned [0xD442]',
	0xD443 : 'Unassigned [0xD443]',
	0xD444 : 'Unassigned [0xD444]',
	0xD445 : 'Unassigned [0xD445]',
	0xD446 : 'Unassigned [0xD446]',
	0xD447 : 'Unassigned [0xD447]',
	0xD448 : 'Unassigned [0xD448]',
	0xD449 : 'Unassigned [0xD449]',
	0xD44A : 'Unassigned [0xD44A]',
	0xD44B : 'Unassigned [0xD44B]',
	0xD44C : 'Unassigned [0xD44C]',
	0xD44D : 'Unassigned [0xD44D]',
	0xD44E : 'Unassigned [0xD44E]',
	0xD44F : 'Unassigned [0xD44F]',
	0xD450 : 'Unassigned [0xD450]',
	0xD451 : 'Unassigned [0xD451]',
	0xD452 : 'Unassigned [0xD452]',
	0xD453 : 'Unassigned [0xD453]',
	0xD454 : 'Unassigned [0xD454]',
	0xD455 : 'Unassigned [0xD455]',
	0xD456 : 'Unassigned [0xD456]',
	0xD457 : 'Unassigned [0xD457]',
	0xD458 : 'Unassigned [0xD458]',
	0xD459 : 'Unassigned [0xD459]',
	0xD45A : 'Unassigned [0xD45A]',
	0xD45B : 'Unassigned [0xD45B]',
	0xD45C : 'Unassigned [0xD45C]',
	0xD45D : 'Unassigned [0xD45D]',
	0xD45E : 'Unassigned [0xD45E]',
	0xD45F : 'Unassigned [0xD45F]',
	0xD460 : 'Unassigned [0xD460]',
	0xD461 : 'Unassigned [0xD461]',
	0xD462 : 'Unassigned [0xD462]',
	0xD463 : 'Unassigned [0xD463]',
	0xD464 : 'Unassigned [0xD464]',
	0xD465 : 'Unassigned [0xD465]',
	0xD466 : 'Unassigned [0xD466]',
	0xD467 : 'Unassigned [0xD467]',
	0xD468 : 'Unassigned [0xD468]',
	0xD469 : 'Unassigned [0xD469]',
	0xD46A : 'Unassigned [0xD46A]',
	0xD46B : 'Unassigned [0xD46B]',
	0xD46C : 'Unassigned [0xD46C]',
	0xD46D : 'Unassigned [0xD46D]',
	0xD46E : 'Unassigned [0xD46E]',
	0xD46F : 'Unassigned [0xD46F]',
	0xD470 : 'Unassigned [0xD470]',
	0xD471 : 'Unassigned [0xD471]',
	0xD472 : 'Unassigned [0xD472]',
	0xD473 : 'Unassigned [0xD473]',
	0xD474 : 'Unassigned [0xD474]',
	0xD475 : 'Unassigned [0xD475]',
	0xD476 : 'Unassigned [0xD476]',
	0xD477 : 'Unassigned [0xD477]',
	0xD478 : 'Unassigned [0xD478]',
	0xD479 : 'Unassigned [0xD479]',
	0xD47A : 'Unassigned [0xD47A]',
	0xD47B : 'Unassigned [0xD47B]',
	0xD47C : 'Unassigned [0xD47C]',
	0xD47D : 'Unassigned [0xD47D]',
	0xD47E : 'Unassigned [0xD47E]',
	0xD47F : 'Unassigned [0xD47F]',
	0xD480 : 'Unassigned [0xD480]',
	0xD481 : 'Unassigned [0xD481]',
	0xD482 : 'Unassigned [0xD482]',
	0xD483 : 'Unassigned [0xD483]',
	0xD484 : 'Unassigned [0xD484]',
	0xD485 : 'Unassigned [0xD485]',
	0xD486 : 'Unassigned [0xD486]',
	0xD487 : 'Unassigned [0xD487]',
	0xD488 : 'Unassigned [0xD488]',
	0xD489 : 'Unassigned [0xD489]',
	0xD48A : 'Unassigned [0xD48A]',
	0xD48B : 'Unassigned [0xD48B]',
	0xD48C : 'Unassigned [0xD48C]',
	0xD48D : 'Unassigned [0xD48D]',
	0xD48E : 'Unassigned [0xD48E]',
	0xD48F : 'Unassigned [0xD48F]',
	0xD490 : 'Unassigned [0xD490]',
	0xD491 : 'Unassigned [0xD491]',
	0xD492 : 'Unassigned [0xD492]',
	0xD493 : 'Unassigned [0xD493]',
	0xD494 : 'Unassigned [0xD494]',
	0xD495 : 'Unassigned [0xD495]',
	0xD496 : 'Unassigned [0xD496]',
	0xD497 : 'Unassigned [0xD497]',
	0xD498 : 'Unassigned [0xD498]',
	0xD499 : 'Unassigned [0xD499]',
	0xD49A : 'Unassigned [0xD49A]',
	0xD49B : 'Unassigned [0xD49B]',
	0xD49C : 'Unassigned [0xD49C]',
	0xD49D : 'Unassigned [0xD49D]',
	0xD49E : 'Unassigned [0xD49E]',
	0xD49F : 'Unassigned [0xD49F]',
	0xD4A0 : 'Unassigned [0xD4A0]',
	0xD4A1 : 'Unassigned [0xD4A1]',
	0xD4A2 : 'Unassigned [0xD4A2]',
	0xD4A3 : 'Unassigned [0xD4A3]',
	0xD4A4 : 'Unassigned [0xD4A4]',
	0xD4A5 : 'Unassigned [0xD4A5]',
	0xD4A6 : 'Unassigned [0xD4A6]',
	0xD4A7 : 'Unassigned [0xD4A7]',
	0xD4A8 : 'Unassigned [0xD4A8]',
	0xD4A9 : 'Unassigned [0xD4A9]',
	0xD4AA : 'Unassigned [0xD4AA]',
	0xD4AB : 'Unassigned [0xD4AB]',
	0xD4AC : 'Unassigned [0xD4AC]',
	0xD4AD : 'Unassigned [0xD4AD]',
	0xD4AE : 'Unassigned [0xD4AE]',
	0xD4AF : 'Unassigned [0xD4AF]',
	0xD4B0 : 'Unassigned [0xD4B0]',
	0xD4B1 : 'Unassigned [0xD4B1]',
	0xD4B2 : 'Unassigned [0xD4B2]',
	0xD4B3 : 'Unassigned [0xD4B3]',
	0xD4B4 : 'Unassigned [0xD4B4]',
	0xD4B5 : 'Unassigned [0xD4B5]',
	0xD4B6 : 'Unassigned [0xD4B6]',
	0xD4B7 : 'Unassigned [0xD4B7]',
	0xD4B8 : 'Unassigned [0xD4B8]',
	0xD4B9 : 'Unassigned [0xD4B9]',
	0xD4BA : 'Unassigned [0xD4BA]',
	0xD4BB : 'Unassigned [0xD4BB]',
	0xD4BC : 'Unassigned [0xD4BC]',
	0xD4BD : 'Unassigned [0xD4BD]',
	0xD4BE : 'Unassigned [0xD4BE]',
	0xD4BF : 'Unassigned [0xD4BF]',
	0xD4C0 : 'Unassigned [0xD4C0]',
	0xD4C1 : 'Unassigned [0xD4C1]',
	0xD4C2 : 'Unassigned [0xD4C2]',
	0xD4C3 : 'Unassigned [0xD4C3]',
	0xD4C4 : 'Unassigned [0xD4C4]',
	0xD4C5 : 'Unassigned [0xD4C5]',
	0xD4C6 : 'Unassigned [0xD4C6]',
	0xD4C7 : 'Unassigned [0xD4C7]',
	0xD4C8 : 'Unassigned [0xD4C8]',
	0xD4C9 : 'Unassigned [0xD4C9]',
	0xD4CA : 'Unassigned [0xD4CA]',
	0xD4CB : 'Unassigned [0xD4CB]',
	0xD4CC : 'Unassigned [0xD4CC]',
	0xD4CD : 'Unassigned [0xD4CD]',
	0xD4CE : 'Unassigned [0xD4CE]',
	0xD4CF : 'Unassigned [0xD4CF]',
	0xD4D0 : 'Unassigned [0xD4D0]',
	0xD4D1 : 'Unassigned [0xD4D1]',
	0xD4D2 : 'Unassigned [0xD4D2]',
	0xD4D3 : 'Unassigned [0xD4D3]',
	0xD4D4 : 'Unassigned [0xD4D4]',
	0xD4D5 : 'Unassigned [0xD4D5]',
	0xD4D6 : 'Unassigned [0xD4D6]',
	0xD4D7 : 'Unassigned [0xD4D7]',
	0xD4D8 : 'Unassigned [0xD4D8]',
	0xD4D9 : 'Unassigned [0xD4D9]',
	0xD4DA : 'Unassigned [0xD4DA]',
	0xD4DB : 'Unassigned [0xD4DB]',
	0xD4DC : 'Unassigned [0xD4DC]',
	0xD4DD : 'Unassigned [0xD4DD]',
	0xD4DE : 'Unassigned [0xD4DE]',
	0xD4DF : 'Unassigned [0xD4DF]',
	0xD4E0 : 'Unassigned [0xD4E0]',
	0xD4E1 : 'Unassigned [0xD4E1]',
	0xD4E2 : 'Unassigned [0xD4E2]',
	0xD4E3 : 'Unassigned [0xD4E3]',
	0xD4E4 : 'Unassigned [0xD4E4]',
	0xD4E5 : 'Unassigned [0xD4E5]',
	0xD4E6 : 'Unassigned [0xD4E6]',
	0xD4E7 : 'Unassigned [0xD4E7]',
	0xD4E8 : 'Unassigned [0xD4E8]',
	0xD4E9 : 'Unassigned [0xD4E9]',
	0xD4EA : 'Unassigned [0xD4EA]',
	0xD4EB : 'Unassigned [0xD4EB]',
	0xD4EC : 'Unassigned [0xD4EC]',
	0xD4ED : 'Unassigned [0xD4ED]',
	0xD4EE : 'Unassigned [0xD4EE]',
	0xD4EF : 'Unassigned [0xD4EF]',
	0xD4F0 : 'Unassigned [0xD4F0]',
	0xD4F1 : 'Unassigned [0xD4F1]',
	0xD4F2 : 'Unassigned [0xD4F2]',
	0xD4F3 : 'Unassigned [0xD4F3]',
	0xD4F4 : 'Unassigned [0xD4F4]',
	0xD4F5 : 'Unassigned [0xD4F5]',
	0xD4F6 : 'Unassigned [0xD4F6]',
	0xD4F7 : 'Unassigned [0xD4F7]',
	0xD4F8 : 'Unassigned [0xD4F8]',
	0xD4F9 : 'Unassigned [0xD4F9]',
	0xD4FA : 'Unassigned [0xD4FA]',
	0xD4FB : 'Unassigned [0xD4FB]',
	0xD4FC : 'Unassigned [0xD4FC]',
	0xD4FD : 'Unassigned [0xD4FD]',
	0xD4FE : 'Unassigned [0xD4FE]',
	0xD4FF : 'Unassigned [0xD4FF]',
	0xD500 : 'Unassigned [0xD500]',
	0xD501 : 'Unassigned [0xD501]',
	0xD502 : 'Unassigned [0xD502]',
	0xD503 : 'Unassigned [0xD503]',
	0xD504 : 'Unassigned [0xD504]',
	0xD505 : 'Unassigned [0xD505]',
	0xD506 : 'Unassigned [0xD506]',
	0xD507 : 'Unassigned [0xD507]',
	0xD508 : 'Unassigned [0xD508]',
	0xD509 : 'Unassigned [0xD509]',
	0xD50A : 'Unassigned [0xD50A]',
	0xD50B : 'Unassigned [0xD50B]',
	0xD50C : 'Unassigned [0xD50C]',
	0xD50D : 'Unassigned [0xD50D]',
	0xD50E : 'Unassigned [0xD50E]',
	0xD50F : 'Unassigned [0xD50F]',
	0xD510 : 'Unassigned [0xD510]',
	0xD511 : 'Unassigned [0xD511]',
	0xD512 : 'Unassigned [0xD512]',
	0xD513 : 'Unassigned [0xD513]',
	0xD514 : 'Unassigned [0xD514]',
	0xD515 : 'Unassigned [0xD515]',
	0xD516 : 'Unassigned [0xD516]',
	0xD517 : 'Unassigned [0xD517]',
	0xD518 : 'Unassigned [0xD518]',
	0xD519 : 'Unassigned [0xD519]',
	0xD51A : 'Unassigned [0xD51A]',
	0xD51B : 'Unassigned [0xD51B]',
	0xD51C : 'Unassigned [0xD51C]',
	0xD51D : 'Unassigned [0xD51D]',
	0xD51E : 'Unassigned [0xD51E]',
	0xD51F : 'Unassigned [0xD51F]',
	0xD520 : 'Unassigned [0xD520]',
	0xD521 : 'Unassigned [0xD521]',
	0xD522 : 'Unassigned [0xD522]',
	0xD523 : 'Unassigned [0xD523]',
	0xD524 : 'Unassigned [0xD524]',
	0xD525 : 'Unassigned [0xD525]',
	0xD526 : 'Unassigned [0xD526]',
	0xD527 : 'Unassigned [0xD527]',
	0xD528 : 'Unassigned [0xD528]',
	0xD529 : 'Unassigned [0xD529]',
	0xD52A : 'Unassigned [0xD52A]',
	0xD52B : 'Unassigned [0xD52B]',
	0xD52C : 'Unassigned [0xD52C]',
	0xD52D : 'Unassigned [0xD52D]',
	0xD52E : 'Unassigned [0xD52E]',
	0xD52F : 'Unassigned [0xD52F]',
	0xD530 : 'Unassigned [0xD530]',
	0xD531 : 'Unassigned [0xD531]',
	0xD532 : 'Unassigned [0xD532]',
	0xD533 : 'Unassigned [0xD533]',
	0xD534 : 'Unassigned [0xD534]',
	0xD535 : 'Unassigned [0xD535]',
	0xD536 : 'Unassigned [0xD536]',
	0xD537 : 'Unassigned [0xD537]',
	0xD538 : 'Unassigned [0xD538]',
	0xD539 : 'Unassigned [0xD539]',
	0xD53A : 'Unassigned [0xD53A]',
	0xD53B : 'Unassigned [0xD53B]',
	0xD53C : 'Unassigned [0xD53C]',
	0xD53D : 'Unassigned [0xD53D]',
	0xD53E : 'Unassigned [0xD53E]',
	0xD53F : 'Unassigned [0xD53F]',
	0xD540 : 'Unassigned [0xD540]',
	0xD541 : 'Unassigned [0xD541]',
	0xD542 : 'Unassigned [0xD542]',
	0xD543 : 'Unassigned [0xD543]',
	0xD544 : 'Unassigned [0xD544]',
	0xD545 : 'Unassigned [0xD545]',
	0xD546 : 'Unassigned [0xD546]',
	0xD547 : 'Unassigned [0xD547]',
	0xD548 : 'Unassigned [0xD548]',
	0xD549 : 'Unassigned [0xD549]',
	0xD54A : 'Unassigned [0xD54A]',
	0xD54B : 'Unassigned [0xD54B]',
	0xD54C : 'Unassigned [0xD54C]',
	0xD54D : 'Unassigned [0xD54D]',
	0xD54E : 'Unassigned [0xD54E]',
	0xD54F : 'Unassigned [0xD54F]',
	0xD550 : 'Unassigned [0xD550]',
	0xD551 : 'Unassigned [0xD551]',
	0xD552 : 'Unassigned [0xD552]',
	0xD553 : 'Unassigned [0xD553]',
	0xD554 : 'Unassigned [0xD554]',
	0xD555 : 'Unassigned [0xD555]',
	0xD556 : 'Unassigned [0xD556]',
	0xD557 : 'Unassigned [0xD557]',
	0xD558 : 'Unassigned [0xD558]',
	0xD559 : 'Unassigned [0xD559]',
	0xD55A : 'Unassigned [0xD55A]',
	0xD55B : 'Unassigned [0xD55B]',
	0xD55C : 'Unassigned [0xD55C]',
	0xD55D : 'Unassigned [0xD55D]',
	0xD55E : 'Unassigned [0xD55E]',
	0xD55F : 'Unassigned [0xD55F]',
	0xD560 : 'Unassigned [0xD560]',
	0xD561 : 'Unassigned [0xD561]',
	0xD562 : 'Unassigned [0xD562]',
	0xD563 : 'Unassigned [0xD563]',
	0xD564 : 'Unassigned [0xD564]',
	0xD565 : 'Unassigned [0xD565]',
	0xD566 : 'Unassigned [0xD566]',
	0xD567 : 'Unassigned [0xD567]',
	0xD568 : 'Unassigned [0xD568]',
	0xD569 : 'Unassigned [0xD569]',
	0xD56A : 'Unassigned [0xD56A]',
	0xD56B : 'Unassigned [0xD56B]',
	0xD56C : 'Unassigned [0xD56C]',
	0xD56D : 'Unassigned [0xD56D]',
	0xD56E : 'Unassigned [0xD56E]',
	0xD56F : 'Unassigned [0xD56F]',
	0xD570 : 'Unassigned [0xD570]',
	0xD571 : 'Unassigned [0xD571]',
	0xD572 : 'Unassigned [0xD572]',
	0xD573 : 'Unassigned [0xD573]',
	0xD574 : 'Unassigned [0xD574]',
	0xD575 : 'Unassigned [0xD575]',
	0xD576 : 'Unassigned [0xD576]',
	0xD577 : 'Unassigned [0xD577]',
	0xD578 : 'Unassigned [0xD578]',
	0xD579 : 'Unassigned [0xD579]',
	0xD57A : 'Unassigned [0xD57A]',
	0xD57B : 'Unassigned [0xD57B]',
	0xD57C : 'Unassigned [0xD57C]',
	0xD57D : 'Unassigned [0xD57D]',
	0xD57E : 'Unassigned [0xD57E]',
	0xD57F : 'Unassigned [0xD57F]',
	0xD580 : 'Unassigned [0xD580]',
	0xD581 : 'Unassigned [0xD581]',
	0xD582 : 'Unassigned [0xD582]',
	0xD583 : 'Unassigned [0xD583]',
	0xD584 : 'Unassigned [0xD584]',
	0xD585 : 'Unassigned [0xD585]',
	0xD586 : 'Unassigned [0xD586]',
	0xD587 : 'Unassigned [0xD587]',
	0xD588 : 'Unassigned [0xD588]',
	0xD589 : 'Unassigned [0xD589]',
	0xD58A : 'Unassigned [0xD58A]',
	0xD58B : 'Unassigned [0xD58B]',
	0xD58C : 'Unassigned [0xD58C]',
	0xD58D : 'Unassigned [0xD58D]',
	0xD58E : 'Unassigned [0xD58E]',
	0xD58F : 'Unassigned [0xD58F]',
	0xD590 : 'Unassigned [0xD590]',
	0xD591 : 'Unassigned [0xD591]',
	0xD592 : 'Unassigned [0xD592]',
	0xD593 : 'Unassigned [0xD593]',
	0xD594 : 'Unassigned [0xD594]',
	0xD595 : 'Unassigned [0xD595]',
	0xD596 : 'Unassigned [0xD596]',
	0xD597 : 'Unassigned [0xD597]',
	0xD598 : 'Unassigned [0xD598]',
	0xD599 : 'Unassigned [0xD599]',
	0xD59A : 'Unassigned [0xD59A]',
	0xD59B : 'Unassigned [0xD59B]',
	0xD59C : 'Unassigned [0xD59C]',
	0xD59D : 'Unassigned [0xD59D]',
	0xD59E : 'Unassigned [0xD59E]',
	0xD59F : 'Unassigned [0xD59F]',
	0xD5A0 : 'Unassigned [0xD5A0]',
	0xD5A1 : 'Unassigned [0xD5A1]',
	0xD5A2 : 'Unassigned [0xD5A2]',
	0xD5A3 : 'Unassigned [0xD5A3]',
	0xD5A4 : 'Unassigned [0xD5A4]',
	0xD5A5 : 'Unassigned [0xD5A5]',
	0xD5A6 : 'Unassigned [0xD5A6]',
	0xD5A7 : 'Unassigned [0xD5A7]',
	0xD5A8 : 'Unassigned [0xD5A8]',
	0xD5A9 : 'Unassigned [0xD5A9]',
	0xD5AA : 'Unassigned [0xD5AA]',
	0xD5AB : 'Unassigned [0xD5AB]',
	0xD5AC : 'Unassigned [0xD5AC]',
	0xD5AD : 'Unassigned [0xD5AD]',
	0xD5AE : 'Unassigned [0xD5AE]',
	0xD5AF : 'Unassigned [0xD5AF]',
	0xD5B0 : 'Unassigned [0xD5B0]',
	0xD5B1 : 'Unassigned [0xD5B1]',
	0xD5B2 : 'Unassigned [0xD5B2]',
	0xD5B3 : 'Unassigned [0xD5B3]',
	0xD5B4 : 'Unassigned [0xD5B4]',
	0xD5B5 : 'Unassigned [0xD5B5]',
	0xD5B6 : 'Unassigned [0xD5B6]',
	0xD5B7 : 'Unassigned [0xD5B7]',
	0xD5B8 : 'Unassigned [0xD5B8]',
	0xD5B9 : 'Unassigned [0xD5B9]',
	0xD5BA : 'Unassigned [0xD5BA]',
	0xD5BB : 'Unassigned [0xD5BB]',
	0xD5BC : 'Unassigned [0xD5BC]',
	0xD5BD : 'Unassigned [0xD5BD]',
	0xD5BE : 'Unassigned [0xD5BE]',
	0xD5BF : 'Unassigned [0xD5BF]',
	0xD5C0 : 'Unassigned [0xD5C0]',
	0xD5C1 : 'Unassigned [0xD5C1]',
	0xD5C2 : 'Unassigned [0xD5C2]',
	0xD5C3 : 'Unassigned [0xD5C3]',
	0xD5C4 : 'Unassigned [0xD5C4]',
	0xD5C5 : 'Unassigned [0xD5C5]',
	0xD5C6 : 'Unassigned [0xD5C6]',
	0xD5C7 : 'Unassigned [0xD5C7]',
	0xD5C8 : 'Unassigned [0xD5C8]',
	0xD5C9 : 'Unassigned [0xD5C9]',
	0xD5CA : 'Unassigned [0xD5CA]',
	0xD5CB : 'Unassigned [0xD5CB]',
	0xD5CC : 'Unassigned [0xD5CC]',
	0xD5CD : 'Unassigned [0xD5CD]',
	0xD5CE : 'Unassigned [0xD5CE]',
	0xD5CF : 'Unassigned [0xD5CF]',
	0xD5D0 : 'Unassigned [0xD5D0]',
	0xD5D1 : 'Unassigned [0xD5D1]',
	0xD5D2 : 'Unassigned [0xD5D2]',
	0xD5D3 : 'Unassigned [0xD5D3]',
	0xD5D4 : 'Unassigned [0xD5D4]',
	0xD5D5 : 'Unassigned [0xD5D5]',
	0xD5D6 : 'Unassigned [0xD5D6]',
	0xD5D7 : 'Unassigned [0xD5D7]',
	0xD5D8 : 'Unassigned [0xD5D8]',
	0xD5D9 : 'Unassigned [0xD5D9]',
	0xD5DA : 'Unassigned [0xD5DA]',
	0xD5DB : 'Unassigned [0xD5DB]',
	0xD5DC : 'Unassigned [0xD5DC]',
	0xD5DD : 'Unassigned [0xD5DD]',
	0xD5DE : 'Unassigned [0xD5DE]',
	0xD5DF : 'Unassigned [0xD5DF]',
	0xD5E0 : 'Unassigned [0xD5E0]',
	0xD5E1 : 'Unassigned [0xD5E1]',
	0xD5E2 : 'Unassigned [0xD5E2]',
	0xD5E3 : 'Unassigned [0xD5E3]',
	0xD5E4 : 'Unassigned [0xD5E4]',
	0xD5E5 : 'Unassigned [0xD5E5]',
	0xD5E6 : 'Unassigned [0xD5E6]',
	0xD5E7 : 'Unassigned [0xD5E7]',
	0xD5E8 : 'Unassigned [0xD5E8]',
	0xD5E9 : 'Unassigned [0xD5E9]',
	0xD5EA : 'Unassigned [0xD5EA]',
	0xD5EB : 'Unassigned [0xD5EB]',
	0xD5EC : 'Unassigned [0xD5EC]',
	0xD5ED : 'Unassigned [0xD5ED]',
	0xD5EE : 'Unassigned [0xD5EE]',
	0xD5EF : 'Unassigned [0xD5EF]',
	0xD5F0 : 'Unassigned [0xD5F0]',
	0xD5F1 : 'Unassigned [0xD5F1]',
	0xD5F2 : 'Unassigned [0xD5F2]',
	0xD5F3 : 'Unassigned [0xD5F3]',
	0xD5F4 : 'Unassigned [0xD5F4]',
	0xD5F5 : 'Unassigned [0xD5F5]',
	0xD5F6 : 'Unassigned [0xD5F6]',
	0xD5F7 : 'Unassigned [0xD5F7]',
	0xD5F8 : 'Unassigned [0xD5F8]',
	0xD5F9 : 'Unassigned [0xD5F9]',
	0xD5FA : 'Unassigned [0xD5FA]',
	0xD5FB : 'Unassigned [0xD5FB]',
	0xD5FC : 'Unassigned [0xD5FC]',
	0xD5FD : 'Unassigned [0xD5FD]',
	0xD5FE : 'Unassigned [0xD5FE]',
	0xD5FF : 'Unassigned [0xD5FF]',
	0xD600 : 'Unassigned [0xD600]',
	0xD601 : 'Unassigned [0xD601]',
	0xD602 : 'Unassigned [0xD602]',
	0xD603 : 'Unassigned [0xD603]',
	0xD604 : 'Unassigned [0xD604]',
	0xD605 : 'Unassigned [0xD605]',
	0xD606 : 'Unassigned [0xD606]',
	0xD607 : 'Unassigned [0xD607]',
	0xD608 : 'Unassigned [0xD608]',
	0xD609 : 'Unassigned [0xD609]',
	0xD60A : 'Unassigned [0xD60A]',
	0xD60B : 'Unassigned [0xD60B]',
	0xD60C : 'Unassigned [0xD60C]',
	0xD60D : 'Unassigned [0xD60D]',
	0xD60E : 'Unassigned [0xD60E]',
	0xD60F : 'Unassigned [0xD60F]',
	0xD610 : 'Unassigned [0xD610]',
	0xD611 : 'Unassigned [0xD611]',
	0xD612 : 'Unassigned [0xD612]',
	0xD613 : 'Unassigned [0xD613]',
	0xD614 : 'Unassigned [0xD614]',
	0xD615 : 'Unassigned [0xD615]',
	0xD616 : 'Unassigned [0xD616]',
	0xD617 : 'Unassigned [0xD617]',
	0xD618 : 'Unassigned [0xD618]',
	0xD619 : 'Unassigned [0xD619]',
	0xD61A : 'Unassigned [0xD61A]',
	0xD61B : 'Unassigned [0xD61B]',
	0xD61C : 'Unassigned [0xD61C]',
	0xD61D : 'Unassigned [0xD61D]',
	0xD61E : 'Unassigned [0xD61E]',
	0xD61F : 'Unassigned [0xD61F]',
	0xD620 : 'Unassigned [0xD620]',
	0xD621 : 'Unassigned [0xD621]',
	0xD622 : 'Unassigned [0xD622]',
	0xD623 : 'Unassigned [0xD623]',
	0xD624 : 'Unassigned [0xD624]',
	0xD625 : 'Unassigned [0xD625]',
	0xD626 : 'Unassigned [0xD626]',
	0xD627 : 'Unassigned [0xD627]',
	0xD628 : 'Unassigned [0xD628]',
	0xD629 : 'Unassigned [0xD629]',
	0xD62A : 'Unassigned [0xD62A]',
	0xD62B : 'Unassigned [0xD62B]',
	0xD62C : 'Unassigned [0xD62C]',
	0xD62D : 'Unassigned [0xD62D]',
	0xD62E : 'Unassigned [0xD62E]',
	0xD62F : 'Unassigned [0xD62F]',
	0xD630 : 'Unassigned [0xD630]',
	0xD631 : 'Unassigned [0xD631]',
	0xD632 : 'Unassigned [0xD632]',
	0xD633 : 'Unassigned [0xD633]',
	0xD634 : 'Unassigned [0xD634]',
	0xD635 : 'Unassigned [0xD635]',
	0xD636 : 'Unassigned [0xD636]',
	0xD637 : 'Unassigned [0xD637]',
	0xD638 : 'Unassigned [0xD638]',
	0xD639 : 'Unassigned [0xD639]',
	0xD63A : 'Unassigned [0xD63A]',
	0xD63B : 'Unassigned [0xD63B]',
	0xD63C : 'Unassigned [0xD63C]',
	0xD63D : 'Unassigned [0xD63D]',
	0xD63E : 'Unassigned [0xD63E]',
	0xD63F : 'Unassigned [0xD63F]',
	0xD640 : 'Unassigned [0xD640]',
	0xD641 : 'Unassigned [0xD641]',
	0xD642 : 'Unassigned [0xD642]',
	0xD643 : 'Unassigned [0xD643]',
	0xD644 : 'Unassigned [0xD644]',
	0xD645 : 'Unassigned [0xD645]',
	0xD646 : 'Unassigned [0xD646]',
	0xD647 : 'Unassigned [0xD647]',
	0xD648 : 'Unassigned [0xD648]',
	0xD649 : 'Unassigned [0xD649]',
	0xD64A : 'Unassigned [0xD64A]',
	0xD64B : 'Unassigned [0xD64B]',
	0xD64C : 'Unassigned [0xD64C]',
	0xD64D : 'Unassigned [0xD64D]',
	0xD64E : 'Unassigned [0xD64E]',
	0xD64F : 'Unassigned [0xD64F]',
	0xD650 : 'Unassigned [0xD650]',
	0xD651 : 'Unassigned [0xD651]',
	0xD652 : 'Unassigned [0xD652]',
	0xD653 : 'Unassigned [0xD653]',
	0xD654 : 'Unassigned [0xD654]',
	0xD655 : 'Unassigned [0xD655]',
	0xD656 : 'Unassigned [0xD656]',
	0xD657 : 'Unassigned [0xD657]',
	0xD658 : 'Unassigned [0xD658]',
	0xD659 : 'Unassigned [0xD659]',
	0xD65A : 'Unassigned [0xD65A]',
	0xD65B : 'Unassigned [0xD65B]',
	0xD65C : 'Unassigned [0xD65C]',
	0xD65D : 'Unassigned [0xD65D]',
	0xD65E : 'Unassigned [0xD65E]',
	0xD65F : 'Unassigned [0xD65F]',
	0xD660 : 'Unassigned [0xD660]',
	0xD661 : 'Unassigned [0xD661]',
	0xD662 : 'Unassigned [0xD662]',
	0xD663 : 'Unassigned [0xD663]',
	0xD664 : 'Unassigned [0xD664]',
	0xD665 : 'Unassigned [0xD665]',
	0xD666 : 'Unassigned [0xD666]',
	0xD667 : 'Unassigned [0xD667]',
	0xD668 : 'Unassigned [0xD668]',
	0xD669 : 'Unassigned [0xD669]',
	0xD66A : 'Unassigned [0xD66A]',
	0xD66B : 'Unassigned [0xD66B]',
	0xD66C : 'Unassigned [0xD66C]',
	0xD66D : 'Unassigned [0xD66D]',
	0xD66E : 'Unassigned [0xD66E]',
	0xD66F : 'Unassigned [0xD66F]',
	0xD670 : 'Unassigned [0xD670]',
	0xD671 : 'Unassigned [0xD671]',
	0xD672 : 'Unassigned [0xD672]',
	0xD673 : 'Unassigned [0xD673]',
	0xD674 : 'Unassigned [0xD674]',
	0xD675 : 'Unassigned [0xD675]',
	0xD676 : 'Unassigned [0xD676]',
	0xD677 : 'Unassigned [0xD677]',
	0xD678 : 'Unassigned [0xD678]',
	0xD679 : 'Unassigned [0xD679]',
	0xD67A : 'Unassigned [0xD67A]',
	0xD67B : 'Unassigned [0xD67B]',
	0xD67C : 'Unassigned [0xD67C]',
	0xD67D : 'Unassigned [0xD67D]',
	0xD67E : 'Unassigned [0xD67E]',
	0xD67F : 'Unassigned [0xD67F]',
	0xD680 : 'Unassigned [0xD680]',
	0xD681 : 'Unassigned [0xD681]',
	0xD682 : 'Unassigned [0xD682]',
	0xD683 : 'Unassigned [0xD683]',
	0xD684 : 'Unassigned [0xD684]',
	0xD685 : 'Unassigned [0xD685]',
	0xD686 : 'Unassigned [0xD686]',
	0xD687 : 'Unassigned [0xD687]',
	0xD688 : 'Unassigned [0xD688]',
	0xD689 : 'Unassigned [0xD689]',
	0xD68A : 'Unassigned [0xD68A]',
	0xD68B : 'Unassigned [0xD68B]',
	0xD68C : 'Unassigned [0xD68C]',
	0xD68D : 'Unassigned [0xD68D]',
	0xD68E : 'Unassigned [0xD68E]',
	0xD68F : 'Unassigned [0xD68F]',
	0xD690 : 'Unassigned [0xD690]',
	0xD691 : 'Unassigned [0xD691]',
	0xD692 : 'Unassigned [0xD692]',
	0xD693 : 'Unassigned [0xD693]',
	0xD694 : 'Unassigned [0xD694]',
	0xD695 : 'Unassigned [0xD695]',
	0xD696 : 'Unassigned [0xD696]',
	0xD697 : 'Unassigned [0xD697]',
	0xD698 : 'Unassigned [0xD698]',
	0xD699 : 'Unassigned [0xD699]',
	0xD69A : 'Unassigned [0xD69A]',
	0xD69B : 'Unassigned [0xD69B]',
	0xD69C : 'Unassigned [0xD69C]',
	0xD69D : 'Unassigned [0xD69D]',
	0xD69E : 'Unassigned [0xD69E]',
	0xD69F : 'Unassigned [0xD69F]',
	0xD6A0 : 'Unassigned [0xD6A0]',
	0xD6A1 : 'Unassigned [0xD6A1]',
	0xD6A2 : 'Unassigned [0xD6A2]',
	0xD6A3 : 'Unassigned [0xD6A3]',
	0xD6A4 : 'Unassigned [0xD6A4]',
	0xD6A5 : 'Unassigned [0xD6A5]',
	0xD6A6 : 'Unassigned [0xD6A6]',
	0xD6A7 : 'Unassigned [0xD6A7]',
	0xD6A8 : 'Unassigned [0xD6A8]',
	0xD6A9 : 'Unassigned [0xD6A9]',
	0xD6AA : 'Unassigned [0xD6AA]',
	0xD6AB : 'Unassigned [0xD6AB]',
	0xD6AC : 'Unassigned [0xD6AC]',
	0xD6AD : 'Unassigned [0xD6AD]',
	0xD6AE : 'Unassigned [0xD6AE]',
	0xD6AF : 'Unassigned [0xD6AF]',
	0xD6B0 : 'Unassigned [0xD6B0]',
	0xD6B1 : 'Unassigned [0xD6B1]',
	0xD6B2 : 'Unassigned [0xD6B2]',
	0xD6B3 : 'Unassigned [0xD6B3]',
	0xD6B4 : 'Unassigned [0xD6B4]',
	0xD6B5 : 'Unassigned [0xD6B5]',
	0xD6B6 : 'Unassigned [0xD6B6]',
	0xD6B7 : 'Unassigned [0xD6B7]',
	0xD6B8 : 'Unassigned [0xD6B8]',
	0xD6B9 : 'Unassigned [0xD6B9]',
	0xD6BA : 'Unassigned [0xD6BA]',
	0xD6BB : 'Unassigned [0xD6BB]',
	0xD6BC : 'Unassigned [0xD6BC]',
	0xD6BD : 'Unassigned [0xD6BD]',
	0xD6BE : 'Unassigned [0xD6BE]',
	0xD6BF : 'Unassigned [0xD6BF]',
	0xD6C0 : 'Unassigned [0xD6C0]',
	0xD6C1 : 'Unassigned [0xD6C1]',
	0xD6C2 : 'Unassigned [0xD6C2]',
	0xD6C3 : 'Unassigned [0xD6C3]',
	0xD6C4 : 'Unassigned [0xD6C4]',
	0xD6C5 : 'Unassigned [0xD6C5]',
	0xD6C6 : 'Unassigned [0xD6C6]',
	0xD6C7 : 'Unassigned [0xD6C7]',
	0xD6C8 : 'Unassigned [0xD6C8]',
	0xD6C9 : 'Unassigned [0xD6C9]',
	0xD6CA : 'Unassigned [0xD6CA]',
	0xD6CB : 'Unassigned [0xD6CB]',
	0xD6CC : 'Unassigned [0xD6CC]',
	0xD6CD : 'Unassigned [0xD6CD]',
	0xD6CE : 'Unassigned [0xD6CE]',
	0xD6CF : 'Unassigned [0xD6CF]',
	0xD6D0 : 'Unassigned [0xD6D0]',
	0xD6D1 : 'Unassigned [0xD6D1]',
	0xD6D2 : 'Unassigned [0xD6D2]',
	0xD6D3 : 'Unassigned [0xD6D3]',
	0xD6D4 : 'Unassigned [0xD6D4]',
	0xD6D5 : 'Unassigned [0xD6D5]',
	0xD6D6 : 'Unassigned [0xD6D6]',
	0xD6D7 : 'Unassigned [0xD6D7]',
	0xD6D8 : 'Unassigned [0xD6D8]',
	0xD6D9 : 'Unassigned [0xD6D9]',
	0xD6DA : 'Unassigned [0xD6DA]',
	0xD6DB : 'Unassigned [0xD6DB]',
	0xD6DC : 'Unassigned [0xD6DC]',
	0xD6DD : 'Unassigned [0xD6DD]',
	0xD6DE : 'Unassigned [0xD6DE]',
	0xD6DF : 'Unassigned [0xD6DF]',
	0xD6E0 : 'Unassigned [0xD6E0]',
	0xD6E1 : 'Unassigned [0xD6E1]',
	0xD6E2 : 'Unassigned [0xD6E2]',
	0xD6E3 : 'Unassigned [0xD6E3]',
	0xD6E4 : 'Unassigned [0xD6E4]',
	0xD6E5 : 'Unassigned [0xD6E5]',
	0xD6E6 : 'Unassigned [0xD6E6]',
	0xD6E7 : 'Unassigned [0xD6E7]',
	0xD6E8 : 'Unassigned [0xD6E8]',
	0xD6E9 : 'Unassigned [0xD6E9]',
	0xD6EA : 'Unassigned [0xD6EA]',
	0xD6EB : 'Unassigned [0xD6EB]',
	0xD6EC : 'Unassigned [0xD6EC]',
	0xD6ED : 'Unassigned [0xD6ED]',
	0xD6EE : 'Unassigned [0xD6EE]',
	0xD6EF : 'Unassigned [0xD6EF]',
	0xD6F0 : 'Unassigned [0xD6F0]',
	0xD6F1 : 'Unassigned [0xD6F1]',
	0xD6F2 : 'Unassigned [0xD6F2]',
	0xD6F3 : 'Unassigned [0xD6F3]',
	0xD6F4 : 'Unassigned [0xD6F4]',
	0xD6F5 : 'Unassigned [0xD6F5]',
	0xD6F6 : 'Unassigned [0xD6F6]',
	0xD6F7 : 'Unassigned [0xD6F7]',
	0xD6F8 : 'Unassigned [0xD6F8]',
	0xD6F9 : 'Unassigned [0xD6F9]',
	0xD6FA : 'Unassigned [0xD6FA]',
	0xD6FB : 'Unassigned [0xD6FB]',
	0xD6FC : 'Unassigned [0xD6FC]',
	0xD6FD : 'Unassigned [0xD6FD]',
	0xD6FE : 'Unassigned [0xD6FE]',
	0xD6FF : 'Unassigned [0xD6FF]',
	0xD700 : 'Unassigned [0xD700]',
	0xD701 : 'Unassigned [0xD701]',
	0xD702 : 'Unassigned [0xD702]',
	0xD703 : 'Unassigned [0xD703]',
	0xD704 : 'Unassigned [0xD704]',
	0xD705 : 'Unassigned [0xD705]',
	0xD706 : 'Unassigned [0xD706]',
	0xD707 : 'Unassigned [0xD707]',
	0xD708 : 'Unassigned [0xD708]',
	0xD709 : 'Unassigned [0xD709]',
	0xD70A : 'Unassigned [0xD70A]',
	0xD70B : 'Unassigned [0xD70B]',
	0xD70C : 'Unassigned [0xD70C]',
	0xD70D : 'Unassigned [0xD70D]',
	0xD70E : 'Unassigned [0xD70E]',
	0xD70F : 'Unassigned [0xD70F]',
	0xD710 : 'Unassigned [0xD710]',
	0xD711 : 'Unassigned [0xD711]',
	0xD712 : 'Unassigned [0xD712]',
	0xD713 : 'Unassigned [0xD713]',
	0xD714 : 'Unassigned [0xD714]',
	0xD715 : 'Unassigned [0xD715]',
	0xD716 : 'Unassigned [0xD716]',
	0xD717 : 'Unassigned [0xD717]',
	0xD718 : 'Unassigned [0xD718]',
	0xD719 : 'Unassigned [0xD719]',
	0xD71A : 'Unassigned [0xD71A]',
	0xD71B : 'Unassigned [0xD71B]',
	0xD71C : 'Unassigned [0xD71C]',
	0xD71D : 'Unassigned [0xD71D]',
	0xD71E : 'Unassigned [0xD71E]',
	0xD71F : 'Unassigned [0xD71F]',
	0xD720 : 'Unassigned [0xD720]',
	0xD721 : 'Unassigned [0xD721]',
	0xD722 : 'Unassigned [0xD722]',
	0xD723 : 'Unassigned [0xD723]',
	0xD724 : 'Unassigned [0xD724]',
	0xD725 : 'Unassigned [0xD725]',
	0xD726 : 'Unassigned [0xD726]',
	0xD727 : 'Unassigned [0xD727]',
	0xD728 : 'Unassigned [0xD728]',
	0xD729 : 'Unassigned [0xD729]',
	0xD72A : 'Unassigned [0xD72A]',
	0xD72B : 'Unassigned [0xD72B]',
	0xD72C : 'Unassigned [0xD72C]',
	0xD72D : 'Unassigned [0xD72D]',
	0xD72E : 'Unassigned [0xD72E]',
	0xD72F : 'Unassigned [0xD72F]',
	0xD730 : 'Unassigned [0xD730]',
	0xD731 : 'Unassigned [0xD731]',
	0xD732 : 'Unassigned [0xD732]',
	0xD733 : 'Unassigned [0xD733]',
	0xD734 : 'Unassigned [0xD734]',
	0xD735 : 'Unassigned [0xD735]',
	0xD736 : 'Unassigned [0xD736]',
	0xD737 : 'Unassigned [0xD737]',
	0xD738 : 'Unassigned [0xD738]',
	0xD739 : 'Unassigned [0xD739]',
	0xD73A : 'Unassigned [0xD73A]',
	0xD73B : 'Unassigned [0xD73B]',
	0xD73C : 'Unassigned [0xD73C]',
	0xD73D : 'Unassigned [0xD73D]',
	0xD73E : 'Unassigned [0xD73E]',
	0xD73F : 'Unassigned [0xD73F]',
	0xD740 : 'Unassigned [0xD740]',
	0xD741 : 'Unassigned [0xD741]',
	0xD742 : 'Unassigned [0xD742]',
	0xD743 : 'Unassigned [0xD743]',
	0xD744 : 'Unassigned [0xD744]',
	0xD745 : 'Unassigned [0xD745]',
	0xD746 : 'Unassigned [0xD746]',
	0xD747 : 'Unassigned [0xD747]',
	0xD748 : 'Unassigned [0xD748]',
	0xD749 : 'Unassigned [0xD749]',
	0xD74A : 'Unassigned [0xD74A]',
	0xD74B : 'Unassigned [0xD74B]',
	0xD74C : 'Unassigned [0xD74C]',
	0xD74D : 'Unassigned [0xD74D]',
	0xD74E : 'Unassigned [0xD74E]',
	0xD74F : 'Unassigned [0xD74F]',
	0xD750 : 'Unassigned [0xD750]',
	0xD751 : 'Unassigned [0xD751]',
	0xD752 : 'Unassigned [0xD752]',
	0xD753 : 'Unassigned [0xD753]',
	0xD754 : 'Unassigned [0xD754]',
	0xD755 : 'Unassigned [0xD755]',
	0xD756 : 'Unassigned [0xD756]',
	0xD757 : 'Unassigned [0xD757]',
	0xD758 : 'Unassigned [0xD758]',
	0xD759 : 'Unassigned [0xD759]',
	0xD75A : 'Unassigned [0xD75A]',
	0xD75B : 'Unassigned [0xD75B]',
	0xD75C : 'Unassigned [0xD75C]',
	0xD75D : 'Unassigned [0xD75D]',
	0xD75E : 'Unassigned [0xD75E]',
	0xD75F : 'Unassigned [0xD75F]',
	0xD760 : 'Unassigned [0xD760]',
	0xD761 : 'Unassigned [0xD761]',
	0xD762 : 'Unassigned [0xD762]',
	0xD763 : 'Unassigned [0xD763]',
	0xD764 : 'Unassigned [0xD764]',
	0xD765 : 'Unassigned [0xD765]',
	0xD766 : 'Unassigned [0xD766]',
	0xD767 : 'Unassigned [0xD767]',
	0xD768 : 'Unassigned [0xD768]',
	0xD769 : 'Unassigned [0xD769]',
	0xD76A : 'Unassigned [0xD76A]',
	0xD76B : 'Unassigned [0xD76B]',
	0xD76C : 'Unassigned [0xD76C]',
	0xD76D : 'Unassigned [0xD76D]',
	0xD76E : 'Unassigned [0xD76E]',
	0xD76F : 'Unassigned [0xD76F]',
	0xD770 : 'Unassigned [0xD770]',
	0xD771 : 'Unassigned [0xD771]',
	0xD772 : 'Unassigned [0xD772]',
	0xD773 : 'Unassigned [0xD773]',
	0xD774 : 'Unassigned [0xD774]',
	0xD775 : 'Unassigned [0xD775]',
	0xD776 : 'Unassigned [0xD776]',
	0xD777 : 'Unassigned [0xD777]',
	0xD778 : 'Unassigned [0xD778]',
	0xD779 : 'Unassigned [0xD779]',
	0xD77A : 'Unassigned [0xD77A]',
	0xD77B : 'Unassigned [0xD77B]',
	0xD77C : 'Unassigned [0xD77C]',
	0xD77D : 'Unassigned [0xD77D]',
	0xD77E : 'Unassigned [0xD77E]',
	0xD77F : 'Unassigned [0xD77F]',
	0xD780 : 'Unassigned [0xD780]',
	0xD781 : 'Unassigned [0xD781]',
	0xD782 : 'Unassigned [0xD782]',
	0xD783 : 'Unassigned [0xD783]',
	0xD784 : 'Unassigned [0xD784]',
	0xD785 : 'Unassigned [0xD785]',
	0xD786 : 'Unassigned [0xD786]',
	0xD787 : 'Unassigned [0xD787]',
	0xD788 : 'Unassigned [0xD788]',
	0xD789 : 'Unassigned [0xD789]',
	0xD78A : 'Unassigned [0xD78A]',
	0xD78B : 'Unassigned [0xD78B]',
	0xD78C : 'Unassigned [0xD78C]',
	0xD78D : 'Unassigned [0xD78D]',
	0xD78E : 'Unassigned [0xD78E]',
	0xD78F : 'Unassigned [0xD78F]',
	0xD790 : 'Unassigned [0xD790]',
	0xD791 : 'Unassigned [0xD791]',
	0xD792 : 'Unassigned [0xD792]',
	0xD793 : 'Unassigned [0xD793]',
	0xD794 : 'Unassigned [0xD794]',
	0xD795 : 'Unassigned [0xD795]',
	0xD796 : 'Unassigned [0xD796]',
	0xD797 : 'Unassigned [0xD797]',
	0xD798 : 'Unassigned [0xD798]',
	0xD799 : 'Unassigned [0xD799]',
	0xD79A : 'Unassigned [0xD79A]',
	0xD79B : 'Unassigned [0xD79B]',
	0xD79C : 'Unassigned [0xD79C]',
	0xD79D : 'Unassigned [0xD79D]',
	0xD79E : 'Unassigned [0xD79E]',
	0xD79F : 'Unassigned [0xD79F]',
	0xD7A0 : 'Unassigned [0xD7A0]',
	0xD7A1 : 'Unassigned [0xD7A1]',
	0xD7A2 : 'Unassigned [0xD7A2]',
	0xD7A3 : 'Unassigned [0xD7A3]',
	0xD7A4 : 'Unassigned [0xD7A4]',
	0xD7A5 : 'Unassigned [0xD7A5]',
	0xD7A6 : 'Unassigned [0xD7A6]',
	0xD7A7 : 'Unassigned [0xD7A7]',
	0xD7A8 : 'Unassigned [0xD7A8]',
	0xD7A9 : 'Unassigned [0xD7A9]',
	0xD7AA : 'Unassigned [0xD7AA]',
	0xD7AB : 'Unassigned [0xD7AB]',
	0xD7AC : 'Unassigned [0xD7AC]',
	0xD7AD : 'Unassigned [0xD7AD]',
	0xD7AE : 'Unassigned [0xD7AE]',
	0xD7AF : 'Unassigned [0xD7AF]',
	0xD7B0 : 'Unassigned [0xD7B0]',
	0xD7B1 : 'Unassigned [0xD7B1]',
	0xD7B2 : 'Unassigned [0xD7B2]',
	0xD7B3 : 'Unassigned [0xD7B3]',
	0xD7B4 : 'Unassigned [0xD7B4]',
	0xD7B5 : 'Unassigned [0xD7B5]',
	0xD7B6 : 'Unassigned [0xD7B6]',
	0xD7B7 : 'Unassigned [0xD7B7]',
	0xD7B8 : 'Unassigned [0xD7B8]',
	0xD7B9 : 'Unassigned [0xD7B9]',
	0xD7BA : 'Unassigned [0xD7BA]',
	0xD7BB : 'Unassigned [0xD7BB]',
	0xD7BC : 'Unassigned [0xD7BC]',
	0xD7BD : 'Unassigned [0xD7BD]',
	0xD7BE : 'Unassigned [0xD7BE]',
	0xD7BF : 'Unassigned [0xD7BF]',
	0xD7C0 : 'Unassigned [0xD7C0]',
	0xD7C1 : 'Unassigned [0xD7C1]',
	0xD7C2 : 'Unassigned [0xD7C2]',
	0xD7C3 : 'Unassigned [0xD7C3]',
	0xD7C4 : 'Unassigned [0xD7C4]',
	0xD7C5 : 'Unassigned [0xD7C5]',
	0xD7C6 : 'Unassigned [0xD7C6]',
	0xD7C7 : 'Unassigned [0xD7C7]',
	0xD7C8 : 'Unassigned [0xD7C8]',
	0xD7C9 : 'Unassigned [0xD7C9]',
	0xD7CA : 'Unassigned [0xD7CA]',
	0xD7CB : 'Unassigned [0xD7CB]',
	0xD7CC : 'Unassigned [0xD7CC]',
	0xD7CD : 'Unassigned [0xD7CD]',
	0xD7CE : 'Unassigned [0xD7CE]',
	0xD7CF : 'Unassigned [0xD7CF]',
	0xD7D0 : 'Unassigned [0xD7D0]',
	0xD7D1 : 'Unassigned [0xD7D1]',
	0xD7D2 : 'Unassigned [0xD7D2]',
	0xD7D3 : 'Unassigned [0xD7D3]',
	0xD7D4 : 'Unassigned [0xD7D4]',
	0xD7D5 : 'Unassigned [0xD7D5]',
	0xD7D6 : 'Unassigned [0xD7D6]',
	0xD7D7 : 'Unassigned [0xD7D7]',
	0xD7D8 : 'Unassigned [0xD7D8]',
	0xD7D9 : 'Unassigned [0xD7D9]',
	0xD7DA : 'Unassigned [0xD7DA]',
	0xD7DB : 'Unassigned [0xD7DB]',
	0xD7DC : 'Unassigned [0xD7DC]',
	0xD7DD : 'Unassigned [0xD7DD]',
	0xD7DE : 'Unassigned [0xD7DE]',
	0xD7DF : 'Unassigned [0xD7DF]',
	0xD7E0 : 'Unassigned [0xD7E0]',
	0xD7E1 : 'Unassigned [0xD7E1]',
	0xD7E2 : 'Unassigned [0xD7E2]',
	0xD7E3 : 'Unassigned [0xD7E3]',
	0xD7E4 : 'Unassigned [0xD7E4]',
	0xD7E5 : 'Unassigned [0xD7E5]',
	0xD7E6 : 'Unassigned [0xD7E6]',
	0xD7E7 : 'Unassigned [0xD7E7]',
	0xD7E8 : 'Unassigned [0xD7E8]',
	0xD7E9 : 'Unassigned [0xD7E9]',
	0xD7EA : 'Unassigned [0xD7EA]',
	0xD7EB : 'Unassigned [0xD7EB]',
	0xD7EC : 'Unassigned [0xD7EC]',
	0xD7ED : 'Unassigned [0xD7ED]',
	0xD7EE : 'Unassigned [0xD7EE]',
	0xD7EF : 'Unassigned [0xD7EF]',
	0xD7F0 : 'Unassigned [0xD7F0]',
	0xD7F1 : 'Unassigned [0xD7F1]',
	0xD7F2 : 'Unassigned [0xD7F2]',
	0xD7F3 : 'Unassigned [0xD7F3]',
	0xD7F4 : 'Unassigned [0xD7F4]',
	0xD7F5 : 'Unassigned [0xD7F5]',
	0xD7F6 : 'Unassigned [0xD7F6]',
	0xD7F7 : 'Unassigned [0xD7F7]',
	0xD7F8 : 'Unassigned [0xD7F8]',
	0xD7F9 : 'Unassigned [0xD7F9]',
	0xD7FA : 'Unassigned [0xD7FA]',
	0xD7FB : 'Unassigned [0xD7FB]',
	0xD7FC : 'Unassigned [0xD7FC]',
	0xD7FD : 'Unassigned [0xD7FD]',
	0xD7FE : 'Unassigned [0xD7FE]',
	0xD7FF : 'Unassigned [0xD7FF]',
	0xD800 : 'Unassigned [0xD800]',
	0xD801 : 'Unassigned [0xD801]',
	0xD802 : 'Unassigned [0xD802]',
	0xD803 : 'Unassigned [0xD803]',
	0xD804 : 'Unassigned [0xD804]',
	0xD805 : 'Unassigned [0xD805]',
	0xD806 : 'Unassigned [0xD806]',
	0xD807 : 'Unassigned [0xD807]',
	0xD808 : 'Unassigned [0xD808]',
	0xD809 : 'Unassigned [0xD809]',
	0xD80A : 'Unassigned [0xD80A]',
	0xD80B : 'Unassigned [0xD80B]',
	0xD80C : 'Unassigned [0xD80C]',
	0xD80D : 'Unassigned [0xD80D]',
	0xD80E : 'Unassigned [0xD80E]',
	0xD80F : 'Unassigned [0xD80F]',
	0xD810 : 'Unassigned [0xD810]',
	0xD811 : 'Unassigned [0xD811]',
	0xD812 : 'Unassigned [0xD812]',
	0xD813 : 'Unassigned [0xD813]',
	0xD814 : 'Unassigned [0xD814]',
	0xD815 : 'Unassigned [0xD815]',
	0xD816 : 'Unassigned [0xD816]',
	0xD817 : 'Unassigned [0xD817]',
	0xD818 : 'Unassigned [0xD818]',
	0xD819 : 'Unassigned [0xD819]',
	0xD81A : 'Unassigned [0xD81A]',
	0xD81B : 'Unassigned [0xD81B]',
	0xD81C : 'Unassigned [0xD81C]',
	0xD81D : 'Unassigned [0xD81D]',
	0xD81E : 'Unassigned [0xD81E]',
	0xD81F : 'Unassigned [0xD81F]',
	0xD820 : 'Unassigned [0xD820]',
	0xD821 : 'Unassigned [0xD821]',
	0xD822 : 'Unassigned [0xD822]',
	0xD823 : 'Unassigned [0xD823]',
	0xD824 : 'Unassigned [0xD824]',
	0xD825 : 'Unassigned [0xD825]',
	0xD826 : 'Unassigned [0xD826]',
	0xD827 : 'Unassigned [0xD827]',
	0xD828 : 'Unassigned [0xD828]',
	0xD829 : 'Unassigned [0xD829]',
	0xD82A : 'Unassigned [0xD82A]',
	0xD82B : 'Unassigned [0xD82B]',
	0xD82C : 'Unassigned [0xD82C]',
	0xD82D : 'Unassigned [0xD82D]',
	0xD82E : 'Unassigned [0xD82E]',
	0xD82F : 'Unassigned [0xD82F]',
	0xD830 : 'Unassigned [0xD830]',
	0xD831 : 'Unassigned [0xD831]',
	0xD832 : 'Unassigned [0xD832]',
	0xD833 : 'Unassigned [0xD833]',
	0xD834 : 'Unassigned [0xD834]',
	0xD835 : 'Unassigned [0xD835]',
	0xD836 : 'Unassigned [0xD836]',
	0xD837 : 'Unassigned [0xD837]',
	0xD838 : 'Unassigned [0xD838]',
	0xD839 : 'Unassigned [0xD839]',
	0xD83A : 'Unassigned [0xD83A]',
	0xD83B : 'Unassigned [0xD83B]',
	0xD83C : 'Unassigned [0xD83C]',
	0xD83D : 'Unassigned [0xD83D]',
	0xD83E : 'Unassigned [0xD83E]',
	0xD83F : 'Unassigned [0xD83F]',
	0xD840 : 'Unassigned [0xD840]',
	0xD841 : 'Unassigned [0xD841]',
	0xD842 : 'Unassigned [0xD842]',
	0xD843 : 'Unassigned [0xD843]',
	0xD844 : 'Unassigned [0xD844]',
	0xD845 : 'Unassigned [0xD845]',
	0xD846 : 'Unassigned [0xD846]',
	0xD847 : 'Unassigned [0xD847]',
	0xD848 : 'Unassigned [0xD848]',
	0xD849 : 'Unassigned [0xD849]',
	0xD84A : 'Unassigned [0xD84A]',
	0xD84B : 'Unassigned [0xD84B]',
	0xD84C : 'Unassigned [0xD84C]',
	0xD84D : 'Unassigned [0xD84D]',
	0xD84E : 'Unassigned [0xD84E]',
	0xD84F : 'Unassigned [0xD84F]',
	0xD850 : 'Unassigned [0xD850]',
	0xD851 : 'Unassigned [0xD851]',
	0xD852 : 'Unassigned [0xD852]',
	0xD853 : 'Unassigned [0xD853]',
	0xD854 : 'Unassigned [0xD854]',
	0xD855 : 'Unassigned [0xD855]',
	0xD856 : 'Unassigned [0xD856]',
	0xD857 : 'Unassigned [0xD857]',
	0xD858 : 'Unassigned [0xD858]',
	0xD859 : 'Unassigned [0xD859]',
	0xD85A : 'Unassigned [0xD85A]',
	0xD85B : 'Unassigned [0xD85B]',
	0xD85C : 'Unassigned [0xD85C]',
	0xD85D : 'Unassigned [0xD85D]',
	0xD85E : 'Unassigned [0xD85E]',
	0xD85F : 'Unassigned [0xD85F]',
	0xD860 : 'Unassigned [0xD860]',
	0xD861 : 'Unassigned [0xD861]',
	0xD862 : 'Unassigned [0xD862]',
	0xD863 : 'Unassigned [0xD863]',
	0xD864 : 'Unassigned [0xD864]',
	0xD865 : 'Unassigned [0xD865]',
	0xD866 : 'Unassigned [0xD866]',
	0xD867 : 'Unassigned [0xD867]',
	0xD868 : 'Unassigned [0xD868]',
	0xD869 : 'Unassigned [0xD869]',
	0xD86A : 'Unassigned [0xD86A]',
	0xD86B : 'Unassigned [0xD86B]',
	0xD86C : 'Unassigned [0xD86C]',
	0xD86D : 'Unassigned [0xD86D]',
	0xD86E : 'Unassigned [0xD86E]',
	0xD86F : 'Unassigned [0xD86F]',
	0xD870 : 'Unassigned [0xD870]',
	0xD871 : 'Unassigned [0xD871]',
	0xD872 : 'Unassigned [0xD872]',
	0xD873 : 'Unassigned [0xD873]',
	0xD874 : 'Unassigned [0xD874]',
	0xD875 : 'Unassigned [0xD875]',
	0xD876 : 'Unassigned [0xD876]',
	0xD877 : 'Unassigned [0xD877]',
	0xD878 : 'Unassigned [0xD878]',
	0xD879 : 'Unassigned [0xD879]',
	0xD87A : 'Unassigned [0xD87A]',
	0xD87B : 'Unassigned [0xD87B]',
	0xD87C : 'Unassigned [0xD87C]',
	0xD87D : 'Unassigned [0xD87D]',
	0xD87E : 'Unassigned [0xD87E]',
	0xD87F : 'Unassigned [0xD87F]',
	0xD880 : 'Unassigned [0xD880]',
	0xD881 : 'Unassigned [0xD881]',
	0xD882 : 'Unassigned [0xD882]',
	0xD883 : 'Unassigned [0xD883]',
	0xD884 : 'Unassigned [0xD884]',
	0xD885 : 'Unassigned [0xD885]',
	0xD886 : 'Unassigned [0xD886]',
	0xD887 : 'Unassigned [0xD887]',
	0xD888 : 'Unassigned [0xD888]',
	0xD889 : 'Unassigned [0xD889]',
	0xD88A : 'Unassigned [0xD88A]',
	0xD88B : 'Unassigned [0xD88B]',
	0xD88C : 'Unassigned [0xD88C]',
	0xD88D : 'Unassigned [0xD88D]',
	0xD88E : 'Unassigned [0xD88E]',
	0xD88F : 'Unassigned [0xD88F]',
	0xD890 : 'Unassigned [0xD890]',
	0xD891 : 'Unassigned [0xD891]',
	0xD892 : 'Unassigned [0xD892]',
	0xD893 : 'Unassigned [0xD893]',
	0xD894 : 'Unassigned [0xD894]',
	0xD895 : 'Unassigned [0xD895]',
	0xD896 : 'Unassigned [0xD896]',
	0xD897 : 'Unassigned [0xD897]',
	0xD898 : 'Unassigned [0xD898]',
	0xD899 : 'Unassigned [0xD899]',
	0xD89A : 'Unassigned [0xD89A]',
	0xD89B : 'Unassigned [0xD89B]',
	0xD89C : 'Unassigned [0xD89C]',
	0xD89D : 'Unassigned [0xD89D]',
	0xD89E : 'Unassigned [0xD89E]',
	0xD89F : 'Unassigned [0xD89F]',
	0xD8A0 : 'Unassigned [0xD8A0]',
	0xD8A1 : 'Unassigned [0xD8A1]',
	0xD8A2 : 'Unassigned [0xD8A2]',
	0xD8A3 : 'Unassigned [0xD8A3]',
	0xD8A4 : 'Unassigned [0xD8A4]',
	0xD8A5 : 'Unassigned [0xD8A5]',
	0xD8A6 : 'Unassigned [0xD8A6]',
	0xD8A7 : 'Unassigned [0xD8A7]',
	0xD8A8 : 'Unassigned [0xD8A8]',
	0xD8A9 : 'Unassigned [0xD8A9]',
	0xD8AA : 'Unassigned [0xD8AA]',
	0xD8AB : 'Unassigned [0xD8AB]',
	0xD8AC : 'Unassigned [0xD8AC]',
	0xD8AD : 'Unassigned [0xD8AD]',
	0xD8AE : 'Unassigned [0xD8AE]',
	0xD8AF : 'Unassigned [0xD8AF]',
	0xD8B0 : 'Unassigned [0xD8B0]',
	0xD8B1 : 'Unassigned [0xD8B1]',
	0xD8B2 : 'Unassigned [0xD8B2]',
	0xD8B3 : 'Unassigned [0xD8B3]',
	0xD8B4 : 'Unassigned [0xD8B4]',
	0xD8B5 : 'Unassigned [0xD8B5]',
	0xD8B6 : 'Unassigned [0xD8B6]',
	0xD8B7 : 'Unassigned [0xD8B7]',
	0xD8B8 : 'Unassigned [0xD8B8]',
	0xD8B9 : 'Unassigned [0xD8B9]',
	0xD8BA : 'Unassigned [0xD8BA]',
	0xD8BB : 'Unassigned [0xD8BB]',
	0xD8BC : 'Unassigned [0xD8BC]',
	0xD8BD : 'Unassigned [0xD8BD]',
	0xD8BE : 'Unassigned [0xD8BE]',
	0xD8BF : 'Unassigned [0xD8BF]',
	0xD8C0 : 'Unassigned [0xD8C0]',
	0xD8C1 : 'Unassigned [0xD8C1]',
	0xD8C2 : 'Unassigned [0xD8C2]',
	0xD8C3 : 'Unassigned [0xD8C3]',
	0xD8C4 : 'Unassigned [0xD8C4]',
	0xD8C5 : 'Unassigned [0xD8C5]',
	0xD8C6 : 'Unassigned [0xD8C6]',
	0xD8C7 : 'Unassigned [0xD8C7]',
	0xD8C8 : 'Unassigned [0xD8C8]',
	0xD8C9 : 'Unassigned [0xD8C9]',
	0xD8CA : 'Unassigned [0xD8CA]',
	0xD8CB : 'Unassigned [0xD8CB]',
	0xD8CC : 'Unassigned [0xD8CC]',
	0xD8CD : 'Unassigned [0xD8CD]',
	0xD8CE : 'Unassigned [0xD8CE]',
	0xD8CF : 'Unassigned [0xD8CF]',
	0xD8D0 : 'Unassigned [0xD8D0]',
	0xD8D1 : 'Unassigned [0xD8D1]',
	0xD8D2 : 'Unassigned [0xD8D2]',
	0xD8D3 : 'Unassigned [0xD8D3]',
	0xD8D4 : 'Unassigned [0xD8D4]',
	0xD8D5 : 'Unassigned [0xD8D5]',
	0xD8D6 : 'Unassigned [0xD8D6]',
	0xD8D7 : 'Unassigned [0xD8D7]',
	0xD8D8 : 'Unassigned [0xD8D8]',
	0xD8D9 : 'Unassigned [0xD8D9]',
	0xD8DA : 'Unassigned [0xD8DA]',
	0xD8DB : 'Unassigned [0xD8DB]',
	0xD8DC : 'Unassigned [0xD8DC]',
	0xD8DD : 'Unassigned [0xD8DD]',
	0xD8DE : 'Unassigned [0xD8DE]',
	0xD8DF : 'Unassigned [0xD8DF]',
	0xD8E0 : 'Unassigned [0xD8E0]',
	0xD8E1 : 'Unassigned [0xD8E1]',
	0xD8E2 : 'Unassigned [0xD8E2]',
	0xD8E3 : 'Unassigned [0xD8E3]',
	0xD8E4 : 'Unassigned [0xD8E4]',
	0xD8E5 : 'Unassigned [0xD8E5]',
	0xD8E6 : 'Unassigned [0xD8E6]',
	0xD8E7 : 'Unassigned [0xD8E7]',
	0xD8E8 : 'Unassigned [0xD8E8]',
	0xD8E9 : 'Unassigned [0xD8E9]',
	0xD8EA : 'Unassigned [0xD8EA]',
	0xD8EB : 'Unassigned [0xD8EB]',
	0xD8EC : 'Unassigned [0xD8EC]',
	0xD8ED : 'Unassigned [0xD8ED]',
	0xD8EE : 'Unassigned [0xD8EE]',
	0xD8EF : 'Unassigned [0xD8EF]',
	0xD8F0 : 'Unassigned [0xD8F0]',
	0xD8F1 : 'Unassigned [0xD8F1]',
	0xD8F2 : 'Unassigned [0xD8F2]',
	0xD8F3 : 'Unassigned [0xD8F3]',
	0xD8F4 : 'Unassigned [0xD8F4]',
	0xD8F5 : 'Unassigned [0xD8F5]',
	0xD8F6 : 'Unassigned [0xD8F6]',
	0xD8F7 : 'Unassigned [0xD8F7]',
	0xD8F8 : 'Unassigned [0xD8F8]',
	0xD8F9 : 'Unassigned [0xD8F9]',
	0xD8FA : 'Unassigned [0xD8FA]',
	0xD8FB : 'Unassigned [0xD8FB]',
	0xD8FC : 'Unassigned [0xD8FC]',
	0xD8FD : 'Unassigned [0xD8FD]',
	0xD8FE : 'Unassigned [0xD8FE]',
	0xD8FF : 'Unassigned [0xD8FF]',
	0xD900 : 'Unassigned [0xD900]',
	0xD901 : 'Unassigned [0xD901]',
	0xD902 : 'Unassigned [0xD902]',
	0xD903 : 'Unassigned [0xD903]',
	0xD904 : 'Unassigned [0xD904]',
	0xD905 : 'Unassigned [0xD905]',
	0xD906 : 'Unassigned [0xD906]',
	0xD907 : 'Unassigned [0xD907]',
	0xD908 : 'Unassigned [0xD908]',
	0xD909 : 'Unassigned [0xD909]',
	0xD90A : 'Unassigned [0xD90A]',
	0xD90B : 'Unassigned [0xD90B]',
	0xD90C : 'Unassigned [0xD90C]',
	0xD90D : 'Unassigned [0xD90D]',
	0xD90E : 'Unassigned [0xD90E]',
	0xD90F : 'Unassigned [0xD90F]',
	0xD910 : 'Unassigned [0xD910]',
	0xD911 : 'Unassigned [0xD911]',
	0xD912 : 'Unassigned [0xD912]',
	0xD913 : 'Unassigned [0xD913]',
	0xD914 : 'Unassigned [0xD914]',
	0xD915 : 'Unassigned [0xD915]',
	0xD916 : 'Unassigned [0xD916]',
	0xD917 : 'Unassigned [0xD917]',
	0xD918 : 'Unassigned [0xD918]',
	0xD919 : 'Unassigned [0xD919]',
	0xD91A : 'Unassigned [0xD91A]',
	0xD91B : 'Unassigned [0xD91B]',
	0xD91C : 'Unassigned [0xD91C]',
	0xD91D : 'Unassigned [0xD91D]',
	0xD91E : 'Unassigned [0xD91E]',
	0xD91F : 'Unassigned [0xD91F]',
	0xD920 : 'Unassigned [0xD920]',
	0xD921 : 'Unassigned [0xD921]',
	0xD922 : 'Unassigned [0xD922]',
	0xD923 : 'Unassigned [0xD923]',
	0xD924 : 'Unassigned [0xD924]',
	0xD925 : 'Unassigned [0xD925]',
	0xD926 : 'Unassigned [0xD926]',
	0xD927 : 'Unassigned [0xD927]',
	0xD928 : 'Unassigned [0xD928]',
	0xD929 : 'Unassigned [0xD929]',
	0xD92A : 'Unassigned [0xD92A]',
	0xD92B : 'Unassigned [0xD92B]',
	0xD92C : 'Unassigned [0xD92C]',
	0xD92D : 'Unassigned [0xD92D]',
	0xD92E : 'Unassigned [0xD92E]',
	0xD92F : 'Unassigned [0xD92F]',
	0xD930 : 'Unassigned [0xD930]',
	0xD931 : 'Unassigned [0xD931]',
	0xD932 : 'Unassigned [0xD932]',
	0xD933 : 'Unassigned [0xD933]',
	0xD934 : 'Unassigned [0xD934]',
	0xD935 : 'Unassigned [0xD935]',
	0xD936 : 'Unassigned [0xD936]',
	0xD937 : 'Unassigned [0xD937]',
	0xD938 : 'Unassigned [0xD938]',
	0xD939 : 'Unassigned [0xD939]',
	0xD93A : 'Unassigned [0xD93A]',
	0xD93B : 'Unassigned [0xD93B]',
	0xD93C : 'Unassigned [0xD93C]',
	0xD93D : 'Unassigned [0xD93D]',
	0xD93E : 'Unassigned [0xD93E]',
	0xD93F : 'Unassigned [0xD93F]',
	0xD940 : 'Unassigned [0xD940]',
	0xD941 : 'Unassigned [0xD941]',
	0xD942 : 'Unassigned [0xD942]',
	0xD943 : 'Unassigned [0xD943]',
	0xD944 : 'Unassigned [0xD944]',
	0xD945 : 'Unassigned [0xD945]',
	0xD946 : 'Unassigned [0xD946]',
	0xD947 : 'Unassigned [0xD947]',
	0xD948 : 'Unassigned [0xD948]',
	0xD949 : 'Unassigned [0xD949]',
	0xD94A : 'Unassigned [0xD94A]',
	0xD94B : 'Unassigned [0xD94B]',
	0xD94C : 'Unassigned [0xD94C]',
	0xD94D : 'Unassigned [0xD94D]',
	0xD94E : 'Unassigned [0xD94E]',
	0xD94F : 'Unassigned [0xD94F]',
	0xD950 : 'Unassigned [0xD950]',
	0xD951 : 'Unassigned [0xD951]',
	0xD952 : 'Unassigned [0xD952]',
	0xD953 : 'Unassigned [0xD953]',
	0xD954 : 'Unassigned [0xD954]',
	0xD955 : 'Unassigned [0xD955]',
	0xD956 : 'Unassigned [0xD956]',
	0xD957 : 'Unassigned [0xD957]',
	0xD958 : 'Unassigned [0xD958]',
	0xD959 : 'Unassigned [0xD959]',
	0xD95A : 'Unassigned [0xD95A]',
	0xD95B : 'Unassigned [0xD95B]',
	0xD95C : 'Unassigned [0xD95C]',
	0xD95D : 'Unassigned [0xD95D]',
	0xD95E : 'Unassigned [0xD95E]',
	0xD95F : 'Unassigned [0xD95F]',
	0xD960 : 'Unassigned [0xD960]',
	0xD961 : 'Unassigned [0xD961]',
	0xD962 : 'Unassigned [0xD962]',
	0xD963 : 'Unassigned [0xD963]',
	0xD964 : 'Unassigned [0xD964]',
	0xD965 : 'Unassigned [0xD965]',
	0xD966 : 'Unassigned [0xD966]',
	0xD967 : 'Unassigned [0xD967]',
	0xD968 : 'Unassigned [0xD968]',
	0xD969 : 'Unassigned [0xD969]',
	0xD96A : 'Unassigned [0xD96A]',
	0xD96B : 'Unassigned [0xD96B]',
	0xD96C : 'Unassigned [0xD96C]',
	0xD96D : 'Unassigned [0xD96D]',
	0xD96E : 'Unassigned [0xD96E]',
	0xD96F : 'Unassigned [0xD96F]',
	0xD970 : 'Unassigned [0xD970]',
	0xD971 : 'Unassigned [0xD971]',
	0xD972 : 'Unassigned [0xD972]',
	0xD973 : 'Unassigned [0xD973]',
	0xD974 : 'Unassigned [0xD974]',
	0xD975 : 'Unassigned [0xD975]',
	0xD976 : 'Unassigned [0xD976]',
	0xD977 : 'Unassigned [0xD977]',
	0xD978 : 'Unassigned [0xD978]',
	0xD979 : 'Unassigned [0xD979]',
	0xD97A : 'Unassigned [0xD97A]',
	0xD97B : 'Unassigned [0xD97B]',
	0xD97C : 'Unassigned [0xD97C]',
	0xD97D : 'Unassigned [0xD97D]',
	0xD97E : 'Unassigned [0xD97E]',
	0xD97F : 'Unassigned [0xD97F]',
	0xD980 : 'Unassigned [0xD980]',
	0xD981 : 'Unassigned [0xD981]',
	0xD982 : 'Unassigned [0xD982]',
	0xD983 : 'Unassigned [0xD983]',
	0xD984 : 'Unassigned [0xD984]',
	0xD985 : 'Unassigned [0xD985]',
	0xD986 : 'Unassigned [0xD986]',
	0xD987 : 'Unassigned [0xD987]',
	0xD988 : 'Unassigned [0xD988]',
	0xD989 : 'Unassigned [0xD989]',
	0xD98A : 'Unassigned [0xD98A]',
	0xD98B : 'Unassigned [0xD98B]',
	0xD98C : 'Unassigned [0xD98C]',
	0xD98D : 'Unassigned [0xD98D]',
	0xD98E : 'Unassigned [0xD98E]',
	0xD98F : 'Unassigned [0xD98F]',
	0xD990 : 'Unassigned [0xD990]',
	0xD991 : 'Unassigned [0xD991]',
	0xD992 : 'Unassigned [0xD992]',
	0xD993 : 'Unassigned [0xD993]',
	0xD994 : 'Unassigned [0xD994]',
	0xD995 : 'Unassigned [0xD995]',
	0xD996 : 'Unassigned [0xD996]',
	0xD997 : 'Unassigned [0xD997]',
	0xD998 : 'Unassigned [0xD998]',
	0xD999 : 'Unassigned [0xD999]',
	0xD99A : 'Unassigned [0xD99A]',
	0xD99B : 'Unassigned [0xD99B]',
	0xD99C : 'Unassigned [0xD99C]',
	0xD99D : 'Unassigned [0xD99D]',
	0xD99E : 'Unassigned [0xD99E]',
	0xD99F : 'Unassigned [0xD99F]',
	0xD9A0 : 'Unassigned [0xD9A0]',
	0xD9A1 : 'Unassigned [0xD9A1]',
	0xD9A2 : 'Unassigned [0xD9A2]',
	0xD9A3 : 'Unassigned [0xD9A3]',
	0xD9A4 : 'Unassigned [0xD9A4]',
	0xD9A5 : 'Unassigned [0xD9A5]',
	0xD9A6 : 'Unassigned [0xD9A6]',
	0xD9A7 : 'Unassigned [0xD9A7]',
	0xD9A8 : 'Unassigned [0xD9A8]',
	0xD9A9 : 'Unassigned [0xD9A9]',
	0xD9AA : 'Unassigned [0xD9AA]',
	0xD9AB : 'Unassigned [0xD9AB]',
	0xD9AC : 'Unassigned [0xD9AC]',
	0xD9AD : 'Unassigned [0xD9AD]',
	0xD9AE : 'Unassigned [0xD9AE]',
	0xD9AF : 'Unassigned [0xD9AF]',
	0xD9B0 : 'Unassigned [0xD9B0]',
	0xD9B1 : 'Unassigned [0xD9B1]',
	0xD9B2 : 'Unassigned [0xD9B2]',
	0xD9B3 : 'Unassigned [0xD9B3]',
	0xD9B4 : 'Unassigned [0xD9B4]',
	0xD9B5 : 'Unassigned [0xD9B5]',
	0xD9B6 : 'Unassigned [0xD9B6]',
	0xD9B7 : 'Unassigned [0xD9B7]',
	0xD9B8 : 'Unassigned [0xD9B8]',
	0xD9B9 : 'Unassigned [0xD9B9]',
	0xD9BA : 'Unassigned [0xD9BA]',
	0xD9BB : 'Unassigned [0xD9BB]',
	0xD9BC : 'Unassigned [0xD9BC]',
	0xD9BD : 'Unassigned [0xD9BD]',
	0xD9BE : 'Unassigned [0xD9BE]',
	0xD9BF : 'Unassigned [0xD9BF]',
	0xD9C0 : 'Unassigned [0xD9C0]',
	0xD9C1 : 'Unassigned [0xD9C1]',
	0xD9C2 : 'Unassigned [0xD9C2]',
	0xD9C3 : 'Unassigned [0xD9C3]',
	0xD9C4 : 'Unassigned [0xD9C4]',
	0xD9C5 : 'Unassigned [0xD9C5]',
	0xD9C6 : 'Unassigned [0xD9C6]',
	0xD9C7 : 'Unassigned [0xD9C7]',
	0xD9C8 : 'Unassigned [0xD9C8]',
	0xD9C9 : 'Unassigned [0xD9C9]',
	0xD9CA : 'Unassigned [0xD9CA]',
	0xD9CB : 'Unassigned [0xD9CB]',
	0xD9CC : 'Unassigned [0xD9CC]',
	0xD9CD : 'Unassigned [0xD9CD]',
	0xD9CE : 'Unassigned [0xD9CE]',
	0xD9CF : 'Unassigned [0xD9CF]',
	0xD9D0 : 'Unassigned [0xD9D0]',
	0xD9D1 : 'Unassigned [0xD9D1]',
	0xD9D2 : 'Unassigned [0xD9D2]',
	0xD9D3 : 'Unassigned [0xD9D3]',
	0xD9D4 : 'Unassigned [0xD9D4]',
	0xD9D5 : 'Unassigned [0xD9D5]',
	0xD9D6 : 'Unassigned [0xD9D6]',
	0xD9D7 : 'Unassigned [0xD9D7]',
	0xD9D8 : 'Unassigned [0xD9D8]',
	0xD9D9 : 'Unassigned [0xD9D9]',
	0xD9DA : 'Unassigned [0xD9DA]',
	0xD9DB : 'Unassigned [0xD9DB]',
	0xD9DC : 'Unassigned [0xD9DC]',
	0xD9DD : 'Unassigned [0xD9DD]',
	0xD9DE : 'Unassigned [0xD9DE]',
	0xD9DF : 'Unassigned [0xD9DF]',
	0xD9E0 : 'Unassigned [0xD9E0]',
	0xD9E1 : 'Unassigned [0xD9E1]',
	0xD9E2 : 'Unassigned [0xD9E2]',
	0xD9E3 : 'Unassigned [0xD9E3]',
	0xD9E4 : 'Unassigned [0xD9E4]',
	0xD9E5 : 'Unassigned [0xD9E5]',
	0xD9E6 : 'Unassigned [0xD9E6]',
	0xD9E7 : 'Unassigned [0xD9E7]',
	0xD9E8 : 'Unassigned [0xD9E8]',
	0xD9E9 : 'Unassigned [0xD9E9]',
	0xD9EA : 'Unassigned [0xD9EA]',
	0xD9EB : 'Unassigned [0xD9EB]',
	0xD9EC : 'Unassigned [0xD9EC]',
	0xD9ED : 'Unassigned [0xD9ED]',
	0xD9EE : 'Unassigned [0xD9EE]',
	0xD9EF : 'Unassigned [0xD9EF]',
	0xD9F0 : 'Unassigned [0xD9F0]',
	0xD9F1 : 'Unassigned [0xD9F1]',
	0xD9F2 : 'Unassigned [0xD9F2]',
	0xD9F3 : 'Unassigned [0xD9F3]',
	0xD9F4 : 'Unassigned [0xD9F4]',
	0xD9F5 : 'Unassigned [0xD9F5]',
	0xD9F6 : 'Unassigned [0xD9F6]',
	0xD9F7 : 'Unassigned [0xD9F7]',
	0xD9F8 : 'Unassigned [0xD9F8]',
	0xD9F9 : 'Unassigned [0xD9F9]',
	0xD9FA : 'Unassigned [0xD9FA]',
	0xD9FB : 'Unassigned [0xD9FB]',
	0xD9FC : 'Unassigned [0xD9FC]',
	0xD9FD : 'Unassigned [0xD9FD]',
	0xD9FE : 'Unassigned [0xD9FE]',
	0xD9FF : 'Unassigned [0xD9FF]',
	0xDA00 : 'Unassigned [0xDA00]',
	0xDA01 : 'Unassigned [0xDA01]',
	0xDA02 : 'Unassigned [0xDA02]',
	0xDA03 : 'Unassigned [0xDA03]',
	0xDA04 : 'Unassigned [0xDA04]',
	0xDA05 : 'Unassigned [0xDA05]',
	0xDA06 : 'Unassigned [0xDA06]',
	0xDA07 : 'Unassigned [0xDA07]',
	0xDA08 : 'Unassigned [0xDA08]',
	0xDA09 : 'Unassigned [0xDA09]',
	0xDA0A : 'Unassigned [0xDA0A]',
	0xDA0B : 'Unassigned [0xDA0B]',
	0xDA0C : 'Unassigned [0xDA0C]',
	0xDA0D : 'Unassigned [0xDA0D]',
	0xDA0E : 'Unassigned [0xDA0E]',
	0xDA0F : 'Unassigned [0xDA0F]',
	0xDA10 : 'Unassigned [0xDA10]',
	0xDA11 : 'Unassigned [0xDA11]',
	0xDA12 : 'Unassigned [0xDA12]',
	0xDA13 : 'Unassigned [0xDA13]',
	0xDA14 : 'Unassigned [0xDA14]',
	0xDA15 : 'Unassigned [0xDA15]',
	0xDA16 : 'Unassigned [0xDA16]',
	0xDA17 : 'Unassigned [0xDA17]',
	0xDA18 : 'Unassigned [0xDA18]',
	0xDA19 : 'Unassigned [0xDA19]',
	0xDA1A : 'Unassigned [0xDA1A]',
	0xDA1B : 'Unassigned [0xDA1B]',
	0xDA1C : 'Unassigned [0xDA1C]',
	0xDA1D : 'Unassigned [0xDA1D]',
	0xDA1E : 'Unassigned [0xDA1E]',
	0xDA1F : 'Unassigned [0xDA1F]',
	0xDA20 : 'Unassigned [0xDA20]',
	0xDA21 : 'Unassigned [0xDA21]',
	0xDA22 : 'Unassigned [0xDA22]',
	0xDA23 : 'Unassigned [0xDA23]',
	0xDA24 : 'Unassigned [0xDA24]',
	0xDA25 : 'Unassigned [0xDA25]',
	0xDA26 : 'Unassigned [0xDA26]',
	0xDA27 : 'Unassigned [0xDA27]',
	0xDA28 : 'Unassigned [0xDA28]',
	0xDA29 : 'Unassigned [0xDA29]',
	0xDA2A : 'Unassigned [0xDA2A]',
	0xDA2B : 'Unassigned [0xDA2B]',
	0xDA2C : 'Unassigned [0xDA2C]',
	0xDA2D : 'Unassigned [0xDA2D]',
	0xDA2E : 'Unassigned [0xDA2E]',
	0xDA2F : 'Unassigned [0xDA2F]',
	0xDA30 : 'Unassigned [0xDA30]',
	0xDA31 : 'Unassigned [0xDA31]',
	0xDA32 : 'Unassigned [0xDA32]',
	0xDA33 : 'Unassigned [0xDA33]',
	0xDA34 : 'Unassigned [0xDA34]',
	0xDA35 : 'Unassigned [0xDA35]',
	0xDA36 : 'Unassigned [0xDA36]',
	0xDA37 : 'Unassigned [0xDA37]',
	0xDA38 : 'Unassigned [0xDA38]',
	0xDA39 : 'Unassigned [0xDA39]',
	0xDA3A : 'Unassigned [0xDA3A]',
	0xDA3B : 'Unassigned [0xDA3B]',
	0xDA3C : 'Unassigned [0xDA3C]',
	0xDA3D : 'Unassigned [0xDA3D]',
	0xDA3E : 'Unassigned [0xDA3E]',
	0xDA3F : 'Unassigned [0xDA3F]',
	0xDA40 : 'Unassigned [0xDA40]',
	0xDA41 : 'Unassigned [0xDA41]',
	0xDA42 : 'Unassigned [0xDA42]',
	0xDA43 : 'Unassigned [0xDA43]',
	0xDA44 : 'Unassigned [0xDA44]',
	0xDA45 : 'Unassigned [0xDA45]',
	0xDA46 : 'Unassigned [0xDA46]',
	0xDA47 : 'Unassigned [0xDA47]',
	0xDA48 : 'Unassigned [0xDA48]',
	0xDA49 : 'Unassigned [0xDA49]',
	0xDA4A : 'Unassigned [0xDA4A]',
	0xDA4B : 'Unassigned [0xDA4B]',
	0xDA4C : 'Unassigned [0xDA4C]',
	0xDA4D : 'Unassigned [0xDA4D]',
	0xDA4E : 'Unassigned [0xDA4E]',
	0xDA4F : 'Unassigned [0xDA4F]',
	0xDA50 : 'Unassigned [0xDA50]',
	0xDA51 : 'Unassigned [0xDA51]',
	0xDA52 : 'Unassigned [0xDA52]',
	0xDA53 : 'Unassigned [0xDA53]',
	0xDA54 : 'Unassigned [0xDA54]',
	0xDA55 : 'Unassigned [0xDA55]',
	0xDA56 : 'Unassigned [0xDA56]',
	0xDA57 : 'Unassigned [0xDA57]',
	0xDA58 : 'Unassigned [0xDA58]',
	0xDA59 : 'Unassigned [0xDA59]',
	0xDA5A : 'Unassigned [0xDA5A]',
	0xDA5B : 'Unassigned [0xDA5B]',
	0xDA5C : 'Unassigned [0xDA5C]',
	0xDA5D : 'Unassigned [0xDA5D]',
	0xDA5E : 'Unassigned [0xDA5E]',
	0xDA5F : 'Unassigned [0xDA5F]',
	0xDA60 : 'Unassigned [0xDA60]',
	0xDA61 : 'Unassigned [0xDA61]',
	0xDA62 : 'Unassigned [0xDA62]',
	0xDA63 : 'Unassigned [0xDA63]',
	0xDA64 : 'Unassigned [0xDA64]',
	0xDA65 : 'Unassigned [0xDA65]',
	0xDA66 : 'Unassigned [0xDA66]',
	0xDA67 : 'Unassigned [0xDA67]',
	0xDA68 : 'Unassigned [0xDA68]',
	0xDA69 : 'Unassigned [0xDA69]',
	0xDA6A : 'Unassigned [0xDA6A]',
	0xDA6B : 'Unassigned [0xDA6B]',
	0xDA6C : 'Unassigned [0xDA6C]',
	0xDA6D : 'Unassigned [0xDA6D]',
	0xDA6E : 'Unassigned [0xDA6E]',
	0xDA6F : 'Unassigned [0xDA6F]',
	0xDA70 : 'Unassigned [0xDA70]',
	0xDA71 : 'Unassigned [0xDA71]',
	0xDA72 : 'Unassigned [0xDA72]',
	0xDA73 : 'Unassigned [0xDA73]',
	0xDA74 : 'Unassigned [0xDA74]',
	0xDA75 : 'Unassigned [0xDA75]',
	0xDA76 : 'Unassigned [0xDA76]',
	0xDA77 : 'Unassigned [0xDA77]',
	0xDA78 : 'Unassigned [0xDA78]',
	0xDA79 : 'Unassigned [0xDA79]',
	0xDA7A : 'Unassigned [0xDA7A]',
	0xDA7B : 'Unassigned [0xDA7B]',
	0xDA7C : 'Unassigned [0xDA7C]',
	0xDA7D : 'Unassigned [0xDA7D]',
	0xDA7E : 'Unassigned [0xDA7E]',
	0xDA7F : 'Unassigned [0xDA7F]',
	0xDA80 : 'Unassigned [0xDA80]',
	0xDA81 : 'Unassigned [0xDA81]',
	0xDA82 : 'Unassigned [0xDA82]',
	0xDA83 : 'Unassigned [0xDA83]',
	0xDA84 : 'Unassigned [0xDA84]',
	0xDA85 : 'Unassigned [0xDA85]',
	0xDA86 : 'Unassigned [0xDA86]',
	0xDA87 : 'Unassigned [0xDA87]',
	0xDA88 : 'Unassigned [0xDA88]',
	0xDA89 : 'Unassigned [0xDA89]',
	0xDA8A : 'Unassigned [0xDA8A]',
	0xDA8B : 'Unassigned [0xDA8B]',
	0xDA8C : 'Unassigned [0xDA8C]',
	0xDA8D : 'Unassigned [0xDA8D]',
	0xDA8E : 'Unassigned [0xDA8E]',
	0xDA8F : 'Unassigned [0xDA8F]',
	0xDA90 : 'Unassigned [0xDA90]',
	0xDA91 : 'Unassigned [0xDA91]',
	0xDA92 : 'Unassigned [0xDA92]',
	0xDA93 : 'Unassigned [0xDA93]',
	0xDA94 : 'Unassigned [0xDA94]',
	0xDA95 : 'Unassigned [0xDA95]',
	0xDA96 : 'Unassigned [0xDA96]',
	0xDA97 : 'Unassigned [0xDA97]',
	0xDA98 : 'Unassigned [0xDA98]',
	0xDA99 : 'Unassigned [0xDA99]',
	0xDA9A : 'Unassigned [0xDA9A]',
	0xDA9B : 'Unassigned [0xDA9B]',
	0xDA9C : 'Unassigned [0xDA9C]',
	0xDA9D : 'Unassigned [0xDA9D]',
	0xDA9E : 'Unassigned [0xDA9E]',
	0xDA9F : 'Unassigned [0xDA9F]',
	0xDAA0 : 'Unassigned [0xDAA0]',
	0xDAA1 : 'Unassigned [0xDAA1]',
	0xDAA2 : 'Unassigned [0xDAA2]',
	0xDAA3 : 'Unassigned [0xDAA3]',
	0xDAA4 : 'Unassigned [0xDAA4]',
	0xDAA5 : 'Unassigned [0xDAA5]',
	0xDAA6 : 'Unassigned [0xDAA6]',
	0xDAA7 : 'Unassigned [0xDAA7]',
	0xDAA8 : 'Unassigned [0xDAA8]',
	0xDAA9 : 'Unassigned [0xDAA9]',
	0xDAAA : 'Unassigned [0xDAAA]',
	0xDAAB : 'Unassigned [0xDAAB]',
	0xDAAC : 'Unassigned [0xDAAC]',
	0xDAAD : 'Unassigned [0xDAAD]',
	0xDAAE : 'Unassigned [0xDAAE]',
	0xDAAF : 'Unassigned [0xDAAF]',
	0xDAB0 : 'Unassigned [0xDAB0]',
	0xDAB1 : 'Unassigned [0xDAB1]',
	0xDAB2 : 'Unassigned [0xDAB2]',
	0xDAB3 : 'Unassigned [0xDAB3]',
	0xDAB4 : 'Unassigned [0xDAB4]',
	0xDAB5 : 'Unassigned [0xDAB5]',
	0xDAB6 : 'Unassigned [0xDAB6]',
	0xDAB7 : 'Unassigned [0xDAB7]',
	0xDAB8 : 'Unassigned [0xDAB8]',
	0xDAB9 : 'Unassigned [0xDAB9]',
	0xDABA : 'Unassigned [0xDABA]',
	0xDABB : 'Unassigned [0xDABB]',
	0xDABC : 'Unassigned [0xDABC]',
	0xDABD : 'Unassigned [0xDABD]',
	0xDABE : 'Unassigned [0xDABE]',
	0xDABF : 'Unassigned [0xDABF]',
	0xDAC0 : 'Unassigned [0xDAC0]',
	0xDAC1 : 'Unassigned [0xDAC1]',
	0xDAC2 : 'Unassigned [0xDAC2]',
	0xDAC3 : 'Unassigned [0xDAC3]',
	0xDAC4 : 'Unassigned [0xDAC4]',
	0xDAC5 : 'Unassigned [0xDAC5]',
	0xDAC6 : 'Unassigned [0xDAC6]',
	0xDAC7 : 'Unassigned [0xDAC7]',
	0xDAC8 : 'Unassigned [0xDAC8]',
	0xDAC9 : 'Unassigned [0xDAC9]',
	0xDACA : 'Unassigned [0xDACA]',
	0xDACB : 'Unassigned [0xDACB]',
	0xDACC : 'Unassigned [0xDACC]',
	0xDACD : 'Unassigned [0xDACD]',
	0xDACE : 'Unassigned [0xDACE]',
	0xDACF : 'Unassigned [0xDACF]',
	0xDAD0 : 'Unassigned [0xDAD0]',
	0xDAD1 : 'Unassigned [0xDAD1]',
	0xDAD2 : 'Unassigned [0xDAD2]',
	0xDAD3 : 'Unassigned [0xDAD3]',
	0xDAD4 : 'Unassigned [0xDAD4]',
	0xDAD5 : 'Unassigned [0xDAD5]',
	0xDAD6 : 'Unassigned [0xDAD6]',
	0xDAD7 : 'Unassigned [0xDAD7]',
	0xDAD8 : 'Unassigned [0xDAD8]',
	0xDAD9 : 'Unassigned [0xDAD9]',
	0xDADA : 'Unassigned [0xDADA]',
	0xDADB : 'Unassigned [0xDADB]',
	0xDADC : 'Unassigned [0xDADC]',
	0xDADD : 'Unassigned [0xDADD]',
	0xDADE : 'Unassigned [0xDADE]',
	0xDADF : 'Unassigned [0xDADF]',
	0xDAE0 : 'Unassigned [0xDAE0]',
	0xDAE1 : 'Unassigned [0xDAE1]',
	0xDAE2 : 'Unassigned [0xDAE2]',
	0xDAE3 : 'Unassigned [0xDAE3]',
	0xDAE4 : 'Unassigned [0xDAE4]',
	0xDAE5 : 'Unassigned [0xDAE5]',
	0xDAE6 : 'Unassigned [0xDAE6]',
	0xDAE7 : 'Unassigned [0xDAE7]',
	0xDAE8 : 'Unassigned [0xDAE8]',
	0xDAE9 : 'Unassigned [0xDAE9]',
	0xDAEA : 'Unassigned [0xDAEA]',
	0xDAEB : 'Unassigned [0xDAEB]',
	0xDAEC : 'Unassigned [0xDAEC]',
	0xDAED : 'Unassigned [0xDAED]',
	0xDAEE : 'Unassigned [0xDAEE]',
	0xDAEF : 'Unassigned [0xDAEF]',
	0xDAF0 : 'Unassigned [0xDAF0]',
	0xDAF1 : 'Unassigned [0xDAF1]',
	0xDAF2 : 'Unassigned [0xDAF2]',
	0xDAF3 : 'Unassigned [0xDAF3]',
	0xDAF4 : 'Unassigned [0xDAF4]',
	0xDAF5 : 'Unassigned [0xDAF5]',
	0xDAF6 : 'Unassigned [0xDAF6]',
	0xDAF7 : 'Unassigned [0xDAF7]',
	0xDAF8 : 'Unassigned [0xDAF8]',
	0xDAF9 : 'Unassigned [0xDAF9]',
	0xDAFA : 'Unassigned [0xDAFA]',
	0xDAFB : 'Unassigned [0xDAFB]',
	0xDAFC : 'Unassigned [0xDAFC]',
	0xDAFD : 'Unassigned [0xDAFD]',
	0xDAFE : 'Unassigned [0xDAFE]',
	0xDAFF : 'Unassigned [0xDAFF]',
	0xDB00 : 'Unassigned [0xDB00]',
	0xDB01 : 'Unassigned [0xDB01]',
	0xDB02 : 'Unassigned [0xDB02]',
	0xDB03 : 'Unassigned [0xDB03]',
	0xDB04 : 'Unassigned [0xDB04]',
	0xDB05 : 'Unassigned [0xDB05]',
	0xDB06 : 'Unassigned [0xDB06]',
	0xDB07 : 'Unassigned [0xDB07]',
	0xDB08 : 'Unassigned [0xDB08]',
	0xDB09 : 'Unassigned [0xDB09]',
	0xDB0A : 'Unassigned [0xDB0A]',
	0xDB0B : 'Unassigned [0xDB0B]',
	0xDB0C : 'Unassigned [0xDB0C]',
	0xDB0D : 'Unassigned [0xDB0D]',
	0xDB0E : 'Unassigned [0xDB0E]',
	0xDB0F : 'Unassigned [0xDB0F]',
	0xDB10 : 'Unassigned [0xDB10]',
	0xDB11 : 'Unassigned [0xDB11]',
	0xDB12 : 'Unassigned [0xDB12]',
	0xDB13 : 'Unassigned [0xDB13]',
	0xDB14 : 'Unassigned [0xDB14]',
	0xDB15 : 'Unassigned [0xDB15]',
	0xDB16 : 'Unassigned [0xDB16]',
	0xDB17 : 'Unassigned [0xDB17]',
	0xDB18 : 'Unassigned [0xDB18]',
	0xDB19 : 'Unassigned [0xDB19]',
	0xDB1A : 'Unassigned [0xDB1A]',
	0xDB1B : 'Unassigned [0xDB1B]',
	0xDB1C : 'Unassigned [0xDB1C]',
	0xDB1D : 'Unassigned [0xDB1D]',
	0xDB1E : 'Unassigned [0xDB1E]',
	0xDB1F : 'Unassigned [0xDB1F]',
	0xDB20 : 'Unassigned [0xDB20]',
	0xDB21 : 'Unassigned [0xDB21]',
	0xDB22 : 'Unassigned [0xDB22]',
	0xDB23 : 'Unassigned [0xDB23]',
	0xDB24 : 'Unassigned [0xDB24]',
	0xDB25 : 'Unassigned [0xDB25]',
	0xDB26 : 'Unassigned [0xDB26]',
	0xDB27 : 'Unassigned [0xDB27]',
	0xDB28 : 'Unassigned [0xDB28]',
	0xDB29 : 'Unassigned [0xDB29]',
	0xDB2A : 'Unassigned [0xDB2A]',
	0xDB2B : 'Unassigned [0xDB2B]',
	0xDB2C : 'Unassigned [0xDB2C]',
	0xDB2D : 'Unassigned [0xDB2D]',
	0xDB2E : 'Unassigned [0xDB2E]',
	0xDB2F : 'Unassigned [0xDB2F]',
	0xDB30 : 'Unassigned [0xDB30]',
	0xDB31 : 'Unassigned [0xDB31]',
	0xDB32 : 'Unassigned [0xDB32]',
	0xDB33 : 'Unassigned [0xDB33]',
	0xDB34 : 'Unassigned [0xDB34]',
	0xDB35 : 'Unassigned [0xDB35]',
	0xDB36 : 'Unassigned [0xDB36]',
	0xDB37 : 'Unassigned [0xDB37]',
	0xDB38 : 'Unassigned [0xDB38]',
	0xDB39 : 'Unassigned [0xDB39]',
	0xDB3A : 'Unassigned [0xDB3A]',
	0xDB3B : 'Unassigned [0xDB3B]',
	0xDB3C : 'Unassigned [0xDB3C]',
	0xDB3D : 'Unassigned [0xDB3D]',
	0xDB3E : 'Unassigned [0xDB3E]',
	0xDB3F : 'Unassigned [0xDB3F]',
	0xDB40 : 'Unassigned [0xDB40]',
	0xDB41 : 'Unassigned [0xDB41]',
	0xDB42 : 'Unassigned [0xDB42]',
	0xDB43 : 'Unassigned [0xDB43]',
	0xDB44 : 'Unassigned [0xDB44]',
	0xDB45 : 'Unassigned [0xDB45]',
	0xDB46 : 'Unassigned [0xDB46]',
	0xDB47 : 'Unassigned [0xDB47]',
	0xDB48 : 'Unassigned [0xDB48]',
	0xDB49 : 'Unassigned [0xDB49]',
	0xDB4A : 'Unassigned [0xDB4A]',
	0xDB4B : 'Unassigned [0xDB4B]',
	0xDB4C : 'Unassigned [0xDB4C]',
	0xDB4D : 'Unassigned [0xDB4D]',
	0xDB4E : 'Unassigned [0xDB4E]',
	0xDB4F : 'Unassigned [0xDB4F]',
	0xDB50 : 'Unassigned [0xDB50]',
	0xDB51 : 'Unassigned [0xDB51]',
	0xDB52 : 'Unassigned [0xDB52]',
	0xDB53 : 'Unassigned [0xDB53]',
	0xDB54 : 'Unassigned [0xDB54]',
	0xDB55 : 'Unassigned [0xDB55]',
	0xDB56 : 'Unassigned [0xDB56]',
	0xDB57 : 'Unassigned [0xDB57]',
	0xDB58 : 'Unassigned [0xDB58]',
	0xDB59 : 'Unassigned [0xDB59]',
	0xDB5A : 'Unassigned [0xDB5A]',
	0xDB5B : 'Unassigned [0xDB5B]',
	0xDB5C : 'Unassigned [0xDB5C]',
	0xDB5D : 'Unassigned [0xDB5D]',
	0xDB5E : 'Unassigned [0xDB5E]',
	0xDB5F : 'Unassigned [0xDB5F]',
	0xDB60 : 'Unassigned [0xDB60]',
	0xDB61 : 'Unassigned [0xDB61]',
	0xDB62 : 'Unassigned [0xDB62]',
	0xDB63 : 'Unassigned [0xDB63]',
	0xDB64 : 'Unassigned [0xDB64]',
	0xDB65 : 'Unassigned [0xDB65]',
	0xDB66 : 'Unassigned [0xDB66]',
	0xDB67 : 'Unassigned [0xDB67]',
	0xDB68 : 'Unassigned [0xDB68]',
	0xDB69 : 'Unassigned [0xDB69]',
	0xDB6A : 'Unassigned [0xDB6A]',
	0xDB6B : 'Unassigned [0xDB6B]',
	0xDB6C : 'Unassigned [0xDB6C]',
	0xDB6D : 'Unassigned [0xDB6D]',
	0xDB6E : 'Unassigned [0xDB6E]',
	0xDB6F : 'Unassigned [0xDB6F]',
	0xDB70 : 'Unassigned [0xDB70]',
	0xDB71 : 'Unassigned [0xDB71]',
	0xDB72 : 'Unassigned [0xDB72]',
	0xDB73 : 'Unassigned [0xDB73]',
	0xDB74 : 'Unassigned [0xDB74]',
	0xDB75 : 'Unassigned [0xDB75]',
	0xDB76 : 'Unassigned [0xDB76]',
	0xDB77 : 'Unassigned [0xDB77]',
	0xDB78 : 'Unassigned [0xDB78]',
	0xDB79 : 'Unassigned [0xDB79]',
	0xDB7A : 'Unassigned [0xDB7A]',
	0xDB7B : 'Unassigned [0xDB7B]',
	0xDB7C : 'Unassigned [0xDB7C]',
	0xDB7D : 'Unassigned [0xDB7D]',
	0xDB7E : 'Unassigned [0xDB7E]',
	0xDB7F : 'Unassigned [0xDB7F]',
	0xDB80 : 'Unassigned [0xDB80]',
	0xDB81 : 'Unassigned [0xDB81]',
	0xDB82 : 'Unassigned [0xDB82]',
	0xDB83 : 'Unassigned [0xDB83]',
	0xDB84 : 'Unassigned [0xDB84]',
	0xDB85 : 'Unassigned [0xDB85]',
	0xDB86 : 'Unassigned [0xDB86]',
	0xDB87 : 'Unassigned [0xDB87]',
	0xDB88 : 'Unassigned [0xDB88]',
	0xDB89 : 'Unassigned [0xDB89]',
	0xDB8A : 'Unassigned [0xDB8A]',
	0xDB8B : 'Unassigned [0xDB8B]',
	0xDB8C : 'Unassigned [0xDB8C]',
	0xDB8D : 'Unassigned [0xDB8D]',
	0xDB8E : 'Unassigned [0xDB8E]',
	0xDB8F : 'Unassigned [0xDB8F]',
	0xDB90 : 'Unassigned [0xDB90]',
	0xDB91 : 'Unassigned [0xDB91]',
	0xDB92 : 'Unassigned [0xDB92]',
	0xDB93 : 'Unassigned [0xDB93]',
	0xDB94 : 'Unassigned [0xDB94]',
	0xDB95 : 'Unassigned [0xDB95]',
	0xDB96 : 'Unassigned [0xDB96]',
	0xDB97 : 'Unassigned [0xDB97]',
	0xDB98 : 'Unassigned [0xDB98]',
	0xDB99 : 'Unassigned [0xDB99]',
	0xDB9A : 'Unassigned [0xDB9A]',
	0xDB9B : 'Unassigned [0xDB9B]',
	0xDB9C : 'Unassigned [0xDB9C]',
	0xDB9D : 'Unassigned [0xDB9D]',
	0xDB9E : 'Unassigned [0xDB9E]',
	0xDB9F : 'Unassigned [0xDB9F]',
	0xDBA0 : 'Unassigned [0xDBA0]',
	0xDBA1 : 'Unassigned [0xDBA1]',
	0xDBA2 : 'Unassigned [0xDBA2]',
	0xDBA3 : 'Unassigned [0xDBA3]',
	0xDBA4 : 'Unassigned [0xDBA4]',
	0xDBA5 : 'Unassigned [0xDBA5]',
	0xDBA6 : 'Unassigned [0xDBA6]',
	0xDBA7 : 'Unassigned [0xDBA7]',
	0xDBA8 : 'Unassigned [0xDBA8]',
	0xDBA9 : 'Unassigned [0xDBA9]',
	0xDBAA : 'Unassigned [0xDBAA]',
	0xDBAB : 'Unassigned [0xDBAB]',
	0xDBAC : 'Unassigned [0xDBAC]',
	0xDBAD : 'Unassigned [0xDBAD]',
	0xDBAE : 'Unassigned [0xDBAE]',
	0xDBAF : 'Unassigned [0xDBAF]',
	0xDBB0 : 'Unassigned [0xDBB0]',
	0xDBB1 : 'Unassigned [0xDBB1]',
	0xDBB2 : 'Unassigned [0xDBB2]',
	0xDBB3 : 'Unassigned [0xDBB3]',
	0xDBB4 : 'Unassigned [0xDBB4]',
	0xDBB5 : 'Unassigned [0xDBB5]',
	0xDBB6 : 'Unassigned [0xDBB6]',
	0xDBB7 : 'Unassigned [0xDBB7]',
	0xDBB8 : 'Unassigned [0xDBB8]',
	0xDBB9 : 'Unassigned [0xDBB9]',
	0xDBBA : 'Unassigned [0xDBBA]',
	0xDBBB : 'Unassigned [0xDBBB]',
	0xDBBC : 'Unassigned [0xDBBC]',
	0xDBBD : 'Unassigned [0xDBBD]',
	0xDBBE : 'Unassigned [0xDBBE]',
	0xDBBF : 'Unassigned [0xDBBF]',
	0xDBC0 : 'Unassigned [0xDBC0]',
	0xDBC1 : 'Unassigned [0xDBC1]',
	0xDBC2 : 'Unassigned [0xDBC2]',
	0xDBC3 : 'Unassigned [0xDBC3]',
	0xDBC4 : 'Unassigned [0xDBC4]',
	0xDBC5 : 'Unassigned [0xDBC5]',
	0xDBC6 : 'Unassigned [0xDBC6]',
	0xDBC7 : 'Unassigned [0xDBC7]',
	0xDBC8 : 'Unassigned [0xDBC8]',
	0xDBC9 : 'Unassigned [0xDBC9]',
	0xDBCA : 'Unassigned [0xDBCA]',
	0xDBCB : 'Unassigned [0xDBCB]',
	0xDBCC : 'Unassigned [0xDBCC]',
	0xDBCD : 'Unassigned [0xDBCD]',
	0xDBCE : 'Unassigned [0xDBCE]',
	0xDBCF : 'Unassigned [0xDBCF]',
	0xDBD0 : 'Unassigned [0xDBD0]',
	0xDBD1 : 'Unassigned [0xDBD1]',
	0xDBD2 : 'Unassigned [0xDBD2]',
	0xDBD3 : 'Unassigned [0xDBD3]',
	0xDBD4 : 'Unassigned [0xDBD4]',
	0xDBD5 : 'Unassigned [0xDBD5]',
	0xDBD6 : 'Unassigned [0xDBD6]',
	0xDBD7 : 'Unassigned [0xDBD7]',
	0xDBD8 : 'Unassigned [0xDBD8]',
	0xDBD9 : 'Unassigned [0xDBD9]',
	0xDBDA : 'Unassigned [0xDBDA]',
	0xDBDB : 'Unassigned [0xDBDB]',
	0xDBDC : 'Unassigned [0xDBDC]',
	0xDBDD : 'Unassigned [0xDBDD]',
	0xDBDE : 'Unassigned [0xDBDE]',
	0xDBDF : 'Unassigned [0xDBDF]',
	0xDBE0 : 'Unassigned [0xDBE0]',
	0xDBE1 : 'Unassigned [0xDBE1]',
	0xDBE2 : 'Unassigned [0xDBE2]',
	0xDBE3 : 'Unassigned [0xDBE3]',
	0xDBE4 : 'Unassigned [0xDBE4]',
	0xDBE5 : 'Unassigned [0xDBE5]',
	0xDBE6 : 'Unassigned [0xDBE6]',
	0xDBE7 : 'Unassigned [0xDBE7]',
	0xDBE8 : 'Unassigned [0xDBE8]',
	0xDBE9 : 'Unassigned [0xDBE9]',
	0xDBEA : 'Unassigned [0xDBEA]',
	0xDBEB : 'Unassigned [0xDBEB]',
	0xDBEC : 'Unassigned [0xDBEC]',
	0xDBED : 'Unassigned [0xDBED]',
	0xDBEE : 'Unassigned [0xDBEE]',
	0xDBEF : 'Unassigned [0xDBEF]',
	0xDBF0 : 'Unassigned [0xDBF0]',
	0xDBF1 : 'Unassigned [0xDBF1]',
	0xDBF2 : 'Unassigned [0xDBF2]',
	0xDBF3 : 'Unassigned [0xDBF3]',
	0xDBF4 : 'Unassigned [0xDBF4]',
	0xDBF5 : 'Unassigned [0xDBF5]',
	0xDBF6 : 'Unassigned [0xDBF6]',
	0xDBF7 : 'Unassigned [0xDBF7]',
	0xDBF8 : 'Unassigned [0xDBF8]',
	0xDBF9 : 'Unassigned [0xDBF9]',
	0xDBFA : 'Unassigned [0xDBFA]',
	0xDBFB : 'Unassigned [0xDBFB]',
	0xDBFC : 'Unassigned [0xDBFC]',
	0xDBFD : 'Unassigned [0xDBFD]',
	0xDBFE : 'Unassigned [0xDBFE]',
	0xDBFF : 'Unassigned [0xDBFF]',
	0xDC00 : 'Unassigned [0xDC00]',
	0xDC01 : 'Unassigned [0xDC01]',
	0xDC02 : 'Unassigned [0xDC02]',
	0xDC03 : 'Unassigned [0xDC03]',
	0xDC04 : 'Unassigned [0xDC04]',
	0xDC05 : 'Unassigned [0xDC05]',
	0xDC06 : 'Unassigned [0xDC06]',
	0xDC07 : 'Unassigned [0xDC07]',
	0xDC08 : 'Unassigned [0xDC08]',
	0xDC09 : 'Unassigned [0xDC09]',
	0xDC0A : 'Unassigned [0xDC0A]',
	0xDC0B : 'Unassigned [0xDC0B]',
	0xDC0C : 'Unassigned [0xDC0C]',
	0xDC0D : 'Unassigned [0xDC0D]',
	0xDC0E : 'Unassigned [0xDC0E]',
	0xDC0F : 'Unassigned [0xDC0F]',
	0xDC10 : 'Unassigned [0xDC10]',
	0xDC11 : 'Unassigned [0xDC11]',
	0xDC12 : 'Unassigned [0xDC12]',
	0xDC13 : 'Unassigned [0xDC13]',
	0xDC14 : 'Unassigned [0xDC14]',
	0xDC15 : 'Unassigned [0xDC15]',
	0xDC16 : 'Unassigned [0xDC16]',
	0xDC17 : 'Unassigned [0xDC17]',
	0xDC18 : 'Unassigned [0xDC18]',
	0xDC19 : 'Unassigned [0xDC19]',
	0xDC1A : 'Unassigned [0xDC1A]',
	0xDC1B : 'Unassigned [0xDC1B]',
	0xDC1C : 'Unassigned [0xDC1C]',
	0xDC1D : 'Unassigned [0xDC1D]',
	0xDC1E : 'Unassigned [0xDC1E]',
	0xDC1F : 'Unassigned [0xDC1F]',
	0xDC20 : 'Unassigned [0xDC20]',
	0xDC21 : 'Unassigned [0xDC21]',
	0xDC22 : 'Unassigned [0xDC22]',
	0xDC23 : 'Unassigned [0xDC23]',
	0xDC24 : 'Unassigned [0xDC24]',
	0xDC25 : 'Unassigned [0xDC25]',
	0xDC26 : 'Unassigned [0xDC26]',
	0xDC27 : 'Unassigned [0xDC27]',
	0xDC28 : 'Unassigned [0xDC28]',
	0xDC29 : 'Unassigned [0xDC29]',
	0xDC2A : 'Unassigned [0xDC2A]',
	0xDC2B : 'Unassigned [0xDC2B]',
	0xDC2C : 'Unassigned [0xDC2C]',
	0xDC2D : 'Unassigned [0xDC2D]',
	0xDC2E : 'Unassigned [0xDC2E]',
	0xDC2F : 'Unassigned [0xDC2F]',
	0xDC30 : 'Unassigned [0xDC30]',
	0xDC31 : 'Unassigned [0xDC31]',
	0xDC32 : 'Unassigned [0xDC32]',
	0xDC33 : 'Unassigned [0xDC33]',
	0xDC34 : 'Unassigned [0xDC34]',
	0xDC35 : 'Unassigned [0xDC35]',
	0xDC36 : 'Unassigned [0xDC36]',
	0xDC37 : 'Unassigned [0xDC37]',
	0xDC38 : 'Unassigned [0xDC38]',
	0xDC39 : 'Unassigned [0xDC39]',
	0xDC3A : 'Unassigned [0xDC3A]',
	0xDC3B : 'Unassigned [0xDC3B]',
	0xDC3C : 'Unassigned [0xDC3C]',
	0xDC3D : 'Unassigned [0xDC3D]',
	0xDC3E : 'Unassigned [0xDC3E]',
	0xDC3F : 'Unassigned [0xDC3F]',
	0xDC40 : 'Unassigned [0xDC40]',
	0xDC41 : 'Unassigned [0xDC41]',
	0xDC42 : 'Unassigned [0xDC42]',
	0xDC43 : 'Unassigned [0xDC43]',
	0xDC44 : 'Unassigned [0xDC44]',
	0xDC45 : 'Unassigned [0xDC45]',
	0xDC46 : 'Unassigned [0xDC46]',
	0xDC47 : 'Unassigned [0xDC47]',
	0xDC48 : 'Unassigned [0xDC48]',
	0xDC49 : 'Unassigned [0xDC49]',
	0xDC4A : 'Unassigned [0xDC4A]',
	0xDC4B : 'Unassigned [0xDC4B]',
	0xDC4C : 'Unassigned [0xDC4C]',
	0xDC4D : 'Unassigned [0xDC4D]',
	0xDC4E : 'Unassigned [0xDC4E]',
	0xDC4F : 'Unassigned [0xDC4F]',
	0xDC50 : 'Unassigned [0xDC50]',
	0xDC51 : 'Unassigned [0xDC51]',
	0xDC52 : 'Unassigned [0xDC52]',
	0xDC53 : 'Unassigned [0xDC53]',
	0xDC54 : 'Unassigned [0xDC54]',
	0xDC55 : 'Unassigned [0xDC55]',
	0xDC56 : 'Unassigned [0xDC56]',
	0xDC57 : 'Unassigned [0xDC57]',
	0xDC58 : 'Unassigned [0xDC58]',
	0xDC59 : 'Unassigned [0xDC59]',
	0xDC5A : 'Unassigned [0xDC5A]',
	0xDC5B : 'Unassigned [0xDC5B]',
	0xDC5C : 'Unassigned [0xDC5C]',
	0xDC5D : 'Unassigned [0xDC5D]',
	0xDC5E : 'Unassigned [0xDC5E]',
	0xDC5F : 'Unassigned [0xDC5F]',
	0xDC60 : 'Unassigned [0xDC60]',
	0xDC61 : 'Unassigned [0xDC61]',
	0xDC62 : 'Unassigned [0xDC62]',
	0xDC63 : 'Unassigned [0xDC63]',
	0xDC64 : 'Unassigned [0xDC64]',
	0xDC65 : 'Unassigned [0xDC65]',
	0xDC66 : 'Unassigned [0xDC66]',
	0xDC67 : 'Unassigned [0xDC67]',
	0xDC68 : 'Unassigned [0xDC68]',
	0xDC69 : 'Unassigned [0xDC69]',
	0xDC6A : 'Unassigned [0xDC6A]',
	0xDC6B : 'Unassigned [0xDC6B]',
	0xDC6C : 'Unassigned [0xDC6C]',
	0xDC6D : 'Unassigned [0xDC6D]',
	0xDC6E : 'Unassigned [0xDC6E]',
	0xDC6F : 'Unassigned [0xDC6F]',
	0xDC70 : 'Unassigned [0xDC70]',
	0xDC71 : 'Unassigned [0xDC71]',
	0xDC72 : 'Unassigned [0xDC72]',
	0xDC73 : 'Unassigned [0xDC73]',
	0xDC74 : 'Unassigned [0xDC74]',
	0xDC75 : 'Unassigned [0xDC75]',
	0xDC76 : 'Unassigned [0xDC76]',
	0xDC77 : 'Unassigned [0xDC77]',
	0xDC78 : 'Unassigned [0xDC78]',
	0xDC79 : 'Unassigned [0xDC79]',
	0xDC7A : 'Unassigned [0xDC7A]',
	0xDC7B : 'Unassigned [0xDC7B]',
	0xDC7C : 'Unassigned [0xDC7C]',
	0xDC7D : 'Unassigned [0xDC7D]',
	0xDC7E : 'Unassigned [0xDC7E]',
	0xDC7F : 'Unassigned [0xDC7F]',
	0xDC80 : 'Unassigned [0xDC80]',
	0xDC81 : 'Unassigned [0xDC81]',
	0xDC82 : 'Unassigned [0xDC82]',
	0xDC83 : 'Unassigned [0xDC83]',
	0xDC84 : 'Unassigned [0xDC84]',
	0xDC85 : 'Unassigned [0xDC85]',
	0xDC86 : 'Unassigned [0xDC86]',
	0xDC87 : 'Unassigned [0xDC87]',
	0xDC88 : 'Unassigned [0xDC88]',
	0xDC89 : 'Unassigned [0xDC89]',
	0xDC8A : 'Unassigned [0xDC8A]',
	0xDC8B : 'Unassigned [0xDC8B]',
	0xDC8C : 'Unassigned [0xDC8C]',
	0xDC8D : 'Unassigned [0xDC8D]',
	0xDC8E : 'Unassigned [0xDC8E]',
	0xDC8F : 'Unassigned [0xDC8F]',
	0xDC90 : 'Unassigned [0xDC90]',
	0xDC91 : 'Unassigned [0xDC91]',
	0xDC92 : 'Unassigned [0xDC92]',
	0xDC93 : 'Unassigned [0xDC93]',
	0xDC94 : 'Unassigned [0xDC94]',
	0xDC95 : 'Unassigned [0xDC95]',
	0xDC96 : 'Unassigned [0xDC96]',
	0xDC97 : 'Unassigned [0xDC97]',
	0xDC98 : 'Unassigned [0xDC98]',
	0xDC99 : 'Unassigned [0xDC99]',
	0xDC9A : 'Unassigned [0xDC9A]',
	0xDC9B : 'Unassigned [0xDC9B]',
	0xDC9C : 'Unassigned [0xDC9C]',
	0xDC9D : 'Unassigned [0xDC9D]',
	0xDC9E : 'Unassigned [0xDC9E]',
	0xDC9F : 'Unassigned [0xDC9F]',
	0xDCA0 : 'Unassigned [0xDCA0]',
	0xDCA1 : 'Unassigned [0xDCA1]',
	0xDCA2 : 'Unassigned [0xDCA2]',
	0xDCA3 : 'Unassigned [0xDCA3]',
	0xDCA4 : 'Unassigned [0xDCA4]',
	0xDCA5 : 'Unassigned [0xDCA5]',
	0xDCA6 : 'Unassigned [0xDCA6]',
	0xDCA7 : 'Unassigned [0xDCA7]',
	0xDCA8 : 'Unassigned [0xDCA8]',
	0xDCA9 : 'Unassigned [0xDCA9]',
	0xDCAA : 'Unassigned [0xDCAA]',
	0xDCAB : 'Unassigned [0xDCAB]',
	0xDCAC : 'Unassigned [0xDCAC]',
	0xDCAD : 'Unassigned [0xDCAD]',
	0xDCAE : 'Unassigned [0xDCAE]',
	0xDCAF : 'Unassigned [0xDCAF]',
	0xDCB0 : 'Unassigned [0xDCB0]',
	0xDCB1 : 'Unassigned [0xDCB1]',
	0xDCB2 : 'Unassigned [0xDCB2]',
	0xDCB3 : 'Unassigned [0xDCB3]',
	0xDCB4 : 'Unassigned [0xDCB4]',
	0xDCB5 : 'Unassigned [0xDCB5]',
	0xDCB6 : 'Unassigned [0xDCB6]',
	0xDCB7 : 'Unassigned [0xDCB7]',
	0xDCB8 : 'Unassigned [0xDCB8]',
	0xDCB9 : 'Unassigned [0xDCB9]',
	0xDCBA : 'Unassigned [0xDCBA]',
	0xDCBB : 'Unassigned [0xDCBB]',
	0xDCBC : 'Unassigned [0xDCBC]',
	0xDCBD : 'Unassigned [0xDCBD]',
	0xDCBE : 'Unassigned [0xDCBE]',
	0xDCBF : 'Unassigned [0xDCBF]',
	0xDCC0 : 'Unassigned [0xDCC0]',
	0xDCC1 : 'Unassigned [0xDCC1]',
	0xDCC2 : 'Unassigned [0xDCC2]',
	0xDCC3 : 'Unassigned [0xDCC3]',
	0xDCC4 : 'Unassigned [0xDCC4]',
	0xDCC5 : 'Unassigned [0xDCC5]',
	0xDCC6 : 'Unassigned [0xDCC6]',
	0xDCC7 : 'Unassigned [0xDCC7]',
	0xDCC8 : 'Unassigned [0xDCC8]',
	0xDCC9 : 'Unassigned [0xDCC9]',
	0xDCCA : 'Unassigned [0xDCCA]',
	0xDCCB : 'Unassigned [0xDCCB]',
	0xDCCC : 'Unassigned [0xDCCC]',
	0xDCCD : 'Unassigned [0xDCCD]',
	0xDCCE : 'Unassigned [0xDCCE]',
	0xDCCF : 'Unassigned [0xDCCF]',
	0xDCD0 : 'Unassigned [0xDCD0]',
	0xDCD1 : 'Unassigned [0xDCD1]',
	0xDCD2 : 'Unassigned [0xDCD2]',
	0xDCD3 : 'Unassigned [0xDCD3]',
	0xDCD4 : 'Unassigned [0xDCD4]',
	0xDCD5 : 'Unassigned [0xDCD5]',
	0xDCD6 : 'Unassigned [0xDCD6]',
	0xDCD7 : 'Unassigned [0xDCD7]',
	0xDCD8 : 'Unassigned [0xDCD8]',
	0xDCD9 : 'Unassigned [0xDCD9]',
	0xDCDA : 'Unassigned [0xDCDA]',
	0xDCDB : 'Unassigned [0xDCDB]',
	0xDCDC : 'Unassigned [0xDCDC]',
	0xDCDD : 'Unassigned [0xDCDD]',
	0xDCDE : 'Unassigned [0xDCDE]',
	0xDCDF : 'Unassigned [0xDCDF]',
	0xDCE0 : 'Unassigned [0xDCE0]',
	0xDCE1 : 'Unassigned [0xDCE1]',
	0xDCE2 : 'Unassigned [0xDCE2]',
	0xDCE3 : 'Unassigned [0xDCE3]',
	0xDCE4 : 'Unassigned [0xDCE4]',
	0xDCE5 : 'Unassigned [0xDCE5]',
	0xDCE6 : 'Unassigned [0xDCE6]',
	0xDCE7 : 'Unassigned [0xDCE7]',
	0xDCE8 : 'Unassigned [0xDCE8]',
	0xDCE9 : 'Unassigned [0xDCE9]',
	0xDCEA : 'Unassigned [0xDCEA]',
	0xDCEB : 'Unassigned [0xDCEB]',
	0xDCEC : 'Unassigned [0xDCEC]',
	0xDCED : 'Unassigned [0xDCED]',
	0xDCEE : 'Unassigned [0xDCEE]',
	0xDCEF : 'Unassigned [0xDCEF]',
	0xDCF0 : 'Unassigned [0xDCF0]',
	0xDCF1 : 'Unassigned [0xDCF1]',
	0xDCF2 : 'Unassigned [0xDCF2]',
	0xDCF3 : 'Unassigned [0xDCF3]',
	0xDCF4 : 'Unassigned [0xDCF4]',
	0xDCF5 : 'Unassigned [0xDCF5]',
	0xDCF6 : 'Unassigned [0xDCF6]',
	0xDCF7 : 'Unassigned [0xDCF7]',
	0xDCF8 : 'Unassigned [0xDCF8]',
	0xDCF9 : 'Unassigned [0xDCF9]',
	0xDCFA : 'Unassigned [0xDCFA]',
	0xDCFB : 'Unassigned [0xDCFB]',
	0xDCFC : 'Unassigned [0xDCFC]',
	0xDCFD : 'Unassigned [0xDCFD]',
	0xDCFE : 'Unassigned [0xDCFE]',
	0xDCFF : 'Unassigned [0xDCFF]',
	0xDD00 : 'Unassigned [0xDD00]',
	0xDD01 : 'Unassigned [0xDD01]',
	0xDD02 : 'Unassigned [0xDD02]',
	0xDD03 : 'Unassigned [0xDD03]',
	0xDD04 : 'Unassigned [0xDD04]',
	0xDD05 : 'Unassigned [0xDD05]',
	0xDD06 : 'Unassigned [0xDD06]',
	0xDD07 : 'Unassigned [0xDD07]',
	0xDD08 : 'Unassigned [0xDD08]',
	0xDD09 : 'Unassigned [0xDD09]',
	0xDD0A : 'Unassigned [0xDD0A]',
	0xDD0B : 'Unassigned [0xDD0B]',
	0xDD0C : 'Unassigned [0xDD0C]',
	0xDD0D : 'Unassigned [0xDD0D]',
	0xDD0E : 'Unassigned [0xDD0E]',
	0xDD0F : 'Unassigned [0xDD0F]',
	0xDD10 : 'Unassigned [0xDD10]',
	0xDD11 : 'Unassigned [0xDD11]',
	0xDD12 : 'Unassigned [0xDD12]',
	0xDD13 : 'Unassigned [0xDD13]',
	0xDD14 : 'Unassigned [0xDD14]',
	0xDD15 : 'Unassigned [0xDD15]',
	0xDD16 : 'Unassigned [0xDD16]',
	0xDD17 : 'Unassigned [0xDD17]',
	0xDD18 : 'Unassigned [0xDD18]',
	0xDD19 : 'Unassigned [0xDD19]',
	0xDD1A : 'Unassigned [0xDD1A]',
	0xDD1B : 'Unassigned [0xDD1B]',
	0xDD1C : 'Unassigned [0xDD1C]',
	0xDD1D : 'Unassigned [0xDD1D]',
	0xDD1E : 'Unassigned [0xDD1E]',
	0xDD1F : 'Unassigned [0xDD1F]',
	0xDD20 : 'Unassigned [0xDD20]',
	0xDD21 : 'Unassigned [0xDD21]',
	0xDD22 : 'Unassigned [0xDD22]',
	0xDD23 : 'Unassigned [0xDD23]',
	0xDD24 : 'Unassigned [0xDD24]',
	0xDD25 : 'Unassigned [0xDD25]',
	0xDD26 : 'Unassigned [0xDD26]',
	0xDD27 : 'Unassigned [0xDD27]',
	0xDD28 : 'Unassigned [0xDD28]',
	0xDD29 : 'Unassigned [0xDD29]',
	0xDD2A : 'Unassigned [0xDD2A]',
	0xDD2B : 'Unassigned [0xDD2B]',
	0xDD2C : 'Unassigned [0xDD2C]',
	0xDD2D : 'Unassigned [0xDD2D]',
	0xDD2E : 'Unassigned [0xDD2E]',
	0xDD2F : 'Unassigned [0xDD2F]',
	0xDD30 : 'Unassigned [0xDD30]',
	0xDD31 : 'Unassigned [0xDD31]',
	0xDD32 : 'Unassigned [0xDD32]',
	0xDD33 : 'Unassigned [0xDD33]',
	0xDD34 : 'Unassigned [0xDD34]',
	0xDD35 : 'Unassigned [0xDD35]',
	0xDD36 : 'Unassigned [0xDD36]',
	0xDD37 : 'Unassigned [0xDD37]',
	0xDD38 : 'Unassigned [0xDD38]',
	0xDD39 : 'Unassigned [0xDD39]',
	0xDD3A : 'Unassigned [0xDD3A]',
	0xDD3B : 'Unassigned [0xDD3B]',
	0xDD3C : 'Unassigned [0xDD3C]',
	0xDD3D : 'Unassigned [0xDD3D]',
	0xDD3E : 'Unassigned [0xDD3E]',
	0xDD3F : 'Unassigned [0xDD3F]',
	0xDD40 : 'Unassigned [0xDD40]',
	0xDD41 : 'Unassigned [0xDD41]',
	0xDD42 : 'Unassigned [0xDD42]',
	0xDD43 : 'Unassigned [0xDD43]',
	0xDD44 : 'Unassigned [0xDD44]',
	0xDD45 : 'Unassigned [0xDD45]',
	0xDD46 : 'Unassigned [0xDD46]',
	0xDD47 : 'Unassigned [0xDD47]',
	0xDD48 : 'Unassigned [0xDD48]',
	0xDD49 : 'Unassigned [0xDD49]',
	0xDD4A : 'Unassigned [0xDD4A]',
	0xDD4B : 'Unassigned [0xDD4B]',
	0xDD4C : 'Unassigned [0xDD4C]',
	0xDD4D : 'Unassigned [0xDD4D]',
	0xDD4E : 'Unassigned [0xDD4E]',
	0xDD4F : 'Unassigned [0xDD4F]',
	0xDD50 : 'Unassigned [0xDD50]',
	0xDD51 : 'Unassigned [0xDD51]',
	0xDD52 : 'Unassigned [0xDD52]',
	0xDD53 : 'Unassigned [0xDD53]',
	0xDD54 : 'Unassigned [0xDD54]',
	0xDD55 : 'Unassigned [0xDD55]',
	0xDD56 : 'Unassigned [0xDD56]',
	0xDD57 : 'Unassigned [0xDD57]',
	0xDD58 : 'Unassigned [0xDD58]',
	0xDD59 : 'Unassigned [0xDD59]',
	0xDD5A : 'Unassigned [0xDD5A]',
	0xDD5B : 'Unassigned [0xDD5B]',
	0xDD5C : 'Unassigned [0xDD5C]',
	0xDD5D : 'Unassigned [0xDD5D]',
	0xDD5E : 'Unassigned [0xDD5E]',
	0xDD5F : 'Unassigned [0xDD5F]',
	0xDD60 : 'Unassigned [0xDD60]',
	0xDD61 : 'Unassigned [0xDD61]',
	0xDD62 : 'Unassigned [0xDD62]',
	0xDD63 : 'Unassigned [0xDD63]',
	0xDD64 : 'Unassigned [0xDD64]',
	0xDD65 : 'Unassigned [0xDD65]',
	0xDD66 : 'Unassigned [0xDD66]',
	0xDD67 : 'Unassigned [0xDD67]',
	0xDD68 : 'Unassigned [0xDD68]',
	0xDD69 : 'Unassigned [0xDD69]',
	0xDD6A : 'Unassigned [0xDD6A]',
	0xDD6B : 'Unassigned [0xDD6B]',
	0xDD6C : 'Unassigned [0xDD6C]',
	0xDD6D : 'Unassigned [0xDD6D]',
	0xDD6E : 'Unassigned [0xDD6E]',
	0xDD6F : 'Unassigned [0xDD6F]',
	0xDD70 : 'Unassigned [0xDD70]',
	0xDD71 : 'Unassigned [0xDD71]',
	0xDD72 : 'Unassigned [0xDD72]',
	0xDD73 : 'Unassigned [0xDD73]',
	0xDD74 : 'Unassigned [0xDD74]',
	0xDD75 : 'Unassigned [0xDD75]',
	0xDD76 : 'Unassigned [0xDD76]',
	0xDD77 : 'Unassigned [0xDD77]',
	0xDD78 : 'Unassigned [0xDD78]',
	0xDD79 : 'Unassigned [0xDD79]',
	0xDD7A : 'Unassigned [0xDD7A]',
	0xDD7B : 'Unassigned [0xDD7B]',
	0xDD7C : 'Unassigned [0xDD7C]',
	0xDD7D : 'Unassigned [0xDD7D]',
	0xDD7E : 'Unassigned [0xDD7E]',
	0xDD7F : 'Unassigned [0xDD7F]',
	0xDD80 : 'Unassigned [0xDD80]',
	0xDD81 : 'Unassigned [0xDD81]',
	0xDD82 : 'Unassigned [0xDD82]',
	0xDD83 : 'Unassigned [0xDD83]',
	0xDD84 : 'Unassigned [0xDD84]',
	0xDD85 : 'Unassigned [0xDD85]',
	0xDD86 : 'Unassigned [0xDD86]',
	0xDD87 : 'Unassigned [0xDD87]',
	0xDD88 : 'Unassigned [0xDD88]',
	0xDD89 : 'Unassigned [0xDD89]',
	0xDD8A : 'Unassigned [0xDD8A]',
	0xDD8B : 'Unassigned [0xDD8B]',
	0xDD8C : 'Unassigned [0xDD8C]',
	0xDD8D : 'Unassigned [0xDD8D]',
	0xDD8E : 'Unassigned [0xDD8E]',
	0xDD8F : 'Unassigned [0xDD8F]',
	0xDD90 : 'Unassigned [0xDD90]',
	0xDD91 : 'Unassigned [0xDD91]',
	0xDD92 : 'Unassigned [0xDD92]',
	0xDD93 : 'Unassigned [0xDD93]',
	0xDD94 : 'Unassigned [0xDD94]',
	0xDD95 : 'Unassigned [0xDD95]',
	0xDD96 : 'Unassigned [0xDD96]',
	0xDD97 : 'Unassigned [0xDD97]',
	0xDD98 : 'Unassigned [0xDD98]',
	0xDD99 : 'Unassigned [0xDD99]',
	0xDD9A : 'Unassigned [0xDD9A]',
	0xDD9B : 'Unassigned [0xDD9B]',
	0xDD9C : 'Unassigned [0xDD9C]',
	0xDD9D : 'Unassigned [0xDD9D]',
	0xDD9E : 'Unassigned [0xDD9E]',
	0xDD9F : 'Unassigned [0xDD9F]',
	0xDDA0 : 'Unassigned [0xDDA0]',
	0xDDA1 : 'Unassigned [0xDDA1]',
	0xDDA2 : 'Unassigned [0xDDA2]',
	0xDDA3 : 'Unassigned [0xDDA3]',
	0xDDA4 : 'Unassigned [0xDDA4]',
	0xDDA5 : 'Unassigned [0xDDA5]',
	0xDDA6 : 'Unassigned [0xDDA6]',
	0xDDA7 : 'Unassigned [0xDDA7]',
	0xDDA8 : 'Unassigned [0xDDA8]',
	0xDDA9 : 'Unassigned [0xDDA9]',
	0xDDAA : 'Unassigned [0xDDAA]',
	0xDDAB : 'Unassigned [0xDDAB]',
	0xDDAC : 'Unassigned [0xDDAC]',
	0xDDAD : 'Unassigned [0xDDAD]',
	0xDDAE : 'Unassigned [0xDDAE]',
	0xDDAF : 'Unassigned [0xDDAF]',
	0xDDB0 : 'Unassigned [0xDDB0]',
	0xDDB1 : 'Unassigned [0xDDB1]',
	0xDDB2 : 'Unassigned [0xDDB2]',
	0xDDB3 : 'Unassigned [0xDDB3]',
	0xDDB4 : 'Unassigned [0xDDB4]',
	0xDDB5 : 'Unassigned [0xDDB5]',
	0xDDB6 : 'Unassigned [0xDDB6]',
	0xDDB7 : 'Unassigned [0xDDB7]',
	0xDDB8 : 'Unassigned [0xDDB8]',
	0xDDB9 : 'Unassigned [0xDDB9]',
	0xDDBA : 'Unassigned [0xDDBA]',
	0xDDBB : 'Unassigned [0xDDBB]',
	0xDDBC : 'Unassigned [0xDDBC]',
	0xDDBD : 'Unassigned [0xDDBD]',
	0xDDBE : 'Unassigned [0xDDBE]',
	0xDDBF : 'Unassigned [0xDDBF]',
	0xDDC0 : 'Unassigned [0xDDC0]',
	0xDDC1 : 'Unassigned [0xDDC1]',
	0xDDC2 : 'Unassigned [0xDDC2]',
	0xDDC3 : 'Unassigned [0xDDC3]',
	0xDDC4 : 'Unassigned [0xDDC4]',
	0xDDC5 : 'Unassigned [0xDDC5]',
	0xDDC6 : 'Unassigned [0xDDC6]',
	0xDDC7 : 'Unassigned [0xDDC7]',
	0xDDC8 : 'Unassigned [0xDDC8]',
	0xDDC9 : 'Unassigned [0xDDC9]',
	0xDDCA : 'Unassigned [0xDDCA]',
	0xDDCB : 'Unassigned [0xDDCB]',
	0xDDCC : 'Unassigned [0xDDCC]',
	0xDDCD : 'Unassigned [0xDDCD]',
	0xDDCE : 'Unassigned [0xDDCE]',
	0xDDCF : 'Unassigned [0xDDCF]',
	0xDDD0 : 'Unassigned [0xDDD0]',
	0xDDD1 : 'Unassigned [0xDDD1]',
	0xDDD2 : 'Unassigned [0xDDD2]',
	0xDDD3 : 'Unassigned [0xDDD3]',
	0xDDD4 : 'Unassigned [0xDDD4]',
	0xDDD5 : 'Unassigned [0xDDD5]',
	0xDDD6 : 'Unassigned [0xDDD6]',
	0xDDD7 : 'Unassigned [0xDDD7]',
	0xDDD8 : 'Unassigned [0xDDD8]',
	0xDDD9 : 'Unassigned [0xDDD9]',
	0xDDDA : 'Unassigned [0xDDDA]',
	0xDDDB : 'Unassigned [0xDDDB]',
	0xDDDC : 'Unassigned [0xDDDC]',
	0xDDDD : 'Unassigned [0xDDDD]',
	0xDDDE : 'Unassigned [0xDDDE]',
	0xDDDF : 'Unassigned [0xDDDF]',
	0xDDE0 : 'Unassigned [0xDDE0]',
	0xDDE1 : 'Unassigned [0xDDE1]',
	0xDDE2 : 'Unassigned [0xDDE2]',
	0xDDE3 : 'Unassigned [0xDDE3]',
	0xDDE4 : 'Unassigned [0xDDE4]',
	0xDDE5 : 'Unassigned [0xDDE5]',
	0xDDE6 : 'Unassigned [0xDDE6]',
	0xDDE7 : 'Unassigned [0xDDE7]',
	0xDDE8 : 'Unassigned [0xDDE8]',
	0xDDE9 : 'Unassigned [0xDDE9]',
	0xDDEA : 'Unassigned [0xDDEA]',
	0xDDEB : 'Unassigned [0xDDEB]',
	0xDDEC : 'Unassigned [0xDDEC]',
	0xDDED : 'Unassigned [0xDDED]',
	0xDDEE : 'Unassigned [0xDDEE]',
	0xDDEF : 'Unassigned [0xDDEF]',
	0xDDF0 : 'Unassigned [0xDDF0]',
	0xDDF1 : 'Unassigned [0xDDF1]',
	0xDDF2 : 'Unassigned [0xDDF2]',
	0xDDF3 : 'Unassigned [0xDDF3]',
	0xDDF4 : 'Unassigned [0xDDF4]',
	0xDDF5 : 'Unassigned [0xDDF5]',
	0xDDF6 : 'Unassigned [0xDDF6]',
	0xDDF7 : 'Unassigned [0xDDF7]',
	0xDDF8 : 'Unassigned [0xDDF8]',
	0xDDF9 : 'Unassigned [0xDDF9]',
	0xDDFA : 'Unassigned [0xDDFA]',
	0xDDFB : 'Unassigned [0xDDFB]',
	0xDDFC : 'Unassigned [0xDDFC]',
	0xDDFD : 'Unassigned [0xDDFD]',
	0xDDFE : 'Unassigned [0xDDFE]',
	0xDDFF : 'Unassigned [0xDDFF]',
	0xDE00 : 'Unassigned [0xDE00]',
	0xDE01 : 'Unassigned [0xDE01]',
	0xDE02 : 'Unassigned [0xDE02]',
	0xDE03 : 'Unassigned [0xDE03]',
	0xDE04 : 'Unassigned [0xDE04]',
	0xDE05 : 'Unassigned [0xDE05]',
	0xDE06 : 'Unassigned [0xDE06]',
	0xDE07 : 'Unassigned [0xDE07]',
	0xDE08 : 'Unassigned [0xDE08]',
	0xDE09 : 'Unassigned [0xDE09]',
	0xDE0A : 'Unassigned [0xDE0A]',
	0xDE0B : 'Unassigned [0xDE0B]',
	0xDE0C : 'Unassigned [0xDE0C]',
	0xDE0D : 'Unassigned [0xDE0D]',
	0xDE0E : 'Unassigned [0xDE0E]',
	0xDE0F : 'Unassigned [0xDE0F]',
	0xDE10 : 'Unassigned [0xDE10]',
	0xDE11 : 'Unassigned [0xDE11]',
	0xDE12 : 'Unassigned [0xDE12]',
	0xDE13 : 'Unassigned [0xDE13]',
	0xDE14 : 'Unassigned [0xDE14]',
	0xDE15 : 'Unassigned [0xDE15]',
	0xDE16 : 'Unassigned [0xDE16]',
	0xDE17 : 'Unassigned [0xDE17]',
	0xDE18 : 'Unassigned [0xDE18]',
	0xDE19 : 'Unassigned [0xDE19]',
	0xDE1A : 'Unassigned [0xDE1A]',
	0xDE1B : 'Unassigned [0xDE1B]',
	0xDE1C : 'Unassigned [0xDE1C]',
	0xDE1D : 'Unassigned [0xDE1D]',
	0xDE1E : 'Unassigned [0xDE1E]',
	0xDE1F : 'Unassigned [0xDE1F]',
	0xDE20 : 'Unassigned [0xDE20]',
	0xDE21 : 'Unassigned [0xDE21]',
	0xDE22 : 'Unassigned [0xDE22]',
	0xDE23 : 'Unassigned [0xDE23]',
	0xDE24 : 'Unassigned [0xDE24]',
	0xDE25 : 'Unassigned [0xDE25]',
	0xDE26 : 'Unassigned [0xDE26]',
	0xDE27 : 'Unassigned [0xDE27]',
	0xDE28 : 'Unassigned [0xDE28]',
	0xDE29 : 'Unassigned [0xDE29]',
	0xDE2A : 'Unassigned [0xDE2A]',
	0xDE2B : 'Unassigned [0xDE2B]',
	0xDE2C : 'Unassigned [0xDE2C]',
	0xDE2D : 'Unassigned [0xDE2D]',
	0xDE2E : 'Unassigned [0xDE2E]',
	0xDE2F : 'Unassigned [0xDE2F]',
	0xDE30 : 'Unassigned [0xDE30]',
	0xDE31 : 'Unassigned [0xDE31]',
	0xDE32 : 'Unassigned [0xDE32]',
	0xDE33 : 'Unassigned [0xDE33]',
	0xDE34 : 'Unassigned [0xDE34]',
	0xDE35 : 'Unassigned [0xDE35]',
	0xDE36 : 'Unassigned [0xDE36]',
	0xDE37 : 'Unassigned [0xDE37]',
	0xDE38 : 'Unassigned [0xDE38]',
	0xDE39 : 'Unassigned [0xDE39]',
	0xDE3A : 'Unassigned [0xDE3A]',
	0xDE3B : 'Unassigned [0xDE3B]',
	0xDE3C : 'Unassigned [0xDE3C]',
	0xDE3D : 'Unassigned [0xDE3D]',
	0xDE3E : 'Unassigned [0xDE3E]',
	0xDE3F : 'Unassigned [0xDE3F]',
	0xDE40 : 'Unassigned [0xDE40]',
	0xDE41 : 'Unassigned [0xDE41]',
	0xDE42 : 'Unassigned [0xDE42]',
	0xDE43 : 'Unassigned [0xDE43]',
	0xDE44 : 'Unassigned [0xDE44]',
	0xDE45 : 'Unassigned [0xDE45]',
	0xDE46 : 'Unassigned [0xDE46]',
	0xDE47 : 'Unassigned [0xDE47]',
	0xDE48 : 'Unassigned [0xDE48]',
	0xDE49 : 'Unassigned [0xDE49]',
	0xDE4A : 'Unassigned [0xDE4A]',
	0xDE4B : 'Unassigned [0xDE4B]',
	0xDE4C : 'Unassigned [0xDE4C]',
	0xDE4D : 'Unassigned [0xDE4D]',
	0xDE4E : 'Unassigned [0xDE4E]',
	0xDE4F : 'Unassigned [0xDE4F]',
	0xDE50 : 'Unassigned [0xDE50]',
	0xDE51 : 'Unassigned [0xDE51]',
	0xDE52 : 'Unassigned [0xDE52]',
	0xDE53 : 'Unassigned [0xDE53]',
	0xDE54 : 'Unassigned [0xDE54]',
	0xDE55 : 'Unassigned [0xDE55]',
	0xDE56 : 'Unassigned [0xDE56]',
	0xDE57 : 'Unassigned [0xDE57]',
	0xDE58 : 'Unassigned [0xDE58]',
	0xDE59 : 'Unassigned [0xDE59]',
	0xDE5A : 'Unassigned [0xDE5A]',
	0xDE5B : 'Unassigned [0xDE5B]',
	0xDE5C : 'Unassigned [0xDE5C]',
	0xDE5D : 'Unassigned [0xDE5D]',
	0xDE5E : 'Unassigned [0xDE5E]',
	0xDE5F : 'Unassigned [0xDE5F]',
	0xDE60 : 'Unassigned [0xDE60]',
	0xDE61 : 'Unassigned [0xDE61]',
	0xDE62 : 'Unassigned [0xDE62]',
	0xDE63 : 'Unassigned [0xDE63]',
	0xDE64 : 'Unassigned [0xDE64]',
	0xDE65 : 'Unassigned [0xDE65]',
	0xDE66 : 'Unassigned [0xDE66]',
	0xDE67 : 'Unassigned [0xDE67]',
	0xDE68 : 'Unassigned [0xDE68]',
	0xDE69 : 'Unassigned [0xDE69]',
	0xDE6A : 'Unassigned [0xDE6A]',
	0xDE6B : 'Unassigned [0xDE6B]',
	0xDE6C : 'Unassigned [0xDE6C]',
	0xDE6D : 'Unassigned [0xDE6D]',
	0xDE6E : 'Unassigned [0xDE6E]',
	0xDE6F : 'Unassigned [0xDE6F]',
	0xDE70 : 'Unassigned [0xDE70]',
	0xDE71 : 'Unassigned [0xDE71]',
	0xDE72 : 'Unassigned [0xDE72]',
	0xDE73 : 'Unassigned [0xDE73]',
	0xDE74 : 'Unassigned [0xDE74]',
	0xDE75 : 'Unassigned [0xDE75]',
	0xDE76 : 'Unassigned [0xDE76]',
	0xDE77 : 'Unassigned [0xDE77]',
	0xDE78 : 'Unassigned [0xDE78]',
	0xDE79 : 'Unassigned [0xDE79]',
	0xDE7A : 'Unassigned [0xDE7A]',
	0xDE7B : 'Unassigned [0xDE7B]',
	0xDE7C : 'Unassigned [0xDE7C]',
	0xDE7D : 'Unassigned [0xDE7D]',
	0xDE7E : 'Unassigned [0xDE7E]',
	0xDE7F : 'Unassigned [0xDE7F]',
	0xDE80 : 'Unassigned [0xDE80]',
	0xDE81 : 'Unassigned [0xDE81]',
	0xDE82 : 'Unassigned [0xDE82]',
	0xDE83 : 'Unassigned [0xDE83]',
	0xDE84 : 'Unassigned [0xDE84]',
	0xDE85 : 'Unassigned [0xDE85]',
	0xDE86 : 'Unassigned [0xDE86]',
	0xDE87 : 'Unassigned [0xDE87]',
	0xDE88 : 'Unassigned [0xDE88]',
	0xDE89 : 'Unassigned [0xDE89]',
	0xDE8A : 'Unassigned [0xDE8A]',
	0xDE8B : 'Unassigned [0xDE8B]',
	0xDE8C : 'Unassigned [0xDE8C]',
	0xDE8D : 'Unassigned [0xDE8D]',
	0xDE8E : 'Unassigned [0xDE8E]',
	0xDE8F : 'Unassigned [0xDE8F]',
	0xDE90 : 'Unassigned [0xDE90]',
	0xDE91 : 'Unassigned [0xDE91]',
	0xDE92 : 'Unassigned [0xDE92]',
	0xDE93 : 'Unassigned [0xDE93]',
	0xDE94 : 'Unassigned [0xDE94]',
	0xDE95 : 'Unassigned [0xDE95]',
	0xDE96 : 'Unassigned [0xDE96]',
	0xDE97 : 'Unassigned [0xDE97]',
	0xDE98 : 'Unassigned [0xDE98]',
	0xDE99 : 'Unassigned [0xDE99]',
	0xDE9A : 'Unassigned [0xDE9A]',
	0xDE9B : 'Unassigned [0xDE9B]',
	0xDE9C : 'Unassigned [0xDE9C]',
	0xDE9D : 'Unassigned [0xDE9D]',
	0xDE9E : 'Unassigned [0xDE9E]',
	0xDE9F : 'Unassigned [0xDE9F]',
	0xDEA0 : 'Unassigned [0xDEA0]',
	0xDEA1 : 'Unassigned [0xDEA1]',
	0xDEA2 : 'Unassigned [0xDEA2]',
	0xDEA3 : 'Unassigned [0xDEA3]',
	0xDEA4 : 'Unassigned [0xDEA4]',
	0xDEA5 : 'Unassigned [0xDEA5]',
	0xDEA6 : 'Unassigned [0xDEA6]',
	0xDEA7 : 'Unassigned [0xDEA7]',
	0xDEA8 : 'Unassigned [0xDEA8]',
	0xDEA9 : 'Unassigned [0xDEA9]',
	0xDEAA : 'Unassigned [0xDEAA]',
	0xDEAB : 'Unassigned [0xDEAB]',
	0xDEAC : 'Unassigned [0xDEAC]',
	0xDEAD : 'Unassigned [0xDEAD]',
	0xDEAE : 'Unassigned [0xDEAE]',
	0xDEAF : 'Unassigned [0xDEAF]',
	0xDEB0 : 'Unassigned [0xDEB0]',
	0xDEB1 : 'Unassigned [0xDEB1]',
	0xDEB2 : 'Unassigned [0xDEB2]',
	0xDEB3 : 'Unassigned [0xDEB3]',
	0xDEB4 : 'Unassigned [0xDEB4]',
	0xDEB5 : 'Unassigned [0xDEB5]',
	0xDEB6 : 'Unassigned [0xDEB6]',
	0xDEB7 : 'Unassigned [0xDEB7]',
	0xDEB8 : 'Unassigned [0xDEB8]',
	0xDEB9 : 'Unassigned [0xDEB9]',
	0xDEBA : 'Unassigned [0xDEBA]',
	0xDEBB : 'Unassigned [0xDEBB]',
	0xDEBC : 'Unassigned [0xDEBC]',
	0xDEBD : 'Unassigned [0xDEBD]',
	0xDEBE : 'Unassigned [0xDEBE]',
	0xDEBF : 'Unassigned [0xDEBF]',
	0xDEC0 : 'Unassigned [0xDEC0]',
	0xDEC1 : 'Unassigned [0xDEC1]',
	0xDEC2 : 'Unassigned [0xDEC2]',
	0xDEC3 : 'Unassigned [0xDEC3]',
	0xDEC4 : 'Unassigned [0xDEC4]',
	0xDEC5 : 'Unassigned [0xDEC5]',
	0xDEC6 : 'Unassigned [0xDEC6]',
	0xDEC7 : 'Unassigned [0xDEC7]',
	0xDEC8 : 'Unassigned [0xDEC8]',
	0xDEC9 : 'Unassigned [0xDEC9]',
	0xDECA : 'Unassigned [0xDECA]',
	0xDECB : 'Unassigned [0xDECB]',
	0xDECC : 'Unassigned [0xDECC]',
	0xDECD : 'Unassigned [0xDECD]',
	0xDECE : 'Unassigned [0xDECE]',
	0xDECF : 'Unassigned [0xDECF]',
	0xDED0 : 'Unassigned [0xDED0]',
	0xDED1 : 'Unassigned [0xDED1]',
	0xDED2 : 'Unassigned [0xDED2]',
	0xDED3 : 'Unassigned [0xDED3]',
	0xDED4 : 'Unassigned [0xDED4]',
	0xDED5 : 'Unassigned [0xDED5]',
	0xDED6 : 'Unassigned [0xDED6]',
	0xDED7 : 'Unassigned [0xDED7]',
	0xDED8 : 'Unassigned [0xDED8]',
	0xDED9 : 'Unassigned [0xDED9]',
	0xDEDA : 'Unassigned [0xDEDA]',
	0xDEDB : 'Unassigned [0xDEDB]',
	0xDEDC : 'Unassigned [0xDEDC]',
	0xDEDD : 'Unassigned [0xDEDD]',
	0xDEDE : 'Unassigned [0xDEDE]',
	0xDEDF : 'Unassigned [0xDEDF]',
	0xDEE0 : 'Unassigned [0xDEE0]',
	0xDEE1 : 'Unassigned [0xDEE1]',
	0xDEE2 : 'Unassigned [0xDEE2]',
	0xDEE3 : 'Unassigned [0xDEE3]',
	0xDEE4 : 'Unassigned [0xDEE4]',
	0xDEE5 : 'Unassigned [0xDEE5]',
	0xDEE6 : 'Unassigned [0xDEE6]',
	0xDEE7 : 'Unassigned [0xDEE7]',
	0xDEE8 : 'Unassigned [0xDEE8]',
	0xDEE9 : 'Unassigned [0xDEE9]',
	0xDEEA : 'Unassigned [0xDEEA]',
	0xDEEB : 'Unassigned [0xDEEB]',
	0xDEEC : 'Unassigned [0xDEEC]',
	0xDEED : 'Unassigned [0xDEED]',
	0xDEEE : 'Unassigned [0xDEEE]',
	0xDEEF : 'Unassigned [0xDEEF]',
	0xDEF0 : 'Unassigned [0xDEF0]',
	0xDEF1 : 'Unassigned [0xDEF1]',
	0xDEF2 : 'Unassigned [0xDEF2]',
	0xDEF3 : 'Unassigned [0xDEF3]',
	0xDEF4 : 'Unassigned [0xDEF4]',
	0xDEF5 : 'Unassigned [0xDEF5]',
	0xDEF6 : 'Unassigned [0xDEF6]',
	0xDEF7 : 'Unassigned [0xDEF7]',
	0xDEF8 : 'Unassigned [0xDEF8]',
	0xDEF9 : 'Unassigned [0xDEF9]',
	0xDEFA : 'Unassigned [0xDEFA]',
	0xDEFB : 'Unassigned [0xDEFB]',
	0xDEFC : 'Unassigned [0xDEFC]',
	0xDEFD : 'Unassigned [0xDEFD]',
	0xDEFE : 'Unassigned [0xDEFE]',
	0xDEFF : 'Unassigned [0xDEFF]',
	0xDF00 : 'Unassigned [0xDF00]',
	0xDF01 : 'Unassigned [0xDF01]',
	0xDF02 : 'Unassigned [0xDF02]',
	0xDF03 : 'Unassigned [0xDF03]',
	0xDF04 : 'Unassigned [0xDF04]',
	0xDF05 : 'Unassigned [0xDF05]',
	0xDF06 : 'Unassigned [0xDF06]',
	0xDF07 : 'Unassigned [0xDF07]',
	0xDF08 : 'Unassigned [0xDF08]',
	0xDF09 : 'Unassigned [0xDF09]',
	0xDF0A : 'Unassigned [0xDF0A]',
	0xDF0B : 'Unassigned [0xDF0B]',
	0xDF0C : 'Unassigned [0xDF0C]',
	0xDF0D : 'Unassigned [0xDF0D]',
	0xDF0E : 'Unassigned [0xDF0E]',
	0xDF0F : 'Unassigned [0xDF0F]',
	0xDF10 : 'Unassigned [0xDF10]',
	0xDF11 : 'Unassigned [0xDF11]',
	0xDF12 : 'Unassigned [0xDF12]',
	0xDF13 : 'Unassigned [0xDF13]',
	0xDF14 : 'Unassigned [0xDF14]',
	0xDF15 : 'Unassigned [0xDF15]',
	0xDF16 : 'Unassigned [0xDF16]',
	0xDF17 : 'Unassigned [0xDF17]',
	0xDF18 : 'Unassigned [0xDF18]',
	0xDF19 : 'Unassigned [0xDF19]',
	0xDF1A : 'Unassigned [0xDF1A]',
	0xDF1B : 'Unassigned [0xDF1B]',
	0xDF1C : 'Unassigned [0xDF1C]',
	0xDF1D : 'Unassigned [0xDF1D]',
	0xDF1E : 'Unassigned [0xDF1E]',
	0xDF1F : 'Unassigned [0xDF1F]',
	0xDF20 : 'Unassigned [0xDF20]',
	0xDF21 : 'Unassigned [0xDF21]',
	0xDF22 : 'Unassigned [0xDF22]',
	0xDF23 : 'Unassigned [0xDF23]',
	0xDF24 : 'Unassigned [0xDF24]',
	0xDF25 : 'Unassigned [0xDF25]',
	0xDF26 : 'Unassigned [0xDF26]',
	0xDF27 : 'Unassigned [0xDF27]',
	0xDF28 : 'Unassigned [0xDF28]',
	0xDF29 : 'Unassigned [0xDF29]',
	0xDF2A : 'Unassigned [0xDF2A]',
	0xDF2B : 'Unassigned [0xDF2B]',
	0xDF2C : 'Unassigned [0xDF2C]',
	0xDF2D : 'Unassigned [0xDF2D]',
	0xDF2E : 'Unassigned [0xDF2E]',
	0xDF2F : 'Unassigned [0xDF2F]',
	0xDF30 : 'Unassigned [0xDF30]',
	0xDF31 : 'Unassigned [0xDF31]',
	0xDF32 : 'Unassigned [0xDF32]',
	0xDF33 : 'Unassigned [0xDF33]',
	0xDF34 : 'Unassigned [0xDF34]',
	0xDF35 : 'Unassigned [0xDF35]',
	0xDF36 : 'Unassigned [0xDF36]',
	0xDF37 : 'Unassigned [0xDF37]',
	0xDF38 : 'Unassigned [0xDF38]',
	0xDF39 : 'Unassigned [0xDF39]',
	0xDF3A : 'Unassigned [0xDF3A]',
	0xDF3B : 'Unassigned [0xDF3B]',
	0xDF3C : 'Unassigned [0xDF3C]',
	0xDF3D : 'Unassigned [0xDF3D]',
	0xDF3E : 'Unassigned [0xDF3E]',
	0xDF3F : 'Unassigned [0xDF3F]',
	0xDF40 : 'Unassigned [0xDF40]',
	0xDF41 : 'Unassigned [0xDF41]',
	0xDF42 : 'Unassigned [0xDF42]',
	0xDF43 : 'Unassigned [0xDF43]',
	0xDF44 : 'Unassigned [0xDF44]',
	0xDF45 : 'Unassigned [0xDF45]',
	0xDF46 : 'Unassigned [0xDF46]',
	0xDF47 : 'Unassigned [0xDF47]',
	0xDF48 : 'Unassigned [0xDF48]',
	0xDF49 : 'Unassigned [0xDF49]',
	0xDF4A : 'Unassigned [0xDF4A]',
	0xDF4B : 'Unassigned [0xDF4B]',
	0xDF4C : 'Unassigned [0xDF4C]',
	0xDF4D : 'Unassigned [0xDF4D]',
	0xDF4E : 'Unassigned [0xDF4E]',
	0xDF4F : 'Unassigned [0xDF4F]',
	0xDF50 : 'Unassigned [0xDF50]',
	0xDF51 : 'Unassigned [0xDF51]',
	0xDF52 : 'Unassigned [0xDF52]',
	0xDF53 : 'Unassigned [0xDF53]',
	0xDF54 : 'Unassigned [0xDF54]',
	0xDF55 : 'Unassigned [0xDF55]',
	0xDF56 : 'Unassigned [0xDF56]',
	0xDF57 : 'Unassigned [0xDF57]',
	0xDF58 : 'Unassigned [0xDF58]',
	0xDF59 : 'Unassigned [0xDF59]',
	0xDF5A : 'Unassigned [0xDF5A]',
	0xDF5B : 'Unassigned [0xDF5B]',
	0xDF5C : 'Unassigned [0xDF5C]',
	0xDF5D : 'Unassigned [0xDF5D]',
	0xDF5E : 'Unassigned [0xDF5E]',
	0xDF5F : 'Unassigned [0xDF5F]',
	0xDF60 : 'Unassigned [0xDF60]',
	0xDF61 : 'Unassigned [0xDF61]',
	0xDF62 : 'Unassigned [0xDF62]',
	0xDF63 : 'Unassigned [0xDF63]',
	0xDF64 : 'Unassigned [0xDF64]',
	0xDF65 : 'Unassigned [0xDF65]',
	0xDF66 : 'Unassigned [0xDF66]',
	0xDF67 : 'Unassigned [0xDF67]',
	0xDF68 : 'Unassigned [0xDF68]',
	0xDF69 : 'Unassigned [0xDF69]',
	0xDF6A : 'Unassigned [0xDF6A]',
	0xDF6B : 'Unassigned [0xDF6B]',
	0xDF6C : 'Unassigned [0xDF6C]',
	0xDF6D : 'Unassigned [0xDF6D]',
	0xDF6E : 'Unassigned [0xDF6E]',
	0xDF6F : 'Unassigned [0xDF6F]',
	0xDF70 : 'Unassigned [0xDF70]',
	0xDF71 : 'Unassigned [0xDF71]',
	0xDF72 : 'Unassigned [0xDF72]',
	0xDF73 : 'Unassigned [0xDF73]',
	0xDF74 : 'Unassigned [0xDF74]',
	0xDF75 : 'Unassigned [0xDF75]',
	0xDF76 : 'Unassigned [0xDF76]',
	0xDF77 : 'Unassigned [0xDF77]',
	0xDF78 : 'Unassigned [0xDF78]',
	0xDF79 : 'Unassigned [0xDF79]',
	0xDF7A : 'Unassigned [0xDF7A]',
	0xDF7B : 'Unassigned [0xDF7B]',
	0xDF7C : 'Unassigned [0xDF7C]',
	0xDF7D : 'Unassigned [0xDF7D]',
	0xDF7E : 'Unassigned [0xDF7E]',
	0xDF7F : 'Unassigned [0xDF7F]',
	0xDF80 : 'Unassigned [0xDF80]',
	0xDF81 : 'Unassigned [0xDF81]',
	0xDF82 : 'Unassigned [0xDF82]',
	0xDF83 : 'Unassigned [0xDF83]',
	0xDF84 : 'Unassigned [0xDF84]',
	0xDF85 : 'Unassigned [0xDF85]',
	0xDF86 : 'Unassigned [0xDF86]',
	0xDF87 : 'Unassigned [0xDF87]',
	0xDF88 : 'Unassigned [0xDF88]',
	0xDF89 : 'Unassigned [0xDF89]',
	0xDF8A : 'Unassigned [0xDF8A]',
	0xDF8B : 'Unassigned [0xDF8B]',
	0xDF8C : 'Unassigned [0xDF8C]',
	0xDF8D : 'Unassigned [0xDF8D]',
	0xDF8E : 'Unassigned [0xDF8E]',
	0xDF8F : 'Unassigned [0xDF8F]',
	0xDF90 : 'Unassigned [0xDF90]',
	0xDF91 : 'Unassigned [0xDF91]',
	0xDF92 : 'Unassigned [0xDF92]',
	0xDF93 : 'Unassigned [0xDF93]',
	0xDF94 : 'Unassigned [0xDF94]',
	0xDF95 : 'Unassigned [0xDF95]',
	0xDF96 : 'Unassigned [0xDF96]',
	0xDF97 : 'Unassigned [0xDF97]',
	0xDF98 : 'Unassigned [0xDF98]',
	0xDF99 : 'Unassigned [0xDF99]',
	0xDF9A : 'Unassigned [0xDF9A]',
	0xDF9B : 'Unassigned [0xDF9B]',
	0xDF9C : 'Unassigned [0xDF9C]',
	0xDF9D : 'Unassigned [0xDF9D]',
	0xDF9E : 'Unassigned [0xDF9E]',
	0xDF9F : 'Unassigned [0xDF9F]',
	0xDFA0 : 'Unassigned [0xDFA0]',
	0xDFA1 : 'Unassigned [0xDFA1]',
	0xDFA2 : 'Unassigned [0xDFA2]',
	0xDFA3 : 'Unassigned [0xDFA3]',
	0xDFA4 : 'Unassigned [0xDFA4]',
	0xDFA5 : 'Unassigned [0xDFA5]',
	0xDFA6 : 'Unassigned [0xDFA6]',
	0xDFA7 : 'Unassigned [0xDFA7]',
	0xDFA8 : 'Unassigned [0xDFA8]',
	0xDFA9 : 'Unassigned [0xDFA9]',
	0xDFAA : 'Unassigned [0xDFAA]',
	0xDFAB : 'Unassigned [0xDFAB]',
	0xDFAC : 'Unassigned [0xDFAC]',
	0xDFAD : 'Unassigned [0xDFAD]',
	0xDFAE : 'Unassigned [0xDFAE]',
	0xDFAF : 'Unassigned [0xDFAF]',
	0xDFB0 : 'Unassigned [0xDFB0]',
	0xDFB1 : 'Unassigned [0xDFB1]',
	0xDFB2 : 'Unassigned [0xDFB2]',
	0xDFB3 : 'Unassigned [0xDFB3]',
	0xDFB4 : 'Unassigned [0xDFB4]',
	0xDFB5 : 'Unassigned [0xDFB5]',
	0xDFB6 : 'Unassigned [0xDFB6]',
	0xDFB7 : 'Unassigned [0xDFB7]',
	0xDFB8 : 'Unassigned [0xDFB8]',
	0xDFB9 : 'Unassigned [0xDFB9]',
	0xDFBA : 'Unassigned [0xDFBA]',
	0xDFBB : 'Unassigned [0xDFBB]',
	0xDFBC : 'Unassigned [0xDFBC]',
	0xDFBD : 'Unassigned [0xDFBD]',
	0xDFBE : 'Unassigned [0xDFBE]',
	0xDFBF : 'Unassigned [0xDFBF]',
	0xDFC0 : 'Unassigned [0xDFC0]',
	0xDFC1 : 'Unassigned [0xDFC1]',
	0xDFC2 : 'Unassigned [0xDFC2]',
	0xDFC3 : 'Unassigned [0xDFC3]',
	0xDFC4 : 'Unassigned [0xDFC4]',
	0xDFC5 : 'Unassigned [0xDFC5]',
	0xDFC6 : 'Unassigned [0xDFC6]',
	0xDFC7 : 'Unassigned [0xDFC7]',
	0xDFC8 : 'Unassigned [0xDFC8]',
	0xDFC9 : 'Unassigned [0xDFC9]',
	0xDFCA : 'Unassigned [0xDFCA]',
	0xDFCB : 'Unassigned [0xDFCB]',
	0xDFCC : 'Unassigned [0xDFCC]',
	0xDFCD : 'Unassigned [0xDFCD]',
	0xDFCE : 'Unassigned [0xDFCE]',
	0xDFCF : 'Unassigned [0xDFCF]',
	0xDFD0 : 'Unassigned [0xDFD0]',
	0xDFD1 : 'Unassigned [0xDFD1]',
	0xDFD2 : 'Unassigned [0xDFD2]',
	0xDFD3 : 'Unassigned [0xDFD3]',
	0xDFD4 : 'Unassigned [0xDFD4]',
	0xDFD5 : 'Unassigned [0xDFD5]',
	0xDFD6 : 'Unassigned [0xDFD6]',
	0xDFD7 : 'Unassigned [0xDFD7]',
	0xDFD8 : 'Unassigned [0xDFD8]',
	0xDFD9 : 'Unassigned [0xDFD9]',
	0xDFDA : 'Unassigned [0xDFDA]',
	0xDFDB : 'Unassigned [0xDFDB]',
	0xDFDC : 'Unassigned [0xDFDC]',
	0xDFDD : 'Unassigned [0xDFDD]',
	0xDFDE : 'Unassigned [0xDFDE]',
	0xDFDF : 'Unassigned [0xDFDF]',
	0xDFE0 : 'Unassigned [0xDFE0]',
	0xDFE1 : 'Unassigned [0xDFE1]',
	0xDFE2 : 'Unassigned [0xDFE2]',
	0xDFE3 : 'Unassigned [0xDFE3]',
	0xDFE4 : 'Unassigned [0xDFE4]',
	0xDFE5 : 'Unassigned [0xDFE5]',
	0xDFE6 : 'Unassigned [0xDFE6]',
	0xDFE7 : 'Unassigned [0xDFE7]',
	0xDFE8 : 'Unassigned [0xDFE8]',
	0xDFE9 : 'Unassigned [0xDFE9]',
	0xDFEA : 'Unassigned [0xDFEA]',
	0xDFEB : 'Unassigned [0xDFEB]',
	0xDFEC : 'Unassigned [0xDFEC]',
	0xDFED : 'Unassigned [0xDFED]',
	0xDFEE : 'Unassigned [0xDFEE]',
	0xDFEF : 'Unassigned [0xDFEF]',
	0xDFF0 : 'Unassigned [0xDFF0]',
	0xDFF1 : 'Unassigned [0xDFF1]',
	0xDFF2 : 'Unassigned [0xDFF2]',
	0xDFF3 : 'Unassigned [0xDFF3]',
	0xDFF4 : 'Unassigned [0xDFF4]',
	0xDFF5 : 'Unassigned [0xDFF5]',
	0xDFF6 : 'Unassigned [0xDFF6]',
	0xDFF7 : 'Unassigned [0xDFF7]',
	0xDFF8 : 'Unassigned [0xDFF8]',
	0xDFF9 : 'Unassigned [0xDFF9]',
	0xDFFA : 'Unassigned [0xDFFA]',
	0xDFFB : 'Unassigned [0xDFFB]',
	0xDFFC : 'Unassigned [0xDFFC]',
	0xDFFD : 'Unassigned [0xDFFD]',
	0xDFFE : 'Unassigned [0xDFFE]',
	0xDFFF : 'Unassigned [0xDFFF]',
	0xE000 : 'Unassigned [0xE000]',
	0xE001 : 'Unassigned [0xE001]',
	0xE002 : 'Unassigned [0xE002]',
	0xE003 : 'Unassigned [0xE003]',
	0xE004 : 'Unassigned [0xE004]',
	0xE005 : 'Unassigned [0xE005]',
	0xE006 : 'Unassigned [0xE006]',
	0xE007 : 'Unassigned [0xE007]',
	0xE008 : 'Unassigned [0xE008]',
	0xE009 : 'Unassigned [0xE009]',
	0xE00A : 'Unassigned [0xE00A]',
	0xE00B : 'Unassigned [0xE00B]',
	0xE00C : 'Unassigned [0xE00C]',
	0xE00D : 'Unassigned [0xE00D]',
	0xE00E : 'Unassigned [0xE00E]',
	0xE00F : 'Unassigned [0xE00F]',
	0xE010 : 'Unassigned [0xE010]',
	0xE011 : 'Unassigned [0xE011]',
	0xE012 : 'Unassigned [0xE012]',
	0xE013 : 'Unassigned [0xE013]',
	0xE014 : 'Unassigned [0xE014]',
	0xE015 : 'Unassigned [0xE015]',
	0xE016 : 'Unassigned [0xE016]',
	0xE017 : 'Unassigned [0xE017]',
	0xE018 : 'Unassigned [0xE018]',
	0xE019 : 'Unassigned [0xE019]',
	0xE01A : 'Unassigned [0xE01A]',
	0xE01B : 'Unassigned [0xE01B]',
	0xE01C : 'Unassigned [0xE01C]',
	0xE01D : 'Unassigned [0xE01D]',
	0xE01E : 'Unassigned [0xE01E]',
	0xE01F : 'Unassigned [0xE01F]',
	0xE020 : 'Unassigned [0xE020]',
	0xE021 : 'Unassigned [0xE021]',
	0xE022 : 'Unassigned [0xE022]',
	0xE023 : 'Unassigned [0xE023]',
	0xE024 : 'Unassigned [0xE024]',
	0xE025 : 'Unassigned [0xE025]',
	0xE026 : 'Unassigned [0xE026]',
	0xE027 : 'Unassigned [0xE027]',
	0xE028 : 'Unassigned [0xE028]',
	0xE029 : 'Unassigned [0xE029]',
	0xE02A : 'Unassigned [0xE02A]',
	0xE02B : 'Unassigned [0xE02B]',
	0xE02C : 'Unassigned [0xE02C]',
	0xE02D : 'Unassigned [0xE02D]',
	0xE02E : 'Unassigned [0xE02E]',
	0xE02F : 'Unassigned [0xE02F]',
	0xE030 : 'Unassigned [0xE030]',
	0xE031 : 'Unassigned [0xE031]',
	0xE032 : 'Unassigned [0xE032]',
	0xE033 : 'Unassigned [0xE033]',
	0xE034 : 'Unassigned [0xE034]',
	0xE035 : 'Unassigned [0xE035]',
	0xE036 : 'Unassigned [0xE036]',
	0xE037 : 'Unassigned [0xE037]',
	0xE038 : 'Unassigned [0xE038]',
	0xE039 : 'Unassigned [0xE039]',
	0xE03A : 'Unassigned [0xE03A]',
	0xE03B : 'Unassigned [0xE03B]',
	0xE03C : 'Unassigned [0xE03C]',
	0xE03D : 'Unassigned [0xE03D]',
	0xE03E : 'Unassigned [0xE03E]',
	0xE03F : 'Unassigned [0xE03F]',
	0xE040 : 'Unassigned [0xE040]',
	0xE041 : 'Unassigned [0xE041]',
	0xE042 : 'Unassigned [0xE042]',
	0xE043 : 'Unassigned [0xE043]',
	0xE044 : 'Unassigned [0xE044]',
	0xE045 : 'Unassigned [0xE045]',
	0xE046 : 'Unassigned [0xE046]',
	0xE047 : 'Unassigned [0xE047]',
	0xE048 : 'Unassigned [0xE048]',
	0xE049 : 'Unassigned [0xE049]',
	0xE04A : 'Unassigned [0xE04A]',
	0xE04B : 'Unassigned [0xE04B]',
	0xE04C : 'Unassigned [0xE04C]',
	0xE04D : 'Unassigned [0xE04D]',
	0xE04E : 'Unassigned [0xE04E]',
	0xE04F : 'Unassigned [0xE04F]',
	0xE050 : 'Unassigned [0xE050]',
	0xE051 : 'Unassigned [0xE051]',
	0xE052 : 'Unassigned [0xE052]',
	0xE053 : 'Unassigned [0xE053]',
	0xE054 : 'Unassigned [0xE054]',
	0xE055 : 'Unassigned [0xE055]',
	0xE056 : 'Unassigned [0xE056]',
	0xE057 : 'Unassigned [0xE057]',
	0xE058 : 'Unassigned [0xE058]',
	0xE059 : 'Unassigned [0xE059]',
	0xE05A : 'Unassigned [0xE05A]',
	0xE05B : 'Unassigned [0xE05B]',
	0xE05C : 'Unassigned [0xE05C]',
	0xE05D : 'Unassigned [0xE05D]',
	0xE05E : 'Unassigned [0xE05E]',
	0xE05F : 'Unassigned [0xE05F]',
	0xE060 : 'Unassigned [0xE060]',
	0xE061 : 'Unassigned [0xE061]',
	0xE062 : 'Unassigned [0xE062]',
	0xE063 : 'Unassigned [0xE063]',
	0xE064 : 'Unassigned [0xE064]',
	0xE065 : 'Unassigned [0xE065]',
	0xE066 : 'Unassigned [0xE066]',
	0xE067 : 'Unassigned [0xE067]',
	0xE068 : 'Unassigned [0xE068]',
	0xE069 : 'Unassigned [0xE069]',
	0xE06A : 'Unassigned [0xE06A]',
	0xE06B : 'Unassigned [0xE06B]',
	0xE06C : 'Unassigned [0xE06C]',
	0xE06D : 'Unassigned [0xE06D]',
	0xE06E : 'Unassigned [0xE06E]',
	0xE06F : 'Unassigned [0xE06F]',
	0xE070 : 'Unassigned [0xE070]',
	0xE071 : 'Unassigned [0xE071]',
	0xE072 : 'Unassigned [0xE072]',
	0xE073 : 'Unassigned [0xE073]',
	0xE074 : 'Unassigned [0xE074]',
	0xE075 : 'Unassigned [0xE075]',
	0xE076 : 'Unassigned [0xE076]',
	0xE077 : 'Unassigned [0xE077]',
	0xE078 : 'Unassigned [0xE078]',
	0xE079 : 'Unassigned [0xE079]',
	0xE07A : 'Unassigned [0xE07A]',
	0xE07B : 'Unassigned [0xE07B]',
	0xE07C : 'Unassigned [0xE07C]',
	0xE07D : 'Unassigned [0xE07D]',
	0xE07E : 'Unassigned [0xE07E]',
	0xE07F : 'Unassigned [0xE07F]',
	0xE080 : 'Unassigned [0xE080]',
	0xE081 : 'Unassigned [0xE081]',
	0xE082 : 'Unassigned [0xE082]',
	0xE083 : 'Unassigned [0xE083]',
	0xE084 : 'Unassigned [0xE084]',
	0xE085 : 'Unassigned [0xE085]',
	0xE086 : 'Unassigned [0xE086]',
	0xE087 : 'Unassigned [0xE087]',
	0xE088 : 'Unassigned [0xE088]',
	0xE089 : 'Unassigned [0xE089]',
	0xE08A : 'Unassigned [0xE08A]',
	0xE08B : 'Unassigned [0xE08B]',
	0xE08C : 'Unassigned [0xE08C]',
	0xE08D : 'Unassigned [0xE08D]',
	0xE08E : 'Unassigned [0xE08E]',
	0xE08F : 'Unassigned [0xE08F]',
	0xE090 : 'Unassigned [0xE090]',
	0xE091 : 'Unassigned [0xE091]',
	0xE092 : 'Unassigned [0xE092]',
	0xE093 : 'Unassigned [0xE093]',
	0xE094 : 'Unassigned [0xE094]',
	0xE095 : 'Unassigned [0xE095]',
	0xE096 : 'Unassigned [0xE096]',
	0xE097 : 'Unassigned [0xE097]',
	0xE098 : 'Unassigned [0xE098]',
	0xE099 : 'Unassigned [0xE099]',
	0xE09A : 'Unassigned [0xE09A]',
	0xE09B : 'Unassigned [0xE09B]',
	0xE09C : 'Unassigned [0xE09C]',
	0xE09D : 'Unassigned [0xE09D]',
	0xE09E : 'Unassigned [0xE09E]',
	0xE09F : 'Unassigned [0xE09F]',
	0xE0A0 : 'Unassigned [0xE0A0]',
	0xE0A1 : 'Unassigned [0xE0A1]',
	0xE0A2 : 'Unassigned [0xE0A2]',
	0xE0A3 : 'Unassigned [0xE0A3]',
	0xE0A4 : 'Unassigned [0xE0A4]',
	0xE0A5 : 'Unassigned [0xE0A5]',
	0xE0A6 : 'Unassigned [0xE0A6]',
	0xE0A7 : 'Unassigned [0xE0A7]',
	0xE0A8 : 'Unassigned [0xE0A8]',
	0xE0A9 : 'Unassigned [0xE0A9]',
	0xE0AA : 'Unassigned [0xE0AA]',
	0xE0AB : 'Unassigned [0xE0AB]',
	0xE0AC : 'Unassigned [0xE0AC]',
	0xE0AD : 'Unassigned [0xE0AD]',
	0xE0AE : 'Unassigned [0xE0AE]',
	0xE0AF : 'Unassigned [0xE0AF]',
	0xE0B0 : 'Unassigned [0xE0B0]',
	0xE0B1 : 'Unassigned [0xE0B1]',
	0xE0B2 : 'Unassigned [0xE0B2]',
	0xE0B3 : 'Unassigned [0xE0B3]',
	0xE0B4 : 'Unassigned [0xE0B4]',
	0xE0B5 : 'Unassigned [0xE0B5]',
	0xE0B6 : 'Unassigned [0xE0B6]',
	0xE0B7 : 'Unassigned [0xE0B7]',
	0xE0B8 : 'Unassigned [0xE0B8]',
	0xE0B9 : 'Unassigned [0xE0B9]',
	0xE0BA : 'Unassigned [0xE0BA]',
	0xE0BB : 'Unassigned [0xE0BB]',
	0xE0BC : 'Unassigned [0xE0BC]',
	0xE0BD : 'Unassigned [0xE0BD]',
	0xE0BE : 'Unassigned [0xE0BE]',
	0xE0BF : 'Unassigned [0xE0BF]',
	0xE0C0 : 'Unassigned [0xE0C0]',
	0xE0C1 : 'Unassigned [0xE0C1]',
	0xE0C2 : 'Unassigned [0xE0C2]',
	0xE0C3 : 'Unassigned [0xE0C3]',
	0xE0C4 : 'Unassigned [0xE0C4]',
	0xE0C5 : 'Unassigned [0xE0C5]',
	0xE0C6 : 'Unassigned [0xE0C6]',
	0xE0C7 : 'Unassigned [0xE0C7]',
	0xE0C8 : 'Unassigned [0xE0C8]',
	0xE0C9 : 'Unassigned [0xE0C9]',
	0xE0CA : 'Unassigned [0xE0CA]',
	0xE0CB : 'Unassigned [0xE0CB]',
	0xE0CC : 'Unassigned [0xE0CC]',
	0xE0CD : 'Unassigned [0xE0CD]',
	0xE0CE : 'Unassigned [0xE0CE]',
	0xE0CF : 'Unassigned [0xE0CF]',
	0xE0D0 : 'Unassigned [0xE0D0]',
	0xE0D1 : 'Unassigned [0xE0D1]',
	0xE0D2 : 'Unassigned [0xE0D2]',
	0xE0D3 : 'Unassigned [0xE0D3]',
	0xE0D4 : 'Unassigned [0xE0D4]',
	0xE0D5 : 'Unassigned [0xE0D5]',
	0xE0D6 : 'Unassigned [0xE0D6]',
	0xE0D7 : 'Unassigned [0xE0D7]',
	0xE0D8 : 'Unassigned [0xE0D8]',
	0xE0D9 : 'Unassigned [0xE0D9]',
	0xE0DA : 'Unassigned [0xE0DA]',
	0xE0DB : 'Unassigned [0xE0DB]',
	0xE0DC : 'Unassigned [0xE0DC]',
	0xE0DD : 'Unassigned [0xE0DD]',
	0xE0DE : 'Unassigned [0xE0DE]',
	0xE0DF : 'Unassigned [0xE0DF]',
	0xE0E0 : 'Unassigned [0xE0E0]',
	0xE0E1 : 'Unassigned [0xE0E1]',
	0xE0E2 : 'Unassigned [0xE0E2]',
	0xE0E3 : 'Unassigned [0xE0E3]',
	0xE0E4 : 'Unassigned [0xE0E4]',
	0xE0E5 : 'Unassigned [0xE0E5]',
	0xE0E6 : 'Unassigned [0xE0E6]',
	0xE0E7 : 'Unassigned [0xE0E7]',
	0xE0E8 : 'Unassigned [0xE0E8]',
	0xE0E9 : 'Unassigned [0xE0E9]',
	0xE0EA : 'Unassigned [0xE0EA]',
	0xE0EB : 'Unassigned [0xE0EB]',
	0xE0EC : 'Unassigned [0xE0EC]',
	0xE0ED : 'Unassigned [0xE0ED]',
	0xE0EE : 'Unassigned [0xE0EE]',
	0xE0EF : 'Unassigned [0xE0EF]',
	0xE0F0 : 'Unassigned [0xE0F0]',
	0xE0F1 : 'Unassigned [0xE0F1]',
	0xE0F2 : 'Unassigned [0xE0F2]',
	0xE0F3 : 'Unassigned [0xE0F3]',
	0xE0F4 : 'Unassigned [0xE0F4]',
	0xE0F5 : 'Unassigned [0xE0F5]',
	0xE0F6 : 'Unassigned [0xE0F6]',
	0xE0F7 : 'Unassigned [0xE0F7]',
	0xE0F8 : 'Unassigned [0xE0F8]',
	0xE0F9 : 'Unassigned [0xE0F9]',
	0xE0FA : 'Unassigned [0xE0FA]',
	0xE0FB : 'Unassigned [0xE0FB]',
	0xE0FC : 'Unassigned [0xE0FC]',
	0xE0FD : 'Unassigned [0xE0FD]',
	0xE0FE : 'Unassigned [0xE0FE]',
	0xE0FF : 'Unassigned [0xE0FF]',
	0xE100 : 'Unassigned [0xE100]',
	0xE101 : 'Unassigned [0xE101]',
	0xE102 : 'Unassigned [0xE102]',
	0xE103 : 'Unassigned [0xE103]',
	0xE104 : 'Unassigned [0xE104]',
	0xE105 : 'Unassigned [0xE105]',
	0xE106 : 'Unassigned [0xE106]',
	0xE107 : 'Unassigned [0xE107]',
	0xE108 : 'Unassigned [0xE108]',
	0xE109 : 'Unassigned [0xE109]',
	0xE10A : 'Unassigned [0xE10A]',
	0xE10B : 'Unassigned [0xE10B]',
	0xE10C : 'Unassigned [0xE10C]',
	0xE10D : 'Unassigned [0xE10D]',
	0xE10E : 'Unassigned [0xE10E]',
	0xE10F : 'Unassigned [0xE10F]',
	0xE110 : 'Unassigned [0xE110]',
	0xE111 : 'Unassigned [0xE111]',
	0xE112 : 'Unassigned [0xE112]',
	0xE113 : 'Unassigned [0xE113]',
	0xE114 : 'Unassigned [0xE114]',
	0xE115 : 'Unassigned [0xE115]',
	0xE116 : 'Unassigned [0xE116]',
	0xE117 : 'Unassigned [0xE117]',
	0xE118 : 'Unassigned [0xE118]',
	0xE119 : 'Unassigned [0xE119]',
	0xE11A : 'Unassigned [0xE11A]',
	0xE11B : 'Unassigned [0xE11B]',
	0xE11C : 'Unassigned [0xE11C]',
	0xE11D : 'Unassigned [0xE11D]',
	0xE11E : 'Unassigned [0xE11E]',
	0xE11F : 'Unassigned [0xE11F]',
	0xE120 : 'Unassigned [0xE120]',
	0xE121 : 'Unassigned [0xE121]',
	0xE122 : 'Unassigned [0xE122]',
	0xE123 : 'Unassigned [0xE123]',
	0xE124 : 'Unassigned [0xE124]',
	0xE125 : 'Unassigned [0xE125]',
	0xE126 : 'Unassigned [0xE126]',
	0xE127 : 'Unassigned [0xE127]',
	0xE128 : 'Unassigned [0xE128]',
	0xE129 : 'Unassigned [0xE129]',
	0xE12A : 'Unassigned [0xE12A]',
	0xE12B : 'Unassigned [0xE12B]',
	0xE12C : 'Unassigned [0xE12C]',
	0xE12D : 'Unassigned [0xE12D]',
	0xE12E : 'Unassigned [0xE12E]',
	0xE12F : 'Unassigned [0xE12F]',
	0xE130 : 'Unassigned [0xE130]',
	0xE131 : 'Unassigned [0xE131]',
	0xE132 : 'Unassigned [0xE132]',
	0xE133 : 'Unassigned [0xE133]',
	0xE134 : 'Unassigned [0xE134]',
	0xE135 : 'Unassigned [0xE135]',
	0xE136 : 'Unassigned [0xE136]',
	0xE137 : 'Unassigned [0xE137]',
	0xE138 : 'Unassigned [0xE138]',
	0xE139 : 'Unassigned [0xE139]',
	0xE13A : 'Unassigned [0xE13A]',
	0xE13B : 'Unassigned [0xE13B]',
	0xE13C : 'Unassigned [0xE13C]',
	0xE13D : 'Unassigned [0xE13D]',
	0xE13E : 'Unassigned [0xE13E]',
	0xE13F : 'Unassigned [0xE13F]',
	0xE140 : 'Unassigned [0xE140]',
	0xE141 : 'Unassigned [0xE141]',
	0xE142 : 'Unassigned [0xE142]',
	0xE143 : 'Unassigned [0xE143]',
	0xE144 : 'Unassigned [0xE144]',
	0xE145 : 'Unassigned [0xE145]',
	0xE146 : 'Unassigned [0xE146]',
	0xE147 : 'Unassigned [0xE147]',
	0xE148 : 'Unassigned [0xE148]',
	0xE149 : 'Unassigned [0xE149]',
	0xE14A : 'Unassigned [0xE14A]',
	0xE14B : 'Unassigned [0xE14B]',
	0xE14C : 'Unassigned [0xE14C]',
	0xE14D : 'Unassigned [0xE14D]',
	0xE14E : 'Unassigned [0xE14E]',
	0xE14F : 'Unassigned [0xE14F]',
	0xE150 : 'Unassigned [0xE150]',
	0xE151 : 'Unassigned [0xE151]',
	0xE152 : 'Unassigned [0xE152]',
	0xE153 : 'Unassigned [0xE153]',
	0xE154 : 'Unassigned [0xE154]',
	0xE155 : 'Unassigned [0xE155]',
	0xE156 : 'Unassigned [0xE156]',
	0xE157 : 'Unassigned [0xE157]',
	0xE158 : 'Unassigned [0xE158]',
	0xE159 : 'Unassigned [0xE159]',
	0xE15A : 'Unassigned [0xE15A]',
	0xE15B : 'Unassigned [0xE15B]',
	0xE15C : 'Unassigned [0xE15C]',
	0xE15D : 'Unassigned [0xE15D]',
	0xE15E : 'Unassigned [0xE15E]',
	0xE15F : 'Unassigned [0xE15F]',
	0xE160 : 'Unassigned [0xE160]',
	0xE161 : 'Unassigned [0xE161]',
	0xE162 : 'Unassigned [0xE162]',
	0xE163 : 'Unassigned [0xE163]',
	0xE164 : 'Unassigned [0xE164]',
	0xE165 : 'Unassigned [0xE165]',
	0xE166 : 'Unassigned [0xE166]',
	0xE167 : 'Unassigned [0xE167]',
	0xE168 : 'Unassigned [0xE168]',
	0xE169 : 'Unassigned [0xE169]',
	0xE16A : 'Unassigned [0xE16A]',
	0xE16B : 'Unassigned [0xE16B]',
	0xE16C : 'Unassigned [0xE16C]',
	0xE16D : 'Unassigned [0xE16D]',
	0xE16E : 'Unassigned [0xE16E]',
	0xE16F : 'Unassigned [0xE16F]',
	0xE170 : 'Unassigned [0xE170]',
	0xE171 : 'Unassigned [0xE171]',
	0xE172 : 'Unassigned [0xE172]',
	0xE173 : 'Unassigned [0xE173]',
	0xE174 : 'Unassigned [0xE174]',
	0xE175 : 'Unassigned [0xE175]',
	0xE176 : 'Unassigned [0xE176]',
	0xE177 : 'Unassigned [0xE177]',
	0xE178 : 'Unassigned [0xE178]',
	0xE179 : 'Unassigned [0xE179]',
	0xE17A : 'Unassigned [0xE17A]',
	0xE17B : 'Unassigned [0xE17B]',
	0xE17C : 'Unassigned [0xE17C]',
	0xE17D : 'Unassigned [0xE17D]',
	0xE17E : 'Unassigned [0xE17E]',
	0xE17F : 'Unassigned [0xE17F]',
	0xE180 : 'Unassigned [0xE180]',
	0xE181 : 'Unassigned [0xE181]',
	0xE182 : 'Unassigned [0xE182]',
	0xE183 : 'Unassigned [0xE183]',
	0xE184 : 'Unassigned [0xE184]',
	0xE185 : 'Unassigned [0xE185]',
	0xE186 : 'Unassigned [0xE186]',
	0xE187 : 'Unassigned [0xE187]',
	0xE188 : 'Unassigned [0xE188]',
	0xE189 : 'Unassigned [0xE189]',
	0xE18A : 'Unassigned [0xE18A]',
	0xE18B : 'Unassigned [0xE18B]',
	0xE18C : 'Unassigned [0xE18C]',
	0xE18D : 'Unassigned [0xE18D]',
	0xE18E : 'Unassigned [0xE18E]',
	0xE18F : 'Unassigned [0xE18F]',
	0xE190 : 'Unassigned [0xE190]',
	0xE191 : 'Unassigned [0xE191]',
	0xE192 : 'Unassigned [0xE192]',
	0xE193 : 'Unassigned [0xE193]',
	0xE194 : 'Unassigned [0xE194]',
	0xE195 : 'Unassigned [0xE195]',
	0xE196 : 'Unassigned [0xE196]',
	0xE197 : 'Unassigned [0xE197]',
	0xE198 : 'Unassigned [0xE198]',
	0xE199 : 'Unassigned [0xE199]',
	0xE19A : 'Unassigned [0xE19A]',
	0xE19B : 'Unassigned [0xE19B]',
	0xE19C : 'Unassigned [0xE19C]',
	0xE19D : 'Unassigned [0xE19D]',
	0xE19E : 'Unassigned [0xE19E]',
	0xE19F : 'Unassigned [0xE19F]',
	0xE1A0 : 'Unassigned [0xE1A0]',
	0xE1A1 : 'Unassigned [0xE1A1]',
	0xE1A2 : 'Unassigned [0xE1A2]',
	0xE1A3 : 'Unassigned [0xE1A3]',
	0xE1A4 : 'Unassigned [0xE1A4]',
	0xE1A5 : 'Unassigned [0xE1A5]',
	0xE1A6 : 'Unassigned [0xE1A6]',
	0xE1A7 : 'Unassigned [0xE1A7]',
	0xE1A8 : 'Unassigned [0xE1A8]',
	0xE1A9 : 'Unassigned [0xE1A9]',
	0xE1AA : 'Unassigned [0xE1AA]',
	0xE1AB : 'Unassigned [0xE1AB]',
	0xE1AC : 'Unassigned [0xE1AC]',
	0xE1AD : 'Unassigned [0xE1AD]',
	0xE1AE : 'Unassigned [0xE1AE]',
	0xE1AF : 'Unassigned [0xE1AF]',
	0xE1B0 : 'Unassigned [0xE1B0]',
	0xE1B1 : 'Unassigned [0xE1B1]',
	0xE1B2 : 'Unassigned [0xE1B2]',
	0xE1B3 : 'Unassigned [0xE1B3]',
	0xE1B4 : 'Unassigned [0xE1B4]',
	0xE1B5 : 'Unassigned [0xE1B5]',
	0xE1B6 : 'Unassigned [0xE1B6]',
	0xE1B7 : 'Unassigned [0xE1B7]',
	0xE1B8 : 'Unassigned [0xE1B8]',
	0xE1B9 : 'Unassigned [0xE1B9]',
	0xE1BA : 'Unassigned [0xE1BA]',
	0xE1BB : 'Unassigned [0xE1BB]',
	0xE1BC : 'Unassigned [0xE1BC]',
	0xE1BD : 'Unassigned [0xE1BD]',
	0xE1BE : 'Unassigned [0xE1BE]',
	0xE1BF : 'Unassigned [0xE1BF]',
	0xE1C0 : 'Unassigned [0xE1C0]',
	0xE1C1 : 'Unassigned [0xE1C1]',
	0xE1C2 : 'Unassigned [0xE1C2]',
	0xE1C3 : 'Unassigned [0xE1C3]',
	0xE1C4 : 'Unassigned [0xE1C4]',
	0xE1C5 : 'Unassigned [0xE1C5]',
	0xE1C6 : 'Unassigned [0xE1C6]',
	0xE1C7 : 'Unassigned [0xE1C7]',
	0xE1C8 : 'Unassigned [0xE1C8]',
	0xE1C9 : 'Unassigned [0xE1C9]',
	0xE1CA : 'Unassigned [0xE1CA]',
	0xE1CB : 'Unassigned [0xE1CB]',
	0xE1CC : 'Unassigned [0xE1CC]',
	0xE1CD : 'Unassigned [0xE1CD]',
	0xE1CE : 'Unassigned [0xE1CE]',
	0xE1CF : 'Unassigned [0xE1CF]',
	0xE1D0 : 'Unassigned [0xE1D0]',
	0xE1D1 : 'Unassigned [0xE1D1]',
	0xE1D2 : 'Unassigned [0xE1D2]',
	0xE1D3 : 'Unassigned [0xE1D3]',
	0xE1D4 : 'Unassigned [0xE1D4]',
	0xE1D5 : 'Unassigned [0xE1D5]',
	0xE1D6 : 'Unassigned [0xE1D6]',
	0xE1D7 : 'Unassigned [0xE1D7]',
	0xE1D8 : 'Unassigned [0xE1D8]',
	0xE1D9 : 'Unassigned [0xE1D9]',
	0xE1DA : 'Unassigned [0xE1DA]',
	0xE1DB : 'Unassigned [0xE1DB]',
	0xE1DC : 'Unassigned [0xE1DC]',
	0xE1DD : 'Unassigned [0xE1DD]',
	0xE1DE : 'Unassigned [0xE1DE]',
	0xE1DF : 'Unassigned [0xE1DF]',
	0xE1E0 : 'Unassigned [0xE1E0]',
	0xE1E1 : 'Unassigned [0xE1E1]',
	0xE1E2 : 'Unassigned [0xE1E2]',
	0xE1E3 : 'Unassigned [0xE1E3]',
	0xE1E4 : 'Unassigned [0xE1E4]',
	0xE1E5 : 'Unassigned [0xE1E5]',
	0xE1E6 : 'Unassigned [0xE1E6]',
	0xE1E7 : 'Unassigned [0xE1E7]',
	0xE1E8 : 'Unassigned [0xE1E8]',
	0xE1E9 : 'Unassigned [0xE1E9]',
	0xE1EA : 'Unassigned [0xE1EA]',
	0xE1EB : 'Unassigned [0xE1EB]',
	0xE1EC : 'Unassigned [0xE1EC]',
	0xE1ED : 'Unassigned [0xE1ED]',
	0xE1EE : 'Unassigned [0xE1EE]',
	0xE1EF : 'Unassigned [0xE1EF]',
	0xE1F0 : 'Unassigned [0xE1F0]',
	0xE1F1 : 'Unassigned [0xE1F1]',
	0xE1F2 : 'Unassigned [0xE1F2]',
	0xE1F3 : 'Unassigned [0xE1F3]',
	0xE1F4 : 'Unassigned [0xE1F4]',
	0xE1F5 : 'Unassigned [0xE1F5]',
	0xE1F6 : 'Unassigned [0xE1F6]',
	0xE1F7 : 'Unassigned [0xE1F7]',
	0xE1F8 : 'Unassigned [0xE1F8]',
	0xE1F9 : 'Unassigned [0xE1F9]',
	0xE1FA : 'Unassigned [0xE1FA]',
	0xE1FB : 'Unassigned [0xE1FB]',
	0xE1FC : 'Unassigned [0xE1FC]',
	0xE1FD : 'Unassigned [0xE1FD]',
	0xE1FE : 'Unassigned [0xE1FE]',
	0xE1FF : 'Unassigned [0xE1FF]',
	0xE200 : 'Unassigned [0xE200]',
	0xE201 : 'Unassigned [0xE201]',
	0xE202 : 'Unassigned [0xE202]',
	0xE203 : 'Unassigned [0xE203]',
	0xE204 : 'Unassigned [0xE204]',
	0xE205 : 'Unassigned [0xE205]',
	0xE206 : 'Unassigned [0xE206]',
	0xE207 : 'Unassigned [0xE207]',
	0xE208 : 'Unassigned [0xE208]',
	0xE209 : 'Unassigned [0xE209]',
	0xE20A : 'Unassigned [0xE20A]',
	0xE20B : 'Unassigned [0xE20B]',
	0xE20C : 'Unassigned [0xE20C]',
	0xE20D : 'Unassigned [0xE20D]',
	0xE20E : 'Unassigned [0xE20E]',
	0xE20F : 'Unassigned [0xE20F]',
	0xE210 : 'Unassigned [0xE210]',
	0xE211 : 'Unassigned [0xE211]',
	0xE212 : 'Unassigned [0xE212]',
	0xE213 : 'Unassigned [0xE213]',
	0xE214 : 'Unassigned [0xE214]',
	0xE215 : 'Unassigned [0xE215]',
	0xE216 : 'Unassigned [0xE216]',
	0xE217 : 'Unassigned [0xE217]',
	0xE218 : 'Unassigned [0xE218]',
	0xE219 : 'Unassigned [0xE219]',
	0xE21A : 'Unassigned [0xE21A]',
	0xE21B : 'Unassigned [0xE21B]',
	0xE21C : 'Unassigned [0xE21C]',
	0xE21D : 'Unassigned [0xE21D]',
	0xE21E : 'Unassigned [0xE21E]',
	0xE21F : 'Unassigned [0xE21F]',
	0xE220 : 'Unassigned [0xE220]',
	0xE221 : 'Unassigned [0xE221]',
	0xE222 : 'Unassigned [0xE222]',
	0xE223 : 'Unassigned [0xE223]',
	0xE224 : 'Unassigned [0xE224]',
	0xE225 : 'Unassigned [0xE225]',
	0xE226 : 'Unassigned [0xE226]',
	0xE227 : 'Unassigned [0xE227]',
	0xE228 : 'Unassigned [0xE228]',
	0xE229 : 'Unassigned [0xE229]',
	0xE22A : 'Unassigned [0xE22A]',
	0xE22B : 'Unassigned [0xE22B]',
	0xE22C : 'Unassigned [0xE22C]',
	0xE22D : 'Unassigned [0xE22D]',
	0xE22E : 'Unassigned [0xE22E]',
	0xE22F : 'Unassigned [0xE22F]',
	0xE230 : 'Unassigned [0xE230]',
	0xE231 : 'Unassigned [0xE231]',
	0xE232 : 'Unassigned [0xE232]',
	0xE233 : 'Unassigned [0xE233]',
	0xE234 : 'Unassigned [0xE234]',
	0xE235 : 'Unassigned [0xE235]',
	0xE236 : 'Unassigned [0xE236]',
	0xE237 : 'Unassigned [0xE237]',
	0xE238 : 'Unassigned [0xE238]',
	0xE239 : 'Unassigned [0xE239]',
	0xE23A : 'Unassigned [0xE23A]',
	0xE23B : 'Unassigned [0xE23B]',
	0xE23C : 'Unassigned [0xE23C]',
	0xE23D : 'Unassigned [0xE23D]',
	0xE23E : 'Unassigned [0xE23E]',
	0xE23F : 'Unassigned [0xE23F]',
	0xE240 : 'Unassigned [0xE240]',
	0xE241 : 'Unassigned [0xE241]',
	0xE242 : 'Unassigned [0xE242]',
	0xE243 : 'Unassigned [0xE243]',
	0xE244 : 'Unassigned [0xE244]',
	0xE245 : 'Unassigned [0xE245]',
	0xE246 : 'Unassigned [0xE246]',
	0xE247 : 'Unassigned [0xE247]',
	0xE248 : 'Unassigned [0xE248]',
	0xE249 : 'Unassigned [0xE249]',
	0xE24A : 'Unassigned [0xE24A]',
	0xE24B : 'Unassigned [0xE24B]',
	0xE24C : 'Unassigned [0xE24C]',
	0xE24D : 'Unassigned [0xE24D]',
	0xE24E : 'Unassigned [0xE24E]',
	0xE24F : 'Unassigned [0xE24F]',
	0xE250 : 'Unassigned [0xE250]',
	0xE251 : 'Unassigned [0xE251]',
	0xE252 : 'Unassigned [0xE252]',
	0xE253 : 'Unassigned [0xE253]',
	0xE254 : 'Unassigned [0xE254]',
	0xE255 : 'Unassigned [0xE255]',
	0xE256 : 'Unassigned [0xE256]',
	0xE257 : 'Unassigned [0xE257]',
	0xE258 : 'Unassigned [0xE258]',
	0xE259 : 'Unassigned [0xE259]',
	0xE25A : 'Unassigned [0xE25A]',
	0xE25B : 'Unassigned [0xE25B]',
	0xE25C : 'Unassigned [0xE25C]',
	0xE25D : 'Unassigned [0xE25D]',
	0xE25E : 'Unassigned [0xE25E]',
	0xE25F : 'Unassigned [0xE25F]',
	0xE260 : 'Unassigned [0xE260]',
	0xE261 : 'Unassigned [0xE261]',
	0xE262 : 'Unassigned [0xE262]',
	0xE263 : 'Unassigned [0xE263]',
	0xE264 : 'Unassigned [0xE264]',
	0xE265 : 'Unassigned [0xE265]',
	0xE266 : 'Unassigned [0xE266]',
	0xE267 : 'Unassigned [0xE267]',
	0xE268 : 'Unassigned [0xE268]',
	0xE269 : 'Unassigned [0xE269]',
	0xE26A : 'Unassigned [0xE26A]',
	0xE26B : 'Unassigned [0xE26B]',
	0xE26C : 'Unassigned [0xE26C]',
	0xE26D : 'Unassigned [0xE26D]',
	0xE26E : 'Unassigned [0xE26E]',
	0xE26F : 'Unassigned [0xE26F]',
	0xE270 : 'Unassigned [0xE270]',
	0xE271 : 'Unassigned [0xE271]',
	0xE272 : 'Unassigned [0xE272]',
	0xE273 : 'Unassigned [0xE273]',
	0xE274 : 'Unassigned [0xE274]',
	0xE275 : 'Unassigned [0xE275]',
	0xE276 : 'Unassigned [0xE276]',
	0xE277 : 'Unassigned [0xE277]',
	0xE278 : 'Unassigned [0xE278]',
	0xE279 : 'Unassigned [0xE279]',
	0xE27A : 'Unassigned [0xE27A]',
	0xE27B : 'Unassigned [0xE27B]',
	0xE27C : 'Unassigned [0xE27C]',
	0xE27D : 'Unassigned [0xE27D]',
	0xE27E : 'Unassigned [0xE27E]',
	0xE27F : 'Unassigned [0xE27F]',
	0xE280 : 'Unassigned [0xE280]',
	0xE281 : 'Unassigned [0xE281]',
	0xE282 : 'Unassigned [0xE282]',
	0xE283 : 'Unassigned [0xE283]',
	0xE284 : 'Unassigned [0xE284]',
	0xE285 : 'Unassigned [0xE285]',
	0xE286 : 'Unassigned [0xE286]',
	0xE287 : 'Unassigned [0xE287]',
	0xE288 : 'Unassigned [0xE288]',
	0xE289 : 'Unassigned [0xE289]',
	0xE28A : 'Unassigned [0xE28A]',
	0xE28B : 'Unassigned [0xE28B]',
	0xE28C : 'Unassigned [0xE28C]',
	0xE28D : 'Unassigned [0xE28D]',
	0xE28E : 'Unassigned [0xE28E]',
	0xE28F : 'Unassigned [0xE28F]',
	0xE290 : 'Unassigned [0xE290]',
	0xE291 : 'Unassigned [0xE291]',
	0xE292 : 'Unassigned [0xE292]',
	0xE293 : 'Unassigned [0xE293]',
	0xE294 : 'Unassigned [0xE294]',
	0xE295 : 'Unassigned [0xE295]',
	0xE296 : 'Unassigned [0xE296]',
	0xE297 : 'Unassigned [0xE297]',
	0xE298 : 'Unassigned [0xE298]',
	0xE299 : 'Unassigned [0xE299]',
	0xE29A : 'Unassigned [0xE29A]',
	0xE29B : 'Unassigned [0xE29B]',
	0xE29C : 'Unassigned [0xE29C]',
	0xE29D : 'Unassigned [0xE29D]',
	0xE29E : 'Unassigned [0xE29E]',
	0xE29F : 'Unassigned [0xE29F]',
	0xE2A0 : 'Unassigned [0xE2A0]',
	0xE2A1 : 'Unassigned [0xE2A1]',
	0xE2A2 : 'Unassigned [0xE2A2]',
	0xE2A3 : 'Unassigned [0xE2A3]',
	0xE2A4 : 'Unassigned [0xE2A4]',
	0xE2A5 : 'Unassigned [0xE2A5]',
	0xE2A6 : 'Unassigned [0xE2A6]',
	0xE2A7 : 'Unassigned [0xE2A7]',
	0xE2A8 : 'Unassigned [0xE2A8]',
	0xE2A9 : 'Unassigned [0xE2A9]',
	0xE2AA : 'Unassigned [0xE2AA]',
	0xE2AB : 'Unassigned [0xE2AB]',
	0xE2AC : 'Unassigned [0xE2AC]',
	0xE2AD : 'Unassigned [0xE2AD]',
	0xE2AE : 'Unassigned [0xE2AE]',
	0xE2AF : 'Unassigned [0xE2AF]',
	0xE2B0 : 'Unassigned [0xE2B0]',
	0xE2B1 : 'Unassigned [0xE2B1]',
	0xE2B2 : 'Unassigned [0xE2B2]',
	0xE2B3 : 'Unassigned [0xE2B3]',
	0xE2B4 : 'Unassigned [0xE2B4]',
	0xE2B5 : 'Unassigned [0xE2B5]',
	0xE2B6 : 'Unassigned [0xE2B6]',
	0xE2B7 : 'Unassigned [0xE2B7]',
	0xE2B8 : 'Unassigned [0xE2B8]',
	0xE2B9 : 'Unassigned [0xE2B9]',
	0xE2BA : 'Unassigned [0xE2BA]',
	0xE2BB : 'Unassigned [0xE2BB]',
	0xE2BC : 'Unassigned [0xE2BC]',
	0xE2BD : 'Unassigned [0xE2BD]',
	0xE2BE : 'Unassigned [0xE2BE]',
	0xE2BF : 'Unassigned [0xE2BF]',
	0xE2C0 : 'Unassigned [0xE2C0]',
	0xE2C1 : 'Unassigned [0xE2C1]',
	0xE2C2 : 'Unassigned [0xE2C2]',
	0xE2C3 : 'Unassigned [0xE2C3]',
	0xE2C4 : 'Unassigned [0xE2C4]',
	0xE2C5 : 'Unassigned [0xE2C5]',
	0xE2C6 : 'Unassigned [0xE2C6]',
	0xE2C7 : 'Unassigned [0xE2C7]',
	0xE2C8 : 'Unassigned [0xE2C8]',
	0xE2C9 : 'Unassigned [0xE2C9]',
	0xE2CA : 'Unassigned [0xE2CA]',
	0xE2CB : 'Unassigned [0xE2CB]',
	0xE2CC : 'Unassigned [0xE2CC]',
	0xE2CD : 'Unassigned [0xE2CD]',
	0xE2CE : 'Unassigned [0xE2CE]',
	0xE2CF : 'Unassigned [0xE2CF]',
	0xE2D0 : 'Unassigned [0xE2D0]',
	0xE2D1 : 'Unassigned [0xE2D1]',
	0xE2D2 : 'Unassigned [0xE2D2]',
	0xE2D3 : 'Unassigned [0xE2D3]',
	0xE2D4 : 'Unassigned [0xE2D4]',
	0xE2D5 : 'Unassigned [0xE2D5]',
	0xE2D6 : 'Unassigned [0xE2D6]',
	0xE2D7 : 'Unassigned [0xE2D7]',
	0xE2D8 : 'Unassigned [0xE2D8]',
	0xE2D9 : 'Unassigned [0xE2D9]',
	0xE2DA : 'Unassigned [0xE2DA]',
	0xE2DB : 'Unassigned [0xE2DB]',
	0xE2DC : 'Unassigned [0xE2DC]',
	0xE2DD : 'Unassigned [0xE2DD]',
	0xE2DE : 'Unassigned [0xE2DE]',
	0xE2DF : 'Unassigned [0xE2DF]',
	0xE2E0 : 'Unassigned [0xE2E0]',
	0xE2E1 : 'Unassigned [0xE2E1]',
	0xE2E2 : 'Unassigned [0xE2E2]',
	0xE2E3 : 'Unassigned [0xE2E3]',
	0xE2E4 : 'Unassigned [0xE2E4]',
	0xE2E5 : 'Unassigned [0xE2E5]',
	0xE2E6 : 'Unassigned [0xE2E6]',
	0xE2E7 : 'Unassigned [0xE2E7]',
	0xE2E8 : 'Unassigned [0xE2E8]',
	0xE2E9 : 'Unassigned [0xE2E9]',
	0xE2EA : 'Unassigned [0xE2EA]',
	0xE2EB : 'Unassigned [0xE2EB]',
	0xE2EC : 'Unassigned [0xE2EC]',
	0xE2ED : 'Unassigned [0xE2ED]',
	0xE2EE : 'Unassigned [0xE2EE]',
	0xE2EF : 'Unassigned [0xE2EF]',
	0xE2F0 : 'Unassigned [0xE2F0]',
	0xE2F1 : 'Unassigned [0xE2F1]',
	0xE2F2 : 'Unassigned [0xE2F2]',
	0xE2F3 : 'Unassigned [0xE2F3]',
	0xE2F4 : 'Unassigned [0xE2F4]',
	0xE2F5 : 'Unassigned [0xE2F5]',
	0xE2F6 : 'Unassigned [0xE2F6]',
	0xE2F7 : 'Unassigned [0xE2F7]',
	0xE2F8 : 'Unassigned [0xE2F8]',
	0xE2F9 : 'Unassigned [0xE2F9]',
	0xE2FA : 'Unassigned [0xE2FA]',
	0xE2FB : 'Unassigned [0xE2FB]',
	0xE2FC : 'Unassigned [0xE2FC]',
	0xE2FD : 'Unassigned [0xE2FD]',
	0xE2FE : 'Unassigned [0xE2FE]',
	0xE2FF : 'Unassigned [0xE2FF]',
	0xE300 : 'Unassigned [0xE300]',
	0xE301 : 'Unassigned [0xE301]',
	0xE302 : 'Unassigned [0xE302]',
	0xE303 : 'Unassigned [0xE303]',
	0xE304 : 'Unassigned [0xE304]',
	0xE305 : 'Unassigned [0xE305]',
	0xE306 : 'Unassigned [0xE306]',
	0xE307 : 'Unassigned [0xE307]',
	0xE308 : 'Unassigned [0xE308]',
	0xE309 : 'Unassigned [0xE309]',
	0xE30A : 'Unassigned [0xE30A]',
	0xE30B : 'Unassigned [0xE30B]',
	0xE30C : 'Unassigned [0xE30C]',
	0xE30D : 'Unassigned [0xE30D]',
	0xE30E : 'Unassigned [0xE30E]',
	0xE30F : 'Unassigned [0xE30F]',
	0xE310 : 'Unassigned [0xE310]',
	0xE311 : 'Unassigned [0xE311]',
	0xE312 : 'Unassigned [0xE312]',
	0xE313 : 'Unassigned [0xE313]',
	0xE314 : 'Unassigned [0xE314]',
	0xE315 : 'Unassigned [0xE315]',
	0xE316 : 'Unassigned [0xE316]',
	0xE317 : 'Unassigned [0xE317]',
	0xE318 : 'Unassigned [0xE318]',
	0xE319 : 'Unassigned [0xE319]',
	0xE31A : 'Unassigned [0xE31A]',
	0xE31B : 'Unassigned [0xE31B]',
	0xE31C : 'Unassigned [0xE31C]',
	0xE31D : 'Unassigned [0xE31D]',
	0xE31E : 'Unassigned [0xE31E]',
	0xE31F : 'Unassigned [0xE31F]',
	0xE320 : 'Unassigned [0xE320]',
	0xE321 : 'Unassigned [0xE321]',
	0xE322 : 'Unassigned [0xE322]',
	0xE323 : 'Unassigned [0xE323]',
	0xE324 : 'Unassigned [0xE324]',
	0xE325 : 'Unassigned [0xE325]',
	0xE326 : 'Unassigned [0xE326]',
	0xE327 : 'Unassigned [0xE327]',
	0xE328 : 'Unassigned [0xE328]',
	0xE329 : 'Unassigned [0xE329]',
	0xE32A : 'Unassigned [0xE32A]',
	0xE32B : 'Unassigned [0xE32B]',
	0xE32C : 'Unassigned [0xE32C]',
	0xE32D : 'Unassigned [0xE32D]',
	0xE32E : 'Unassigned [0xE32E]',
	0xE32F : 'Unassigned [0xE32F]',
	0xE330 : 'Unassigned [0xE330]',
	0xE331 : 'Unassigned [0xE331]',
	0xE332 : 'Unassigned [0xE332]',
	0xE333 : 'Unassigned [0xE333]',
	0xE334 : 'Unassigned [0xE334]',
	0xE335 : 'Unassigned [0xE335]',
	0xE336 : 'Unassigned [0xE336]',
	0xE337 : 'Unassigned [0xE337]',
	0xE338 : 'Unassigned [0xE338]',
	0xE339 : 'Unassigned [0xE339]',
	0xE33A : 'Unassigned [0xE33A]',
	0xE33B : 'Unassigned [0xE33B]',
	0xE33C : 'Unassigned [0xE33C]',
	0xE33D : 'Unassigned [0xE33D]',
	0xE33E : 'Unassigned [0xE33E]',
	0xE33F : 'Unassigned [0xE33F]',
	0xE340 : 'Unassigned [0xE340]',
	0xE341 : 'Unassigned [0xE341]',
	0xE342 : 'Unassigned [0xE342]',
	0xE343 : 'Unassigned [0xE343]',
	0xE344 : 'Unassigned [0xE344]',
	0xE345 : 'Unassigned [0xE345]',
	0xE346 : 'Unassigned [0xE346]',
	0xE347 : 'Unassigned [0xE347]',
	0xE348 : 'Unassigned [0xE348]',
	0xE349 : 'Unassigned [0xE349]',
	0xE34A : 'Unassigned [0xE34A]',
	0xE34B : 'Unassigned [0xE34B]',
	0xE34C : 'Unassigned [0xE34C]',
	0xE34D : 'Unassigned [0xE34D]',
	0xE34E : 'Unassigned [0xE34E]',
	0xE34F : 'Unassigned [0xE34F]',
	0xE350 : 'Unassigned [0xE350]',
	0xE351 : 'Unassigned [0xE351]',
	0xE352 : 'Unassigned [0xE352]',
	0xE353 : 'Unassigned [0xE353]',
	0xE354 : 'Unassigned [0xE354]',
	0xE355 : 'Unassigned [0xE355]',
	0xE356 : 'Unassigned [0xE356]',
	0xE357 : 'Unassigned [0xE357]',
	0xE358 : 'Unassigned [0xE358]',
	0xE359 : 'Unassigned [0xE359]',
	0xE35A : 'Unassigned [0xE35A]',
	0xE35B : 'Unassigned [0xE35B]',
	0xE35C : 'Unassigned [0xE35C]',
	0xE35D : 'Unassigned [0xE35D]',
	0xE35E : 'Unassigned [0xE35E]',
	0xE35F : 'Unassigned [0xE35F]',
	0xE360 : 'Unassigned [0xE360]',
	0xE361 : 'Unassigned [0xE361]',
	0xE362 : 'Unassigned [0xE362]',
	0xE363 : 'Unassigned [0xE363]',
	0xE364 : 'Unassigned [0xE364]',
	0xE365 : 'Unassigned [0xE365]',
	0xE366 : 'Unassigned [0xE366]',
	0xE367 : 'Unassigned [0xE367]',
	0xE368 : 'Unassigned [0xE368]',
	0xE369 : 'Unassigned [0xE369]',
	0xE36A : 'Unassigned [0xE36A]',
	0xE36B : 'Unassigned [0xE36B]',
	0xE36C : 'Unassigned [0xE36C]',
	0xE36D : 'Unassigned [0xE36D]',
	0xE36E : 'Unassigned [0xE36E]',
	0xE36F : 'Unassigned [0xE36F]',
	0xE370 : 'Unassigned [0xE370]',
	0xE371 : 'Unassigned [0xE371]',
	0xE372 : 'Unassigned [0xE372]',
	0xE373 : 'Unassigned [0xE373]',
	0xE374 : 'Unassigned [0xE374]',
	0xE375 : 'Unassigned [0xE375]',
	0xE376 : 'Unassigned [0xE376]',
	0xE377 : 'Unassigned [0xE377]',
	0xE378 : 'Unassigned [0xE378]',
	0xE379 : 'Unassigned [0xE379]',
	0xE37A : 'Unassigned [0xE37A]',
	0xE37B : 'Unassigned [0xE37B]',
	0xE37C : 'Unassigned [0xE37C]',
	0xE37D : 'Unassigned [0xE37D]',
	0xE37E : 'Unassigned [0xE37E]',
	0xE37F : 'Unassigned [0xE37F]',
	0xE380 : 'Unassigned [0xE380]',
	0xE381 : 'Unassigned [0xE381]',
	0xE382 : 'Unassigned [0xE382]',
	0xE383 : 'Unassigned [0xE383]',
	0xE384 : 'Unassigned [0xE384]',
	0xE385 : 'Unassigned [0xE385]',
	0xE386 : 'Unassigned [0xE386]',
	0xE387 : 'Unassigned [0xE387]',
	0xE388 : 'Unassigned [0xE388]',
	0xE389 : 'Unassigned [0xE389]',
	0xE38A : 'Unassigned [0xE38A]',
	0xE38B : 'Unassigned [0xE38B]',
	0xE38C : 'Unassigned [0xE38C]',
	0xE38D : 'Unassigned [0xE38D]',
	0xE38E : 'Unassigned [0xE38E]',
	0xE38F : 'Unassigned [0xE38F]',
	0xE390 : 'Unassigned [0xE390]',
	0xE391 : 'Unassigned [0xE391]',
	0xE392 : 'Unassigned [0xE392]',
	0xE393 : 'Unassigned [0xE393]',
	0xE394 : 'Unassigned [0xE394]',
	0xE395 : 'Unassigned [0xE395]',
	0xE396 : 'Unassigned [0xE396]',
	0xE397 : 'Unassigned [0xE397]',
	0xE398 : 'Unassigned [0xE398]',
	0xE399 : 'Unassigned [0xE399]',
	0xE39A : 'Unassigned [0xE39A]',
	0xE39B : 'Unassigned [0xE39B]',
	0xE39C : 'Unassigned [0xE39C]',
	0xE39D : 'Unassigned [0xE39D]',
	0xE39E : 'Unassigned [0xE39E]',
	0xE39F : 'Unassigned [0xE39F]',
	0xE3A0 : 'Unassigned [0xE3A0]',
	0xE3A1 : 'Unassigned [0xE3A1]',
	0xE3A2 : 'Unassigned [0xE3A2]',
	0xE3A3 : 'Unassigned [0xE3A3]',
	0xE3A4 : 'Unassigned [0xE3A4]',
	0xE3A5 : 'Unassigned [0xE3A5]',
	0xE3A6 : 'Unassigned [0xE3A6]',
	0xE3A7 : 'Unassigned [0xE3A7]',
	0xE3A8 : 'Unassigned [0xE3A8]',
	0xE3A9 : 'Unassigned [0xE3A9]',
	0xE3AA : 'Unassigned [0xE3AA]',
	0xE3AB : 'Unassigned [0xE3AB]',
	0xE3AC : 'Unassigned [0xE3AC]',
	0xE3AD : 'Unassigned [0xE3AD]',
	0xE3AE : 'Unassigned [0xE3AE]',
	0xE3AF : 'Unassigned [0xE3AF]',
	0xE3B0 : 'Unassigned [0xE3B0]',
	0xE3B1 : 'Unassigned [0xE3B1]',
	0xE3B2 : 'Unassigned [0xE3B2]',
	0xE3B3 : 'Unassigned [0xE3B3]',
	0xE3B4 : 'Unassigned [0xE3B4]',
	0xE3B5 : 'Unassigned [0xE3B5]',
	0xE3B6 : 'Unassigned [0xE3B6]',
	0xE3B7 : 'Unassigned [0xE3B7]',
	0xE3B8 : 'Unassigned [0xE3B8]',
	0xE3B9 : 'Unassigned [0xE3B9]',
	0xE3BA : 'Unassigned [0xE3BA]',
	0xE3BB : 'Unassigned [0xE3BB]',
	0xE3BC : 'Unassigned [0xE3BC]',
	0xE3BD : 'Unassigned [0xE3BD]',
	0xE3BE : 'Unassigned [0xE3BE]',
	0xE3BF : 'Unassigned [0xE3BF]',
	0xE3C0 : 'Unassigned [0xE3C0]',
	0xE3C1 : 'Unassigned [0xE3C1]',
	0xE3C2 : 'Unassigned [0xE3C2]',
	0xE3C3 : 'Unassigned [0xE3C3]',
	0xE3C4 : 'Unassigned [0xE3C4]',
	0xE3C5 : 'Unassigned [0xE3C5]',
	0xE3C6 : 'Unassigned [0xE3C6]',
	0xE3C7 : 'Unassigned [0xE3C7]',
	0xE3C8 : 'Unassigned [0xE3C8]',
	0xE3C9 : 'Unassigned [0xE3C9]',
	0xE3CA : 'Unassigned [0xE3CA]',
	0xE3CB : 'Unassigned [0xE3CB]',
	0xE3CC : 'Unassigned [0xE3CC]',
	0xE3CD : 'Unassigned [0xE3CD]',
	0xE3CE : 'Unassigned [0xE3CE]',
	0xE3CF : 'Unassigned [0xE3CF]',
	0xE3D0 : 'Unassigned [0xE3D0]',
	0xE3D1 : 'Unassigned [0xE3D1]',
	0xE3D2 : 'Unassigned [0xE3D2]',
	0xE3D3 : 'Unassigned [0xE3D3]',
	0xE3D4 : 'Unassigned [0xE3D4]',
	0xE3D5 : 'Unassigned [0xE3D5]',
	0xE3D6 : 'Unassigned [0xE3D6]',
	0xE3D7 : 'Unassigned [0xE3D7]',
	0xE3D8 : 'Unassigned [0xE3D8]',
	0xE3D9 : 'Unassigned [0xE3D9]',
	0xE3DA : 'Unassigned [0xE3DA]',
	0xE3DB : 'Unassigned [0xE3DB]',
	0xE3DC : 'Unassigned [0xE3DC]',
	0xE3DD : 'Unassigned [0xE3DD]',
	0xE3DE : 'Unassigned [0xE3DE]',
	0xE3DF : 'Unassigned [0xE3DF]',
	0xE3E0 : 'Unassigned [0xE3E0]',
	0xE3E1 : 'Unassigned [0xE3E1]',
	0xE3E2 : 'Unassigned [0xE3E2]',
	0xE3E3 : 'Unassigned [0xE3E3]',
	0xE3E4 : 'Unassigned [0xE3E4]',
	0xE3E5 : 'Unassigned [0xE3E5]',
	0xE3E6 : 'Unassigned [0xE3E6]',
	0xE3E7 : 'Unassigned [0xE3E7]',
	0xE3E8 : 'Unassigned [0xE3E8]',
	0xE3E9 : 'Unassigned [0xE3E9]',
	0xE3EA : 'Unassigned [0xE3EA]',
	0xE3EB : 'Unassigned [0xE3EB]',
	0xE3EC : 'Unassigned [0xE3EC]',
	0xE3ED : 'Unassigned [0xE3ED]',
	0xE3EE : 'Unassigned [0xE3EE]',
	0xE3EF : 'Unassigned [0xE3EF]',
	0xE3F0 : 'Unassigned [0xE3F0]',
	0xE3F1 : 'Unassigned [0xE3F1]',
	0xE3F2 : 'Unassigned [0xE3F2]',
	0xE3F3 : 'Unassigned [0xE3F3]',
	0xE3F4 : 'Unassigned [0xE3F4]',
	0xE3F5 : 'Unassigned [0xE3F5]',
	0xE3F6 : 'Unassigned [0xE3F6]',
	0xE3F7 : 'Unassigned [0xE3F7]',
	0xE3F8 : 'Unassigned [0xE3F8]',
	0xE3F9 : 'Unassigned [0xE3F9]',
	0xE3FA : 'Unassigned [0xE3FA]',
	0xE3FB : 'Unassigned [0xE3FB]',
	0xE3FC : 'Unassigned [0xE3FC]',
	0xE3FD : 'Unassigned [0xE3FD]',
	0xE3FE : 'Unassigned [0xE3FE]',
	0xE3FF : 'Unassigned [0xE3FF]',
	0xE400 : 'Unassigned [0xE400]',
	0xE401 : 'Unassigned [0xE401]',
	0xE402 : 'Unassigned [0xE402]',
	0xE403 : 'Unassigned [0xE403]',
	0xE404 : 'Unassigned [0xE404]',
	0xE405 : 'Unassigned [0xE405]',
	0xE406 : 'Unassigned [0xE406]',
	0xE407 : 'Unassigned [0xE407]',
	0xE408 : 'Unassigned [0xE408]',
	0xE409 : 'Unassigned [0xE409]',
	0xE40A : 'Unassigned [0xE40A]',
	0xE40B : 'Unassigned [0xE40B]',
	0xE40C : 'Unassigned [0xE40C]',
	0xE40D : 'Unassigned [0xE40D]',
	0xE40E : 'Unassigned [0xE40E]',
	0xE40F : 'Unassigned [0xE40F]',
	0xE410 : 'Unassigned [0xE410]',
	0xE411 : 'Unassigned [0xE411]',
	0xE412 : 'Unassigned [0xE412]',
	0xE413 : 'Unassigned [0xE413]',
	0xE414 : 'Unassigned [0xE414]',
	0xE415 : 'Unassigned [0xE415]',
	0xE416 : 'Unassigned [0xE416]',
	0xE417 : 'Unassigned [0xE417]',
	0xE418 : 'Unassigned [0xE418]',
	0xE419 : 'Unassigned [0xE419]',
	0xE41A : 'Unassigned [0xE41A]',
	0xE41B : 'Unassigned [0xE41B]',
	0xE41C : 'Unassigned [0xE41C]',
	0xE41D : 'Unassigned [0xE41D]',
	0xE41E : 'Unassigned [0xE41E]',
	0xE41F : 'Unassigned [0xE41F]',
	0xE420 : 'Unassigned [0xE420]',
	0xE421 : 'Unassigned [0xE421]',
	0xE422 : 'Unassigned [0xE422]',
	0xE423 : 'Unassigned [0xE423]',
	0xE424 : 'Unassigned [0xE424]',
	0xE425 : 'Unassigned [0xE425]',
	0xE426 : 'Unassigned [0xE426]',
	0xE427 : 'Unassigned [0xE427]',
	0xE428 : 'Unassigned [0xE428]',
	0xE429 : 'Unassigned [0xE429]',
	0xE42A : 'Unassigned [0xE42A]',
	0xE42B : 'Unassigned [0xE42B]',
	0xE42C : 'Unassigned [0xE42C]',
	0xE42D : 'Unassigned [0xE42D]',
	0xE42E : 'Unassigned [0xE42E]',
	0xE42F : 'Unassigned [0xE42F]',
	0xE430 : 'Unassigned [0xE430]',
	0xE431 : 'Unassigned [0xE431]',
	0xE432 : 'Unassigned [0xE432]',
	0xE433 : 'Unassigned [0xE433]',
	0xE434 : 'Unassigned [0xE434]',
	0xE435 : 'Unassigned [0xE435]',
	0xE436 : 'Unassigned [0xE436]',
	0xE437 : 'Unassigned [0xE437]',
	0xE438 : 'Unassigned [0xE438]',
	0xE439 : 'Unassigned [0xE439]',
	0xE43A : 'Unassigned [0xE43A]',
	0xE43B : 'Unassigned [0xE43B]',
	0xE43C : 'Unassigned [0xE43C]',
	0xE43D : 'Unassigned [0xE43D]',
	0xE43E : 'Unassigned [0xE43E]',
	0xE43F : 'Unassigned [0xE43F]',
	0xE440 : 'Unassigned [0xE440]',
	0xE441 : 'Unassigned [0xE441]',
	0xE442 : 'Unassigned [0xE442]',
	0xE443 : 'Unassigned [0xE443]',
	0xE444 : 'Unassigned [0xE444]',
	0xE445 : 'Unassigned [0xE445]',
	0xE446 : 'Unassigned [0xE446]',
	0xE447 : 'Unassigned [0xE447]',
	0xE448 : 'Unassigned [0xE448]',
	0xE449 : 'Unassigned [0xE449]',
	0xE44A : 'Unassigned [0xE44A]',
	0xE44B : 'Unassigned [0xE44B]',
	0xE44C : 'Unassigned [0xE44C]',
	0xE44D : 'Unassigned [0xE44D]',
	0xE44E : 'Unassigned [0xE44E]',
	0xE44F : 'Unassigned [0xE44F]',
	0xE450 : 'Unassigned [0xE450]',
	0xE451 : 'Unassigned [0xE451]',
	0xE452 : 'Unassigned [0xE452]',
	0xE453 : 'Unassigned [0xE453]',
	0xE454 : 'Unassigned [0xE454]',
	0xE455 : 'Unassigned [0xE455]',
	0xE456 : 'Unassigned [0xE456]',
	0xE457 : 'Unassigned [0xE457]',
	0xE458 : 'Unassigned [0xE458]',
	0xE459 : 'Unassigned [0xE459]',
	0xE45A : 'Unassigned [0xE45A]',
	0xE45B : 'Unassigned [0xE45B]',
	0xE45C : 'Unassigned [0xE45C]',
	0xE45D : 'Unassigned [0xE45D]',
	0xE45E : 'Unassigned [0xE45E]',
	0xE45F : 'Unassigned [0xE45F]',
	0xE460 : 'Unassigned [0xE460]',
	0xE461 : 'Unassigned [0xE461]',
	0xE462 : 'Unassigned [0xE462]',
	0xE463 : 'Unassigned [0xE463]',
	0xE464 : 'Unassigned [0xE464]',
	0xE465 : 'Unassigned [0xE465]',
	0xE466 : 'Unassigned [0xE466]',
	0xE467 : 'Unassigned [0xE467]',
	0xE468 : 'Unassigned [0xE468]',
	0xE469 : 'Unassigned [0xE469]',
	0xE46A : 'Unassigned [0xE46A]',
	0xE46B : 'Unassigned [0xE46B]',
	0xE46C : 'Unassigned [0xE46C]',
	0xE46D : 'Unassigned [0xE46D]',
	0xE46E : 'Unassigned [0xE46E]',
	0xE46F : 'Unassigned [0xE46F]',
	0xE470 : 'Unassigned [0xE470]',
	0xE471 : 'Unassigned [0xE471]',
	0xE472 : 'Unassigned [0xE472]',
	0xE473 : 'Unassigned [0xE473]',
	0xE474 : 'Unassigned [0xE474]',
	0xE475 : 'Unassigned [0xE475]',
	0xE476 : 'Unassigned [0xE476]',
	0xE477 : 'Unassigned [0xE477]',
	0xE478 : 'Unassigned [0xE478]',
	0xE479 : 'Unassigned [0xE479]',
	0xE47A : 'Unassigned [0xE47A]',
	0xE47B : 'Unassigned [0xE47B]',
	0xE47C : 'Unassigned [0xE47C]',
	0xE47D : 'Unassigned [0xE47D]',
	0xE47E : 'Unassigned [0xE47E]',
	0xE47F : 'Unassigned [0xE47F]',
	0xE480 : 'Unassigned [0xE480]',
	0xE481 : 'Unassigned [0xE481]',
	0xE482 : 'Unassigned [0xE482]',
	0xE483 : 'Unassigned [0xE483]',
	0xE484 : 'Unassigned [0xE484]',
	0xE485 : 'Unassigned [0xE485]',
	0xE486 : 'Unassigned [0xE486]',
	0xE487 : 'Unassigned [0xE487]',
	0xE488 : 'Unassigned [0xE488]',
	0xE489 : 'Unassigned [0xE489]',
	0xE48A : 'Unassigned [0xE48A]',
	0xE48B : 'Unassigned [0xE48B]',
	0xE48C : 'Unassigned [0xE48C]',
	0xE48D : 'Unassigned [0xE48D]',
	0xE48E : 'Unassigned [0xE48E]',
	0xE48F : 'Unassigned [0xE48F]',
	0xE490 : 'Unassigned [0xE490]',
	0xE491 : 'Unassigned [0xE491]',
	0xE492 : 'Unassigned [0xE492]',
	0xE493 : 'Unassigned [0xE493]',
	0xE494 : 'Unassigned [0xE494]',
	0xE495 : 'Unassigned [0xE495]',
	0xE496 : 'Unassigned [0xE496]',
	0xE497 : 'Unassigned [0xE497]',
	0xE498 : 'Unassigned [0xE498]',
	0xE499 : 'Unassigned [0xE499]',
	0xE49A : 'Unassigned [0xE49A]',
	0xE49B : 'Unassigned [0xE49B]',
	0xE49C : 'Unassigned [0xE49C]',
	0xE49D : 'Unassigned [0xE49D]',
	0xE49E : 'Unassigned [0xE49E]',
	0xE49F : 'Unassigned [0xE49F]',
	0xE4A0 : 'Unassigned [0xE4A0]',
	0xE4A1 : 'Unassigned [0xE4A1]',
	0xE4A2 : 'Unassigned [0xE4A2]',
	0xE4A3 : 'Unassigned [0xE4A3]',
	0xE4A4 : 'Unassigned [0xE4A4]',
	0xE4A5 : 'Unassigned [0xE4A5]',
	0xE4A6 : 'Unassigned [0xE4A6]',
	0xE4A7 : 'Unassigned [0xE4A7]',
	0xE4A8 : 'Unassigned [0xE4A8]',
	0xE4A9 : 'Unassigned [0xE4A9]',
	0xE4AA : 'Unassigned [0xE4AA]',
	0xE4AB : 'Unassigned [0xE4AB]',
	0xE4AC : 'Unassigned [0xE4AC]',
	0xE4AD : 'Unassigned [0xE4AD]',
	0xE4AE : 'Unassigned [0xE4AE]',
	0xE4AF : 'Unassigned [0xE4AF]',
	0xE4B0 : 'Unassigned [0xE4B0]',
	0xE4B1 : 'Unassigned [0xE4B1]',
	0xE4B2 : 'Unassigned [0xE4B2]',
	0xE4B3 : 'Unassigned [0xE4B3]',
	0xE4B4 : 'Unassigned [0xE4B4]',
	0xE4B5 : 'Unassigned [0xE4B5]',
	0xE4B6 : 'Unassigned [0xE4B6]',
	0xE4B7 : 'Unassigned [0xE4B7]',
	0xE4B8 : 'Unassigned [0xE4B8]',
	0xE4B9 : 'Unassigned [0xE4B9]',
	0xE4BA : 'Unassigned [0xE4BA]',
	0xE4BB : 'Unassigned [0xE4BB]',
	0xE4BC : 'Unassigned [0xE4BC]',
	0xE4BD : 'Unassigned [0xE4BD]',
	0xE4BE : 'Unassigned [0xE4BE]',
	0xE4BF : 'Unassigned [0xE4BF]',
	0xE4C0 : 'Unassigned [0xE4C0]',
	0xE4C1 : 'Unassigned [0xE4C1]',
	0xE4C2 : 'Unassigned [0xE4C2]',
	0xE4C3 : 'Unassigned [0xE4C3]',
	0xE4C4 : 'Unassigned [0xE4C4]',
	0xE4C5 : 'Unassigned [0xE4C5]',
	0xE4C6 : 'Unassigned [0xE4C6]',
	0xE4C7 : 'Unassigned [0xE4C7]',
	0xE4C8 : 'Unassigned [0xE4C8]',
	0xE4C9 : 'Unassigned [0xE4C9]',
	0xE4CA : 'Unassigned [0xE4CA]',
	0xE4CB : 'Unassigned [0xE4CB]',
	0xE4CC : 'Unassigned [0xE4CC]',
	0xE4CD : 'Unassigned [0xE4CD]',
	0xE4CE : 'Unassigned [0xE4CE]',
	0xE4CF : 'Unassigned [0xE4CF]',
	0xE4D0 : 'Unassigned [0xE4D0]',
	0xE4D1 : 'Unassigned [0xE4D1]',
	0xE4D2 : 'Unassigned [0xE4D2]',
	0xE4D3 : 'Unassigned [0xE4D3]',
	0xE4D4 : 'Unassigned [0xE4D4]',
	0xE4D5 : 'Unassigned [0xE4D5]',
	0xE4D6 : 'Unassigned [0xE4D6]',
	0xE4D7 : 'Unassigned [0xE4D7]',
	0xE4D8 : 'Unassigned [0xE4D8]',
	0xE4D9 : 'Unassigned [0xE4D9]',
	0xE4DA : 'Unassigned [0xE4DA]',
	0xE4DB : 'Unassigned [0xE4DB]',
	0xE4DC : 'Unassigned [0xE4DC]',
	0xE4DD : 'Unassigned [0xE4DD]',
	0xE4DE : 'Unassigned [0xE4DE]',
	0xE4DF : 'Unassigned [0xE4DF]',
	0xE4E0 : 'Unassigned [0xE4E0]',
	0xE4E1 : 'Unassigned [0xE4E1]',
	0xE4E2 : 'Unassigned [0xE4E2]',
	0xE4E3 : 'Unassigned [0xE4E3]',
	0xE4E4 : 'Unassigned [0xE4E4]',
	0xE4E5 : 'Unassigned [0xE4E5]',
	0xE4E6 : 'Unassigned [0xE4E6]',
	0xE4E7 : 'Unassigned [0xE4E7]',
	0xE4E8 : 'Unassigned [0xE4E8]',
	0xE4E9 : 'Unassigned [0xE4E9]',
	0xE4EA : 'Unassigned [0xE4EA]',
	0xE4EB : 'Unassigned [0xE4EB]',
	0xE4EC : 'Unassigned [0xE4EC]',
	0xE4ED : 'Unassigned [0xE4ED]',
	0xE4EE : 'Unassigned [0xE4EE]',
	0xE4EF : 'Unassigned [0xE4EF]',
	0xE4F0 : 'Unassigned [0xE4F0]',
	0xE4F1 : 'Unassigned [0xE4F1]',
	0xE4F2 : 'Unassigned [0xE4F2]',
	0xE4F3 : 'Unassigned [0xE4F3]',
	0xE4F4 : 'Unassigned [0xE4F4]',
	0xE4F5 : 'Unassigned [0xE4F5]',
	0xE4F6 : 'Unassigned [0xE4F6]',
	0xE4F7 : 'Unassigned [0xE4F7]',
	0xE4F8 : 'Unassigned [0xE4F8]',
	0xE4F9 : 'Unassigned [0xE4F9]',
	0xE4FA : 'Unassigned [0xE4FA]',
	0xE4FB : 'Unassigned [0xE4FB]',
	0xE4FC : 'Unassigned [0xE4FC]',
	0xE4FD : 'Unassigned [0xE4FD]',
	0xE4FE : 'Unassigned [0xE4FE]',
	0xE4FF : 'Unassigned [0xE4FF]',
	0xE500 : 'Unassigned [0xE500]',
	0xE501 : 'Unassigned [0xE501]',
	0xE502 : 'Unassigned [0xE502]',
	0xE503 : 'Unassigned [0xE503]',
	0xE504 : 'Unassigned [0xE504]',
	0xE505 : 'Unassigned [0xE505]',
	0xE506 : 'Unassigned [0xE506]',
	0xE507 : 'Unassigned [0xE507]',
	0xE508 : 'Unassigned [0xE508]',
	0xE509 : 'Unassigned [0xE509]',
	0xE50A : 'Unassigned [0xE50A]',
	0xE50B : 'Unassigned [0xE50B]',
	0xE50C : 'Unassigned [0xE50C]',
	0xE50D : 'Unassigned [0xE50D]',
	0xE50E : 'Unassigned [0xE50E]',
	0xE50F : 'Unassigned [0xE50F]',
	0xE510 : 'Unassigned [0xE510]',
	0xE511 : 'Unassigned [0xE511]',
	0xE512 : 'Unassigned [0xE512]',
	0xE513 : 'Unassigned [0xE513]',
	0xE514 : 'Unassigned [0xE514]',
	0xE515 : 'Unassigned [0xE515]',
	0xE516 : 'Unassigned [0xE516]',
	0xE517 : 'Unassigned [0xE517]',
	0xE518 : 'Unassigned [0xE518]',
	0xE519 : 'Unassigned [0xE519]',
	0xE51A : 'Unassigned [0xE51A]',
	0xE51B : 'Unassigned [0xE51B]',
	0xE51C : 'Unassigned [0xE51C]',
	0xE51D : 'Unassigned [0xE51D]',
	0xE51E : 'Unassigned [0xE51E]',
	0xE51F : 'Unassigned [0xE51F]',
	0xE520 : 'Unassigned [0xE520]',
	0xE521 : 'Unassigned [0xE521]',
	0xE522 : 'Unassigned [0xE522]',
	0xE523 : 'Unassigned [0xE523]',
	0xE524 : 'Unassigned [0xE524]',
	0xE525 : 'Unassigned [0xE525]',
	0xE526 : 'Unassigned [0xE526]',
	0xE527 : 'Unassigned [0xE527]',
	0xE528 : 'Unassigned [0xE528]',
	0xE529 : 'Unassigned [0xE529]',
	0xE52A : 'Unassigned [0xE52A]',
	0xE52B : 'Unassigned [0xE52B]',
	0xE52C : 'Unassigned [0xE52C]',
	0xE52D : 'Unassigned [0xE52D]',
	0xE52E : 'Unassigned [0xE52E]',
	0xE52F : 'Unassigned [0xE52F]',
	0xE530 : 'Unassigned [0xE530]',
	0xE531 : 'Unassigned [0xE531]',
	0xE532 : 'Unassigned [0xE532]',
	0xE533 : 'Unassigned [0xE533]',
	0xE534 : 'Unassigned [0xE534]',
	0xE535 : 'Unassigned [0xE535]',
	0xE536 : 'Unassigned [0xE536]',
	0xE537 : 'Unassigned [0xE537]',
	0xE538 : 'Unassigned [0xE538]',
	0xE539 : 'Unassigned [0xE539]',
	0xE53A : 'Unassigned [0xE53A]',
	0xE53B : 'Unassigned [0xE53B]',
	0xE53C : 'Unassigned [0xE53C]',
	0xE53D : 'Unassigned [0xE53D]',
	0xE53E : 'Unassigned [0xE53E]',
	0xE53F : 'Unassigned [0xE53F]',
	0xE540 : 'Unassigned [0xE540]',
	0xE541 : 'Unassigned [0xE541]',
	0xE542 : 'Unassigned [0xE542]',
	0xE543 : 'Unassigned [0xE543]',
	0xE544 : 'Unassigned [0xE544]',
	0xE545 : 'Unassigned [0xE545]',
	0xE546 : 'Unassigned [0xE546]',
	0xE547 : 'Unassigned [0xE547]',
	0xE548 : 'Unassigned [0xE548]',
	0xE549 : 'Unassigned [0xE549]',
	0xE54A : 'Unassigned [0xE54A]',
	0xE54B : 'Unassigned [0xE54B]',
	0xE54C : 'Unassigned [0xE54C]',
	0xE54D : 'Unassigned [0xE54D]',
	0xE54E : 'Unassigned [0xE54E]',
	0xE54F : 'Unassigned [0xE54F]',
	0xE550 : 'Unassigned [0xE550]',
	0xE551 : 'Unassigned [0xE551]',
	0xE552 : 'Unassigned [0xE552]',
	0xE553 : 'Unassigned [0xE553]',
	0xE554 : 'Unassigned [0xE554]',
	0xE555 : 'Unassigned [0xE555]',
	0xE556 : 'Unassigned [0xE556]',
	0xE557 : 'Unassigned [0xE557]',
	0xE558 : 'Unassigned [0xE558]',
	0xE559 : 'Unassigned [0xE559]',
	0xE55A : 'Unassigned [0xE55A]',
	0xE55B : 'Unassigned [0xE55B]',
	0xE55C : 'Unassigned [0xE55C]',
	0xE55D : 'Unassigned [0xE55D]',
	0xE55E : 'Unassigned [0xE55E]',
	0xE55F : 'Unassigned [0xE55F]',
	0xE560 : 'Unassigned [0xE560]',
	0xE561 : 'Unassigned [0xE561]',
	0xE562 : 'Unassigned [0xE562]',
	0xE563 : 'Unassigned [0xE563]',
	0xE564 : 'Unassigned [0xE564]',
	0xE565 : 'Unassigned [0xE565]',
	0xE566 : 'Unassigned [0xE566]',
	0xE567 : 'Unassigned [0xE567]',
	0xE568 : 'Unassigned [0xE568]',
	0xE569 : 'Unassigned [0xE569]',
	0xE56A : 'Unassigned [0xE56A]',
	0xE56B : 'Unassigned [0xE56B]',
	0xE56C : 'Unassigned [0xE56C]',
	0xE56D : 'Unassigned [0xE56D]',
	0xE56E : 'Unassigned [0xE56E]',
	0xE56F : 'Unassigned [0xE56F]',
	0xE570 : 'Unassigned [0xE570]',
	0xE571 : 'Unassigned [0xE571]',
	0xE572 : 'Unassigned [0xE572]',
	0xE573 : 'Unassigned [0xE573]',
	0xE574 : 'Unassigned [0xE574]',
	0xE575 : 'Unassigned [0xE575]',
	0xE576 : 'Unassigned [0xE576]',
	0xE577 : 'Unassigned [0xE577]',
	0xE578 : 'Unassigned [0xE578]',
	0xE579 : 'Unassigned [0xE579]',
	0xE57A : 'Unassigned [0xE57A]',
	0xE57B : 'Unassigned [0xE57B]',
	0xE57C : 'Unassigned [0xE57C]',
	0xE57D : 'Unassigned [0xE57D]',
	0xE57E : 'Unassigned [0xE57E]',
	0xE57F : 'Unassigned [0xE57F]',
	0xE580 : 'Unassigned [0xE580]',
	0xE581 : 'Unassigned [0xE581]',
	0xE582 : 'Unassigned [0xE582]',
	0xE583 : 'Unassigned [0xE583]',
	0xE584 : 'Unassigned [0xE584]',
	0xE585 : 'Unassigned [0xE585]',
	0xE586 : 'Unassigned [0xE586]',
	0xE587 : 'Unassigned [0xE587]',
	0xE588 : 'Unassigned [0xE588]',
	0xE589 : 'Unassigned [0xE589]',
	0xE58A : 'Unassigned [0xE58A]',
	0xE58B : 'Unassigned [0xE58B]',
	0xE58C : 'Unassigned [0xE58C]',
	0xE58D : 'Unassigned [0xE58D]',
	0xE58E : 'Unassigned [0xE58E]',
	0xE58F : 'Unassigned [0xE58F]',
	0xE590 : 'Unassigned [0xE590]',
	0xE591 : 'Unassigned [0xE591]',
	0xE592 : 'Unassigned [0xE592]',
	0xE593 : 'Unassigned [0xE593]',
	0xE594 : 'Unassigned [0xE594]',
	0xE595 : 'Unassigned [0xE595]',
	0xE596 : 'Unassigned [0xE596]',
	0xE597 : 'Unassigned [0xE597]',
	0xE598 : 'Unassigned [0xE598]',
	0xE599 : 'Unassigned [0xE599]',
	0xE59A : 'Unassigned [0xE59A]',
	0xE59B : 'Unassigned [0xE59B]',
	0xE59C : 'Unassigned [0xE59C]',
	0xE59D : 'Unassigned [0xE59D]',
	0xE59E : 'Unassigned [0xE59E]',
	0xE59F : 'Unassigned [0xE59F]',
	0xE5A0 : 'Unassigned [0xE5A0]',
	0xE5A1 : 'Unassigned [0xE5A1]',
	0xE5A2 : 'Unassigned [0xE5A2]',
	0xE5A3 : 'Unassigned [0xE5A3]',
	0xE5A4 : 'Unassigned [0xE5A4]',
	0xE5A5 : 'Unassigned [0xE5A5]',
	0xE5A6 : 'Unassigned [0xE5A6]',
	0xE5A7 : 'Unassigned [0xE5A7]',
	0xE5A8 : 'Unassigned [0xE5A8]',
	0xE5A9 : 'Unassigned [0xE5A9]',
	0xE5AA : 'Unassigned [0xE5AA]',
	0xE5AB : 'Unassigned [0xE5AB]',
	0xE5AC : 'Unassigned [0xE5AC]',
	0xE5AD : 'Unassigned [0xE5AD]',
	0xE5AE : 'Unassigned [0xE5AE]',
	0xE5AF : 'Unassigned [0xE5AF]',
	0xE5B0 : 'Unassigned [0xE5B0]',
	0xE5B1 : 'Unassigned [0xE5B1]',
	0xE5B2 : 'Unassigned [0xE5B2]',
	0xE5B3 : 'Unassigned [0xE5B3]',
	0xE5B4 : 'Unassigned [0xE5B4]',
	0xE5B5 : 'Unassigned [0xE5B5]',
	0xE5B6 : 'Unassigned [0xE5B6]',
	0xE5B7 : 'Unassigned [0xE5B7]',
	0xE5B8 : 'Unassigned [0xE5B8]',
	0xE5B9 : 'Unassigned [0xE5B9]',
	0xE5BA : 'Unassigned [0xE5BA]',
	0xE5BB : 'Unassigned [0xE5BB]',
	0xE5BC : 'Unassigned [0xE5BC]',
	0xE5BD : 'Unassigned [0xE5BD]',
	0xE5BE : 'Unassigned [0xE5BE]',
	0xE5BF : 'Unassigned [0xE5BF]',
	0xE5C0 : 'Unassigned [0xE5C0]',
	0xE5C1 : 'Unassigned [0xE5C1]',
	0xE5C2 : 'Unassigned [0xE5C2]',
	0xE5C3 : 'Unassigned [0xE5C3]',
	0xE5C4 : 'Unassigned [0xE5C4]',
	0xE5C5 : 'Unassigned [0xE5C5]',
	0xE5C6 : 'Unassigned [0xE5C6]',
	0xE5C7 : 'Unassigned [0xE5C7]',
	0xE5C8 : 'Unassigned [0xE5C8]',
	0xE5C9 : 'Unassigned [0xE5C9]',
	0xE5CA : 'Unassigned [0xE5CA]',
	0xE5CB : 'Unassigned [0xE5CB]',
	0xE5CC : 'Unassigned [0xE5CC]',
	0xE5CD : 'Unassigned [0xE5CD]',
	0xE5CE : 'Unassigned [0xE5CE]',
	0xE5CF : 'Unassigned [0xE5CF]',
	0xE5D0 : 'Unassigned [0xE5D0]',
	0xE5D1 : 'Unassigned [0xE5D1]',
	0xE5D2 : 'Unassigned [0xE5D2]',
	0xE5D3 : 'Unassigned [0xE5D3]',
	0xE5D4 : 'Unassigned [0xE5D4]',
	0xE5D5 : 'Unassigned [0xE5D5]',
	0xE5D6 : 'Unassigned [0xE5D6]',
	0xE5D7 : 'Unassigned [0xE5D7]',
	0xE5D8 : 'Unassigned [0xE5D8]',
	0xE5D9 : 'Unassigned [0xE5D9]',
	0xE5DA : 'Unassigned [0xE5DA]',
	0xE5DB : 'Unassigned [0xE5DB]',
	0xE5DC : 'Unassigned [0xE5DC]',
	0xE5DD : 'Unassigned [0xE5DD]',
	0xE5DE : 'Unassigned [0xE5DE]',
	0xE5DF : 'Unassigned [0xE5DF]',
	0xE5E0 : 'Unassigned [0xE5E0]',
	0xE5E1 : 'Unassigned [0xE5E1]',
	0xE5E2 : 'Unassigned [0xE5E2]',
	0xE5E3 : 'Unassigned [0xE5E3]',
	0xE5E4 : 'Unassigned [0xE5E4]',
	0xE5E5 : 'Unassigned [0xE5E5]',
	0xE5E6 : 'Unassigned [0xE5E6]',
	0xE5E7 : 'Unassigned [0xE5E7]',
	0xE5E8 : 'Unassigned [0xE5E8]',
	0xE5E9 : 'Unassigned [0xE5E9]',
	0xE5EA : 'Unassigned [0xE5EA]',
	0xE5EB : 'Unassigned [0xE5EB]',
	0xE5EC : 'Unassigned [0xE5EC]',
	0xE5ED : 'Unassigned [0xE5ED]',
	0xE5EE : 'Unassigned [0xE5EE]',
	0xE5EF : 'Unassigned [0xE5EF]',
	0xE5F0 : 'Unassigned [0xE5F0]',
	0xE5F1 : 'Unassigned [0xE5F1]',
	0xE5F2 : 'Unassigned [0xE5F2]',
	0xE5F3 : 'Unassigned [0xE5F3]',
	0xE5F4 : 'Unassigned [0xE5F4]',
	0xE5F5 : 'Unassigned [0xE5F5]',
	0xE5F6 : 'Unassigned [0xE5F6]',
	0xE5F7 : 'Unassigned [0xE5F7]',
	0xE5F8 : 'Unassigned [0xE5F8]',
	0xE5F9 : 'Unassigned [0xE5F9]',
	0xE5FA : 'Unassigned [0xE5FA]',
	0xE5FB : 'Unassigned [0xE5FB]',
	0xE5FC : 'Unassigned [0xE5FC]',
	0xE5FD : 'Unassigned [0xE5FD]',
	0xE5FE : 'Unassigned [0xE5FE]',
	0xE5FF : 'Unassigned [0xE5FF]',
	0xE600 : 'Unassigned [0xE600]',
	0xE601 : 'Unassigned [0xE601]',
	0xE602 : 'Unassigned [0xE602]',
	0xE603 : 'Unassigned [0xE603]',
	0xE604 : 'Unassigned [0xE604]',
	0xE605 : 'Unassigned [0xE605]',
	0xE606 : 'Unassigned [0xE606]',
	0xE607 : 'Unassigned [0xE607]',
	0xE608 : 'Unassigned [0xE608]',
	0xE609 : 'Unassigned [0xE609]',
	0xE60A : 'Unassigned [0xE60A]',
	0xE60B : 'Unassigned [0xE60B]',
	0xE60C : 'Unassigned [0xE60C]',
	0xE60D : 'Unassigned [0xE60D]',
	0xE60E : 'Unassigned [0xE60E]',
	0xE60F : 'Unassigned [0xE60F]',
	0xE610 : 'Unassigned [0xE610]',
	0xE611 : 'Unassigned [0xE611]',
	0xE612 : 'Unassigned [0xE612]',
	0xE613 : 'Unassigned [0xE613]',
	0xE614 : 'Unassigned [0xE614]',
	0xE615 : 'Unassigned [0xE615]',
	0xE616 : 'Unassigned [0xE616]',
	0xE617 : 'Unassigned [0xE617]',
	0xE618 : 'Unassigned [0xE618]',
	0xE619 : 'Unassigned [0xE619]',
	0xE61A : 'Unassigned [0xE61A]',
	0xE61B : 'Unassigned [0xE61B]',
	0xE61C : 'Unassigned [0xE61C]',
	0xE61D : 'Unassigned [0xE61D]',
	0xE61E : 'Unassigned [0xE61E]',
	0xE61F : 'Unassigned [0xE61F]',
	0xE620 : 'Unassigned [0xE620]',
	0xE621 : 'Unassigned [0xE621]',
	0xE622 : 'Unassigned [0xE622]',
	0xE623 : 'Unassigned [0xE623]',
	0xE624 : 'Unassigned [0xE624]',
	0xE625 : 'Unassigned [0xE625]',
	0xE626 : 'Unassigned [0xE626]',
	0xE627 : 'Unassigned [0xE627]',
	0xE628 : 'Unassigned [0xE628]',
	0xE629 : 'Unassigned [0xE629]',
	0xE62A : 'Unassigned [0xE62A]',
	0xE62B : 'Unassigned [0xE62B]',
	0xE62C : 'Unassigned [0xE62C]',
	0xE62D : 'Unassigned [0xE62D]',
	0xE62E : 'Unassigned [0xE62E]',
	0xE62F : 'Unassigned [0xE62F]',
	0xE630 : 'Unassigned [0xE630]',
	0xE631 : 'Unassigned [0xE631]',
	0xE632 : 'Unassigned [0xE632]',
	0xE633 : 'Unassigned [0xE633]',
	0xE634 : 'Unassigned [0xE634]',
	0xE635 : 'Unassigned [0xE635]',
	0xE636 : 'Unassigned [0xE636]',
	0xE637 : 'Unassigned [0xE637]',
	0xE638 : 'Unassigned [0xE638]',
	0xE639 : 'Unassigned [0xE639]',
	0xE63A : 'Unassigned [0xE63A]',
	0xE63B : 'Unassigned [0xE63B]',
	0xE63C : 'Unassigned [0xE63C]',
	0xE63D : 'Unassigned [0xE63D]',
	0xE63E : 'Unassigned [0xE63E]',
	0xE63F : 'Unassigned [0xE63F]',
	0xE640 : 'Unassigned [0xE640]',
	0xE641 : 'Unassigned [0xE641]',
	0xE642 : 'Unassigned [0xE642]',
	0xE643 : 'Unassigned [0xE643]',
	0xE644 : 'Unassigned [0xE644]',
	0xE645 : 'Unassigned [0xE645]',
	0xE646 : 'Unassigned [0xE646]',
	0xE647 : 'Unassigned [0xE647]',
	0xE648 : 'Unassigned [0xE648]',
	0xE649 : 'Unassigned [0xE649]',
	0xE64A : 'Unassigned [0xE64A]',
	0xE64B : 'Unassigned [0xE64B]',
	0xE64C : 'Unassigned [0xE64C]',
	0xE64D : 'Unassigned [0xE64D]',
	0xE64E : 'Unassigned [0xE64E]',
	0xE64F : 'Unassigned [0xE64F]',
	0xE650 : 'Unassigned [0xE650]',
	0xE651 : 'Unassigned [0xE651]',
	0xE652 : 'Unassigned [0xE652]',
	0xE653 : 'Unassigned [0xE653]',
	0xE654 : 'Unassigned [0xE654]',
	0xE655 : 'Unassigned [0xE655]',
	0xE656 : 'Unassigned [0xE656]',
	0xE657 : 'Unassigned [0xE657]',
	0xE658 : 'Unassigned [0xE658]',
	0xE659 : 'Unassigned [0xE659]',
	0xE65A : 'Unassigned [0xE65A]',
	0xE65B : 'Unassigned [0xE65B]',
	0xE65C : 'Unassigned [0xE65C]',
	0xE65D : 'Unassigned [0xE65D]',
	0xE65E : 'Unassigned [0xE65E]',
	0xE65F : 'Unassigned [0xE65F]',
	0xE660 : 'Unassigned [0xE660]',
	0xE661 : 'Unassigned [0xE661]',
	0xE662 : 'Unassigned [0xE662]',
	0xE663 : 'Unassigned [0xE663]',
	0xE664 : 'Unassigned [0xE664]',
	0xE665 : 'Unassigned [0xE665]',
	0xE666 : 'Unassigned [0xE666]',
	0xE667 : 'Unassigned [0xE667]',
	0xE668 : 'Unassigned [0xE668]',
	0xE669 : 'Unassigned [0xE669]',
	0xE66A : 'Unassigned [0xE66A]',
	0xE66B : 'Unassigned [0xE66B]',
	0xE66C : 'Unassigned [0xE66C]',
	0xE66D : 'Unassigned [0xE66D]',
	0xE66E : 'Unassigned [0xE66E]',
	0xE66F : 'Unassigned [0xE66F]',
	0xE670 : 'Unassigned [0xE670]',
	0xE671 : 'Unassigned [0xE671]',
	0xE672 : 'Unassigned [0xE672]',
	0xE673 : 'Unassigned [0xE673]',
	0xE674 : 'Unassigned [0xE674]',
	0xE675 : 'Unassigned [0xE675]',
	0xE676 : 'Unassigned [0xE676]',
	0xE677 : 'Unassigned [0xE677]',
	0xE678 : 'Unassigned [0xE678]',
	0xE679 : 'Unassigned [0xE679]',
	0xE67A : 'Unassigned [0xE67A]',
	0xE67B : 'Unassigned [0xE67B]',
	0xE67C : 'Unassigned [0xE67C]',
	0xE67D : 'Unassigned [0xE67D]',
	0xE67E : 'Unassigned [0xE67E]',
	0xE67F : 'Unassigned [0xE67F]',
	0xE680 : 'Unassigned [0xE680]',
	0xE681 : 'Unassigned [0xE681]',
	0xE682 : 'Unassigned [0xE682]',
	0xE683 : 'Unassigned [0xE683]',
	0xE684 : 'Unassigned [0xE684]',
	0xE685 : 'Unassigned [0xE685]',
	0xE686 : 'Unassigned [0xE686]',
	0xE687 : 'Unassigned [0xE687]',
	0xE688 : 'Unassigned [0xE688]',
	0xE689 : 'Unassigned [0xE689]',
	0xE68A : 'Unassigned [0xE68A]',
	0xE68B : 'Unassigned [0xE68B]',
	0xE68C : 'Unassigned [0xE68C]',
	0xE68D : 'Unassigned [0xE68D]',
	0xE68E : 'Unassigned [0xE68E]',
	0xE68F : 'Unassigned [0xE68F]',
	0xE690 : 'Unassigned [0xE690]',
	0xE691 : 'Unassigned [0xE691]',
	0xE692 : 'Unassigned [0xE692]',
	0xE693 : 'Unassigned [0xE693]',
	0xE694 : 'Unassigned [0xE694]',
	0xE695 : 'Unassigned [0xE695]',
	0xE696 : 'Unassigned [0xE696]',
	0xE697 : 'Unassigned [0xE697]',
	0xE698 : 'Unassigned [0xE698]',
	0xE699 : 'Unassigned [0xE699]',
	0xE69A : 'Unassigned [0xE69A]',
	0xE69B : 'Unassigned [0xE69B]',
	0xE69C : 'Unassigned [0xE69C]',
	0xE69D : 'Unassigned [0xE69D]',
	0xE69E : 'Unassigned [0xE69E]',
	0xE69F : 'Unassigned [0xE69F]',
	0xE6A0 : 'Unassigned [0xE6A0]',
	0xE6A1 : 'Unassigned [0xE6A1]',
	0xE6A2 : 'Unassigned [0xE6A2]',
	0xE6A3 : 'Unassigned [0xE6A3]',
	0xE6A4 : 'Unassigned [0xE6A4]',
	0xE6A5 : 'Unassigned [0xE6A5]',
	0xE6A6 : 'Unassigned [0xE6A6]',
	0xE6A7 : 'Unassigned [0xE6A7]',
	0xE6A8 : 'Unassigned [0xE6A8]',
	0xE6A9 : 'Unassigned [0xE6A9]',
	0xE6AA : 'Unassigned [0xE6AA]',
	0xE6AB : 'Unassigned [0xE6AB]',
	0xE6AC : 'Unassigned [0xE6AC]',
	0xE6AD : 'Unassigned [0xE6AD]',
	0xE6AE : 'Unassigned [0xE6AE]',
	0xE6AF : 'Unassigned [0xE6AF]',
	0xE6B0 : 'Unassigned [0xE6B0]',
	0xE6B1 : 'Unassigned [0xE6B1]',
	0xE6B2 : 'Unassigned [0xE6B2]',
	0xE6B3 : 'Unassigned [0xE6B3]',
	0xE6B4 : 'Unassigned [0xE6B4]',
	0xE6B5 : 'Unassigned [0xE6B5]',
	0xE6B6 : 'Unassigned [0xE6B6]',
	0xE6B7 : 'Unassigned [0xE6B7]',
	0xE6B8 : 'Unassigned [0xE6B8]',
	0xE6B9 : 'Unassigned [0xE6B9]',
	0xE6BA : 'Unassigned [0xE6BA]',
	0xE6BB : 'Unassigned [0xE6BB]',
	0xE6BC : 'Unassigned [0xE6BC]',
	0xE6BD : 'Unassigned [0xE6BD]',
	0xE6BE : 'Unassigned [0xE6BE]',
	0xE6BF : 'Unassigned [0xE6BF]',
	0xE6C0 : 'Unassigned [0xE6C0]',
	0xE6C1 : 'Unassigned [0xE6C1]',
	0xE6C2 : 'Unassigned [0xE6C2]',
	0xE6C3 : 'Unassigned [0xE6C3]',
	0xE6C4 : 'Unassigned [0xE6C4]',
	0xE6C5 : 'Unassigned [0xE6C5]',
	0xE6C6 : 'Unassigned [0xE6C6]',
	0xE6C7 : 'Unassigned [0xE6C7]',
	0xE6C8 : 'Unassigned [0xE6C8]',
	0xE6C9 : 'Unassigned [0xE6C9]',
	0xE6CA : 'Unassigned [0xE6CA]',
	0xE6CB : 'Unassigned [0xE6CB]',
	0xE6CC : 'Unassigned [0xE6CC]',
	0xE6CD : 'Unassigned [0xE6CD]',
	0xE6CE : 'Unassigned [0xE6CE]',
	0xE6CF : 'Unassigned [0xE6CF]',
	0xE6D0 : 'Unassigned [0xE6D0]',
	0xE6D1 : 'Unassigned [0xE6D1]',
	0xE6D2 : 'Unassigned [0xE6D2]',
	0xE6D3 : 'Unassigned [0xE6D3]',
	0xE6D4 : 'Unassigned [0xE6D4]',
	0xE6D5 : 'Unassigned [0xE6D5]',
	0xE6D6 : 'Unassigned [0xE6D6]',
	0xE6D7 : 'Unassigned [0xE6D7]',
	0xE6D8 : 'Unassigned [0xE6D8]',
	0xE6D9 : 'Unassigned [0xE6D9]',
	0xE6DA : 'Unassigned [0xE6DA]',
	0xE6DB : 'Unassigned [0xE6DB]',
	0xE6DC : 'Unassigned [0xE6DC]',
	0xE6DD : 'Unassigned [0xE6DD]',
	0xE6DE : 'Unassigned [0xE6DE]',
	0xE6DF : 'Unassigned [0xE6DF]',
	0xE6E0 : 'Unassigned [0xE6E0]',
	0xE6E1 : 'Unassigned [0xE6E1]',
	0xE6E2 : 'Unassigned [0xE6E2]',
	0xE6E3 : 'Unassigned [0xE6E3]',
	0xE6E4 : 'Unassigned [0xE6E4]',
	0xE6E5 : 'Unassigned [0xE6E5]',
	0xE6E6 : 'Unassigned [0xE6E6]',
	0xE6E7 : 'Unassigned [0xE6E7]',
	0xE6E8 : 'Unassigned [0xE6E8]',
	0xE6E9 : 'Unassigned [0xE6E9]',
	0xE6EA : 'Unassigned [0xE6EA]',
	0xE6EB : 'Unassigned [0xE6EB]',
	0xE6EC : 'Unassigned [0xE6EC]',
	0xE6ED : 'Unassigned [0xE6ED]',
	0xE6EE : 'Unassigned [0xE6EE]',
	0xE6EF : 'Unassigned [0xE6EF]',
	0xE6F0 : 'Unassigned [0xE6F0]',
	0xE6F1 : 'Unassigned [0xE6F1]',
	0xE6F2 : 'Unassigned [0xE6F2]',
	0xE6F3 : 'Unassigned [0xE6F3]',
	0xE6F4 : 'Unassigned [0xE6F4]',
	0xE6F5 : 'Unassigned [0xE6F5]',
	0xE6F6 : 'Unassigned [0xE6F6]',
	0xE6F7 : 'Unassigned [0xE6F7]',
	0xE6F8 : 'Unassigned [0xE6F8]',
	0xE6F9 : 'Unassigned [0xE6F9]',
	0xE6FA : 'Unassigned [0xE6FA]',
	0xE6FB : 'Unassigned [0xE6FB]',
	0xE6FC : 'Unassigned [0xE6FC]',
	0xE6FD : 'Unassigned [0xE6FD]',
	0xE6FE : 'Unassigned [0xE6FE]',
	0xE6FF : 'Unassigned [0xE6FF]',
	0xE700 : 'Unassigned [0xE700]',
	0xE701 : 'Unassigned [0xE701]',
	0xE702 : 'Unassigned [0xE702]',
	0xE703 : 'Unassigned [0xE703]',
	0xE704 : 'Unassigned [0xE704]',
	0xE705 : 'Unassigned [0xE705]',
	0xE706 : 'Unassigned [0xE706]',
	0xE707 : 'Unassigned [0xE707]',
	0xE708 : 'Unassigned [0xE708]',
	0xE709 : 'Unassigned [0xE709]',
	0xE70A : 'Unassigned [0xE70A]',
	0xE70B : 'Unassigned [0xE70B]',
	0xE70C : 'Unassigned [0xE70C]',
	0xE70D : 'Unassigned [0xE70D]',
	0xE70E : 'Unassigned [0xE70E]',
	0xE70F : 'Unassigned [0xE70F]',
	0xE710 : 'Unassigned [0xE710]',
	0xE711 : 'Unassigned [0xE711]',
	0xE712 : 'Unassigned [0xE712]',
	0xE713 : 'Unassigned [0xE713]',
	0xE714 : 'Unassigned [0xE714]',
	0xE715 : 'Unassigned [0xE715]',
	0xE716 : 'Unassigned [0xE716]',
	0xE717 : 'Unassigned [0xE717]',
	0xE718 : 'Unassigned [0xE718]',
	0xE719 : 'Unassigned [0xE719]',
	0xE71A : 'Unassigned [0xE71A]',
	0xE71B : 'Unassigned [0xE71B]',
	0xE71C : 'Unassigned [0xE71C]',
	0xE71D : 'Unassigned [0xE71D]',
	0xE71E : 'Unassigned [0xE71E]',
	0xE71F : 'Unassigned [0xE71F]',
	0xE720 : 'Unassigned [0xE720]',
	0xE721 : 'Unassigned [0xE721]',
	0xE722 : 'Unassigned [0xE722]',
	0xE723 : 'Unassigned [0xE723]',
	0xE724 : 'Unassigned [0xE724]',
	0xE725 : 'Unassigned [0xE725]',
	0xE726 : 'Unassigned [0xE726]',
	0xE727 : 'Unassigned [0xE727]',
	0xE728 : 'Unassigned [0xE728]',
	0xE729 : 'Unassigned [0xE729]',
	0xE72A : 'Unassigned [0xE72A]',
	0xE72B : 'Unassigned [0xE72B]',
	0xE72C : 'Unassigned [0xE72C]',
	0xE72D : 'Unassigned [0xE72D]',
	0xE72E : 'Unassigned [0xE72E]',
	0xE72F : 'Unassigned [0xE72F]',
	0xE730 : 'Unassigned [0xE730]',
	0xE731 : 'Unassigned [0xE731]',
	0xE732 : 'Unassigned [0xE732]',
	0xE733 : 'Unassigned [0xE733]',
	0xE734 : 'Unassigned [0xE734]',
	0xE735 : 'Unassigned [0xE735]',
	0xE736 : 'Unassigned [0xE736]',
	0xE737 : 'Unassigned [0xE737]',
	0xE738 : 'Unassigned [0xE738]',
	0xE739 : 'Unassigned [0xE739]',
	0xE73A : 'Unassigned [0xE73A]',
	0xE73B : 'Unassigned [0xE73B]',
	0xE73C : 'Unassigned [0xE73C]',
	0xE73D : 'Unassigned [0xE73D]',
	0xE73E : 'Unassigned [0xE73E]',
	0xE73F : 'Unassigned [0xE73F]',
	0xE740 : 'Unassigned [0xE740]',
	0xE741 : 'Unassigned [0xE741]',
	0xE742 : 'Unassigned [0xE742]',
	0xE743 : 'Unassigned [0xE743]',
	0xE744 : 'Unassigned [0xE744]',
	0xE745 : 'Unassigned [0xE745]',
	0xE746 : 'Unassigned [0xE746]',
	0xE747 : 'Unassigned [0xE747]',
	0xE748 : 'Unassigned [0xE748]',
	0xE749 : 'Unassigned [0xE749]',
	0xE74A : 'Unassigned [0xE74A]',
	0xE74B : 'Unassigned [0xE74B]',
	0xE74C : 'Unassigned [0xE74C]',
	0xE74D : 'Unassigned [0xE74D]',
	0xE74E : 'Unassigned [0xE74E]',
	0xE74F : 'Unassigned [0xE74F]',
	0xE750 : 'Unassigned [0xE750]',
	0xE751 : 'Unassigned [0xE751]',
	0xE752 : 'Unassigned [0xE752]',
	0xE753 : 'Unassigned [0xE753]',
	0xE754 : 'Unassigned [0xE754]',
	0xE755 : 'Unassigned [0xE755]',
	0xE756 : 'Unassigned [0xE756]',
	0xE757 : 'Unassigned [0xE757]',
	0xE758 : 'Unassigned [0xE758]',
	0xE759 : 'Unassigned [0xE759]',
	0xE75A : 'Unassigned [0xE75A]',
	0xE75B : 'Unassigned [0xE75B]',
	0xE75C : 'Unassigned [0xE75C]',
	0xE75D : 'Unassigned [0xE75D]',
	0xE75E : 'Unassigned [0xE75E]',
	0xE75F : 'Unassigned [0xE75F]',
	0xE760 : 'Unassigned [0xE760]',
	0xE761 : 'Unassigned [0xE761]',
	0xE762 : 'Unassigned [0xE762]',
	0xE763 : 'Unassigned [0xE763]',
	0xE764 : 'Unassigned [0xE764]',
	0xE765 : 'Unassigned [0xE765]',
	0xE766 : 'Unassigned [0xE766]',
	0xE767 : 'Unassigned [0xE767]',
	0xE768 : 'Unassigned [0xE768]',
	0xE769 : 'Unassigned [0xE769]',
	0xE76A : 'Unassigned [0xE76A]',
	0xE76B : 'Unassigned [0xE76B]',
	0xE76C : 'Unassigned [0xE76C]',
	0xE76D : 'Unassigned [0xE76D]',
	0xE76E : 'Unassigned [0xE76E]',
	0xE76F : 'Unassigned [0xE76F]',
	0xE770 : 'Unassigned [0xE770]',
	0xE771 : 'Unassigned [0xE771]',
	0xE772 : 'Unassigned [0xE772]',
	0xE773 : 'Unassigned [0xE773]',
	0xE774 : 'Unassigned [0xE774]',
	0xE775 : 'Unassigned [0xE775]',
	0xE776 : 'Unassigned [0xE776]',
	0xE777 : 'Unassigned [0xE777]',
	0xE778 : 'Unassigned [0xE778]',
	0xE779 : 'Unassigned [0xE779]',
	0xE77A : 'Unassigned [0xE77A]',
	0xE77B : 'Unassigned [0xE77B]',
	0xE77C : 'Unassigned [0xE77C]',
	0xE77D : 'Unassigned [0xE77D]',
	0xE77E : 'Unassigned [0xE77E]',
	0xE77F : 'Unassigned [0xE77F]',
	0xE780 : 'Unassigned [0xE780]',
	0xE781 : 'Unassigned [0xE781]',
	0xE782 : 'Unassigned [0xE782]',
	0xE783 : 'Unassigned [0xE783]',
	0xE784 : 'Unassigned [0xE784]',
	0xE785 : 'Unassigned [0xE785]',
	0xE786 : 'Unassigned [0xE786]',
	0xE787 : 'Unassigned [0xE787]',
	0xE788 : 'Unassigned [0xE788]',
	0xE789 : 'Unassigned [0xE789]',
	0xE78A : 'Unassigned [0xE78A]',
	0xE78B : 'Unassigned [0xE78B]',
	0xE78C : 'Unassigned [0xE78C]',
	0xE78D : 'Unassigned [0xE78D]',
	0xE78E : 'Unassigned [0xE78E]',
	0xE78F : 'Unassigned [0xE78F]',
	0xE790 : 'Unassigned [0xE790]',
	0xE791 : 'Unassigned [0xE791]',
	0xE792 : 'Unassigned [0xE792]',
	0xE793 : 'Unassigned [0xE793]',
	0xE794 : 'Unassigned [0xE794]',
	0xE795 : 'Unassigned [0xE795]',
	0xE796 : 'Unassigned [0xE796]',
	0xE797 : 'Unassigned [0xE797]',
	0xE798 : 'Unassigned [0xE798]',
	0xE799 : 'Unassigned [0xE799]',
	0xE79A : 'Unassigned [0xE79A]',
	0xE79B : 'Unassigned [0xE79B]',
	0xE79C : 'Unassigned [0xE79C]',
	0xE79D : 'Unassigned [0xE79D]',
	0xE79E : 'Unassigned [0xE79E]',
	0xE79F : 'Unassigned [0xE79F]',
	0xE7A0 : 'Unassigned [0xE7A0]',
	0xE7A1 : 'Unassigned [0xE7A1]',
	0xE7A2 : 'Unassigned [0xE7A2]',
	0xE7A3 : 'Unassigned [0xE7A3]',
	0xE7A4 : 'Unassigned [0xE7A4]',
	0xE7A5 : 'Unassigned [0xE7A5]',
	0xE7A6 : 'Unassigned [0xE7A6]',
	0xE7A7 : 'Unassigned [0xE7A7]',
	0xE7A8 : 'Unassigned [0xE7A8]',
	0xE7A9 : 'Unassigned [0xE7A9]',
	0xE7AA : 'Unassigned [0xE7AA]',
	0xE7AB : 'Unassigned [0xE7AB]',
	0xE7AC : 'Unassigned [0xE7AC]',
	0xE7AD : 'Unassigned [0xE7AD]',
	0xE7AE : 'Unassigned [0xE7AE]',
	0xE7AF : 'Unassigned [0xE7AF]',
	0xE7B0 : 'Unassigned [0xE7B0]',
	0xE7B1 : 'Unassigned [0xE7B1]',
	0xE7B2 : 'Unassigned [0xE7B2]',
	0xE7B3 : 'Unassigned [0xE7B3]',
	0xE7B4 : 'Unassigned [0xE7B4]',
	0xE7B5 : 'Unassigned [0xE7B5]',
	0xE7B6 : 'Unassigned [0xE7B6]',
	0xE7B7 : 'Unassigned [0xE7B7]',
	0xE7B8 : 'Unassigned [0xE7B8]',
	0xE7B9 : 'Unassigned [0xE7B9]',
	0xE7BA : 'Unassigned [0xE7BA]',
	0xE7BB : 'Unassigned [0xE7BB]',
	0xE7BC : 'Unassigned [0xE7BC]',
	0xE7BD : 'Unassigned [0xE7BD]',
	0xE7BE : 'Unassigned [0xE7BE]',
	0xE7BF : 'Unassigned [0xE7BF]',
	0xE7C0 : 'Unassigned [0xE7C0]',
	0xE7C1 : 'Unassigned [0xE7C1]',
	0xE7C2 : 'Unassigned [0xE7C2]',
	0xE7C3 : 'Unassigned [0xE7C3]',
	0xE7C4 : 'Unassigned [0xE7C4]',
	0xE7C5 : 'Unassigned [0xE7C5]',
	0xE7C6 : 'Unassigned [0xE7C6]',
	0xE7C7 : 'Unassigned [0xE7C7]',
	0xE7C8 : 'Unassigned [0xE7C8]',
	0xE7C9 : 'Unassigned [0xE7C9]',
	0xE7CA : 'Unassigned [0xE7CA]',
	0xE7CB : 'Unassigned [0xE7CB]',
	0xE7CC : 'Unassigned [0xE7CC]',
	0xE7CD : 'Unassigned [0xE7CD]',
	0xE7CE : 'Unassigned [0xE7CE]',
	0xE7CF : 'Unassigned [0xE7CF]',
	0xE7D0 : 'Unassigned [0xE7D0]',
	0xE7D1 : 'Unassigned [0xE7D1]',
	0xE7D2 : 'Unassigned [0xE7D2]',
	0xE7D3 : 'Unassigned [0xE7D3]',
	0xE7D4 : 'Unassigned [0xE7D4]',
	0xE7D5 : 'Unassigned [0xE7D5]',
	0xE7D6 : 'Unassigned [0xE7D6]',
	0xE7D7 : 'Unassigned [0xE7D7]',
	0xE7D8 : 'Unassigned [0xE7D8]',
	0xE7D9 : 'Unassigned [0xE7D9]',
	0xE7DA : 'Unassigned [0xE7DA]',
	0xE7DB : 'Unassigned [0xE7DB]',
	0xE7DC : 'Unassigned [0xE7DC]',
	0xE7DD : 'Unassigned [0xE7DD]',
	0xE7DE : 'Unassigned [0xE7DE]',
	0xE7DF : 'Unassigned [0xE7DF]',
	0xE7E0 : 'Unassigned [0xE7E0]',
	0xE7E1 : 'Unassigned [0xE7E1]',
	0xE7E2 : 'Unassigned [0xE7E2]',
	0xE7E3 : 'Unassigned [0xE7E3]',
	0xE7E4 : 'Unassigned [0xE7E4]',
	0xE7E5 : 'Unassigned [0xE7E5]',
	0xE7E6 : 'Unassigned [0xE7E6]',
	0xE7E7 : 'Unassigned [0xE7E7]',
	0xE7E8 : 'Unassigned [0xE7E8]',
	0xE7E9 : 'Unassigned [0xE7E9]',
	0xE7EA : 'Unassigned [0xE7EA]',
	0xE7EB : 'Unassigned [0xE7EB]',
	0xE7EC : 'Unassigned [0xE7EC]',
	0xE7ED : 'Unassigned [0xE7ED]',
	0xE7EE : 'Unassigned [0xE7EE]',
	0xE7EF : 'Unassigned [0xE7EF]',
	0xE7F0 : 'Unassigned [0xE7F0]',
	0xE7F1 : 'Unassigned [0xE7F1]',
	0xE7F2 : 'Unassigned [0xE7F2]',
	0xE7F3 : 'Unassigned [0xE7F3]',
	0xE7F4 : 'Unassigned [0xE7F4]',
	0xE7F5 : 'Unassigned [0xE7F5]',
	0xE7F6 : 'Unassigned [0xE7F6]',
	0xE7F7 : 'Unassigned [0xE7F7]',
	0xE7F8 : 'Unassigned [0xE7F8]',
	0xE7F9 : 'Unassigned [0xE7F9]',
	0xE7FA : 'Unassigned [0xE7FA]',
	0xE7FB : 'Unassigned [0xE7FB]',
	0xE7FC : 'Unassigned [0xE7FC]',
	0xE7FD : 'Unassigned [0xE7FD]',
	0xE7FE : 'Unassigned [0xE7FE]',
	0xE7FF : 'Unassigned [0xE7FF]',
	0xE800 : 'Unassigned [0xE800]',
	0xE801 : 'Unassigned [0xE801]',
	0xE802 : 'Unassigned [0xE802]',
	0xE803 : 'Unassigned [0xE803]',
	0xE804 : 'Unassigned [0xE804]',
	0xE805 : 'Unassigned [0xE805]',
	0xE806 : 'Unassigned [0xE806]',
	0xE807 : 'Unassigned [0xE807]',
	0xE808 : 'Unassigned [0xE808]',
	0xE809 : 'Unassigned [0xE809]',
	0xE80A : 'Unassigned [0xE80A]',
	0xE80B : 'Unassigned [0xE80B]',
	0xE80C : 'Unassigned [0xE80C]',
	0xE80D : 'Unassigned [0xE80D]',
	0xE80E : 'Unassigned [0xE80E]',
	0xE80F : 'Unassigned [0xE80F]',
	0xE810 : 'Unassigned [0xE810]',
	0xE811 : 'Unassigned [0xE811]',
	0xE812 : 'Unassigned [0xE812]',
	0xE813 : 'Unassigned [0xE813]',
	0xE814 : 'Unassigned [0xE814]',
	0xE815 : 'Unassigned [0xE815]',
	0xE816 : 'Unassigned [0xE816]',
	0xE817 : 'Unassigned [0xE817]',
	0xE818 : 'Unassigned [0xE818]',
	0xE819 : 'Unassigned [0xE819]',
	0xE81A : 'Unassigned [0xE81A]',
	0xE81B : 'Unassigned [0xE81B]',
	0xE81C : 'Unassigned [0xE81C]',
	0xE81D : 'Unassigned [0xE81D]',
	0xE81E : 'Unassigned [0xE81E]',
	0xE81F : 'Unassigned [0xE81F]',
	0xE820 : 'Unassigned [0xE820]',
	0xE821 : 'Unassigned [0xE821]',
	0xE822 : 'Unassigned [0xE822]',
	0xE823 : 'Unassigned [0xE823]',
	0xE824 : 'Unassigned [0xE824]',
	0xE825 : 'Unassigned [0xE825]',
	0xE826 : 'Unassigned [0xE826]',
	0xE827 : 'Unassigned [0xE827]',
	0xE828 : 'Unassigned [0xE828]',
	0xE829 : 'Unassigned [0xE829]',
	0xE82A : 'Unassigned [0xE82A]',
	0xE82B : 'Unassigned [0xE82B]',
	0xE82C : 'Unassigned [0xE82C]',
	0xE82D : 'Unassigned [0xE82D]',
	0xE82E : 'Unassigned [0xE82E]',
	0xE82F : 'Unassigned [0xE82F]',
	0xE830 : 'Unassigned [0xE830]',
	0xE831 : 'Unassigned [0xE831]',
	0xE832 : 'Unassigned [0xE832]',
	0xE833 : 'Unassigned [0xE833]',
	0xE834 : 'Unassigned [0xE834]',
	0xE835 : 'Unassigned [0xE835]',
	0xE836 : 'Unassigned [0xE836]',
	0xE837 : 'Unassigned [0xE837]',
	0xE838 : 'Unassigned [0xE838]',
	0xE839 : 'Unassigned [0xE839]',
	0xE83A : 'Unassigned [0xE83A]',
	0xE83B : 'Unassigned [0xE83B]',
	0xE83C : 'Unassigned [0xE83C]',
	0xE83D : 'Unassigned [0xE83D]',
	0xE83E : 'Unassigned [0xE83E]',
	0xE83F : 'Unassigned [0xE83F]',
	0xE840 : 'Unassigned [0xE840]',
	0xE841 : 'Unassigned [0xE841]',
	0xE842 : 'Unassigned [0xE842]',
	0xE843 : 'Unassigned [0xE843]',
	0xE844 : 'Unassigned [0xE844]',
	0xE845 : 'Unassigned [0xE845]',
	0xE846 : 'Unassigned [0xE846]',
	0xE847 : 'Unassigned [0xE847]',
	0xE848 : 'Unassigned [0xE848]',
	0xE849 : 'Unassigned [0xE849]',
	0xE84A : 'Unassigned [0xE84A]',
	0xE84B : 'Unassigned [0xE84B]',
	0xE84C : 'Unassigned [0xE84C]',
	0xE84D : 'Unassigned [0xE84D]',
	0xE84E : 'Unassigned [0xE84E]',
	0xE84F : 'Unassigned [0xE84F]',
	0xE850 : 'Unassigned [0xE850]',
	0xE851 : 'Unassigned [0xE851]',
	0xE852 : 'Unassigned [0xE852]',
	0xE853 : 'Unassigned [0xE853]',
	0xE854 : 'Unassigned [0xE854]',
	0xE855 : 'Unassigned [0xE855]',
	0xE856 : 'Unassigned [0xE856]',
	0xE857 : 'Unassigned [0xE857]',
	0xE858 : 'Unassigned [0xE858]',
	0xE859 : 'Unassigned [0xE859]',
	0xE85A : 'Unassigned [0xE85A]',
	0xE85B : 'Unassigned [0xE85B]',
	0xE85C : 'Unassigned [0xE85C]',
	0xE85D : 'Unassigned [0xE85D]',
	0xE85E : 'Unassigned [0xE85E]',
	0xE85F : 'Unassigned [0xE85F]',
	0xE860 : 'Unassigned [0xE860]',
	0xE861 : 'Unassigned [0xE861]',
	0xE862 : 'Unassigned [0xE862]',
	0xE863 : 'Unassigned [0xE863]',
	0xE864 : 'Unassigned [0xE864]',
	0xE865 : 'Unassigned [0xE865]',
	0xE866 : 'Unassigned [0xE866]',
	0xE867 : 'Unassigned [0xE867]',
	0xE868 : 'Unassigned [0xE868]',
	0xE869 : 'Unassigned [0xE869]',
	0xE86A : 'Unassigned [0xE86A]',
	0xE86B : 'Unassigned [0xE86B]',
	0xE86C : 'Unassigned [0xE86C]',
	0xE86D : 'Unassigned [0xE86D]',
	0xE86E : 'Unassigned [0xE86E]',
	0xE86F : 'Unassigned [0xE86F]',
	0xE870 : 'Unassigned [0xE870]',
	0xE871 : 'Unassigned [0xE871]',
	0xE872 : 'Unassigned [0xE872]',
	0xE873 : 'Unassigned [0xE873]',
	0xE874 : 'Unassigned [0xE874]',
	0xE875 : 'Unassigned [0xE875]',
	0xE876 : 'Unassigned [0xE876]',
	0xE877 : 'Unassigned [0xE877]',
	0xE878 : 'Unassigned [0xE878]',
	0xE879 : 'Unassigned [0xE879]',
	0xE87A : 'Unassigned [0xE87A]',
	0xE87B : 'Unassigned [0xE87B]',
	0xE87C : 'Unassigned [0xE87C]',
	0xE87D : 'Unassigned [0xE87D]',
	0xE87E : 'Unassigned [0xE87E]',
	0xE87F : 'Unassigned [0xE87F]',
	0xE880 : 'Unassigned [0xE880]',
	0xE881 : 'Unassigned [0xE881]',
	0xE882 : 'Unassigned [0xE882]',
	0xE883 : 'Unassigned [0xE883]',
	0xE884 : 'Unassigned [0xE884]',
	0xE885 : 'Unassigned [0xE885]',
	0xE886 : 'Unassigned [0xE886]',
	0xE887 : 'Unassigned [0xE887]',
	0xE888 : 'Unassigned [0xE888]',
	0xE889 : 'Unassigned [0xE889]',
	0xE88A : 'Unassigned [0xE88A]',
	0xE88B : 'Unassigned [0xE88B]',
	0xE88C : 'Unassigned [0xE88C]',
	0xE88D : 'Unassigned [0xE88D]',
	0xE88E : 'Unassigned [0xE88E]',
	0xE88F : 'Unassigned [0xE88F]',
	0xE890 : 'Unassigned [0xE890]',
	0xE891 : 'Unassigned [0xE891]',
	0xE892 : 'Unassigned [0xE892]',
	0xE893 : 'Unassigned [0xE893]',
	0xE894 : 'Unassigned [0xE894]',
	0xE895 : 'Unassigned [0xE895]',
	0xE896 : 'Unassigned [0xE896]',
	0xE897 : 'Unassigned [0xE897]',
	0xE898 : 'Unassigned [0xE898]',
	0xE899 : 'Unassigned [0xE899]',
	0xE89A : 'Unassigned [0xE89A]',
	0xE89B : 'Unassigned [0xE89B]',
	0xE89C : 'Unassigned [0xE89C]',
	0xE89D : 'Unassigned [0xE89D]',
	0xE89E : 'Unassigned [0xE89E]',
	0xE89F : 'Unassigned [0xE89F]',
	0xE8A0 : 'Unassigned [0xE8A0]',
	0xE8A1 : 'Unassigned [0xE8A1]',
	0xE8A2 : 'Unassigned [0xE8A2]',
	0xE8A3 : 'Unassigned [0xE8A3]',
	0xE8A4 : 'Unassigned [0xE8A4]',
	0xE8A5 : 'Unassigned [0xE8A5]',
	0xE8A6 : 'Unassigned [0xE8A6]',
	0xE8A7 : 'Unassigned [0xE8A7]',
	0xE8A8 : 'Unassigned [0xE8A8]',
	0xE8A9 : 'Unassigned [0xE8A9]',
	0xE8AA : 'Unassigned [0xE8AA]',
	0xE8AB : 'Unassigned [0xE8AB]',
	0xE8AC : 'Unassigned [0xE8AC]',
	0xE8AD : 'Unassigned [0xE8AD]',
	0xE8AE : 'Unassigned [0xE8AE]',
	0xE8AF : 'Unassigned [0xE8AF]',
	0xE8B0 : 'Unassigned [0xE8B0]',
	0xE8B1 : 'Unassigned [0xE8B1]',
	0xE8B2 : 'Unassigned [0xE8B2]',
	0xE8B3 : 'Unassigned [0xE8B3]',
	0xE8B4 : 'Unassigned [0xE8B4]',
	0xE8B5 : 'Unassigned [0xE8B5]',
	0xE8B6 : 'Unassigned [0xE8B6]',
	0xE8B7 : 'Unassigned [0xE8B7]',
	0xE8B8 : 'Unassigned [0xE8B8]',
	0xE8B9 : 'Unassigned [0xE8B9]',
	0xE8BA : 'Unassigned [0xE8BA]',
	0xE8BB : 'Unassigned [0xE8BB]',
	0xE8BC : 'Unassigned [0xE8BC]',
	0xE8BD : 'Unassigned [0xE8BD]',
	0xE8BE : 'Unassigned [0xE8BE]',
	0xE8BF : 'Unassigned [0xE8BF]',
	0xE8C0 : 'Unassigned [0xE8C0]',
	0xE8C1 : 'Unassigned [0xE8C1]',
	0xE8C2 : 'Unassigned [0xE8C2]',
	0xE8C3 : 'Unassigned [0xE8C3]',
	0xE8C4 : 'Unassigned [0xE8C4]',
	0xE8C5 : 'Unassigned [0xE8C5]',
	0xE8C6 : 'Unassigned [0xE8C6]',
	0xE8C7 : 'Unassigned [0xE8C7]',
	0xE8C8 : 'Unassigned [0xE8C8]',
	0xE8C9 : 'Unassigned [0xE8C9]',
	0xE8CA : 'Unassigned [0xE8CA]',
	0xE8CB : 'Unassigned [0xE8CB]',
	0xE8CC : 'Unassigned [0xE8CC]',
	0xE8CD : 'Unassigned [0xE8CD]',
	0xE8CE : 'Unassigned [0xE8CE]',
	0xE8CF : 'Unassigned [0xE8CF]',
	0xE8D0 : 'Unassigned [0xE8D0]',
	0xE8D1 : 'Unassigned [0xE8D1]',
	0xE8D2 : 'Unassigned [0xE8D2]',
	0xE8D3 : 'Unassigned [0xE8D3]',
	0xE8D4 : 'Unassigned [0xE8D4]',
	0xE8D5 : 'Unassigned [0xE8D5]',
	0xE8D6 : 'Unassigned [0xE8D6]',
	0xE8D7 : 'Unassigned [0xE8D7]',
	0xE8D8 : 'Unassigned [0xE8D8]',
	0xE8D9 : 'Unassigned [0xE8D9]',
	0xE8DA : 'Unassigned [0xE8DA]',
	0xE8DB : 'Unassigned [0xE8DB]',
	0xE8DC : 'Unassigned [0xE8DC]',
	0xE8DD : 'Unassigned [0xE8DD]',
	0xE8DE : 'Unassigned [0xE8DE]',
	0xE8DF : 'Unassigned [0xE8DF]',
	0xE8E0 : 'Unassigned [0xE8E0]',
	0xE8E1 : 'Unassigned [0xE8E1]',
	0xE8E2 : 'Unassigned [0xE8E2]',
	0xE8E3 : 'Unassigned [0xE8E3]',
	0xE8E4 : 'Unassigned [0xE8E4]',
	0xE8E5 : 'Unassigned [0xE8E5]',
	0xE8E6 : 'Unassigned [0xE8E6]',
	0xE8E7 : 'Unassigned [0xE8E7]',
	0xE8E8 : 'Unassigned [0xE8E8]',
	0xE8E9 : 'Unassigned [0xE8E9]',
	0xE8EA : 'Unassigned [0xE8EA]',
	0xE8EB : 'Unassigned [0xE8EB]',
	0xE8EC : 'Unassigned [0xE8EC]',
	0xE8ED : 'Unassigned [0xE8ED]',
	0xE8EE : 'Unassigned [0xE8EE]',
	0xE8EF : 'Unassigned [0xE8EF]',
	0xE8F0 : 'Unassigned [0xE8F0]',
	0xE8F1 : 'Unassigned [0xE8F1]',
	0xE8F2 : 'Unassigned [0xE8F2]',
	0xE8F3 : 'Unassigned [0xE8F3]',
	0xE8F4 : 'Unassigned [0xE8F4]',
	0xE8F5 : 'Unassigned [0xE8F5]',
	0xE8F6 : 'Unassigned [0xE8F6]',
	0xE8F7 : 'Unassigned [0xE8F7]',
	0xE8F8 : 'Unassigned [0xE8F8]',
	0xE8F9 : 'Unassigned [0xE8F9]',
	0xE8FA : 'Unassigned [0xE8FA]',
	0xE8FB : 'Unassigned [0xE8FB]',
	0xE8FC : 'Unassigned [0xE8FC]',
	0xE8FD : 'Unassigned [0xE8FD]',
	0xE8FE : 'Unassigned [0xE8FE]',
	0xE8FF : 'Unassigned [0xE8FF]',
	0xE900 : 'Unassigned [0xE900]',
	0xE901 : 'Unassigned [0xE901]',
	0xE902 : 'Unassigned [0xE902]',
	0xE903 : 'Unassigned [0xE903]',
	0xE904 : 'Unassigned [0xE904]',
	0xE905 : 'Unassigned [0xE905]',
	0xE906 : 'Unassigned [0xE906]',
	0xE907 : 'Unassigned [0xE907]',
	0xE908 : 'Unassigned [0xE908]',
	0xE909 : 'Unassigned [0xE909]',
	0xE90A : 'Unassigned [0xE90A]',
	0xE90B : 'Unassigned [0xE90B]',
	0xE90C : 'Unassigned [0xE90C]',
	0xE90D : 'Unassigned [0xE90D]',
	0xE90E : 'Unassigned [0xE90E]',
	0xE90F : 'Unassigned [0xE90F]',
	0xE910 : 'Unassigned [0xE910]',
	0xE911 : 'Unassigned [0xE911]',
	0xE912 : 'Unassigned [0xE912]',
	0xE913 : 'Unassigned [0xE913]',
	0xE914 : 'Unassigned [0xE914]',
	0xE915 : 'Unassigned [0xE915]',
	0xE916 : 'Unassigned [0xE916]',
	0xE917 : 'Unassigned [0xE917]',
	0xE918 : 'Unassigned [0xE918]',
	0xE919 : 'Unassigned [0xE919]',
	0xE91A : 'Unassigned [0xE91A]',
	0xE91B : 'Unassigned [0xE91B]',
	0xE91C : 'Unassigned [0xE91C]',
	0xE91D : 'Unassigned [0xE91D]',
	0xE91E : 'Unassigned [0xE91E]',
	0xE91F : 'Unassigned [0xE91F]',
	0xE920 : 'Unassigned [0xE920]',
	0xE921 : 'Unassigned [0xE921]',
	0xE922 : 'Unassigned [0xE922]',
	0xE923 : 'Unassigned [0xE923]',
	0xE924 : 'Unassigned [0xE924]',
	0xE925 : 'Unassigned [0xE925]',
	0xE926 : 'Unassigned [0xE926]',
	0xE927 : 'Unassigned [0xE927]',
	0xE928 : 'Unassigned [0xE928]',
	0xE929 : 'Unassigned [0xE929]',
	0xE92A : 'Unassigned [0xE92A]',
	0xE92B : 'Unassigned [0xE92B]',
	0xE92C : 'Unassigned [0xE92C]',
	0xE92D : 'Unassigned [0xE92D]',
	0xE92E : 'Unassigned [0xE92E]',
	0xE92F : 'Unassigned [0xE92F]',
	0xE930 : 'Unassigned [0xE930]',
	0xE931 : 'Unassigned [0xE931]',
	0xE932 : 'Unassigned [0xE932]',
	0xE933 : 'Unassigned [0xE933]',
	0xE934 : 'Unassigned [0xE934]',
	0xE935 : 'Unassigned [0xE935]',
	0xE936 : 'Unassigned [0xE936]',
	0xE937 : 'Unassigned [0xE937]',
	0xE938 : 'Unassigned [0xE938]',
	0xE939 : 'Unassigned [0xE939]',
	0xE93A : 'Unassigned [0xE93A]',
	0xE93B : 'Unassigned [0xE93B]',
	0xE93C : 'Unassigned [0xE93C]',
	0xE93D : 'Unassigned [0xE93D]',
	0xE93E : 'Unassigned [0xE93E]',
	0xE93F : 'Unassigned [0xE93F]',
	0xE940 : 'Unassigned [0xE940]',
	0xE941 : 'Unassigned [0xE941]',
	0xE942 : 'Unassigned [0xE942]',
	0xE943 : 'Unassigned [0xE943]',
	0xE944 : 'Unassigned [0xE944]',
	0xE945 : 'Unassigned [0xE945]',
	0xE946 : 'Unassigned [0xE946]',
	0xE947 : 'Unassigned [0xE947]',
	0xE948 : 'Unassigned [0xE948]',
	0xE949 : 'Unassigned [0xE949]',
	0xE94A : 'Unassigned [0xE94A]',
	0xE94B : 'Unassigned [0xE94B]',
	0xE94C : 'Unassigned [0xE94C]',
	0xE94D : 'Unassigned [0xE94D]',
	0xE94E : 'Unassigned [0xE94E]',
	0xE94F : 'Unassigned [0xE94F]',
	0xE950 : 'Unassigned [0xE950]',
	0xE951 : 'Unassigned [0xE951]',
	0xE952 : 'Unassigned [0xE952]',
	0xE953 : 'Unassigned [0xE953]',
	0xE954 : 'Unassigned [0xE954]',
	0xE955 : 'Unassigned [0xE955]',
	0xE956 : 'Unassigned [0xE956]',
	0xE957 : 'Unassigned [0xE957]',
	0xE958 : 'Unassigned [0xE958]',
	0xE959 : 'Unassigned [0xE959]',
	0xE95A : 'Unassigned [0xE95A]',
	0xE95B : 'Unassigned [0xE95B]',
	0xE95C : 'Unassigned [0xE95C]',
	0xE95D : 'Unassigned [0xE95D]',
	0xE95E : 'Unassigned [0xE95E]',
	0xE95F : 'Unassigned [0xE95F]',
	0xE960 : 'Unassigned [0xE960]',
	0xE961 : 'Unassigned [0xE961]',
	0xE962 : 'Unassigned [0xE962]',
	0xE963 : 'Unassigned [0xE963]',
	0xE964 : 'Unassigned [0xE964]',
	0xE965 : 'Unassigned [0xE965]',
	0xE966 : 'Unassigned [0xE966]',
	0xE967 : 'Unassigned [0xE967]',
	0xE968 : 'Unassigned [0xE968]',
	0xE969 : 'Unassigned [0xE969]',
	0xE96A : 'Unassigned [0xE96A]',
	0xE96B : 'Unassigned [0xE96B]',
	0xE96C : 'Unassigned [0xE96C]',
	0xE96D : 'Unassigned [0xE96D]',
	0xE96E : 'Unassigned [0xE96E]',
	0xE96F : 'Unassigned [0xE96F]',
	0xE970 : 'Unassigned [0xE970]',
	0xE971 : 'Unassigned [0xE971]',
	0xE972 : 'Unassigned [0xE972]',
	0xE973 : 'Unassigned [0xE973]',
	0xE974 : 'Unassigned [0xE974]',
	0xE975 : 'Unassigned [0xE975]',
	0xE976 : 'Unassigned [0xE976]',
	0xE977 : 'Unassigned [0xE977]',
	0xE978 : 'Unassigned [0xE978]',
	0xE979 : 'Unassigned [0xE979]',
	0xE97A : 'Unassigned [0xE97A]',
	0xE97B : 'Unassigned [0xE97B]',
	0xE97C : 'Unassigned [0xE97C]',
	0xE97D : 'Unassigned [0xE97D]',
	0xE97E : 'Unassigned [0xE97E]',
	0xE97F : 'Unassigned [0xE97F]',
	0xE980 : 'Unassigned [0xE980]',
	0xE981 : 'Unassigned [0xE981]',
	0xE982 : 'Unassigned [0xE982]',
	0xE983 : 'Unassigned [0xE983]',
	0xE984 : 'Unassigned [0xE984]',
	0xE985 : 'Unassigned [0xE985]',
	0xE986 : 'Unassigned [0xE986]',
	0xE987 : 'Unassigned [0xE987]',
	0xE988 : 'Unassigned [0xE988]',
	0xE989 : 'Unassigned [0xE989]',
	0xE98A : 'Unassigned [0xE98A]',
	0xE98B : 'Unassigned [0xE98B]',
	0xE98C : 'Unassigned [0xE98C]',
	0xE98D : 'Unassigned [0xE98D]',
	0xE98E : 'Unassigned [0xE98E]',
	0xE98F : 'Unassigned [0xE98F]',
	0xE990 : 'Unassigned [0xE990]',
	0xE991 : 'Unassigned [0xE991]',
	0xE992 : 'Unassigned [0xE992]',
	0xE993 : 'Unassigned [0xE993]',
	0xE994 : 'Unassigned [0xE994]',
	0xE995 : 'Unassigned [0xE995]',
	0xE996 : 'Unassigned [0xE996]',
	0xE997 : 'Unassigned [0xE997]',
	0xE998 : 'Unassigned [0xE998]',
	0xE999 : 'Unassigned [0xE999]',
	0xE99A : 'Unassigned [0xE99A]',
	0xE99B : 'Unassigned [0xE99B]',
	0xE99C : 'Unassigned [0xE99C]',
	0xE99D : 'Unassigned [0xE99D]',
	0xE99E : 'Unassigned [0xE99E]',
	0xE99F : 'Unassigned [0xE99F]',
	0xE9A0 : 'Unassigned [0xE9A0]',
	0xE9A1 : 'Unassigned [0xE9A1]',
	0xE9A2 : 'Unassigned [0xE9A2]',
	0xE9A3 : 'Unassigned [0xE9A3]',
	0xE9A4 : 'Unassigned [0xE9A4]',
	0xE9A5 : 'Unassigned [0xE9A5]',
	0xE9A6 : 'Unassigned [0xE9A6]',
	0xE9A7 : 'Unassigned [0xE9A7]',
	0xE9A8 : 'Unassigned [0xE9A8]',
	0xE9A9 : 'Unassigned [0xE9A9]',
	0xE9AA : 'Unassigned [0xE9AA]',
	0xE9AB : 'Unassigned [0xE9AB]',
	0xE9AC : 'Unassigned [0xE9AC]',
	0xE9AD : 'Unassigned [0xE9AD]',
	0xE9AE : 'Unassigned [0xE9AE]',
	0xE9AF : 'Unassigned [0xE9AF]',
	0xE9B0 : 'Unassigned [0xE9B0]',
	0xE9B1 : 'Unassigned [0xE9B1]',
	0xE9B2 : 'Unassigned [0xE9B2]',
	0xE9B3 : 'Unassigned [0xE9B3]',
	0xE9B4 : 'Unassigned [0xE9B4]',
	0xE9B5 : 'Unassigned [0xE9B5]',
	0xE9B6 : 'Unassigned [0xE9B6]',
	0xE9B7 : 'Unassigned [0xE9B7]',
	0xE9B8 : 'Unassigned [0xE9B8]',
	0xE9B9 : 'Unassigned [0xE9B9]',
	0xE9BA : 'Unassigned [0xE9BA]',
	0xE9BB : 'Unassigned [0xE9BB]',
	0xE9BC : 'Unassigned [0xE9BC]',
	0xE9BD : 'Unassigned [0xE9BD]',
	0xE9BE : 'Unassigned [0xE9BE]',
	0xE9BF : 'Unassigned [0xE9BF]',
	0xE9C0 : 'Unassigned [0xE9C0]',
	0xE9C1 : 'Unassigned [0xE9C1]',
	0xE9C2 : 'Unassigned [0xE9C2]',
	0xE9C3 : 'Unassigned [0xE9C3]',
	0xE9C4 : 'Unassigned [0xE9C4]',
	0xE9C5 : 'Unassigned [0xE9C5]',
	0xE9C6 : 'Unassigned [0xE9C6]',
	0xE9C7 : 'Unassigned [0xE9C7]',
	0xE9C8 : 'Unassigned [0xE9C8]',
	0xE9C9 : 'Unassigned [0xE9C9]',
	0xE9CA : 'Unassigned [0xE9CA]',
	0xE9CB : 'Unassigned [0xE9CB]',
	0xE9CC : 'Unassigned [0xE9CC]',
	0xE9CD : 'Unassigned [0xE9CD]',
	0xE9CE : 'Unassigned [0xE9CE]',
	0xE9CF : 'Unassigned [0xE9CF]',
	0xE9D0 : 'Unassigned [0xE9D0]',
	0xE9D1 : 'Unassigned [0xE9D1]',
	0xE9D2 : 'Unassigned [0xE9D2]',
	0xE9D3 : 'Unassigned [0xE9D3]',
	0xE9D4 : 'Unassigned [0xE9D4]',
	0xE9D5 : 'Unassigned [0xE9D5]',
	0xE9D6 : 'Unassigned [0xE9D6]',
	0xE9D7 : 'Unassigned [0xE9D7]',
	0xE9D8 : 'Unassigned [0xE9D8]',
	0xE9D9 : 'Unassigned [0xE9D9]',
	0xE9DA : 'Unassigned [0xE9DA]',
	0xE9DB : 'Unassigned [0xE9DB]',
	0xE9DC : 'Unassigned [0xE9DC]',
	0xE9DD : 'Unassigned [0xE9DD]',
	0xE9DE : 'Unassigned [0xE9DE]',
	0xE9DF : 'Unassigned [0xE9DF]',
	0xE9E0 : 'Unassigned [0xE9E0]',
	0xE9E1 : 'Unassigned [0xE9E1]',
	0xE9E2 : 'Unassigned [0xE9E2]',
	0xE9E3 : 'Unassigned [0xE9E3]',
	0xE9E4 : 'Unassigned [0xE9E4]',
	0xE9E5 : 'Unassigned [0xE9E5]',
	0xE9E6 : 'Unassigned [0xE9E6]',
	0xE9E7 : 'Unassigned [0xE9E7]',
	0xE9E8 : 'Unassigned [0xE9E8]',
	0xE9E9 : 'Unassigned [0xE9E9]',
	0xE9EA : 'Unassigned [0xE9EA]',
	0xE9EB : 'Unassigned [0xE9EB]',
	0xE9EC : 'Unassigned [0xE9EC]',
	0xE9ED : 'Unassigned [0xE9ED]',
	0xE9EE : 'Unassigned [0xE9EE]',
	0xE9EF : 'Unassigned [0xE9EF]',
	0xE9F0 : 'Unassigned [0xE9F0]',
	0xE9F1 : 'Unassigned [0xE9F1]',
	0xE9F2 : 'Unassigned [0xE9F2]',
	0xE9F3 : 'Unassigned [0xE9F3]',
	0xE9F4 : 'Unassigned [0xE9F4]',
	0xE9F5 : 'Unassigned [0xE9F5]',
	0xE9F6 : 'Unassigned [0xE9F6]',
	0xE9F7 : 'Unassigned [0xE9F7]',
	0xE9F8 : 'Unassigned [0xE9F8]',
	0xE9F9 : 'Unassigned [0xE9F9]',
	0xE9FA : 'Unassigned [0xE9FA]',
	0xE9FB : 'Unassigned [0xE9FB]',
	0xE9FC : 'Unassigned [0xE9FC]',
	0xE9FD : 'Unassigned [0xE9FD]',
	0xE9FE : 'Unassigned [0xE9FE]',
	0xE9FF : 'Unassigned [0xE9FF]',
	0xEA00 : 'Unassigned [0xEA00]',
	0xEA01 : 'Unassigned [0xEA01]',
	0xEA02 : 'Unassigned [0xEA02]',
	0xEA03 : 'Unassigned [0xEA03]',
	0xEA04 : 'Unassigned [0xEA04]',
	0xEA05 : 'Unassigned [0xEA05]',
	0xEA06 : 'Unassigned [0xEA06]',
	0xEA07 : 'Unassigned [0xEA07]',
	0xEA08 : 'Unassigned [0xEA08]',
	0xEA09 : 'Unassigned [0xEA09]',
	0xEA0A : 'Unassigned [0xEA0A]',
	0xEA0B : 'Unassigned [0xEA0B]',
	0xEA0C : 'Unassigned [0xEA0C]',
	0xEA0D : 'Unassigned [0xEA0D]',
	0xEA0E : 'Unassigned [0xEA0E]',
	0xEA0F : 'Unassigned [0xEA0F]',
	0xEA10 : 'Unassigned [0xEA10]',
	0xEA11 : 'Unassigned [0xEA11]',
	0xEA12 : 'Unassigned [0xEA12]',
	0xEA13 : 'Unassigned [0xEA13]',
	0xEA14 : 'Unassigned [0xEA14]',
	0xEA15 : 'Unassigned [0xEA15]',
	0xEA16 : 'Unassigned [0xEA16]',
	0xEA17 : 'Unassigned [0xEA17]',
	0xEA18 : 'Unassigned [0xEA18]',
	0xEA19 : 'Unassigned [0xEA19]',
	0xEA1A : 'Unassigned [0xEA1A]',
	0xEA1B : 'Unassigned [0xEA1B]',
	0xEA1C : 'Unassigned [0xEA1C]',
	0xEA1D : 'Unassigned [0xEA1D]',
	0xEA1E : 'Unassigned [0xEA1E]',
	0xEA1F : 'Unassigned [0xEA1F]',
	0xEA20 : 'Unassigned [0xEA20]',
	0xEA21 : 'Unassigned [0xEA21]',
	0xEA22 : 'Unassigned [0xEA22]',
	0xEA23 : 'Unassigned [0xEA23]',
	0xEA24 : 'Unassigned [0xEA24]',
	0xEA25 : 'Unassigned [0xEA25]',
	0xEA26 : 'Unassigned [0xEA26]',
	0xEA27 : 'Unassigned [0xEA27]',
	0xEA28 : 'Unassigned [0xEA28]',
	0xEA29 : 'Unassigned [0xEA29]',
	0xEA2A : 'Unassigned [0xEA2A]',
	0xEA2B : 'Unassigned [0xEA2B]',
	0xEA2C : 'Unassigned [0xEA2C]',
	0xEA2D : 'Unassigned [0xEA2D]',
	0xEA2E : 'Unassigned [0xEA2E]',
	0xEA2F : 'Unassigned [0xEA2F]',
	0xEA30 : 'Unassigned [0xEA30]',
	0xEA31 : 'Unassigned [0xEA31]',
	0xEA32 : 'Unassigned [0xEA32]',
	0xEA33 : 'Unassigned [0xEA33]',
	0xEA34 : 'Unassigned [0xEA34]',
	0xEA35 : 'Unassigned [0xEA35]',
	0xEA36 : 'Unassigned [0xEA36]',
	0xEA37 : 'Unassigned [0xEA37]',
	0xEA38 : 'Unassigned [0xEA38]',
	0xEA39 : 'Unassigned [0xEA39]',
	0xEA3A : 'Unassigned [0xEA3A]',
	0xEA3B : 'Unassigned [0xEA3B]',
	0xEA3C : 'Unassigned [0xEA3C]',
	0xEA3D : 'Unassigned [0xEA3D]',
	0xEA3E : 'Unassigned [0xEA3E]',
	0xEA3F : 'Unassigned [0xEA3F]',
	0xEA40 : 'Unassigned [0xEA40]',
	0xEA41 : 'Unassigned [0xEA41]',
	0xEA42 : 'Unassigned [0xEA42]',
	0xEA43 : 'Unassigned [0xEA43]',
	0xEA44 : 'Unassigned [0xEA44]',
	0xEA45 : 'Unassigned [0xEA45]',
	0xEA46 : 'Unassigned [0xEA46]',
	0xEA47 : 'Unassigned [0xEA47]',
	0xEA48 : 'Unassigned [0xEA48]',
	0xEA49 : 'Unassigned [0xEA49]',
	0xEA4A : 'Unassigned [0xEA4A]',
	0xEA4B : 'Unassigned [0xEA4B]',
	0xEA4C : 'Unassigned [0xEA4C]',
	0xEA4D : 'Unassigned [0xEA4D]',
	0xEA4E : 'Unassigned [0xEA4E]',
	0xEA4F : 'Unassigned [0xEA4F]',
	0xEA50 : 'Unassigned [0xEA50]',
	0xEA51 : 'Unassigned [0xEA51]',
	0xEA52 : 'Unassigned [0xEA52]',
	0xEA53 : 'Unassigned [0xEA53]',
	0xEA54 : 'Unassigned [0xEA54]',
	0xEA55 : 'Unassigned [0xEA55]',
	0xEA56 : 'Unassigned [0xEA56]',
	0xEA57 : 'Unassigned [0xEA57]',
	0xEA58 : 'Unassigned [0xEA58]',
	0xEA59 : 'Unassigned [0xEA59]',
	0xEA5A : 'Unassigned [0xEA5A]',
	0xEA5B : 'Unassigned [0xEA5B]',
	0xEA5C : 'Unassigned [0xEA5C]',
	0xEA5D : 'Unassigned [0xEA5D]',
	0xEA5E : 'Unassigned [0xEA5E]',
	0xEA5F : 'Unassigned [0xEA5F]',
	0xEA60 : 'Unassigned [0xEA60]',
	0xEA61 : 'Unassigned [0xEA61]',
	0xEA62 : 'Unassigned [0xEA62]',
	0xEA63 : 'Unassigned [0xEA63]',
	0xEA64 : 'Unassigned [0xEA64]',
	0xEA65 : 'Unassigned [0xEA65]',
	0xEA66 : 'Unassigned [0xEA66]',
	0xEA67 : 'Unassigned [0xEA67]',
	0xEA68 : 'Unassigned [0xEA68]',
	0xEA69 : 'Unassigned [0xEA69]',
	0xEA6A : 'Unassigned [0xEA6A]',
	0xEA6B : 'Unassigned [0xEA6B]',
	0xEA6C : 'Unassigned [0xEA6C]',
	0xEA6D : 'Unassigned [0xEA6D]',
	0xEA6E : 'Unassigned [0xEA6E]',
	0xEA6F : 'Unassigned [0xEA6F]',
	0xEA70 : 'Unassigned [0xEA70]',
	0xEA71 : 'Unassigned [0xEA71]',
	0xEA72 : 'Unassigned [0xEA72]',
	0xEA73 : 'Unassigned [0xEA73]',
	0xEA74 : 'Unassigned [0xEA74]',
	0xEA75 : 'Unassigned [0xEA75]',
	0xEA76 : 'Unassigned [0xEA76]',
	0xEA77 : 'Unassigned [0xEA77]',
	0xEA78 : 'Unassigned [0xEA78]',
	0xEA79 : 'Unassigned [0xEA79]',
	0xEA7A : 'Unassigned [0xEA7A]',
	0xEA7B : 'Unassigned [0xEA7B]',
	0xEA7C : 'Unassigned [0xEA7C]',
	0xEA7D : 'Unassigned [0xEA7D]',
	0xEA7E : 'Unassigned [0xEA7E]',
	0xEA7F : 'Unassigned [0xEA7F]',
	0xEA80 : 'Unassigned [0xEA80]',
	0xEA81 : 'Unassigned [0xEA81]',
	0xEA82 : 'Unassigned [0xEA82]',
	0xEA83 : 'Unassigned [0xEA83]',
	0xEA84 : 'Unassigned [0xEA84]',
	0xEA85 : 'Unassigned [0xEA85]',
	0xEA86 : 'Unassigned [0xEA86]',
	0xEA87 : 'Unassigned [0xEA87]',
	0xEA88 : 'Unassigned [0xEA88]',
	0xEA89 : 'Unassigned [0xEA89]',
	0xEA8A : 'Unassigned [0xEA8A]',
	0xEA8B : 'Unassigned [0xEA8B]',
	0xEA8C : 'Unassigned [0xEA8C]',
	0xEA8D : 'Unassigned [0xEA8D]',
	0xEA8E : 'Unassigned [0xEA8E]',
	0xEA8F : 'Unassigned [0xEA8F]',
	0xEA90 : 'Unassigned [0xEA90]',
	0xEA91 : 'Unassigned [0xEA91]',
	0xEA92 : 'Unassigned [0xEA92]',
	0xEA93 : 'Unassigned [0xEA93]',
	0xEA94 : 'Unassigned [0xEA94]',
	0xEA95 : 'Unassigned [0xEA95]',
	0xEA96 : 'Unassigned [0xEA96]',
	0xEA97 : 'Unassigned [0xEA97]',
	0xEA98 : 'Unassigned [0xEA98]',
	0xEA99 : 'Unassigned [0xEA99]',
	0xEA9A : 'Unassigned [0xEA9A]',
	0xEA9B : 'Unassigned [0xEA9B]',
	0xEA9C : 'Unassigned [0xEA9C]',
	0xEA9D : 'Unassigned [0xEA9D]',
	0xEA9E : 'Unassigned [0xEA9E]',
	0xEA9F : 'Unassigned [0xEA9F]',
	0xEAA0 : 'Unassigned [0xEAA0]',
	0xEAA1 : 'Unassigned [0xEAA1]',
	0xEAA2 : 'Unassigned [0xEAA2]',
	0xEAA3 : 'Unassigned [0xEAA3]',
	0xEAA4 : 'Unassigned [0xEAA4]',
	0xEAA5 : 'Unassigned [0xEAA5]',
	0xEAA6 : 'Unassigned [0xEAA6]',
	0xEAA7 : 'Unassigned [0xEAA7]',
	0xEAA8 : 'Unassigned [0xEAA8]',
	0xEAA9 : 'Unassigned [0xEAA9]',
	0xEAAA : 'Unassigned [0xEAAA]',
	0xEAAB : 'Unassigned [0xEAAB]',
	0xEAAC : 'Unassigned [0xEAAC]',
	0xEAAD : 'Unassigned [0xEAAD]',
	0xEAAE : 'Unassigned [0xEAAE]',
	0xEAAF : 'Unassigned [0xEAAF]',
	0xEAB0 : 'Unassigned [0xEAB0]',
	0xEAB1 : 'Unassigned [0xEAB1]',
	0xEAB2 : 'Unassigned [0xEAB2]',
	0xEAB3 : 'Unassigned [0xEAB3]',
	0xEAB4 : 'Unassigned [0xEAB4]',
	0xEAB5 : 'Unassigned [0xEAB5]',
	0xEAB6 : 'Unassigned [0xEAB6]',
	0xEAB7 : 'Unassigned [0xEAB7]',
	0xEAB8 : 'Unassigned [0xEAB8]',
	0xEAB9 : 'Unassigned [0xEAB9]',
	0xEABA : 'Unassigned [0xEABA]',
	0xEABB : 'Unassigned [0xEABB]',
	0xEABC : 'Unassigned [0xEABC]',
	0xEABD : 'Unassigned [0xEABD]',
	0xEABE : 'Unassigned [0xEABE]',
	0xEABF : 'Unassigned [0xEABF]',
	0xEAC0 : 'Unassigned [0xEAC0]',
	0xEAC1 : 'Unassigned [0xEAC1]',
	0xEAC2 : 'Unassigned [0xEAC2]',
	0xEAC3 : 'Unassigned [0xEAC3]',
	0xEAC4 : 'Unassigned [0xEAC4]',
	0xEAC5 : 'Unassigned [0xEAC5]',
	0xEAC6 : 'Unassigned [0xEAC6]',
	0xEAC7 : 'Unassigned [0xEAC7]',
	0xEAC8 : 'Unassigned [0xEAC8]',
	0xEAC9 : 'Unassigned [0xEAC9]',
	0xEACA : 'Unassigned [0xEACA]',
	0xEACB : 'Unassigned [0xEACB]',
	0xEACC : 'Unassigned [0xEACC]',
	0xEACD : 'Unassigned [0xEACD]',
	0xEACE : 'Unassigned [0xEACE]',
	0xEACF : 'Unassigned [0xEACF]',
	0xEAD0 : 'Unassigned [0xEAD0]',
	0xEAD1 : 'Unassigned [0xEAD1]',
	0xEAD2 : 'Unassigned [0xEAD2]',
	0xEAD3 : 'Unassigned [0xEAD3]',
	0xEAD4 : 'Unassigned [0xEAD4]',
	0xEAD5 : 'Unassigned [0xEAD5]',
	0xEAD6 : 'Unassigned [0xEAD6]',
	0xEAD7 : 'Unassigned [0xEAD7]',
	0xEAD8 : 'Unassigned [0xEAD8]',
	0xEAD9 : 'Unassigned [0xEAD9]',
	0xEADA : 'Unassigned [0xEADA]',
	0xEADB : 'Unassigned [0xEADB]',
	0xEADC : 'Unassigned [0xEADC]',
	0xEADD : 'Unassigned [0xEADD]',
	0xEADE : 'Unassigned [0xEADE]',
	0xEADF : 'Unassigned [0xEADF]',
	0xEAE0 : 'Unassigned [0xEAE0]',
	0xEAE1 : 'Unassigned [0xEAE1]',
	0xEAE2 : 'Unassigned [0xEAE2]',
	0xEAE3 : 'Unassigned [0xEAE3]',
	0xEAE4 : 'Unassigned [0xEAE4]',
	0xEAE5 : 'Unassigned [0xEAE5]',
	0xEAE6 : 'Unassigned [0xEAE6]',
	0xEAE7 : 'Unassigned [0xEAE7]',
	0xEAE8 : 'Unassigned [0xEAE8]',
	0xEAE9 : 'Unassigned [0xEAE9]',
	0xEAEA : 'Unassigned [0xEAEA]',
	0xEAEB : 'Unassigned [0xEAEB]',
	0xEAEC : 'Unassigned [0xEAEC]',
	0xEAED : 'Unassigned [0xEAED]',
	0xEAEE : 'Unassigned [0xEAEE]',
	0xEAEF : 'Unassigned [0xEAEF]',
	0xEAF0 : 'Unassigned [0xEAF0]',
	0xEAF1 : 'Unassigned [0xEAF1]',
	0xEAF2 : 'Unassigned [0xEAF2]',
	0xEAF3 : 'Unassigned [0xEAF3]',
	0xEAF4 : 'Unassigned [0xEAF4]',
	0xEAF5 : 'Unassigned [0xEAF5]',
	0xEAF6 : 'Unassigned [0xEAF6]',
	0xEAF7 : 'Unassigned [0xEAF7]',
	0xEAF8 : 'Unassigned [0xEAF8]',
	0xEAF9 : 'Unassigned [0xEAF9]',
	0xEAFA : 'Unassigned [0xEAFA]',
	0xEAFB : 'Unassigned [0xEAFB]',
	0xEAFC : 'Unassigned [0xEAFC]',
	0xEAFD : 'Unassigned [0xEAFD]',
	0xEAFE : 'Unassigned [0xEAFE]',
	0xEAFF : 'Unassigned [0xEAFF]',
	0xEB00 : 'Unassigned [0xEB00]',
	0xEB01 : 'Unassigned [0xEB01]',
	0xEB02 : 'Unassigned [0xEB02]',
	0xEB03 : 'Unassigned [0xEB03]',
	0xEB04 : 'Unassigned [0xEB04]',
	0xEB05 : 'Unassigned [0xEB05]',
	0xEB06 : 'Unassigned [0xEB06]',
	0xEB07 : 'Unassigned [0xEB07]',
	0xEB08 : 'Unassigned [0xEB08]',
	0xEB09 : 'Unassigned [0xEB09]',
	0xEB0A : 'Unassigned [0xEB0A]',
	0xEB0B : 'Unassigned [0xEB0B]',
	0xEB0C : 'Unassigned [0xEB0C]',
	0xEB0D : 'Unassigned [0xEB0D]',
	0xEB0E : 'Unassigned [0xEB0E]',
	0xEB0F : 'Unassigned [0xEB0F]',
	0xEB10 : 'Unassigned [0xEB10]',
	0xEB11 : 'Unassigned [0xEB11]',
	0xEB12 : 'Unassigned [0xEB12]',
	0xEB13 : 'Unassigned [0xEB13]',
	0xEB14 : 'Unassigned [0xEB14]',
	0xEB15 : 'Unassigned [0xEB15]',
	0xEB16 : 'Unassigned [0xEB16]',
	0xEB17 : 'Unassigned [0xEB17]',
	0xEB18 : 'Unassigned [0xEB18]',
	0xEB19 : 'Unassigned [0xEB19]',
	0xEB1A : 'Unassigned [0xEB1A]',
	0xEB1B : 'Unassigned [0xEB1B]',
	0xEB1C : 'Unassigned [0xEB1C]',
	0xEB1D : 'Unassigned [0xEB1D]',
	0xEB1E : 'Unassigned [0xEB1E]',
	0xEB1F : 'Unassigned [0xEB1F]',
	0xEB20 : 'Unassigned [0xEB20]',
	0xEB21 : 'Unassigned [0xEB21]',
	0xEB22 : 'Unassigned [0xEB22]',
	0xEB23 : 'Unassigned [0xEB23]',
	0xEB24 : 'Unassigned [0xEB24]',
	0xEB25 : 'Unassigned [0xEB25]',
	0xEB26 : 'Unassigned [0xEB26]',
	0xEB27 : 'Unassigned [0xEB27]',
	0xEB28 : 'Unassigned [0xEB28]',
	0xEB29 : 'Unassigned [0xEB29]',
	0xEB2A : 'Unassigned [0xEB2A]',
	0xEB2B : 'Unassigned [0xEB2B]',
	0xEB2C : 'Unassigned [0xEB2C]',
	0xEB2D : 'Unassigned [0xEB2D]',
	0xEB2E : 'Unassigned [0xEB2E]',
	0xEB2F : 'Unassigned [0xEB2F]',
	0xEB30 : 'Unassigned [0xEB30]',
	0xEB31 : 'Unassigned [0xEB31]',
	0xEB32 : 'Unassigned [0xEB32]',
	0xEB33 : 'Unassigned [0xEB33]',
	0xEB34 : 'Unassigned [0xEB34]',
	0xEB35 : 'Unassigned [0xEB35]',
	0xEB36 : 'Unassigned [0xEB36]',
	0xEB37 : 'Unassigned [0xEB37]',
	0xEB38 : 'Unassigned [0xEB38]',
	0xEB39 : 'Unassigned [0xEB39]',
	0xEB3A : 'Unassigned [0xEB3A]',
	0xEB3B : 'Unassigned [0xEB3B]',
	0xEB3C : 'Unassigned [0xEB3C]',
	0xEB3D : 'Unassigned [0xEB3D]',
	0xEB3E : 'Unassigned [0xEB3E]',
	0xEB3F : 'Unassigned [0xEB3F]',
	0xEB40 : 'Unassigned [0xEB40]',
	0xEB41 : 'Unassigned [0xEB41]',
	0xEB42 : 'Unassigned [0xEB42]',
	0xEB43 : 'Unassigned [0xEB43]',
	0xEB44 : 'Unassigned [0xEB44]',
	0xEB45 : 'Unassigned [0xEB45]',
	0xEB46 : 'Unassigned [0xEB46]',
	0xEB47 : 'Unassigned [0xEB47]',
	0xEB48 : 'Unassigned [0xEB48]',
	0xEB49 : 'Unassigned [0xEB49]',
	0xEB4A : 'Unassigned [0xEB4A]',
	0xEB4B : 'Unassigned [0xEB4B]',
	0xEB4C : 'Unassigned [0xEB4C]',
	0xEB4D : 'Unassigned [0xEB4D]',
	0xEB4E : 'Unassigned [0xEB4E]',
	0xEB4F : 'Unassigned [0xEB4F]',
	0xEB50 : 'Unassigned [0xEB50]',
	0xEB51 : 'Unassigned [0xEB51]',
	0xEB52 : 'Unassigned [0xEB52]',
	0xEB53 : 'Unassigned [0xEB53]',
	0xEB54 : 'Unassigned [0xEB54]',
	0xEB55 : 'Unassigned [0xEB55]',
	0xEB56 : 'Unassigned [0xEB56]',
	0xEB57 : 'Unassigned [0xEB57]',
	0xEB58 : 'Unassigned [0xEB58]',
	0xEB59 : 'Unassigned [0xEB59]',
	0xEB5A : 'Unassigned [0xEB5A]',
	0xEB5B : 'Unassigned [0xEB5B]',
	0xEB5C : 'Unassigned [0xEB5C]',
	0xEB5D : 'Unassigned [0xEB5D]',
	0xEB5E : 'Unassigned [0xEB5E]',
	0xEB5F : 'Unassigned [0xEB5F]',
	0xEB60 : 'Unassigned [0xEB60]',
	0xEB61 : 'Unassigned [0xEB61]',
	0xEB62 : 'Unassigned [0xEB62]',
	0xEB63 : 'Unassigned [0xEB63]',
	0xEB64 : 'Unassigned [0xEB64]',
	0xEB65 : 'Unassigned [0xEB65]',
	0xEB66 : 'Unassigned [0xEB66]',
	0xEB67 : 'Unassigned [0xEB67]',
	0xEB68 : 'Unassigned [0xEB68]',
	0xEB69 : 'Unassigned [0xEB69]',
	0xEB6A : 'Unassigned [0xEB6A]',
	0xEB6B : 'Unassigned [0xEB6B]',
	0xEB6C : 'Unassigned [0xEB6C]',
	0xEB6D : 'Unassigned [0xEB6D]',
	0xEB6E : 'Unassigned [0xEB6E]',
	0xEB6F : 'Unassigned [0xEB6F]',
	0xEB70 : 'Unassigned [0xEB70]',
	0xEB71 : 'Unassigned [0xEB71]',
	0xEB72 : 'Unassigned [0xEB72]',
	0xEB73 : 'Unassigned [0xEB73]',
	0xEB74 : 'Unassigned [0xEB74]',
	0xEB75 : 'Unassigned [0xEB75]',
	0xEB76 : 'Unassigned [0xEB76]',
	0xEB77 : 'Unassigned [0xEB77]',
	0xEB78 : 'Unassigned [0xEB78]',
	0xEB79 : 'Unassigned [0xEB79]',
	0xEB7A : 'Unassigned [0xEB7A]',
	0xEB7B : 'Unassigned [0xEB7B]',
	0xEB7C : 'Unassigned [0xEB7C]',
	0xEB7D : 'Unassigned [0xEB7D]',
	0xEB7E : 'Unassigned [0xEB7E]',
	0xEB7F : 'Unassigned [0xEB7F]',
	0xEB80 : 'Unassigned [0xEB80]',
	0xEB81 : 'Unassigned [0xEB81]',
	0xEB82 : 'Unassigned [0xEB82]',
	0xEB83 : 'Unassigned [0xEB83]',
	0xEB84 : 'Unassigned [0xEB84]',
	0xEB85 : 'Unassigned [0xEB85]',
	0xEB86 : 'Unassigned [0xEB86]',
	0xEB87 : 'Unassigned [0xEB87]',
	0xEB88 : 'Unassigned [0xEB88]',
	0xEB89 : 'Unassigned [0xEB89]',
	0xEB8A : 'Unassigned [0xEB8A]',
	0xEB8B : 'Unassigned [0xEB8B]',
	0xEB8C : 'Unassigned [0xEB8C]',
	0xEB8D : 'Unassigned [0xEB8D]',
	0xEB8E : 'Unassigned [0xEB8E]',
	0xEB8F : 'Unassigned [0xEB8F]',
	0xEB90 : 'Unassigned [0xEB90]',
	0xEB91 : 'Unassigned [0xEB91]',
	0xEB92 : 'Unassigned [0xEB92]',
	0xEB93 : 'Unassigned [0xEB93]',
	0xEB94 : 'Unassigned [0xEB94]',
	0xEB95 : 'Unassigned [0xEB95]',
	0xEB96 : 'Unassigned [0xEB96]',
	0xEB97 : 'Unassigned [0xEB97]',
	0xEB98 : 'Unassigned [0xEB98]',
	0xEB99 : 'Unassigned [0xEB99]',
	0xEB9A : 'Unassigned [0xEB9A]',
	0xEB9B : 'Unassigned [0xEB9B]',
	0xEB9C : 'Unassigned [0xEB9C]',
	0xEB9D : 'Unassigned [0xEB9D]',
	0xEB9E : 'Unassigned [0xEB9E]',
	0xEB9F : 'Unassigned [0xEB9F]',
	0xEBA0 : 'Unassigned [0xEBA0]',
	0xEBA1 : 'Unassigned [0xEBA1]',
	0xEBA2 : 'Unassigned [0xEBA2]',
	0xEBA3 : 'Unassigned [0xEBA3]',
	0xEBA4 : 'Unassigned [0xEBA4]',
	0xEBA5 : 'Unassigned [0xEBA5]',
	0xEBA6 : 'Unassigned [0xEBA6]',
	0xEBA7 : 'Unassigned [0xEBA7]',
	0xEBA8 : 'Unassigned [0xEBA8]',
	0xEBA9 : 'Unassigned [0xEBA9]',
	0xEBAA : 'Unassigned [0xEBAA]',
	0xEBAB : 'Unassigned [0xEBAB]',
	0xEBAC : 'Unassigned [0xEBAC]',
	0xEBAD : 'Unassigned [0xEBAD]',
	0xEBAE : 'Unassigned [0xEBAE]',
	0xEBAF : 'Unassigned [0xEBAF]',
	0xEBB0 : 'Unassigned [0xEBB0]',
	0xEBB1 : 'Unassigned [0xEBB1]',
	0xEBB2 : 'Unassigned [0xEBB2]',
	0xEBB3 : 'Unassigned [0xEBB3]',
	0xEBB4 : 'Unassigned [0xEBB4]',
	0xEBB5 : 'Unassigned [0xEBB5]',
	0xEBB6 : 'Unassigned [0xEBB6]',
	0xEBB7 : 'Unassigned [0xEBB7]',
	0xEBB8 : 'Unassigned [0xEBB8]',
	0xEBB9 : 'Unassigned [0xEBB9]',
	0xEBBA : 'Unassigned [0xEBBA]',
	0xEBBB : 'Unassigned [0xEBBB]',
	0xEBBC : 'Unassigned [0xEBBC]',
	0xEBBD : 'Unassigned [0xEBBD]',
	0xEBBE : 'Unassigned [0xEBBE]',
	0xEBBF : 'Unassigned [0xEBBF]',
	0xEBC0 : 'Unassigned [0xEBC0]',
	0xEBC1 : 'Unassigned [0xEBC1]',
	0xEBC2 : 'Unassigned [0xEBC2]',
	0xEBC3 : 'Unassigned [0xEBC3]',
	0xEBC4 : 'Unassigned [0xEBC4]',
	0xEBC5 : 'Unassigned [0xEBC5]',
	0xEBC6 : 'Unassigned [0xEBC6]',
	0xEBC7 : 'Unassigned [0xEBC7]',
	0xEBC8 : 'Unassigned [0xEBC8]',
	0xEBC9 : 'Unassigned [0xEBC9]',
	0xEBCA : 'Unassigned [0xEBCA]',
	0xEBCB : 'Unassigned [0xEBCB]',
	0xEBCC : 'Unassigned [0xEBCC]',
	0xEBCD : 'Unassigned [0xEBCD]',
	0xEBCE : 'Unassigned [0xEBCE]',
	0xEBCF : 'Unassigned [0xEBCF]',
	0xEBD0 : 'Unassigned [0xEBD0]',
	0xEBD1 : 'Unassigned [0xEBD1]',
	0xEBD2 : 'Unassigned [0xEBD2]',
	0xEBD3 : 'Unassigned [0xEBD3]',
	0xEBD4 : 'Unassigned [0xEBD4]',
	0xEBD5 : 'Unassigned [0xEBD5]',
	0xEBD6 : 'Unassigned [0xEBD6]',
	0xEBD7 : 'Unassigned [0xEBD7]',
	0xEBD8 : 'Unassigned [0xEBD8]',
	0xEBD9 : 'Unassigned [0xEBD9]',
	0xEBDA : 'Unassigned [0xEBDA]',
	0xEBDB : 'Unassigned [0xEBDB]',
	0xEBDC : 'Unassigned [0xEBDC]',
	0xEBDD : 'Unassigned [0xEBDD]',
	0xEBDE : 'Unassigned [0xEBDE]',
	0xEBDF : 'Unassigned [0xEBDF]',
	0xEBE0 : 'Unassigned [0xEBE0]',
	0xEBE1 : 'Unassigned [0xEBE1]',
	0xEBE2 : 'Unassigned [0xEBE2]',
	0xEBE3 : 'Unassigned [0xEBE3]',
	0xEBE4 : 'Unassigned [0xEBE4]',
	0xEBE5 : 'Unassigned [0xEBE5]',
	0xEBE6 : 'Unassigned [0xEBE6]',
	0xEBE7 : 'Unassigned [0xEBE7]',
	0xEBE8 : 'Unassigned [0xEBE8]',
	0xEBE9 : 'Unassigned [0xEBE9]',
	0xEBEA : 'Unassigned [0xEBEA]',
	0xEBEB : 'Unassigned [0xEBEB]',
	0xEBEC : 'Unassigned [0xEBEC]',
	0xEBED : 'Unassigned [0xEBED]',
	0xEBEE : 'Unassigned [0xEBEE]',
	0xEBEF : 'Unassigned [0xEBEF]',
	0xEBF0 : 'Unassigned [0xEBF0]',
	0xEBF1 : 'Unassigned [0xEBF1]',
	0xEBF2 : 'Unassigned [0xEBF2]',
	0xEBF3 : 'Unassigned [0xEBF3]',
	0xEBF4 : 'Unassigned [0xEBF4]',
	0xEBF5 : 'Unassigned [0xEBF5]',
	0xEBF6 : 'Unassigned [0xEBF6]',
	0xEBF7 : 'Unassigned [0xEBF7]',
	0xEBF8 : 'Unassigned [0xEBF8]',
	0xEBF9 : 'Unassigned [0xEBF9]',
	0xEBFA : 'Unassigned [0xEBFA]',
	0xEBFB : 'Unassigned [0xEBFB]',
	0xEBFC : 'Unassigned [0xEBFC]',
	0xEBFD : 'Unassigned [0xEBFD]',
	0xEBFE : 'Unassigned [0xEBFE]',
	0xEBFF : 'Unassigned [0xEBFF]',
	0xEC00 : 'Unassigned [0xEC00]',
	0xEC01 : 'Unassigned [0xEC01]',
	0xEC02 : 'Unassigned [0xEC02]',
	0xEC03 : 'Unassigned [0xEC03]',
	0xEC04 : 'Unassigned [0xEC04]',
	0xEC05 : 'Unassigned [0xEC05]',
	0xEC06 : 'Unassigned [0xEC06]',
	0xEC07 : 'Unassigned [0xEC07]',
	0xEC08 : 'Unassigned [0xEC08]',
	0xEC09 : 'Unassigned [0xEC09]',
	0xEC0A : 'Unassigned [0xEC0A]',
	0xEC0B : 'Unassigned [0xEC0B]',
	0xEC0C : 'Unassigned [0xEC0C]',
	0xEC0D : 'Unassigned [0xEC0D]',
	0xEC0E : 'Unassigned [0xEC0E]',
	0xEC0F : 'Unassigned [0xEC0F]',
	0xEC10 : 'Unassigned [0xEC10]',
	0xEC11 : 'Unassigned [0xEC11]',
	0xEC12 : 'Unassigned [0xEC12]',
	0xEC13 : 'Unassigned [0xEC13]',
	0xEC14 : 'Unassigned [0xEC14]',
	0xEC15 : 'Unassigned [0xEC15]',
	0xEC16 : 'Unassigned [0xEC16]',
	0xEC17 : 'Unassigned [0xEC17]',
	0xEC18 : 'Unassigned [0xEC18]',
	0xEC19 : 'Unassigned [0xEC19]',
	0xEC1A : 'Unassigned [0xEC1A]',
	0xEC1B : 'Unassigned [0xEC1B]',
	0xEC1C : 'Unassigned [0xEC1C]',
	0xEC1D : 'Unassigned [0xEC1D]',
	0xEC1E : 'Unassigned [0xEC1E]',
	0xEC1F : 'Unassigned [0xEC1F]',
	0xEC20 : 'Unassigned [0xEC20]',
	0xEC21 : 'Unassigned [0xEC21]',
	0xEC22 : 'Unassigned [0xEC22]',
	0xEC23 : 'Unassigned [0xEC23]',
	0xEC24 : 'Unassigned [0xEC24]',
	0xEC25 : 'Unassigned [0xEC25]',
	0xEC26 : 'Unassigned [0xEC26]',
	0xEC27 : 'Unassigned [0xEC27]',
	0xEC28 : 'Unassigned [0xEC28]',
	0xEC29 : 'Unassigned [0xEC29]',
	0xEC2A : 'Unassigned [0xEC2A]',
	0xEC2B : 'Unassigned [0xEC2B]',
	0xEC2C : 'Unassigned [0xEC2C]',
	0xEC2D : 'Unassigned [0xEC2D]',
	0xEC2E : 'Unassigned [0xEC2E]',
	0xEC2F : 'Unassigned [0xEC2F]',
	0xEC30 : 'Unassigned [0xEC30]',
	0xEC31 : 'Unassigned [0xEC31]',
	0xEC32 : 'Unassigned [0xEC32]',
	0xEC33 : 'Unassigned [0xEC33]',
	0xEC34 : 'Unassigned [0xEC34]',
	0xEC35 : 'Unassigned [0xEC35]',
	0xEC36 : 'Unassigned [0xEC36]',
	0xEC37 : 'Unassigned [0xEC37]',
	0xEC38 : 'Unassigned [0xEC38]',
	0xEC39 : 'Unassigned [0xEC39]',
	0xEC3A : 'Unassigned [0xEC3A]',
	0xEC3B : 'Unassigned [0xEC3B]',
	0xEC3C : 'Unassigned [0xEC3C]',
	0xEC3D : 'Unassigned [0xEC3D]',
	0xEC3E : 'Unassigned [0xEC3E]',
	0xEC3F : 'Unassigned [0xEC3F]',
	0xEC40 : 'Unassigned [0xEC40]',
	0xEC41 : 'Unassigned [0xEC41]',
	0xEC42 : 'Unassigned [0xEC42]',
	0xEC43 : 'Unassigned [0xEC43]',
	0xEC44 : 'Unassigned [0xEC44]',
	0xEC45 : 'Unassigned [0xEC45]',
	0xEC46 : 'Unassigned [0xEC46]',
	0xEC47 : 'Unassigned [0xEC47]',
	0xEC48 : 'Unassigned [0xEC48]',
	0xEC49 : 'Unassigned [0xEC49]',
	0xEC4A : 'Unassigned [0xEC4A]',
	0xEC4B : 'Unassigned [0xEC4B]',
	0xEC4C : 'Unassigned [0xEC4C]',
	0xEC4D : 'Unassigned [0xEC4D]',
	0xEC4E : 'Unassigned [0xEC4E]',
	0xEC4F : 'Unassigned [0xEC4F]',
	0xEC50 : 'Unassigned [0xEC50]',
	0xEC51 : 'Unassigned [0xEC51]',
	0xEC52 : 'Unassigned [0xEC52]',
	0xEC53 : 'Unassigned [0xEC53]',
	0xEC54 : 'Unassigned [0xEC54]',
	0xEC55 : 'Unassigned [0xEC55]',
	0xEC56 : 'Unassigned [0xEC56]',
	0xEC57 : 'Unassigned [0xEC57]',
	0xEC58 : 'Unassigned [0xEC58]',
	0xEC59 : 'Unassigned [0xEC59]',
	0xEC5A : 'Unassigned [0xEC5A]',
	0xEC5B : 'Unassigned [0xEC5B]',
	0xEC5C : 'Unassigned [0xEC5C]',
	0xEC5D : 'Unassigned [0xEC5D]',
	0xEC5E : 'Unassigned [0xEC5E]',
	0xEC5F : 'Unassigned [0xEC5F]',
	0xEC60 : 'Unassigned [0xEC60]',
	0xEC61 : 'Unassigned [0xEC61]',
	0xEC62 : 'Unassigned [0xEC62]',
	0xEC63 : 'Unassigned [0xEC63]',
	0xEC64 : 'Unassigned [0xEC64]',
	0xEC65 : 'Unassigned [0xEC65]',
	0xEC66 : 'Unassigned [0xEC66]',
	0xEC67 : 'Unassigned [0xEC67]',
	0xEC68 : 'Unassigned [0xEC68]',
	0xEC69 : 'Unassigned [0xEC69]',
	0xEC6A : 'Unassigned [0xEC6A]',
	0xEC6B : 'Unassigned [0xEC6B]',
	0xEC6C : 'Unassigned [0xEC6C]',
	0xEC6D : 'Unassigned [0xEC6D]',
	0xEC6E : 'Unassigned [0xEC6E]',
	0xEC6F : 'Unassigned [0xEC6F]',
	0xEC70 : 'Unassigned [0xEC70]',
	0xEC71 : 'Unassigned [0xEC71]',
	0xEC72 : 'Unassigned [0xEC72]',
	0xEC73 : 'Unassigned [0xEC73]',
	0xEC74 : 'Unassigned [0xEC74]',
	0xEC75 : 'Unassigned [0xEC75]',
	0xEC76 : 'Unassigned [0xEC76]',
	0xEC77 : 'Unassigned [0xEC77]',
	0xEC78 : 'Unassigned [0xEC78]',
	0xEC79 : 'Unassigned [0xEC79]',
	0xEC7A : 'Unassigned [0xEC7A]',
	0xEC7B : 'Unassigned [0xEC7B]',
	0xEC7C : 'Unassigned [0xEC7C]',
	0xEC7D : 'Unassigned [0xEC7D]',
	0xEC7E : 'Unassigned [0xEC7E]',
	0xEC7F : 'Unassigned [0xEC7F]',
	0xEC80 : 'Unassigned [0xEC80]',
	0xEC81 : 'Unassigned [0xEC81]',
	0xEC82 : 'Unassigned [0xEC82]',
	0xEC83 : 'Unassigned [0xEC83]',
	0xEC84 : 'Unassigned [0xEC84]',
	0xEC85 : 'Unassigned [0xEC85]',
	0xEC86 : 'Unassigned [0xEC86]',
	0xEC87 : 'Unassigned [0xEC87]',
	0xEC88 : 'Unassigned [0xEC88]',
	0xEC89 : 'Unassigned [0xEC89]',
	0xEC8A : 'Unassigned [0xEC8A]',
	0xEC8B : 'Unassigned [0xEC8B]',
	0xEC8C : 'Unassigned [0xEC8C]',
	0xEC8D : 'Unassigned [0xEC8D]',
	0xEC8E : 'Unassigned [0xEC8E]',
	0xEC8F : 'Unassigned [0xEC8F]',
	0xEC90 : 'Unassigned [0xEC90]',
	0xEC91 : 'Unassigned [0xEC91]',
	0xEC92 : 'Unassigned [0xEC92]',
	0xEC93 : 'Unassigned [0xEC93]',
	0xEC94 : 'Unassigned [0xEC94]',
	0xEC95 : 'Unassigned [0xEC95]',
	0xEC96 : 'Unassigned [0xEC96]',
	0xEC97 : 'Unassigned [0xEC97]',
	0xEC98 : 'Unassigned [0xEC98]',
	0xEC99 : 'Unassigned [0xEC99]',
	0xEC9A : 'Unassigned [0xEC9A]',
	0xEC9B : 'Unassigned [0xEC9B]',
	0xEC9C : 'Unassigned [0xEC9C]',
	0xEC9D : 'Unassigned [0xEC9D]',
	0xEC9E : 'Unassigned [0xEC9E]',
	0xEC9F : 'Unassigned [0xEC9F]',
	0xECA0 : 'Unassigned [0xECA0]',
	0xECA1 : 'Unassigned [0xECA1]',
	0xECA2 : 'Unassigned [0xECA2]',
	0xECA3 : 'Unassigned [0xECA3]',
	0xECA4 : 'Unassigned [0xECA4]',
	0xECA5 : 'Unassigned [0xECA5]',
	0xECA6 : 'Unassigned [0xECA6]',
	0xECA7 : 'Unassigned [0xECA7]',
	0xECA8 : 'Unassigned [0xECA8]',
	0xECA9 : 'Unassigned [0xECA9]',
	0xECAA : 'Unassigned [0xECAA]',
	0xECAB : 'Unassigned [0xECAB]',
	0xECAC : 'Unassigned [0xECAC]',
	0xECAD : 'Unassigned [0xECAD]',
	0xECAE : 'Unassigned [0xECAE]',
	0xECAF : 'Unassigned [0xECAF]',
	0xECB0 : 'Unassigned [0xECB0]',
	0xECB1 : 'Unassigned [0xECB1]',
	0xECB2 : 'Unassigned [0xECB2]',
	0xECB3 : 'Unassigned [0xECB3]',
	0xECB4 : 'Unassigned [0xECB4]',
	0xECB5 : 'Unassigned [0xECB5]',
	0xECB6 : 'Unassigned [0xECB6]',
	0xECB7 : 'Unassigned [0xECB7]',
	0xECB8 : 'Unassigned [0xECB8]',
	0xECB9 : 'Unassigned [0xECB9]',
	0xECBA : 'Unassigned [0xECBA]',
	0xECBB : 'Unassigned [0xECBB]',
	0xECBC : 'Unassigned [0xECBC]',
	0xECBD : 'Unassigned [0xECBD]',
	0xECBE : 'Unassigned [0xECBE]',
	0xECBF : 'Unassigned [0xECBF]',
	0xECC0 : 'Unassigned [0xECC0]',
	0xECC1 : 'Unassigned [0xECC1]',
	0xECC2 : 'Unassigned [0xECC2]',
	0xECC3 : 'Unassigned [0xECC3]',
	0xECC4 : 'Unassigned [0xECC4]',
	0xECC5 : 'Unassigned [0xECC5]',
	0xECC6 : 'Unassigned [0xECC6]',
	0xECC7 : 'Unassigned [0xECC7]',
	0xECC8 : 'Unassigned [0xECC8]',
	0xECC9 : 'Unassigned [0xECC9]',
	0xECCA : 'Unassigned [0xECCA]',
	0xECCB : 'Unassigned [0xECCB]',
	0xECCC : 'Unassigned [0xECCC]',
	0xECCD : 'Unassigned [0xECCD]',
	0xECCE : 'Unassigned [0xECCE]',
	0xECCF : 'Unassigned [0xECCF]',
	0xECD0 : 'Unassigned [0xECD0]',
	0xECD1 : 'Unassigned [0xECD1]',
	0xECD2 : 'Unassigned [0xECD2]',
	0xECD3 : 'Unassigned [0xECD3]',
	0xECD4 : 'Unassigned [0xECD4]',
	0xECD5 : 'Unassigned [0xECD5]',
	0xECD6 : 'Unassigned [0xECD6]',
	0xECD7 : 'Unassigned [0xECD7]',
	0xECD8 : 'Unassigned [0xECD8]',
	0xECD9 : 'Unassigned [0xECD9]',
	0xECDA : 'Unassigned [0xECDA]',
	0xECDB : 'Unassigned [0xECDB]',
	0xECDC : 'Unassigned [0xECDC]',
	0xECDD : 'Unassigned [0xECDD]',
	0xECDE : 'Unassigned [0xECDE]',
	0xECDF : 'Unassigned [0xECDF]',
	0xECE0 : 'Unassigned [0xECE0]',
	0xECE1 : 'Unassigned [0xECE1]',
	0xECE2 : 'Unassigned [0xECE2]',
	0xECE3 : 'Unassigned [0xECE3]',
	0xECE4 : 'Unassigned [0xECE4]',
	0xECE5 : 'Unassigned [0xECE5]',
	0xECE6 : 'Unassigned [0xECE6]',
	0xECE7 : 'Unassigned [0xECE7]',
	0xECE8 : 'Unassigned [0xECE8]',
	0xECE9 : 'Unassigned [0xECE9]',
	0xECEA : 'Unassigned [0xECEA]',
	0xECEB : 'Unassigned [0xECEB]',
	0xECEC : 'Unassigned [0xECEC]',
	0xECED : 'Unassigned [0xECED]',
	0xECEE : 'Unassigned [0xECEE]',
	0xECEF : 'Unassigned [0xECEF]',
	0xECF0 : 'Unassigned [0xECF0]',
	0xECF1 : 'Unassigned [0xECF1]',
	0xECF2 : 'Unassigned [0xECF2]',
	0xECF3 : 'Unassigned [0xECF3]',
	0xECF4 : 'Unassigned [0xECF4]',
	0xECF5 : 'Unassigned [0xECF5]',
	0xECF6 : 'Unassigned [0xECF6]',
	0xECF7 : 'Unassigned [0xECF7]',
	0xECF8 : 'Unassigned [0xECF8]',
	0xECF9 : 'Unassigned [0xECF9]',
	0xECFA : 'Unassigned [0xECFA]',
	0xECFB : 'Unassigned [0xECFB]',
	0xECFC : 'Unassigned [0xECFC]',
	0xECFD : 'Unassigned [0xECFD]',
	0xECFE : 'Unassigned [0xECFE]',
	0xECFF : 'Unassigned [0xECFF]',
	0xED00 : 'Unassigned [0xED00]',
	0xED01 : 'Unassigned [0xED01]',
	0xED02 : 'Unassigned [0xED02]',
	0xED03 : 'Unassigned [0xED03]',
	0xED04 : 'Unassigned [0xED04]',
	0xED05 : 'Unassigned [0xED05]',
	0xED06 : 'Unassigned [0xED06]',
	0xED07 : 'Unassigned [0xED07]',
	0xED08 : 'Unassigned [0xED08]',
	0xED09 : 'Unassigned [0xED09]',
	0xED0A : 'Unassigned [0xED0A]',
	0xED0B : 'Unassigned [0xED0B]',
	0xED0C : 'Unassigned [0xED0C]',
	0xED0D : 'Unassigned [0xED0D]',
	0xED0E : 'Unassigned [0xED0E]',
	0xED0F : 'Unassigned [0xED0F]',
	0xED10 : 'Unassigned [0xED10]',
	0xED11 : 'Unassigned [0xED11]',
	0xED12 : 'Unassigned [0xED12]',
	0xED13 : 'Unassigned [0xED13]',
	0xED14 : 'Unassigned [0xED14]',
	0xED15 : 'Unassigned [0xED15]',
	0xED16 : 'Unassigned [0xED16]',
	0xED17 : 'Unassigned [0xED17]',
	0xED18 : 'Unassigned [0xED18]',
	0xED19 : 'Unassigned [0xED19]',
	0xED1A : 'Unassigned [0xED1A]',
	0xED1B : 'Unassigned [0xED1B]',
	0xED1C : 'Unassigned [0xED1C]',
	0xED1D : 'Unassigned [0xED1D]',
	0xED1E : 'Unassigned [0xED1E]',
	0xED1F : 'Unassigned [0xED1F]',
	0xED20 : 'Unassigned [0xED20]',
	0xED21 : 'Unassigned [0xED21]',
	0xED22 : 'Unassigned [0xED22]',
	0xED23 : 'Unassigned [0xED23]',
	0xED24 : 'Unassigned [0xED24]',
	0xED25 : 'Unassigned [0xED25]',
	0xED26 : 'Unassigned [0xED26]',
	0xED27 : 'Unassigned [0xED27]',
	0xED28 : 'Unassigned [0xED28]',
	0xED29 : 'Unassigned [0xED29]',
	0xED2A : 'Unassigned [0xED2A]',
	0xED2B : 'Unassigned [0xED2B]',
	0xED2C : 'Unassigned [0xED2C]',
	0xED2D : 'Unassigned [0xED2D]',
	0xED2E : 'Unassigned [0xED2E]',
	0xED2F : 'Unassigned [0xED2F]',
	0xED30 : 'Unassigned [0xED30]',
	0xED31 : 'Unassigned [0xED31]',
	0xED32 : 'Unassigned [0xED32]',
	0xED33 : 'Unassigned [0xED33]',
	0xED34 : 'Unassigned [0xED34]',
	0xED35 : 'Unassigned [0xED35]',
	0xED36 : 'Unassigned [0xED36]',
	0xED37 : 'Unassigned [0xED37]',
	0xED38 : 'Unassigned [0xED38]',
	0xED39 : 'Unassigned [0xED39]',
	0xED3A : 'Unassigned [0xED3A]',
	0xED3B : 'Unassigned [0xED3B]',
	0xED3C : 'Unassigned [0xED3C]',
	0xED3D : 'Unassigned [0xED3D]',
	0xED3E : 'Unassigned [0xED3E]',
	0xED3F : 'Unassigned [0xED3F]',
	0xED40 : 'Unassigned [0xED40]',
	0xED41 : 'Unassigned [0xED41]',
	0xED42 : 'Unassigned [0xED42]',
	0xED43 : 'Unassigned [0xED43]',
	0xED44 : 'Unassigned [0xED44]',
	0xED45 : 'Unassigned [0xED45]',
	0xED46 : 'Unassigned [0xED46]',
	0xED47 : 'Unassigned [0xED47]',
	0xED48 : 'Unassigned [0xED48]',
	0xED49 : 'Unassigned [0xED49]',
	0xED4A : 'Unassigned [0xED4A]',
	0xED4B : 'Unassigned [0xED4B]',
	0xED4C : 'Unassigned [0xED4C]',
	0xED4D : 'Unassigned [0xED4D]',
	0xED4E : 'Unassigned [0xED4E]',
	0xED4F : 'Unassigned [0xED4F]',
	0xED50 : 'Unassigned [0xED50]',
	0xED51 : 'Unassigned [0xED51]',
	0xED52 : 'Unassigned [0xED52]',
	0xED53 : 'Unassigned [0xED53]',
	0xED54 : 'Unassigned [0xED54]',
	0xED55 : 'Unassigned [0xED55]',
	0xED56 : 'Unassigned [0xED56]',
	0xED57 : 'Unassigned [0xED57]',
	0xED58 : 'Unassigned [0xED58]',
	0xED59 : 'Unassigned [0xED59]',
	0xED5A : 'Unassigned [0xED5A]',
	0xED5B : 'Unassigned [0xED5B]',
	0xED5C : 'Unassigned [0xED5C]',
	0xED5D : 'Unassigned [0xED5D]',
	0xED5E : 'Unassigned [0xED5E]',
	0xED5F : 'Unassigned [0xED5F]',
	0xED60 : 'Unassigned [0xED60]',
	0xED61 : 'Unassigned [0xED61]',
	0xED62 : 'Unassigned [0xED62]',
	0xED63 : 'Unassigned [0xED63]',
	0xED64 : 'Unassigned [0xED64]',
	0xED65 : 'Unassigned [0xED65]',
	0xED66 : 'Unassigned [0xED66]',
	0xED67 : 'Unassigned [0xED67]',
	0xED68 : 'Unassigned [0xED68]',
	0xED69 : 'Unassigned [0xED69]',
	0xED6A : 'Unassigned [0xED6A]',
	0xED6B : 'Unassigned [0xED6B]',
	0xED6C : 'Unassigned [0xED6C]',
	0xED6D : 'Unassigned [0xED6D]',
	0xED6E : 'Unassigned [0xED6E]',
	0xED6F : 'Unassigned [0xED6F]',
	0xED70 : 'Unassigned [0xED70]',
	0xED71 : 'Unassigned [0xED71]',
	0xED72 : 'Unassigned [0xED72]',
	0xED73 : 'Unassigned [0xED73]',
	0xED74 : 'Unassigned [0xED74]',
	0xED75 : 'Unassigned [0xED75]',
	0xED76 : 'Unassigned [0xED76]',
	0xED77 : 'Unassigned [0xED77]',
	0xED78 : 'Unassigned [0xED78]',
	0xED79 : 'Unassigned [0xED79]',
	0xED7A : 'Unassigned [0xED7A]',
	0xED7B : 'Unassigned [0xED7B]',
	0xED7C : 'Unassigned [0xED7C]',
	0xED7D : 'Unassigned [0xED7D]',
	0xED7E : 'Unassigned [0xED7E]',
	0xED7F : 'Unassigned [0xED7F]',
	0xED80 : 'Unassigned [0xED80]',
	0xED81 : 'Unassigned [0xED81]',
	0xED82 : 'Unassigned [0xED82]',
	0xED83 : 'Unassigned [0xED83]',
	0xED84 : 'Unassigned [0xED84]',
	0xED85 : 'Unassigned [0xED85]',
	0xED86 : 'Unassigned [0xED86]',
	0xED87 : 'Unassigned [0xED87]',
	0xED88 : 'Unassigned [0xED88]',
	0xED89 : 'Unassigned [0xED89]',
	0xED8A : 'Unassigned [0xED8A]',
	0xED8B : 'Unassigned [0xED8B]',
	0xED8C : 'Unassigned [0xED8C]',
	0xED8D : 'Unassigned [0xED8D]',
	0xED8E : 'Unassigned [0xED8E]',
	0xED8F : 'Unassigned [0xED8F]',
	0xED90 : 'Unassigned [0xED90]',
	0xED91 : 'Unassigned [0xED91]',
	0xED92 : 'Unassigned [0xED92]',
	0xED93 : 'Unassigned [0xED93]',
	0xED94 : 'Unassigned [0xED94]',
	0xED95 : 'Unassigned [0xED95]',
	0xED96 : 'Unassigned [0xED96]',
	0xED97 : 'Unassigned [0xED97]',
	0xED98 : 'Unassigned [0xED98]',
	0xED99 : 'Unassigned [0xED99]',
	0xED9A : 'Unassigned [0xED9A]',
	0xED9B : 'Unassigned [0xED9B]',
	0xED9C : 'Unassigned [0xED9C]',
	0xED9D : 'Unassigned [0xED9D]',
	0xED9E : 'Unassigned [0xED9E]',
	0xED9F : 'Unassigned [0xED9F]',
	0xEDA0 : 'Unassigned [0xEDA0]',
	0xEDA1 : 'Unassigned [0xEDA1]',
	0xEDA2 : 'Unassigned [0xEDA2]',
	0xEDA3 : 'Unassigned [0xEDA3]',
	0xEDA4 : 'Unassigned [0xEDA4]',
	0xEDA5 : 'Unassigned [0xEDA5]',
	0xEDA6 : 'Unassigned [0xEDA6]',
	0xEDA7 : 'Unassigned [0xEDA7]',
	0xEDA8 : 'Unassigned [0xEDA8]',
	0xEDA9 : 'Unassigned [0xEDA9]',
	0xEDAA : 'Unassigned [0xEDAA]',
	0xEDAB : 'Unassigned [0xEDAB]',
	0xEDAC : 'Unassigned [0xEDAC]',
	0xEDAD : 'Unassigned [0xEDAD]',
	0xEDAE : 'Unassigned [0xEDAE]',
	0xEDAF : 'Unassigned [0xEDAF]',
	0xEDB0 : 'Unassigned [0xEDB0]',
	0xEDB1 : 'Unassigned [0xEDB1]',
	0xEDB2 : 'Unassigned [0xEDB2]',
	0xEDB3 : 'Unassigned [0xEDB3]',
	0xEDB4 : 'Unassigned [0xEDB4]',
	0xEDB5 : 'Unassigned [0xEDB5]',
	0xEDB6 : 'Unassigned [0xEDB6]',
	0xEDB7 : 'Unassigned [0xEDB7]',
	0xEDB8 : 'Unassigned [0xEDB8]',
	0xEDB9 : 'Unassigned [0xEDB9]',
	0xEDBA : 'Unassigned [0xEDBA]',
	0xEDBB : 'Unassigned [0xEDBB]',
	0xEDBC : 'Unassigned [0xEDBC]',
	0xEDBD : 'Unassigned [0xEDBD]',
	0xEDBE : 'Unassigned [0xEDBE]',
	0xEDBF : 'Unassigned [0xEDBF]',
	0xEDC0 : 'Unassigned [0xEDC0]',
	0xEDC1 : 'Unassigned [0xEDC1]',
	0xEDC2 : 'Unassigned [0xEDC2]',
	0xEDC3 : 'Unassigned [0xEDC3]',
	0xEDC4 : 'Unassigned [0xEDC4]',
	0xEDC5 : 'Unassigned [0xEDC5]',
	0xEDC6 : 'Unassigned [0xEDC6]',
	0xEDC7 : 'Unassigned [0xEDC7]',
	0xEDC8 : 'Unassigned [0xEDC8]',
	0xEDC9 : 'Unassigned [0xEDC9]',
	0xEDCA : 'Unassigned [0xEDCA]',
	0xEDCB : 'Unassigned [0xEDCB]',
	0xEDCC : 'Unassigned [0xEDCC]',
	0xEDCD : 'Unassigned [0xEDCD]',
	0xEDCE : 'Unassigned [0xEDCE]',
	0xEDCF : 'Unassigned [0xEDCF]',
	0xEDD0 : 'Unassigned [0xEDD0]',
	0xEDD1 : 'Unassigned [0xEDD1]',
	0xEDD2 : 'Unassigned [0xEDD2]',
	0xEDD3 : 'Unassigned [0xEDD3]',
	0xEDD4 : 'Unassigned [0xEDD4]',
	0xEDD5 : 'Unassigned [0xEDD5]',
	0xEDD6 : 'Unassigned [0xEDD6]',
	0xEDD7 : 'Unassigned [0xEDD7]',
	0xEDD8 : 'Unassigned [0xEDD8]',
	0xEDD9 : 'Unassigned [0xEDD9]',
	0xEDDA : 'Unassigned [0xEDDA]',
	0xEDDB : 'Unassigned [0xEDDB]',
	0xEDDC : 'Unassigned [0xEDDC]',
	0xEDDD : 'Unassigned [0xEDDD]',
	0xEDDE : 'Unassigned [0xEDDE]',
	0xEDDF : 'Unassigned [0xEDDF]',
	0xEDE0 : 'Unassigned [0xEDE0]',
	0xEDE1 : 'Unassigned [0xEDE1]',
	0xEDE2 : 'Unassigned [0xEDE2]',
	0xEDE3 : 'Unassigned [0xEDE3]',
	0xEDE4 : 'Unassigned [0xEDE4]',
	0xEDE5 : 'Unassigned [0xEDE5]',
	0xEDE6 : 'Unassigned [0xEDE6]',
	0xEDE7 : 'Unassigned [0xEDE7]',
	0xEDE8 : 'Unassigned [0xEDE8]',
	0xEDE9 : 'Unassigned [0xEDE9]',
	0xEDEA : 'Unassigned [0xEDEA]',
	0xEDEB : 'Unassigned [0xEDEB]',
	0xEDEC : 'Unassigned [0xEDEC]',
	0xEDED : 'Unassigned [0xEDED]',
	0xEDEE : 'Unassigned [0xEDEE]',
	0xEDEF : 'Unassigned [0xEDEF]',
	0xEDF0 : 'Unassigned [0xEDF0]',
	0xEDF1 : 'Unassigned [0xEDF1]',
	0xEDF2 : 'Unassigned [0xEDF2]',
	0xEDF3 : 'Unassigned [0xEDF3]',
	0xEDF4 : 'Unassigned [0xEDF4]',
	0xEDF5 : 'Unassigned [0xEDF5]',
	0xEDF6 : 'Unassigned [0xEDF6]',
	0xEDF7 : 'Unassigned [0xEDF7]',
	0xEDF8 : 'Unassigned [0xEDF8]',
	0xEDF9 : 'Unassigned [0xEDF9]',
	0xEDFA : 'Unassigned [0xEDFA]',
	0xEDFB : 'Unassigned [0xEDFB]',
	0xEDFC : 'Unassigned [0xEDFC]',
	0xEDFD : 'Unassigned [0xEDFD]',
	0xEDFE : 'Unassigned [0xEDFE]',
	0xEDFF : 'Unassigned [0xEDFF]',
	0xEE00 : 'Unassigned [0xEE00]',
	0xEE01 : 'Unassigned [0xEE01]',
	0xEE02 : 'Unassigned [0xEE02]',
	0xEE03 : 'Unassigned [0xEE03]',
	0xEE04 : 'Unassigned [0xEE04]',
	0xEE05 : 'Unassigned [0xEE05]',
	0xEE06 : 'Unassigned [0xEE06]',
	0xEE07 : 'Unassigned [0xEE07]',
	0xEE08 : 'Unassigned [0xEE08]',
	0xEE09 : 'Unassigned [0xEE09]',
	0xEE0A : 'Unassigned [0xEE0A]',
	0xEE0B : 'Unassigned [0xEE0B]',
	0xEE0C : 'Unassigned [0xEE0C]',
	0xEE0D : 'Unassigned [0xEE0D]',
	0xEE0E : 'Unassigned [0xEE0E]',
	0xEE0F : 'Unassigned [0xEE0F]',
	0xEE10 : 'Unassigned [0xEE10]',
	0xEE11 : 'Unassigned [0xEE11]',
	0xEE12 : 'Unassigned [0xEE12]',
	0xEE13 : 'Unassigned [0xEE13]',
	0xEE14 : 'Unassigned [0xEE14]',
	0xEE15 : 'Unassigned [0xEE15]',
	0xEE16 : 'Unassigned [0xEE16]',
	0xEE17 : 'Unassigned [0xEE17]',
	0xEE18 : 'Unassigned [0xEE18]',
	0xEE19 : 'Unassigned [0xEE19]',
	0xEE1A : 'Unassigned [0xEE1A]',
	0xEE1B : 'Unassigned [0xEE1B]',
	0xEE1C : 'Unassigned [0xEE1C]',
	0xEE1D : 'Unassigned [0xEE1D]',
	0xEE1E : 'Unassigned [0xEE1E]',
	0xEE1F : 'Unassigned [0xEE1F]',
	0xEE20 : 'Unassigned [0xEE20]',
	0xEE21 : 'Unassigned [0xEE21]',
	0xEE22 : 'Unassigned [0xEE22]',
	0xEE23 : 'Unassigned [0xEE23]',
	0xEE24 : 'Unassigned [0xEE24]',
	0xEE25 : 'Unassigned [0xEE25]',
	0xEE26 : 'Unassigned [0xEE26]',
	0xEE27 : 'Unassigned [0xEE27]',
	0xEE28 : 'Unassigned [0xEE28]',
	0xEE29 : 'Unassigned [0xEE29]',
	0xEE2A : 'Unassigned [0xEE2A]',
	0xEE2B : 'Unassigned [0xEE2B]',
	0xEE2C : 'Unassigned [0xEE2C]',
	0xEE2D : 'Unassigned [0xEE2D]',
	0xEE2E : 'Unassigned [0xEE2E]',
	0xEE2F : 'Unassigned [0xEE2F]',
	0xEE30 : 'Unassigned [0xEE30]',
	0xEE31 : 'Unassigned [0xEE31]',
	0xEE32 : 'Unassigned [0xEE32]',
	0xEE33 : 'Unassigned [0xEE33]',
	0xEE34 : 'Unassigned [0xEE34]',
	0xEE35 : 'Unassigned [0xEE35]',
	0xEE36 : 'Unassigned [0xEE36]',
	0xEE37 : 'Unassigned [0xEE37]',
	0xEE38 : 'Unassigned [0xEE38]',
	0xEE39 : 'Unassigned [0xEE39]',
	0xEE3A : 'Unassigned [0xEE3A]',
	0xEE3B : 'Unassigned [0xEE3B]',
	0xEE3C : 'Unassigned [0xEE3C]',
	0xEE3D : 'Unassigned [0xEE3D]',
	0xEE3E : 'Unassigned [0xEE3E]',
	0xEE3F : 'Unassigned [0xEE3F]',
	0xEE40 : 'Unassigned [0xEE40]',
	0xEE41 : 'Unassigned [0xEE41]',
	0xEE42 : 'Unassigned [0xEE42]',
	0xEE43 : 'Unassigned [0xEE43]',
	0xEE44 : 'Unassigned [0xEE44]',
	0xEE45 : 'Unassigned [0xEE45]',
	0xEE46 : 'Unassigned [0xEE46]',
	0xEE47 : 'Unassigned [0xEE47]',
	0xEE48 : 'Unassigned [0xEE48]',
	0xEE49 : 'Unassigned [0xEE49]',
	0xEE4A : 'Unassigned [0xEE4A]',
	0xEE4B : 'Unassigned [0xEE4B]',
	0xEE4C : 'Unassigned [0xEE4C]',
	0xEE4D : 'Unassigned [0xEE4D]',
	0xEE4E : 'Unassigned [0xEE4E]',
	0xEE4F : 'Unassigned [0xEE4F]',
	0xEE50 : 'Unassigned [0xEE50]',
	0xEE51 : 'Unassigned [0xEE51]',
	0xEE52 : 'Unassigned [0xEE52]',
	0xEE53 : 'Unassigned [0xEE53]',
	0xEE54 : 'Unassigned [0xEE54]',
	0xEE55 : 'Unassigned [0xEE55]',
	0xEE56 : 'Unassigned [0xEE56]',
	0xEE57 : 'Unassigned [0xEE57]',
	0xEE58 : 'Unassigned [0xEE58]',
	0xEE59 : 'Unassigned [0xEE59]',
	0xEE5A : 'Unassigned [0xEE5A]',
	0xEE5B : 'Unassigned [0xEE5B]',
	0xEE5C : 'Unassigned [0xEE5C]',
	0xEE5D : 'Unassigned [0xEE5D]',
	0xEE5E : 'Unassigned [0xEE5E]',
	0xEE5F : 'Unassigned [0xEE5F]',
	0xEE60 : 'Unassigned [0xEE60]',
	0xEE61 : 'Unassigned [0xEE61]',
	0xEE62 : 'Unassigned [0xEE62]',
	0xEE63 : 'Unassigned [0xEE63]',
	0xEE64 : 'Unassigned [0xEE64]',
	0xEE65 : 'Unassigned [0xEE65]',
	0xEE66 : 'Unassigned [0xEE66]',
	0xEE67 : 'Unassigned [0xEE67]',
	0xEE68 : 'Unassigned [0xEE68]',
	0xEE69 : 'Unassigned [0xEE69]',
	0xEE6A : 'Unassigned [0xEE6A]',
	0xEE6B : 'Unassigned [0xEE6B]',
	0xEE6C : 'Unassigned [0xEE6C]',
	0xEE6D : 'Unassigned [0xEE6D]',
	0xEE6E : 'Unassigned [0xEE6E]',
	0xEE6F : 'Unassigned [0xEE6F]',
	0xEE70 : 'Unassigned [0xEE70]',
	0xEE71 : 'Unassigned [0xEE71]',
	0xEE72 : 'Unassigned [0xEE72]',
	0xEE73 : 'Unassigned [0xEE73]',
	0xEE74 : 'Unassigned [0xEE74]',
	0xEE75 : 'Unassigned [0xEE75]',
	0xEE76 : 'Unassigned [0xEE76]',
	0xEE77 : 'Unassigned [0xEE77]',
	0xEE78 : 'Unassigned [0xEE78]',
	0xEE79 : 'Unassigned [0xEE79]',
	0xEE7A : 'Unassigned [0xEE7A]',
	0xEE7B : 'Unassigned [0xEE7B]',
	0xEE7C : 'Unassigned [0xEE7C]',
	0xEE7D : 'Unassigned [0xEE7D]',
	0xEE7E : 'Unassigned [0xEE7E]',
	0xEE7F : 'Unassigned [0xEE7F]',
	0xEE80 : 'Unassigned [0xEE80]',
	0xEE81 : 'Unassigned [0xEE81]',
	0xEE82 : 'Unassigned [0xEE82]',
	0xEE83 : 'Unassigned [0xEE83]',
	0xEE84 : 'Unassigned [0xEE84]',
	0xEE85 : 'Unassigned [0xEE85]',
	0xEE86 : 'Unassigned [0xEE86]',
	0xEE87 : 'Unassigned [0xEE87]',
	0xEE88 : 'Unassigned [0xEE88]',
	0xEE89 : 'Unassigned [0xEE89]',
	0xEE8A : 'Unassigned [0xEE8A]',
	0xEE8B : 'Unassigned [0xEE8B]',
	0xEE8C : 'Unassigned [0xEE8C]',
	0xEE8D : 'Unassigned [0xEE8D]',
	0xEE8E : 'Unassigned [0xEE8E]',
	0xEE8F : 'Unassigned [0xEE8F]',
	0xEE90 : 'Unassigned [0xEE90]',
	0xEE91 : 'Unassigned [0xEE91]',
	0xEE92 : 'Unassigned [0xEE92]',
	0xEE93 : 'Unassigned [0xEE93]',
	0xEE94 : 'Unassigned [0xEE94]',
	0xEE95 : 'Unassigned [0xEE95]',
	0xEE96 : 'Unassigned [0xEE96]',
	0xEE97 : 'Unassigned [0xEE97]',
	0xEE98 : 'Unassigned [0xEE98]',
	0xEE99 : 'Unassigned [0xEE99]',
	0xEE9A : 'Unassigned [0xEE9A]',
	0xEE9B : 'Unassigned [0xEE9B]',
	0xEE9C : 'Unassigned [0xEE9C]',
	0xEE9D : 'Unassigned [0xEE9D]',
	0xEE9E : 'Unassigned [0xEE9E]',
	0xEE9F : 'Unassigned [0xEE9F]',
	0xEEA0 : 'Unassigned [0xEEA0]',
	0xEEA1 : 'Unassigned [0xEEA1]',
	0xEEA2 : 'Unassigned [0xEEA2]',
	0xEEA3 : 'Unassigned [0xEEA3]',
	0xEEA4 : 'Unassigned [0xEEA4]',
	0xEEA5 : 'Unassigned [0xEEA5]',
	0xEEA6 : 'Unassigned [0xEEA6]',
	0xEEA7 : 'Unassigned [0xEEA7]',
	0xEEA8 : 'Unassigned [0xEEA8]',
	0xEEA9 : 'Unassigned [0xEEA9]',
	0xEEAA : 'Unassigned [0xEEAA]',
	0xEEAB : 'Unassigned [0xEEAB]',
	0xEEAC : 'Unassigned [0xEEAC]',
	0xEEAD : 'Unassigned [0xEEAD]',
	0xEEAE : 'Unassigned [0xEEAE]',
	0xEEAF : 'Unassigned [0xEEAF]',
	0xEEB0 : 'Unassigned [0xEEB0]',
	0xEEB1 : 'Unassigned [0xEEB1]',
	0xEEB2 : 'Unassigned [0xEEB2]',
	0xEEB3 : 'Unassigned [0xEEB3]',
	0xEEB4 : 'Unassigned [0xEEB4]',
	0xEEB5 : 'Unassigned [0xEEB5]',
	0xEEB6 : 'Unassigned [0xEEB6]',
	0xEEB7 : 'Unassigned [0xEEB7]',
	0xEEB8 : 'Unassigned [0xEEB8]',
	0xEEB9 : 'Unassigned [0xEEB9]',
	0xEEBA : 'Unassigned [0xEEBA]',
	0xEEBB : 'Unassigned [0xEEBB]',
	0xEEBC : 'Unassigned [0xEEBC]',
	0xEEBD : 'Unassigned [0xEEBD]',
	0xEEBE : 'Unassigned [0xEEBE]',
	0xEEBF : 'Unassigned [0xEEBF]',
	0xEEC0 : 'Unassigned [0xEEC0]',
	0xEEC1 : 'Unassigned [0xEEC1]',
	0xEEC2 : 'Unassigned [0xEEC2]',
	0xEEC3 : 'Unassigned [0xEEC3]',
	0xEEC4 : 'Unassigned [0xEEC4]',
	0xEEC5 : 'Unassigned [0xEEC5]',
	0xEEC6 : 'Unassigned [0xEEC6]',
	0xEEC7 : 'Unassigned [0xEEC7]',
	0xEEC8 : 'Unassigned [0xEEC8]',
	0xEEC9 : 'Unassigned [0xEEC9]',
	0xEECA : 'Unassigned [0xEECA]',
	0xEECB : 'Unassigned [0xEECB]',
	0xEECC : 'Unassigned [0xEECC]',
	0xEECD : 'Unassigned [0xEECD]',
	0xEECE : 'Unassigned [0xEECE]',
	0xEECF : 'Unassigned [0xEECF]',
	0xEED0 : 'Unassigned [0xEED0]',
	0xEED1 : 'Unassigned [0xEED1]',
	0xEED2 : 'Unassigned [0xEED2]',
	0xEED3 : 'Unassigned [0xEED3]',
	0xEED4 : 'Unassigned [0xEED4]',
	0xEED5 : 'Unassigned [0xEED5]',
	0xEED6 : 'Unassigned [0xEED6]',
	0xEED7 : 'Unassigned [0xEED7]',
	0xEED8 : 'Unassigned [0xEED8]',
	0xEED9 : 'Unassigned [0xEED9]',
	0xEEDA : 'Unassigned [0xEEDA]',
	0xEEDB : 'Unassigned [0xEEDB]',
	0xEEDC : 'Unassigned [0xEEDC]',
	0xEEDD : 'Unassigned [0xEEDD]',
	0xEEDE : 'Unassigned [0xEEDE]',
	0xEEDF : 'Unassigned [0xEEDF]',
	0xEEE0 : 'Unassigned [0xEEE0]',
	0xEEE1 : 'Unassigned [0xEEE1]',
	0xEEE2 : 'Unassigned [0xEEE2]',
	0xEEE3 : 'Unassigned [0xEEE3]',
	0xEEE4 : 'Unassigned [0xEEE4]',
	0xEEE5 : 'Unassigned [0xEEE5]',
	0xEEE6 : 'Unassigned [0xEEE6]',
	0xEEE7 : 'Unassigned [0xEEE7]',
	0xEEE8 : 'Unassigned [0xEEE8]',
	0xEEE9 : 'Unassigned [0xEEE9]',
	0xEEEA : 'Unassigned [0xEEEA]',
	0xEEEB : 'Unassigned [0xEEEB]',
	0xEEEC : 'Unassigned [0xEEEC]',
	0xEEED : 'Unassigned [0xEEED]',
	0xEEEE : 'Unassigned [0xEEEE]',
	0xEEEF : 'Unassigned [0xEEEF]',
	0xEEF0 : 'Unassigned [0xEEF0]',
	0xEEF1 : 'Unassigned [0xEEF1]',
	0xEEF2 : 'Unassigned [0xEEF2]',
	0xEEF3 : 'Unassigned [0xEEF3]',
	0xEEF4 : 'Unassigned [0xEEF4]',
	0xEEF5 : 'Unassigned [0xEEF5]',
	0xEEF6 : 'Unassigned [0xEEF6]',
	0xEEF7 : 'Unassigned [0xEEF7]',
	0xEEF8 : 'Unassigned [0xEEF8]',
	0xEEF9 : 'Unassigned [0xEEF9]',
	0xEEFA : 'Unassigned [0xEEFA]',
	0xEEFB : 'Unassigned [0xEEFB]',
	0xEEFC : 'Unassigned [0xEEFC]',
	0xEEFD : 'Unassigned [0xEEFD]',
	0xEEFE : 'Unassigned [0xEEFE]',
	0xEEFF : 'Unassigned [0xEEFF]',
	0xEF00 : 'Unassigned [0xEF00]',
	0xEF01 : 'Unassigned [0xEF01]',
	0xEF02 : 'Unassigned [0xEF02]',
	0xEF03 : 'Unassigned [0xEF03]',
	0xEF04 : 'Unassigned [0xEF04]',
	0xEF05 : 'Unassigned [0xEF05]',
	0xEF06 : 'Unassigned [0xEF06]',
	0xEF07 : 'Unassigned [0xEF07]',
	0xEF08 : 'Unassigned [0xEF08]',
	0xEF09 : 'Unassigned [0xEF09]',
	0xEF0A : 'Unassigned [0xEF0A]',
	0xEF0B : 'Unassigned [0xEF0B]',
	0xEF0C : 'Unassigned [0xEF0C]',
	0xEF0D : 'Unassigned [0xEF0D]',
	0xEF0E : 'Unassigned [0xEF0E]',
	0xEF0F : 'Unassigned [0xEF0F]',
	0xEF10 : 'Unassigned [0xEF10]',
	0xEF11 : 'Unassigned [0xEF11]',
	0xEF12 : 'Unassigned [0xEF12]',
	0xEF13 : 'Unassigned [0xEF13]',
	0xEF14 : 'Unassigned [0xEF14]',
	0xEF15 : 'Unassigned [0xEF15]',
	0xEF16 : 'Unassigned [0xEF16]',
	0xEF17 : 'Unassigned [0xEF17]',
	0xEF18 : 'Unassigned [0xEF18]',
	0xEF19 : 'Unassigned [0xEF19]',
	0xEF1A : 'Unassigned [0xEF1A]',
	0xEF1B : 'Unassigned [0xEF1B]',
	0xEF1C : 'Unassigned [0xEF1C]',
	0xEF1D : 'Unassigned [0xEF1D]',
	0xEF1E : 'Unassigned [0xEF1E]',
	0xEF1F : 'Unassigned [0xEF1F]',
	0xEF20 : 'Unassigned [0xEF20]',
	0xEF21 : 'Unassigned [0xEF21]',
	0xEF22 : 'Unassigned [0xEF22]',
	0xEF23 : 'Unassigned [0xEF23]',
	0xEF24 : 'Unassigned [0xEF24]',
	0xEF25 : 'Unassigned [0xEF25]',
	0xEF26 : 'Unassigned [0xEF26]',
	0xEF27 : 'Unassigned [0xEF27]',
	0xEF28 : 'Unassigned [0xEF28]',
	0xEF29 : 'Unassigned [0xEF29]',
	0xEF2A : 'Unassigned [0xEF2A]',
	0xEF2B : 'Unassigned [0xEF2B]',
	0xEF2C : 'Unassigned [0xEF2C]',
	0xEF2D : 'Unassigned [0xEF2D]',
	0xEF2E : 'Unassigned [0xEF2E]',
	0xEF2F : 'Unassigned [0xEF2F]',
	0xEF30 : 'Unassigned [0xEF30]',
	0xEF31 : 'Unassigned [0xEF31]',
	0xEF32 : 'Unassigned [0xEF32]',
	0xEF33 : 'Unassigned [0xEF33]',
	0xEF34 : 'Unassigned [0xEF34]',
	0xEF35 : 'Unassigned [0xEF35]',
	0xEF36 : 'Unassigned [0xEF36]',
	0xEF37 : 'Unassigned [0xEF37]',
	0xEF38 : 'Unassigned [0xEF38]',
	0xEF39 : 'Unassigned [0xEF39]',
	0xEF3A : 'Unassigned [0xEF3A]',
	0xEF3B : 'Unassigned [0xEF3B]',
	0xEF3C : 'Unassigned [0xEF3C]',
	0xEF3D : 'Unassigned [0xEF3D]',
	0xEF3E : 'Unassigned [0xEF3E]',
	0xEF3F : 'Unassigned [0xEF3F]',
	0xEF40 : 'Unassigned [0xEF40]',
	0xEF41 : 'Unassigned [0xEF41]',
	0xEF42 : 'Unassigned [0xEF42]',
	0xEF43 : 'Unassigned [0xEF43]',
	0xEF44 : 'Unassigned [0xEF44]',
	0xEF45 : 'Unassigned [0xEF45]',
	0xEF46 : 'Unassigned [0xEF46]',
	0xEF47 : 'Unassigned [0xEF47]',
	0xEF48 : 'Unassigned [0xEF48]',
	0xEF49 : 'Unassigned [0xEF49]',
	0xEF4A : 'Unassigned [0xEF4A]',
	0xEF4B : 'Unassigned [0xEF4B]',
	0xEF4C : 'Unassigned [0xEF4C]',
	0xEF4D : 'Unassigned [0xEF4D]',
	0xEF4E : 'Unassigned [0xEF4E]',
	0xEF4F : 'Unassigned [0xEF4F]',
	0xEF50 : 'Unassigned [0xEF50]',
	0xEF51 : 'Unassigned [0xEF51]',
	0xEF52 : 'Unassigned [0xEF52]',
	0xEF53 : 'Unassigned [0xEF53]',
	0xEF54 : 'Unassigned [0xEF54]',
	0xEF55 : 'Unassigned [0xEF55]',
	0xEF56 : 'Unassigned [0xEF56]',
	0xEF57 : 'Unassigned [0xEF57]',
	0xEF58 : 'Unassigned [0xEF58]',
	0xEF59 : 'Unassigned [0xEF59]',
	0xEF5A : 'Unassigned [0xEF5A]',
	0xEF5B : 'Unassigned [0xEF5B]',
	0xEF5C : 'Unassigned [0xEF5C]',
	0xEF5D : 'Unassigned [0xEF5D]',
	0xEF5E : 'Unassigned [0xEF5E]',
	0xEF5F : 'Unassigned [0xEF5F]',
	0xEF60 : 'Unassigned [0xEF60]',
	0xEF61 : 'Unassigned [0xEF61]',
	0xEF62 : 'Unassigned [0xEF62]',
	0xEF63 : 'Unassigned [0xEF63]',
	0xEF64 : 'Unassigned [0xEF64]',
	0xEF65 : 'Unassigned [0xEF65]',
	0xEF66 : 'Unassigned [0xEF66]',
	0xEF67 : 'Unassigned [0xEF67]',
	0xEF68 : 'Unassigned [0xEF68]',
	0xEF69 : 'Unassigned [0xEF69]',
	0xEF6A : 'Unassigned [0xEF6A]',
	0xEF6B : 'Unassigned [0xEF6B]',
	0xEF6C : 'Unassigned [0xEF6C]',
	0xEF6D : 'Unassigned [0xEF6D]',
	0xEF6E : 'Unassigned [0xEF6E]',
	0xEF6F : 'Unassigned [0xEF6F]',
	0xEF70 : 'Unassigned [0xEF70]',
	0xEF71 : 'Unassigned [0xEF71]',
	0xEF72 : 'Unassigned [0xEF72]',
	0xEF73 : 'Unassigned [0xEF73]',
	0xEF74 : 'Unassigned [0xEF74]',
	0xEF75 : 'Unassigned [0xEF75]',
	0xEF76 : 'Unassigned [0xEF76]',
	0xEF77 : 'Unassigned [0xEF77]',
	0xEF78 : 'Unassigned [0xEF78]',
	0xEF79 : 'Unassigned [0xEF79]',
	0xEF7A : 'Unassigned [0xEF7A]',
	0xEF7B : 'Unassigned [0xEF7B]',
	0xEF7C : 'Unassigned [0xEF7C]',
	0xEF7D : 'Unassigned [0xEF7D]',
	0xEF7E : 'Unassigned [0xEF7E]',
	0xEF7F : 'Unassigned [0xEF7F]',
	0xEF80 : 'Unassigned [0xEF80]',
	0xEF81 : 'Unassigned [0xEF81]',
	0xEF82 : 'Unassigned [0xEF82]',
	0xEF83 : 'Unassigned [0xEF83]',
	0xEF84 : 'Unassigned [0xEF84]',
	0xEF85 : 'Unassigned [0xEF85]',
	0xEF86 : 'Unassigned [0xEF86]',
	0xEF87 : 'Unassigned [0xEF87]',
	0xEF88 : 'Unassigned [0xEF88]',
	0xEF89 : 'Unassigned [0xEF89]',
	0xEF8A : 'Unassigned [0xEF8A]',
	0xEF8B : 'Unassigned [0xEF8B]',
	0xEF8C : 'Unassigned [0xEF8C]',
	0xEF8D : 'Unassigned [0xEF8D]',
	0xEF8E : 'Unassigned [0xEF8E]',
	0xEF8F : 'Unassigned [0xEF8F]',
	0xEF90 : 'Unassigned [0xEF90]',
	0xEF91 : 'Unassigned [0xEF91]',
	0xEF92 : 'Unassigned [0xEF92]',
	0xEF93 : 'Unassigned [0xEF93]',
	0xEF94 : 'Unassigned [0xEF94]',
	0xEF95 : 'Unassigned [0xEF95]',
	0xEF96 : 'Unassigned [0xEF96]',
	0xEF97 : 'Unassigned [0xEF97]',
	0xEF98 : 'Unassigned [0xEF98]',
	0xEF99 : 'Unassigned [0xEF99]',
	0xEF9A : 'Unassigned [0xEF9A]',
	0xEF9B : 'Unassigned [0xEF9B]',
	0xEF9C : 'Unassigned [0xEF9C]',
	0xEF9D : 'Unassigned [0xEF9D]',
	0xEF9E : 'Unassigned [0xEF9E]',
	0xEF9F : 'Unassigned [0xEF9F]',
	0xEFA0 : 'Unassigned [0xEFA0]',
	0xEFA1 : 'Unassigned [0xEFA1]',
	0xEFA2 : 'Unassigned [0xEFA2]',
	0xEFA3 : 'Unassigned [0xEFA3]',
	0xEFA4 : 'Unassigned [0xEFA4]',
	0xEFA5 : 'Unassigned [0xEFA5]',
	0xEFA6 : 'Unassigned [0xEFA6]',
	0xEFA7 : 'Unassigned [0xEFA7]',
	0xEFA8 : 'Unassigned [0xEFA8]',
	0xEFA9 : 'Unassigned [0xEFA9]',
	0xEFAA : 'Unassigned [0xEFAA]',
	0xEFAB : 'Unassigned [0xEFAB]',
	0xEFAC : 'Unassigned [0xEFAC]',
	0xEFAD : 'Unassigned [0xEFAD]',
	0xEFAE : 'Unassigned [0xEFAE]',
	0xEFAF : 'Unassigned [0xEFAF]',
	0xEFB0 : 'Unassigned [0xEFB0]',
	0xEFB1 : 'Unassigned [0xEFB1]',
	0xEFB2 : 'Unassigned [0xEFB2]',
	0xEFB3 : 'Unassigned [0xEFB3]',
	0xEFB4 : 'Unassigned [0xEFB4]',
	0xEFB5 : 'Unassigned [0xEFB5]',
	0xEFB6 : 'Unassigned [0xEFB6]',
	0xEFB7 : 'Unassigned [0xEFB7]',
	0xEFB8 : 'Unassigned [0xEFB8]',
	0xEFB9 : 'Unassigned [0xEFB9]',
	0xEFBA : 'Unassigned [0xEFBA]',
	0xEFBB : 'Unassigned [0xEFBB]',
	0xEFBC : 'Unassigned [0xEFBC]',
	0xEFBD : 'Unassigned [0xEFBD]',
	0xEFBE : 'Unassigned [0xEFBE]',
	0xEFBF : 'Unassigned [0xEFBF]',
	0xEFC0 : 'Unassigned [0xEFC0]',
	0xEFC1 : 'Unassigned [0xEFC1]',
	0xEFC2 : 'Unassigned [0xEFC2]',
	0xEFC3 : 'Unassigned [0xEFC3]',
	0xEFC4 : 'Unassigned [0xEFC4]',
	0xEFC5 : 'Unassigned [0xEFC5]',
	0xEFC6 : 'Unassigned [0xEFC6]',
	0xEFC7 : 'Unassigned [0xEFC7]',
	0xEFC8 : 'Unassigned [0xEFC8]',
	0xEFC9 : 'Unassigned [0xEFC9]',
	0xEFCA : 'Unassigned [0xEFCA]',
	0xEFCB : 'Unassigned [0xEFCB]',
	0xEFCC : 'Unassigned [0xEFCC]',
	0xEFCD : 'Unassigned [0xEFCD]',
	0xEFCE : 'Unassigned [0xEFCE]',
	0xEFCF : 'Unassigned [0xEFCF]',
	0xEFD0 : 'Unassigned [0xEFD0]',
	0xEFD1 : 'Unassigned [0xEFD1]',
	0xEFD2 : 'Unassigned [0xEFD2]',
	0xEFD3 : 'Unassigned [0xEFD3]',
	0xEFD4 : 'Unassigned [0xEFD4]',
	0xEFD5 : 'Unassigned [0xEFD5]',
	0xEFD6 : 'Unassigned [0xEFD6]',
	0xEFD7 : 'Unassigned [0xEFD7]',
	0xEFD8 : 'Unassigned [0xEFD8]',
	0xEFD9 : 'Unassigned [0xEFD9]',
	0xEFDA : 'Unassigned [0xEFDA]',
	0xEFDB : 'Unassigned [0xEFDB]',
	0xEFDC : 'Unassigned [0xEFDC]',
	0xEFDD : 'Unassigned [0xEFDD]',
	0xEFDE : 'Unassigned [0xEFDE]',
	0xEFDF : 'Unassigned [0xEFDF]',
	0xEFE0 : 'Unassigned [0xEFE0]',
	0xEFE1 : 'Unassigned [0xEFE1]',
	0xEFE2 : 'Unassigned [0xEFE2]',
	0xEFE3 : 'Unassigned [0xEFE3]',
	0xEFE4 : 'Unassigned [0xEFE4]',
	0xEFE5 : 'Unassigned [0xEFE5]',
	0xEFE6 : 'Unassigned [0xEFE6]',
	0xEFE7 : 'Unassigned [0xEFE7]',
	0xEFE8 : 'Unassigned [0xEFE8]',
	0xEFE9 : 'Unassigned [0xEFE9]',
	0xEFEA : 'Unassigned [0xEFEA]',
	0xEFEB : 'Unassigned [0xEFEB]',
	0xEFEC : 'Unassigned [0xEFEC]',
	0xEFED : 'Unassigned [0xEFED]',
	0xEFEE : 'Unassigned [0xEFEE]',
	0xEFEF : 'Unassigned [0xEFEF]',
	0xEFF0 : 'Unassigned [0xEFF0]',
	0xEFF1 : 'Unassigned [0xEFF1]',
	0xEFF2 : 'Unassigned [0xEFF2]',
	0xEFF3 : 'Unassigned [0xEFF3]',
	0xEFF4 : 'Unassigned [0xEFF4]',
	0xEFF5 : 'Unassigned [0xEFF5]',
	0xEFF6 : 'Unassigned [0xEFF6]',
	0xEFF7 : 'Unassigned [0xEFF7]',
	0xEFF8 : 'Unassigned [0xEFF8]',
	0xEFF9 : 'Unassigned [0xEFF9]',
	0xEFFA : 'Unassigned [0xEFFA]',
	0xEFFB : 'Unassigned [0xEFFB]',
	0xEFFC : 'Unassigned [0xEFFC]',
	0xEFFD : 'Unassigned [0xEFFD]',
	0xEFFE : 'Unassigned [0xEFFE]',
	0xEFFF : 'Unassigned [0xEFFF]',
	0xF000 : 'Reserved for Experimental Use [0xF000]',                             # [RFC 7540]
	0xF001 : 'Reserved for Experimental Use [0xF001]',                             # [RFC 7540]
	0xF002 : 'Reserved for Experimental Use [0xF002]',                             # [RFC 7540]
	0xF003 : 'Reserved for Experimental Use [0xF003]',                             # [RFC 7540]
	0xF004 : 'Reserved for Experimental Use [0xF004]',                             # [RFC 7540]
	0xF005 : 'Reserved for Experimental Use [0xF005]',                             # [RFC 7540]
	0xF006 : 'Reserved for Experimental Use [0xF006]',                             # [RFC 7540]
	0xF007 : 'Reserved for Experimental Use [0xF007]',                             # [RFC 7540]
	0xF008 : 'Reserved for Experimental Use [0xF008]',                             # [RFC 7540]
	0xF009 : 'Reserved for Experimental Use [0xF009]',                             # [RFC 7540]
	0xF00A : 'Reserved for Experimental Use [0xF00A]',                             # [RFC 7540]
	0xF00B : 'Reserved for Experimental Use [0xF00B]',                             # [RFC 7540]
	0xF00C : 'Reserved for Experimental Use [0xF00C]',                             # [RFC 7540]
	0xF00D : 'Reserved for Experimental Use [0xF00D]',                             # [RFC 7540]
	0xF00E : 'Reserved for Experimental Use [0xF00E]',                             # [RFC 7540]
	0xF00F : 'Reserved for Experimental Use [0xF00F]',                             # [RFC 7540]
	0xF010 : 'Reserved for Experimental Use [0xF010]',                             # [RFC 7540]
	0xF011 : 'Reserved for Experimental Use [0xF011]',                             # [RFC 7540]
	0xF012 : 'Reserved for Experimental Use [0xF012]',                             # [RFC 7540]
	0xF013 : 'Reserved for Experimental Use [0xF013]',                             # [RFC 7540]
	0xF014 : 'Reserved for Experimental Use [0xF014]',                             # [RFC 7540]
	0xF015 : 'Reserved for Experimental Use [0xF015]',                             # [RFC 7540]
	0xF016 : 'Reserved for Experimental Use [0xF016]',                             # [RFC 7540]
	0xF017 : 'Reserved for Experimental Use [0xF017]',                             # [RFC 7540]
	0xF018 : 'Reserved for Experimental Use [0xF018]',                             # [RFC 7540]
	0xF019 : 'Reserved for Experimental Use [0xF019]',                             # [RFC 7540]
	0xF01A : 'Reserved for Experimental Use [0xF01A]',                             # [RFC 7540]
	0xF01B : 'Reserved for Experimental Use [0xF01B]',                             # [RFC 7540]
	0xF01C : 'Reserved for Experimental Use [0xF01C]',                             # [RFC 7540]
	0xF01D : 'Reserved for Experimental Use [0xF01D]',                             # [RFC 7540]
	0xF01E : 'Reserved for Experimental Use [0xF01E]',                             # [RFC 7540]
	0xF01F : 'Reserved for Experimental Use [0xF01F]',                             # [RFC 7540]
	0xF020 : 'Reserved for Experimental Use [0xF020]',                             # [RFC 7540]
	0xF021 : 'Reserved for Experimental Use [0xF021]',                             # [RFC 7540]
	0xF022 : 'Reserved for Experimental Use [0xF022]',                             # [RFC 7540]
	0xF023 : 'Reserved for Experimental Use [0xF023]',                             # [RFC 7540]
	0xF024 : 'Reserved for Experimental Use [0xF024]',                             # [RFC 7540]
	0xF025 : 'Reserved for Experimental Use [0xF025]',                             # [RFC 7540]
	0xF026 : 'Reserved for Experimental Use [0xF026]',                             # [RFC 7540]
	0xF027 : 'Reserved for Experimental Use [0xF027]',                             # [RFC 7540]
	0xF028 : 'Reserved for Experimental Use [0xF028]',                             # [RFC 7540]
	0xF029 : 'Reserved for Experimental Use [0xF029]',                             # [RFC 7540]
	0xF02A : 'Reserved for Experimental Use [0xF02A]',                             # [RFC 7540]
	0xF02B : 'Reserved for Experimental Use [0xF02B]',                             # [RFC 7540]
	0xF02C : 'Reserved for Experimental Use [0xF02C]',                             # [RFC 7540]
	0xF02D : 'Reserved for Experimental Use [0xF02D]',                             # [RFC 7540]
	0xF02E : 'Reserved for Experimental Use [0xF02E]',                             # [RFC 7540]
	0xF02F : 'Reserved for Experimental Use [0xF02F]',                             # [RFC 7540]
	0xF030 : 'Reserved for Experimental Use [0xF030]',                             # [RFC 7540]
	0xF031 : 'Reserved for Experimental Use [0xF031]',                             # [RFC 7540]
	0xF032 : 'Reserved for Experimental Use [0xF032]',                             # [RFC 7540]
	0xF033 : 'Reserved for Experimental Use [0xF033]',                             # [RFC 7540]
	0xF034 : 'Reserved for Experimental Use [0xF034]',                             # [RFC 7540]
	0xF035 : 'Reserved for Experimental Use [0xF035]',                             # [RFC 7540]
	0xF036 : 'Reserved for Experimental Use [0xF036]',                             # [RFC 7540]
	0xF037 : 'Reserved for Experimental Use [0xF037]',                             # [RFC 7540]
	0xF038 : 'Reserved for Experimental Use [0xF038]',                             # [RFC 7540]
	0xF039 : 'Reserved for Experimental Use [0xF039]',                             # [RFC 7540]
	0xF03A : 'Reserved for Experimental Use [0xF03A]',                             # [RFC 7540]
	0xF03B : 'Reserved for Experimental Use [0xF03B]',                             # [RFC 7540]
	0xF03C : 'Reserved for Experimental Use [0xF03C]',                             # [RFC 7540]
	0xF03D : 'Reserved for Experimental Use [0xF03D]',                             # [RFC 7540]
	0xF03E : 'Reserved for Experimental Use [0xF03E]',                             # [RFC 7540]
	0xF03F : 'Reserved for Experimental Use [0xF03F]',                             # [RFC 7540]
	0xF040 : 'Reserved for Experimental Use [0xF040]',                             # [RFC 7540]
	0xF041 : 'Reserved for Experimental Use [0xF041]',                             # [RFC 7540]
	0xF042 : 'Reserved for Experimental Use [0xF042]',                             # [RFC 7540]
	0xF043 : 'Reserved for Experimental Use [0xF043]',                             # [RFC 7540]
	0xF044 : 'Reserved for Experimental Use [0xF044]',                             # [RFC 7540]
	0xF045 : 'Reserved for Experimental Use [0xF045]',                             # [RFC 7540]
	0xF046 : 'Reserved for Experimental Use [0xF046]',                             # [RFC 7540]
	0xF047 : 'Reserved for Experimental Use [0xF047]',                             # [RFC 7540]
	0xF048 : 'Reserved for Experimental Use [0xF048]',                             # [RFC 7540]
	0xF049 : 'Reserved for Experimental Use [0xF049]',                             # [RFC 7540]
	0xF04A : 'Reserved for Experimental Use [0xF04A]',                             # [RFC 7540]
	0xF04B : 'Reserved for Experimental Use [0xF04B]',                             # [RFC 7540]
	0xF04C : 'Reserved for Experimental Use [0xF04C]',                             # [RFC 7540]
	0xF04D : 'Reserved for Experimental Use [0xF04D]',                             # [RFC 7540]
	0xF04E : 'Reserved for Experimental Use [0xF04E]',                             # [RFC 7540]
	0xF04F : 'Reserved for Experimental Use [0xF04F]',                             # [RFC 7540]
	0xF050 : 'Reserved for Experimental Use [0xF050]',                             # [RFC 7540]
	0xF051 : 'Reserved for Experimental Use [0xF051]',                             # [RFC 7540]
	0xF052 : 'Reserved for Experimental Use [0xF052]',                             # [RFC 7540]
	0xF053 : 'Reserved for Experimental Use [0xF053]',                             # [RFC 7540]
	0xF054 : 'Reserved for Experimental Use [0xF054]',                             # [RFC 7540]
	0xF055 : 'Reserved for Experimental Use [0xF055]',                             # [RFC 7540]
	0xF056 : 'Reserved for Experimental Use [0xF056]',                             # [RFC 7540]
	0xF057 : 'Reserved for Experimental Use [0xF057]',                             # [RFC 7540]
	0xF058 : 'Reserved for Experimental Use [0xF058]',                             # [RFC 7540]
	0xF059 : 'Reserved for Experimental Use [0xF059]',                             # [RFC 7540]
	0xF05A : 'Reserved for Experimental Use [0xF05A]',                             # [RFC 7540]
	0xF05B : 'Reserved for Experimental Use [0xF05B]',                             # [RFC 7540]
	0xF05C : 'Reserved for Experimental Use [0xF05C]',                             # [RFC 7540]
	0xF05D : 'Reserved for Experimental Use [0xF05D]',                             # [RFC 7540]
	0xF05E : 'Reserved for Experimental Use [0xF05E]',                             # [RFC 7540]
	0xF05F : 'Reserved for Experimental Use [0xF05F]',                             # [RFC 7540]
	0xF060 : 'Reserved for Experimental Use [0xF060]',                             # [RFC 7540]
	0xF061 : 'Reserved for Experimental Use [0xF061]',                             # [RFC 7540]
	0xF062 : 'Reserved for Experimental Use [0xF062]',                             # [RFC 7540]
	0xF063 : 'Reserved for Experimental Use [0xF063]',                             # [RFC 7540]
	0xF064 : 'Reserved for Experimental Use [0xF064]',                             # [RFC 7540]
	0xF065 : 'Reserved for Experimental Use [0xF065]',                             # [RFC 7540]
	0xF066 : 'Reserved for Experimental Use [0xF066]',                             # [RFC 7540]
	0xF067 : 'Reserved for Experimental Use [0xF067]',                             # [RFC 7540]
	0xF068 : 'Reserved for Experimental Use [0xF068]',                             # [RFC 7540]
	0xF069 : 'Reserved for Experimental Use [0xF069]',                             # [RFC 7540]
	0xF06A : 'Reserved for Experimental Use [0xF06A]',                             # [RFC 7540]
	0xF06B : 'Reserved for Experimental Use [0xF06B]',                             # [RFC 7540]
	0xF06C : 'Reserved for Experimental Use [0xF06C]',                             # [RFC 7540]
	0xF06D : 'Reserved for Experimental Use [0xF06D]',                             # [RFC 7540]
	0xF06E : 'Reserved for Experimental Use [0xF06E]',                             # [RFC 7540]
	0xF06F : 'Reserved for Experimental Use [0xF06F]',                             # [RFC 7540]
	0xF070 : 'Reserved for Experimental Use [0xF070]',                             # [RFC 7540]
	0xF071 : 'Reserved for Experimental Use [0xF071]',                             # [RFC 7540]
	0xF072 : 'Reserved for Experimental Use [0xF072]',                             # [RFC 7540]
	0xF073 : 'Reserved for Experimental Use [0xF073]',                             # [RFC 7540]
	0xF074 : 'Reserved for Experimental Use [0xF074]',                             # [RFC 7540]
	0xF075 : 'Reserved for Experimental Use [0xF075]',                             # [RFC 7540]
	0xF076 : 'Reserved for Experimental Use [0xF076]',                             # [RFC 7540]
	0xF077 : 'Reserved for Experimental Use [0xF077]',                             # [RFC 7540]
	0xF078 : 'Reserved for Experimental Use [0xF078]',                             # [RFC 7540]
	0xF079 : 'Reserved for Experimental Use [0xF079]',                             # [RFC 7540]
	0xF07A : 'Reserved for Experimental Use [0xF07A]',                             # [RFC 7540]
	0xF07B : 'Reserved for Experimental Use [0xF07B]',                             # [RFC 7540]
	0xF07C : 'Reserved for Experimental Use [0xF07C]',                             # [RFC 7540]
	0xF07D : 'Reserved for Experimental Use [0xF07D]',                             # [RFC 7540]
	0xF07E : 'Reserved for Experimental Use [0xF07E]',                             # [RFC 7540]
	0xF07F : 'Reserved for Experimental Use [0xF07F]',                             # [RFC 7540]
	0xF080 : 'Reserved for Experimental Use [0xF080]',                             # [RFC 7540]
	0xF081 : 'Reserved for Experimental Use [0xF081]',                             # [RFC 7540]
	0xF082 : 'Reserved for Experimental Use [0xF082]',                             # [RFC 7540]
	0xF083 : 'Reserved for Experimental Use [0xF083]',                             # [RFC 7540]
	0xF084 : 'Reserved for Experimental Use [0xF084]',                             # [RFC 7540]
	0xF085 : 'Reserved for Experimental Use [0xF085]',                             # [RFC 7540]
	0xF086 : 'Reserved for Experimental Use [0xF086]',                             # [RFC 7540]
	0xF087 : 'Reserved for Experimental Use [0xF087]',                             # [RFC 7540]
	0xF088 : 'Reserved for Experimental Use [0xF088]',                             # [RFC 7540]
	0xF089 : 'Reserved for Experimental Use [0xF089]',                             # [RFC 7540]
	0xF08A : 'Reserved for Experimental Use [0xF08A]',                             # [RFC 7540]
	0xF08B : 'Reserved for Experimental Use [0xF08B]',                             # [RFC 7540]
	0xF08C : 'Reserved for Experimental Use [0xF08C]',                             # [RFC 7540]
	0xF08D : 'Reserved for Experimental Use [0xF08D]',                             # [RFC 7540]
	0xF08E : 'Reserved for Experimental Use [0xF08E]',                             # [RFC 7540]
	0xF08F : 'Reserved for Experimental Use [0xF08F]',                             # [RFC 7540]
	0xF090 : 'Reserved for Experimental Use [0xF090]',                             # [RFC 7540]
	0xF091 : 'Reserved for Experimental Use [0xF091]',                             # [RFC 7540]
	0xF092 : 'Reserved for Experimental Use [0xF092]',                             # [RFC 7540]
	0xF093 : 'Reserved for Experimental Use [0xF093]',                             # [RFC 7540]
	0xF094 : 'Reserved for Experimental Use [0xF094]',                             # [RFC 7540]
	0xF095 : 'Reserved for Experimental Use [0xF095]',                             # [RFC 7540]
	0xF096 : 'Reserved for Experimental Use [0xF096]',                             # [RFC 7540]
	0xF097 : 'Reserved for Experimental Use [0xF097]',                             # [RFC 7540]
	0xF098 : 'Reserved for Experimental Use [0xF098]',                             # [RFC 7540]
	0xF099 : 'Reserved for Experimental Use [0xF099]',                             # [RFC 7540]
	0xF09A : 'Reserved for Experimental Use [0xF09A]',                             # [RFC 7540]
	0xF09B : 'Reserved for Experimental Use [0xF09B]',                             # [RFC 7540]
	0xF09C : 'Reserved for Experimental Use [0xF09C]',                             # [RFC 7540]
	0xF09D : 'Reserved for Experimental Use [0xF09D]',                             # [RFC 7540]
	0xF09E : 'Reserved for Experimental Use [0xF09E]',                             # [RFC 7540]
	0xF09F : 'Reserved for Experimental Use [0xF09F]',                             # [RFC 7540]
	0xF0A0 : 'Reserved for Experimental Use [0xF0A0]',                             # [RFC 7540]
	0xF0A1 : 'Reserved for Experimental Use [0xF0A1]',                             # [RFC 7540]
	0xF0A2 : 'Reserved for Experimental Use [0xF0A2]',                             # [RFC 7540]
	0xF0A3 : 'Reserved for Experimental Use [0xF0A3]',                             # [RFC 7540]
	0xF0A4 : 'Reserved for Experimental Use [0xF0A4]',                             # [RFC 7540]
	0xF0A5 : 'Reserved for Experimental Use [0xF0A5]',                             # [RFC 7540]
	0xF0A6 : 'Reserved for Experimental Use [0xF0A6]',                             # [RFC 7540]
	0xF0A7 : 'Reserved for Experimental Use [0xF0A7]',                             # [RFC 7540]
	0xF0A8 : 'Reserved for Experimental Use [0xF0A8]',                             # [RFC 7540]
	0xF0A9 : 'Reserved for Experimental Use [0xF0A9]',                             # [RFC 7540]
	0xF0AA : 'Reserved for Experimental Use [0xF0AA]',                             # [RFC 7540]
	0xF0AB : 'Reserved for Experimental Use [0xF0AB]',                             # [RFC 7540]
	0xF0AC : 'Reserved for Experimental Use [0xF0AC]',                             # [RFC 7540]
	0xF0AD : 'Reserved for Experimental Use [0xF0AD]',                             # [RFC 7540]
	0xF0AE : 'Reserved for Experimental Use [0xF0AE]',                             # [RFC 7540]
	0xF0AF : 'Reserved for Experimental Use [0xF0AF]',                             # [RFC 7540]
	0xF0B0 : 'Reserved for Experimental Use [0xF0B0]',                             # [RFC 7540]
	0xF0B1 : 'Reserved for Experimental Use [0xF0B1]',                             # [RFC 7540]
	0xF0B2 : 'Reserved for Experimental Use [0xF0B2]',                             # [RFC 7540]
	0xF0B3 : 'Reserved for Experimental Use [0xF0B3]',                             # [RFC 7540]
	0xF0B4 : 'Reserved for Experimental Use [0xF0B4]',                             # [RFC 7540]
	0xF0B5 : 'Reserved for Experimental Use [0xF0B5]',                             # [RFC 7540]
	0xF0B6 : 'Reserved for Experimental Use [0xF0B6]',                             # [RFC 7540]
	0xF0B7 : 'Reserved for Experimental Use [0xF0B7]',                             # [RFC 7540]
	0xF0B8 : 'Reserved for Experimental Use [0xF0B8]',                             # [RFC 7540]
	0xF0B9 : 'Reserved for Experimental Use [0xF0B9]',                             # [RFC 7540]
	0xF0BA : 'Reserved for Experimental Use [0xF0BA]',                             # [RFC 7540]
	0xF0BB : 'Reserved for Experimental Use [0xF0BB]',                             # [RFC 7540]
	0xF0BC : 'Reserved for Experimental Use [0xF0BC]',                             # [RFC 7540]
	0xF0BD : 'Reserved for Experimental Use [0xF0BD]',                             # [RFC 7540]
	0xF0BE : 'Reserved for Experimental Use [0xF0BE]',                             # [RFC 7540]
	0xF0BF : 'Reserved for Experimental Use [0xF0BF]',                             # [RFC 7540]
	0xF0C0 : 'Reserved for Experimental Use [0xF0C0]',                             # [RFC 7540]
	0xF0C1 : 'Reserved for Experimental Use [0xF0C1]',                             # [RFC 7540]
	0xF0C2 : 'Reserved for Experimental Use [0xF0C2]',                             # [RFC 7540]
	0xF0C3 : 'Reserved for Experimental Use [0xF0C3]',                             # [RFC 7540]
	0xF0C4 : 'Reserved for Experimental Use [0xF0C4]',                             # [RFC 7540]
	0xF0C5 : 'Reserved for Experimental Use [0xF0C5]',                             # [RFC 7540]
	0xF0C6 : 'Reserved for Experimental Use [0xF0C6]',                             # [RFC 7540]
	0xF0C7 : 'Reserved for Experimental Use [0xF0C7]',                             # [RFC 7540]
	0xF0C8 : 'Reserved for Experimental Use [0xF0C8]',                             # [RFC 7540]
	0xF0C9 : 'Reserved for Experimental Use [0xF0C9]',                             # [RFC 7540]
	0xF0CA : 'Reserved for Experimental Use [0xF0CA]',                             # [RFC 7540]
	0xF0CB : 'Reserved for Experimental Use [0xF0CB]',                             # [RFC 7540]
	0xF0CC : 'Reserved for Experimental Use [0xF0CC]',                             # [RFC 7540]
	0xF0CD : 'Reserved for Experimental Use [0xF0CD]',                             # [RFC 7540]
	0xF0CE : 'Reserved for Experimental Use [0xF0CE]',                             # [RFC 7540]
	0xF0CF : 'Reserved for Experimental Use [0xF0CF]',                             # [RFC 7540]
	0xF0D0 : 'Reserved for Experimental Use [0xF0D0]',                             # [RFC 7540]
	0xF0D1 : 'Reserved for Experimental Use [0xF0D1]',                             # [RFC 7540]
	0xF0D2 : 'Reserved for Experimental Use [0xF0D2]',                             # [RFC 7540]
	0xF0D3 : 'Reserved for Experimental Use [0xF0D3]',                             # [RFC 7540]
	0xF0D4 : 'Reserved for Experimental Use [0xF0D4]',                             # [RFC 7540]
	0xF0D5 : 'Reserved for Experimental Use [0xF0D5]',                             # [RFC 7540]
	0xF0D6 : 'Reserved for Experimental Use [0xF0D6]',                             # [RFC 7540]
	0xF0D7 : 'Reserved for Experimental Use [0xF0D7]',                             # [RFC 7540]
	0xF0D8 : 'Reserved for Experimental Use [0xF0D8]',                             # [RFC 7540]
	0xF0D9 : 'Reserved for Experimental Use [0xF0D9]',                             # [RFC 7540]
	0xF0DA : 'Reserved for Experimental Use [0xF0DA]',                             # [RFC 7540]
	0xF0DB : 'Reserved for Experimental Use [0xF0DB]',                             # [RFC 7540]
	0xF0DC : 'Reserved for Experimental Use [0xF0DC]',                             # [RFC 7540]
	0xF0DD : 'Reserved for Experimental Use [0xF0DD]',                             # [RFC 7540]
	0xF0DE : 'Reserved for Experimental Use [0xF0DE]',                             # [RFC 7540]
	0xF0DF : 'Reserved for Experimental Use [0xF0DF]',                             # [RFC 7540]
	0xF0E0 : 'Reserved for Experimental Use [0xF0E0]',                             # [RFC 7540]
	0xF0E1 : 'Reserved for Experimental Use [0xF0E1]',                             # [RFC 7540]
	0xF0E2 : 'Reserved for Experimental Use [0xF0E2]',                             # [RFC 7540]
	0xF0E3 : 'Reserved for Experimental Use [0xF0E3]',                             # [RFC 7540]
	0xF0E4 : 'Reserved for Experimental Use [0xF0E4]',                             # [RFC 7540]
	0xF0E5 : 'Reserved for Experimental Use [0xF0E5]',                             # [RFC 7540]
	0xF0E6 : 'Reserved for Experimental Use [0xF0E6]',                             # [RFC 7540]
	0xF0E7 : 'Reserved for Experimental Use [0xF0E7]',                             # [RFC 7540]
	0xF0E8 : 'Reserved for Experimental Use [0xF0E8]',                             # [RFC 7540]
	0xF0E9 : 'Reserved for Experimental Use [0xF0E9]',                             # [RFC 7540]
	0xF0EA : 'Reserved for Experimental Use [0xF0EA]',                             # [RFC 7540]
	0xF0EB : 'Reserved for Experimental Use [0xF0EB]',                             # [RFC 7540]
	0xF0EC : 'Reserved for Experimental Use [0xF0EC]',                             # [RFC 7540]
	0xF0ED : 'Reserved for Experimental Use [0xF0ED]',                             # [RFC 7540]
	0xF0EE : 'Reserved for Experimental Use [0xF0EE]',                             # [RFC 7540]
	0xF0EF : 'Reserved for Experimental Use [0xF0EF]',                             # [RFC 7540]
	0xF0F0 : 'Reserved for Experimental Use [0xF0F0]',                             # [RFC 7540]
	0xF0F1 : 'Reserved for Experimental Use [0xF0F1]',                             # [RFC 7540]
	0xF0F2 : 'Reserved for Experimental Use [0xF0F2]',                             # [RFC 7540]
	0xF0F3 : 'Reserved for Experimental Use [0xF0F3]',                             # [RFC 7540]
	0xF0F4 : 'Reserved for Experimental Use [0xF0F4]',                             # [RFC 7540]
	0xF0F5 : 'Reserved for Experimental Use [0xF0F5]',                             # [RFC 7540]
	0xF0F6 : 'Reserved for Experimental Use [0xF0F6]',                             # [RFC 7540]
	0xF0F7 : 'Reserved for Experimental Use [0xF0F7]',                             # [RFC 7540]
	0xF0F8 : 'Reserved for Experimental Use [0xF0F8]',                             # [RFC 7540]
	0xF0F9 : 'Reserved for Experimental Use [0xF0F9]',                             # [RFC 7540]
	0xF0FA : 'Reserved for Experimental Use [0xF0FA]',                             # [RFC 7540]
	0xF0FB : 'Reserved for Experimental Use [0xF0FB]',                             # [RFC 7540]
	0xF0FC : 'Reserved for Experimental Use [0xF0FC]',                             # [RFC 7540]
	0xF0FD : 'Reserved for Experimental Use [0xF0FD]',                             # [RFC 7540]
	0xF0FE : 'Reserved for Experimental Use [0xF0FE]',                             # [RFC 7540]
	0xF0FF : 'Reserved for Experimental Use [0xF0FF]',                             # [RFC 7540]
	0xF100 : 'Reserved for Experimental Use [0xF100]',                             # [RFC 7540]
	0xF101 : 'Reserved for Experimental Use [0xF101]',                             # [RFC 7540]
	0xF102 : 'Reserved for Experimental Use [0xF102]',                             # [RFC 7540]
	0xF103 : 'Reserved for Experimental Use [0xF103]',                             # [RFC 7540]
	0xF104 : 'Reserved for Experimental Use [0xF104]',                             # [RFC 7540]
	0xF105 : 'Reserved for Experimental Use [0xF105]',                             # [RFC 7540]
	0xF106 : 'Reserved for Experimental Use [0xF106]',                             # [RFC 7540]
	0xF107 : 'Reserved for Experimental Use [0xF107]',                             # [RFC 7540]
	0xF108 : 'Reserved for Experimental Use [0xF108]',                             # [RFC 7540]
	0xF109 : 'Reserved for Experimental Use [0xF109]',                             # [RFC 7540]
	0xF10A : 'Reserved for Experimental Use [0xF10A]',                             # [RFC 7540]
	0xF10B : 'Reserved for Experimental Use [0xF10B]',                             # [RFC 7540]
	0xF10C : 'Reserved for Experimental Use [0xF10C]',                             # [RFC 7540]
	0xF10D : 'Reserved for Experimental Use [0xF10D]',                             # [RFC 7540]
	0xF10E : 'Reserved for Experimental Use [0xF10E]',                             # [RFC 7540]
	0xF10F : 'Reserved for Experimental Use [0xF10F]',                             # [RFC 7540]
	0xF110 : 'Reserved for Experimental Use [0xF110]',                             # [RFC 7540]
	0xF111 : 'Reserved for Experimental Use [0xF111]',                             # [RFC 7540]
	0xF112 : 'Reserved for Experimental Use [0xF112]',                             # [RFC 7540]
	0xF113 : 'Reserved for Experimental Use [0xF113]',                             # [RFC 7540]
	0xF114 : 'Reserved for Experimental Use [0xF114]',                             # [RFC 7540]
	0xF115 : 'Reserved for Experimental Use [0xF115]',                             # [RFC 7540]
	0xF116 : 'Reserved for Experimental Use [0xF116]',                             # [RFC 7540]
	0xF117 : 'Reserved for Experimental Use [0xF117]',                             # [RFC 7540]
	0xF118 : 'Reserved for Experimental Use [0xF118]',                             # [RFC 7540]
	0xF119 : 'Reserved for Experimental Use [0xF119]',                             # [RFC 7540]
	0xF11A : 'Reserved for Experimental Use [0xF11A]',                             # [RFC 7540]
	0xF11B : 'Reserved for Experimental Use [0xF11B]',                             # [RFC 7540]
	0xF11C : 'Reserved for Experimental Use [0xF11C]',                             # [RFC 7540]
	0xF11D : 'Reserved for Experimental Use [0xF11D]',                             # [RFC 7540]
	0xF11E : 'Reserved for Experimental Use [0xF11E]',                             # [RFC 7540]
	0xF11F : 'Reserved for Experimental Use [0xF11F]',                             # [RFC 7540]
	0xF120 : 'Reserved for Experimental Use [0xF120]',                             # [RFC 7540]
	0xF121 : 'Reserved for Experimental Use [0xF121]',                             # [RFC 7540]
	0xF122 : 'Reserved for Experimental Use [0xF122]',                             # [RFC 7540]
	0xF123 : 'Reserved for Experimental Use [0xF123]',                             # [RFC 7540]
	0xF124 : 'Reserved for Experimental Use [0xF124]',                             # [RFC 7540]
	0xF125 : 'Reserved for Experimental Use [0xF125]',                             # [RFC 7540]
	0xF126 : 'Reserved for Experimental Use [0xF126]',                             # [RFC 7540]
	0xF127 : 'Reserved for Experimental Use [0xF127]',                             # [RFC 7540]
	0xF128 : 'Reserved for Experimental Use [0xF128]',                             # [RFC 7540]
	0xF129 : 'Reserved for Experimental Use [0xF129]',                             # [RFC 7540]
	0xF12A : 'Reserved for Experimental Use [0xF12A]',                             # [RFC 7540]
	0xF12B : 'Reserved for Experimental Use [0xF12B]',                             # [RFC 7540]
	0xF12C : 'Reserved for Experimental Use [0xF12C]',                             # [RFC 7540]
	0xF12D : 'Reserved for Experimental Use [0xF12D]',                             # [RFC 7540]
	0xF12E : 'Reserved for Experimental Use [0xF12E]',                             # [RFC 7540]
	0xF12F : 'Reserved for Experimental Use [0xF12F]',                             # [RFC 7540]
	0xF130 : 'Reserved for Experimental Use [0xF130]',                             # [RFC 7540]
	0xF131 : 'Reserved for Experimental Use [0xF131]',                             # [RFC 7540]
	0xF132 : 'Reserved for Experimental Use [0xF132]',                             # [RFC 7540]
	0xF133 : 'Reserved for Experimental Use [0xF133]',                             # [RFC 7540]
	0xF134 : 'Reserved for Experimental Use [0xF134]',                             # [RFC 7540]
	0xF135 : 'Reserved for Experimental Use [0xF135]',                             # [RFC 7540]
	0xF136 : 'Reserved for Experimental Use [0xF136]',                             # [RFC 7540]
	0xF137 : 'Reserved for Experimental Use [0xF137]',                             # [RFC 7540]
	0xF138 : 'Reserved for Experimental Use [0xF138]',                             # [RFC 7540]
	0xF139 : 'Reserved for Experimental Use [0xF139]',                             # [RFC 7540]
	0xF13A : 'Reserved for Experimental Use [0xF13A]',                             # [RFC 7540]
	0xF13B : 'Reserved for Experimental Use [0xF13B]',                             # [RFC 7540]
	0xF13C : 'Reserved for Experimental Use [0xF13C]',                             # [RFC 7540]
	0xF13D : 'Reserved for Experimental Use [0xF13D]',                             # [RFC 7540]
	0xF13E : 'Reserved for Experimental Use [0xF13E]',                             # [RFC 7540]
	0xF13F : 'Reserved for Experimental Use [0xF13F]',                             # [RFC 7540]
	0xF140 : 'Reserved for Experimental Use [0xF140]',                             # [RFC 7540]
	0xF141 : 'Reserved for Experimental Use [0xF141]',                             # [RFC 7540]
	0xF142 : 'Reserved for Experimental Use [0xF142]',                             # [RFC 7540]
	0xF143 : 'Reserved for Experimental Use [0xF143]',                             # [RFC 7540]
	0xF144 : 'Reserved for Experimental Use [0xF144]',                             # [RFC 7540]
	0xF145 : 'Reserved for Experimental Use [0xF145]',                             # [RFC 7540]
	0xF146 : 'Reserved for Experimental Use [0xF146]',                             # [RFC 7540]
	0xF147 : 'Reserved for Experimental Use [0xF147]',                             # [RFC 7540]
	0xF148 : 'Reserved for Experimental Use [0xF148]',                             # [RFC 7540]
	0xF149 : 'Reserved for Experimental Use [0xF149]',                             # [RFC 7540]
	0xF14A : 'Reserved for Experimental Use [0xF14A]',                             # [RFC 7540]
	0xF14B : 'Reserved for Experimental Use [0xF14B]',                             # [RFC 7540]
	0xF14C : 'Reserved for Experimental Use [0xF14C]',                             # [RFC 7540]
	0xF14D : 'Reserved for Experimental Use [0xF14D]',                             # [RFC 7540]
	0xF14E : 'Reserved for Experimental Use [0xF14E]',                             # [RFC 7540]
	0xF14F : 'Reserved for Experimental Use [0xF14F]',                             # [RFC 7540]
	0xF150 : 'Reserved for Experimental Use [0xF150]',                             # [RFC 7540]
	0xF151 : 'Reserved for Experimental Use [0xF151]',                             # [RFC 7540]
	0xF152 : 'Reserved for Experimental Use [0xF152]',                             # [RFC 7540]
	0xF153 : 'Reserved for Experimental Use [0xF153]',                             # [RFC 7540]
	0xF154 : 'Reserved for Experimental Use [0xF154]',                             # [RFC 7540]
	0xF155 : 'Reserved for Experimental Use [0xF155]',                             # [RFC 7540]
	0xF156 : 'Reserved for Experimental Use [0xF156]',                             # [RFC 7540]
	0xF157 : 'Reserved for Experimental Use [0xF157]',                             # [RFC 7540]
	0xF158 : 'Reserved for Experimental Use [0xF158]',                             # [RFC 7540]
	0xF159 : 'Reserved for Experimental Use [0xF159]',                             # [RFC 7540]
	0xF15A : 'Reserved for Experimental Use [0xF15A]',                             # [RFC 7540]
	0xF15B : 'Reserved for Experimental Use [0xF15B]',                             # [RFC 7540]
	0xF15C : 'Reserved for Experimental Use [0xF15C]',                             # [RFC 7540]
	0xF15D : 'Reserved for Experimental Use [0xF15D]',                             # [RFC 7540]
	0xF15E : 'Reserved for Experimental Use [0xF15E]',                             # [RFC 7540]
	0xF15F : 'Reserved for Experimental Use [0xF15F]',                             # [RFC 7540]
	0xF160 : 'Reserved for Experimental Use [0xF160]',                             # [RFC 7540]
	0xF161 : 'Reserved for Experimental Use [0xF161]',                             # [RFC 7540]
	0xF162 : 'Reserved for Experimental Use [0xF162]',                             # [RFC 7540]
	0xF163 : 'Reserved for Experimental Use [0xF163]',                             # [RFC 7540]
	0xF164 : 'Reserved for Experimental Use [0xF164]',                             # [RFC 7540]
	0xF165 : 'Reserved for Experimental Use [0xF165]',                             # [RFC 7540]
	0xF166 : 'Reserved for Experimental Use [0xF166]',                             # [RFC 7540]
	0xF167 : 'Reserved for Experimental Use [0xF167]',                             # [RFC 7540]
	0xF168 : 'Reserved for Experimental Use [0xF168]',                             # [RFC 7540]
	0xF169 : 'Reserved for Experimental Use [0xF169]',                             # [RFC 7540]
	0xF16A : 'Reserved for Experimental Use [0xF16A]',                             # [RFC 7540]
	0xF16B : 'Reserved for Experimental Use [0xF16B]',                             # [RFC 7540]
	0xF16C : 'Reserved for Experimental Use [0xF16C]',                             # [RFC 7540]
	0xF16D : 'Reserved for Experimental Use [0xF16D]',                             # [RFC 7540]
	0xF16E : 'Reserved for Experimental Use [0xF16E]',                             # [RFC 7540]
	0xF16F : 'Reserved for Experimental Use [0xF16F]',                             # [RFC 7540]
	0xF170 : 'Reserved for Experimental Use [0xF170]',                             # [RFC 7540]
	0xF171 : 'Reserved for Experimental Use [0xF171]',                             # [RFC 7540]
	0xF172 : 'Reserved for Experimental Use [0xF172]',                             # [RFC 7540]
	0xF173 : 'Reserved for Experimental Use [0xF173]',                             # [RFC 7540]
	0xF174 : 'Reserved for Experimental Use [0xF174]',                             # [RFC 7540]
	0xF175 : 'Reserved for Experimental Use [0xF175]',                             # [RFC 7540]
	0xF176 : 'Reserved for Experimental Use [0xF176]',                             # [RFC 7540]
	0xF177 : 'Reserved for Experimental Use [0xF177]',                             # [RFC 7540]
	0xF178 : 'Reserved for Experimental Use [0xF178]',                             # [RFC 7540]
	0xF179 : 'Reserved for Experimental Use [0xF179]',                             # [RFC 7540]
	0xF17A : 'Reserved for Experimental Use [0xF17A]',                             # [RFC 7540]
	0xF17B : 'Reserved for Experimental Use [0xF17B]',                             # [RFC 7540]
	0xF17C : 'Reserved for Experimental Use [0xF17C]',                             # [RFC 7540]
	0xF17D : 'Reserved for Experimental Use [0xF17D]',                             # [RFC 7540]
	0xF17E : 'Reserved for Experimental Use [0xF17E]',                             # [RFC 7540]
	0xF17F : 'Reserved for Experimental Use [0xF17F]',                             # [RFC 7540]
	0xF180 : 'Reserved for Experimental Use [0xF180]',                             # [RFC 7540]
	0xF181 : 'Reserved for Experimental Use [0xF181]',                             # [RFC 7540]
	0xF182 : 'Reserved for Experimental Use [0xF182]',                             # [RFC 7540]
	0xF183 : 'Reserved for Experimental Use [0xF183]',                             # [RFC 7540]
	0xF184 : 'Reserved for Experimental Use [0xF184]',                             # [RFC 7540]
	0xF185 : 'Reserved for Experimental Use [0xF185]',                             # [RFC 7540]
	0xF186 : 'Reserved for Experimental Use [0xF186]',                             # [RFC 7540]
	0xF187 : 'Reserved for Experimental Use [0xF187]',                             # [RFC 7540]
	0xF188 : 'Reserved for Experimental Use [0xF188]',                             # [RFC 7540]
	0xF189 : 'Reserved for Experimental Use [0xF189]',                             # [RFC 7540]
	0xF18A : 'Reserved for Experimental Use [0xF18A]',                             # [RFC 7540]
	0xF18B : 'Reserved for Experimental Use [0xF18B]',                             # [RFC 7540]
	0xF18C : 'Reserved for Experimental Use [0xF18C]',                             # [RFC 7540]
	0xF18D : 'Reserved for Experimental Use [0xF18D]',                             # [RFC 7540]
	0xF18E : 'Reserved for Experimental Use [0xF18E]',                             # [RFC 7540]
	0xF18F : 'Reserved for Experimental Use [0xF18F]',                             # [RFC 7540]
	0xF190 : 'Reserved for Experimental Use [0xF190]',                             # [RFC 7540]
	0xF191 : 'Reserved for Experimental Use [0xF191]',                             # [RFC 7540]
	0xF192 : 'Reserved for Experimental Use [0xF192]',                             # [RFC 7540]
	0xF193 : 'Reserved for Experimental Use [0xF193]',                             # [RFC 7540]
	0xF194 : 'Reserved for Experimental Use [0xF194]',                             # [RFC 7540]
	0xF195 : 'Reserved for Experimental Use [0xF195]',                             # [RFC 7540]
	0xF196 : 'Reserved for Experimental Use [0xF196]',                             # [RFC 7540]
	0xF197 : 'Reserved for Experimental Use [0xF197]',                             # [RFC 7540]
	0xF198 : 'Reserved for Experimental Use [0xF198]',                             # [RFC 7540]
	0xF199 : 'Reserved for Experimental Use [0xF199]',                             # [RFC 7540]
	0xF19A : 'Reserved for Experimental Use [0xF19A]',                             # [RFC 7540]
	0xF19B : 'Reserved for Experimental Use [0xF19B]',                             # [RFC 7540]
	0xF19C : 'Reserved for Experimental Use [0xF19C]',                             # [RFC 7540]
	0xF19D : 'Reserved for Experimental Use [0xF19D]',                             # [RFC 7540]
	0xF19E : 'Reserved for Experimental Use [0xF19E]',                             # [RFC 7540]
	0xF19F : 'Reserved for Experimental Use [0xF19F]',                             # [RFC 7540]
	0xF1A0 : 'Reserved for Experimental Use [0xF1A0]',                             # [RFC 7540]
	0xF1A1 : 'Reserved for Experimental Use [0xF1A1]',                             # [RFC 7540]
	0xF1A2 : 'Reserved for Experimental Use [0xF1A2]',                             # [RFC 7540]
	0xF1A3 : 'Reserved for Experimental Use [0xF1A3]',                             # [RFC 7540]
	0xF1A4 : 'Reserved for Experimental Use [0xF1A4]',                             # [RFC 7540]
	0xF1A5 : 'Reserved for Experimental Use [0xF1A5]',                             # [RFC 7540]
	0xF1A6 : 'Reserved for Experimental Use [0xF1A6]',                             # [RFC 7540]
	0xF1A7 : 'Reserved for Experimental Use [0xF1A7]',                             # [RFC 7540]
	0xF1A8 : 'Reserved for Experimental Use [0xF1A8]',                             # [RFC 7540]
	0xF1A9 : 'Reserved for Experimental Use [0xF1A9]',                             # [RFC 7540]
	0xF1AA : 'Reserved for Experimental Use [0xF1AA]',                             # [RFC 7540]
	0xF1AB : 'Reserved for Experimental Use [0xF1AB]',                             # [RFC 7540]
	0xF1AC : 'Reserved for Experimental Use [0xF1AC]',                             # [RFC 7540]
	0xF1AD : 'Reserved for Experimental Use [0xF1AD]',                             # [RFC 7540]
	0xF1AE : 'Reserved for Experimental Use [0xF1AE]',                             # [RFC 7540]
	0xF1AF : 'Reserved for Experimental Use [0xF1AF]',                             # [RFC 7540]
	0xF1B0 : 'Reserved for Experimental Use [0xF1B0]',                             # [RFC 7540]
	0xF1B1 : 'Reserved for Experimental Use [0xF1B1]',                             # [RFC 7540]
	0xF1B2 : 'Reserved for Experimental Use [0xF1B2]',                             # [RFC 7540]
	0xF1B3 : 'Reserved for Experimental Use [0xF1B3]',                             # [RFC 7540]
	0xF1B4 : 'Reserved for Experimental Use [0xF1B4]',                             # [RFC 7540]
	0xF1B5 : 'Reserved for Experimental Use [0xF1B5]',                             # [RFC 7540]
	0xF1B6 : 'Reserved for Experimental Use [0xF1B6]',                             # [RFC 7540]
	0xF1B7 : 'Reserved for Experimental Use [0xF1B7]',                             # [RFC 7540]
	0xF1B8 : 'Reserved for Experimental Use [0xF1B8]',                             # [RFC 7540]
	0xF1B9 : 'Reserved for Experimental Use [0xF1B9]',                             # [RFC 7540]
	0xF1BA : 'Reserved for Experimental Use [0xF1BA]',                             # [RFC 7540]
	0xF1BB : 'Reserved for Experimental Use [0xF1BB]',                             # [RFC 7540]
	0xF1BC : 'Reserved for Experimental Use [0xF1BC]',                             # [RFC 7540]
	0xF1BD : 'Reserved for Experimental Use [0xF1BD]',                             # [RFC 7540]
	0xF1BE : 'Reserved for Experimental Use [0xF1BE]',                             # [RFC 7540]
	0xF1BF : 'Reserved for Experimental Use [0xF1BF]',                             # [RFC 7540]
	0xF1C0 : 'Reserved for Experimental Use [0xF1C0]',                             # [RFC 7540]
	0xF1C1 : 'Reserved for Experimental Use [0xF1C1]',                             # [RFC 7540]
	0xF1C2 : 'Reserved for Experimental Use [0xF1C2]',                             # [RFC 7540]
	0xF1C3 : 'Reserved for Experimental Use [0xF1C3]',                             # [RFC 7540]
	0xF1C4 : 'Reserved for Experimental Use [0xF1C4]',                             # [RFC 7540]
	0xF1C5 : 'Reserved for Experimental Use [0xF1C5]',                             # [RFC 7540]
	0xF1C6 : 'Reserved for Experimental Use [0xF1C6]',                             # [RFC 7540]
	0xF1C7 : 'Reserved for Experimental Use [0xF1C7]',                             # [RFC 7540]
	0xF1C8 : 'Reserved for Experimental Use [0xF1C8]',                             # [RFC 7540]
	0xF1C9 : 'Reserved for Experimental Use [0xF1C9]',                             # [RFC 7540]
	0xF1CA : 'Reserved for Experimental Use [0xF1CA]',                             # [RFC 7540]
	0xF1CB : 'Reserved for Experimental Use [0xF1CB]',                             # [RFC 7540]
	0xF1CC : 'Reserved for Experimental Use [0xF1CC]',                             # [RFC 7540]
	0xF1CD : 'Reserved for Experimental Use [0xF1CD]',                             # [RFC 7540]
	0xF1CE : 'Reserved for Experimental Use [0xF1CE]',                             # [RFC 7540]
	0xF1CF : 'Reserved for Experimental Use [0xF1CF]',                             # [RFC 7540]
	0xF1D0 : 'Reserved for Experimental Use [0xF1D0]',                             # [RFC 7540]
	0xF1D1 : 'Reserved for Experimental Use [0xF1D1]',                             # [RFC 7540]
	0xF1D2 : 'Reserved for Experimental Use [0xF1D2]',                             # [RFC 7540]
	0xF1D3 : 'Reserved for Experimental Use [0xF1D3]',                             # [RFC 7540]
	0xF1D4 : 'Reserved for Experimental Use [0xF1D4]',                             # [RFC 7540]
	0xF1D5 : 'Reserved for Experimental Use [0xF1D5]',                             # [RFC 7540]
	0xF1D6 : 'Reserved for Experimental Use [0xF1D6]',                             # [RFC 7540]
	0xF1D7 : 'Reserved for Experimental Use [0xF1D7]',                             # [RFC 7540]
	0xF1D8 : 'Reserved for Experimental Use [0xF1D8]',                             # [RFC 7540]
	0xF1D9 : 'Reserved for Experimental Use [0xF1D9]',                             # [RFC 7540]
	0xF1DA : 'Reserved for Experimental Use [0xF1DA]',                             # [RFC 7540]
	0xF1DB : 'Reserved for Experimental Use [0xF1DB]',                             # [RFC 7540]
	0xF1DC : 'Reserved for Experimental Use [0xF1DC]',                             # [RFC 7540]
	0xF1DD : 'Reserved for Experimental Use [0xF1DD]',                             # [RFC 7540]
	0xF1DE : 'Reserved for Experimental Use [0xF1DE]',                             # [RFC 7540]
	0xF1DF : 'Reserved for Experimental Use [0xF1DF]',                             # [RFC 7540]
	0xF1E0 : 'Reserved for Experimental Use [0xF1E0]',                             # [RFC 7540]
	0xF1E1 : 'Reserved for Experimental Use [0xF1E1]',                             # [RFC 7540]
	0xF1E2 : 'Reserved for Experimental Use [0xF1E2]',                             # [RFC 7540]
	0xF1E3 : 'Reserved for Experimental Use [0xF1E3]',                             # [RFC 7540]
	0xF1E4 : 'Reserved for Experimental Use [0xF1E4]',                             # [RFC 7540]
	0xF1E5 : 'Reserved for Experimental Use [0xF1E5]',                             # [RFC 7540]
	0xF1E6 : 'Reserved for Experimental Use [0xF1E6]',                             # [RFC 7540]
	0xF1E7 : 'Reserved for Experimental Use [0xF1E7]',                             # [RFC 7540]
	0xF1E8 : 'Reserved for Experimental Use [0xF1E8]',                             # [RFC 7540]
	0xF1E9 : 'Reserved for Experimental Use [0xF1E9]',                             # [RFC 7540]
	0xF1EA : 'Reserved for Experimental Use [0xF1EA]',                             # [RFC 7540]
	0xF1EB : 'Reserved for Experimental Use [0xF1EB]',                             # [RFC 7540]
	0xF1EC : 'Reserved for Experimental Use [0xF1EC]',                             # [RFC 7540]
	0xF1ED : 'Reserved for Experimental Use [0xF1ED]',                             # [RFC 7540]
	0xF1EE : 'Reserved for Experimental Use [0xF1EE]',                             # [RFC 7540]
	0xF1EF : 'Reserved for Experimental Use [0xF1EF]',                             # [RFC 7540]
	0xF1F0 : 'Reserved for Experimental Use [0xF1F0]',                             # [RFC 7540]
	0xF1F1 : 'Reserved for Experimental Use [0xF1F1]',                             # [RFC 7540]
	0xF1F2 : 'Reserved for Experimental Use [0xF1F2]',                             # [RFC 7540]
	0xF1F3 : 'Reserved for Experimental Use [0xF1F3]',                             # [RFC 7540]
	0xF1F4 : 'Reserved for Experimental Use [0xF1F4]',                             # [RFC 7540]
	0xF1F5 : 'Reserved for Experimental Use [0xF1F5]',                             # [RFC 7540]
	0xF1F6 : 'Reserved for Experimental Use [0xF1F6]',                             # [RFC 7540]
	0xF1F7 : 'Reserved for Experimental Use [0xF1F7]',                             # [RFC 7540]
	0xF1F8 : 'Reserved for Experimental Use [0xF1F8]',                             # [RFC 7540]
	0xF1F9 : 'Reserved for Experimental Use [0xF1F9]',                             # [RFC 7540]
	0xF1FA : 'Reserved for Experimental Use [0xF1FA]',                             # [RFC 7540]
	0xF1FB : 'Reserved for Experimental Use [0xF1FB]',                             # [RFC 7540]
	0xF1FC : 'Reserved for Experimental Use [0xF1FC]',                             # [RFC 7540]
	0xF1FD : 'Reserved for Experimental Use [0xF1FD]',                             # [RFC 7540]
	0xF1FE : 'Reserved for Experimental Use [0xF1FE]',                             # [RFC 7540]
	0xF1FF : 'Reserved for Experimental Use [0xF1FF]',                             # [RFC 7540]
	0xF200 : 'Reserved for Experimental Use [0xF200]',                             # [RFC 7540]
	0xF201 : 'Reserved for Experimental Use [0xF201]',                             # [RFC 7540]
	0xF202 : 'Reserved for Experimental Use [0xF202]',                             # [RFC 7540]
	0xF203 : 'Reserved for Experimental Use [0xF203]',                             # [RFC 7540]
	0xF204 : 'Reserved for Experimental Use [0xF204]',                             # [RFC 7540]
	0xF205 : 'Reserved for Experimental Use [0xF205]',                             # [RFC 7540]
	0xF206 : 'Reserved for Experimental Use [0xF206]',                             # [RFC 7540]
	0xF207 : 'Reserved for Experimental Use [0xF207]',                             # [RFC 7540]
	0xF208 : 'Reserved for Experimental Use [0xF208]',                             # [RFC 7540]
	0xF209 : 'Reserved for Experimental Use [0xF209]',                             # [RFC 7540]
	0xF20A : 'Reserved for Experimental Use [0xF20A]',                             # [RFC 7540]
	0xF20B : 'Reserved for Experimental Use [0xF20B]',                             # [RFC 7540]
	0xF20C : 'Reserved for Experimental Use [0xF20C]',                             # [RFC 7540]
	0xF20D : 'Reserved for Experimental Use [0xF20D]',                             # [RFC 7540]
	0xF20E : 'Reserved for Experimental Use [0xF20E]',                             # [RFC 7540]
	0xF20F : 'Reserved for Experimental Use [0xF20F]',                             # [RFC 7540]
	0xF210 : 'Reserved for Experimental Use [0xF210]',                             # [RFC 7540]
	0xF211 : 'Reserved for Experimental Use [0xF211]',                             # [RFC 7540]
	0xF212 : 'Reserved for Experimental Use [0xF212]',                             # [RFC 7540]
	0xF213 : 'Reserved for Experimental Use [0xF213]',                             # [RFC 7540]
	0xF214 : 'Reserved for Experimental Use [0xF214]',                             # [RFC 7540]
	0xF215 : 'Reserved for Experimental Use [0xF215]',                             # [RFC 7540]
	0xF216 : 'Reserved for Experimental Use [0xF216]',                             # [RFC 7540]
	0xF217 : 'Reserved for Experimental Use [0xF217]',                             # [RFC 7540]
	0xF218 : 'Reserved for Experimental Use [0xF218]',                             # [RFC 7540]
	0xF219 : 'Reserved for Experimental Use [0xF219]',                             # [RFC 7540]
	0xF21A : 'Reserved for Experimental Use [0xF21A]',                             # [RFC 7540]
	0xF21B : 'Reserved for Experimental Use [0xF21B]',                             # [RFC 7540]
	0xF21C : 'Reserved for Experimental Use [0xF21C]',                             # [RFC 7540]
	0xF21D : 'Reserved for Experimental Use [0xF21D]',                             # [RFC 7540]
	0xF21E : 'Reserved for Experimental Use [0xF21E]',                             # [RFC 7540]
	0xF21F : 'Reserved for Experimental Use [0xF21F]',                             # [RFC 7540]
	0xF220 : 'Reserved for Experimental Use [0xF220]',                             # [RFC 7540]
	0xF221 : 'Reserved for Experimental Use [0xF221]',                             # [RFC 7540]
	0xF222 : 'Reserved for Experimental Use [0xF222]',                             # [RFC 7540]
	0xF223 : 'Reserved for Experimental Use [0xF223]',                             # [RFC 7540]
	0xF224 : 'Reserved for Experimental Use [0xF224]',                             # [RFC 7540]
	0xF225 : 'Reserved for Experimental Use [0xF225]',                             # [RFC 7540]
	0xF226 : 'Reserved for Experimental Use [0xF226]',                             # [RFC 7540]
	0xF227 : 'Reserved for Experimental Use [0xF227]',                             # [RFC 7540]
	0xF228 : 'Reserved for Experimental Use [0xF228]',                             # [RFC 7540]
	0xF229 : 'Reserved for Experimental Use [0xF229]',                             # [RFC 7540]
	0xF22A : 'Reserved for Experimental Use [0xF22A]',                             # [RFC 7540]
	0xF22B : 'Reserved for Experimental Use [0xF22B]',                             # [RFC 7540]
	0xF22C : 'Reserved for Experimental Use [0xF22C]',                             # [RFC 7540]
	0xF22D : 'Reserved for Experimental Use [0xF22D]',                             # [RFC 7540]
	0xF22E : 'Reserved for Experimental Use [0xF22E]',                             # [RFC 7540]
	0xF22F : 'Reserved for Experimental Use [0xF22F]',                             # [RFC 7540]
	0xF230 : 'Reserved for Experimental Use [0xF230]',                             # [RFC 7540]
	0xF231 : 'Reserved for Experimental Use [0xF231]',                             # [RFC 7540]
	0xF232 : 'Reserved for Experimental Use [0xF232]',                             # [RFC 7540]
	0xF233 : 'Reserved for Experimental Use [0xF233]',                             # [RFC 7540]
	0xF234 : 'Reserved for Experimental Use [0xF234]',                             # [RFC 7540]
	0xF235 : 'Reserved for Experimental Use [0xF235]',                             # [RFC 7540]
	0xF236 : 'Reserved for Experimental Use [0xF236]',                             # [RFC 7540]
	0xF237 : 'Reserved for Experimental Use [0xF237]',                             # [RFC 7540]
	0xF238 : 'Reserved for Experimental Use [0xF238]',                             # [RFC 7540]
	0xF239 : 'Reserved for Experimental Use [0xF239]',                             # [RFC 7540]
	0xF23A : 'Reserved for Experimental Use [0xF23A]',                             # [RFC 7540]
	0xF23B : 'Reserved for Experimental Use [0xF23B]',                             # [RFC 7540]
	0xF23C : 'Reserved for Experimental Use [0xF23C]',                             # [RFC 7540]
	0xF23D : 'Reserved for Experimental Use [0xF23D]',                             # [RFC 7540]
	0xF23E : 'Reserved for Experimental Use [0xF23E]',                             # [RFC 7540]
	0xF23F : 'Reserved for Experimental Use [0xF23F]',                             # [RFC 7540]
	0xF240 : 'Reserved for Experimental Use [0xF240]',                             # [RFC 7540]
	0xF241 : 'Reserved for Experimental Use [0xF241]',                             # [RFC 7540]
	0xF242 : 'Reserved for Experimental Use [0xF242]',                             # [RFC 7540]
	0xF243 : 'Reserved for Experimental Use [0xF243]',                             # [RFC 7540]
	0xF244 : 'Reserved for Experimental Use [0xF244]',                             # [RFC 7540]
	0xF245 : 'Reserved for Experimental Use [0xF245]',                             # [RFC 7540]
	0xF246 : 'Reserved for Experimental Use [0xF246]',                             # [RFC 7540]
	0xF247 : 'Reserved for Experimental Use [0xF247]',                             # [RFC 7540]
	0xF248 : 'Reserved for Experimental Use [0xF248]',                             # [RFC 7540]
	0xF249 : 'Reserved for Experimental Use [0xF249]',                             # [RFC 7540]
	0xF24A : 'Reserved for Experimental Use [0xF24A]',                             # [RFC 7540]
	0xF24B : 'Reserved for Experimental Use [0xF24B]',                             # [RFC 7540]
	0xF24C : 'Reserved for Experimental Use [0xF24C]',                             # [RFC 7540]
	0xF24D : 'Reserved for Experimental Use [0xF24D]',                             # [RFC 7540]
	0xF24E : 'Reserved for Experimental Use [0xF24E]',                             # [RFC 7540]
	0xF24F : 'Reserved for Experimental Use [0xF24F]',                             # [RFC 7540]
	0xF250 : 'Reserved for Experimental Use [0xF250]',                             # [RFC 7540]
	0xF251 : 'Reserved for Experimental Use [0xF251]',                             # [RFC 7540]
	0xF252 : 'Reserved for Experimental Use [0xF252]',                             # [RFC 7540]
	0xF253 : 'Reserved for Experimental Use [0xF253]',                             # [RFC 7540]
	0xF254 : 'Reserved for Experimental Use [0xF254]',                             # [RFC 7540]
	0xF255 : 'Reserved for Experimental Use [0xF255]',                             # [RFC 7540]
	0xF256 : 'Reserved for Experimental Use [0xF256]',                             # [RFC 7540]
	0xF257 : 'Reserved for Experimental Use [0xF257]',                             # [RFC 7540]
	0xF258 : 'Reserved for Experimental Use [0xF258]',                             # [RFC 7540]
	0xF259 : 'Reserved for Experimental Use [0xF259]',                             # [RFC 7540]
	0xF25A : 'Reserved for Experimental Use [0xF25A]',                             # [RFC 7540]
	0xF25B : 'Reserved for Experimental Use [0xF25B]',                             # [RFC 7540]
	0xF25C : 'Reserved for Experimental Use [0xF25C]',                             # [RFC 7540]
	0xF25D : 'Reserved for Experimental Use [0xF25D]',                             # [RFC 7540]
	0xF25E : 'Reserved for Experimental Use [0xF25E]',                             # [RFC 7540]
	0xF25F : 'Reserved for Experimental Use [0xF25F]',                             # [RFC 7540]
	0xF260 : 'Reserved for Experimental Use [0xF260]',                             # [RFC 7540]
	0xF261 : 'Reserved for Experimental Use [0xF261]',                             # [RFC 7540]
	0xF262 : 'Reserved for Experimental Use [0xF262]',                             # [RFC 7540]
	0xF263 : 'Reserved for Experimental Use [0xF263]',                             # [RFC 7540]
	0xF264 : 'Reserved for Experimental Use [0xF264]',                             # [RFC 7540]
	0xF265 : 'Reserved for Experimental Use [0xF265]',                             # [RFC 7540]
	0xF266 : 'Reserved for Experimental Use [0xF266]',                             # [RFC 7540]
	0xF267 : 'Reserved for Experimental Use [0xF267]',                             # [RFC 7540]
	0xF268 : 'Reserved for Experimental Use [0xF268]',                             # [RFC 7540]
	0xF269 : 'Reserved for Experimental Use [0xF269]',                             # [RFC 7540]
	0xF26A : 'Reserved for Experimental Use [0xF26A]',                             # [RFC 7540]
	0xF26B : 'Reserved for Experimental Use [0xF26B]',                             # [RFC 7540]
	0xF26C : 'Reserved for Experimental Use [0xF26C]',                             # [RFC 7540]
	0xF26D : 'Reserved for Experimental Use [0xF26D]',                             # [RFC 7540]
	0xF26E : 'Reserved for Experimental Use [0xF26E]',                             # [RFC 7540]
	0xF26F : 'Reserved for Experimental Use [0xF26F]',                             # [RFC 7540]
	0xF270 : 'Reserved for Experimental Use [0xF270]',                             # [RFC 7540]
	0xF271 : 'Reserved for Experimental Use [0xF271]',                             # [RFC 7540]
	0xF272 : 'Reserved for Experimental Use [0xF272]',                             # [RFC 7540]
	0xF273 : 'Reserved for Experimental Use [0xF273]',                             # [RFC 7540]
	0xF274 : 'Reserved for Experimental Use [0xF274]',                             # [RFC 7540]
	0xF275 : 'Reserved for Experimental Use [0xF275]',                             # [RFC 7540]
	0xF276 : 'Reserved for Experimental Use [0xF276]',                             # [RFC 7540]
	0xF277 : 'Reserved for Experimental Use [0xF277]',                             # [RFC 7540]
	0xF278 : 'Reserved for Experimental Use [0xF278]',                             # [RFC 7540]
	0xF279 : 'Reserved for Experimental Use [0xF279]',                             # [RFC 7540]
	0xF27A : 'Reserved for Experimental Use [0xF27A]',                             # [RFC 7540]
	0xF27B : 'Reserved for Experimental Use [0xF27B]',                             # [RFC 7540]
	0xF27C : 'Reserved for Experimental Use [0xF27C]',                             # [RFC 7540]
	0xF27D : 'Reserved for Experimental Use [0xF27D]',                             # [RFC 7540]
	0xF27E : 'Reserved for Experimental Use [0xF27E]',                             # [RFC 7540]
	0xF27F : 'Reserved for Experimental Use [0xF27F]',                             # [RFC 7540]
	0xF280 : 'Reserved for Experimental Use [0xF280]',                             # [RFC 7540]
	0xF281 : 'Reserved for Experimental Use [0xF281]',                             # [RFC 7540]
	0xF282 : 'Reserved for Experimental Use [0xF282]',                             # [RFC 7540]
	0xF283 : 'Reserved for Experimental Use [0xF283]',                             # [RFC 7540]
	0xF284 : 'Reserved for Experimental Use [0xF284]',                             # [RFC 7540]
	0xF285 : 'Reserved for Experimental Use [0xF285]',                             # [RFC 7540]
	0xF286 : 'Reserved for Experimental Use [0xF286]',                             # [RFC 7540]
	0xF287 : 'Reserved for Experimental Use [0xF287]',                             # [RFC 7540]
	0xF288 : 'Reserved for Experimental Use [0xF288]',                             # [RFC 7540]
	0xF289 : 'Reserved for Experimental Use [0xF289]',                             # [RFC 7540]
	0xF28A : 'Reserved for Experimental Use [0xF28A]',                             # [RFC 7540]
	0xF28B : 'Reserved for Experimental Use [0xF28B]',                             # [RFC 7540]
	0xF28C : 'Reserved for Experimental Use [0xF28C]',                             # [RFC 7540]
	0xF28D : 'Reserved for Experimental Use [0xF28D]',                             # [RFC 7540]
	0xF28E : 'Reserved for Experimental Use [0xF28E]',                             # [RFC 7540]
	0xF28F : 'Reserved for Experimental Use [0xF28F]',                             # [RFC 7540]
	0xF290 : 'Reserved for Experimental Use [0xF290]',                             # [RFC 7540]
	0xF291 : 'Reserved for Experimental Use [0xF291]',                             # [RFC 7540]
	0xF292 : 'Reserved for Experimental Use [0xF292]',                             # [RFC 7540]
	0xF293 : 'Reserved for Experimental Use [0xF293]',                             # [RFC 7540]
	0xF294 : 'Reserved for Experimental Use [0xF294]',                             # [RFC 7540]
	0xF295 : 'Reserved for Experimental Use [0xF295]',                             # [RFC 7540]
	0xF296 : 'Reserved for Experimental Use [0xF296]',                             # [RFC 7540]
	0xF297 : 'Reserved for Experimental Use [0xF297]',                             # [RFC 7540]
	0xF298 : 'Reserved for Experimental Use [0xF298]',                             # [RFC 7540]
	0xF299 : 'Reserved for Experimental Use [0xF299]',                             # [RFC 7540]
	0xF29A : 'Reserved for Experimental Use [0xF29A]',                             # [RFC 7540]
	0xF29B : 'Reserved for Experimental Use [0xF29B]',                             # [RFC 7540]
	0xF29C : 'Reserved for Experimental Use [0xF29C]',                             # [RFC 7540]
	0xF29D : 'Reserved for Experimental Use [0xF29D]',                             # [RFC 7540]
	0xF29E : 'Reserved for Experimental Use [0xF29E]',                             # [RFC 7540]
	0xF29F : 'Reserved for Experimental Use [0xF29F]',                             # [RFC 7540]
	0xF2A0 : 'Reserved for Experimental Use [0xF2A0]',                             # [RFC 7540]
	0xF2A1 : 'Reserved for Experimental Use [0xF2A1]',                             # [RFC 7540]
	0xF2A2 : 'Reserved for Experimental Use [0xF2A2]',                             # [RFC 7540]
	0xF2A3 : 'Reserved for Experimental Use [0xF2A3]',                             # [RFC 7540]
	0xF2A4 : 'Reserved for Experimental Use [0xF2A4]',                             # [RFC 7540]
	0xF2A5 : 'Reserved for Experimental Use [0xF2A5]',                             # [RFC 7540]
	0xF2A6 : 'Reserved for Experimental Use [0xF2A6]',                             # [RFC 7540]
	0xF2A7 : 'Reserved for Experimental Use [0xF2A7]',                             # [RFC 7540]
	0xF2A8 : 'Reserved for Experimental Use [0xF2A8]',                             # [RFC 7540]
	0xF2A9 : 'Reserved for Experimental Use [0xF2A9]',                             # [RFC 7540]
	0xF2AA : 'Reserved for Experimental Use [0xF2AA]',                             # [RFC 7540]
	0xF2AB : 'Reserved for Experimental Use [0xF2AB]',                             # [RFC 7540]
	0xF2AC : 'Reserved for Experimental Use [0xF2AC]',                             # [RFC 7540]
	0xF2AD : 'Reserved for Experimental Use [0xF2AD]',                             # [RFC 7540]
	0xF2AE : 'Reserved for Experimental Use [0xF2AE]',                             # [RFC 7540]
	0xF2AF : 'Reserved for Experimental Use [0xF2AF]',                             # [RFC 7540]
	0xF2B0 : 'Reserved for Experimental Use [0xF2B0]',                             # [RFC 7540]
	0xF2B1 : 'Reserved for Experimental Use [0xF2B1]',                             # [RFC 7540]
	0xF2B2 : 'Reserved for Experimental Use [0xF2B2]',                             # [RFC 7540]
	0xF2B3 : 'Reserved for Experimental Use [0xF2B3]',                             # [RFC 7540]
	0xF2B4 : 'Reserved for Experimental Use [0xF2B4]',                             # [RFC 7540]
	0xF2B5 : 'Reserved for Experimental Use [0xF2B5]',                             # [RFC 7540]
	0xF2B6 : 'Reserved for Experimental Use [0xF2B6]',                             # [RFC 7540]
	0xF2B7 : 'Reserved for Experimental Use [0xF2B7]',                             # [RFC 7540]
	0xF2B8 : 'Reserved for Experimental Use [0xF2B8]',                             # [RFC 7540]
	0xF2B9 : 'Reserved for Experimental Use [0xF2B9]',                             # [RFC 7540]
	0xF2BA : 'Reserved for Experimental Use [0xF2BA]',                             # [RFC 7540]
	0xF2BB : 'Reserved for Experimental Use [0xF2BB]',                             # [RFC 7540]
	0xF2BC : 'Reserved for Experimental Use [0xF2BC]',                             # [RFC 7540]
	0xF2BD : 'Reserved for Experimental Use [0xF2BD]',                             # [RFC 7540]
	0xF2BE : 'Reserved for Experimental Use [0xF2BE]',                             # [RFC 7540]
	0xF2BF : 'Reserved for Experimental Use [0xF2BF]',                             # [RFC 7540]
	0xF2C0 : 'Reserved for Experimental Use [0xF2C0]',                             # [RFC 7540]
	0xF2C1 : 'Reserved for Experimental Use [0xF2C1]',                             # [RFC 7540]
	0xF2C2 : 'Reserved for Experimental Use [0xF2C2]',                             # [RFC 7540]
	0xF2C3 : 'Reserved for Experimental Use [0xF2C3]',                             # [RFC 7540]
	0xF2C4 : 'Reserved for Experimental Use [0xF2C4]',                             # [RFC 7540]
	0xF2C5 : 'Reserved for Experimental Use [0xF2C5]',                             # [RFC 7540]
	0xF2C6 : 'Reserved for Experimental Use [0xF2C6]',                             # [RFC 7540]
	0xF2C7 : 'Reserved for Experimental Use [0xF2C7]',                             # [RFC 7540]
	0xF2C8 : 'Reserved for Experimental Use [0xF2C8]',                             # [RFC 7540]
	0xF2C9 : 'Reserved for Experimental Use [0xF2C9]',                             # [RFC 7540]
	0xF2CA : 'Reserved for Experimental Use [0xF2CA]',                             # [RFC 7540]
	0xF2CB : 'Reserved for Experimental Use [0xF2CB]',                             # [RFC 7540]
	0xF2CC : 'Reserved for Experimental Use [0xF2CC]',                             # [RFC 7540]
	0xF2CD : 'Reserved for Experimental Use [0xF2CD]',                             # [RFC 7540]
	0xF2CE : 'Reserved for Experimental Use [0xF2CE]',                             # [RFC 7540]
	0xF2CF : 'Reserved for Experimental Use [0xF2CF]',                             # [RFC 7540]
	0xF2D0 : 'Reserved for Experimental Use [0xF2D0]',                             # [RFC 7540]
	0xF2D1 : 'Reserved for Experimental Use [0xF2D1]',                             # [RFC 7540]
	0xF2D2 : 'Reserved for Experimental Use [0xF2D2]',                             # [RFC 7540]
	0xF2D3 : 'Reserved for Experimental Use [0xF2D3]',                             # [RFC 7540]
	0xF2D4 : 'Reserved for Experimental Use [0xF2D4]',                             # [RFC 7540]
	0xF2D5 : 'Reserved for Experimental Use [0xF2D5]',                             # [RFC 7540]
	0xF2D6 : 'Reserved for Experimental Use [0xF2D6]',                             # [RFC 7540]
	0xF2D7 : 'Reserved for Experimental Use [0xF2D7]',                             # [RFC 7540]
	0xF2D8 : 'Reserved for Experimental Use [0xF2D8]',                             # [RFC 7540]
	0xF2D9 : 'Reserved for Experimental Use [0xF2D9]',                             # [RFC 7540]
	0xF2DA : 'Reserved for Experimental Use [0xF2DA]',                             # [RFC 7540]
	0xF2DB : 'Reserved for Experimental Use [0xF2DB]',                             # [RFC 7540]
	0xF2DC : 'Reserved for Experimental Use [0xF2DC]',                             # [RFC 7540]
	0xF2DD : 'Reserved for Experimental Use [0xF2DD]',                             # [RFC 7540]
	0xF2DE : 'Reserved for Experimental Use [0xF2DE]',                             # [RFC 7540]
	0xF2DF : 'Reserved for Experimental Use [0xF2DF]',                             # [RFC 7540]
	0xF2E0 : 'Reserved for Experimental Use [0xF2E0]',                             # [RFC 7540]
	0xF2E1 : 'Reserved for Experimental Use [0xF2E1]',                             # [RFC 7540]
	0xF2E2 : 'Reserved for Experimental Use [0xF2E2]',                             # [RFC 7540]
	0xF2E3 : 'Reserved for Experimental Use [0xF2E3]',                             # [RFC 7540]
	0xF2E4 : 'Reserved for Experimental Use [0xF2E4]',                             # [RFC 7540]
	0xF2E5 : 'Reserved for Experimental Use [0xF2E5]',                             # [RFC 7540]
	0xF2E6 : 'Reserved for Experimental Use [0xF2E6]',                             # [RFC 7540]
	0xF2E7 : 'Reserved for Experimental Use [0xF2E7]',                             # [RFC 7540]
	0xF2E8 : 'Reserved for Experimental Use [0xF2E8]',                             # [RFC 7540]
	0xF2E9 : 'Reserved for Experimental Use [0xF2E9]',                             # [RFC 7540]
	0xF2EA : 'Reserved for Experimental Use [0xF2EA]',                             # [RFC 7540]
	0xF2EB : 'Reserved for Experimental Use [0xF2EB]',                             # [RFC 7540]
	0xF2EC : 'Reserved for Experimental Use [0xF2EC]',                             # [RFC 7540]
	0xF2ED : 'Reserved for Experimental Use [0xF2ED]',                             # [RFC 7540]
	0xF2EE : 'Reserved for Experimental Use [0xF2EE]',                             # [RFC 7540]
	0xF2EF : 'Reserved for Experimental Use [0xF2EF]',                             # [RFC 7540]
	0xF2F0 : 'Reserved for Experimental Use [0xF2F0]',                             # [RFC 7540]
	0xF2F1 : 'Reserved for Experimental Use [0xF2F1]',                             # [RFC 7540]
	0xF2F2 : 'Reserved for Experimental Use [0xF2F2]',                             # [RFC 7540]
	0xF2F3 : 'Reserved for Experimental Use [0xF2F3]',                             # [RFC 7540]
	0xF2F4 : 'Reserved for Experimental Use [0xF2F4]',                             # [RFC 7540]
	0xF2F5 : 'Reserved for Experimental Use [0xF2F5]',                             # [RFC 7540]
	0xF2F6 : 'Reserved for Experimental Use [0xF2F6]',                             # [RFC 7540]
	0xF2F7 : 'Reserved for Experimental Use [0xF2F7]',                             # [RFC 7540]
	0xF2F8 : 'Reserved for Experimental Use [0xF2F8]',                             # [RFC 7540]
	0xF2F9 : 'Reserved for Experimental Use [0xF2F9]',                             # [RFC 7540]
	0xF2FA : 'Reserved for Experimental Use [0xF2FA]',                             # [RFC 7540]
	0xF2FB : 'Reserved for Experimental Use [0xF2FB]',                             # [RFC 7540]
	0xF2FC : 'Reserved for Experimental Use [0xF2FC]',                             # [RFC 7540]
	0xF2FD : 'Reserved for Experimental Use [0xF2FD]',                             # [RFC 7540]
	0xF2FE : 'Reserved for Experimental Use [0xF2FE]',                             # [RFC 7540]
	0xF2FF : 'Reserved for Experimental Use [0xF2FF]',                             # [RFC 7540]
	0xF300 : 'Reserved for Experimental Use [0xF300]',                             # [RFC 7540]
	0xF301 : 'Reserved for Experimental Use [0xF301]',                             # [RFC 7540]
	0xF302 : 'Reserved for Experimental Use [0xF302]',                             # [RFC 7540]
	0xF303 : 'Reserved for Experimental Use [0xF303]',                             # [RFC 7540]
	0xF304 : 'Reserved for Experimental Use [0xF304]',                             # [RFC 7540]
	0xF305 : 'Reserved for Experimental Use [0xF305]',                             # [RFC 7540]
	0xF306 : 'Reserved for Experimental Use [0xF306]',                             # [RFC 7540]
	0xF307 : 'Reserved for Experimental Use [0xF307]',                             # [RFC 7540]
	0xF308 : 'Reserved for Experimental Use [0xF308]',                             # [RFC 7540]
	0xF309 : 'Reserved for Experimental Use [0xF309]',                             # [RFC 7540]
	0xF30A : 'Reserved for Experimental Use [0xF30A]',                             # [RFC 7540]
	0xF30B : 'Reserved for Experimental Use [0xF30B]',                             # [RFC 7540]
	0xF30C : 'Reserved for Experimental Use [0xF30C]',                             # [RFC 7540]
	0xF30D : 'Reserved for Experimental Use [0xF30D]',                             # [RFC 7540]
	0xF30E : 'Reserved for Experimental Use [0xF30E]',                             # [RFC 7540]
	0xF30F : 'Reserved for Experimental Use [0xF30F]',                             # [RFC 7540]
	0xF310 : 'Reserved for Experimental Use [0xF310]',                             # [RFC 7540]
	0xF311 : 'Reserved for Experimental Use [0xF311]',                             # [RFC 7540]
	0xF312 : 'Reserved for Experimental Use [0xF312]',                             # [RFC 7540]
	0xF313 : 'Reserved for Experimental Use [0xF313]',                             # [RFC 7540]
	0xF314 : 'Reserved for Experimental Use [0xF314]',                             # [RFC 7540]
	0xF315 : 'Reserved for Experimental Use [0xF315]',                             # [RFC 7540]
	0xF316 : 'Reserved for Experimental Use [0xF316]',                             # [RFC 7540]
	0xF317 : 'Reserved for Experimental Use [0xF317]',                             # [RFC 7540]
	0xF318 : 'Reserved for Experimental Use [0xF318]',                             # [RFC 7540]
	0xF319 : 'Reserved for Experimental Use [0xF319]',                             # [RFC 7540]
	0xF31A : 'Reserved for Experimental Use [0xF31A]',                             # [RFC 7540]
	0xF31B : 'Reserved for Experimental Use [0xF31B]',                             # [RFC 7540]
	0xF31C : 'Reserved for Experimental Use [0xF31C]',                             # [RFC 7540]
	0xF31D : 'Reserved for Experimental Use [0xF31D]',                             # [RFC 7540]
	0xF31E : 'Reserved for Experimental Use [0xF31E]',                             # [RFC 7540]
	0xF31F : 'Reserved for Experimental Use [0xF31F]',                             # [RFC 7540]
	0xF320 : 'Reserved for Experimental Use [0xF320]',                             # [RFC 7540]
	0xF321 : 'Reserved for Experimental Use [0xF321]',                             # [RFC 7540]
	0xF322 : 'Reserved for Experimental Use [0xF322]',                             # [RFC 7540]
	0xF323 : 'Reserved for Experimental Use [0xF323]',                             # [RFC 7540]
	0xF324 : 'Reserved for Experimental Use [0xF324]',                             # [RFC 7540]
	0xF325 : 'Reserved for Experimental Use [0xF325]',                             # [RFC 7540]
	0xF326 : 'Reserved for Experimental Use [0xF326]',                             # [RFC 7540]
	0xF327 : 'Reserved for Experimental Use [0xF327]',                             # [RFC 7540]
	0xF328 : 'Reserved for Experimental Use [0xF328]',                             # [RFC 7540]
	0xF329 : 'Reserved for Experimental Use [0xF329]',                             # [RFC 7540]
	0xF32A : 'Reserved for Experimental Use [0xF32A]',                             # [RFC 7540]
	0xF32B : 'Reserved for Experimental Use [0xF32B]',                             # [RFC 7540]
	0xF32C : 'Reserved for Experimental Use [0xF32C]',                             # [RFC 7540]
	0xF32D : 'Reserved for Experimental Use [0xF32D]',                             # [RFC 7540]
	0xF32E : 'Reserved for Experimental Use [0xF32E]',                             # [RFC 7540]
	0xF32F : 'Reserved for Experimental Use [0xF32F]',                             # [RFC 7540]
	0xF330 : 'Reserved for Experimental Use [0xF330]',                             # [RFC 7540]
	0xF331 : 'Reserved for Experimental Use [0xF331]',                             # [RFC 7540]
	0xF332 : 'Reserved for Experimental Use [0xF332]',                             # [RFC 7540]
	0xF333 : 'Reserved for Experimental Use [0xF333]',                             # [RFC 7540]
	0xF334 : 'Reserved for Experimental Use [0xF334]',                             # [RFC 7540]
	0xF335 : 'Reserved for Experimental Use [0xF335]',                             # [RFC 7540]
	0xF336 : 'Reserved for Experimental Use [0xF336]',                             # [RFC 7540]
	0xF337 : 'Reserved for Experimental Use [0xF337]',                             # [RFC 7540]
	0xF338 : 'Reserved for Experimental Use [0xF338]',                             # [RFC 7540]
	0xF339 : 'Reserved for Experimental Use [0xF339]',                             # [RFC 7540]
	0xF33A : 'Reserved for Experimental Use [0xF33A]',                             # [RFC 7540]
	0xF33B : 'Reserved for Experimental Use [0xF33B]',                             # [RFC 7540]
	0xF33C : 'Reserved for Experimental Use [0xF33C]',                             # [RFC 7540]
	0xF33D : 'Reserved for Experimental Use [0xF33D]',                             # [RFC 7540]
	0xF33E : 'Reserved for Experimental Use [0xF33E]',                             # [RFC 7540]
	0xF33F : 'Reserved for Experimental Use [0xF33F]',                             # [RFC 7540]
	0xF340 : 'Reserved for Experimental Use [0xF340]',                             # [RFC 7540]
	0xF341 : 'Reserved for Experimental Use [0xF341]',                             # [RFC 7540]
	0xF342 : 'Reserved for Experimental Use [0xF342]',                             # [RFC 7540]
	0xF343 : 'Reserved for Experimental Use [0xF343]',                             # [RFC 7540]
	0xF344 : 'Reserved for Experimental Use [0xF344]',                             # [RFC 7540]
	0xF345 : 'Reserved for Experimental Use [0xF345]',                             # [RFC 7540]
	0xF346 : 'Reserved for Experimental Use [0xF346]',                             # [RFC 7540]
	0xF347 : 'Reserved for Experimental Use [0xF347]',                             # [RFC 7540]
	0xF348 : 'Reserved for Experimental Use [0xF348]',                             # [RFC 7540]
	0xF349 : 'Reserved for Experimental Use [0xF349]',                             # [RFC 7540]
	0xF34A : 'Reserved for Experimental Use [0xF34A]',                             # [RFC 7540]
	0xF34B : 'Reserved for Experimental Use [0xF34B]',                             # [RFC 7540]
	0xF34C : 'Reserved for Experimental Use [0xF34C]',                             # [RFC 7540]
	0xF34D : 'Reserved for Experimental Use [0xF34D]',                             # [RFC 7540]
	0xF34E : 'Reserved for Experimental Use [0xF34E]',                             # [RFC 7540]
	0xF34F : 'Reserved for Experimental Use [0xF34F]',                             # [RFC 7540]
	0xF350 : 'Reserved for Experimental Use [0xF350]',                             # [RFC 7540]
	0xF351 : 'Reserved for Experimental Use [0xF351]',                             # [RFC 7540]
	0xF352 : 'Reserved for Experimental Use [0xF352]',                             # [RFC 7540]
	0xF353 : 'Reserved for Experimental Use [0xF353]',                             # [RFC 7540]
	0xF354 : 'Reserved for Experimental Use [0xF354]',                             # [RFC 7540]
	0xF355 : 'Reserved for Experimental Use [0xF355]',                             # [RFC 7540]
	0xF356 : 'Reserved for Experimental Use [0xF356]',                             # [RFC 7540]
	0xF357 : 'Reserved for Experimental Use [0xF357]',                             # [RFC 7540]
	0xF358 : 'Reserved for Experimental Use [0xF358]',                             # [RFC 7540]
	0xF359 : 'Reserved for Experimental Use [0xF359]',                             # [RFC 7540]
	0xF35A : 'Reserved for Experimental Use [0xF35A]',                             # [RFC 7540]
	0xF35B : 'Reserved for Experimental Use [0xF35B]',                             # [RFC 7540]
	0xF35C : 'Reserved for Experimental Use [0xF35C]',                             # [RFC 7540]
	0xF35D : 'Reserved for Experimental Use [0xF35D]',                             # [RFC 7540]
	0xF35E : 'Reserved for Experimental Use [0xF35E]',                             # [RFC 7540]
	0xF35F : 'Reserved for Experimental Use [0xF35F]',                             # [RFC 7540]
	0xF360 : 'Reserved for Experimental Use [0xF360]',                             # [RFC 7540]
	0xF361 : 'Reserved for Experimental Use [0xF361]',                             # [RFC 7540]
	0xF362 : 'Reserved for Experimental Use [0xF362]',                             # [RFC 7540]
	0xF363 : 'Reserved for Experimental Use [0xF363]',                             # [RFC 7540]
	0xF364 : 'Reserved for Experimental Use [0xF364]',                             # [RFC 7540]
	0xF365 : 'Reserved for Experimental Use [0xF365]',                             # [RFC 7540]
	0xF366 : 'Reserved for Experimental Use [0xF366]',                             # [RFC 7540]
	0xF367 : 'Reserved for Experimental Use [0xF367]',                             # [RFC 7540]
	0xF368 : 'Reserved for Experimental Use [0xF368]',                             # [RFC 7540]
	0xF369 : 'Reserved for Experimental Use [0xF369]',                             # [RFC 7540]
	0xF36A : 'Reserved for Experimental Use [0xF36A]',                             # [RFC 7540]
	0xF36B : 'Reserved for Experimental Use [0xF36B]',                             # [RFC 7540]
	0xF36C : 'Reserved for Experimental Use [0xF36C]',                             # [RFC 7540]
	0xF36D : 'Reserved for Experimental Use [0xF36D]',                             # [RFC 7540]
	0xF36E : 'Reserved for Experimental Use [0xF36E]',                             # [RFC 7540]
	0xF36F : 'Reserved for Experimental Use [0xF36F]',                             # [RFC 7540]
	0xF370 : 'Reserved for Experimental Use [0xF370]',                             # [RFC 7540]
	0xF371 : 'Reserved for Experimental Use [0xF371]',                             # [RFC 7540]
	0xF372 : 'Reserved for Experimental Use [0xF372]',                             # [RFC 7540]
	0xF373 : 'Reserved for Experimental Use [0xF373]',                             # [RFC 7540]
	0xF374 : 'Reserved for Experimental Use [0xF374]',                             # [RFC 7540]
	0xF375 : 'Reserved for Experimental Use [0xF375]',                             # [RFC 7540]
	0xF376 : 'Reserved for Experimental Use [0xF376]',                             # [RFC 7540]
	0xF377 : 'Reserved for Experimental Use [0xF377]',                             # [RFC 7540]
	0xF378 : 'Reserved for Experimental Use [0xF378]',                             # [RFC 7540]
	0xF379 : 'Reserved for Experimental Use [0xF379]',                             # [RFC 7540]
	0xF37A : 'Reserved for Experimental Use [0xF37A]',                             # [RFC 7540]
	0xF37B : 'Reserved for Experimental Use [0xF37B]',                             # [RFC 7540]
	0xF37C : 'Reserved for Experimental Use [0xF37C]',                             # [RFC 7540]
	0xF37D : 'Reserved for Experimental Use [0xF37D]',                             # [RFC 7540]
	0xF37E : 'Reserved for Experimental Use [0xF37E]',                             # [RFC 7540]
	0xF37F : 'Reserved for Experimental Use [0xF37F]',                             # [RFC 7540]
	0xF380 : 'Reserved for Experimental Use [0xF380]',                             # [RFC 7540]
	0xF381 : 'Reserved for Experimental Use [0xF381]',                             # [RFC 7540]
	0xF382 : 'Reserved for Experimental Use [0xF382]',                             # [RFC 7540]
	0xF383 : 'Reserved for Experimental Use [0xF383]',                             # [RFC 7540]
	0xF384 : 'Reserved for Experimental Use [0xF384]',                             # [RFC 7540]
	0xF385 : 'Reserved for Experimental Use [0xF385]',                             # [RFC 7540]
	0xF386 : 'Reserved for Experimental Use [0xF386]',                             # [RFC 7540]
	0xF387 : 'Reserved for Experimental Use [0xF387]',                             # [RFC 7540]
	0xF388 : 'Reserved for Experimental Use [0xF388]',                             # [RFC 7540]
	0xF389 : 'Reserved for Experimental Use [0xF389]',                             # [RFC 7540]
	0xF38A : 'Reserved for Experimental Use [0xF38A]',                             # [RFC 7540]
	0xF38B : 'Reserved for Experimental Use [0xF38B]',                             # [RFC 7540]
	0xF38C : 'Reserved for Experimental Use [0xF38C]',                             # [RFC 7540]
	0xF38D : 'Reserved for Experimental Use [0xF38D]',                             # [RFC 7540]
	0xF38E : 'Reserved for Experimental Use [0xF38E]',                             # [RFC 7540]
	0xF38F : 'Reserved for Experimental Use [0xF38F]',                             # [RFC 7540]
	0xF390 : 'Reserved for Experimental Use [0xF390]',                             # [RFC 7540]
	0xF391 : 'Reserved for Experimental Use [0xF391]',                             # [RFC 7540]
	0xF392 : 'Reserved for Experimental Use [0xF392]',                             # [RFC 7540]
	0xF393 : 'Reserved for Experimental Use [0xF393]',                             # [RFC 7540]
	0xF394 : 'Reserved for Experimental Use [0xF394]',                             # [RFC 7540]
	0xF395 : 'Reserved for Experimental Use [0xF395]',                             # [RFC 7540]
	0xF396 : 'Reserved for Experimental Use [0xF396]',                             # [RFC 7540]
	0xF397 : 'Reserved for Experimental Use [0xF397]',                             # [RFC 7540]
	0xF398 : 'Reserved for Experimental Use [0xF398]',                             # [RFC 7540]
	0xF399 : 'Reserved for Experimental Use [0xF399]',                             # [RFC 7540]
	0xF39A : 'Reserved for Experimental Use [0xF39A]',                             # [RFC 7540]
	0xF39B : 'Reserved for Experimental Use [0xF39B]',                             # [RFC 7540]
	0xF39C : 'Reserved for Experimental Use [0xF39C]',                             # [RFC 7540]
	0xF39D : 'Reserved for Experimental Use [0xF39D]',                             # [RFC 7540]
	0xF39E : 'Reserved for Experimental Use [0xF39E]',                             # [RFC 7540]
	0xF39F : 'Reserved for Experimental Use [0xF39F]',                             # [RFC 7540]
	0xF3A0 : 'Reserved for Experimental Use [0xF3A0]',                             # [RFC 7540]
	0xF3A1 : 'Reserved for Experimental Use [0xF3A1]',                             # [RFC 7540]
	0xF3A2 : 'Reserved for Experimental Use [0xF3A2]',                             # [RFC 7540]
	0xF3A3 : 'Reserved for Experimental Use [0xF3A3]',                             # [RFC 7540]
	0xF3A4 : 'Reserved for Experimental Use [0xF3A4]',                             # [RFC 7540]
	0xF3A5 : 'Reserved for Experimental Use [0xF3A5]',                             # [RFC 7540]
	0xF3A6 : 'Reserved for Experimental Use [0xF3A6]',                             # [RFC 7540]
	0xF3A7 : 'Reserved for Experimental Use [0xF3A7]',                             # [RFC 7540]
	0xF3A8 : 'Reserved for Experimental Use [0xF3A8]',                             # [RFC 7540]
	0xF3A9 : 'Reserved for Experimental Use [0xF3A9]',                             # [RFC 7540]
	0xF3AA : 'Reserved for Experimental Use [0xF3AA]',                             # [RFC 7540]
	0xF3AB : 'Reserved for Experimental Use [0xF3AB]',                             # [RFC 7540]
	0xF3AC : 'Reserved for Experimental Use [0xF3AC]',                             # [RFC 7540]
	0xF3AD : 'Reserved for Experimental Use [0xF3AD]',                             # [RFC 7540]
	0xF3AE : 'Reserved for Experimental Use [0xF3AE]',                             # [RFC 7540]
	0xF3AF : 'Reserved for Experimental Use [0xF3AF]',                             # [RFC 7540]
	0xF3B0 : 'Reserved for Experimental Use [0xF3B0]',                             # [RFC 7540]
	0xF3B1 : 'Reserved for Experimental Use [0xF3B1]',                             # [RFC 7540]
	0xF3B2 : 'Reserved for Experimental Use [0xF3B2]',                             # [RFC 7540]
	0xF3B3 : 'Reserved for Experimental Use [0xF3B3]',                             # [RFC 7540]
	0xF3B4 : 'Reserved for Experimental Use [0xF3B4]',                             # [RFC 7540]
	0xF3B5 : 'Reserved for Experimental Use [0xF3B5]',                             # [RFC 7540]
	0xF3B6 : 'Reserved for Experimental Use [0xF3B6]',                             # [RFC 7540]
	0xF3B7 : 'Reserved for Experimental Use [0xF3B7]',                             # [RFC 7540]
	0xF3B8 : 'Reserved for Experimental Use [0xF3B8]',                             # [RFC 7540]
	0xF3B9 : 'Reserved for Experimental Use [0xF3B9]',                             # [RFC 7540]
	0xF3BA : 'Reserved for Experimental Use [0xF3BA]',                             # [RFC 7540]
	0xF3BB : 'Reserved for Experimental Use [0xF3BB]',                             # [RFC 7540]
	0xF3BC : 'Reserved for Experimental Use [0xF3BC]',                             # [RFC 7540]
	0xF3BD : 'Reserved for Experimental Use [0xF3BD]',                             # [RFC 7540]
	0xF3BE : 'Reserved for Experimental Use [0xF3BE]',                             # [RFC 7540]
	0xF3BF : 'Reserved for Experimental Use [0xF3BF]',                             # [RFC 7540]
	0xF3C0 : 'Reserved for Experimental Use [0xF3C0]',                             # [RFC 7540]
	0xF3C1 : 'Reserved for Experimental Use [0xF3C1]',                             # [RFC 7540]
	0xF3C2 : 'Reserved for Experimental Use [0xF3C2]',                             # [RFC 7540]
	0xF3C3 : 'Reserved for Experimental Use [0xF3C3]',                             # [RFC 7540]
	0xF3C4 : 'Reserved for Experimental Use [0xF3C4]',                             # [RFC 7540]
	0xF3C5 : 'Reserved for Experimental Use [0xF3C5]',                             # [RFC 7540]
	0xF3C6 : 'Reserved for Experimental Use [0xF3C6]',                             # [RFC 7540]
	0xF3C7 : 'Reserved for Experimental Use [0xF3C7]',                             # [RFC 7540]
	0xF3C8 : 'Reserved for Experimental Use [0xF3C8]',                             # [RFC 7540]
	0xF3C9 : 'Reserved for Experimental Use [0xF3C9]',                             # [RFC 7540]
	0xF3CA : 'Reserved for Experimental Use [0xF3CA]',                             # [RFC 7540]
	0xF3CB : 'Reserved for Experimental Use [0xF3CB]',                             # [RFC 7540]
	0xF3CC : 'Reserved for Experimental Use [0xF3CC]',                             # [RFC 7540]
	0xF3CD : 'Reserved for Experimental Use [0xF3CD]',                             # [RFC 7540]
	0xF3CE : 'Reserved for Experimental Use [0xF3CE]',                             # [RFC 7540]
	0xF3CF : 'Reserved for Experimental Use [0xF3CF]',                             # [RFC 7540]
	0xF3D0 : 'Reserved for Experimental Use [0xF3D0]',                             # [RFC 7540]
	0xF3D1 : 'Reserved for Experimental Use [0xF3D1]',                             # [RFC 7540]
	0xF3D2 : 'Reserved for Experimental Use [0xF3D2]',                             # [RFC 7540]
	0xF3D3 : 'Reserved for Experimental Use [0xF3D3]',                             # [RFC 7540]
	0xF3D4 : 'Reserved for Experimental Use [0xF3D4]',                             # [RFC 7540]
	0xF3D5 : 'Reserved for Experimental Use [0xF3D5]',                             # [RFC 7540]
	0xF3D6 : 'Reserved for Experimental Use [0xF3D6]',                             # [RFC 7540]
	0xF3D7 : 'Reserved for Experimental Use [0xF3D7]',                             # [RFC 7540]
	0xF3D8 : 'Reserved for Experimental Use [0xF3D8]',                             # [RFC 7540]
	0xF3D9 : 'Reserved for Experimental Use [0xF3D9]',                             # [RFC 7540]
	0xF3DA : 'Reserved for Experimental Use [0xF3DA]',                             # [RFC 7540]
	0xF3DB : 'Reserved for Experimental Use [0xF3DB]',                             # [RFC 7540]
	0xF3DC : 'Reserved for Experimental Use [0xF3DC]',                             # [RFC 7540]
	0xF3DD : 'Reserved for Experimental Use [0xF3DD]',                             # [RFC 7540]
	0xF3DE : 'Reserved for Experimental Use [0xF3DE]',                             # [RFC 7540]
	0xF3DF : 'Reserved for Experimental Use [0xF3DF]',                             # [RFC 7540]
	0xF3E0 : 'Reserved for Experimental Use [0xF3E0]',                             # [RFC 7540]
	0xF3E1 : 'Reserved for Experimental Use [0xF3E1]',                             # [RFC 7540]
	0xF3E2 : 'Reserved for Experimental Use [0xF3E2]',                             # [RFC 7540]
	0xF3E3 : 'Reserved for Experimental Use [0xF3E3]',                             # [RFC 7540]
	0xF3E4 : 'Reserved for Experimental Use [0xF3E4]',                             # [RFC 7540]
	0xF3E5 : 'Reserved for Experimental Use [0xF3E5]',                             # [RFC 7540]
	0xF3E6 : 'Reserved for Experimental Use [0xF3E6]',                             # [RFC 7540]
	0xF3E7 : 'Reserved for Experimental Use [0xF3E7]',                             # [RFC 7540]
	0xF3E8 : 'Reserved for Experimental Use [0xF3E8]',                             # [RFC 7540]
	0xF3E9 : 'Reserved for Experimental Use [0xF3E9]',                             # [RFC 7540]
	0xF3EA : 'Reserved for Experimental Use [0xF3EA]',                             # [RFC 7540]
	0xF3EB : 'Reserved for Experimental Use [0xF3EB]',                             # [RFC 7540]
	0xF3EC : 'Reserved for Experimental Use [0xF3EC]',                             # [RFC 7540]
	0xF3ED : 'Reserved for Experimental Use [0xF3ED]',                             # [RFC 7540]
	0xF3EE : 'Reserved for Experimental Use [0xF3EE]',                             # [RFC 7540]
	0xF3EF : 'Reserved for Experimental Use [0xF3EF]',                             # [RFC 7540]
	0xF3F0 : 'Reserved for Experimental Use [0xF3F0]',                             # [RFC 7540]
	0xF3F1 : 'Reserved for Experimental Use [0xF3F1]',                             # [RFC 7540]
	0xF3F2 : 'Reserved for Experimental Use [0xF3F2]',                             # [RFC 7540]
	0xF3F3 : 'Reserved for Experimental Use [0xF3F3]',                             # [RFC 7540]
	0xF3F4 : 'Reserved for Experimental Use [0xF3F4]',                             # [RFC 7540]
	0xF3F5 : 'Reserved for Experimental Use [0xF3F5]',                             # [RFC 7540]
	0xF3F6 : 'Reserved for Experimental Use [0xF3F6]',                             # [RFC 7540]
	0xF3F7 : 'Reserved for Experimental Use [0xF3F7]',                             # [RFC 7540]
	0xF3F8 : 'Reserved for Experimental Use [0xF3F8]',                             # [RFC 7540]
	0xF3F9 : 'Reserved for Experimental Use [0xF3F9]',                             # [RFC 7540]
	0xF3FA : 'Reserved for Experimental Use [0xF3FA]',                             # [RFC 7540]
	0xF3FB : 'Reserved for Experimental Use [0xF3FB]',                             # [RFC 7540]
	0xF3FC : 'Reserved for Experimental Use [0xF3FC]',                             # [RFC 7540]
	0xF3FD : 'Reserved for Experimental Use [0xF3FD]',                             # [RFC 7540]
	0xF3FE : 'Reserved for Experimental Use [0xF3FE]',                             # [RFC 7540]
	0xF3FF : 'Reserved for Experimental Use [0xF3FF]',                             # [RFC 7540]
	0xF400 : 'Reserved for Experimental Use [0xF400]',                             # [RFC 7540]
	0xF401 : 'Reserved for Experimental Use [0xF401]',                             # [RFC 7540]
	0xF402 : 'Reserved for Experimental Use [0xF402]',                             # [RFC 7540]
	0xF403 : 'Reserved for Experimental Use [0xF403]',                             # [RFC 7540]
	0xF404 : 'Reserved for Experimental Use [0xF404]',                             # [RFC 7540]
	0xF405 : 'Reserved for Experimental Use [0xF405]',                             # [RFC 7540]
	0xF406 : 'Reserved for Experimental Use [0xF406]',                             # [RFC 7540]
	0xF407 : 'Reserved for Experimental Use [0xF407]',                             # [RFC 7540]
	0xF408 : 'Reserved for Experimental Use [0xF408]',                             # [RFC 7540]
	0xF409 : 'Reserved for Experimental Use [0xF409]',                             # [RFC 7540]
	0xF40A : 'Reserved for Experimental Use [0xF40A]',                             # [RFC 7540]
	0xF40B : 'Reserved for Experimental Use [0xF40B]',                             # [RFC 7540]
	0xF40C : 'Reserved for Experimental Use [0xF40C]',                             # [RFC 7540]
	0xF40D : 'Reserved for Experimental Use [0xF40D]',                             # [RFC 7540]
	0xF40E : 'Reserved for Experimental Use [0xF40E]',                             # [RFC 7540]
	0xF40F : 'Reserved for Experimental Use [0xF40F]',                             # [RFC 7540]
	0xF410 : 'Reserved for Experimental Use [0xF410]',                             # [RFC 7540]
	0xF411 : 'Reserved for Experimental Use [0xF411]',                             # [RFC 7540]
	0xF412 : 'Reserved for Experimental Use [0xF412]',                             # [RFC 7540]
	0xF413 : 'Reserved for Experimental Use [0xF413]',                             # [RFC 7540]
	0xF414 : 'Reserved for Experimental Use [0xF414]',                             # [RFC 7540]
	0xF415 : 'Reserved for Experimental Use [0xF415]',                             # [RFC 7540]
	0xF416 : 'Reserved for Experimental Use [0xF416]',                             # [RFC 7540]
	0xF417 : 'Reserved for Experimental Use [0xF417]',                             # [RFC 7540]
	0xF418 : 'Reserved for Experimental Use [0xF418]',                             # [RFC 7540]
	0xF419 : 'Reserved for Experimental Use [0xF419]',                             # [RFC 7540]
	0xF41A : 'Reserved for Experimental Use [0xF41A]',                             # [RFC 7540]
	0xF41B : 'Reserved for Experimental Use [0xF41B]',                             # [RFC 7540]
	0xF41C : 'Reserved for Experimental Use [0xF41C]',                             # [RFC 7540]
	0xF41D : 'Reserved for Experimental Use [0xF41D]',                             # [RFC 7540]
	0xF41E : 'Reserved for Experimental Use [0xF41E]',                             # [RFC 7540]
	0xF41F : 'Reserved for Experimental Use [0xF41F]',                             # [RFC 7540]
	0xF420 : 'Reserved for Experimental Use [0xF420]',                             # [RFC 7540]
	0xF421 : 'Reserved for Experimental Use [0xF421]',                             # [RFC 7540]
	0xF422 : 'Reserved for Experimental Use [0xF422]',                             # [RFC 7540]
	0xF423 : 'Reserved for Experimental Use [0xF423]',                             # [RFC 7540]
	0xF424 : 'Reserved for Experimental Use [0xF424]',                             # [RFC 7540]
	0xF425 : 'Reserved for Experimental Use [0xF425]',                             # [RFC 7540]
	0xF426 : 'Reserved for Experimental Use [0xF426]',                             # [RFC 7540]
	0xF427 : 'Reserved for Experimental Use [0xF427]',                             # [RFC 7540]
	0xF428 : 'Reserved for Experimental Use [0xF428]',                             # [RFC 7540]
	0xF429 : 'Reserved for Experimental Use [0xF429]',                             # [RFC 7540]
	0xF42A : 'Reserved for Experimental Use [0xF42A]',                             # [RFC 7540]
	0xF42B : 'Reserved for Experimental Use [0xF42B]',                             # [RFC 7540]
	0xF42C : 'Reserved for Experimental Use [0xF42C]',                             # [RFC 7540]
	0xF42D : 'Reserved for Experimental Use [0xF42D]',                             # [RFC 7540]
	0xF42E : 'Reserved for Experimental Use [0xF42E]',                             # [RFC 7540]
	0xF42F : 'Reserved for Experimental Use [0xF42F]',                             # [RFC 7540]
	0xF430 : 'Reserved for Experimental Use [0xF430]',                             # [RFC 7540]
	0xF431 : 'Reserved for Experimental Use [0xF431]',                             # [RFC 7540]
	0xF432 : 'Reserved for Experimental Use [0xF432]',                             # [RFC 7540]
	0xF433 : 'Reserved for Experimental Use [0xF433]',                             # [RFC 7540]
	0xF434 : 'Reserved for Experimental Use [0xF434]',                             # [RFC 7540]
	0xF435 : 'Reserved for Experimental Use [0xF435]',                             # [RFC 7540]
	0xF436 : 'Reserved for Experimental Use [0xF436]',                             # [RFC 7540]
	0xF437 : 'Reserved for Experimental Use [0xF437]',                             # [RFC 7540]
	0xF438 : 'Reserved for Experimental Use [0xF438]',                             # [RFC 7540]
	0xF439 : 'Reserved for Experimental Use [0xF439]',                             # [RFC 7540]
	0xF43A : 'Reserved for Experimental Use [0xF43A]',                             # [RFC 7540]
	0xF43B : 'Reserved for Experimental Use [0xF43B]',                             # [RFC 7540]
	0xF43C : 'Reserved for Experimental Use [0xF43C]',                             # [RFC 7540]
	0xF43D : 'Reserved for Experimental Use [0xF43D]',                             # [RFC 7540]
	0xF43E : 'Reserved for Experimental Use [0xF43E]',                             # [RFC 7540]
	0xF43F : 'Reserved for Experimental Use [0xF43F]',                             # [RFC 7540]
	0xF440 : 'Reserved for Experimental Use [0xF440]',                             # [RFC 7540]
	0xF441 : 'Reserved for Experimental Use [0xF441]',                             # [RFC 7540]
	0xF442 : 'Reserved for Experimental Use [0xF442]',                             # [RFC 7540]
	0xF443 : 'Reserved for Experimental Use [0xF443]',                             # [RFC 7540]
	0xF444 : 'Reserved for Experimental Use [0xF444]',                             # [RFC 7540]
	0xF445 : 'Reserved for Experimental Use [0xF445]',                             # [RFC 7540]
	0xF446 : 'Reserved for Experimental Use [0xF446]',                             # [RFC 7540]
	0xF447 : 'Reserved for Experimental Use [0xF447]',                             # [RFC 7540]
	0xF448 : 'Reserved for Experimental Use [0xF448]',                             # [RFC 7540]
	0xF449 : 'Reserved for Experimental Use [0xF449]',                             # [RFC 7540]
	0xF44A : 'Reserved for Experimental Use [0xF44A]',                             # [RFC 7540]
	0xF44B : 'Reserved for Experimental Use [0xF44B]',                             # [RFC 7540]
	0xF44C : 'Reserved for Experimental Use [0xF44C]',                             # [RFC 7540]
	0xF44D : 'Reserved for Experimental Use [0xF44D]',                             # [RFC 7540]
	0xF44E : 'Reserved for Experimental Use [0xF44E]',                             # [RFC 7540]
	0xF44F : 'Reserved for Experimental Use [0xF44F]',                             # [RFC 7540]
	0xF450 : 'Reserved for Experimental Use [0xF450]',                             # [RFC 7540]
	0xF451 : 'Reserved for Experimental Use [0xF451]',                             # [RFC 7540]
	0xF452 : 'Reserved for Experimental Use [0xF452]',                             # [RFC 7540]
	0xF453 : 'Reserved for Experimental Use [0xF453]',                             # [RFC 7540]
	0xF454 : 'Reserved for Experimental Use [0xF454]',                             # [RFC 7540]
	0xF455 : 'Reserved for Experimental Use [0xF455]',                             # [RFC 7540]
	0xF456 : 'Reserved for Experimental Use [0xF456]',                             # [RFC 7540]
	0xF457 : 'Reserved for Experimental Use [0xF457]',                             # [RFC 7540]
	0xF458 : 'Reserved for Experimental Use [0xF458]',                             # [RFC 7540]
	0xF459 : 'Reserved for Experimental Use [0xF459]',                             # [RFC 7540]
	0xF45A : 'Reserved for Experimental Use [0xF45A]',                             # [RFC 7540]
	0xF45B : 'Reserved for Experimental Use [0xF45B]',                             # [RFC 7540]
	0xF45C : 'Reserved for Experimental Use [0xF45C]',                             # [RFC 7540]
	0xF45D : 'Reserved for Experimental Use [0xF45D]',                             # [RFC 7540]
	0xF45E : 'Reserved for Experimental Use [0xF45E]',                             # [RFC 7540]
	0xF45F : 'Reserved for Experimental Use [0xF45F]',                             # [RFC 7540]
	0xF460 : 'Reserved for Experimental Use [0xF460]',                             # [RFC 7540]
	0xF461 : 'Reserved for Experimental Use [0xF461]',                             # [RFC 7540]
	0xF462 : 'Reserved for Experimental Use [0xF462]',                             # [RFC 7540]
	0xF463 : 'Reserved for Experimental Use [0xF463]',                             # [RFC 7540]
	0xF464 : 'Reserved for Experimental Use [0xF464]',                             # [RFC 7540]
	0xF465 : 'Reserved for Experimental Use [0xF465]',                             # [RFC 7540]
	0xF466 : 'Reserved for Experimental Use [0xF466]',                             # [RFC 7540]
	0xF467 : 'Reserved for Experimental Use [0xF467]',                             # [RFC 7540]
	0xF468 : 'Reserved for Experimental Use [0xF468]',                             # [RFC 7540]
	0xF469 : 'Reserved for Experimental Use [0xF469]',                             # [RFC 7540]
	0xF46A : 'Reserved for Experimental Use [0xF46A]',                             # [RFC 7540]
	0xF46B : 'Reserved for Experimental Use [0xF46B]',                             # [RFC 7540]
	0xF46C : 'Reserved for Experimental Use [0xF46C]',                             # [RFC 7540]
	0xF46D : 'Reserved for Experimental Use [0xF46D]',                             # [RFC 7540]
	0xF46E : 'Reserved for Experimental Use [0xF46E]',                             # [RFC 7540]
	0xF46F : 'Reserved for Experimental Use [0xF46F]',                             # [RFC 7540]
	0xF470 : 'Reserved for Experimental Use [0xF470]',                             # [RFC 7540]
	0xF471 : 'Reserved for Experimental Use [0xF471]',                             # [RFC 7540]
	0xF472 : 'Reserved for Experimental Use [0xF472]',                             # [RFC 7540]
	0xF473 : 'Reserved for Experimental Use [0xF473]',                             # [RFC 7540]
	0xF474 : 'Reserved for Experimental Use [0xF474]',                             # [RFC 7540]
	0xF475 : 'Reserved for Experimental Use [0xF475]',                             # [RFC 7540]
	0xF476 : 'Reserved for Experimental Use [0xF476]',                             # [RFC 7540]
	0xF477 : 'Reserved for Experimental Use [0xF477]',                             # [RFC 7540]
	0xF478 : 'Reserved for Experimental Use [0xF478]',                             # [RFC 7540]
	0xF479 : 'Reserved for Experimental Use [0xF479]',                             # [RFC 7540]
	0xF47A : 'Reserved for Experimental Use [0xF47A]',                             # [RFC 7540]
	0xF47B : 'Reserved for Experimental Use [0xF47B]',                             # [RFC 7540]
	0xF47C : 'Reserved for Experimental Use [0xF47C]',                             # [RFC 7540]
	0xF47D : 'Reserved for Experimental Use [0xF47D]',                             # [RFC 7540]
	0xF47E : 'Reserved for Experimental Use [0xF47E]',                             # [RFC 7540]
	0xF47F : 'Reserved for Experimental Use [0xF47F]',                             # [RFC 7540]
	0xF480 : 'Reserved for Experimental Use [0xF480]',                             # [RFC 7540]
	0xF481 : 'Reserved for Experimental Use [0xF481]',                             # [RFC 7540]
	0xF482 : 'Reserved for Experimental Use [0xF482]',                             # [RFC 7540]
	0xF483 : 'Reserved for Experimental Use [0xF483]',                             # [RFC 7540]
	0xF484 : 'Reserved for Experimental Use [0xF484]',                             # [RFC 7540]
	0xF485 : 'Reserved for Experimental Use [0xF485]',                             # [RFC 7540]
	0xF486 : 'Reserved for Experimental Use [0xF486]',                             # [RFC 7540]
	0xF487 : 'Reserved for Experimental Use [0xF487]',                             # [RFC 7540]
	0xF488 : 'Reserved for Experimental Use [0xF488]',                             # [RFC 7540]
	0xF489 : 'Reserved for Experimental Use [0xF489]',                             # [RFC 7540]
	0xF48A : 'Reserved for Experimental Use [0xF48A]',                             # [RFC 7540]
	0xF48B : 'Reserved for Experimental Use [0xF48B]',                             # [RFC 7540]
	0xF48C : 'Reserved for Experimental Use [0xF48C]',                             # [RFC 7540]
	0xF48D : 'Reserved for Experimental Use [0xF48D]',                             # [RFC 7540]
	0xF48E : 'Reserved for Experimental Use [0xF48E]',                             # [RFC 7540]
	0xF48F : 'Reserved for Experimental Use [0xF48F]',                             # [RFC 7540]
	0xF490 : 'Reserved for Experimental Use [0xF490]',                             # [RFC 7540]
	0xF491 : 'Reserved for Experimental Use [0xF491]',                             # [RFC 7540]
	0xF492 : 'Reserved for Experimental Use [0xF492]',                             # [RFC 7540]
	0xF493 : 'Reserved for Experimental Use [0xF493]',                             # [RFC 7540]
	0xF494 : 'Reserved for Experimental Use [0xF494]',                             # [RFC 7540]
	0xF495 : 'Reserved for Experimental Use [0xF495]',                             # [RFC 7540]
	0xF496 : 'Reserved for Experimental Use [0xF496]',                             # [RFC 7540]
	0xF497 : 'Reserved for Experimental Use [0xF497]',                             # [RFC 7540]
	0xF498 : 'Reserved for Experimental Use [0xF498]',                             # [RFC 7540]
	0xF499 : 'Reserved for Experimental Use [0xF499]',                             # [RFC 7540]
	0xF49A : 'Reserved for Experimental Use [0xF49A]',                             # [RFC 7540]
	0xF49B : 'Reserved for Experimental Use [0xF49B]',                             # [RFC 7540]
	0xF49C : 'Reserved for Experimental Use [0xF49C]',                             # [RFC 7540]
	0xF49D : 'Reserved for Experimental Use [0xF49D]',                             # [RFC 7540]
	0xF49E : 'Reserved for Experimental Use [0xF49E]',                             # [RFC 7540]
	0xF49F : 'Reserved for Experimental Use [0xF49F]',                             # [RFC 7540]
	0xF4A0 : 'Reserved for Experimental Use [0xF4A0]',                             # [RFC 7540]
	0xF4A1 : 'Reserved for Experimental Use [0xF4A1]',                             # [RFC 7540]
	0xF4A2 : 'Reserved for Experimental Use [0xF4A2]',                             # [RFC 7540]
	0xF4A3 : 'Reserved for Experimental Use [0xF4A3]',                             # [RFC 7540]
	0xF4A4 : 'Reserved for Experimental Use [0xF4A4]',                             # [RFC 7540]
	0xF4A5 : 'Reserved for Experimental Use [0xF4A5]',                             # [RFC 7540]
	0xF4A6 : 'Reserved for Experimental Use [0xF4A6]',                             # [RFC 7540]
	0xF4A7 : 'Reserved for Experimental Use [0xF4A7]',                             # [RFC 7540]
	0xF4A8 : 'Reserved for Experimental Use [0xF4A8]',                             # [RFC 7540]
	0xF4A9 : 'Reserved for Experimental Use [0xF4A9]',                             # [RFC 7540]
	0xF4AA : 'Reserved for Experimental Use [0xF4AA]',                             # [RFC 7540]
	0xF4AB : 'Reserved for Experimental Use [0xF4AB]',                             # [RFC 7540]
	0xF4AC : 'Reserved for Experimental Use [0xF4AC]',                             # [RFC 7540]
	0xF4AD : 'Reserved for Experimental Use [0xF4AD]',                             # [RFC 7540]
	0xF4AE : 'Reserved for Experimental Use [0xF4AE]',                             # [RFC 7540]
	0xF4AF : 'Reserved for Experimental Use [0xF4AF]',                             # [RFC 7540]
	0xF4B0 : 'Reserved for Experimental Use [0xF4B0]',                             # [RFC 7540]
	0xF4B1 : 'Reserved for Experimental Use [0xF4B1]',                             # [RFC 7540]
	0xF4B2 : 'Reserved for Experimental Use [0xF4B2]',                             # [RFC 7540]
	0xF4B3 : 'Reserved for Experimental Use [0xF4B3]',                             # [RFC 7540]
	0xF4B4 : 'Reserved for Experimental Use [0xF4B4]',                             # [RFC 7540]
	0xF4B5 : 'Reserved for Experimental Use [0xF4B5]',                             # [RFC 7540]
	0xF4B6 : 'Reserved for Experimental Use [0xF4B6]',                             # [RFC 7540]
	0xF4B7 : 'Reserved for Experimental Use [0xF4B7]',                             # [RFC 7540]
	0xF4B8 : 'Reserved for Experimental Use [0xF4B8]',                             # [RFC 7540]
	0xF4B9 : 'Reserved for Experimental Use [0xF4B9]',                             # [RFC 7540]
	0xF4BA : 'Reserved for Experimental Use [0xF4BA]',                             # [RFC 7540]
	0xF4BB : 'Reserved for Experimental Use [0xF4BB]',                             # [RFC 7540]
	0xF4BC : 'Reserved for Experimental Use [0xF4BC]',                             # [RFC 7540]
	0xF4BD : 'Reserved for Experimental Use [0xF4BD]',                             # [RFC 7540]
	0xF4BE : 'Reserved for Experimental Use [0xF4BE]',                             # [RFC 7540]
	0xF4BF : 'Reserved for Experimental Use [0xF4BF]',                             # [RFC 7540]
	0xF4C0 : 'Reserved for Experimental Use [0xF4C0]',                             # [RFC 7540]
	0xF4C1 : 'Reserved for Experimental Use [0xF4C1]',                             # [RFC 7540]
	0xF4C2 : 'Reserved for Experimental Use [0xF4C2]',                             # [RFC 7540]
	0xF4C3 : 'Reserved for Experimental Use [0xF4C3]',                             # [RFC 7540]
	0xF4C4 : 'Reserved for Experimental Use [0xF4C4]',                             # [RFC 7540]
	0xF4C5 : 'Reserved for Experimental Use [0xF4C5]',                             # [RFC 7540]
	0xF4C6 : 'Reserved for Experimental Use [0xF4C6]',                             # [RFC 7540]
	0xF4C7 : 'Reserved for Experimental Use [0xF4C7]',                             # [RFC 7540]
	0xF4C8 : 'Reserved for Experimental Use [0xF4C8]',                             # [RFC 7540]
	0xF4C9 : 'Reserved for Experimental Use [0xF4C9]',                             # [RFC 7540]
	0xF4CA : 'Reserved for Experimental Use [0xF4CA]',                             # [RFC 7540]
	0xF4CB : 'Reserved for Experimental Use [0xF4CB]',                             # [RFC 7540]
	0xF4CC : 'Reserved for Experimental Use [0xF4CC]',                             # [RFC 7540]
	0xF4CD : 'Reserved for Experimental Use [0xF4CD]',                             # [RFC 7540]
	0xF4CE : 'Reserved for Experimental Use [0xF4CE]',                             # [RFC 7540]
	0xF4CF : 'Reserved for Experimental Use [0xF4CF]',                             # [RFC 7540]
	0xF4D0 : 'Reserved for Experimental Use [0xF4D0]',                             # [RFC 7540]
	0xF4D1 : 'Reserved for Experimental Use [0xF4D1]',                             # [RFC 7540]
	0xF4D2 : 'Reserved for Experimental Use [0xF4D2]',                             # [RFC 7540]
	0xF4D3 : 'Reserved for Experimental Use [0xF4D3]',                             # [RFC 7540]
	0xF4D4 : 'Reserved for Experimental Use [0xF4D4]',                             # [RFC 7540]
	0xF4D5 : 'Reserved for Experimental Use [0xF4D5]',                             # [RFC 7540]
	0xF4D6 : 'Reserved for Experimental Use [0xF4D6]',                             # [RFC 7540]
	0xF4D7 : 'Reserved for Experimental Use [0xF4D7]',                             # [RFC 7540]
	0xF4D8 : 'Reserved for Experimental Use [0xF4D8]',                             # [RFC 7540]
	0xF4D9 : 'Reserved for Experimental Use [0xF4D9]',                             # [RFC 7540]
	0xF4DA : 'Reserved for Experimental Use [0xF4DA]',                             # [RFC 7540]
	0xF4DB : 'Reserved for Experimental Use [0xF4DB]',                             # [RFC 7540]
	0xF4DC : 'Reserved for Experimental Use [0xF4DC]',                             # [RFC 7540]
	0xF4DD : 'Reserved for Experimental Use [0xF4DD]',                             # [RFC 7540]
	0xF4DE : 'Reserved for Experimental Use [0xF4DE]',                             # [RFC 7540]
	0xF4DF : 'Reserved for Experimental Use [0xF4DF]',                             # [RFC 7540]
	0xF4E0 : 'Reserved for Experimental Use [0xF4E0]',                             # [RFC 7540]
	0xF4E1 : 'Reserved for Experimental Use [0xF4E1]',                             # [RFC 7540]
	0xF4E2 : 'Reserved for Experimental Use [0xF4E2]',                             # [RFC 7540]
	0xF4E3 : 'Reserved for Experimental Use [0xF4E3]',                             # [RFC 7540]
	0xF4E4 : 'Reserved for Experimental Use [0xF4E4]',                             # [RFC 7540]
	0xF4E5 : 'Reserved for Experimental Use [0xF4E5]',                             # [RFC 7540]
	0xF4E6 : 'Reserved for Experimental Use [0xF4E6]',                             # [RFC 7540]
	0xF4E7 : 'Reserved for Experimental Use [0xF4E7]',                             # [RFC 7540]
	0xF4E8 : 'Reserved for Experimental Use [0xF4E8]',                             # [RFC 7540]
	0xF4E9 : 'Reserved for Experimental Use [0xF4E9]',                             # [RFC 7540]
	0xF4EA : 'Reserved for Experimental Use [0xF4EA]',                             # [RFC 7540]
	0xF4EB : 'Reserved for Experimental Use [0xF4EB]',                             # [RFC 7540]
	0xF4EC : 'Reserved for Experimental Use [0xF4EC]',                             # [RFC 7540]
	0xF4ED : 'Reserved for Experimental Use [0xF4ED]',                             # [RFC 7540]
	0xF4EE : 'Reserved for Experimental Use [0xF4EE]',                             # [RFC 7540]
	0xF4EF : 'Reserved for Experimental Use [0xF4EF]',                             # [RFC 7540]
	0xF4F0 : 'Reserved for Experimental Use [0xF4F0]',                             # [RFC 7540]
	0xF4F1 : 'Reserved for Experimental Use [0xF4F1]',                             # [RFC 7540]
	0xF4F2 : 'Reserved for Experimental Use [0xF4F2]',                             # [RFC 7540]
	0xF4F3 : 'Reserved for Experimental Use [0xF4F3]',                             # [RFC 7540]
	0xF4F4 : 'Reserved for Experimental Use [0xF4F4]',                             # [RFC 7540]
	0xF4F5 : 'Reserved for Experimental Use [0xF4F5]',                             # [RFC 7540]
	0xF4F6 : 'Reserved for Experimental Use [0xF4F6]',                             # [RFC 7540]
	0xF4F7 : 'Reserved for Experimental Use [0xF4F7]',                             # [RFC 7540]
	0xF4F8 : 'Reserved for Experimental Use [0xF4F8]',                             # [RFC 7540]
	0xF4F9 : 'Reserved for Experimental Use [0xF4F9]',                             # [RFC 7540]
	0xF4FA : 'Reserved for Experimental Use [0xF4FA]',                             # [RFC 7540]
	0xF4FB : 'Reserved for Experimental Use [0xF4FB]',                             # [RFC 7540]
	0xF4FC : 'Reserved for Experimental Use [0xF4FC]',                             # [RFC 7540]
	0xF4FD : 'Reserved for Experimental Use [0xF4FD]',                             # [RFC 7540]
	0xF4FE : 'Reserved for Experimental Use [0xF4FE]',                             # [RFC 7540]
	0xF4FF : 'Reserved for Experimental Use [0xF4FF]',                             # [RFC 7540]
	0xF500 : 'Reserved for Experimental Use [0xF500]',                             # [RFC 7540]
	0xF501 : 'Reserved for Experimental Use [0xF501]',                             # [RFC 7540]
	0xF502 : 'Reserved for Experimental Use [0xF502]',                             # [RFC 7540]
	0xF503 : 'Reserved for Experimental Use [0xF503]',                             # [RFC 7540]
	0xF504 : 'Reserved for Experimental Use [0xF504]',                             # [RFC 7540]
	0xF505 : 'Reserved for Experimental Use [0xF505]',                             # [RFC 7540]
	0xF506 : 'Reserved for Experimental Use [0xF506]',                             # [RFC 7540]
	0xF507 : 'Reserved for Experimental Use [0xF507]',                             # [RFC 7540]
	0xF508 : 'Reserved for Experimental Use [0xF508]',                             # [RFC 7540]
	0xF509 : 'Reserved for Experimental Use [0xF509]',                             # [RFC 7540]
	0xF50A : 'Reserved for Experimental Use [0xF50A]',                             # [RFC 7540]
	0xF50B : 'Reserved for Experimental Use [0xF50B]',                             # [RFC 7540]
	0xF50C : 'Reserved for Experimental Use [0xF50C]',                             # [RFC 7540]
	0xF50D : 'Reserved for Experimental Use [0xF50D]',                             # [RFC 7540]
	0xF50E : 'Reserved for Experimental Use [0xF50E]',                             # [RFC 7540]
	0xF50F : 'Reserved for Experimental Use [0xF50F]',                             # [RFC 7540]
	0xF510 : 'Reserved for Experimental Use [0xF510]',                             # [RFC 7540]
	0xF511 : 'Reserved for Experimental Use [0xF511]',                             # [RFC 7540]
	0xF512 : 'Reserved for Experimental Use [0xF512]',                             # [RFC 7540]
	0xF513 : 'Reserved for Experimental Use [0xF513]',                             # [RFC 7540]
	0xF514 : 'Reserved for Experimental Use [0xF514]',                             # [RFC 7540]
	0xF515 : 'Reserved for Experimental Use [0xF515]',                             # [RFC 7540]
	0xF516 : 'Reserved for Experimental Use [0xF516]',                             # [RFC 7540]
	0xF517 : 'Reserved for Experimental Use [0xF517]',                             # [RFC 7540]
	0xF518 : 'Reserved for Experimental Use [0xF518]',                             # [RFC 7540]
	0xF519 : 'Reserved for Experimental Use [0xF519]',                             # [RFC 7540]
	0xF51A : 'Reserved for Experimental Use [0xF51A]',                             # [RFC 7540]
	0xF51B : 'Reserved for Experimental Use [0xF51B]',                             # [RFC 7540]
	0xF51C : 'Reserved for Experimental Use [0xF51C]',                             # [RFC 7540]
	0xF51D : 'Reserved for Experimental Use [0xF51D]',                             # [RFC 7540]
	0xF51E : 'Reserved for Experimental Use [0xF51E]',                             # [RFC 7540]
	0xF51F : 'Reserved for Experimental Use [0xF51F]',                             # [RFC 7540]
	0xF520 : 'Reserved for Experimental Use [0xF520]',                             # [RFC 7540]
	0xF521 : 'Reserved for Experimental Use [0xF521]',                             # [RFC 7540]
	0xF522 : 'Reserved for Experimental Use [0xF522]',                             # [RFC 7540]
	0xF523 : 'Reserved for Experimental Use [0xF523]',                             # [RFC 7540]
	0xF524 : 'Reserved for Experimental Use [0xF524]',                             # [RFC 7540]
	0xF525 : 'Reserved for Experimental Use [0xF525]',                             # [RFC 7540]
	0xF526 : 'Reserved for Experimental Use [0xF526]',                             # [RFC 7540]
	0xF527 : 'Reserved for Experimental Use [0xF527]',                             # [RFC 7540]
	0xF528 : 'Reserved for Experimental Use [0xF528]',                             # [RFC 7540]
	0xF529 : 'Reserved for Experimental Use [0xF529]',                             # [RFC 7540]
	0xF52A : 'Reserved for Experimental Use [0xF52A]',                             # [RFC 7540]
	0xF52B : 'Reserved for Experimental Use [0xF52B]',                             # [RFC 7540]
	0xF52C : 'Reserved for Experimental Use [0xF52C]',                             # [RFC 7540]
	0xF52D : 'Reserved for Experimental Use [0xF52D]',                             # [RFC 7540]
	0xF52E : 'Reserved for Experimental Use [0xF52E]',                             # [RFC 7540]
	0xF52F : 'Reserved for Experimental Use [0xF52F]',                             # [RFC 7540]
	0xF530 : 'Reserved for Experimental Use [0xF530]',                             # [RFC 7540]
	0xF531 : 'Reserved for Experimental Use [0xF531]',                             # [RFC 7540]
	0xF532 : 'Reserved for Experimental Use [0xF532]',                             # [RFC 7540]
	0xF533 : 'Reserved for Experimental Use [0xF533]',                             # [RFC 7540]
	0xF534 : 'Reserved for Experimental Use [0xF534]',                             # [RFC 7540]
	0xF535 : 'Reserved for Experimental Use [0xF535]',                             # [RFC 7540]
	0xF536 : 'Reserved for Experimental Use [0xF536]',                             # [RFC 7540]
	0xF537 : 'Reserved for Experimental Use [0xF537]',                             # [RFC 7540]
	0xF538 : 'Reserved for Experimental Use [0xF538]',                             # [RFC 7540]
	0xF539 : 'Reserved for Experimental Use [0xF539]',                             # [RFC 7540]
	0xF53A : 'Reserved for Experimental Use [0xF53A]',                             # [RFC 7540]
	0xF53B : 'Reserved for Experimental Use [0xF53B]',                             # [RFC 7540]
	0xF53C : 'Reserved for Experimental Use [0xF53C]',                             # [RFC 7540]
	0xF53D : 'Reserved for Experimental Use [0xF53D]',                             # [RFC 7540]
	0xF53E : 'Reserved for Experimental Use [0xF53E]',                             # [RFC 7540]
	0xF53F : 'Reserved for Experimental Use [0xF53F]',                             # [RFC 7540]
	0xF540 : 'Reserved for Experimental Use [0xF540]',                             # [RFC 7540]
	0xF541 : 'Reserved for Experimental Use [0xF541]',                             # [RFC 7540]
	0xF542 : 'Reserved for Experimental Use [0xF542]',                             # [RFC 7540]
	0xF543 : 'Reserved for Experimental Use [0xF543]',                             # [RFC 7540]
	0xF544 : 'Reserved for Experimental Use [0xF544]',                             # [RFC 7540]
	0xF545 : 'Reserved for Experimental Use [0xF545]',                             # [RFC 7540]
	0xF546 : 'Reserved for Experimental Use [0xF546]',                             # [RFC 7540]
	0xF547 : 'Reserved for Experimental Use [0xF547]',                             # [RFC 7540]
	0xF548 : 'Reserved for Experimental Use [0xF548]',                             # [RFC 7540]
	0xF549 : 'Reserved for Experimental Use [0xF549]',                             # [RFC 7540]
	0xF54A : 'Reserved for Experimental Use [0xF54A]',                             # [RFC 7540]
	0xF54B : 'Reserved for Experimental Use [0xF54B]',                             # [RFC 7540]
	0xF54C : 'Reserved for Experimental Use [0xF54C]',                             # [RFC 7540]
	0xF54D : 'Reserved for Experimental Use [0xF54D]',                             # [RFC 7540]
	0xF54E : 'Reserved for Experimental Use [0xF54E]',                             # [RFC 7540]
	0xF54F : 'Reserved for Experimental Use [0xF54F]',                             # [RFC 7540]
	0xF550 : 'Reserved for Experimental Use [0xF550]',                             # [RFC 7540]
	0xF551 : 'Reserved for Experimental Use [0xF551]',                             # [RFC 7540]
	0xF552 : 'Reserved for Experimental Use [0xF552]',                             # [RFC 7540]
	0xF553 : 'Reserved for Experimental Use [0xF553]',                             # [RFC 7540]
	0xF554 : 'Reserved for Experimental Use [0xF554]',                             # [RFC 7540]
	0xF555 : 'Reserved for Experimental Use [0xF555]',                             # [RFC 7540]
	0xF556 : 'Reserved for Experimental Use [0xF556]',                             # [RFC 7540]
	0xF557 : 'Reserved for Experimental Use [0xF557]',                             # [RFC 7540]
	0xF558 : 'Reserved for Experimental Use [0xF558]',                             # [RFC 7540]
	0xF559 : 'Reserved for Experimental Use [0xF559]',                             # [RFC 7540]
	0xF55A : 'Reserved for Experimental Use [0xF55A]',                             # [RFC 7540]
	0xF55B : 'Reserved for Experimental Use [0xF55B]',                             # [RFC 7540]
	0xF55C : 'Reserved for Experimental Use [0xF55C]',                             # [RFC 7540]
	0xF55D : 'Reserved for Experimental Use [0xF55D]',                             # [RFC 7540]
	0xF55E : 'Reserved for Experimental Use [0xF55E]',                             # [RFC 7540]
	0xF55F : 'Reserved for Experimental Use [0xF55F]',                             # [RFC 7540]
	0xF560 : 'Reserved for Experimental Use [0xF560]',                             # [RFC 7540]
	0xF561 : 'Reserved for Experimental Use [0xF561]',                             # [RFC 7540]
	0xF562 : 'Reserved for Experimental Use [0xF562]',                             # [RFC 7540]
	0xF563 : 'Reserved for Experimental Use [0xF563]',                             # [RFC 7540]
	0xF564 : 'Reserved for Experimental Use [0xF564]',                             # [RFC 7540]
	0xF565 : 'Reserved for Experimental Use [0xF565]',                             # [RFC 7540]
	0xF566 : 'Reserved for Experimental Use [0xF566]',                             # [RFC 7540]
	0xF567 : 'Reserved for Experimental Use [0xF567]',                             # [RFC 7540]
	0xF568 : 'Reserved for Experimental Use [0xF568]',                             # [RFC 7540]
	0xF569 : 'Reserved for Experimental Use [0xF569]',                             # [RFC 7540]
	0xF56A : 'Reserved for Experimental Use [0xF56A]',                             # [RFC 7540]
	0xF56B : 'Reserved for Experimental Use [0xF56B]',                             # [RFC 7540]
	0xF56C : 'Reserved for Experimental Use [0xF56C]',                             # [RFC 7540]
	0xF56D : 'Reserved for Experimental Use [0xF56D]',                             # [RFC 7540]
	0xF56E : 'Reserved for Experimental Use [0xF56E]',                             # [RFC 7540]
	0xF56F : 'Reserved for Experimental Use [0xF56F]',                             # [RFC 7540]
	0xF570 : 'Reserved for Experimental Use [0xF570]',                             # [RFC 7540]
	0xF571 : 'Reserved for Experimental Use [0xF571]',                             # [RFC 7540]
	0xF572 : 'Reserved for Experimental Use [0xF572]',                             # [RFC 7540]
	0xF573 : 'Reserved for Experimental Use [0xF573]',                             # [RFC 7540]
	0xF574 : 'Reserved for Experimental Use [0xF574]',                             # [RFC 7540]
	0xF575 : 'Reserved for Experimental Use [0xF575]',                             # [RFC 7540]
	0xF576 : 'Reserved for Experimental Use [0xF576]',                             # [RFC 7540]
	0xF577 : 'Reserved for Experimental Use [0xF577]',                             # [RFC 7540]
	0xF578 : 'Reserved for Experimental Use [0xF578]',                             # [RFC 7540]
	0xF579 : 'Reserved for Experimental Use [0xF579]',                             # [RFC 7540]
	0xF57A : 'Reserved for Experimental Use [0xF57A]',                             # [RFC 7540]
	0xF57B : 'Reserved for Experimental Use [0xF57B]',                             # [RFC 7540]
	0xF57C : 'Reserved for Experimental Use [0xF57C]',                             # [RFC 7540]
	0xF57D : 'Reserved for Experimental Use [0xF57D]',                             # [RFC 7540]
	0xF57E : 'Reserved for Experimental Use [0xF57E]',                             # [RFC 7540]
	0xF57F : 'Reserved for Experimental Use [0xF57F]',                             # [RFC 7540]
	0xF580 : 'Reserved for Experimental Use [0xF580]',                             # [RFC 7540]
	0xF581 : 'Reserved for Experimental Use [0xF581]',                             # [RFC 7540]
	0xF582 : 'Reserved for Experimental Use [0xF582]',                             # [RFC 7540]
	0xF583 : 'Reserved for Experimental Use [0xF583]',                             # [RFC 7540]
	0xF584 : 'Reserved for Experimental Use [0xF584]',                             # [RFC 7540]
	0xF585 : 'Reserved for Experimental Use [0xF585]',                             # [RFC 7540]
	0xF586 : 'Reserved for Experimental Use [0xF586]',                             # [RFC 7540]
	0xF587 : 'Reserved for Experimental Use [0xF587]',                             # [RFC 7540]
	0xF588 : 'Reserved for Experimental Use [0xF588]',                             # [RFC 7540]
	0xF589 : 'Reserved for Experimental Use [0xF589]',                             # [RFC 7540]
	0xF58A : 'Reserved for Experimental Use [0xF58A]',                             # [RFC 7540]
	0xF58B : 'Reserved for Experimental Use [0xF58B]',                             # [RFC 7540]
	0xF58C : 'Reserved for Experimental Use [0xF58C]',                             # [RFC 7540]
	0xF58D : 'Reserved for Experimental Use [0xF58D]',                             # [RFC 7540]
	0xF58E : 'Reserved for Experimental Use [0xF58E]',                             # [RFC 7540]
	0xF58F : 'Reserved for Experimental Use [0xF58F]',                             # [RFC 7540]
	0xF590 : 'Reserved for Experimental Use [0xF590]',                             # [RFC 7540]
	0xF591 : 'Reserved for Experimental Use [0xF591]',                             # [RFC 7540]
	0xF592 : 'Reserved for Experimental Use [0xF592]',                             # [RFC 7540]
	0xF593 : 'Reserved for Experimental Use [0xF593]',                             # [RFC 7540]
	0xF594 : 'Reserved for Experimental Use [0xF594]',                             # [RFC 7540]
	0xF595 : 'Reserved for Experimental Use [0xF595]',                             # [RFC 7540]
	0xF596 : 'Reserved for Experimental Use [0xF596]',                             # [RFC 7540]
	0xF597 : 'Reserved for Experimental Use [0xF597]',                             # [RFC 7540]
	0xF598 : 'Reserved for Experimental Use [0xF598]',                             # [RFC 7540]
	0xF599 : 'Reserved for Experimental Use [0xF599]',                             # [RFC 7540]
	0xF59A : 'Reserved for Experimental Use [0xF59A]',                             # [RFC 7540]
	0xF59B : 'Reserved for Experimental Use [0xF59B]',                             # [RFC 7540]
	0xF59C : 'Reserved for Experimental Use [0xF59C]',                             # [RFC 7540]
	0xF59D : 'Reserved for Experimental Use [0xF59D]',                             # [RFC 7540]
	0xF59E : 'Reserved for Experimental Use [0xF59E]',                             # [RFC 7540]
	0xF59F : 'Reserved for Experimental Use [0xF59F]',                             # [RFC 7540]
	0xF5A0 : 'Reserved for Experimental Use [0xF5A0]',                             # [RFC 7540]
	0xF5A1 : 'Reserved for Experimental Use [0xF5A1]',                             # [RFC 7540]
	0xF5A2 : 'Reserved for Experimental Use [0xF5A2]',                             # [RFC 7540]
	0xF5A3 : 'Reserved for Experimental Use [0xF5A3]',                             # [RFC 7540]
	0xF5A4 : 'Reserved for Experimental Use [0xF5A4]',                             # [RFC 7540]
	0xF5A5 : 'Reserved for Experimental Use [0xF5A5]',                             # [RFC 7540]
	0xF5A6 : 'Reserved for Experimental Use [0xF5A6]',                             # [RFC 7540]
	0xF5A7 : 'Reserved for Experimental Use [0xF5A7]',                             # [RFC 7540]
	0xF5A8 : 'Reserved for Experimental Use [0xF5A8]',                             # [RFC 7540]
	0xF5A9 : 'Reserved for Experimental Use [0xF5A9]',                             # [RFC 7540]
	0xF5AA : 'Reserved for Experimental Use [0xF5AA]',                             # [RFC 7540]
	0xF5AB : 'Reserved for Experimental Use [0xF5AB]',                             # [RFC 7540]
	0xF5AC : 'Reserved for Experimental Use [0xF5AC]',                             # [RFC 7540]
	0xF5AD : 'Reserved for Experimental Use [0xF5AD]',                             # [RFC 7540]
	0xF5AE : 'Reserved for Experimental Use [0xF5AE]',                             # [RFC 7540]
	0xF5AF : 'Reserved for Experimental Use [0xF5AF]',                             # [RFC 7540]
	0xF5B0 : 'Reserved for Experimental Use [0xF5B0]',                             # [RFC 7540]
	0xF5B1 : 'Reserved for Experimental Use [0xF5B1]',                             # [RFC 7540]
	0xF5B2 : 'Reserved for Experimental Use [0xF5B2]',                             # [RFC 7540]
	0xF5B3 : 'Reserved for Experimental Use [0xF5B3]',                             # [RFC 7540]
	0xF5B4 : 'Reserved for Experimental Use [0xF5B4]',                             # [RFC 7540]
	0xF5B5 : 'Reserved for Experimental Use [0xF5B5]',                             # [RFC 7540]
	0xF5B6 : 'Reserved for Experimental Use [0xF5B6]',                             # [RFC 7540]
	0xF5B7 : 'Reserved for Experimental Use [0xF5B7]',                             # [RFC 7540]
	0xF5B8 : 'Reserved for Experimental Use [0xF5B8]',                             # [RFC 7540]
	0xF5B9 : 'Reserved for Experimental Use [0xF5B9]',                             # [RFC 7540]
	0xF5BA : 'Reserved for Experimental Use [0xF5BA]',                             # [RFC 7540]
	0xF5BB : 'Reserved for Experimental Use [0xF5BB]',                             # [RFC 7540]
	0xF5BC : 'Reserved for Experimental Use [0xF5BC]',                             # [RFC 7540]
	0xF5BD : 'Reserved for Experimental Use [0xF5BD]',                             # [RFC 7540]
	0xF5BE : 'Reserved for Experimental Use [0xF5BE]',                             # [RFC 7540]
	0xF5BF : 'Reserved for Experimental Use [0xF5BF]',                             # [RFC 7540]
	0xF5C0 : 'Reserved for Experimental Use [0xF5C0]',                             # [RFC 7540]
	0xF5C1 : 'Reserved for Experimental Use [0xF5C1]',                             # [RFC 7540]
	0xF5C2 : 'Reserved for Experimental Use [0xF5C2]',                             # [RFC 7540]
	0xF5C3 : 'Reserved for Experimental Use [0xF5C3]',                             # [RFC 7540]
	0xF5C4 : 'Reserved for Experimental Use [0xF5C4]',                             # [RFC 7540]
	0xF5C5 : 'Reserved for Experimental Use [0xF5C5]',                             # [RFC 7540]
	0xF5C6 : 'Reserved for Experimental Use [0xF5C6]',                             # [RFC 7540]
	0xF5C7 : 'Reserved for Experimental Use [0xF5C7]',                             # [RFC 7540]
	0xF5C8 : 'Reserved for Experimental Use [0xF5C8]',                             # [RFC 7540]
	0xF5C9 : 'Reserved for Experimental Use [0xF5C9]',                             # [RFC 7540]
	0xF5CA : 'Reserved for Experimental Use [0xF5CA]',                             # [RFC 7540]
	0xF5CB : 'Reserved for Experimental Use [0xF5CB]',                             # [RFC 7540]
	0xF5CC : 'Reserved for Experimental Use [0xF5CC]',                             # [RFC 7540]
	0xF5CD : 'Reserved for Experimental Use [0xF5CD]',                             # [RFC 7540]
	0xF5CE : 'Reserved for Experimental Use [0xF5CE]',                             # [RFC 7540]
	0xF5CF : 'Reserved for Experimental Use [0xF5CF]',                             # [RFC 7540]
	0xF5D0 : 'Reserved for Experimental Use [0xF5D0]',                             # [RFC 7540]
	0xF5D1 : 'Reserved for Experimental Use [0xF5D1]',                             # [RFC 7540]
	0xF5D2 : 'Reserved for Experimental Use [0xF5D2]',                             # [RFC 7540]
	0xF5D3 : 'Reserved for Experimental Use [0xF5D3]',                             # [RFC 7540]
	0xF5D4 : 'Reserved for Experimental Use [0xF5D4]',                             # [RFC 7540]
	0xF5D5 : 'Reserved for Experimental Use [0xF5D5]',                             # [RFC 7540]
	0xF5D6 : 'Reserved for Experimental Use [0xF5D6]',                             # [RFC 7540]
	0xF5D7 : 'Reserved for Experimental Use [0xF5D7]',                             # [RFC 7540]
	0xF5D8 : 'Reserved for Experimental Use [0xF5D8]',                             # [RFC 7540]
	0xF5D9 : 'Reserved for Experimental Use [0xF5D9]',                             # [RFC 7540]
	0xF5DA : 'Reserved for Experimental Use [0xF5DA]',                             # [RFC 7540]
	0xF5DB : 'Reserved for Experimental Use [0xF5DB]',                             # [RFC 7540]
	0xF5DC : 'Reserved for Experimental Use [0xF5DC]',                             # [RFC 7540]
	0xF5DD : 'Reserved for Experimental Use [0xF5DD]',                             # [RFC 7540]
	0xF5DE : 'Reserved for Experimental Use [0xF5DE]',                             # [RFC 7540]
	0xF5DF : 'Reserved for Experimental Use [0xF5DF]',                             # [RFC 7540]
	0xF5E0 : 'Reserved for Experimental Use [0xF5E0]',                             # [RFC 7540]
	0xF5E1 : 'Reserved for Experimental Use [0xF5E1]',                             # [RFC 7540]
	0xF5E2 : 'Reserved for Experimental Use [0xF5E2]',                             # [RFC 7540]
	0xF5E3 : 'Reserved for Experimental Use [0xF5E3]',                             # [RFC 7540]
	0xF5E4 : 'Reserved for Experimental Use [0xF5E4]',                             # [RFC 7540]
	0xF5E5 : 'Reserved for Experimental Use [0xF5E5]',                             # [RFC 7540]
	0xF5E6 : 'Reserved for Experimental Use [0xF5E6]',                             # [RFC 7540]
	0xF5E7 : 'Reserved for Experimental Use [0xF5E7]',                             # [RFC 7540]
	0xF5E8 : 'Reserved for Experimental Use [0xF5E8]',                             # [RFC 7540]
	0xF5E9 : 'Reserved for Experimental Use [0xF5E9]',                             # [RFC 7540]
	0xF5EA : 'Reserved for Experimental Use [0xF5EA]',                             # [RFC 7540]
	0xF5EB : 'Reserved for Experimental Use [0xF5EB]',                             # [RFC 7540]
	0xF5EC : 'Reserved for Experimental Use [0xF5EC]',                             # [RFC 7540]
	0xF5ED : 'Reserved for Experimental Use [0xF5ED]',                             # [RFC 7540]
	0xF5EE : 'Reserved for Experimental Use [0xF5EE]',                             # [RFC 7540]
	0xF5EF : 'Reserved for Experimental Use [0xF5EF]',                             # [RFC 7540]
	0xF5F0 : 'Reserved for Experimental Use [0xF5F0]',                             # [RFC 7540]
	0xF5F1 : 'Reserved for Experimental Use [0xF5F1]',                             # [RFC 7540]
	0xF5F2 : 'Reserved for Experimental Use [0xF5F2]',                             # [RFC 7540]
	0xF5F3 : 'Reserved for Experimental Use [0xF5F3]',                             # [RFC 7540]
	0xF5F4 : 'Reserved for Experimental Use [0xF5F4]',                             # [RFC 7540]
	0xF5F5 : 'Reserved for Experimental Use [0xF5F5]',                             # [RFC 7540]
	0xF5F6 : 'Reserved for Experimental Use [0xF5F6]',                             # [RFC 7540]
	0xF5F7 : 'Reserved for Experimental Use [0xF5F7]',                             # [RFC 7540]
	0xF5F8 : 'Reserved for Experimental Use [0xF5F8]',                             # [RFC 7540]
	0xF5F9 : 'Reserved for Experimental Use [0xF5F9]',                             # [RFC 7540]
	0xF5FA : 'Reserved for Experimental Use [0xF5FA]',                             # [RFC 7540]
	0xF5FB : 'Reserved for Experimental Use [0xF5FB]',                             # [RFC 7540]
	0xF5FC : 'Reserved for Experimental Use [0xF5FC]',                             # [RFC 7540]
	0xF5FD : 'Reserved for Experimental Use [0xF5FD]',                             # [RFC 7540]
	0xF5FE : 'Reserved for Experimental Use [0xF5FE]',                             # [RFC 7540]
	0xF5FF : 'Reserved for Experimental Use [0xF5FF]',                             # [RFC 7540]
	0xF600 : 'Reserved for Experimental Use [0xF600]',                             # [RFC 7540]
	0xF601 : 'Reserved for Experimental Use [0xF601]',                             # [RFC 7540]
	0xF602 : 'Reserved for Experimental Use [0xF602]',                             # [RFC 7540]
	0xF603 : 'Reserved for Experimental Use [0xF603]',                             # [RFC 7540]
	0xF604 : 'Reserved for Experimental Use [0xF604]',                             # [RFC 7540]
	0xF605 : 'Reserved for Experimental Use [0xF605]',                             # [RFC 7540]
	0xF606 : 'Reserved for Experimental Use [0xF606]',                             # [RFC 7540]
	0xF607 : 'Reserved for Experimental Use [0xF607]',                             # [RFC 7540]
	0xF608 : 'Reserved for Experimental Use [0xF608]',                             # [RFC 7540]
	0xF609 : 'Reserved for Experimental Use [0xF609]',                             # [RFC 7540]
	0xF60A : 'Reserved for Experimental Use [0xF60A]',                             # [RFC 7540]
	0xF60B : 'Reserved for Experimental Use [0xF60B]',                             # [RFC 7540]
	0xF60C : 'Reserved for Experimental Use [0xF60C]',                             # [RFC 7540]
	0xF60D : 'Reserved for Experimental Use [0xF60D]',                             # [RFC 7540]
	0xF60E : 'Reserved for Experimental Use [0xF60E]',                             # [RFC 7540]
	0xF60F : 'Reserved for Experimental Use [0xF60F]',                             # [RFC 7540]
	0xF610 : 'Reserved for Experimental Use [0xF610]',                             # [RFC 7540]
	0xF611 : 'Reserved for Experimental Use [0xF611]',                             # [RFC 7540]
	0xF612 : 'Reserved for Experimental Use [0xF612]',                             # [RFC 7540]
	0xF613 : 'Reserved for Experimental Use [0xF613]',                             # [RFC 7540]
	0xF614 : 'Reserved for Experimental Use [0xF614]',                             # [RFC 7540]
	0xF615 : 'Reserved for Experimental Use [0xF615]',                             # [RFC 7540]
	0xF616 : 'Reserved for Experimental Use [0xF616]',                             # [RFC 7540]
	0xF617 : 'Reserved for Experimental Use [0xF617]',                             # [RFC 7540]
	0xF618 : 'Reserved for Experimental Use [0xF618]',                             # [RFC 7540]
	0xF619 : 'Reserved for Experimental Use [0xF619]',                             # [RFC 7540]
	0xF61A : 'Reserved for Experimental Use [0xF61A]',                             # [RFC 7540]
	0xF61B : 'Reserved for Experimental Use [0xF61B]',                             # [RFC 7540]
	0xF61C : 'Reserved for Experimental Use [0xF61C]',                             # [RFC 7540]
	0xF61D : 'Reserved for Experimental Use [0xF61D]',                             # [RFC 7540]
	0xF61E : 'Reserved for Experimental Use [0xF61E]',                             # [RFC 7540]
	0xF61F : 'Reserved for Experimental Use [0xF61F]',                             # [RFC 7540]
	0xF620 : 'Reserved for Experimental Use [0xF620]',                             # [RFC 7540]
	0xF621 : 'Reserved for Experimental Use [0xF621]',                             # [RFC 7540]
	0xF622 : 'Reserved for Experimental Use [0xF622]',                             # [RFC 7540]
	0xF623 : 'Reserved for Experimental Use [0xF623]',                             # [RFC 7540]
	0xF624 : 'Reserved for Experimental Use [0xF624]',                             # [RFC 7540]
	0xF625 : 'Reserved for Experimental Use [0xF625]',                             # [RFC 7540]
	0xF626 : 'Reserved for Experimental Use [0xF626]',                             # [RFC 7540]
	0xF627 : 'Reserved for Experimental Use [0xF627]',                             # [RFC 7540]
	0xF628 : 'Reserved for Experimental Use [0xF628]',                             # [RFC 7540]
	0xF629 : 'Reserved for Experimental Use [0xF629]',                             # [RFC 7540]
	0xF62A : 'Reserved for Experimental Use [0xF62A]',                             # [RFC 7540]
	0xF62B : 'Reserved for Experimental Use [0xF62B]',                             # [RFC 7540]
	0xF62C : 'Reserved for Experimental Use [0xF62C]',                             # [RFC 7540]
	0xF62D : 'Reserved for Experimental Use [0xF62D]',                             # [RFC 7540]
	0xF62E : 'Reserved for Experimental Use [0xF62E]',                             # [RFC 7540]
	0xF62F : 'Reserved for Experimental Use [0xF62F]',                             # [RFC 7540]
	0xF630 : 'Reserved for Experimental Use [0xF630]',                             # [RFC 7540]
	0xF631 : 'Reserved for Experimental Use [0xF631]',                             # [RFC 7540]
	0xF632 : 'Reserved for Experimental Use [0xF632]',                             # [RFC 7540]
	0xF633 : 'Reserved for Experimental Use [0xF633]',                             # [RFC 7540]
	0xF634 : 'Reserved for Experimental Use [0xF634]',                             # [RFC 7540]
	0xF635 : 'Reserved for Experimental Use [0xF635]',                             # [RFC 7540]
	0xF636 : 'Reserved for Experimental Use [0xF636]',                             # [RFC 7540]
	0xF637 : 'Reserved for Experimental Use [0xF637]',                             # [RFC 7540]
	0xF638 : 'Reserved for Experimental Use [0xF638]',                             # [RFC 7540]
	0xF639 : 'Reserved for Experimental Use [0xF639]',                             # [RFC 7540]
	0xF63A : 'Reserved for Experimental Use [0xF63A]',                             # [RFC 7540]
	0xF63B : 'Reserved for Experimental Use [0xF63B]',                             # [RFC 7540]
	0xF63C : 'Reserved for Experimental Use [0xF63C]',                             # [RFC 7540]
	0xF63D : 'Reserved for Experimental Use [0xF63D]',                             # [RFC 7540]
	0xF63E : 'Reserved for Experimental Use [0xF63E]',                             # [RFC 7540]
	0xF63F : 'Reserved for Experimental Use [0xF63F]',                             # [RFC 7540]
	0xF640 : 'Reserved for Experimental Use [0xF640]',                             # [RFC 7540]
	0xF641 : 'Reserved for Experimental Use [0xF641]',                             # [RFC 7540]
	0xF642 : 'Reserved for Experimental Use [0xF642]',                             # [RFC 7540]
	0xF643 : 'Reserved for Experimental Use [0xF643]',                             # [RFC 7540]
	0xF644 : 'Reserved for Experimental Use [0xF644]',                             # [RFC 7540]
	0xF645 : 'Reserved for Experimental Use [0xF645]',                             # [RFC 7540]
	0xF646 : 'Reserved for Experimental Use [0xF646]',                             # [RFC 7540]
	0xF647 : 'Reserved for Experimental Use [0xF647]',                             # [RFC 7540]
	0xF648 : 'Reserved for Experimental Use [0xF648]',                             # [RFC 7540]
	0xF649 : 'Reserved for Experimental Use [0xF649]',                             # [RFC 7540]
	0xF64A : 'Reserved for Experimental Use [0xF64A]',                             # [RFC 7540]
	0xF64B : 'Reserved for Experimental Use [0xF64B]',                             # [RFC 7540]
	0xF64C : 'Reserved for Experimental Use [0xF64C]',                             # [RFC 7540]
	0xF64D : 'Reserved for Experimental Use [0xF64D]',                             # [RFC 7540]
	0xF64E : 'Reserved for Experimental Use [0xF64E]',                             # [RFC 7540]
	0xF64F : 'Reserved for Experimental Use [0xF64F]',                             # [RFC 7540]
	0xF650 : 'Reserved for Experimental Use [0xF650]',                             # [RFC 7540]
	0xF651 : 'Reserved for Experimental Use [0xF651]',                             # [RFC 7540]
	0xF652 : 'Reserved for Experimental Use [0xF652]',                             # [RFC 7540]
	0xF653 : 'Reserved for Experimental Use [0xF653]',                             # [RFC 7540]
	0xF654 : 'Reserved for Experimental Use [0xF654]',                             # [RFC 7540]
	0xF655 : 'Reserved for Experimental Use [0xF655]',                             # [RFC 7540]
	0xF656 : 'Reserved for Experimental Use [0xF656]',                             # [RFC 7540]
	0xF657 : 'Reserved for Experimental Use [0xF657]',                             # [RFC 7540]
	0xF658 : 'Reserved for Experimental Use [0xF658]',                             # [RFC 7540]
	0xF659 : 'Reserved for Experimental Use [0xF659]',                             # [RFC 7540]
	0xF65A : 'Reserved for Experimental Use [0xF65A]',                             # [RFC 7540]
	0xF65B : 'Reserved for Experimental Use [0xF65B]',                             # [RFC 7540]
	0xF65C : 'Reserved for Experimental Use [0xF65C]',                             # [RFC 7540]
	0xF65D : 'Reserved for Experimental Use [0xF65D]',                             # [RFC 7540]
	0xF65E : 'Reserved for Experimental Use [0xF65E]',                             # [RFC 7540]
	0xF65F : 'Reserved for Experimental Use [0xF65F]',                             # [RFC 7540]
	0xF660 : 'Reserved for Experimental Use [0xF660]',                             # [RFC 7540]
	0xF661 : 'Reserved for Experimental Use [0xF661]',                             # [RFC 7540]
	0xF662 : 'Reserved for Experimental Use [0xF662]',                             # [RFC 7540]
	0xF663 : 'Reserved for Experimental Use [0xF663]',                             # [RFC 7540]
	0xF664 : 'Reserved for Experimental Use [0xF664]',                             # [RFC 7540]
	0xF665 : 'Reserved for Experimental Use [0xF665]',                             # [RFC 7540]
	0xF666 : 'Reserved for Experimental Use [0xF666]',                             # [RFC 7540]
	0xF667 : 'Reserved for Experimental Use [0xF667]',                             # [RFC 7540]
	0xF668 : 'Reserved for Experimental Use [0xF668]',                             # [RFC 7540]
	0xF669 : 'Reserved for Experimental Use [0xF669]',                             # [RFC 7540]
	0xF66A : 'Reserved for Experimental Use [0xF66A]',                             # [RFC 7540]
	0xF66B : 'Reserved for Experimental Use [0xF66B]',                             # [RFC 7540]
	0xF66C : 'Reserved for Experimental Use [0xF66C]',                             # [RFC 7540]
	0xF66D : 'Reserved for Experimental Use [0xF66D]',                             # [RFC 7540]
	0xF66E : 'Reserved for Experimental Use [0xF66E]',                             # [RFC 7540]
	0xF66F : 'Reserved for Experimental Use [0xF66F]',                             # [RFC 7540]
	0xF670 : 'Reserved for Experimental Use [0xF670]',                             # [RFC 7540]
	0xF671 : 'Reserved for Experimental Use [0xF671]',                             # [RFC 7540]
	0xF672 : 'Reserved for Experimental Use [0xF672]',                             # [RFC 7540]
	0xF673 : 'Reserved for Experimental Use [0xF673]',                             # [RFC 7540]
	0xF674 : 'Reserved for Experimental Use [0xF674]',                             # [RFC 7540]
	0xF675 : 'Reserved for Experimental Use [0xF675]',                             # [RFC 7540]
	0xF676 : 'Reserved for Experimental Use [0xF676]',                             # [RFC 7540]
	0xF677 : 'Reserved for Experimental Use [0xF677]',                             # [RFC 7540]
	0xF678 : 'Reserved for Experimental Use [0xF678]',                             # [RFC 7540]
	0xF679 : 'Reserved for Experimental Use [0xF679]',                             # [RFC 7540]
	0xF67A : 'Reserved for Experimental Use [0xF67A]',                             # [RFC 7540]
	0xF67B : 'Reserved for Experimental Use [0xF67B]',                             # [RFC 7540]
	0xF67C : 'Reserved for Experimental Use [0xF67C]',                             # [RFC 7540]
	0xF67D : 'Reserved for Experimental Use [0xF67D]',                             # [RFC 7540]
	0xF67E : 'Reserved for Experimental Use [0xF67E]',                             # [RFC 7540]
	0xF67F : 'Reserved for Experimental Use [0xF67F]',                             # [RFC 7540]
	0xF680 : 'Reserved for Experimental Use [0xF680]',                             # [RFC 7540]
	0xF681 : 'Reserved for Experimental Use [0xF681]',                             # [RFC 7540]
	0xF682 : 'Reserved for Experimental Use [0xF682]',                             # [RFC 7540]
	0xF683 : 'Reserved for Experimental Use [0xF683]',                             # [RFC 7540]
	0xF684 : 'Reserved for Experimental Use [0xF684]',                             # [RFC 7540]
	0xF685 : 'Reserved for Experimental Use [0xF685]',                             # [RFC 7540]
	0xF686 : 'Reserved for Experimental Use [0xF686]',                             # [RFC 7540]
	0xF687 : 'Reserved for Experimental Use [0xF687]',                             # [RFC 7540]
	0xF688 : 'Reserved for Experimental Use [0xF688]',                             # [RFC 7540]
	0xF689 : 'Reserved for Experimental Use [0xF689]',                             # [RFC 7540]
	0xF68A : 'Reserved for Experimental Use [0xF68A]',                             # [RFC 7540]
	0xF68B : 'Reserved for Experimental Use [0xF68B]',                             # [RFC 7540]
	0xF68C : 'Reserved for Experimental Use [0xF68C]',                             # [RFC 7540]
	0xF68D : 'Reserved for Experimental Use [0xF68D]',                             # [RFC 7540]
	0xF68E : 'Reserved for Experimental Use [0xF68E]',                             # [RFC 7540]
	0xF68F : 'Reserved for Experimental Use [0xF68F]',                             # [RFC 7540]
	0xF690 : 'Reserved for Experimental Use [0xF690]',                             # [RFC 7540]
	0xF691 : 'Reserved for Experimental Use [0xF691]',                             # [RFC 7540]
	0xF692 : 'Reserved for Experimental Use [0xF692]',                             # [RFC 7540]
	0xF693 : 'Reserved for Experimental Use [0xF693]',                             # [RFC 7540]
	0xF694 : 'Reserved for Experimental Use [0xF694]',                             # [RFC 7540]
	0xF695 : 'Reserved for Experimental Use [0xF695]',                             # [RFC 7540]
	0xF696 : 'Reserved for Experimental Use [0xF696]',                             # [RFC 7540]
	0xF697 : 'Reserved for Experimental Use [0xF697]',                             # [RFC 7540]
	0xF698 : 'Reserved for Experimental Use [0xF698]',                             # [RFC 7540]
	0xF699 : 'Reserved for Experimental Use [0xF699]',                             # [RFC 7540]
	0xF69A : 'Reserved for Experimental Use [0xF69A]',                             # [RFC 7540]
	0xF69B : 'Reserved for Experimental Use [0xF69B]',                             # [RFC 7540]
	0xF69C : 'Reserved for Experimental Use [0xF69C]',                             # [RFC 7540]
	0xF69D : 'Reserved for Experimental Use [0xF69D]',                             # [RFC 7540]
	0xF69E : 'Reserved for Experimental Use [0xF69E]',                             # [RFC 7540]
	0xF69F : 'Reserved for Experimental Use [0xF69F]',                             # [RFC 7540]
	0xF6A0 : 'Reserved for Experimental Use [0xF6A0]',                             # [RFC 7540]
	0xF6A1 : 'Reserved for Experimental Use [0xF6A1]',                             # [RFC 7540]
	0xF6A2 : 'Reserved for Experimental Use [0xF6A2]',                             # [RFC 7540]
	0xF6A3 : 'Reserved for Experimental Use [0xF6A3]',                             # [RFC 7540]
	0xF6A4 : 'Reserved for Experimental Use [0xF6A4]',                             # [RFC 7540]
	0xF6A5 : 'Reserved for Experimental Use [0xF6A5]',                             # [RFC 7540]
	0xF6A6 : 'Reserved for Experimental Use [0xF6A6]',                             # [RFC 7540]
	0xF6A7 : 'Reserved for Experimental Use [0xF6A7]',                             # [RFC 7540]
	0xF6A8 : 'Reserved for Experimental Use [0xF6A8]',                             # [RFC 7540]
	0xF6A9 : 'Reserved for Experimental Use [0xF6A9]',                             # [RFC 7540]
	0xF6AA : 'Reserved for Experimental Use [0xF6AA]',                             # [RFC 7540]
	0xF6AB : 'Reserved for Experimental Use [0xF6AB]',                             # [RFC 7540]
	0xF6AC : 'Reserved for Experimental Use [0xF6AC]',                             # [RFC 7540]
	0xF6AD : 'Reserved for Experimental Use [0xF6AD]',                             # [RFC 7540]
	0xF6AE : 'Reserved for Experimental Use [0xF6AE]',                             # [RFC 7540]
	0xF6AF : 'Reserved for Experimental Use [0xF6AF]',                             # [RFC 7540]
	0xF6B0 : 'Reserved for Experimental Use [0xF6B0]',                             # [RFC 7540]
	0xF6B1 : 'Reserved for Experimental Use [0xF6B1]',                             # [RFC 7540]
	0xF6B2 : 'Reserved for Experimental Use [0xF6B2]',                             # [RFC 7540]
	0xF6B3 : 'Reserved for Experimental Use [0xF6B3]',                             # [RFC 7540]
	0xF6B4 : 'Reserved for Experimental Use [0xF6B4]',                             # [RFC 7540]
	0xF6B5 : 'Reserved for Experimental Use [0xF6B5]',                             # [RFC 7540]
	0xF6B6 : 'Reserved for Experimental Use [0xF6B6]',                             # [RFC 7540]
	0xF6B7 : 'Reserved for Experimental Use [0xF6B7]',                             # [RFC 7540]
	0xF6B8 : 'Reserved for Experimental Use [0xF6B8]',                             # [RFC 7540]
	0xF6B9 : 'Reserved for Experimental Use [0xF6B9]',                             # [RFC 7540]
	0xF6BA : 'Reserved for Experimental Use [0xF6BA]',                             # [RFC 7540]
	0xF6BB : 'Reserved for Experimental Use [0xF6BB]',                             # [RFC 7540]
	0xF6BC : 'Reserved for Experimental Use [0xF6BC]',                             # [RFC 7540]
	0xF6BD : 'Reserved for Experimental Use [0xF6BD]',                             # [RFC 7540]
	0xF6BE : 'Reserved for Experimental Use [0xF6BE]',                             # [RFC 7540]
	0xF6BF : 'Reserved for Experimental Use [0xF6BF]',                             # [RFC 7540]
	0xF6C0 : 'Reserved for Experimental Use [0xF6C0]',                             # [RFC 7540]
	0xF6C1 : 'Reserved for Experimental Use [0xF6C1]',                             # [RFC 7540]
	0xF6C2 : 'Reserved for Experimental Use [0xF6C2]',                             # [RFC 7540]
	0xF6C3 : 'Reserved for Experimental Use [0xF6C3]',                             # [RFC 7540]
	0xF6C4 : 'Reserved for Experimental Use [0xF6C4]',                             # [RFC 7540]
	0xF6C5 : 'Reserved for Experimental Use [0xF6C5]',                             # [RFC 7540]
	0xF6C6 : 'Reserved for Experimental Use [0xF6C6]',                             # [RFC 7540]
	0xF6C7 : 'Reserved for Experimental Use [0xF6C7]',                             # [RFC 7540]
	0xF6C8 : 'Reserved for Experimental Use [0xF6C8]',                             # [RFC 7540]
	0xF6C9 : 'Reserved for Experimental Use [0xF6C9]',                             # [RFC 7540]
	0xF6CA : 'Reserved for Experimental Use [0xF6CA]',                             # [RFC 7540]
	0xF6CB : 'Reserved for Experimental Use [0xF6CB]',                             # [RFC 7540]
	0xF6CC : 'Reserved for Experimental Use [0xF6CC]',                             # [RFC 7540]
	0xF6CD : 'Reserved for Experimental Use [0xF6CD]',                             # [RFC 7540]
	0xF6CE : 'Reserved for Experimental Use [0xF6CE]',                             # [RFC 7540]
	0xF6CF : 'Reserved for Experimental Use [0xF6CF]',                             # [RFC 7540]
	0xF6D0 : 'Reserved for Experimental Use [0xF6D0]',                             # [RFC 7540]
	0xF6D1 : 'Reserved for Experimental Use [0xF6D1]',                             # [RFC 7540]
	0xF6D2 : 'Reserved for Experimental Use [0xF6D2]',                             # [RFC 7540]
	0xF6D3 : 'Reserved for Experimental Use [0xF6D3]',                             # [RFC 7540]
	0xF6D4 : 'Reserved for Experimental Use [0xF6D4]',                             # [RFC 7540]
	0xF6D5 : 'Reserved for Experimental Use [0xF6D5]',                             # [RFC 7540]
	0xF6D6 : 'Reserved for Experimental Use [0xF6D6]',                             # [RFC 7540]
	0xF6D7 : 'Reserved for Experimental Use [0xF6D7]',                             # [RFC 7540]
	0xF6D8 : 'Reserved for Experimental Use [0xF6D8]',                             # [RFC 7540]
	0xF6D9 : 'Reserved for Experimental Use [0xF6D9]',                             # [RFC 7540]
	0xF6DA : 'Reserved for Experimental Use [0xF6DA]',                             # [RFC 7540]
	0xF6DB : 'Reserved for Experimental Use [0xF6DB]',                             # [RFC 7540]
	0xF6DC : 'Reserved for Experimental Use [0xF6DC]',                             # [RFC 7540]
	0xF6DD : 'Reserved for Experimental Use [0xF6DD]',                             # [RFC 7540]
	0xF6DE : 'Reserved for Experimental Use [0xF6DE]',                             # [RFC 7540]
	0xF6DF : 'Reserved for Experimental Use [0xF6DF]',                             # [RFC 7540]
	0xF6E0 : 'Reserved for Experimental Use [0xF6E0]',                             # [RFC 7540]
	0xF6E1 : 'Reserved for Experimental Use [0xF6E1]',                             # [RFC 7540]
	0xF6E2 : 'Reserved for Experimental Use [0xF6E2]',                             # [RFC 7540]
	0xF6E3 : 'Reserved for Experimental Use [0xF6E3]',                             # [RFC 7540]
	0xF6E4 : 'Reserved for Experimental Use [0xF6E4]',                             # [RFC 7540]
	0xF6E5 : 'Reserved for Experimental Use [0xF6E5]',                             # [RFC 7540]
	0xF6E6 : 'Reserved for Experimental Use [0xF6E6]',                             # [RFC 7540]
	0xF6E7 : 'Reserved for Experimental Use [0xF6E7]',                             # [RFC 7540]
	0xF6E8 : 'Reserved for Experimental Use [0xF6E8]',                             # [RFC 7540]
	0xF6E9 : 'Reserved for Experimental Use [0xF6E9]',                             # [RFC 7540]
	0xF6EA : 'Reserved for Experimental Use [0xF6EA]',                             # [RFC 7540]
	0xF6EB : 'Reserved for Experimental Use [0xF6EB]',                             # [RFC 7540]
	0xF6EC : 'Reserved for Experimental Use [0xF6EC]',                             # [RFC 7540]
	0xF6ED : 'Reserved for Experimental Use [0xF6ED]',                             # [RFC 7540]
	0xF6EE : 'Reserved for Experimental Use [0xF6EE]',                             # [RFC 7540]
	0xF6EF : 'Reserved for Experimental Use [0xF6EF]',                             # [RFC 7540]
	0xF6F0 : 'Reserved for Experimental Use [0xF6F0]',                             # [RFC 7540]
	0xF6F1 : 'Reserved for Experimental Use [0xF6F1]',                             # [RFC 7540]
	0xF6F2 : 'Reserved for Experimental Use [0xF6F2]',                             # [RFC 7540]
	0xF6F3 : 'Reserved for Experimental Use [0xF6F3]',                             # [RFC 7540]
	0xF6F4 : 'Reserved for Experimental Use [0xF6F4]',                             # [RFC 7540]
	0xF6F5 : 'Reserved for Experimental Use [0xF6F5]',                             # [RFC 7540]
	0xF6F6 : 'Reserved for Experimental Use [0xF6F6]',                             # [RFC 7540]
	0xF6F7 : 'Reserved for Experimental Use [0xF6F7]',                             # [RFC 7540]
	0xF6F8 : 'Reserved for Experimental Use [0xF6F8]',                             # [RFC 7540]
	0xF6F9 : 'Reserved for Experimental Use [0xF6F9]',                             # [RFC 7540]
	0xF6FA : 'Reserved for Experimental Use [0xF6FA]',                             # [RFC 7540]
	0xF6FB : 'Reserved for Experimental Use [0xF6FB]',                             # [RFC 7540]
	0xF6FC : 'Reserved for Experimental Use [0xF6FC]',                             # [RFC 7540]
	0xF6FD : 'Reserved for Experimental Use [0xF6FD]',                             # [RFC 7540]
	0xF6FE : 'Reserved for Experimental Use [0xF6FE]',                             # [RFC 7540]
	0xF6FF : 'Reserved for Experimental Use [0xF6FF]',                             # [RFC 7540]
	0xF700 : 'Reserved for Experimental Use [0xF700]',                             # [RFC 7540]
	0xF701 : 'Reserved for Experimental Use [0xF701]',                             # [RFC 7540]
	0xF702 : 'Reserved for Experimental Use [0xF702]',                             # [RFC 7540]
	0xF703 : 'Reserved for Experimental Use [0xF703]',                             # [RFC 7540]
	0xF704 : 'Reserved for Experimental Use [0xF704]',                             # [RFC 7540]
	0xF705 : 'Reserved for Experimental Use [0xF705]',                             # [RFC 7540]
	0xF706 : 'Reserved for Experimental Use [0xF706]',                             # [RFC 7540]
	0xF707 : 'Reserved for Experimental Use [0xF707]',                             # [RFC 7540]
	0xF708 : 'Reserved for Experimental Use [0xF708]',                             # [RFC 7540]
	0xF709 : 'Reserved for Experimental Use [0xF709]',                             # [RFC 7540]
	0xF70A : 'Reserved for Experimental Use [0xF70A]',                             # [RFC 7540]
	0xF70B : 'Reserved for Experimental Use [0xF70B]',                             # [RFC 7540]
	0xF70C : 'Reserved for Experimental Use [0xF70C]',                             # [RFC 7540]
	0xF70D : 'Reserved for Experimental Use [0xF70D]',                             # [RFC 7540]
	0xF70E : 'Reserved for Experimental Use [0xF70E]',                             # [RFC 7540]
	0xF70F : 'Reserved for Experimental Use [0xF70F]',                             # [RFC 7540]
	0xF710 : 'Reserved for Experimental Use [0xF710]',                             # [RFC 7540]
	0xF711 : 'Reserved for Experimental Use [0xF711]',                             # [RFC 7540]
	0xF712 : 'Reserved for Experimental Use [0xF712]',                             # [RFC 7540]
	0xF713 : 'Reserved for Experimental Use [0xF713]',                             # [RFC 7540]
	0xF714 : 'Reserved for Experimental Use [0xF714]',                             # [RFC 7540]
	0xF715 : 'Reserved for Experimental Use [0xF715]',                             # [RFC 7540]
	0xF716 : 'Reserved for Experimental Use [0xF716]',                             # [RFC 7540]
	0xF717 : 'Reserved for Experimental Use [0xF717]',                             # [RFC 7540]
	0xF718 : 'Reserved for Experimental Use [0xF718]',                             # [RFC 7540]
	0xF719 : 'Reserved for Experimental Use [0xF719]',                             # [RFC 7540]
	0xF71A : 'Reserved for Experimental Use [0xF71A]',                             # [RFC 7540]
	0xF71B : 'Reserved for Experimental Use [0xF71B]',                             # [RFC 7540]
	0xF71C : 'Reserved for Experimental Use [0xF71C]',                             # [RFC 7540]
	0xF71D : 'Reserved for Experimental Use [0xF71D]',                             # [RFC 7540]
	0xF71E : 'Reserved for Experimental Use [0xF71E]',                             # [RFC 7540]
	0xF71F : 'Reserved for Experimental Use [0xF71F]',                             # [RFC 7540]
	0xF720 : 'Reserved for Experimental Use [0xF720]',                             # [RFC 7540]
	0xF721 : 'Reserved for Experimental Use [0xF721]',                             # [RFC 7540]
	0xF722 : 'Reserved for Experimental Use [0xF722]',                             # [RFC 7540]
	0xF723 : 'Reserved for Experimental Use [0xF723]',                             # [RFC 7540]
	0xF724 : 'Reserved for Experimental Use [0xF724]',                             # [RFC 7540]
	0xF725 : 'Reserved for Experimental Use [0xF725]',                             # [RFC 7540]
	0xF726 : 'Reserved for Experimental Use [0xF726]',                             # [RFC 7540]
	0xF727 : 'Reserved for Experimental Use [0xF727]',                             # [RFC 7540]
	0xF728 : 'Reserved for Experimental Use [0xF728]',                             # [RFC 7540]
	0xF729 : 'Reserved for Experimental Use [0xF729]',                             # [RFC 7540]
	0xF72A : 'Reserved for Experimental Use [0xF72A]',                             # [RFC 7540]
	0xF72B : 'Reserved for Experimental Use [0xF72B]',                             # [RFC 7540]
	0xF72C : 'Reserved for Experimental Use [0xF72C]',                             # [RFC 7540]
	0xF72D : 'Reserved for Experimental Use [0xF72D]',                             # [RFC 7540]
	0xF72E : 'Reserved for Experimental Use [0xF72E]',                             # [RFC 7540]
	0xF72F : 'Reserved for Experimental Use [0xF72F]',                             # [RFC 7540]
	0xF730 : 'Reserved for Experimental Use [0xF730]',                             # [RFC 7540]
	0xF731 : 'Reserved for Experimental Use [0xF731]',                             # [RFC 7540]
	0xF732 : 'Reserved for Experimental Use [0xF732]',                             # [RFC 7540]
	0xF733 : 'Reserved for Experimental Use [0xF733]',                             # [RFC 7540]
	0xF734 : 'Reserved for Experimental Use [0xF734]',                             # [RFC 7540]
	0xF735 : 'Reserved for Experimental Use [0xF735]',                             # [RFC 7540]
	0xF736 : 'Reserved for Experimental Use [0xF736]',                             # [RFC 7540]
	0xF737 : 'Reserved for Experimental Use [0xF737]',                             # [RFC 7540]
	0xF738 : 'Reserved for Experimental Use [0xF738]',                             # [RFC 7540]
	0xF739 : 'Reserved for Experimental Use [0xF739]',                             # [RFC 7540]
	0xF73A : 'Reserved for Experimental Use [0xF73A]',                             # [RFC 7540]
	0xF73B : 'Reserved for Experimental Use [0xF73B]',                             # [RFC 7540]
	0xF73C : 'Reserved for Experimental Use [0xF73C]',                             # [RFC 7540]
	0xF73D : 'Reserved for Experimental Use [0xF73D]',                             # [RFC 7540]
	0xF73E : 'Reserved for Experimental Use [0xF73E]',                             # [RFC 7540]
	0xF73F : 'Reserved for Experimental Use [0xF73F]',                             # [RFC 7540]
	0xF740 : 'Reserved for Experimental Use [0xF740]',                             # [RFC 7540]
	0xF741 : 'Reserved for Experimental Use [0xF741]',                             # [RFC 7540]
	0xF742 : 'Reserved for Experimental Use [0xF742]',                             # [RFC 7540]
	0xF743 : 'Reserved for Experimental Use [0xF743]',                             # [RFC 7540]
	0xF744 : 'Reserved for Experimental Use [0xF744]',                             # [RFC 7540]
	0xF745 : 'Reserved for Experimental Use [0xF745]',                             # [RFC 7540]
	0xF746 : 'Reserved for Experimental Use [0xF746]',                             # [RFC 7540]
	0xF747 : 'Reserved for Experimental Use [0xF747]',                             # [RFC 7540]
	0xF748 : 'Reserved for Experimental Use [0xF748]',                             # [RFC 7540]
	0xF749 : 'Reserved for Experimental Use [0xF749]',                             # [RFC 7540]
	0xF74A : 'Reserved for Experimental Use [0xF74A]',                             # [RFC 7540]
	0xF74B : 'Reserved for Experimental Use [0xF74B]',                             # [RFC 7540]
	0xF74C : 'Reserved for Experimental Use [0xF74C]',                             # [RFC 7540]
	0xF74D : 'Reserved for Experimental Use [0xF74D]',                             # [RFC 7540]
	0xF74E : 'Reserved for Experimental Use [0xF74E]',                             # [RFC 7540]
	0xF74F : 'Reserved for Experimental Use [0xF74F]',                             # [RFC 7540]
	0xF750 : 'Reserved for Experimental Use [0xF750]',                             # [RFC 7540]
	0xF751 : 'Reserved for Experimental Use [0xF751]',                             # [RFC 7540]
	0xF752 : 'Reserved for Experimental Use [0xF752]',                             # [RFC 7540]
	0xF753 : 'Reserved for Experimental Use [0xF753]',                             # [RFC 7540]
	0xF754 : 'Reserved for Experimental Use [0xF754]',                             # [RFC 7540]
	0xF755 : 'Reserved for Experimental Use [0xF755]',                             # [RFC 7540]
	0xF756 : 'Reserved for Experimental Use [0xF756]',                             # [RFC 7540]
	0xF757 : 'Reserved for Experimental Use [0xF757]',                             # [RFC 7540]
	0xF758 : 'Reserved for Experimental Use [0xF758]',                             # [RFC 7540]
	0xF759 : 'Reserved for Experimental Use [0xF759]',                             # [RFC 7540]
	0xF75A : 'Reserved for Experimental Use [0xF75A]',                             # [RFC 7540]
	0xF75B : 'Reserved for Experimental Use [0xF75B]',                             # [RFC 7540]
	0xF75C : 'Reserved for Experimental Use [0xF75C]',                             # [RFC 7540]
	0xF75D : 'Reserved for Experimental Use [0xF75D]',                             # [RFC 7540]
	0xF75E : 'Reserved for Experimental Use [0xF75E]',                             # [RFC 7540]
	0xF75F : 'Reserved for Experimental Use [0xF75F]',                             # [RFC 7540]
	0xF760 : 'Reserved for Experimental Use [0xF760]',                             # [RFC 7540]
	0xF761 : 'Reserved for Experimental Use [0xF761]',                             # [RFC 7540]
	0xF762 : 'Reserved for Experimental Use [0xF762]',                             # [RFC 7540]
	0xF763 : 'Reserved for Experimental Use [0xF763]',                             # [RFC 7540]
	0xF764 : 'Reserved for Experimental Use [0xF764]',                             # [RFC 7540]
	0xF765 : 'Reserved for Experimental Use [0xF765]',                             # [RFC 7540]
	0xF766 : 'Reserved for Experimental Use [0xF766]',                             # [RFC 7540]
	0xF767 : 'Reserved for Experimental Use [0xF767]',                             # [RFC 7540]
	0xF768 : 'Reserved for Experimental Use [0xF768]',                             # [RFC 7540]
	0xF769 : 'Reserved for Experimental Use [0xF769]',                             # [RFC 7540]
	0xF76A : 'Reserved for Experimental Use [0xF76A]',                             # [RFC 7540]
	0xF76B : 'Reserved for Experimental Use [0xF76B]',                             # [RFC 7540]
	0xF76C : 'Reserved for Experimental Use [0xF76C]',                             # [RFC 7540]
	0xF76D : 'Reserved for Experimental Use [0xF76D]',                             # [RFC 7540]
	0xF76E : 'Reserved for Experimental Use [0xF76E]',                             # [RFC 7540]
	0xF76F : 'Reserved for Experimental Use [0xF76F]',                             # [RFC 7540]
	0xF770 : 'Reserved for Experimental Use [0xF770]',                             # [RFC 7540]
	0xF771 : 'Reserved for Experimental Use [0xF771]',                             # [RFC 7540]
	0xF772 : 'Reserved for Experimental Use [0xF772]',                             # [RFC 7540]
	0xF773 : 'Reserved for Experimental Use [0xF773]',                             # [RFC 7540]
	0xF774 : 'Reserved for Experimental Use [0xF774]',                             # [RFC 7540]
	0xF775 : 'Reserved for Experimental Use [0xF775]',                             # [RFC 7540]
	0xF776 : 'Reserved for Experimental Use [0xF776]',                             # [RFC 7540]
	0xF777 : 'Reserved for Experimental Use [0xF777]',                             # [RFC 7540]
	0xF778 : 'Reserved for Experimental Use [0xF778]',                             # [RFC 7540]
	0xF779 : 'Reserved for Experimental Use [0xF779]',                             # [RFC 7540]
	0xF77A : 'Reserved for Experimental Use [0xF77A]',                             # [RFC 7540]
	0xF77B : 'Reserved for Experimental Use [0xF77B]',                             # [RFC 7540]
	0xF77C : 'Reserved for Experimental Use [0xF77C]',                             # [RFC 7540]
	0xF77D : 'Reserved for Experimental Use [0xF77D]',                             # [RFC 7540]
	0xF77E : 'Reserved for Experimental Use [0xF77E]',                             # [RFC 7540]
	0xF77F : 'Reserved for Experimental Use [0xF77F]',                             # [RFC 7540]
	0xF780 : 'Reserved for Experimental Use [0xF780]',                             # [RFC 7540]
	0xF781 : 'Reserved for Experimental Use [0xF781]',                             # [RFC 7540]
	0xF782 : 'Reserved for Experimental Use [0xF782]',                             # [RFC 7540]
	0xF783 : 'Reserved for Experimental Use [0xF783]',                             # [RFC 7540]
	0xF784 : 'Reserved for Experimental Use [0xF784]',                             # [RFC 7540]
	0xF785 : 'Reserved for Experimental Use [0xF785]',                             # [RFC 7540]
	0xF786 : 'Reserved for Experimental Use [0xF786]',                             # [RFC 7540]
	0xF787 : 'Reserved for Experimental Use [0xF787]',                             # [RFC 7540]
	0xF788 : 'Reserved for Experimental Use [0xF788]',                             # [RFC 7540]
	0xF789 : 'Reserved for Experimental Use [0xF789]',                             # [RFC 7540]
	0xF78A : 'Reserved for Experimental Use [0xF78A]',                             # [RFC 7540]
	0xF78B : 'Reserved for Experimental Use [0xF78B]',                             # [RFC 7540]
	0xF78C : 'Reserved for Experimental Use [0xF78C]',                             # [RFC 7540]
	0xF78D : 'Reserved for Experimental Use [0xF78D]',                             # [RFC 7540]
	0xF78E : 'Reserved for Experimental Use [0xF78E]',                             # [RFC 7540]
	0xF78F : 'Reserved for Experimental Use [0xF78F]',                             # [RFC 7540]
	0xF790 : 'Reserved for Experimental Use [0xF790]',                             # [RFC 7540]
	0xF791 : 'Reserved for Experimental Use [0xF791]',                             # [RFC 7540]
	0xF792 : 'Reserved for Experimental Use [0xF792]',                             # [RFC 7540]
	0xF793 : 'Reserved for Experimental Use [0xF793]',                             # [RFC 7540]
	0xF794 : 'Reserved for Experimental Use [0xF794]',                             # [RFC 7540]
	0xF795 : 'Reserved for Experimental Use [0xF795]',                             # [RFC 7540]
	0xF796 : 'Reserved for Experimental Use [0xF796]',                             # [RFC 7540]
	0xF797 : 'Reserved for Experimental Use [0xF797]',                             # [RFC 7540]
	0xF798 : 'Reserved for Experimental Use [0xF798]',                             # [RFC 7540]
	0xF799 : 'Reserved for Experimental Use [0xF799]',                             # [RFC 7540]
	0xF79A : 'Reserved for Experimental Use [0xF79A]',                             # [RFC 7540]
	0xF79B : 'Reserved for Experimental Use [0xF79B]',                             # [RFC 7540]
	0xF79C : 'Reserved for Experimental Use [0xF79C]',                             # [RFC 7540]
	0xF79D : 'Reserved for Experimental Use [0xF79D]',                             # [RFC 7540]
	0xF79E : 'Reserved for Experimental Use [0xF79E]',                             # [RFC 7540]
	0xF79F : 'Reserved for Experimental Use [0xF79F]',                             # [RFC 7540]
	0xF7A0 : 'Reserved for Experimental Use [0xF7A0]',                             # [RFC 7540]
	0xF7A1 : 'Reserved for Experimental Use [0xF7A1]',                             # [RFC 7540]
	0xF7A2 : 'Reserved for Experimental Use [0xF7A2]',                             # [RFC 7540]
	0xF7A3 : 'Reserved for Experimental Use [0xF7A3]',                             # [RFC 7540]
	0xF7A4 : 'Reserved for Experimental Use [0xF7A4]',                             # [RFC 7540]
	0xF7A5 : 'Reserved for Experimental Use [0xF7A5]',                             # [RFC 7540]
	0xF7A6 : 'Reserved for Experimental Use [0xF7A6]',                             # [RFC 7540]
	0xF7A7 : 'Reserved for Experimental Use [0xF7A7]',                             # [RFC 7540]
	0xF7A8 : 'Reserved for Experimental Use [0xF7A8]',                             # [RFC 7540]
	0xF7A9 : 'Reserved for Experimental Use [0xF7A9]',                             # [RFC 7540]
	0xF7AA : 'Reserved for Experimental Use [0xF7AA]',                             # [RFC 7540]
	0xF7AB : 'Reserved for Experimental Use [0xF7AB]',                             # [RFC 7540]
	0xF7AC : 'Reserved for Experimental Use [0xF7AC]',                             # [RFC 7540]
	0xF7AD : 'Reserved for Experimental Use [0xF7AD]',                             # [RFC 7540]
	0xF7AE : 'Reserved for Experimental Use [0xF7AE]',                             # [RFC 7540]
	0xF7AF : 'Reserved for Experimental Use [0xF7AF]',                             # [RFC 7540]
	0xF7B0 : 'Reserved for Experimental Use [0xF7B0]',                             # [RFC 7540]
	0xF7B1 : 'Reserved for Experimental Use [0xF7B1]',                             # [RFC 7540]
	0xF7B2 : 'Reserved for Experimental Use [0xF7B2]',                             # [RFC 7540]
	0xF7B3 : 'Reserved for Experimental Use [0xF7B3]',                             # [RFC 7540]
	0xF7B4 : 'Reserved for Experimental Use [0xF7B4]',                             # [RFC 7540]
	0xF7B5 : 'Reserved for Experimental Use [0xF7B5]',                             # [RFC 7540]
	0xF7B6 : 'Reserved for Experimental Use [0xF7B6]',                             # [RFC 7540]
	0xF7B7 : 'Reserved for Experimental Use [0xF7B7]',                             # [RFC 7540]
	0xF7B8 : 'Reserved for Experimental Use [0xF7B8]',                             # [RFC 7540]
	0xF7B9 : 'Reserved for Experimental Use [0xF7B9]',                             # [RFC 7540]
	0xF7BA : 'Reserved for Experimental Use [0xF7BA]',                             # [RFC 7540]
	0xF7BB : 'Reserved for Experimental Use [0xF7BB]',                             # [RFC 7540]
	0xF7BC : 'Reserved for Experimental Use [0xF7BC]',                             # [RFC 7540]
	0xF7BD : 'Reserved for Experimental Use [0xF7BD]',                             # [RFC 7540]
	0xF7BE : 'Reserved for Experimental Use [0xF7BE]',                             # [RFC 7540]
	0xF7BF : 'Reserved for Experimental Use [0xF7BF]',                             # [RFC 7540]
	0xF7C0 : 'Reserved for Experimental Use [0xF7C0]',                             # [RFC 7540]
	0xF7C1 : 'Reserved for Experimental Use [0xF7C1]',                             # [RFC 7540]
	0xF7C2 : 'Reserved for Experimental Use [0xF7C2]',                             # [RFC 7540]
	0xF7C3 : 'Reserved for Experimental Use [0xF7C3]',                             # [RFC 7540]
	0xF7C4 : 'Reserved for Experimental Use [0xF7C4]',                             # [RFC 7540]
	0xF7C5 : 'Reserved for Experimental Use [0xF7C5]',                             # [RFC 7540]
	0xF7C6 : 'Reserved for Experimental Use [0xF7C6]',                             # [RFC 7540]
	0xF7C7 : 'Reserved for Experimental Use [0xF7C7]',                             # [RFC 7540]
	0xF7C8 : 'Reserved for Experimental Use [0xF7C8]',                             # [RFC 7540]
	0xF7C9 : 'Reserved for Experimental Use [0xF7C9]',                             # [RFC 7540]
	0xF7CA : 'Reserved for Experimental Use [0xF7CA]',                             # [RFC 7540]
	0xF7CB : 'Reserved for Experimental Use [0xF7CB]',                             # [RFC 7540]
	0xF7CC : 'Reserved for Experimental Use [0xF7CC]',                             # [RFC 7540]
	0xF7CD : 'Reserved for Experimental Use [0xF7CD]',                             # [RFC 7540]
	0xF7CE : 'Reserved for Experimental Use [0xF7CE]',                             # [RFC 7540]
	0xF7CF : 'Reserved for Experimental Use [0xF7CF]',                             # [RFC 7540]
	0xF7D0 : 'Reserved for Experimental Use [0xF7D0]',                             # [RFC 7540]
	0xF7D1 : 'Reserved for Experimental Use [0xF7D1]',                             # [RFC 7540]
	0xF7D2 : 'Reserved for Experimental Use [0xF7D2]',                             # [RFC 7540]
	0xF7D3 : 'Reserved for Experimental Use [0xF7D3]',                             # [RFC 7540]
	0xF7D4 : 'Reserved for Experimental Use [0xF7D4]',                             # [RFC 7540]
	0xF7D5 : 'Reserved for Experimental Use [0xF7D5]',                             # [RFC 7540]
	0xF7D6 : 'Reserved for Experimental Use [0xF7D6]',                             # [RFC 7540]
	0xF7D7 : 'Reserved for Experimental Use [0xF7D7]',                             # [RFC 7540]
	0xF7D8 : 'Reserved for Experimental Use [0xF7D8]',                             # [RFC 7540]
	0xF7D9 : 'Reserved for Experimental Use [0xF7D9]',                             # [RFC 7540]
	0xF7DA : 'Reserved for Experimental Use [0xF7DA]',                             # [RFC 7540]
	0xF7DB : 'Reserved for Experimental Use [0xF7DB]',                             # [RFC 7540]
	0xF7DC : 'Reserved for Experimental Use [0xF7DC]',                             # [RFC 7540]
	0xF7DD : 'Reserved for Experimental Use [0xF7DD]',                             # [RFC 7540]
	0xF7DE : 'Reserved for Experimental Use [0xF7DE]',                             # [RFC 7540]
	0xF7DF : 'Reserved for Experimental Use [0xF7DF]',                             # [RFC 7540]
	0xF7E0 : 'Reserved for Experimental Use [0xF7E0]',                             # [RFC 7540]
	0xF7E1 : 'Reserved for Experimental Use [0xF7E1]',                             # [RFC 7540]
	0xF7E2 : 'Reserved for Experimental Use [0xF7E2]',                             # [RFC 7540]
	0xF7E3 : 'Reserved for Experimental Use [0xF7E3]',                             # [RFC 7540]
	0xF7E4 : 'Reserved for Experimental Use [0xF7E4]',                             # [RFC 7540]
	0xF7E5 : 'Reserved for Experimental Use [0xF7E5]',                             # [RFC 7540]
	0xF7E6 : 'Reserved for Experimental Use [0xF7E6]',                             # [RFC 7540]
	0xF7E7 : 'Reserved for Experimental Use [0xF7E7]',                             # [RFC 7540]
	0xF7E8 : 'Reserved for Experimental Use [0xF7E8]',                             # [RFC 7540]
	0xF7E9 : 'Reserved for Experimental Use [0xF7E9]',                             # [RFC 7540]
	0xF7EA : 'Reserved for Experimental Use [0xF7EA]',                             # [RFC 7540]
	0xF7EB : 'Reserved for Experimental Use [0xF7EB]',                             # [RFC 7540]
	0xF7EC : 'Reserved for Experimental Use [0xF7EC]',                             # [RFC 7540]
	0xF7ED : 'Reserved for Experimental Use [0xF7ED]',                             # [RFC 7540]
	0xF7EE : 'Reserved for Experimental Use [0xF7EE]',                             # [RFC 7540]
	0xF7EF : 'Reserved for Experimental Use [0xF7EF]',                             # [RFC 7540]
	0xF7F0 : 'Reserved for Experimental Use [0xF7F0]',                             # [RFC 7540]
	0xF7F1 : 'Reserved for Experimental Use [0xF7F1]',                             # [RFC 7540]
	0xF7F2 : 'Reserved for Experimental Use [0xF7F2]',                             # [RFC 7540]
	0xF7F3 : 'Reserved for Experimental Use [0xF7F3]',                             # [RFC 7540]
	0xF7F4 : 'Reserved for Experimental Use [0xF7F4]',                             # [RFC 7540]
	0xF7F5 : 'Reserved for Experimental Use [0xF7F5]',                             # [RFC 7540]
	0xF7F6 : 'Reserved for Experimental Use [0xF7F6]',                             # [RFC 7540]
	0xF7F7 : 'Reserved for Experimental Use [0xF7F7]',                             # [RFC 7540]
	0xF7F8 : 'Reserved for Experimental Use [0xF7F8]',                             # [RFC 7540]
	0xF7F9 : 'Reserved for Experimental Use [0xF7F9]',                             # [RFC 7540]
	0xF7FA : 'Reserved for Experimental Use [0xF7FA]',                             # [RFC 7540]
	0xF7FB : 'Reserved for Experimental Use [0xF7FB]',                             # [RFC 7540]
	0xF7FC : 'Reserved for Experimental Use [0xF7FC]',                             # [RFC 7540]
	0xF7FD : 'Reserved for Experimental Use [0xF7FD]',                             # [RFC 7540]
	0xF7FE : 'Reserved for Experimental Use [0xF7FE]',                             # [RFC 7540]
	0xF7FF : 'Reserved for Experimental Use [0xF7FF]',                             # [RFC 7540]
	0xF800 : 'Reserved for Experimental Use [0xF800]',                             # [RFC 7540]
	0xF801 : 'Reserved for Experimental Use [0xF801]',                             # [RFC 7540]
	0xF802 : 'Reserved for Experimental Use [0xF802]',                             # [RFC 7540]
	0xF803 : 'Reserved for Experimental Use [0xF803]',                             # [RFC 7540]
	0xF804 : 'Reserved for Experimental Use [0xF804]',                             # [RFC 7540]
	0xF805 : 'Reserved for Experimental Use [0xF805]',                             # [RFC 7540]
	0xF806 : 'Reserved for Experimental Use [0xF806]',                             # [RFC 7540]
	0xF807 : 'Reserved for Experimental Use [0xF807]',                             # [RFC 7540]
	0xF808 : 'Reserved for Experimental Use [0xF808]',                             # [RFC 7540]
	0xF809 : 'Reserved for Experimental Use [0xF809]',                             # [RFC 7540]
	0xF80A : 'Reserved for Experimental Use [0xF80A]',                             # [RFC 7540]
	0xF80B : 'Reserved for Experimental Use [0xF80B]',                             # [RFC 7540]
	0xF80C : 'Reserved for Experimental Use [0xF80C]',                             # [RFC 7540]
	0xF80D : 'Reserved for Experimental Use [0xF80D]',                             # [RFC 7540]
	0xF80E : 'Reserved for Experimental Use [0xF80E]',                             # [RFC 7540]
	0xF80F : 'Reserved for Experimental Use [0xF80F]',                             # [RFC 7540]
	0xF810 : 'Reserved for Experimental Use [0xF810]',                             # [RFC 7540]
	0xF811 : 'Reserved for Experimental Use [0xF811]',                             # [RFC 7540]
	0xF812 : 'Reserved for Experimental Use [0xF812]',                             # [RFC 7540]
	0xF813 : 'Reserved for Experimental Use [0xF813]',                             # [RFC 7540]
	0xF814 : 'Reserved for Experimental Use [0xF814]',                             # [RFC 7540]
	0xF815 : 'Reserved for Experimental Use [0xF815]',                             # [RFC 7540]
	0xF816 : 'Reserved for Experimental Use [0xF816]',                             # [RFC 7540]
	0xF817 : 'Reserved for Experimental Use [0xF817]',                             # [RFC 7540]
	0xF818 : 'Reserved for Experimental Use [0xF818]',                             # [RFC 7540]
	0xF819 : 'Reserved for Experimental Use [0xF819]',                             # [RFC 7540]
	0xF81A : 'Reserved for Experimental Use [0xF81A]',                             # [RFC 7540]
	0xF81B : 'Reserved for Experimental Use [0xF81B]',                             # [RFC 7540]
	0xF81C : 'Reserved for Experimental Use [0xF81C]',                             # [RFC 7540]
	0xF81D : 'Reserved for Experimental Use [0xF81D]',                             # [RFC 7540]
	0xF81E : 'Reserved for Experimental Use [0xF81E]',                             # [RFC 7540]
	0xF81F : 'Reserved for Experimental Use [0xF81F]',                             # [RFC 7540]
	0xF820 : 'Reserved for Experimental Use [0xF820]',                             # [RFC 7540]
	0xF821 : 'Reserved for Experimental Use [0xF821]',                             # [RFC 7540]
	0xF822 : 'Reserved for Experimental Use [0xF822]',                             # [RFC 7540]
	0xF823 : 'Reserved for Experimental Use [0xF823]',                             # [RFC 7540]
	0xF824 : 'Reserved for Experimental Use [0xF824]',                             # [RFC 7540]
	0xF825 : 'Reserved for Experimental Use [0xF825]',                             # [RFC 7540]
	0xF826 : 'Reserved for Experimental Use [0xF826]',                             # [RFC 7540]
	0xF827 : 'Reserved for Experimental Use [0xF827]',                             # [RFC 7540]
	0xF828 : 'Reserved for Experimental Use [0xF828]',                             # [RFC 7540]
	0xF829 : 'Reserved for Experimental Use [0xF829]',                             # [RFC 7540]
	0xF82A : 'Reserved for Experimental Use [0xF82A]',                             # [RFC 7540]
	0xF82B : 'Reserved for Experimental Use [0xF82B]',                             # [RFC 7540]
	0xF82C : 'Reserved for Experimental Use [0xF82C]',                             # [RFC 7540]
	0xF82D : 'Reserved for Experimental Use [0xF82D]',                             # [RFC 7540]
	0xF82E : 'Reserved for Experimental Use [0xF82E]',                             # [RFC 7540]
	0xF82F : 'Reserved for Experimental Use [0xF82F]',                             # [RFC 7540]
	0xF830 : 'Reserved for Experimental Use [0xF830]',                             # [RFC 7540]
	0xF831 : 'Reserved for Experimental Use [0xF831]',                             # [RFC 7540]
	0xF832 : 'Reserved for Experimental Use [0xF832]',                             # [RFC 7540]
	0xF833 : 'Reserved for Experimental Use [0xF833]',                             # [RFC 7540]
	0xF834 : 'Reserved for Experimental Use [0xF834]',                             # [RFC 7540]
	0xF835 : 'Reserved for Experimental Use [0xF835]',                             # [RFC 7540]
	0xF836 : 'Reserved for Experimental Use [0xF836]',                             # [RFC 7540]
	0xF837 : 'Reserved for Experimental Use [0xF837]',                             # [RFC 7540]
	0xF838 : 'Reserved for Experimental Use [0xF838]',                             # [RFC 7540]
	0xF839 : 'Reserved for Experimental Use [0xF839]',                             # [RFC 7540]
	0xF83A : 'Reserved for Experimental Use [0xF83A]',                             # [RFC 7540]
	0xF83B : 'Reserved for Experimental Use [0xF83B]',                             # [RFC 7540]
	0xF83C : 'Reserved for Experimental Use [0xF83C]',                             # [RFC 7540]
	0xF83D : 'Reserved for Experimental Use [0xF83D]',                             # [RFC 7540]
	0xF83E : 'Reserved for Experimental Use [0xF83E]',                             # [RFC 7540]
	0xF83F : 'Reserved for Experimental Use [0xF83F]',                             # [RFC 7540]
	0xF840 : 'Reserved for Experimental Use [0xF840]',                             # [RFC 7540]
	0xF841 : 'Reserved for Experimental Use [0xF841]',                             # [RFC 7540]
	0xF842 : 'Reserved for Experimental Use [0xF842]',                             # [RFC 7540]
	0xF843 : 'Reserved for Experimental Use [0xF843]',                             # [RFC 7540]
	0xF844 : 'Reserved for Experimental Use [0xF844]',                             # [RFC 7540]
	0xF845 : 'Reserved for Experimental Use [0xF845]',                             # [RFC 7540]
	0xF846 : 'Reserved for Experimental Use [0xF846]',                             # [RFC 7540]
	0xF847 : 'Reserved for Experimental Use [0xF847]',                             # [RFC 7540]
	0xF848 : 'Reserved for Experimental Use [0xF848]',                             # [RFC 7540]
	0xF849 : 'Reserved for Experimental Use [0xF849]',                             # [RFC 7540]
	0xF84A : 'Reserved for Experimental Use [0xF84A]',                             # [RFC 7540]
	0xF84B : 'Reserved for Experimental Use [0xF84B]',                             # [RFC 7540]
	0xF84C : 'Reserved for Experimental Use [0xF84C]',                             # [RFC 7540]
	0xF84D : 'Reserved for Experimental Use [0xF84D]',                             # [RFC 7540]
	0xF84E : 'Reserved for Experimental Use [0xF84E]',                             # [RFC 7540]
	0xF84F : 'Reserved for Experimental Use [0xF84F]',                             # [RFC 7540]
	0xF850 : 'Reserved for Experimental Use [0xF850]',                             # [RFC 7540]
	0xF851 : 'Reserved for Experimental Use [0xF851]',                             # [RFC 7540]
	0xF852 : 'Reserved for Experimental Use [0xF852]',                             # [RFC 7540]
	0xF853 : 'Reserved for Experimental Use [0xF853]',                             # [RFC 7540]
	0xF854 : 'Reserved for Experimental Use [0xF854]',                             # [RFC 7540]
	0xF855 : 'Reserved for Experimental Use [0xF855]',                             # [RFC 7540]
	0xF856 : 'Reserved for Experimental Use [0xF856]',                             # [RFC 7540]
	0xF857 : 'Reserved for Experimental Use [0xF857]',                             # [RFC 7540]
	0xF858 : 'Reserved for Experimental Use [0xF858]',                             # [RFC 7540]
	0xF859 : 'Reserved for Experimental Use [0xF859]',                             # [RFC 7540]
	0xF85A : 'Reserved for Experimental Use [0xF85A]',                             # [RFC 7540]
	0xF85B : 'Reserved for Experimental Use [0xF85B]',                             # [RFC 7540]
	0xF85C : 'Reserved for Experimental Use [0xF85C]',                             # [RFC 7540]
	0xF85D : 'Reserved for Experimental Use [0xF85D]',                             # [RFC 7540]
	0xF85E : 'Reserved for Experimental Use [0xF85E]',                             # [RFC 7540]
	0xF85F : 'Reserved for Experimental Use [0xF85F]',                             # [RFC 7540]
	0xF860 : 'Reserved for Experimental Use [0xF860]',                             # [RFC 7540]
	0xF861 : 'Reserved for Experimental Use [0xF861]',                             # [RFC 7540]
	0xF862 : 'Reserved for Experimental Use [0xF862]',                             # [RFC 7540]
	0xF863 : 'Reserved for Experimental Use [0xF863]',                             # [RFC 7540]
	0xF864 : 'Reserved for Experimental Use [0xF864]',                             # [RFC 7540]
	0xF865 : 'Reserved for Experimental Use [0xF865]',                             # [RFC 7540]
	0xF866 : 'Reserved for Experimental Use [0xF866]',                             # [RFC 7540]
	0xF867 : 'Reserved for Experimental Use [0xF867]',                             # [RFC 7540]
	0xF868 : 'Reserved for Experimental Use [0xF868]',                             # [RFC 7540]
	0xF869 : 'Reserved for Experimental Use [0xF869]',                             # [RFC 7540]
	0xF86A : 'Reserved for Experimental Use [0xF86A]',                             # [RFC 7540]
	0xF86B : 'Reserved for Experimental Use [0xF86B]',                             # [RFC 7540]
	0xF86C : 'Reserved for Experimental Use [0xF86C]',                             # [RFC 7540]
	0xF86D : 'Reserved for Experimental Use [0xF86D]',                             # [RFC 7540]
	0xF86E : 'Reserved for Experimental Use [0xF86E]',                             # [RFC 7540]
	0xF86F : 'Reserved for Experimental Use [0xF86F]',                             # [RFC 7540]
	0xF870 : 'Reserved for Experimental Use [0xF870]',                             # [RFC 7540]
	0xF871 : 'Reserved for Experimental Use [0xF871]',                             # [RFC 7540]
	0xF872 : 'Reserved for Experimental Use [0xF872]',                             # [RFC 7540]
	0xF873 : 'Reserved for Experimental Use [0xF873]',                             # [RFC 7540]
	0xF874 : 'Reserved for Experimental Use [0xF874]',                             # [RFC 7540]
	0xF875 : 'Reserved for Experimental Use [0xF875]',                             # [RFC 7540]
	0xF876 : 'Reserved for Experimental Use [0xF876]',                             # [RFC 7540]
	0xF877 : 'Reserved for Experimental Use [0xF877]',                             # [RFC 7540]
	0xF878 : 'Reserved for Experimental Use [0xF878]',                             # [RFC 7540]
	0xF879 : 'Reserved for Experimental Use [0xF879]',                             # [RFC 7540]
	0xF87A : 'Reserved for Experimental Use [0xF87A]',                             # [RFC 7540]
	0xF87B : 'Reserved for Experimental Use [0xF87B]',                             # [RFC 7540]
	0xF87C : 'Reserved for Experimental Use [0xF87C]',                             # [RFC 7540]
	0xF87D : 'Reserved for Experimental Use [0xF87D]',                             # [RFC 7540]
	0xF87E : 'Reserved for Experimental Use [0xF87E]',                             # [RFC 7540]
	0xF87F : 'Reserved for Experimental Use [0xF87F]',                             # [RFC 7540]
	0xF880 : 'Reserved for Experimental Use [0xF880]',                             # [RFC 7540]
	0xF881 : 'Reserved for Experimental Use [0xF881]',                             # [RFC 7540]
	0xF882 : 'Reserved for Experimental Use [0xF882]',                             # [RFC 7540]
	0xF883 : 'Reserved for Experimental Use [0xF883]',                             # [RFC 7540]
	0xF884 : 'Reserved for Experimental Use [0xF884]',                             # [RFC 7540]
	0xF885 : 'Reserved for Experimental Use [0xF885]',                             # [RFC 7540]
	0xF886 : 'Reserved for Experimental Use [0xF886]',                             # [RFC 7540]
	0xF887 : 'Reserved for Experimental Use [0xF887]',                             # [RFC 7540]
	0xF888 : 'Reserved for Experimental Use [0xF888]',                             # [RFC 7540]
	0xF889 : 'Reserved for Experimental Use [0xF889]',                             # [RFC 7540]
	0xF88A : 'Reserved for Experimental Use [0xF88A]',                             # [RFC 7540]
	0xF88B : 'Reserved for Experimental Use [0xF88B]',                             # [RFC 7540]
	0xF88C : 'Reserved for Experimental Use [0xF88C]',                             # [RFC 7540]
	0xF88D : 'Reserved for Experimental Use [0xF88D]',                             # [RFC 7540]
	0xF88E : 'Reserved for Experimental Use [0xF88E]',                             # [RFC 7540]
	0xF88F : 'Reserved for Experimental Use [0xF88F]',                             # [RFC 7540]
	0xF890 : 'Reserved for Experimental Use [0xF890]',                             # [RFC 7540]
	0xF891 : 'Reserved for Experimental Use [0xF891]',                             # [RFC 7540]
	0xF892 : 'Reserved for Experimental Use [0xF892]',                             # [RFC 7540]
	0xF893 : 'Reserved for Experimental Use [0xF893]',                             # [RFC 7540]
	0xF894 : 'Reserved for Experimental Use [0xF894]',                             # [RFC 7540]
	0xF895 : 'Reserved for Experimental Use [0xF895]',                             # [RFC 7540]
	0xF896 : 'Reserved for Experimental Use [0xF896]',                             # [RFC 7540]
	0xF897 : 'Reserved for Experimental Use [0xF897]',                             # [RFC 7540]
	0xF898 : 'Reserved for Experimental Use [0xF898]',                             # [RFC 7540]
	0xF899 : 'Reserved for Experimental Use [0xF899]',                             # [RFC 7540]
	0xF89A : 'Reserved for Experimental Use [0xF89A]',                             # [RFC 7540]
	0xF89B : 'Reserved for Experimental Use [0xF89B]',                             # [RFC 7540]
	0xF89C : 'Reserved for Experimental Use [0xF89C]',                             # [RFC 7540]
	0xF89D : 'Reserved for Experimental Use [0xF89D]',                             # [RFC 7540]
	0xF89E : 'Reserved for Experimental Use [0xF89E]',                             # [RFC 7540]
	0xF89F : 'Reserved for Experimental Use [0xF89F]',                             # [RFC 7540]
	0xF8A0 : 'Reserved for Experimental Use [0xF8A0]',                             # [RFC 7540]
	0xF8A1 : 'Reserved for Experimental Use [0xF8A1]',                             # [RFC 7540]
	0xF8A2 : 'Reserved for Experimental Use [0xF8A2]',                             # [RFC 7540]
	0xF8A3 : 'Reserved for Experimental Use [0xF8A3]',                             # [RFC 7540]
	0xF8A4 : 'Reserved for Experimental Use [0xF8A4]',                             # [RFC 7540]
	0xF8A5 : 'Reserved for Experimental Use [0xF8A5]',                             # [RFC 7540]
	0xF8A6 : 'Reserved for Experimental Use [0xF8A6]',                             # [RFC 7540]
	0xF8A7 : 'Reserved for Experimental Use [0xF8A7]',                             # [RFC 7540]
	0xF8A8 : 'Reserved for Experimental Use [0xF8A8]',                             # [RFC 7540]
	0xF8A9 : 'Reserved for Experimental Use [0xF8A9]',                             # [RFC 7540]
	0xF8AA : 'Reserved for Experimental Use [0xF8AA]',                             # [RFC 7540]
	0xF8AB : 'Reserved for Experimental Use [0xF8AB]',                             # [RFC 7540]
	0xF8AC : 'Reserved for Experimental Use [0xF8AC]',                             # [RFC 7540]
	0xF8AD : 'Reserved for Experimental Use [0xF8AD]',                             # [RFC 7540]
	0xF8AE : 'Reserved for Experimental Use [0xF8AE]',                             # [RFC 7540]
	0xF8AF : 'Reserved for Experimental Use [0xF8AF]',                             # [RFC 7540]
	0xF8B0 : 'Reserved for Experimental Use [0xF8B0]',                             # [RFC 7540]
	0xF8B1 : 'Reserved for Experimental Use [0xF8B1]',                             # [RFC 7540]
	0xF8B2 : 'Reserved for Experimental Use [0xF8B2]',                             # [RFC 7540]
	0xF8B3 : 'Reserved for Experimental Use [0xF8B3]',                             # [RFC 7540]
	0xF8B4 : 'Reserved for Experimental Use [0xF8B4]',                             # [RFC 7540]
	0xF8B5 : 'Reserved for Experimental Use [0xF8B5]',                             # [RFC 7540]
	0xF8B6 : 'Reserved for Experimental Use [0xF8B6]',                             # [RFC 7540]
	0xF8B7 : 'Reserved for Experimental Use [0xF8B7]',                             # [RFC 7540]
	0xF8B8 : 'Reserved for Experimental Use [0xF8B8]',                             # [RFC 7540]
	0xF8B9 : 'Reserved for Experimental Use [0xF8B9]',                             # [RFC 7540]
	0xF8BA : 'Reserved for Experimental Use [0xF8BA]',                             # [RFC 7540]
	0xF8BB : 'Reserved for Experimental Use [0xF8BB]',                             # [RFC 7540]
	0xF8BC : 'Reserved for Experimental Use [0xF8BC]',                             # [RFC 7540]
	0xF8BD : 'Reserved for Experimental Use [0xF8BD]',                             # [RFC 7540]
	0xF8BE : 'Reserved for Experimental Use [0xF8BE]',                             # [RFC 7540]
	0xF8BF : 'Reserved for Experimental Use [0xF8BF]',                             # [RFC 7540]
	0xF8C0 : 'Reserved for Experimental Use [0xF8C0]',                             # [RFC 7540]
	0xF8C1 : 'Reserved for Experimental Use [0xF8C1]',                             # [RFC 7540]
	0xF8C2 : 'Reserved for Experimental Use [0xF8C2]',                             # [RFC 7540]
	0xF8C3 : 'Reserved for Experimental Use [0xF8C3]',                             # [RFC 7540]
	0xF8C4 : 'Reserved for Experimental Use [0xF8C4]',                             # [RFC 7540]
	0xF8C5 : 'Reserved for Experimental Use [0xF8C5]',                             # [RFC 7540]
	0xF8C6 : 'Reserved for Experimental Use [0xF8C6]',                             # [RFC 7540]
	0xF8C7 : 'Reserved for Experimental Use [0xF8C7]',                             # [RFC 7540]
	0xF8C8 : 'Reserved for Experimental Use [0xF8C8]',                             # [RFC 7540]
	0xF8C9 : 'Reserved for Experimental Use [0xF8C9]',                             # [RFC 7540]
	0xF8CA : 'Reserved for Experimental Use [0xF8CA]',                             # [RFC 7540]
	0xF8CB : 'Reserved for Experimental Use [0xF8CB]',                             # [RFC 7540]
	0xF8CC : 'Reserved for Experimental Use [0xF8CC]',                             # [RFC 7540]
	0xF8CD : 'Reserved for Experimental Use [0xF8CD]',                             # [RFC 7540]
	0xF8CE : 'Reserved for Experimental Use [0xF8CE]',                             # [RFC 7540]
	0xF8CF : 'Reserved for Experimental Use [0xF8CF]',                             # [RFC 7540]
	0xF8D0 : 'Reserved for Experimental Use [0xF8D0]',                             # [RFC 7540]
	0xF8D1 : 'Reserved for Experimental Use [0xF8D1]',                             # [RFC 7540]
	0xF8D2 : 'Reserved for Experimental Use [0xF8D2]',                             # [RFC 7540]
	0xF8D3 : 'Reserved for Experimental Use [0xF8D3]',                             # [RFC 7540]
	0xF8D4 : 'Reserved for Experimental Use [0xF8D4]',                             # [RFC 7540]
	0xF8D5 : 'Reserved for Experimental Use [0xF8D5]',                             # [RFC 7540]
	0xF8D6 : 'Reserved for Experimental Use [0xF8D6]',                             # [RFC 7540]
	0xF8D7 : 'Reserved for Experimental Use [0xF8D7]',                             # [RFC 7540]
	0xF8D8 : 'Reserved for Experimental Use [0xF8D8]',                             # [RFC 7540]
	0xF8D9 : 'Reserved for Experimental Use [0xF8D9]',                             # [RFC 7540]
	0xF8DA : 'Reserved for Experimental Use [0xF8DA]',                             # [RFC 7540]
	0xF8DB : 'Reserved for Experimental Use [0xF8DB]',                             # [RFC 7540]
	0xF8DC : 'Reserved for Experimental Use [0xF8DC]',                             # [RFC 7540]
	0xF8DD : 'Reserved for Experimental Use [0xF8DD]',                             # [RFC 7540]
	0xF8DE : 'Reserved for Experimental Use [0xF8DE]',                             # [RFC 7540]
	0xF8DF : 'Reserved for Experimental Use [0xF8DF]',                             # [RFC 7540]
	0xF8E0 : 'Reserved for Experimental Use [0xF8E0]',                             # [RFC 7540]
	0xF8E1 : 'Reserved for Experimental Use [0xF8E1]',                             # [RFC 7540]
	0xF8E2 : 'Reserved for Experimental Use [0xF8E2]',                             # [RFC 7540]
	0xF8E3 : 'Reserved for Experimental Use [0xF8E3]',                             # [RFC 7540]
	0xF8E4 : 'Reserved for Experimental Use [0xF8E4]',                             # [RFC 7540]
	0xF8E5 : 'Reserved for Experimental Use [0xF8E5]',                             # [RFC 7540]
	0xF8E6 : 'Reserved for Experimental Use [0xF8E6]',                             # [RFC 7540]
	0xF8E7 : 'Reserved for Experimental Use [0xF8E7]',                             # [RFC 7540]
	0xF8E8 : 'Reserved for Experimental Use [0xF8E8]',                             # [RFC 7540]
	0xF8E9 : 'Reserved for Experimental Use [0xF8E9]',                             # [RFC 7540]
	0xF8EA : 'Reserved for Experimental Use [0xF8EA]',                             # [RFC 7540]
	0xF8EB : 'Reserved for Experimental Use [0xF8EB]',                             # [RFC 7540]
	0xF8EC : 'Reserved for Experimental Use [0xF8EC]',                             # [RFC 7540]
	0xF8ED : 'Reserved for Experimental Use [0xF8ED]',                             # [RFC 7540]
	0xF8EE : 'Reserved for Experimental Use [0xF8EE]',                             # [RFC 7540]
	0xF8EF : 'Reserved for Experimental Use [0xF8EF]',                             # [RFC 7540]
	0xF8F0 : 'Reserved for Experimental Use [0xF8F0]',                             # [RFC 7540]
	0xF8F1 : 'Reserved for Experimental Use [0xF8F1]',                             # [RFC 7540]
	0xF8F2 : 'Reserved for Experimental Use [0xF8F2]',                             # [RFC 7540]
	0xF8F3 : 'Reserved for Experimental Use [0xF8F3]',                             # [RFC 7540]
	0xF8F4 : 'Reserved for Experimental Use [0xF8F4]',                             # [RFC 7540]
	0xF8F5 : 'Reserved for Experimental Use [0xF8F5]',                             # [RFC 7540]
	0xF8F6 : 'Reserved for Experimental Use [0xF8F6]',                             # [RFC 7540]
	0xF8F7 : 'Reserved for Experimental Use [0xF8F7]',                             # [RFC 7540]
	0xF8F8 : 'Reserved for Experimental Use [0xF8F8]',                             # [RFC 7540]
	0xF8F9 : 'Reserved for Experimental Use [0xF8F9]',                             # [RFC 7540]
	0xF8FA : 'Reserved for Experimental Use [0xF8FA]',                             # [RFC 7540]
	0xF8FB : 'Reserved for Experimental Use [0xF8FB]',                             # [RFC 7540]
	0xF8FC : 'Reserved for Experimental Use [0xF8FC]',                             # [RFC 7540]
	0xF8FD : 'Reserved for Experimental Use [0xF8FD]',                             # [RFC 7540]
	0xF8FE : 'Reserved for Experimental Use [0xF8FE]',                             # [RFC 7540]
	0xF8FF : 'Reserved for Experimental Use [0xF8FF]',                             # [RFC 7540]
	0xF900 : 'Reserved for Experimental Use [0xF900]',                             # [RFC 7540]
	0xF901 : 'Reserved for Experimental Use [0xF901]',                             # [RFC 7540]
	0xF902 : 'Reserved for Experimental Use [0xF902]',                             # [RFC 7540]
	0xF903 : 'Reserved for Experimental Use [0xF903]',                             # [RFC 7540]
	0xF904 : 'Reserved for Experimental Use [0xF904]',                             # [RFC 7540]
	0xF905 : 'Reserved for Experimental Use [0xF905]',                             # [RFC 7540]
	0xF906 : 'Reserved for Experimental Use [0xF906]',                             # [RFC 7540]
	0xF907 : 'Reserved for Experimental Use [0xF907]',                             # [RFC 7540]
	0xF908 : 'Reserved for Experimental Use [0xF908]',                             # [RFC 7540]
	0xF909 : 'Reserved for Experimental Use [0xF909]',                             # [RFC 7540]
	0xF90A : 'Reserved for Experimental Use [0xF90A]',                             # [RFC 7540]
	0xF90B : 'Reserved for Experimental Use [0xF90B]',                             # [RFC 7540]
	0xF90C : 'Reserved for Experimental Use [0xF90C]',                             # [RFC 7540]
	0xF90D : 'Reserved for Experimental Use [0xF90D]',                             # [RFC 7540]
	0xF90E : 'Reserved for Experimental Use [0xF90E]',                             # [RFC 7540]
	0xF90F : 'Reserved for Experimental Use [0xF90F]',                             # [RFC 7540]
	0xF910 : 'Reserved for Experimental Use [0xF910]',                             # [RFC 7540]
	0xF911 : 'Reserved for Experimental Use [0xF911]',                             # [RFC 7540]
	0xF912 : 'Reserved for Experimental Use [0xF912]',                             # [RFC 7540]
	0xF913 : 'Reserved for Experimental Use [0xF913]',                             # [RFC 7540]
	0xF914 : 'Reserved for Experimental Use [0xF914]',                             # [RFC 7540]
	0xF915 : 'Reserved for Experimental Use [0xF915]',                             # [RFC 7540]
	0xF916 : 'Reserved for Experimental Use [0xF916]',                             # [RFC 7540]
	0xF917 : 'Reserved for Experimental Use [0xF917]',                             # [RFC 7540]
	0xF918 : 'Reserved for Experimental Use [0xF918]',                             # [RFC 7540]
	0xF919 : 'Reserved for Experimental Use [0xF919]',                             # [RFC 7540]
	0xF91A : 'Reserved for Experimental Use [0xF91A]',                             # [RFC 7540]
	0xF91B : 'Reserved for Experimental Use [0xF91B]',                             # [RFC 7540]
	0xF91C : 'Reserved for Experimental Use [0xF91C]',                             # [RFC 7540]
	0xF91D : 'Reserved for Experimental Use [0xF91D]',                             # [RFC 7540]
	0xF91E : 'Reserved for Experimental Use [0xF91E]',                             # [RFC 7540]
	0xF91F : 'Reserved for Experimental Use [0xF91F]',                             # [RFC 7540]
	0xF920 : 'Reserved for Experimental Use [0xF920]',                             # [RFC 7540]
	0xF921 : 'Reserved for Experimental Use [0xF921]',                             # [RFC 7540]
	0xF922 : 'Reserved for Experimental Use [0xF922]',                             # [RFC 7540]
	0xF923 : 'Reserved for Experimental Use [0xF923]',                             # [RFC 7540]
	0xF924 : 'Reserved for Experimental Use [0xF924]',                             # [RFC 7540]
	0xF925 : 'Reserved for Experimental Use [0xF925]',                             # [RFC 7540]
	0xF926 : 'Reserved for Experimental Use [0xF926]',                             # [RFC 7540]
	0xF927 : 'Reserved for Experimental Use [0xF927]',                             # [RFC 7540]
	0xF928 : 'Reserved for Experimental Use [0xF928]',                             # [RFC 7540]
	0xF929 : 'Reserved for Experimental Use [0xF929]',                             # [RFC 7540]
	0xF92A : 'Reserved for Experimental Use [0xF92A]',                             # [RFC 7540]
	0xF92B : 'Reserved for Experimental Use [0xF92B]',                             # [RFC 7540]
	0xF92C : 'Reserved for Experimental Use [0xF92C]',                             # [RFC 7540]
	0xF92D : 'Reserved for Experimental Use [0xF92D]',                             # [RFC 7540]
	0xF92E : 'Reserved for Experimental Use [0xF92E]',                             # [RFC 7540]
	0xF92F : 'Reserved for Experimental Use [0xF92F]',                             # [RFC 7540]
	0xF930 : 'Reserved for Experimental Use [0xF930]',                             # [RFC 7540]
	0xF931 : 'Reserved for Experimental Use [0xF931]',                             # [RFC 7540]
	0xF932 : 'Reserved for Experimental Use [0xF932]',                             # [RFC 7540]
	0xF933 : 'Reserved for Experimental Use [0xF933]',                             # [RFC 7540]
	0xF934 : 'Reserved for Experimental Use [0xF934]',                             # [RFC 7540]
	0xF935 : 'Reserved for Experimental Use [0xF935]',                             # [RFC 7540]
	0xF936 : 'Reserved for Experimental Use [0xF936]',                             # [RFC 7540]
	0xF937 : 'Reserved for Experimental Use [0xF937]',                             # [RFC 7540]
	0xF938 : 'Reserved for Experimental Use [0xF938]',                             # [RFC 7540]
	0xF939 : 'Reserved for Experimental Use [0xF939]',                             # [RFC 7540]
	0xF93A : 'Reserved for Experimental Use [0xF93A]',                             # [RFC 7540]
	0xF93B : 'Reserved for Experimental Use [0xF93B]',                             # [RFC 7540]
	0xF93C : 'Reserved for Experimental Use [0xF93C]',                             # [RFC 7540]
	0xF93D : 'Reserved for Experimental Use [0xF93D]',                             # [RFC 7540]
	0xF93E : 'Reserved for Experimental Use [0xF93E]',                             # [RFC 7540]
	0xF93F : 'Reserved for Experimental Use [0xF93F]',                             # [RFC 7540]
	0xF940 : 'Reserved for Experimental Use [0xF940]',                             # [RFC 7540]
	0xF941 : 'Reserved for Experimental Use [0xF941]',                             # [RFC 7540]
	0xF942 : 'Reserved for Experimental Use [0xF942]',                             # [RFC 7540]
	0xF943 : 'Reserved for Experimental Use [0xF943]',                             # [RFC 7540]
	0xF944 : 'Reserved for Experimental Use [0xF944]',                             # [RFC 7540]
	0xF945 : 'Reserved for Experimental Use [0xF945]',                             # [RFC 7540]
	0xF946 : 'Reserved for Experimental Use [0xF946]',                             # [RFC 7540]
	0xF947 : 'Reserved for Experimental Use [0xF947]',                             # [RFC 7540]
	0xF948 : 'Reserved for Experimental Use [0xF948]',                             # [RFC 7540]
	0xF949 : 'Reserved for Experimental Use [0xF949]',                             # [RFC 7540]
	0xF94A : 'Reserved for Experimental Use [0xF94A]',                             # [RFC 7540]
	0xF94B : 'Reserved for Experimental Use [0xF94B]',                             # [RFC 7540]
	0xF94C : 'Reserved for Experimental Use [0xF94C]',                             # [RFC 7540]
	0xF94D : 'Reserved for Experimental Use [0xF94D]',                             # [RFC 7540]
	0xF94E : 'Reserved for Experimental Use [0xF94E]',                             # [RFC 7540]
	0xF94F : 'Reserved for Experimental Use [0xF94F]',                             # [RFC 7540]
	0xF950 : 'Reserved for Experimental Use [0xF950]',                             # [RFC 7540]
	0xF951 : 'Reserved for Experimental Use [0xF951]',                             # [RFC 7540]
	0xF952 : 'Reserved for Experimental Use [0xF952]',                             # [RFC 7540]
	0xF953 : 'Reserved for Experimental Use [0xF953]',                             # [RFC 7540]
	0xF954 : 'Reserved for Experimental Use [0xF954]',                             # [RFC 7540]
	0xF955 : 'Reserved for Experimental Use [0xF955]',                             # [RFC 7540]
	0xF956 : 'Reserved for Experimental Use [0xF956]',                             # [RFC 7540]
	0xF957 : 'Reserved for Experimental Use [0xF957]',                             # [RFC 7540]
	0xF958 : 'Reserved for Experimental Use [0xF958]',                             # [RFC 7540]
	0xF959 : 'Reserved for Experimental Use [0xF959]',                             # [RFC 7540]
	0xF95A : 'Reserved for Experimental Use [0xF95A]',                             # [RFC 7540]
	0xF95B : 'Reserved for Experimental Use [0xF95B]',                             # [RFC 7540]
	0xF95C : 'Reserved for Experimental Use [0xF95C]',                             # [RFC 7540]
	0xF95D : 'Reserved for Experimental Use [0xF95D]',                             # [RFC 7540]
	0xF95E : 'Reserved for Experimental Use [0xF95E]',                             # [RFC 7540]
	0xF95F : 'Reserved for Experimental Use [0xF95F]',                             # [RFC 7540]
	0xF960 : 'Reserved for Experimental Use [0xF960]',                             # [RFC 7540]
	0xF961 : 'Reserved for Experimental Use [0xF961]',                             # [RFC 7540]
	0xF962 : 'Reserved for Experimental Use [0xF962]',                             # [RFC 7540]
	0xF963 : 'Reserved for Experimental Use [0xF963]',                             # [RFC 7540]
	0xF964 : 'Reserved for Experimental Use [0xF964]',                             # [RFC 7540]
	0xF965 : 'Reserved for Experimental Use [0xF965]',                             # [RFC 7540]
	0xF966 : 'Reserved for Experimental Use [0xF966]',                             # [RFC 7540]
	0xF967 : 'Reserved for Experimental Use [0xF967]',                             # [RFC 7540]
	0xF968 : 'Reserved for Experimental Use [0xF968]',                             # [RFC 7540]
	0xF969 : 'Reserved for Experimental Use [0xF969]',                             # [RFC 7540]
	0xF96A : 'Reserved for Experimental Use [0xF96A]',                             # [RFC 7540]
	0xF96B : 'Reserved for Experimental Use [0xF96B]',                             # [RFC 7540]
	0xF96C : 'Reserved for Experimental Use [0xF96C]',                             # [RFC 7540]
	0xF96D : 'Reserved for Experimental Use [0xF96D]',                             # [RFC 7540]
	0xF96E : 'Reserved for Experimental Use [0xF96E]',                             # [RFC 7540]
	0xF96F : 'Reserved for Experimental Use [0xF96F]',                             # [RFC 7540]
	0xF970 : 'Reserved for Experimental Use [0xF970]',                             # [RFC 7540]
	0xF971 : 'Reserved for Experimental Use [0xF971]',                             # [RFC 7540]
	0xF972 : 'Reserved for Experimental Use [0xF972]',                             # [RFC 7540]
	0xF973 : 'Reserved for Experimental Use [0xF973]',                             # [RFC 7540]
	0xF974 : 'Reserved for Experimental Use [0xF974]',                             # [RFC 7540]
	0xF975 : 'Reserved for Experimental Use [0xF975]',                             # [RFC 7540]
	0xF976 : 'Reserved for Experimental Use [0xF976]',                             # [RFC 7540]
	0xF977 : 'Reserved for Experimental Use [0xF977]',                             # [RFC 7540]
	0xF978 : 'Reserved for Experimental Use [0xF978]',                             # [RFC 7540]
	0xF979 : 'Reserved for Experimental Use [0xF979]',                             # [RFC 7540]
	0xF97A : 'Reserved for Experimental Use [0xF97A]',                             # [RFC 7540]
	0xF97B : 'Reserved for Experimental Use [0xF97B]',                             # [RFC 7540]
	0xF97C : 'Reserved for Experimental Use [0xF97C]',                             # [RFC 7540]
	0xF97D : 'Reserved for Experimental Use [0xF97D]',                             # [RFC 7540]
	0xF97E : 'Reserved for Experimental Use [0xF97E]',                             # [RFC 7540]
	0xF97F : 'Reserved for Experimental Use [0xF97F]',                             # [RFC 7540]
	0xF980 : 'Reserved for Experimental Use [0xF980]',                             # [RFC 7540]
	0xF981 : 'Reserved for Experimental Use [0xF981]',                             # [RFC 7540]
	0xF982 : 'Reserved for Experimental Use [0xF982]',                             # [RFC 7540]
	0xF983 : 'Reserved for Experimental Use [0xF983]',                             # [RFC 7540]
	0xF984 : 'Reserved for Experimental Use [0xF984]',                             # [RFC 7540]
	0xF985 : 'Reserved for Experimental Use [0xF985]',                             # [RFC 7540]
	0xF986 : 'Reserved for Experimental Use [0xF986]',                             # [RFC 7540]
	0xF987 : 'Reserved for Experimental Use [0xF987]',                             # [RFC 7540]
	0xF988 : 'Reserved for Experimental Use [0xF988]',                             # [RFC 7540]
	0xF989 : 'Reserved for Experimental Use [0xF989]',                             # [RFC 7540]
	0xF98A : 'Reserved for Experimental Use [0xF98A]',                             # [RFC 7540]
	0xF98B : 'Reserved for Experimental Use [0xF98B]',                             # [RFC 7540]
	0xF98C : 'Reserved for Experimental Use [0xF98C]',                             # [RFC 7540]
	0xF98D : 'Reserved for Experimental Use [0xF98D]',                             # [RFC 7540]
	0xF98E : 'Reserved for Experimental Use [0xF98E]',                             # [RFC 7540]
	0xF98F : 'Reserved for Experimental Use [0xF98F]',                             # [RFC 7540]
	0xF990 : 'Reserved for Experimental Use [0xF990]',                             # [RFC 7540]
	0xF991 : 'Reserved for Experimental Use [0xF991]',                             # [RFC 7540]
	0xF992 : 'Reserved for Experimental Use [0xF992]',                             # [RFC 7540]
	0xF993 : 'Reserved for Experimental Use [0xF993]',                             # [RFC 7540]
	0xF994 : 'Reserved for Experimental Use [0xF994]',                             # [RFC 7540]
	0xF995 : 'Reserved for Experimental Use [0xF995]',                             # [RFC 7540]
	0xF996 : 'Reserved for Experimental Use [0xF996]',                             # [RFC 7540]
	0xF997 : 'Reserved for Experimental Use [0xF997]',                             # [RFC 7540]
	0xF998 : 'Reserved for Experimental Use [0xF998]',                             # [RFC 7540]
	0xF999 : 'Reserved for Experimental Use [0xF999]',                             # [RFC 7540]
	0xF99A : 'Reserved for Experimental Use [0xF99A]',                             # [RFC 7540]
	0xF99B : 'Reserved for Experimental Use [0xF99B]',                             # [RFC 7540]
	0xF99C : 'Reserved for Experimental Use [0xF99C]',                             # [RFC 7540]
	0xF99D : 'Reserved for Experimental Use [0xF99D]',                             # [RFC 7540]
	0xF99E : 'Reserved for Experimental Use [0xF99E]',                             # [RFC 7540]
	0xF99F : 'Reserved for Experimental Use [0xF99F]',                             # [RFC 7540]
	0xF9A0 : 'Reserved for Experimental Use [0xF9A0]',                             # [RFC 7540]
	0xF9A1 : 'Reserved for Experimental Use [0xF9A1]',                             # [RFC 7540]
	0xF9A2 : 'Reserved for Experimental Use [0xF9A2]',                             # [RFC 7540]
	0xF9A3 : 'Reserved for Experimental Use [0xF9A3]',                             # [RFC 7540]
	0xF9A4 : 'Reserved for Experimental Use [0xF9A4]',                             # [RFC 7540]
	0xF9A5 : 'Reserved for Experimental Use [0xF9A5]',                             # [RFC 7540]
	0xF9A6 : 'Reserved for Experimental Use [0xF9A6]',                             # [RFC 7540]
	0xF9A7 : 'Reserved for Experimental Use [0xF9A7]',                             # [RFC 7540]
	0xF9A8 : 'Reserved for Experimental Use [0xF9A8]',                             # [RFC 7540]
	0xF9A9 : 'Reserved for Experimental Use [0xF9A9]',                             # [RFC 7540]
	0xF9AA : 'Reserved for Experimental Use [0xF9AA]',                             # [RFC 7540]
	0xF9AB : 'Reserved for Experimental Use [0xF9AB]',                             # [RFC 7540]
	0xF9AC : 'Reserved for Experimental Use [0xF9AC]',                             # [RFC 7540]
	0xF9AD : 'Reserved for Experimental Use [0xF9AD]',                             # [RFC 7540]
	0xF9AE : 'Reserved for Experimental Use [0xF9AE]',                             # [RFC 7540]
	0xF9AF : 'Reserved for Experimental Use [0xF9AF]',                             # [RFC 7540]
	0xF9B0 : 'Reserved for Experimental Use [0xF9B0]',                             # [RFC 7540]
	0xF9B1 : 'Reserved for Experimental Use [0xF9B1]',                             # [RFC 7540]
	0xF9B2 : 'Reserved for Experimental Use [0xF9B2]',                             # [RFC 7540]
	0xF9B3 : 'Reserved for Experimental Use [0xF9B3]',                             # [RFC 7540]
	0xF9B4 : 'Reserved for Experimental Use [0xF9B4]',                             # [RFC 7540]
	0xF9B5 : 'Reserved for Experimental Use [0xF9B5]',                             # [RFC 7540]
	0xF9B6 : 'Reserved for Experimental Use [0xF9B6]',                             # [RFC 7540]
	0xF9B7 : 'Reserved for Experimental Use [0xF9B7]',                             # [RFC 7540]
	0xF9B8 : 'Reserved for Experimental Use [0xF9B8]',                             # [RFC 7540]
	0xF9B9 : 'Reserved for Experimental Use [0xF9B9]',                             # [RFC 7540]
	0xF9BA : 'Reserved for Experimental Use [0xF9BA]',                             # [RFC 7540]
	0xF9BB : 'Reserved for Experimental Use [0xF9BB]',                             # [RFC 7540]
	0xF9BC : 'Reserved for Experimental Use [0xF9BC]',                             # [RFC 7540]
	0xF9BD : 'Reserved for Experimental Use [0xF9BD]',                             # [RFC 7540]
	0xF9BE : 'Reserved for Experimental Use [0xF9BE]',                             # [RFC 7540]
	0xF9BF : 'Reserved for Experimental Use [0xF9BF]',                             # [RFC 7540]
	0xF9C0 : 'Reserved for Experimental Use [0xF9C0]',                             # [RFC 7540]
	0xF9C1 : 'Reserved for Experimental Use [0xF9C1]',                             # [RFC 7540]
	0xF9C2 : 'Reserved for Experimental Use [0xF9C2]',                             # [RFC 7540]
	0xF9C3 : 'Reserved for Experimental Use [0xF9C3]',                             # [RFC 7540]
	0xF9C4 : 'Reserved for Experimental Use [0xF9C4]',                             # [RFC 7540]
	0xF9C5 : 'Reserved for Experimental Use [0xF9C5]',                             # [RFC 7540]
	0xF9C6 : 'Reserved for Experimental Use [0xF9C6]',                             # [RFC 7540]
	0xF9C7 : 'Reserved for Experimental Use [0xF9C7]',                             # [RFC 7540]
	0xF9C8 : 'Reserved for Experimental Use [0xF9C8]',                             # [RFC 7540]
	0xF9C9 : 'Reserved for Experimental Use [0xF9C9]',                             # [RFC 7540]
	0xF9CA : 'Reserved for Experimental Use [0xF9CA]',                             # [RFC 7540]
	0xF9CB : 'Reserved for Experimental Use [0xF9CB]',                             # [RFC 7540]
	0xF9CC : 'Reserved for Experimental Use [0xF9CC]',                             # [RFC 7540]
	0xF9CD : 'Reserved for Experimental Use [0xF9CD]',                             # [RFC 7540]
	0xF9CE : 'Reserved for Experimental Use [0xF9CE]',                             # [RFC 7540]
	0xF9CF : 'Reserved for Experimental Use [0xF9CF]',                             # [RFC 7540]
	0xF9D0 : 'Reserved for Experimental Use [0xF9D0]',                             # [RFC 7540]
	0xF9D1 : 'Reserved for Experimental Use [0xF9D1]',                             # [RFC 7540]
	0xF9D2 : 'Reserved for Experimental Use [0xF9D2]',                             # [RFC 7540]
	0xF9D3 : 'Reserved for Experimental Use [0xF9D3]',                             # [RFC 7540]
	0xF9D4 : 'Reserved for Experimental Use [0xF9D4]',                             # [RFC 7540]
	0xF9D5 : 'Reserved for Experimental Use [0xF9D5]',                             # [RFC 7540]
	0xF9D6 : 'Reserved for Experimental Use [0xF9D6]',                             # [RFC 7540]
	0xF9D7 : 'Reserved for Experimental Use [0xF9D7]',                             # [RFC 7540]
	0xF9D8 : 'Reserved for Experimental Use [0xF9D8]',                             # [RFC 7540]
	0xF9D9 : 'Reserved for Experimental Use [0xF9D9]',                             # [RFC 7540]
	0xF9DA : 'Reserved for Experimental Use [0xF9DA]',                             # [RFC 7540]
	0xF9DB : 'Reserved for Experimental Use [0xF9DB]',                             # [RFC 7540]
	0xF9DC : 'Reserved for Experimental Use [0xF9DC]',                             # [RFC 7540]
	0xF9DD : 'Reserved for Experimental Use [0xF9DD]',                             # [RFC 7540]
	0xF9DE : 'Reserved for Experimental Use [0xF9DE]',                             # [RFC 7540]
	0xF9DF : 'Reserved for Experimental Use [0xF9DF]',                             # [RFC 7540]
	0xF9E0 : 'Reserved for Experimental Use [0xF9E0]',                             # [RFC 7540]
	0xF9E1 : 'Reserved for Experimental Use [0xF9E1]',                             # [RFC 7540]
	0xF9E2 : 'Reserved for Experimental Use [0xF9E2]',                             # [RFC 7540]
	0xF9E3 : 'Reserved for Experimental Use [0xF9E3]',                             # [RFC 7540]
	0xF9E4 : 'Reserved for Experimental Use [0xF9E4]',                             # [RFC 7540]
	0xF9E5 : 'Reserved for Experimental Use [0xF9E5]',                             # [RFC 7540]
	0xF9E6 : 'Reserved for Experimental Use [0xF9E6]',                             # [RFC 7540]
	0xF9E7 : 'Reserved for Experimental Use [0xF9E7]',                             # [RFC 7540]
	0xF9E8 : 'Reserved for Experimental Use [0xF9E8]',                             # [RFC 7540]
	0xF9E9 : 'Reserved for Experimental Use [0xF9E9]',                             # [RFC 7540]
	0xF9EA : 'Reserved for Experimental Use [0xF9EA]',                             # [RFC 7540]
	0xF9EB : 'Reserved for Experimental Use [0xF9EB]',                             # [RFC 7540]
	0xF9EC : 'Reserved for Experimental Use [0xF9EC]',                             # [RFC 7540]
	0xF9ED : 'Reserved for Experimental Use [0xF9ED]',                             # [RFC 7540]
	0xF9EE : 'Reserved for Experimental Use [0xF9EE]',                             # [RFC 7540]
	0xF9EF : 'Reserved for Experimental Use [0xF9EF]',                             # [RFC 7540]
	0xF9F0 : 'Reserved for Experimental Use [0xF9F0]',                             # [RFC 7540]
	0xF9F1 : 'Reserved for Experimental Use [0xF9F1]',                             # [RFC 7540]
	0xF9F2 : 'Reserved for Experimental Use [0xF9F2]',                             # [RFC 7540]
	0xF9F3 : 'Reserved for Experimental Use [0xF9F3]',                             # [RFC 7540]
	0xF9F4 : 'Reserved for Experimental Use [0xF9F4]',                             # [RFC 7540]
	0xF9F5 : 'Reserved for Experimental Use [0xF9F5]',                             # [RFC 7540]
	0xF9F6 : 'Reserved for Experimental Use [0xF9F6]',                             # [RFC 7540]
	0xF9F7 : 'Reserved for Experimental Use [0xF9F7]',                             # [RFC 7540]
	0xF9F8 : 'Reserved for Experimental Use [0xF9F8]',                             # [RFC 7540]
	0xF9F9 : 'Reserved for Experimental Use [0xF9F9]',                             # [RFC 7540]
	0xF9FA : 'Reserved for Experimental Use [0xF9FA]',                             # [RFC 7540]
	0xF9FB : 'Reserved for Experimental Use [0xF9FB]',                             # [RFC 7540]
	0xF9FC : 'Reserved for Experimental Use [0xF9FC]',                             # [RFC 7540]
	0xF9FD : 'Reserved for Experimental Use [0xF9FD]',                             # [RFC 7540]
	0xF9FE : 'Reserved for Experimental Use [0xF9FE]',                             # [RFC 7540]
	0xF9FF : 'Reserved for Experimental Use [0xF9FF]',                             # [RFC 7540]
	0xFA00 : 'Reserved for Experimental Use [0xFA00]',                             # [RFC 7540]
	0xFA01 : 'Reserved for Experimental Use [0xFA01]',                             # [RFC 7540]
	0xFA02 : 'Reserved for Experimental Use [0xFA02]',                             # [RFC 7540]
	0xFA03 : 'Reserved for Experimental Use [0xFA03]',                             # [RFC 7540]
	0xFA04 : 'Reserved for Experimental Use [0xFA04]',                             # [RFC 7540]
	0xFA05 : 'Reserved for Experimental Use [0xFA05]',                             # [RFC 7540]
	0xFA06 : 'Reserved for Experimental Use [0xFA06]',                             # [RFC 7540]
	0xFA07 : 'Reserved for Experimental Use [0xFA07]',                             # [RFC 7540]
	0xFA08 : 'Reserved for Experimental Use [0xFA08]',                             # [RFC 7540]
	0xFA09 : 'Reserved for Experimental Use [0xFA09]',                             # [RFC 7540]
	0xFA0A : 'Reserved for Experimental Use [0xFA0A]',                             # [RFC 7540]
	0xFA0B : 'Reserved for Experimental Use [0xFA0B]',                             # [RFC 7540]
	0xFA0C : 'Reserved for Experimental Use [0xFA0C]',                             # [RFC 7540]
	0xFA0D : 'Reserved for Experimental Use [0xFA0D]',                             # [RFC 7540]
	0xFA0E : 'Reserved for Experimental Use [0xFA0E]',                             # [RFC 7540]
	0xFA0F : 'Reserved for Experimental Use [0xFA0F]',                             # [RFC 7540]
	0xFA10 : 'Reserved for Experimental Use [0xFA10]',                             # [RFC 7540]
	0xFA11 : 'Reserved for Experimental Use [0xFA11]',                             # [RFC 7540]
	0xFA12 : 'Reserved for Experimental Use [0xFA12]',                             # [RFC 7540]
	0xFA13 : 'Reserved for Experimental Use [0xFA13]',                             # [RFC 7540]
	0xFA14 : 'Reserved for Experimental Use [0xFA14]',                             # [RFC 7540]
	0xFA15 : 'Reserved for Experimental Use [0xFA15]',                             # [RFC 7540]
	0xFA16 : 'Reserved for Experimental Use [0xFA16]',                             # [RFC 7540]
	0xFA17 : 'Reserved for Experimental Use [0xFA17]',                             # [RFC 7540]
	0xFA18 : 'Reserved for Experimental Use [0xFA18]',                             # [RFC 7540]
	0xFA19 : 'Reserved for Experimental Use [0xFA19]',                             # [RFC 7540]
	0xFA1A : 'Reserved for Experimental Use [0xFA1A]',                             # [RFC 7540]
	0xFA1B : 'Reserved for Experimental Use [0xFA1B]',                             # [RFC 7540]
	0xFA1C : 'Reserved for Experimental Use [0xFA1C]',                             # [RFC 7540]
	0xFA1D : 'Reserved for Experimental Use [0xFA1D]',                             # [RFC 7540]
	0xFA1E : 'Reserved for Experimental Use [0xFA1E]',                             # [RFC 7540]
	0xFA1F : 'Reserved for Experimental Use [0xFA1F]',                             # [RFC 7540]
	0xFA20 : 'Reserved for Experimental Use [0xFA20]',                             # [RFC 7540]
	0xFA21 : 'Reserved for Experimental Use [0xFA21]',                             # [RFC 7540]
	0xFA22 : 'Reserved for Experimental Use [0xFA22]',                             # [RFC 7540]
	0xFA23 : 'Reserved for Experimental Use [0xFA23]',                             # [RFC 7540]
	0xFA24 : 'Reserved for Experimental Use [0xFA24]',                             # [RFC 7540]
	0xFA25 : 'Reserved for Experimental Use [0xFA25]',                             # [RFC 7540]
	0xFA26 : 'Reserved for Experimental Use [0xFA26]',                             # [RFC 7540]
	0xFA27 : 'Reserved for Experimental Use [0xFA27]',                             # [RFC 7540]
	0xFA28 : 'Reserved for Experimental Use [0xFA28]',                             # [RFC 7540]
	0xFA29 : 'Reserved for Experimental Use [0xFA29]',                             # [RFC 7540]
	0xFA2A : 'Reserved for Experimental Use [0xFA2A]',                             # [RFC 7540]
	0xFA2B : 'Reserved for Experimental Use [0xFA2B]',                             # [RFC 7540]
	0xFA2C : 'Reserved for Experimental Use [0xFA2C]',                             # [RFC 7540]
	0xFA2D : 'Reserved for Experimental Use [0xFA2D]',                             # [RFC 7540]
	0xFA2E : 'Reserved for Experimental Use [0xFA2E]',                             # [RFC 7540]
	0xFA2F : 'Reserved for Experimental Use [0xFA2F]',                             # [RFC 7540]
	0xFA30 : 'Reserved for Experimental Use [0xFA30]',                             # [RFC 7540]
	0xFA31 : 'Reserved for Experimental Use [0xFA31]',                             # [RFC 7540]
	0xFA32 : 'Reserved for Experimental Use [0xFA32]',                             # [RFC 7540]
	0xFA33 : 'Reserved for Experimental Use [0xFA33]',                             # [RFC 7540]
	0xFA34 : 'Reserved for Experimental Use [0xFA34]',                             # [RFC 7540]
	0xFA35 : 'Reserved for Experimental Use [0xFA35]',                             # [RFC 7540]
	0xFA36 : 'Reserved for Experimental Use [0xFA36]',                             # [RFC 7540]
	0xFA37 : 'Reserved for Experimental Use [0xFA37]',                             # [RFC 7540]
	0xFA38 : 'Reserved for Experimental Use [0xFA38]',                             # [RFC 7540]
	0xFA39 : 'Reserved for Experimental Use [0xFA39]',                             # [RFC 7540]
	0xFA3A : 'Reserved for Experimental Use [0xFA3A]',                             # [RFC 7540]
	0xFA3B : 'Reserved for Experimental Use [0xFA3B]',                             # [RFC 7540]
	0xFA3C : 'Reserved for Experimental Use [0xFA3C]',                             # [RFC 7540]
	0xFA3D : 'Reserved for Experimental Use [0xFA3D]',                             # [RFC 7540]
	0xFA3E : 'Reserved for Experimental Use [0xFA3E]',                             # [RFC 7540]
	0xFA3F : 'Reserved for Experimental Use [0xFA3F]',                             # [RFC 7540]
	0xFA40 : 'Reserved for Experimental Use [0xFA40]',                             # [RFC 7540]
	0xFA41 : 'Reserved for Experimental Use [0xFA41]',                             # [RFC 7540]
	0xFA42 : 'Reserved for Experimental Use [0xFA42]',                             # [RFC 7540]
	0xFA43 : 'Reserved for Experimental Use [0xFA43]',                             # [RFC 7540]
	0xFA44 : 'Reserved for Experimental Use [0xFA44]',                             # [RFC 7540]
	0xFA45 : 'Reserved for Experimental Use [0xFA45]',                             # [RFC 7540]
	0xFA46 : 'Reserved for Experimental Use [0xFA46]',                             # [RFC 7540]
	0xFA47 : 'Reserved for Experimental Use [0xFA47]',                             # [RFC 7540]
	0xFA48 : 'Reserved for Experimental Use [0xFA48]',                             # [RFC 7540]
	0xFA49 : 'Reserved for Experimental Use [0xFA49]',                             # [RFC 7540]
	0xFA4A : 'Reserved for Experimental Use [0xFA4A]',                             # [RFC 7540]
	0xFA4B : 'Reserved for Experimental Use [0xFA4B]',                             # [RFC 7540]
	0xFA4C : 'Reserved for Experimental Use [0xFA4C]',                             # [RFC 7540]
	0xFA4D : 'Reserved for Experimental Use [0xFA4D]',                             # [RFC 7540]
	0xFA4E : 'Reserved for Experimental Use [0xFA4E]',                             # [RFC 7540]
	0xFA4F : 'Reserved for Experimental Use [0xFA4F]',                             # [RFC 7540]
	0xFA50 : 'Reserved for Experimental Use [0xFA50]',                             # [RFC 7540]
	0xFA51 : 'Reserved for Experimental Use [0xFA51]',                             # [RFC 7540]
	0xFA52 : 'Reserved for Experimental Use [0xFA52]',                             # [RFC 7540]
	0xFA53 : 'Reserved for Experimental Use [0xFA53]',                             # [RFC 7540]
	0xFA54 : 'Reserved for Experimental Use [0xFA54]',                             # [RFC 7540]
	0xFA55 : 'Reserved for Experimental Use [0xFA55]',                             # [RFC 7540]
	0xFA56 : 'Reserved for Experimental Use [0xFA56]',                             # [RFC 7540]
	0xFA57 : 'Reserved for Experimental Use [0xFA57]',                             # [RFC 7540]
	0xFA58 : 'Reserved for Experimental Use [0xFA58]',                             # [RFC 7540]
	0xFA59 : 'Reserved for Experimental Use [0xFA59]',                             # [RFC 7540]
	0xFA5A : 'Reserved for Experimental Use [0xFA5A]',                             # [RFC 7540]
	0xFA5B : 'Reserved for Experimental Use [0xFA5B]',                             # [RFC 7540]
	0xFA5C : 'Reserved for Experimental Use [0xFA5C]',                             # [RFC 7540]
	0xFA5D : 'Reserved for Experimental Use [0xFA5D]',                             # [RFC 7540]
	0xFA5E : 'Reserved for Experimental Use [0xFA5E]',                             # [RFC 7540]
	0xFA5F : 'Reserved for Experimental Use [0xFA5F]',                             # [RFC 7540]
	0xFA60 : 'Reserved for Experimental Use [0xFA60]',                             # [RFC 7540]
	0xFA61 : 'Reserved for Experimental Use [0xFA61]',                             # [RFC 7540]
	0xFA62 : 'Reserved for Experimental Use [0xFA62]',                             # [RFC 7540]
	0xFA63 : 'Reserved for Experimental Use [0xFA63]',                             # [RFC 7540]
	0xFA64 : 'Reserved for Experimental Use [0xFA64]',                             # [RFC 7540]
	0xFA65 : 'Reserved for Experimental Use [0xFA65]',                             # [RFC 7540]
	0xFA66 : 'Reserved for Experimental Use [0xFA66]',                             # [RFC 7540]
	0xFA67 : 'Reserved for Experimental Use [0xFA67]',                             # [RFC 7540]
	0xFA68 : 'Reserved for Experimental Use [0xFA68]',                             # [RFC 7540]
	0xFA69 : 'Reserved for Experimental Use [0xFA69]',                             # [RFC 7540]
	0xFA6A : 'Reserved for Experimental Use [0xFA6A]',                             # [RFC 7540]
	0xFA6B : 'Reserved for Experimental Use [0xFA6B]',                             # [RFC 7540]
	0xFA6C : 'Reserved for Experimental Use [0xFA6C]',                             # [RFC 7540]
	0xFA6D : 'Reserved for Experimental Use [0xFA6D]',                             # [RFC 7540]
	0xFA6E : 'Reserved for Experimental Use [0xFA6E]',                             # [RFC 7540]
	0xFA6F : 'Reserved for Experimental Use [0xFA6F]',                             # [RFC 7540]
	0xFA70 : 'Reserved for Experimental Use [0xFA70]',                             # [RFC 7540]
	0xFA71 : 'Reserved for Experimental Use [0xFA71]',                             # [RFC 7540]
	0xFA72 : 'Reserved for Experimental Use [0xFA72]',                             # [RFC 7540]
	0xFA73 : 'Reserved for Experimental Use [0xFA73]',                             # [RFC 7540]
	0xFA74 : 'Reserved for Experimental Use [0xFA74]',                             # [RFC 7540]
	0xFA75 : 'Reserved for Experimental Use [0xFA75]',                             # [RFC 7540]
	0xFA76 : 'Reserved for Experimental Use [0xFA76]',                             # [RFC 7540]
	0xFA77 : 'Reserved for Experimental Use [0xFA77]',                             # [RFC 7540]
	0xFA78 : 'Reserved for Experimental Use [0xFA78]',                             # [RFC 7540]
	0xFA79 : 'Reserved for Experimental Use [0xFA79]',                             # [RFC 7540]
	0xFA7A : 'Reserved for Experimental Use [0xFA7A]',                             # [RFC 7540]
	0xFA7B : 'Reserved for Experimental Use [0xFA7B]',                             # [RFC 7540]
	0xFA7C : 'Reserved for Experimental Use [0xFA7C]',                             # [RFC 7540]
	0xFA7D : 'Reserved for Experimental Use [0xFA7D]',                             # [RFC 7540]
	0xFA7E : 'Reserved for Experimental Use [0xFA7E]',                             # [RFC 7540]
	0xFA7F : 'Reserved for Experimental Use [0xFA7F]',                             # [RFC 7540]
	0xFA80 : 'Reserved for Experimental Use [0xFA80]',                             # [RFC 7540]
	0xFA81 : 'Reserved for Experimental Use [0xFA81]',                             # [RFC 7540]
	0xFA82 : 'Reserved for Experimental Use [0xFA82]',                             # [RFC 7540]
	0xFA83 : 'Reserved for Experimental Use [0xFA83]',                             # [RFC 7540]
	0xFA84 : 'Reserved for Experimental Use [0xFA84]',                             # [RFC 7540]
	0xFA85 : 'Reserved for Experimental Use [0xFA85]',                             # [RFC 7540]
	0xFA86 : 'Reserved for Experimental Use [0xFA86]',                             # [RFC 7540]
	0xFA87 : 'Reserved for Experimental Use [0xFA87]',                             # [RFC 7540]
	0xFA88 : 'Reserved for Experimental Use [0xFA88]',                             # [RFC 7540]
	0xFA89 : 'Reserved for Experimental Use [0xFA89]',                             # [RFC 7540]
	0xFA8A : 'Reserved for Experimental Use [0xFA8A]',                             # [RFC 7540]
	0xFA8B : 'Reserved for Experimental Use [0xFA8B]',                             # [RFC 7540]
	0xFA8C : 'Reserved for Experimental Use [0xFA8C]',                             # [RFC 7540]
	0xFA8D : 'Reserved for Experimental Use [0xFA8D]',                             # [RFC 7540]
	0xFA8E : 'Reserved for Experimental Use [0xFA8E]',                             # [RFC 7540]
	0xFA8F : 'Reserved for Experimental Use [0xFA8F]',                             # [RFC 7540]
	0xFA90 : 'Reserved for Experimental Use [0xFA90]',                             # [RFC 7540]
	0xFA91 : 'Reserved for Experimental Use [0xFA91]',                             # [RFC 7540]
	0xFA92 : 'Reserved for Experimental Use [0xFA92]',                             # [RFC 7540]
	0xFA93 : 'Reserved for Experimental Use [0xFA93]',                             # [RFC 7540]
	0xFA94 : 'Reserved for Experimental Use [0xFA94]',                             # [RFC 7540]
	0xFA95 : 'Reserved for Experimental Use [0xFA95]',                             # [RFC 7540]
	0xFA96 : 'Reserved for Experimental Use [0xFA96]',                             # [RFC 7540]
	0xFA97 : 'Reserved for Experimental Use [0xFA97]',                             # [RFC 7540]
	0xFA98 : 'Reserved for Experimental Use [0xFA98]',                             # [RFC 7540]
	0xFA99 : 'Reserved for Experimental Use [0xFA99]',                             # [RFC 7540]
	0xFA9A : 'Reserved for Experimental Use [0xFA9A]',                             # [RFC 7540]
	0xFA9B : 'Reserved for Experimental Use [0xFA9B]',                             # [RFC 7540]
	0xFA9C : 'Reserved for Experimental Use [0xFA9C]',                             # [RFC 7540]
	0xFA9D : 'Reserved for Experimental Use [0xFA9D]',                             # [RFC 7540]
	0xFA9E : 'Reserved for Experimental Use [0xFA9E]',                             # [RFC 7540]
	0xFA9F : 'Reserved for Experimental Use [0xFA9F]',                             # [RFC 7540]
	0xFAA0 : 'Reserved for Experimental Use [0xFAA0]',                             # [RFC 7540]
	0xFAA1 : 'Reserved for Experimental Use [0xFAA1]',                             # [RFC 7540]
	0xFAA2 : 'Reserved for Experimental Use [0xFAA2]',                             # [RFC 7540]
	0xFAA3 : 'Reserved for Experimental Use [0xFAA3]',                             # [RFC 7540]
	0xFAA4 : 'Reserved for Experimental Use [0xFAA4]',                             # [RFC 7540]
	0xFAA5 : 'Reserved for Experimental Use [0xFAA5]',                             # [RFC 7540]
	0xFAA6 : 'Reserved for Experimental Use [0xFAA6]',                             # [RFC 7540]
	0xFAA7 : 'Reserved for Experimental Use [0xFAA7]',                             # [RFC 7540]
	0xFAA8 : 'Reserved for Experimental Use [0xFAA8]',                             # [RFC 7540]
	0xFAA9 : 'Reserved for Experimental Use [0xFAA9]',                             # [RFC 7540]
	0xFAAA : 'Reserved for Experimental Use [0xFAAA]',                             # [RFC 7540]
	0xFAAB : 'Reserved for Experimental Use [0xFAAB]',                             # [RFC 7540]
	0xFAAC : 'Reserved for Experimental Use [0xFAAC]',                             # [RFC 7540]
	0xFAAD : 'Reserved for Experimental Use [0xFAAD]',                             # [RFC 7540]
	0xFAAE : 'Reserved for Experimental Use [0xFAAE]',                             # [RFC 7540]
	0xFAAF : 'Reserved for Experimental Use [0xFAAF]',                             # [RFC 7540]
	0xFAB0 : 'Reserved for Experimental Use [0xFAB0]',                             # [RFC 7540]
	0xFAB1 : 'Reserved for Experimental Use [0xFAB1]',                             # [RFC 7540]
	0xFAB2 : 'Reserved for Experimental Use [0xFAB2]',                             # [RFC 7540]
	0xFAB3 : 'Reserved for Experimental Use [0xFAB3]',                             # [RFC 7540]
	0xFAB4 : 'Reserved for Experimental Use [0xFAB4]',                             # [RFC 7540]
	0xFAB5 : 'Reserved for Experimental Use [0xFAB5]',                             # [RFC 7540]
	0xFAB6 : 'Reserved for Experimental Use [0xFAB6]',                             # [RFC 7540]
	0xFAB7 : 'Reserved for Experimental Use [0xFAB7]',                             # [RFC 7540]
	0xFAB8 : 'Reserved for Experimental Use [0xFAB8]',                             # [RFC 7540]
	0xFAB9 : 'Reserved for Experimental Use [0xFAB9]',                             # [RFC 7540]
	0xFABA : 'Reserved for Experimental Use [0xFABA]',                             # [RFC 7540]
	0xFABB : 'Reserved for Experimental Use [0xFABB]',                             # [RFC 7540]
	0xFABC : 'Reserved for Experimental Use [0xFABC]',                             # [RFC 7540]
	0xFABD : 'Reserved for Experimental Use [0xFABD]',                             # [RFC 7540]
	0xFABE : 'Reserved for Experimental Use [0xFABE]',                             # [RFC 7540]
	0xFABF : 'Reserved for Experimental Use [0xFABF]',                             # [RFC 7540]
	0xFAC0 : 'Reserved for Experimental Use [0xFAC0]',                             # [RFC 7540]
	0xFAC1 : 'Reserved for Experimental Use [0xFAC1]',                             # [RFC 7540]
	0xFAC2 : 'Reserved for Experimental Use [0xFAC2]',                             # [RFC 7540]
	0xFAC3 : 'Reserved for Experimental Use [0xFAC3]',                             # [RFC 7540]
	0xFAC4 : 'Reserved for Experimental Use [0xFAC4]',                             # [RFC 7540]
	0xFAC5 : 'Reserved for Experimental Use [0xFAC5]',                             # [RFC 7540]
	0xFAC6 : 'Reserved for Experimental Use [0xFAC6]',                             # [RFC 7540]
	0xFAC7 : 'Reserved for Experimental Use [0xFAC7]',                             # [RFC 7540]
	0xFAC8 : 'Reserved for Experimental Use [0xFAC8]',                             # [RFC 7540]
	0xFAC9 : 'Reserved for Experimental Use [0xFAC9]',                             # [RFC 7540]
	0xFACA : 'Reserved for Experimental Use [0xFACA]',                             # [RFC 7540]
	0xFACB : 'Reserved for Experimental Use [0xFACB]',                             # [RFC 7540]
	0xFACC : 'Reserved for Experimental Use [0xFACC]',                             # [RFC 7540]
	0xFACD : 'Reserved for Experimental Use [0xFACD]',                             # [RFC 7540]
	0xFACE : 'Reserved for Experimental Use [0xFACE]',                             # [RFC 7540]
	0xFACF : 'Reserved for Experimental Use [0xFACF]',                             # [RFC 7540]
	0xFAD0 : 'Reserved for Experimental Use [0xFAD0]',                             # [RFC 7540]
	0xFAD1 : 'Reserved for Experimental Use [0xFAD1]',                             # [RFC 7540]
	0xFAD2 : 'Reserved for Experimental Use [0xFAD2]',                             # [RFC 7540]
	0xFAD3 : 'Reserved for Experimental Use [0xFAD3]',                             # [RFC 7540]
	0xFAD4 : 'Reserved for Experimental Use [0xFAD4]',                             # [RFC 7540]
	0xFAD5 : 'Reserved for Experimental Use [0xFAD5]',                             # [RFC 7540]
	0xFAD6 : 'Reserved for Experimental Use [0xFAD6]',                             # [RFC 7540]
	0xFAD7 : 'Reserved for Experimental Use [0xFAD7]',                             # [RFC 7540]
	0xFAD8 : 'Reserved for Experimental Use [0xFAD8]',                             # [RFC 7540]
	0xFAD9 : 'Reserved for Experimental Use [0xFAD9]',                             # [RFC 7540]
	0xFADA : 'Reserved for Experimental Use [0xFADA]',                             # [RFC 7540]
	0xFADB : 'Reserved for Experimental Use [0xFADB]',                             # [RFC 7540]
	0xFADC : 'Reserved for Experimental Use [0xFADC]',                             # [RFC 7540]
	0xFADD : 'Reserved for Experimental Use [0xFADD]',                             # [RFC 7540]
	0xFADE : 'Reserved for Experimental Use [0xFADE]',                             # [RFC 7540]
	0xFADF : 'Reserved for Experimental Use [0xFADF]',                             # [RFC 7540]
	0xFAE0 : 'Reserved for Experimental Use [0xFAE0]',                             # [RFC 7540]
	0xFAE1 : 'Reserved for Experimental Use [0xFAE1]',                             # [RFC 7540]
	0xFAE2 : 'Reserved for Experimental Use [0xFAE2]',                             # [RFC 7540]
	0xFAE3 : 'Reserved for Experimental Use [0xFAE3]',                             # [RFC 7540]
	0xFAE4 : 'Reserved for Experimental Use [0xFAE4]',                             # [RFC 7540]
	0xFAE5 : 'Reserved for Experimental Use [0xFAE5]',                             # [RFC 7540]
	0xFAE6 : 'Reserved for Experimental Use [0xFAE6]',                             # [RFC 7540]
	0xFAE7 : 'Reserved for Experimental Use [0xFAE7]',                             # [RFC 7540]
	0xFAE8 : 'Reserved for Experimental Use [0xFAE8]',                             # [RFC 7540]
	0xFAE9 : 'Reserved for Experimental Use [0xFAE9]',                             # [RFC 7540]
	0xFAEA : 'Reserved for Experimental Use [0xFAEA]',                             # [RFC 7540]
	0xFAEB : 'Reserved for Experimental Use [0xFAEB]',                             # [RFC 7540]
	0xFAEC : 'Reserved for Experimental Use [0xFAEC]',                             # [RFC 7540]
	0xFAED : 'Reserved for Experimental Use [0xFAED]',                             # [RFC 7540]
	0xFAEE : 'Reserved for Experimental Use [0xFAEE]',                             # [RFC 7540]
	0xFAEF : 'Reserved for Experimental Use [0xFAEF]',                             # [RFC 7540]
	0xFAF0 : 'Reserved for Experimental Use [0xFAF0]',                             # [RFC 7540]
	0xFAF1 : 'Reserved for Experimental Use [0xFAF1]',                             # [RFC 7540]
	0xFAF2 : 'Reserved for Experimental Use [0xFAF2]',                             # [RFC 7540]
	0xFAF3 : 'Reserved for Experimental Use [0xFAF3]',                             # [RFC 7540]
	0xFAF4 : 'Reserved for Experimental Use [0xFAF4]',                             # [RFC 7540]
	0xFAF5 : 'Reserved for Experimental Use [0xFAF5]',                             # [RFC 7540]
	0xFAF6 : 'Reserved for Experimental Use [0xFAF6]',                             # [RFC 7540]
	0xFAF7 : 'Reserved for Experimental Use [0xFAF7]',                             # [RFC 7540]
	0xFAF8 : 'Reserved for Experimental Use [0xFAF8]',                             # [RFC 7540]
	0xFAF9 : 'Reserved for Experimental Use [0xFAF9]',                             # [RFC 7540]
	0xFAFA : 'Reserved for Experimental Use [0xFAFA]',                             # [RFC 7540]
	0xFAFB : 'Reserved for Experimental Use [0xFAFB]',                             # [RFC 7540]
	0xFAFC : 'Reserved for Experimental Use [0xFAFC]',                             # [RFC 7540]
	0xFAFD : 'Reserved for Experimental Use [0xFAFD]',                             # [RFC 7540]
	0xFAFE : 'Reserved for Experimental Use [0xFAFE]',                             # [RFC 7540]
	0xFAFF : 'Reserved for Experimental Use [0xFAFF]',                             # [RFC 7540]
	0xFB00 : 'Reserved for Experimental Use [0xFB00]',                             # [RFC 7540]
	0xFB01 : 'Reserved for Experimental Use [0xFB01]',                             # [RFC 7540]
	0xFB02 : 'Reserved for Experimental Use [0xFB02]',                             # [RFC 7540]
	0xFB03 : 'Reserved for Experimental Use [0xFB03]',                             # [RFC 7540]
	0xFB04 : 'Reserved for Experimental Use [0xFB04]',                             # [RFC 7540]
	0xFB05 : 'Reserved for Experimental Use [0xFB05]',                             # [RFC 7540]
	0xFB06 : 'Reserved for Experimental Use [0xFB06]',                             # [RFC 7540]
	0xFB07 : 'Reserved for Experimental Use [0xFB07]',                             # [RFC 7540]
	0xFB08 : 'Reserved for Experimental Use [0xFB08]',                             # [RFC 7540]
	0xFB09 : 'Reserved for Experimental Use [0xFB09]',                             # [RFC 7540]
	0xFB0A : 'Reserved for Experimental Use [0xFB0A]',                             # [RFC 7540]
	0xFB0B : 'Reserved for Experimental Use [0xFB0B]',                             # [RFC 7540]
	0xFB0C : 'Reserved for Experimental Use [0xFB0C]',                             # [RFC 7540]
	0xFB0D : 'Reserved for Experimental Use [0xFB0D]',                             # [RFC 7540]
	0xFB0E : 'Reserved for Experimental Use [0xFB0E]',                             # [RFC 7540]
	0xFB0F : 'Reserved for Experimental Use [0xFB0F]',                             # [RFC 7540]
	0xFB10 : 'Reserved for Experimental Use [0xFB10]',                             # [RFC 7540]
	0xFB11 : 'Reserved for Experimental Use [0xFB11]',                             # [RFC 7540]
	0xFB12 : 'Reserved for Experimental Use [0xFB12]',                             # [RFC 7540]
	0xFB13 : 'Reserved for Experimental Use [0xFB13]',                             # [RFC 7540]
	0xFB14 : 'Reserved for Experimental Use [0xFB14]',                             # [RFC 7540]
	0xFB15 : 'Reserved for Experimental Use [0xFB15]',                             # [RFC 7540]
	0xFB16 : 'Reserved for Experimental Use [0xFB16]',                             # [RFC 7540]
	0xFB17 : 'Reserved for Experimental Use [0xFB17]',                             # [RFC 7540]
	0xFB18 : 'Reserved for Experimental Use [0xFB18]',                             # [RFC 7540]
	0xFB19 : 'Reserved for Experimental Use [0xFB19]',                             # [RFC 7540]
	0xFB1A : 'Reserved for Experimental Use [0xFB1A]',                             # [RFC 7540]
	0xFB1B : 'Reserved for Experimental Use [0xFB1B]',                             # [RFC 7540]
	0xFB1C : 'Reserved for Experimental Use [0xFB1C]',                             # [RFC 7540]
	0xFB1D : 'Reserved for Experimental Use [0xFB1D]',                             # [RFC 7540]
	0xFB1E : 'Reserved for Experimental Use [0xFB1E]',                             # [RFC 7540]
	0xFB1F : 'Reserved for Experimental Use [0xFB1F]',                             # [RFC 7540]
	0xFB20 : 'Reserved for Experimental Use [0xFB20]',                             # [RFC 7540]
	0xFB21 : 'Reserved for Experimental Use [0xFB21]',                             # [RFC 7540]
	0xFB22 : 'Reserved for Experimental Use [0xFB22]',                             # [RFC 7540]
	0xFB23 : 'Reserved for Experimental Use [0xFB23]',                             # [RFC 7540]
	0xFB24 : 'Reserved for Experimental Use [0xFB24]',                             # [RFC 7540]
	0xFB25 : 'Reserved for Experimental Use [0xFB25]',                             # [RFC 7540]
	0xFB26 : 'Reserved for Experimental Use [0xFB26]',                             # [RFC 7540]
	0xFB27 : 'Reserved for Experimental Use [0xFB27]',                             # [RFC 7540]
	0xFB28 : 'Reserved for Experimental Use [0xFB28]',                             # [RFC 7540]
	0xFB29 : 'Reserved for Experimental Use [0xFB29]',                             # [RFC 7540]
	0xFB2A : 'Reserved for Experimental Use [0xFB2A]',                             # [RFC 7540]
	0xFB2B : 'Reserved for Experimental Use [0xFB2B]',                             # [RFC 7540]
	0xFB2C : 'Reserved for Experimental Use [0xFB2C]',                             # [RFC 7540]
	0xFB2D : 'Reserved for Experimental Use [0xFB2D]',                             # [RFC 7540]
	0xFB2E : 'Reserved for Experimental Use [0xFB2E]',                             # [RFC 7540]
	0xFB2F : 'Reserved for Experimental Use [0xFB2F]',                             # [RFC 7540]
	0xFB30 : 'Reserved for Experimental Use [0xFB30]',                             # [RFC 7540]
	0xFB31 : 'Reserved for Experimental Use [0xFB31]',                             # [RFC 7540]
	0xFB32 : 'Reserved for Experimental Use [0xFB32]',                             # [RFC 7540]
	0xFB33 : 'Reserved for Experimental Use [0xFB33]',                             # [RFC 7540]
	0xFB34 : 'Reserved for Experimental Use [0xFB34]',                             # [RFC 7540]
	0xFB35 : 'Reserved for Experimental Use [0xFB35]',                             # [RFC 7540]
	0xFB36 : 'Reserved for Experimental Use [0xFB36]',                             # [RFC 7540]
	0xFB37 : 'Reserved for Experimental Use [0xFB37]',                             # [RFC 7540]
	0xFB38 : 'Reserved for Experimental Use [0xFB38]',                             # [RFC 7540]
	0xFB39 : 'Reserved for Experimental Use [0xFB39]',                             # [RFC 7540]
	0xFB3A : 'Reserved for Experimental Use [0xFB3A]',                             # [RFC 7540]
	0xFB3B : 'Reserved for Experimental Use [0xFB3B]',                             # [RFC 7540]
	0xFB3C : 'Reserved for Experimental Use [0xFB3C]',                             # [RFC 7540]
	0xFB3D : 'Reserved for Experimental Use [0xFB3D]',                             # [RFC 7540]
	0xFB3E : 'Reserved for Experimental Use [0xFB3E]',                             # [RFC 7540]
	0xFB3F : 'Reserved for Experimental Use [0xFB3F]',                             # [RFC 7540]
	0xFB40 : 'Reserved for Experimental Use [0xFB40]',                             # [RFC 7540]
	0xFB41 : 'Reserved for Experimental Use [0xFB41]',                             # [RFC 7540]
	0xFB42 : 'Reserved for Experimental Use [0xFB42]',                             # [RFC 7540]
	0xFB43 : 'Reserved for Experimental Use [0xFB43]',                             # [RFC 7540]
	0xFB44 : 'Reserved for Experimental Use [0xFB44]',                             # [RFC 7540]
	0xFB45 : 'Reserved for Experimental Use [0xFB45]',                             # [RFC 7540]
	0xFB46 : 'Reserved for Experimental Use [0xFB46]',                             # [RFC 7540]
	0xFB47 : 'Reserved for Experimental Use [0xFB47]',                             # [RFC 7540]
	0xFB48 : 'Reserved for Experimental Use [0xFB48]',                             # [RFC 7540]
	0xFB49 : 'Reserved for Experimental Use [0xFB49]',                             # [RFC 7540]
	0xFB4A : 'Reserved for Experimental Use [0xFB4A]',                             # [RFC 7540]
	0xFB4B : 'Reserved for Experimental Use [0xFB4B]',                             # [RFC 7540]
	0xFB4C : 'Reserved for Experimental Use [0xFB4C]',                             # [RFC 7540]
	0xFB4D : 'Reserved for Experimental Use [0xFB4D]',                             # [RFC 7540]
	0xFB4E : 'Reserved for Experimental Use [0xFB4E]',                             # [RFC 7540]
	0xFB4F : 'Reserved for Experimental Use [0xFB4F]',                             # [RFC 7540]
	0xFB50 : 'Reserved for Experimental Use [0xFB50]',                             # [RFC 7540]
	0xFB51 : 'Reserved for Experimental Use [0xFB51]',                             # [RFC 7540]
	0xFB52 : 'Reserved for Experimental Use [0xFB52]',                             # [RFC 7540]
	0xFB53 : 'Reserved for Experimental Use [0xFB53]',                             # [RFC 7540]
	0xFB54 : 'Reserved for Experimental Use [0xFB54]',                             # [RFC 7540]
	0xFB55 : 'Reserved for Experimental Use [0xFB55]',                             # [RFC 7540]
	0xFB56 : 'Reserved for Experimental Use [0xFB56]',                             # [RFC 7540]
	0xFB57 : 'Reserved for Experimental Use [0xFB57]',                             # [RFC 7540]
	0xFB58 : 'Reserved for Experimental Use [0xFB58]',                             # [RFC 7540]
	0xFB59 : 'Reserved for Experimental Use [0xFB59]',                             # [RFC 7540]
	0xFB5A : 'Reserved for Experimental Use [0xFB5A]',                             # [RFC 7540]
	0xFB5B : 'Reserved for Experimental Use [0xFB5B]',                             # [RFC 7540]
	0xFB5C : 'Reserved for Experimental Use [0xFB5C]',                             # [RFC 7540]
	0xFB5D : 'Reserved for Experimental Use [0xFB5D]',                             # [RFC 7540]
	0xFB5E : 'Reserved for Experimental Use [0xFB5E]',                             # [RFC 7540]
	0xFB5F : 'Reserved for Experimental Use [0xFB5F]',                             # [RFC 7540]
	0xFB60 : 'Reserved for Experimental Use [0xFB60]',                             # [RFC 7540]
	0xFB61 : 'Reserved for Experimental Use [0xFB61]',                             # [RFC 7540]
	0xFB62 : 'Reserved for Experimental Use [0xFB62]',                             # [RFC 7540]
	0xFB63 : 'Reserved for Experimental Use [0xFB63]',                             # [RFC 7540]
	0xFB64 : 'Reserved for Experimental Use [0xFB64]',                             # [RFC 7540]
	0xFB65 : 'Reserved for Experimental Use [0xFB65]',                             # [RFC 7540]
	0xFB66 : 'Reserved for Experimental Use [0xFB66]',                             # [RFC 7540]
	0xFB67 : 'Reserved for Experimental Use [0xFB67]',                             # [RFC 7540]
	0xFB68 : 'Reserved for Experimental Use [0xFB68]',                             # [RFC 7540]
	0xFB69 : 'Reserved for Experimental Use [0xFB69]',                             # [RFC 7540]
	0xFB6A : 'Reserved for Experimental Use [0xFB6A]',                             # [RFC 7540]
	0xFB6B : 'Reserved for Experimental Use [0xFB6B]',                             # [RFC 7540]
	0xFB6C : 'Reserved for Experimental Use [0xFB6C]',                             # [RFC 7540]
	0xFB6D : 'Reserved for Experimental Use [0xFB6D]',                             # [RFC 7540]
	0xFB6E : 'Reserved for Experimental Use [0xFB6E]',                             # [RFC 7540]
	0xFB6F : 'Reserved for Experimental Use [0xFB6F]',                             # [RFC 7540]
	0xFB70 : 'Reserved for Experimental Use [0xFB70]',                             # [RFC 7540]
	0xFB71 : 'Reserved for Experimental Use [0xFB71]',                             # [RFC 7540]
	0xFB72 : 'Reserved for Experimental Use [0xFB72]',                             # [RFC 7540]
	0xFB73 : 'Reserved for Experimental Use [0xFB73]',                             # [RFC 7540]
	0xFB74 : 'Reserved for Experimental Use [0xFB74]',                             # [RFC 7540]
	0xFB75 : 'Reserved for Experimental Use [0xFB75]',                             # [RFC 7540]
	0xFB76 : 'Reserved for Experimental Use [0xFB76]',                             # [RFC 7540]
	0xFB77 : 'Reserved for Experimental Use [0xFB77]',                             # [RFC 7540]
	0xFB78 : 'Reserved for Experimental Use [0xFB78]',                             # [RFC 7540]
	0xFB79 : 'Reserved for Experimental Use [0xFB79]',                             # [RFC 7540]
	0xFB7A : 'Reserved for Experimental Use [0xFB7A]',                             # [RFC 7540]
	0xFB7B : 'Reserved for Experimental Use [0xFB7B]',                             # [RFC 7540]
	0xFB7C : 'Reserved for Experimental Use [0xFB7C]',                             # [RFC 7540]
	0xFB7D : 'Reserved for Experimental Use [0xFB7D]',                             # [RFC 7540]
	0xFB7E : 'Reserved for Experimental Use [0xFB7E]',                             # [RFC 7540]
	0xFB7F : 'Reserved for Experimental Use [0xFB7F]',                             # [RFC 7540]
	0xFB80 : 'Reserved for Experimental Use [0xFB80]',                             # [RFC 7540]
	0xFB81 : 'Reserved for Experimental Use [0xFB81]',                             # [RFC 7540]
	0xFB82 : 'Reserved for Experimental Use [0xFB82]',                             # [RFC 7540]
	0xFB83 : 'Reserved for Experimental Use [0xFB83]',                             # [RFC 7540]
	0xFB84 : 'Reserved for Experimental Use [0xFB84]',                             # [RFC 7540]
	0xFB85 : 'Reserved for Experimental Use [0xFB85]',                             # [RFC 7540]
	0xFB86 : 'Reserved for Experimental Use [0xFB86]',                             # [RFC 7540]
	0xFB87 : 'Reserved for Experimental Use [0xFB87]',                             # [RFC 7540]
	0xFB88 : 'Reserved for Experimental Use [0xFB88]',                             # [RFC 7540]
	0xFB89 : 'Reserved for Experimental Use [0xFB89]',                             # [RFC 7540]
	0xFB8A : 'Reserved for Experimental Use [0xFB8A]',                             # [RFC 7540]
	0xFB8B : 'Reserved for Experimental Use [0xFB8B]',                             # [RFC 7540]
	0xFB8C : 'Reserved for Experimental Use [0xFB8C]',                             # [RFC 7540]
	0xFB8D : 'Reserved for Experimental Use [0xFB8D]',                             # [RFC 7540]
	0xFB8E : 'Reserved for Experimental Use [0xFB8E]',                             # [RFC 7540]
	0xFB8F : 'Reserved for Experimental Use [0xFB8F]',                             # [RFC 7540]
	0xFB90 : 'Reserved for Experimental Use [0xFB90]',                             # [RFC 7540]
	0xFB91 : 'Reserved for Experimental Use [0xFB91]',                             # [RFC 7540]
	0xFB92 : 'Reserved for Experimental Use [0xFB92]',                             # [RFC 7540]
	0xFB93 : 'Reserved for Experimental Use [0xFB93]',                             # [RFC 7540]
	0xFB94 : 'Reserved for Experimental Use [0xFB94]',                             # [RFC 7540]
	0xFB95 : 'Reserved for Experimental Use [0xFB95]',                             # [RFC 7540]
	0xFB96 : 'Reserved for Experimental Use [0xFB96]',                             # [RFC 7540]
	0xFB97 : 'Reserved for Experimental Use [0xFB97]',                             # [RFC 7540]
	0xFB98 : 'Reserved for Experimental Use [0xFB98]',                             # [RFC 7540]
	0xFB99 : 'Reserved for Experimental Use [0xFB99]',                             # [RFC 7540]
	0xFB9A : 'Reserved for Experimental Use [0xFB9A]',                             # [RFC 7540]
	0xFB9B : 'Reserved for Experimental Use [0xFB9B]',                             # [RFC 7540]
	0xFB9C : 'Reserved for Experimental Use [0xFB9C]',                             # [RFC 7540]
	0xFB9D : 'Reserved for Experimental Use [0xFB9D]',                             # [RFC 7540]
	0xFB9E : 'Reserved for Experimental Use [0xFB9E]',                             # [RFC 7540]
	0xFB9F : 'Reserved for Experimental Use [0xFB9F]',                             # [RFC 7540]
	0xFBA0 : 'Reserved for Experimental Use [0xFBA0]',                             # [RFC 7540]
	0xFBA1 : 'Reserved for Experimental Use [0xFBA1]',                             # [RFC 7540]
	0xFBA2 : 'Reserved for Experimental Use [0xFBA2]',                             # [RFC 7540]
	0xFBA3 : 'Reserved for Experimental Use [0xFBA3]',                             # [RFC 7540]
	0xFBA4 : 'Reserved for Experimental Use [0xFBA4]',                             # [RFC 7540]
	0xFBA5 : 'Reserved for Experimental Use [0xFBA5]',                             # [RFC 7540]
	0xFBA6 : 'Reserved for Experimental Use [0xFBA6]',                             # [RFC 7540]
	0xFBA7 : 'Reserved for Experimental Use [0xFBA7]',                             # [RFC 7540]
	0xFBA8 : 'Reserved for Experimental Use [0xFBA8]',                             # [RFC 7540]
	0xFBA9 : 'Reserved for Experimental Use [0xFBA9]',                             # [RFC 7540]
	0xFBAA : 'Reserved for Experimental Use [0xFBAA]',                             # [RFC 7540]
	0xFBAB : 'Reserved for Experimental Use [0xFBAB]',                             # [RFC 7540]
	0xFBAC : 'Reserved for Experimental Use [0xFBAC]',                             # [RFC 7540]
	0xFBAD : 'Reserved for Experimental Use [0xFBAD]',                             # [RFC 7540]
	0xFBAE : 'Reserved for Experimental Use [0xFBAE]',                             # [RFC 7540]
	0xFBAF : 'Reserved for Experimental Use [0xFBAF]',                             # [RFC 7540]
	0xFBB0 : 'Reserved for Experimental Use [0xFBB0]',                             # [RFC 7540]
	0xFBB1 : 'Reserved for Experimental Use [0xFBB1]',                             # [RFC 7540]
	0xFBB2 : 'Reserved for Experimental Use [0xFBB2]',                             # [RFC 7540]
	0xFBB3 : 'Reserved for Experimental Use [0xFBB3]',                             # [RFC 7540]
	0xFBB4 : 'Reserved for Experimental Use [0xFBB4]',                             # [RFC 7540]
	0xFBB5 : 'Reserved for Experimental Use [0xFBB5]',                             # [RFC 7540]
	0xFBB6 : 'Reserved for Experimental Use [0xFBB6]',                             # [RFC 7540]
	0xFBB7 : 'Reserved for Experimental Use [0xFBB7]',                             # [RFC 7540]
	0xFBB8 : 'Reserved for Experimental Use [0xFBB8]',                             # [RFC 7540]
	0xFBB9 : 'Reserved for Experimental Use [0xFBB9]',                             # [RFC 7540]
	0xFBBA : 'Reserved for Experimental Use [0xFBBA]',                             # [RFC 7540]
	0xFBBB : 'Reserved for Experimental Use [0xFBBB]',                             # [RFC 7540]
	0xFBBC : 'Reserved for Experimental Use [0xFBBC]',                             # [RFC 7540]
	0xFBBD : 'Reserved for Experimental Use [0xFBBD]',                             # [RFC 7540]
	0xFBBE : 'Reserved for Experimental Use [0xFBBE]',                             # [RFC 7540]
	0xFBBF : 'Reserved for Experimental Use [0xFBBF]',                             # [RFC 7540]
	0xFBC0 : 'Reserved for Experimental Use [0xFBC0]',                             # [RFC 7540]
	0xFBC1 : 'Reserved for Experimental Use [0xFBC1]',                             # [RFC 7540]
	0xFBC2 : 'Reserved for Experimental Use [0xFBC2]',                             # [RFC 7540]
	0xFBC3 : 'Reserved for Experimental Use [0xFBC3]',                             # [RFC 7540]
	0xFBC4 : 'Reserved for Experimental Use [0xFBC4]',                             # [RFC 7540]
	0xFBC5 : 'Reserved for Experimental Use [0xFBC5]',                             # [RFC 7540]
	0xFBC6 : 'Reserved for Experimental Use [0xFBC6]',                             # [RFC 7540]
	0xFBC7 : 'Reserved for Experimental Use [0xFBC7]',                             # [RFC 7540]
	0xFBC8 : 'Reserved for Experimental Use [0xFBC8]',                             # [RFC 7540]
	0xFBC9 : 'Reserved for Experimental Use [0xFBC9]',                             # [RFC 7540]
	0xFBCA : 'Reserved for Experimental Use [0xFBCA]',                             # [RFC 7540]
	0xFBCB : 'Reserved for Experimental Use [0xFBCB]',                             # [RFC 7540]
	0xFBCC : 'Reserved for Experimental Use [0xFBCC]',                             # [RFC 7540]
	0xFBCD : 'Reserved for Experimental Use [0xFBCD]',                             # [RFC 7540]
	0xFBCE : 'Reserved for Experimental Use [0xFBCE]',                             # [RFC 7540]
	0xFBCF : 'Reserved for Experimental Use [0xFBCF]',                             # [RFC 7540]
	0xFBD0 : 'Reserved for Experimental Use [0xFBD0]',                             # [RFC 7540]
	0xFBD1 : 'Reserved for Experimental Use [0xFBD1]',                             # [RFC 7540]
	0xFBD2 : 'Reserved for Experimental Use [0xFBD2]',                             # [RFC 7540]
	0xFBD3 : 'Reserved for Experimental Use [0xFBD3]',                             # [RFC 7540]
	0xFBD4 : 'Reserved for Experimental Use [0xFBD4]',                             # [RFC 7540]
	0xFBD5 : 'Reserved for Experimental Use [0xFBD5]',                             # [RFC 7540]
	0xFBD6 : 'Reserved for Experimental Use [0xFBD6]',                             # [RFC 7540]
	0xFBD7 : 'Reserved for Experimental Use [0xFBD7]',                             # [RFC 7540]
	0xFBD8 : 'Reserved for Experimental Use [0xFBD8]',                             # [RFC 7540]
	0xFBD9 : 'Reserved for Experimental Use [0xFBD9]',                             # [RFC 7540]
	0xFBDA : 'Reserved for Experimental Use [0xFBDA]',                             # [RFC 7540]
	0xFBDB : 'Reserved for Experimental Use [0xFBDB]',                             # [RFC 7540]
	0xFBDC : 'Reserved for Experimental Use [0xFBDC]',                             # [RFC 7540]
	0xFBDD : 'Reserved for Experimental Use [0xFBDD]',                             # [RFC 7540]
	0xFBDE : 'Reserved for Experimental Use [0xFBDE]',                             # [RFC 7540]
	0xFBDF : 'Reserved for Experimental Use [0xFBDF]',                             # [RFC 7540]
	0xFBE0 : 'Reserved for Experimental Use [0xFBE0]',                             # [RFC 7540]
	0xFBE1 : 'Reserved for Experimental Use [0xFBE1]',                             # [RFC 7540]
	0xFBE2 : 'Reserved for Experimental Use [0xFBE2]',                             # [RFC 7540]
	0xFBE3 : 'Reserved for Experimental Use [0xFBE3]',                             # [RFC 7540]
	0xFBE4 : 'Reserved for Experimental Use [0xFBE4]',                             # [RFC 7540]
	0xFBE5 : 'Reserved for Experimental Use [0xFBE5]',                             # [RFC 7540]
	0xFBE6 : 'Reserved for Experimental Use [0xFBE6]',                             # [RFC 7540]
	0xFBE7 : 'Reserved for Experimental Use [0xFBE7]',                             # [RFC 7540]
	0xFBE8 : 'Reserved for Experimental Use [0xFBE8]',                             # [RFC 7540]
	0xFBE9 : 'Reserved for Experimental Use [0xFBE9]',                             # [RFC 7540]
	0xFBEA : 'Reserved for Experimental Use [0xFBEA]',                             # [RFC 7540]
	0xFBEB : 'Reserved for Experimental Use [0xFBEB]',                             # [RFC 7540]
	0xFBEC : 'Reserved for Experimental Use [0xFBEC]',                             # [RFC 7540]
	0xFBED : 'Reserved for Experimental Use [0xFBED]',                             # [RFC 7540]
	0xFBEE : 'Reserved for Experimental Use [0xFBEE]',                             # [RFC 7540]
	0xFBEF : 'Reserved for Experimental Use [0xFBEF]',                             # [RFC 7540]
	0xFBF0 : 'Reserved for Experimental Use [0xFBF0]',                             # [RFC 7540]
	0xFBF1 : 'Reserved for Experimental Use [0xFBF1]',                             # [RFC 7540]
	0xFBF2 : 'Reserved for Experimental Use [0xFBF2]',                             # [RFC 7540]
	0xFBF3 : 'Reserved for Experimental Use [0xFBF3]',                             # [RFC 7540]
	0xFBF4 : 'Reserved for Experimental Use [0xFBF4]',                             # [RFC 7540]
	0xFBF5 : 'Reserved for Experimental Use [0xFBF5]',                             # [RFC 7540]
	0xFBF6 : 'Reserved for Experimental Use [0xFBF6]',                             # [RFC 7540]
	0xFBF7 : 'Reserved for Experimental Use [0xFBF7]',                             # [RFC 7540]
	0xFBF8 : 'Reserved for Experimental Use [0xFBF8]',                             # [RFC 7540]
	0xFBF9 : 'Reserved for Experimental Use [0xFBF9]',                             # [RFC 7540]
	0xFBFA : 'Reserved for Experimental Use [0xFBFA]',                             # [RFC 7540]
	0xFBFB : 'Reserved for Experimental Use [0xFBFB]',                             # [RFC 7540]
	0xFBFC : 'Reserved for Experimental Use [0xFBFC]',                             # [RFC 7540]
	0xFBFD : 'Reserved for Experimental Use [0xFBFD]',                             # [RFC 7540]
	0xFBFE : 'Reserved for Experimental Use [0xFBFE]',                             # [RFC 7540]
	0xFBFF : 'Reserved for Experimental Use [0xFBFF]',                             # [RFC 7540]
	0xFC00 : 'Reserved for Experimental Use [0xFC00]',                             # [RFC 7540]
	0xFC01 : 'Reserved for Experimental Use [0xFC01]',                             # [RFC 7540]
	0xFC02 : 'Reserved for Experimental Use [0xFC02]',                             # [RFC 7540]
	0xFC03 : 'Reserved for Experimental Use [0xFC03]',                             # [RFC 7540]
	0xFC04 : 'Reserved for Experimental Use [0xFC04]',                             # [RFC 7540]
	0xFC05 : 'Reserved for Experimental Use [0xFC05]',                             # [RFC 7540]
	0xFC06 : 'Reserved for Experimental Use [0xFC06]',                             # [RFC 7540]
	0xFC07 : 'Reserved for Experimental Use [0xFC07]',                             # [RFC 7540]
	0xFC08 : 'Reserved for Experimental Use [0xFC08]',                             # [RFC 7540]
	0xFC09 : 'Reserved for Experimental Use [0xFC09]',                             # [RFC 7540]
	0xFC0A : 'Reserved for Experimental Use [0xFC0A]',                             # [RFC 7540]
	0xFC0B : 'Reserved for Experimental Use [0xFC0B]',                             # [RFC 7540]
	0xFC0C : 'Reserved for Experimental Use [0xFC0C]',                             # [RFC 7540]
	0xFC0D : 'Reserved for Experimental Use [0xFC0D]',                             # [RFC 7540]
	0xFC0E : 'Reserved for Experimental Use [0xFC0E]',                             # [RFC 7540]
	0xFC0F : 'Reserved for Experimental Use [0xFC0F]',                             # [RFC 7540]
	0xFC10 : 'Reserved for Experimental Use [0xFC10]',                             # [RFC 7540]
	0xFC11 : 'Reserved for Experimental Use [0xFC11]',                             # [RFC 7540]
	0xFC12 : 'Reserved for Experimental Use [0xFC12]',                             # [RFC 7540]
	0xFC13 : 'Reserved for Experimental Use [0xFC13]',                             # [RFC 7540]
	0xFC14 : 'Reserved for Experimental Use [0xFC14]',                             # [RFC 7540]
	0xFC15 : 'Reserved for Experimental Use [0xFC15]',                             # [RFC 7540]
	0xFC16 : 'Reserved for Experimental Use [0xFC16]',                             # [RFC 7540]
	0xFC17 : 'Reserved for Experimental Use [0xFC17]',                             # [RFC 7540]
	0xFC18 : 'Reserved for Experimental Use [0xFC18]',                             # [RFC 7540]
	0xFC19 : 'Reserved for Experimental Use [0xFC19]',                             # [RFC 7540]
	0xFC1A : 'Reserved for Experimental Use [0xFC1A]',                             # [RFC 7540]
	0xFC1B : 'Reserved for Experimental Use [0xFC1B]',                             # [RFC 7540]
	0xFC1C : 'Reserved for Experimental Use [0xFC1C]',                             # [RFC 7540]
	0xFC1D : 'Reserved for Experimental Use [0xFC1D]',                             # [RFC 7540]
	0xFC1E : 'Reserved for Experimental Use [0xFC1E]',                             # [RFC 7540]
	0xFC1F : 'Reserved for Experimental Use [0xFC1F]',                             # [RFC 7540]
	0xFC20 : 'Reserved for Experimental Use [0xFC20]',                             # [RFC 7540]
	0xFC21 : 'Reserved for Experimental Use [0xFC21]',                             # [RFC 7540]
	0xFC22 : 'Reserved for Experimental Use [0xFC22]',                             # [RFC 7540]
	0xFC23 : 'Reserved for Experimental Use [0xFC23]',                             # [RFC 7540]
	0xFC24 : 'Reserved for Experimental Use [0xFC24]',                             # [RFC 7540]
	0xFC25 : 'Reserved for Experimental Use [0xFC25]',                             # [RFC 7540]
	0xFC26 : 'Reserved for Experimental Use [0xFC26]',                             # [RFC 7540]
	0xFC27 : 'Reserved for Experimental Use [0xFC27]',                             # [RFC 7540]
	0xFC28 : 'Reserved for Experimental Use [0xFC28]',                             # [RFC 7540]
	0xFC29 : 'Reserved for Experimental Use [0xFC29]',                             # [RFC 7540]
	0xFC2A : 'Reserved for Experimental Use [0xFC2A]',                             # [RFC 7540]
	0xFC2B : 'Reserved for Experimental Use [0xFC2B]',                             # [RFC 7540]
	0xFC2C : 'Reserved for Experimental Use [0xFC2C]',                             # [RFC 7540]
	0xFC2D : 'Reserved for Experimental Use [0xFC2D]',                             # [RFC 7540]
	0xFC2E : 'Reserved for Experimental Use [0xFC2E]',                             # [RFC 7540]
	0xFC2F : 'Reserved for Experimental Use [0xFC2F]',                             # [RFC 7540]
	0xFC30 : 'Reserved for Experimental Use [0xFC30]',                             # [RFC 7540]
	0xFC31 : 'Reserved for Experimental Use [0xFC31]',                             # [RFC 7540]
	0xFC32 : 'Reserved for Experimental Use [0xFC32]',                             # [RFC 7540]
	0xFC33 : 'Reserved for Experimental Use [0xFC33]',                             # [RFC 7540]
	0xFC34 : 'Reserved for Experimental Use [0xFC34]',                             # [RFC 7540]
	0xFC35 : 'Reserved for Experimental Use [0xFC35]',                             # [RFC 7540]
	0xFC36 : 'Reserved for Experimental Use [0xFC36]',                             # [RFC 7540]
	0xFC37 : 'Reserved for Experimental Use [0xFC37]',                             # [RFC 7540]
	0xFC38 : 'Reserved for Experimental Use [0xFC38]',                             # [RFC 7540]
	0xFC39 : 'Reserved for Experimental Use [0xFC39]',                             # [RFC 7540]
	0xFC3A : 'Reserved for Experimental Use [0xFC3A]',                             # [RFC 7540]
	0xFC3B : 'Reserved for Experimental Use [0xFC3B]',                             # [RFC 7540]
	0xFC3C : 'Reserved for Experimental Use [0xFC3C]',                             # [RFC 7540]
	0xFC3D : 'Reserved for Experimental Use [0xFC3D]',                             # [RFC 7540]
	0xFC3E : 'Reserved for Experimental Use [0xFC3E]',                             # [RFC 7540]
	0xFC3F : 'Reserved for Experimental Use [0xFC3F]',                             # [RFC 7540]
	0xFC40 : 'Reserved for Experimental Use [0xFC40]',                             # [RFC 7540]
	0xFC41 : 'Reserved for Experimental Use [0xFC41]',                             # [RFC 7540]
	0xFC42 : 'Reserved for Experimental Use [0xFC42]',                             # [RFC 7540]
	0xFC43 : 'Reserved for Experimental Use [0xFC43]',                             # [RFC 7540]
	0xFC44 : 'Reserved for Experimental Use [0xFC44]',                             # [RFC 7540]
	0xFC45 : 'Reserved for Experimental Use [0xFC45]',                             # [RFC 7540]
	0xFC46 : 'Reserved for Experimental Use [0xFC46]',                             # [RFC 7540]
	0xFC47 : 'Reserved for Experimental Use [0xFC47]',                             # [RFC 7540]
	0xFC48 : 'Reserved for Experimental Use [0xFC48]',                             # [RFC 7540]
	0xFC49 : 'Reserved for Experimental Use [0xFC49]',                             # [RFC 7540]
	0xFC4A : 'Reserved for Experimental Use [0xFC4A]',                             # [RFC 7540]
	0xFC4B : 'Reserved for Experimental Use [0xFC4B]',                             # [RFC 7540]
	0xFC4C : 'Reserved for Experimental Use [0xFC4C]',                             # [RFC 7540]
	0xFC4D : 'Reserved for Experimental Use [0xFC4D]',                             # [RFC 7540]
	0xFC4E : 'Reserved for Experimental Use [0xFC4E]',                             # [RFC 7540]
	0xFC4F : 'Reserved for Experimental Use [0xFC4F]',                             # [RFC 7540]
	0xFC50 : 'Reserved for Experimental Use [0xFC50]',                             # [RFC 7540]
	0xFC51 : 'Reserved for Experimental Use [0xFC51]',                             # [RFC 7540]
	0xFC52 : 'Reserved for Experimental Use [0xFC52]',                             # [RFC 7540]
	0xFC53 : 'Reserved for Experimental Use [0xFC53]',                             # [RFC 7540]
	0xFC54 : 'Reserved for Experimental Use [0xFC54]',                             # [RFC 7540]
	0xFC55 : 'Reserved for Experimental Use [0xFC55]',                             # [RFC 7540]
	0xFC56 : 'Reserved for Experimental Use [0xFC56]',                             # [RFC 7540]
	0xFC57 : 'Reserved for Experimental Use [0xFC57]',                             # [RFC 7540]
	0xFC58 : 'Reserved for Experimental Use [0xFC58]',                             # [RFC 7540]
	0xFC59 : 'Reserved for Experimental Use [0xFC59]',                             # [RFC 7540]
	0xFC5A : 'Reserved for Experimental Use [0xFC5A]',                             # [RFC 7540]
	0xFC5B : 'Reserved for Experimental Use [0xFC5B]',                             # [RFC 7540]
	0xFC5C : 'Reserved for Experimental Use [0xFC5C]',                             # [RFC 7540]
	0xFC5D : 'Reserved for Experimental Use [0xFC5D]',                             # [RFC 7540]
	0xFC5E : 'Reserved for Experimental Use [0xFC5E]',                             # [RFC 7540]
	0xFC5F : 'Reserved for Experimental Use [0xFC5F]',                             # [RFC 7540]
	0xFC60 : 'Reserved for Experimental Use [0xFC60]',                             # [RFC 7540]
	0xFC61 : 'Reserved for Experimental Use [0xFC61]',                             # [RFC 7540]
	0xFC62 : 'Reserved for Experimental Use [0xFC62]',                             # [RFC 7540]
	0xFC63 : 'Reserved for Experimental Use [0xFC63]',                             # [RFC 7540]
	0xFC64 : 'Reserved for Experimental Use [0xFC64]',                             # [RFC 7540]
	0xFC65 : 'Reserved for Experimental Use [0xFC65]',                             # [RFC 7540]
	0xFC66 : 'Reserved for Experimental Use [0xFC66]',                             # [RFC 7540]
	0xFC67 : 'Reserved for Experimental Use [0xFC67]',                             # [RFC 7540]
	0xFC68 : 'Reserved for Experimental Use [0xFC68]',                             # [RFC 7540]
	0xFC69 : 'Reserved for Experimental Use [0xFC69]',                             # [RFC 7540]
	0xFC6A : 'Reserved for Experimental Use [0xFC6A]',                             # [RFC 7540]
	0xFC6B : 'Reserved for Experimental Use [0xFC6B]',                             # [RFC 7540]
	0xFC6C : 'Reserved for Experimental Use [0xFC6C]',                             # [RFC 7540]
	0xFC6D : 'Reserved for Experimental Use [0xFC6D]',                             # [RFC 7540]
	0xFC6E : 'Reserved for Experimental Use [0xFC6E]',                             # [RFC 7540]
	0xFC6F : 'Reserved for Experimental Use [0xFC6F]',                             # [RFC 7540]
	0xFC70 : 'Reserved for Experimental Use [0xFC70]',                             # [RFC 7540]
	0xFC71 : 'Reserved for Experimental Use [0xFC71]',                             # [RFC 7540]
	0xFC72 : 'Reserved for Experimental Use [0xFC72]',                             # [RFC 7540]
	0xFC73 : 'Reserved for Experimental Use [0xFC73]',                             # [RFC 7540]
	0xFC74 : 'Reserved for Experimental Use [0xFC74]',                             # [RFC 7540]
	0xFC75 : 'Reserved for Experimental Use [0xFC75]',                             # [RFC 7540]
	0xFC76 : 'Reserved for Experimental Use [0xFC76]',                             # [RFC 7540]
	0xFC77 : 'Reserved for Experimental Use [0xFC77]',                             # [RFC 7540]
	0xFC78 : 'Reserved for Experimental Use [0xFC78]',                             # [RFC 7540]
	0xFC79 : 'Reserved for Experimental Use [0xFC79]',                             # [RFC 7540]
	0xFC7A : 'Reserved for Experimental Use [0xFC7A]',                             # [RFC 7540]
	0xFC7B : 'Reserved for Experimental Use [0xFC7B]',                             # [RFC 7540]
	0xFC7C : 'Reserved for Experimental Use [0xFC7C]',                             # [RFC 7540]
	0xFC7D : 'Reserved for Experimental Use [0xFC7D]',                             # [RFC 7540]
	0xFC7E : 'Reserved for Experimental Use [0xFC7E]',                             # [RFC 7540]
	0xFC7F : 'Reserved for Experimental Use [0xFC7F]',                             # [RFC 7540]
	0xFC80 : 'Reserved for Experimental Use [0xFC80]',                             # [RFC 7540]
	0xFC81 : 'Reserved for Experimental Use [0xFC81]',                             # [RFC 7540]
	0xFC82 : 'Reserved for Experimental Use [0xFC82]',                             # [RFC 7540]
	0xFC83 : 'Reserved for Experimental Use [0xFC83]',                             # [RFC 7540]
	0xFC84 : 'Reserved for Experimental Use [0xFC84]',                             # [RFC 7540]
	0xFC85 : 'Reserved for Experimental Use [0xFC85]',                             # [RFC 7540]
	0xFC86 : 'Reserved for Experimental Use [0xFC86]',                             # [RFC 7540]
	0xFC87 : 'Reserved for Experimental Use [0xFC87]',                             # [RFC 7540]
	0xFC88 : 'Reserved for Experimental Use [0xFC88]',                             # [RFC 7540]
	0xFC89 : 'Reserved for Experimental Use [0xFC89]',                             # [RFC 7540]
	0xFC8A : 'Reserved for Experimental Use [0xFC8A]',                             # [RFC 7540]
	0xFC8B : 'Reserved for Experimental Use [0xFC8B]',                             # [RFC 7540]
	0xFC8C : 'Reserved for Experimental Use [0xFC8C]',                             # [RFC 7540]
	0xFC8D : 'Reserved for Experimental Use [0xFC8D]',                             # [RFC 7540]
	0xFC8E : 'Reserved for Experimental Use [0xFC8E]',                             # [RFC 7540]
	0xFC8F : 'Reserved for Experimental Use [0xFC8F]',                             # [RFC 7540]
	0xFC90 : 'Reserved for Experimental Use [0xFC90]',                             # [RFC 7540]
	0xFC91 : 'Reserved for Experimental Use [0xFC91]',                             # [RFC 7540]
	0xFC92 : 'Reserved for Experimental Use [0xFC92]',                             # [RFC 7540]
	0xFC93 : 'Reserved for Experimental Use [0xFC93]',                             # [RFC 7540]
	0xFC94 : 'Reserved for Experimental Use [0xFC94]',                             # [RFC 7540]
	0xFC95 : 'Reserved for Experimental Use [0xFC95]',                             # [RFC 7540]
	0xFC96 : 'Reserved for Experimental Use [0xFC96]',                             # [RFC 7540]
	0xFC97 : 'Reserved for Experimental Use [0xFC97]',                             # [RFC 7540]
	0xFC98 : 'Reserved for Experimental Use [0xFC98]',                             # [RFC 7540]
	0xFC99 : 'Reserved for Experimental Use [0xFC99]',                             # [RFC 7540]
	0xFC9A : 'Reserved for Experimental Use [0xFC9A]',                             # [RFC 7540]
	0xFC9B : 'Reserved for Experimental Use [0xFC9B]',                             # [RFC 7540]
	0xFC9C : 'Reserved for Experimental Use [0xFC9C]',                             # [RFC 7540]
	0xFC9D : 'Reserved for Experimental Use [0xFC9D]',                             # [RFC 7540]
	0xFC9E : 'Reserved for Experimental Use [0xFC9E]',                             # [RFC 7540]
	0xFC9F : 'Reserved for Experimental Use [0xFC9F]',                             # [RFC 7540]
	0xFCA0 : 'Reserved for Experimental Use [0xFCA0]',                             # [RFC 7540]
	0xFCA1 : 'Reserved for Experimental Use [0xFCA1]',                             # [RFC 7540]
	0xFCA2 : 'Reserved for Experimental Use [0xFCA2]',                             # [RFC 7540]
	0xFCA3 : 'Reserved for Experimental Use [0xFCA3]',                             # [RFC 7540]
	0xFCA4 : 'Reserved for Experimental Use [0xFCA4]',                             # [RFC 7540]
	0xFCA5 : 'Reserved for Experimental Use [0xFCA5]',                             # [RFC 7540]
	0xFCA6 : 'Reserved for Experimental Use [0xFCA6]',                             # [RFC 7540]
	0xFCA7 : 'Reserved for Experimental Use [0xFCA7]',                             # [RFC 7540]
	0xFCA8 : 'Reserved for Experimental Use [0xFCA8]',                             # [RFC 7540]
	0xFCA9 : 'Reserved for Experimental Use [0xFCA9]',                             # [RFC 7540]
	0xFCAA : 'Reserved for Experimental Use [0xFCAA]',                             # [RFC 7540]
	0xFCAB : 'Reserved for Experimental Use [0xFCAB]',                             # [RFC 7540]
	0xFCAC : 'Reserved for Experimental Use [0xFCAC]',                             # [RFC 7540]
	0xFCAD : 'Reserved for Experimental Use [0xFCAD]',                             # [RFC 7540]
	0xFCAE : 'Reserved for Experimental Use [0xFCAE]',                             # [RFC 7540]
	0xFCAF : 'Reserved for Experimental Use [0xFCAF]',                             # [RFC 7540]
	0xFCB0 : 'Reserved for Experimental Use [0xFCB0]',                             # [RFC 7540]
	0xFCB1 : 'Reserved for Experimental Use [0xFCB1]',                             # [RFC 7540]
	0xFCB2 : 'Reserved for Experimental Use [0xFCB2]',                             # [RFC 7540]
	0xFCB3 : 'Reserved for Experimental Use [0xFCB3]',                             # [RFC 7540]
	0xFCB4 : 'Reserved for Experimental Use [0xFCB4]',                             # [RFC 7540]
	0xFCB5 : 'Reserved for Experimental Use [0xFCB5]',                             # [RFC 7540]
	0xFCB6 : 'Reserved for Experimental Use [0xFCB6]',                             # [RFC 7540]
	0xFCB7 : 'Reserved for Experimental Use [0xFCB7]',                             # [RFC 7540]
	0xFCB8 : 'Reserved for Experimental Use [0xFCB8]',                             # [RFC 7540]
	0xFCB9 : 'Reserved for Experimental Use [0xFCB9]',                             # [RFC 7540]
	0xFCBA : 'Reserved for Experimental Use [0xFCBA]',                             # [RFC 7540]
	0xFCBB : 'Reserved for Experimental Use [0xFCBB]',                             # [RFC 7540]
	0xFCBC : 'Reserved for Experimental Use [0xFCBC]',                             # [RFC 7540]
	0xFCBD : 'Reserved for Experimental Use [0xFCBD]',                             # [RFC 7540]
	0xFCBE : 'Reserved for Experimental Use [0xFCBE]',                             # [RFC 7540]
	0xFCBF : 'Reserved for Experimental Use [0xFCBF]',                             # [RFC 7540]
	0xFCC0 : 'Reserved for Experimental Use [0xFCC0]',                             # [RFC 7540]
	0xFCC1 : 'Reserved for Experimental Use [0xFCC1]',                             # [RFC 7540]
	0xFCC2 : 'Reserved for Experimental Use [0xFCC2]',                             # [RFC 7540]
	0xFCC3 : 'Reserved for Experimental Use [0xFCC3]',                             # [RFC 7540]
	0xFCC4 : 'Reserved for Experimental Use [0xFCC4]',                             # [RFC 7540]
	0xFCC5 : 'Reserved for Experimental Use [0xFCC5]',                             # [RFC 7540]
	0xFCC6 : 'Reserved for Experimental Use [0xFCC6]',                             # [RFC 7540]
	0xFCC7 : 'Reserved for Experimental Use [0xFCC7]',                             # [RFC 7540]
	0xFCC8 : 'Reserved for Experimental Use [0xFCC8]',                             # [RFC 7540]
	0xFCC9 : 'Reserved for Experimental Use [0xFCC9]',                             # [RFC 7540]
	0xFCCA : 'Reserved for Experimental Use [0xFCCA]',                             # [RFC 7540]
	0xFCCB : 'Reserved for Experimental Use [0xFCCB]',                             # [RFC 7540]
	0xFCCC : 'Reserved for Experimental Use [0xFCCC]',                             # [RFC 7540]
	0xFCCD : 'Reserved for Experimental Use [0xFCCD]',                             # [RFC 7540]
	0xFCCE : 'Reserved for Experimental Use [0xFCCE]',                             # [RFC 7540]
	0xFCCF : 'Reserved for Experimental Use [0xFCCF]',                             # [RFC 7540]
	0xFCD0 : 'Reserved for Experimental Use [0xFCD0]',                             # [RFC 7540]
	0xFCD1 : 'Reserved for Experimental Use [0xFCD1]',                             # [RFC 7540]
	0xFCD2 : 'Reserved for Experimental Use [0xFCD2]',                             # [RFC 7540]
	0xFCD3 : 'Reserved for Experimental Use [0xFCD3]',                             # [RFC 7540]
	0xFCD4 : 'Reserved for Experimental Use [0xFCD4]',                             # [RFC 7540]
	0xFCD5 : 'Reserved for Experimental Use [0xFCD5]',                             # [RFC 7540]
	0xFCD6 : 'Reserved for Experimental Use [0xFCD6]',                             # [RFC 7540]
	0xFCD7 : 'Reserved for Experimental Use [0xFCD7]',                             # [RFC 7540]
	0xFCD8 : 'Reserved for Experimental Use [0xFCD8]',                             # [RFC 7540]
	0xFCD9 : 'Reserved for Experimental Use [0xFCD9]',                             # [RFC 7540]
	0xFCDA : 'Reserved for Experimental Use [0xFCDA]',                             # [RFC 7540]
	0xFCDB : 'Reserved for Experimental Use [0xFCDB]',                             # [RFC 7540]
	0xFCDC : 'Reserved for Experimental Use [0xFCDC]',                             # [RFC 7540]
	0xFCDD : 'Reserved for Experimental Use [0xFCDD]',                             # [RFC 7540]
	0xFCDE : 'Reserved for Experimental Use [0xFCDE]',                             # [RFC 7540]
	0xFCDF : 'Reserved for Experimental Use [0xFCDF]',                             # [RFC 7540]
	0xFCE0 : 'Reserved for Experimental Use [0xFCE0]',                             # [RFC 7540]
	0xFCE1 : 'Reserved for Experimental Use [0xFCE1]',                             # [RFC 7540]
	0xFCE2 : 'Reserved for Experimental Use [0xFCE2]',                             # [RFC 7540]
	0xFCE3 : 'Reserved for Experimental Use [0xFCE3]',                             # [RFC 7540]
	0xFCE4 : 'Reserved for Experimental Use [0xFCE4]',                             # [RFC 7540]
	0xFCE5 : 'Reserved for Experimental Use [0xFCE5]',                             # [RFC 7540]
	0xFCE6 : 'Reserved for Experimental Use [0xFCE6]',                             # [RFC 7540]
	0xFCE7 : 'Reserved for Experimental Use [0xFCE7]',                             # [RFC 7540]
	0xFCE8 : 'Reserved for Experimental Use [0xFCE8]',                             # [RFC 7540]
	0xFCE9 : 'Reserved for Experimental Use [0xFCE9]',                             # [RFC 7540]
	0xFCEA : 'Reserved for Experimental Use [0xFCEA]',                             # [RFC 7540]
	0xFCEB : 'Reserved for Experimental Use [0xFCEB]',                             # [RFC 7540]
	0xFCEC : 'Reserved for Experimental Use [0xFCEC]',                             # [RFC 7540]
	0xFCED : 'Reserved for Experimental Use [0xFCED]',                             # [RFC 7540]
	0xFCEE : 'Reserved for Experimental Use [0xFCEE]',                             # [RFC 7540]
	0xFCEF : 'Reserved for Experimental Use [0xFCEF]',                             # [RFC 7540]
	0xFCF0 : 'Reserved for Experimental Use [0xFCF0]',                             # [RFC 7540]
	0xFCF1 : 'Reserved for Experimental Use [0xFCF1]',                             # [RFC 7540]
	0xFCF2 : 'Reserved for Experimental Use [0xFCF2]',                             # [RFC 7540]
	0xFCF3 : 'Reserved for Experimental Use [0xFCF3]',                             # [RFC 7540]
	0xFCF4 : 'Reserved for Experimental Use [0xFCF4]',                             # [RFC 7540]
	0xFCF5 : 'Reserved for Experimental Use [0xFCF5]',                             # [RFC 7540]
	0xFCF6 : 'Reserved for Experimental Use [0xFCF6]',                             # [RFC 7540]
	0xFCF7 : 'Reserved for Experimental Use [0xFCF7]',                             # [RFC 7540]
	0xFCF8 : 'Reserved for Experimental Use [0xFCF8]',                             # [RFC 7540]
	0xFCF9 : 'Reserved for Experimental Use [0xFCF9]',                             # [RFC 7540]
	0xFCFA : 'Reserved for Experimental Use [0xFCFA]',                             # [RFC 7540]
	0xFCFB : 'Reserved for Experimental Use [0xFCFB]',                             # [RFC 7540]
	0xFCFC : 'Reserved for Experimental Use [0xFCFC]',                             # [RFC 7540]
	0xFCFD : 'Reserved for Experimental Use [0xFCFD]',                             # [RFC 7540]
	0xFCFE : 'Reserved for Experimental Use [0xFCFE]',                             # [RFC 7540]
	0xFCFF : 'Reserved for Experimental Use [0xFCFF]',                             # [RFC 7540]
	0xFD00 : 'Reserved for Experimental Use [0xFD00]',                             # [RFC 7540]
	0xFD01 : 'Reserved for Experimental Use [0xFD01]',                             # [RFC 7540]
	0xFD02 : 'Reserved for Experimental Use [0xFD02]',                             # [RFC 7540]
	0xFD03 : 'Reserved for Experimental Use [0xFD03]',                             # [RFC 7540]
	0xFD04 : 'Reserved for Experimental Use [0xFD04]',                             # [RFC 7540]
	0xFD05 : 'Reserved for Experimental Use [0xFD05]',                             # [RFC 7540]
	0xFD06 : 'Reserved for Experimental Use [0xFD06]',                             # [RFC 7540]
	0xFD07 : 'Reserved for Experimental Use [0xFD07]',                             # [RFC 7540]
	0xFD08 : 'Reserved for Experimental Use [0xFD08]',                             # [RFC 7540]
	0xFD09 : 'Reserved for Experimental Use [0xFD09]',                             # [RFC 7540]
	0xFD0A : 'Reserved for Experimental Use [0xFD0A]',                             # [RFC 7540]
	0xFD0B : 'Reserved for Experimental Use [0xFD0B]',                             # [RFC 7540]
	0xFD0C : 'Reserved for Experimental Use [0xFD0C]',                             # [RFC 7540]
	0xFD0D : 'Reserved for Experimental Use [0xFD0D]',                             # [RFC 7540]
	0xFD0E : 'Reserved for Experimental Use [0xFD0E]',                             # [RFC 7540]
	0xFD0F : 'Reserved for Experimental Use [0xFD0F]',                             # [RFC 7540]
	0xFD10 : 'Reserved for Experimental Use [0xFD10]',                             # [RFC 7540]
	0xFD11 : 'Reserved for Experimental Use [0xFD11]',                             # [RFC 7540]
	0xFD12 : 'Reserved for Experimental Use [0xFD12]',                             # [RFC 7540]
	0xFD13 : 'Reserved for Experimental Use [0xFD13]',                             # [RFC 7540]
	0xFD14 : 'Reserved for Experimental Use [0xFD14]',                             # [RFC 7540]
	0xFD15 : 'Reserved for Experimental Use [0xFD15]',                             # [RFC 7540]
	0xFD16 : 'Reserved for Experimental Use [0xFD16]',                             # [RFC 7540]
	0xFD17 : 'Reserved for Experimental Use [0xFD17]',                             # [RFC 7540]
	0xFD18 : 'Reserved for Experimental Use [0xFD18]',                             # [RFC 7540]
	0xFD19 : 'Reserved for Experimental Use [0xFD19]',                             # [RFC 7540]
	0xFD1A : 'Reserved for Experimental Use [0xFD1A]',                             # [RFC 7540]
	0xFD1B : 'Reserved for Experimental Use [0xFD1B]',                             # [RFC 7540]
	0xFD1C : 'Reserved for Experimental Use [0xFD1C]',                             # [RFC 7540]
	0xFD1D : 'Reserved for Experimental Use [0xFD1D]',                             # [RFC 7540]
	0xFD1E : 'Reserved for Experimental Use [0xFD1E]',                             # [RFC 7540]
	0xFD1F : 'Reserved for Experimental Use [0xFD1F]',                             # [RFC 7540]
	0xFD20 : 'Reserved for Experimental Use [0xFD20]',                             # [RFC 7540]
	0xFD21 : 'Reserved for Experimental Use [0xFD21]',                             # [RFC 7540]
	0xFD22 : 'Reserved for Experimental Use [0xFD22]',                             # [RFC 7540]
	0xFD23 : 'Reserved for Experimental Use [0xFD23]',                             # [RFC 7540]
	0xFD24 : 'Reserved for Experimental Use [0xFD24]',                             # [RFC 7540]
	0xFD25 : 'Reserved for Experimental Use [0xFD25]',                             # [RFC 7540]
	0xFD26 : 'Reserved for Experimental Use [0xFD26]',                             # [RFC 7540]
	0xFD27 : 'Reserved for Experimental Use [0xFD27]',                             # [RFC 7540]
	0xFD28 : 'Reserved for Experimental Use [0xFD28]',                             # [RFC 7540]
	0xFD29 : 'Reserved for Experimental Use [0xFD29]',                             # [RFC 7540]
	0xFD2A : 'Reserved for Experimental Use [0xFD2A]',                             # [RFC 7540]
	0xFD2B : 'Reserved for Experimental Use [0xFD2B]',                             # [RFC 7540]
	0xFD2C : 'Reserved for Experimental Use [0xFD2C]',                             # [RFC 7540]
	0xFD2D : 'Reserved for Experimental Use [0xFD2D]',                             # [RFC 7540]
	0xFD2E : 'Reserved for Experimental Use [0xFD2E]',                             # [RFC 7540]
	0xFD2F : 'Reserved for Experimental Use [0xFD2F]',                             # [RFC 7540]
	0xFD30 : 'Reserved for Experimental Use [0xFD30]',                             # [RFC 7540]
	0xFD31 : 'Reserved for Experimental Use [0xFD31]',                             # [RFC 7540]
	0xFD32 : 'Reserved for Experimental Use [0xFD32]',                             # [RFC 7540]
	0xFD33 : 'Reserved for Experimental Use [0xFD33]',                             # [RFC 7540]
	0xFD34 : 'Reserved for Experimental Use [0xFD34]',                             # [RFC 7540]
	0xFD35 : 'Reserved for Experimental Use [0xFD35]',                             # [RFC 7540]
	0xFD36 : 'Reserved for Experimental Use [0xFD36]',                             # [RFC 7540]
	0xFD37 : 'Reserved for Experimental Use [0xFD37]',                             # [RFC 7540]
	0xFD38 : 'Reserved for Experimental Use [0xFD38]',                             # [RFC 7540]
	0xFD39 : 'Reserved for Experimental Use [0xFD39]',                             # [RFC 7540]
	0xFD3A : 'Reserved for Experimental Use [0xFD3A]',                             # [RFC 7540]
	0xFD3B : 'Reserved for Experimental Use [0xFD3B]',                             # [RFC 7540]
	0xFD3C : 'Reserved for Experimental Use [0xFD3C]',                             # [RFC 7540]
	0xFD3D : 'Reserved for Experimental Use [0xFD3D]',                             # [RFC 7540]
	0xFD3E : 'Reserved for Experimental Use [0xFD3E]',                             # [RFC 7540]
	0xFD3F : 'Reserved for Experimental Use [0xFD3F]',                             # [RFC 7540]
	0xFD40 : 'Reserved for Experimental Use [0xFD40]',                             # [RFC 7540]
	0xFD41 : 'Reserved for Experimental Use [0xFD41]',                             # [RFC 7540]
	0xFD42 : 'Reserved for Experimental Use [0xFD42]',                             # [RFC 7540]
	0xFD43 : 'Reserved for Experimental Use [0xFD43]',                             # [RFC 7540]
	0xFD44 : 'Reserved for Experimental Use [0xFD44]',                             # [RFC 7540]
	0xFD45 : 'Reserved for Experimental Use [0xFD45]',                             # [RFC 7540]
	0xFD46 : 'Reserved for Experimental Use [0xFD46]',                             # [RFC 7540]
	0xFD47 : 'Reserved for Experimental Use [0xFD47]',                             # [RFC 7540]
	0xFD48 : 'Reserved for Experimental Use [0xFD48]',                             # [RFC 7540]
	0xFD49 : 'Reserved for Experimental Use [0xFD49]',                             # [RFC 7540]
	0xFD4A : 'Reserved for Experimental Use [0xFD4A]',                             # [RFC 7540]
	0xFD4B : 'Reserved for Experimental Use [0xFD4B]',                             # [RFC 7540]
	0xFD4C : 'Reserved for Experimental Use [0xFD4C]',                             # [RFC 7540]
	0xFD4D : 'Reserved for Experimental Use [0xFD4D]',                             # [RFC 7540]
	0xFD4E : 'Reserved for Experimental Use [0xFD4E]',                             # [RFC 7540]
	0xFD4F : 'Reserved for Experimental Use [0xFD4F]',                             # [RFC 7540]
	0xFD50 : 'Reserved for Experimental Use [0xFD50]',                             # [RFC 7540]
	0xFD51 : 'Reserved for Experimental Use [0xFD51]',                             # [RFC 7540]
	0xFD52 : 'Reserved for Experimental Use [0xFD52]',                             # [RFC 7540]
	0xFD53 : 'Reserved for Experimental Use [0xFD53]',                             # [RFC 7540]
	0xFD54 : 'Reserved for Experimental Use [0xFD54]',                             # [RFC 7540]
	0xFD55 : 'Reserved for Experimental Use [0xFD55]',                             # [RFC 7540]
	0xFD56 : 'Reserved for Experimental Use [0xFD56]',                             # [RFC 7540]
	0xFD57 : 'Reserved for Experimental Use [0xFD57]',                             # [RFC 7540]
	0xFD58 : 'Reserved for Experimental Use [0xFD58]',                             # [RFC 7540]
	0xFD59 : 'Reserved for Experimental Use [0xFD59]',                             # [RFC 7540]
	0xFD5A : 'Reserved for Experimental Use [0xFD5A]',                             # [RFC 7540]
	0xFD5B : 'Reserved for Experimental Use [0xFD5B]',                             # [RFC 7540]
	0xFD5C : 'Reserved for Experimental Use [0xFD5C]',                             # [RFC 7540]
	0xFD5D : 'Reserved for Experimental Use [0xFD5D]',                             # [RFC 7540]
	0xFD5E : 'Reserved for Experimental Use [0xFD5E]',                             # [RFC 7540]
	0xFD5F : 'Reserved for Experimental Use [0xFD5F]',                             # [RFC 7540]
	0xFD60 : 'Reserved for Experimental Use [0xFD60]',                             # [RFC 7540]
	0xFD61 : 'Reserved for Experimental Use [0xFD61]',                             # [RFC 7540]
	0xFD62 : 'Reserved for Experimental Use [0xFD62]',                             # [RFC 7540]
	0xFD63 : 'Reserved for Experimental Use [0xFD63]',                             # [RFC 7540]
	0xFD64 : 'Reserved for Experimental Use [0xFD64]',                             # [RFC 7540]
	0xFD65 : 'Reserved for Experimental Use [0xFD65]',                             # [RFC 7540]
	0xFD66 : 'Reserved for Experimental Use [0xFD66]',                             # [RFC 7540]
	0xFD67 : 'Reserved for Experimental Use [0xFD67]',                             # [RFC 7540]
	0xFD68 : 'Reserved for Experimental Use [0xFD68]',                             # [RFC 7540]
	0xFD69 : 'Reserved for Experimental Use [0xFD69]',                             # [RFC 7540]
	0xFD6A : 'Reserved for Experimental Use [0xFD6A]',                             # [RFC 7540]
	0xFD6B : 'Reserved for Experimental Use [0xFD6B]',                             # [RFC 7540]
	0xFD6C : 'Reserved for Experimental Use [0xFD6C]',                             # [RFC 7540]
	0xFD6D : 'Reserved for Experimental Use [0xFD6D]',                             # [RFC 7540]
	0xFD6E : 'Reserved for Experimental Use [0xFD6E]',                             # [RFC 7540]
	0xFD6F : 'Reserved for Experimental Use [0xFD6F]',                             # [RFC 7540]
	0xFD70 : 'Reserved for Experimental Use [0xFD70]',                             # [RFC 7540]
	0xFD71 : 'Reserved for Experimental Use [0xFD71]',                             # [RFC 7540]
	0xFD72 : 'Reserved for Experimental Use [0xFD72]',                             # [RFC 7540]
	0xFD73 : 'Reserved for Experimental Use [0xFD73]',                             # [RFC 7540]
	0xFD74 : 'Reserved for Experimental Use [0xFD74]',                             # [RFC 7540]
	0xFD75 : 'Reserved for Experimental Use [0xFD75]',                             # [RFC 7540]
	0xFD76 : 'Reserved for Experimental Use [0xFD76]',                             # [RFC 7540]
	0xFD77 : 'Reserved for Experimental Use [0xFD77]',                             # [RFC 7540]
	0xFD78 : 'Reserved for Experimental Use [0xFD78]',                             # [RFC 7540]
	0xFD79 : 'Reserved for Experimental Use [0xFD79]',                             # [RFC 7540]
	0xFD7A : 'Reserved for Experimental Use [0xFD7A]',                             # [RFC 7540]
	0xFD7B : 'Reserved for Experimental Use [0xFD7B]',                             # [RFC 7540]
	0xFD7C : 'Reserved for Experimental Use [0xFD7C]',                             # [RFC 7540]
	0xFD7D : 'Reserved for Experimental Use [0xFD7D]',                             # [RFC 7540]
	0xFD7E : 'Reserved for Experimental Use [0xFD7E]',                             # [RFC 7540]
	0xFD7F : 'Reserved for Experimental Use [0xFD7F]',                             # [RFC 7540]
	0xFD80 : 'Reserved for Experimental Use [0xFD80]',                             # [RFC 7540]
	0xFD81 : 'Reserved for Experimental Use [0xFD81]',                             # [RFC 7540]
	0xFD82 : 'Reserved for Experimental Use [0xFD82]',                             # [RFC 7540]
	0xFD83 : 'Reserved for Experimental Use [0xFD83]',                             # [RFC 7540]
	0xFD84 : 'Reserved for Experimental Use [0xFD84]',                             # [RFC 7540]
	0xFD85 : 'Reserved for Experimental Use [0xFD85]',                             # [RFC 7540]
	0xFD86 : 'Reserved for Experimental Use [0xFD86]',                             # [RFC 7540]
	0xFD87 : 'Reserved for Experimental Use [0xFD87]',                             # [RFC 7540]
	0xFD88 : 'Reserved for Experimental Use [0xFD88]',                             # [RFC 7540]
	0xFD89 : 'Reserved for Experimental Use [0xFD89]',                             # [RFC 7540]
	0xFD8A : 'Reserved for Experimental Use [0xFD8A]',                             # [RFC 7540]
	0xFD8B : 'Reserved for Experimental Use [0xFD8B]',                             # [RFC 7540]
	0xFD8C : 'Reserved for Experimental Use [0xFD8C]',                             # [RFC 7540]
	0xFD8D : 'Reserved for Experimental Use [0xFD8D]',                             # [RFC 7540]
	0xFD8E : 'Reserved for Experimental Use [0xFD8E]',                             # [RFC 7540]
	0xFD8F : 'Reserved for Experimental Use [0xFD8F]',                             # [RFC 7540]
	0xFD90 : 'Reserved for Experimental Use [0xFD90]',                             # [RFC 7540]
	0xFD91 : 'Reserved for Experimental Use [0xFD91]',                             # [RFC 7540]
	0xFD92 : 'Reserved for Experimental Use [0xFD92]',                             # [RFC 7540]
	0xFD93 : 'Reserved for Experimental Use [0xFD93]',                             # [RFC 7540]
	0xFD94 : 'Reserved for Experimental Use [0xFD94]',                             # [RFC 7540]
	0xFD95 : 'Reserved for Experimental Use [0xFD95]',                             # [RFC 7540]
	0xFD96 : 'Reserved for Experimental Use [0xFD96]',                             # [RFC 7540]
	0xFD97 : 'Reserved for Experimental Use [0xFD97]',                             # [RFC 7540]
	0xFD98 : 'Reserved for Experimental Use [0xFD98]',                             # [RFC 7540]
	0xFD99 : 'Reserved for Experimental Use [0xFD99]',                             # [RFC 7540]
	0xFD9A : 'Reserved for Experimental Use [0xFD9A]',                             # [RFC 7540]
	0xFD9B : 'Reserved for Experimental Use [0xFD9B]',                             # [RFC 7540]
	0xFD9C : 'Reserved for Experimental Use [0xFD9C]',                             # [RFC 7540]
	0xFD9D : 'Reserved for Experimental Use [0xFD9D]',                             # [RFC 7540]
	0xFD9E : 'Reserved for Experimental Use [0xFD9E]',                             # [RFC 7540]
	0xFD9F : 'Reserved for Experimental Use [0xFD9F]',                             # [RFC 7540]
	0xFDA0 : 'Reserved for Experimental Use [0xFDA0]',                             # [RFC 7540]
	0xFDA1 : 'Reserved for Experimental Use [0xFDA1]',                             # [RFC 7540]
	0xFDA2 : 'Reserved for Experimental Use [0xFDA2]',                             # [RFC 7540]
	0xFDA3 : 'Reserved for Experimental Use [0xFDA3]',                             # [RFC 7540]
	0xFDA4 : 'Reserved for Experimental Use [0xFDA4]',                             # [RFC 7540]
	0xFDA5 : 'Reserved for Experimental Use [0xFDA5]',                             # [RFC 7540]
	0xFDA6 : 'Reserved for Experimental Use [0xFDA6]',                             # [RFC 7540]
	0xFDA7 : 'Reserved for Experimental Use [0xFDA7]',                             # [RFC 7540]
	0xFDA8 : 'Reserved for Experimental Use [0xFDA8]',                             # [RFC 7540]
	0xFDA9 : 'Reserved for Experimental Use [0xFDA9]',                             # [RFC 7540]
	0xFDAA : 'Reserved for Experimental Use [0xFDAA]',                             # [RFC 7540]
	0xFDAB : 'Reserved for Experimental Use [0xFDAB]',                             # [RFC 7540]
	0xFDAC : 'Reserved for Experimental Use [0xFDAC]',                             # [RFC 7540]
	0xFDAD : 'Reserved for Experimental Use [0xFDAD]',                             # [RFC 7540]
	0xFDAE : 'Reserved for Experimental Use [0xFDAE]',                             # [RFC 7540]
	0xFDAF : 'Reserved for Experimental Use [0xFDAF]',                             # [RFC 7540]
	0xFDB0 : 'Reserved for Experimental Use [0xFDB0]',                             # [RFC 7540]
	0xFDB1 : 'Reserved for Experimental Use [0xFDB1]',                             # [RFC 7540]
	0xFDB2 : 'Reserved for Experimental Use [0xFDB2]',                             # [RFC 7540]
	0xFDB3 : 'Reserved for Experimental Use [0xFDB3]',                             # [RFC 7540]
	0xFDB4 : 'Reserved for Experimental Use [0xFDB4]',                             # [RFC 7540]
	0xFDB5 : 'Reserved for Experimental Use [0xFDB5]',                             # [RFC 7540]
	0xFDB6 : 'Reserved for Experimental Use [0xFDB6]',                             # [RFC 7540]
	0xFDB7 : 'Reserved for Experimental Use [0xFDB7]',                             # [RFC 7540]
	0xFDB8 : 'Reserved for Experimental Use [0xFDB8]',                             # [RFC 7540]
	0xFDB9 : 'Reserved for Experimental Use [0xFDB9]',                             # [RFC 7540]
	0xFDBA : 'Reserved for Experimental Use [0xFDBA]',                             # [RFC 7540]
	0xFDBB : 'Reserved for Experimental Use [0xFDBB]',                             # [RFC 7540]
	0xFDBC : 'Reserved for Experimental Use [0xFDBC]',                             # [RFC 7540]
	0xFDBD : 'Reserved for Experimental Use [0xFDBD]',                             # [RFC 7540]
	0xFDBE : 'Reserved for Experimental Use [0xFDBE]',                             # [RFC 7540]
	0xFDBF : 'Reserved for Experimental Use [0xFDBF]',                             # [RFC 7540]
	0xFDC0 : 'Reserved for Experimental Use [0xFDC0]',                             # [RFC 7540]
	0xFDC1 : 'Reserved for Experimental Use [0xFDC1]',                             # [RFC 7540]
	0xFDC2 : 'Reserved for Experimental Use [0xFDC2]',                             # [RFC 7540]
	0xFDC3 : 'Reserved for Experimental Use [0xFDC3]',                             # [RFC 7540]
	0xFDC4 : 'Reserved for Experimental Use [0xFDC4]',                             # [RFC 7540]
	0xFDC5 : 'Reserved for Experimental Use [0xFDC5]',                             # [RFC 7540]
	0xFDC6 : 'Reserved for Experimental Use [0xFDC6]',                             # [RFC 7540]
	0xFDC7 : 'Reserved for Experimental Use [0xFDC7]',                             # [RFC 7540]
	0xFDC8 : 'Reserved for Experimental Use [0xFDC8]',                             # [RFC 7540]
	0xFDC9 : 'Reserved for Experimental Use [0xFDC9]',                             # [RFC 7540]
	0xFDCA : 'Reserved for Experimental Use [0xFDCA]',                             # [RFC 7540]
	0xFDCB : 'Reserved for Experimental Use [0xFDCB]',                             # [RFC 7540]
	0xFDCC : 'Reserved for Experimental Use [0xFDCC]',                             # [RFC 7540]
	0xFDCD : 'Reserved for Experimental Use [0xFDCD]',                             # [RFC 7540]
	0xFDCE : 'Reserved for Experimental Use [0xFDCE]',                             # [RFC 7540]
	0xFDCF : 'Reserved for Experimental Use [0xFDCF]',                             # [RFC 7540]
	0xFDD0 : 'Reserved for Experimental Use [0xFDD0]',                             # [RFC 7540]
	0xFDD1 : 'Reserved for Experimental Use [0xFDD1]',                             # [RFC 7540]
	0xFDD2 : 'Reserved for Experimental Use [0xFDD2]',                             # [RFC 7540]
	0xFDD3 : 'Reserved for Experimental Use [0xFDD3]',                             # [RFC 7540]
	0xFDD4 : 'Reserved for Experimental Use [0xFDD4]',                             # [RFC 7540]
	0xFDD5 : 'Reserved for Experimental Use [0xFDD5]',                             # [RFC 7540]
	0xFDD6 : 'Reserved for Experimental Use [0xFDD6]',                             # [RFC 7540]
	0xFDD7 : 'Reserved for Experimental Use [0xFDD7]',                             # [RFC 7540]
	0xFDD8 : 'Reserved for Experimental Use [0xFDD8]',                             # [RFC 7540]
	0xFDD9 : 'Reserved for Experimental Use [0xFDD9]',                             # [RFC 7540]
	0xFDDA : 'Reserved for Experimental Use [0xFDDA]',                             # [RFC 7540]
	0xFDDB : 'Reserved for Experimental Use [0xFDDB]',                             # [RFC 7540]
	0xFDDC : 'Reserved for Experimental Use [0xFDDC]',                             # [RFC 7540]
	0xFDDD : 'Reserved for Experimental Use [0xFDDD]',                             # [RFC 7540]
	0xFDDE : 'Reserved for Experimental Use [0xFDDE]',                             # [RFC 7540]
	0xFDDF : 'Reserved for Experimental Use [0xFDDF]',                             # [RFC 7540]
	0xFDE0 : 'Reserved for Experimental Use [0xFDE0]',                             # [RFC 7540]
	0xFDE1 : 'Reserved for Experimental Use [0xFDE1]',                             # [RFC 7540]
	0xFDE2 : 'Reserved for Experimental Use [0xFDE2]',                             # [RFC 7540]
	0xFDE3 : 'Reserved for Experimental Use [0xFDE3]',                             # [RFC 7540]
	0xFDE4 : 'Reserved for Experimental Use [0xFDE4]',                             # [RFC 7540]
	0xFDE5 : 'Reserved for Experimental Use [0xFDE5]',                             # [RFC 7540]
	0xFDE6 : 'Reserved for Experimental Use [0xFDE6]',                             # [RFC 7540]
	0xFDE7 : 'Reserved for Experimental Use [0xFDE7]',                             # [RFC 7540]
	0xFDE8 : 'Reserved for Experimental Use [0xFDE8]',                             # [RFC 7540]
	0xFDE9 : 'Reserved for Experimental Use [0xFDE9]',                             # [RFC 7540]
	0xFDEA : 'Reserved for Experimental Use [0xFDEA]',                             # [RFC 7540]
	0xFDEB : 'Reserved for Experimental Use [0xFDEB]',                             # [RFC 7540]
	0xFDEC : 'Reserved for Experimental Use [0xFDEC]',                             # [RFC 7540]
	0xFDED : 'Reserved for Experimental Use [0xFDED]',                             # [RFC 7540]
	0xFDEE : 'Reserved for Experimental Use [0xFDEE]',                             # [RFC 7540]
	0xFDEF : 'Reserved for Experimental Use [0xFDEF]',                             # [RFC 7540]
	0xFDF0 : 'Reserved for Experimental Use [0xFDF0]',                             # [RFC 7540]
	0xFDF1 : 'Reserved for Experimental Use [0xFDF1]',                             # [RFC 7540]
	0xFDF2 : 'Reserved for Experimental Use [0xFDF2]',                             # [RFC 7540]
	0xFDF3 : 'Reserved for Experimental Use [0xFDF3]',                             # [RFC 7540]
	0xFDF4 : 'Reserved for Experimental Use [0xFDF4]',                             # [RFC 7540]
	0xFDF5 : 'Reserved for Experimental Use [0xFDF5]',                             # [RFC 7540]
	0xFDF6 : 'Reserved for Experimental Use [0xFDF6]',                             # [RFC 7540]
	0xFDF7 : 'Reserved for Experimental Use [0xFDF7]',                             # [RFC 7540]
	0xFDF8 : 'Reserved for Experimental Use [0xFDF8]',                             # [RFC 7540]
	0xFDF9 : 'Reserved for Experimental Use [0xFDF9]',                             # [RFC 7540]
	0xFDFA : 'Reserved for Experimental Use [0xFDFA]',                             # [RFC 7540]
	0xFDFB : 'Reserved for Experimental Use [0xFDFB]',                             # [RFC 7540]
	0xFDFC : 'Reserved for Experimental Use [0xFDFC]',                             # [RFC 7540]
	0xFDFD : 'Reserved for Experimental Use [0xFDFD]',                             # [RFC 7540]
	0xFDFE : 'Reserved for Experimental Use [0xFDFE]',                             # [RFC 7540]
	0xFDFF : 'Reserved for Experimental Use [0xFDFF]',                             # [RFC 7540]
	0xFE00 : 'Reserved for Experimental Use [0xFE00]',                             # [RFC 7540]
	0xFE01 : 'Reserved for Experimental Use [0xFE01]',                             # [RFC 7540]
	0xFE02 : 'Reserved for Experimental Use [0xFE02]',                             # [RFC 7540]
	0xFE03 : 'Reserved for Experimental Use [0xFE03]',                             # [RFC 7540]
	0xFE04 : 'Reserved for Experimental Use [0xFE04]',                             # [RFC 7540]
	0xFE05 : 'Reserved for Experimental Use [0xFE05]',                             # [RFC 7540]
	0xFE06 : 'Reserved for Experimental Use [0xFE06]',                             # [RFC 7540]
	0xFE07 : 'Reserved for Experimental Use [0xFE07]',                             # [RFC 7540]
	0xFE08 : 'Reserved for Experimental Use [0xFE08]',                             # [RFC 7540]
	0xFE09 : 'Reserved for Experimental Use [0xFE09]',                             # [RFC 7540]
	0xFE0A : 'Reserved for Experimental Use [0xFE0A]',                             # [RFC 7540]
	0xFE0B : 'Reserved for Experimental Use [0xFE0B]',                             # [RFC 7540]
	0xFE0C : 'Reserved for Experimental Use [0xFE0C]',                             # [RFC 7540]
	0xFE0D : 'Reserved for Experimental Use [0xFE0D]',                             # [RFC 7540]
	0xFE0E : 'Reserved for Experimental Use [0xFE0E]',                             # [RFC 7540]
	0xFE0F : 'Reserved for Experimental Use [0xFE0F]',                             # [RFC 7540]
	0xFE10 : 'Reserved for Experimental Use [0xFE10]',                             # [RFC 7540]
	0xFE11 : 'Reserved for Experimental Use [0xFE11]',                             # [RFC 7540]
	0xFE12 : 'Reserved for Experimental Use [0xFE12]',                             # [RFC 7540]
	0xFE13 : 'Reserved for Experimental Use [0xFE13]',                             # [RFC 7540]
	0xFE14 : 'Reserved for Experimental Use [0xFE14]',                             # [RFC 7540]
	0xFE15 : 'Reserved for Experimental Use [0xFE15]',                             # [RFC 7540]
	0xFE16 : 'Reserved for Experimental Use [0xFE16]',                             # [RFC 7540]
	0xFE17 : 'Reserved for Experimental Use [0xFE17]',                             # [RFC 7540]
	0xFE18 : 'Reserved for Experimental Use [0xFE18]',                             # [RFC 7540]
	0xFE19 : 'Reserved for Experimental Use [0xFE19]',                             # [RFC 7540]
	0xFE1A : 'Reserved for Experimental Use [0xFE1A]',                             # [RFC 7540]
	0xFE1B : 'Reserved for Experimental Use [0xFE1B]',                             # [RFC 7540]
	0xFE1C : 'Reserved for Experimental Use [0xFE1C]',                             # [RFC 7540]
	0xFE1D : 'Reserved for Experimental Use [0xFE1D]',                             # [RFC 7540]
	0xFE1E : 'Reserved for Experimental Use [0xFE1E]',                             # [RFC 7540]
	0xFE1F : 'Reserved for Experimental Use [0xFE1F]',                             # [RFC 7540]
	0xFE20 : 'Reserved for Experimental Use [0xFE20]',                             # [RFC 7540]
	0xFE21 : 'Reserved for Experimental Use [0xFE21]',                             # [RFC 7540]
	0xFE22 : 'Reserved for Experimental Use [0xFE22]',                             # [RFC 7540]
	0xFE23 : 'Reserved for Experimental Use [0xFE23]',                             # [RFC 7540]
	0xFE24 : 'Reserved for Experimental Use [0xFE24]',                             # [RFC 7540]
	0xFE25 : 'Reserved for Experimental Use [0xFE25]',                             # [RFC 7540]
	0xFE26 : 'Reserved for Experimental Use [0xFE26]',                             # [RFC 7540]
	0xFE27 : 'Reserved for Experimental Use [0xFE27]',                             # [RFC 7540]
	0xFE28 : 'Reserved for Experimental Use [0xFE28]',                             # [RFC 7540]
	0xFE29 : 'Reserved for Experimental Use [0xFE29]',                             # [RFC 7540]
	0xFE2A : 'Reserved for Experimental Use [0xFE2A]',                             # [RFC 7540]
	0xFE2B : 'Reserved for Experimental Use [0xFE2B]',                             # [RFC 7540]
	0xFE2C : 'Reserved for Experimental Use [0xFE2C]',                             # [RFC 7540]
	0xFE2D : 'Reserved for Experimental Use [0xFE2D]',                             # [RFC 7540]
	0xFE2E : 'Reserved for Experimental Use [0xFE2E]',                             # [RFC 7540]
	0xFE2F : 'Reserved for Experimental Use [0xFE2F]',                             # [RFC 7540]
	0xFE30 : 'Reserved for Experimental Use [0xFE30]',                             # [RFC 7540]
	0xFE31 : 'Reserved for Experimental Use [0xFE31]',                             # [RFC 7540]
	0xFE32 : 'Reserved for Experimental Use [0xFE32]',                             # [RFC 7540]
	0xFE33 : 'Reserved for Experimental Use [0xFE33]',                             # [RFC 7540]
	0xFE34 : 'Reserved for Experimental Use [0xFE34]',                             # [RFC 7540]
	0xFE35 : 'Reserved for Experimental Use [0xFE35]',                             # [RFC 7540]
	0xFE36 : 'Reserved for Experimental Use [0xFE36]',                             # [RFC 7540]
	0xFE37 : 'Reserved for Experimental Use [0xFE37]',                             # [RFC 7540]
	0xFE38 : 'Reserved for Experimental Use [0xFE38]',                             # [RFC 7540]
	0xFE39 : 'Reserved for Experimental Use [0xFE39]',                             # [RFC 7540]
	0xFE3A : 'Reserved for Experimental Use [0xFE3A]',                             # [RFC 7540]
	0xFE3B : 'Reserved for Experimental Use [0xFE3B]',                             # [RFC 7540]
	0xFE3C : 'Reserved for Experimental Use [0xFE3C]',                             # [RFC 7540]
	0xFE3D : 'Reserved for Experimental Use [0xFE3D]',                             # [RFC 7540]
	0xFE3E : 'Reserved for Experimental Use [0xFE3E]',                             # [RFC 7540]
	0xFE3F : 'Reserved for Experimental Use [0xFE3F]',                             # [RFC 7540]
	0xFE40 : 'Reserved for Experimental Use [0xFE40]',                             # [RFC 7540]
	0xFE41 : 'Reserved for Experimental Use [0xFE41]',                             # [RFC 7540]
	0xFE42 : 'Reserved for Experimental Use [0xFE42]',                             # [RFC 7540]
	0xFE43 : 'Reserved for Experimental Use [0xFE43]',                             # [RFC 7540]
	0xFE44 : 'Reserved for Experimental Use [0xFE44]',                             # [RFC 7540]
	0xFE45 : 'Reserved for Experimental Use [0xFE45]',                             # [RFC 7540]
	0xFE46 : 'Reserved for Experimental Use [0xFE46]',                             # [RFC 7540]
	0xFE47 : 'Reserved for Experimental Use [0xFE47]',                             # [RFC 7540]
	0xFE48 : 'Reserved for Experimental Use [0xFE48]',                             # [RFC 7540]
	0xFE49 : 'Reserved for Experimental Use [0xFE49]',                             # [RFC 7540]
	0xFE4A : 'Reserved for Experimental Use [0xFE4A]',                             # [RFC 7540]
	0xFE4B : 'Reserved for Experimental Use [0xFE4B]',                             # [RFC 7540]
	0xFE4C : 'Reserved for Experimental Use [0xFE4C]',                             # [RFC 7540]
	0xFE4D : 'Reserved for Experimental Use [0xFE4D]',                             # [RFC 7540]
	0xFE4E : 'Reserved for Experimental Use [0xFE4E]',                             # [RFC 7540]
	0xFE4F : 'Reserved for Experimental Use [0xFE4F]',                             # [RFC 7540]
	0xFE50 : 'Reserved for Experimental Use [0xFE50]',                             # [RFC 7540]
	0xFE51 : 'Reserved for Experimental Use [0xFE51]',                             # [RFC 7540]
	0xFE52 : 'Reserved for Experimental Use [0xFE52]',                             # [RFC 7540]
	0xFE53 : 'Reserved for Experimental Use [0xFE53]',                             # [RFC 7540]
	0xFE54 : 'Reserved for Experimental Use [0xFE54]',                             # [RFC 7540]
	0xFE55 : 'Reserved for Experimental Use [0xFE55]',                             # [RFC 7540]
	0xFE56 : 'Reserved for Experimental Use [0xFE56]',                             # [RFC 7540]
	0xFE57 : 'Reserved for Experimental Use [0xFE57]',                             # [RFC 7540]
	0xFE58 : 'Reserved for Experimental Use [0xFE58]',                             # [RFC 7540]
	0xFE59 : 'Reserved for Experimental Use [0xFE59]',                             # [RFC 7540]
	0xFE5A : 'Reserved for Experimental Use [0xFE5A]',                             # [RFC 7540]
	0xFE5B : 'Reserved for Experimental Use [0xFE5B]',                             # [RFC 7540]
	0xFE5C : 'Reserved for Experimental Use [0xFE5C]',                             # [RFC 7540]
	0xFE5D : 'Reserved for Experimental Use [0xFE5D]',                             # [RFC 7540]
	0xFE5E : 'Reserved for Experimental Use [0xFE5E]',                             # [RFC 7540]
	0xFE5F : 'Reserved for Experimental Use [0xFE5F]',                             # [RFC 7540]
	0xFE60 : 'Reserved for Experimental Use [0xFE60]',                             # [RFC 7540]
	0xFE61 : 'Reserved for Experimental Use [0xFE61]',                             # [RFC 7540]
	0xFE62 : 'Reserved for Experimental Use [0xFE62]',                             # [RFC 7540]
	0xFE63 : 'Reserved for Experimental Use [0xFE63]',                             # [RFC 7540]
	0xFE64 : 'Reserved for Experimental Use [0xFE64]',                             # [RFC 7540]
	0xFE65 : 'Reserved for Experimental Use [0xFE65]',                             # [RFC 7540]
	0xFE66 : 'Reserved for Experimental Use [0xFE66]',                             # [RFC 7540]
	0xFE67 : 'Reserved for Experimental Use [0xFE67]',                             # [RFC 7540]
	0xFE68 : 'Reserved for Experimental Use [0xFE68]',                             # [RFC 7540]
	0xFE69 : 'Reserved for Experimental Use [0xFE69]',                             # [RFC 7540]
	0xFE6A : 'Reserved for Experimental Use [0xFE6A]',                             # [RFC 7540]
	0xFE6B : 'Reserved for Experimental Use [0xFE6B]',                             # [RFC 7540]
	0xFE6C : 'Reserved for Experimental Use [0xFE6C]',                             # [RFC 7540]
	0xFE6D : 'Reserved for Experimental Use [0xFE6D]',                             # [RFC 7540]
	0xFE6E : 'Reserved for Experimental Use [0xFE6E]',                             # [RFC 7540]
	0xFE6F : 'Reserved for Experimental Use [0xFE6F]',                             # [RFC 7540]
	0xFE70 : 'Reserved for Experimental Use [0xFE70]',                             # [RFC 7540]
	0xFE71 : 'Reserved for Experimental Use [0xFE71]',                             # [RFC 7540]
	0xFE72 : 'Reserved for Experimental Use [0xFE72]',                             # [RFC 7540]
	0xFE73 : 'Reserved for Experimental Use [0xFE73]',                             # [RFC 7540]
	0xFE74 : 'Reserved for Experimental Use [0xFE74]',                             # [RFC 7540]
	0xFE75 : 'Reserved for Experimental Use [0xFE75]',                             # [RFC 7540]
	0xFE76 : 'Reserved for Experimental Use [0xFE76]',                             # [RFC 7540]
	0xFE77 : 'Reserved for Experimental Use [0xFE77]',                             # [RFC 7540]
	0xFE78 : 'Reserved for Experimental Use [0xFE78]',                             # [RFC 7540]
	0xFE79 : 'Reserved for Experimental Use [0xFE79]',                             # [RFC 7540]
	0xFE7A : 'Reserved for Experimental Use [0xFE7A]',                             # [RFC 7540]
	0xFE7B : 'Reserved for Experimental Use [0xFE7B]',                             # [RFC 7540]
	0xFE7C : 'Reserved for Experimental Use [0xFE7C]',                             # [RFC 7540]
	0xFE7D : 'Reserved for Experimental Use [0xFE7D]',                             # [RFC 7540]
	0xFE7E : 'Reserved for Experimental Use [0xFE7E]',                             # [RFC 7540]
	0xFE7F : 'Reserved for Experimental Use [0xFE7F]',                             # [RFC 7540]
	0xFE80 : 'Reserved for Experimental Use [0xFE80]',                             # [RFC 7540]
	0xFE81 : 'Reserved for Experimental Use [0xFE81]',                             # [RFC 7540]
	0xFE82 : 'Reserved for Experimental Use [0xFE82]',                             # [RFC 7540]
	0xFE83 : 'Reserved for Experimental Use [0xFE83]',                             # [RFC 7540]
	0xFE84 : 'Reserved for Experimental Use [0xFE84]',                             # [RFC 7540]
	0xFE85 : 'Reserved for Experimental Use [0xFE85]',                             # [RFC 7540]
	0xFE86 : 'Reserved for Experimental Use [0xFE86]',                             # [RFC 7540]
	0xFE87 : 'Reserved for Experimental Use [0xFE87]',                             # [RFC 7540]
	0xFE88 : 'Reserved for Experimental Use [0xFE88]',                             # [RFC 7540]
	0xFE89 : 'Reserved for Experimental Use [0xFE89]',                             # [RFC 7540]
	0xFE8A : 'Reserved for Experimental Use [0xFE8A]',                             # [RFC 7540]
	0xFE8B : 'Reserved for Experimental Use [0xFE8B]',                             # [RFC 7540]
	0xFE8C : 'Reserved for Experimental Use [0xFE8C]',                             # [RFC 7540]
	0xFE8D : 'Reserved for Experimental Use [0xFE8D]',                             # [RFC 7540]
	0xFE8E : 'Reserved for Experimental Use [0xFE8E]',                             # [RFC 7540]
	0xFE8F : 'Reserved for Experimental Use [0xFE8F]',                             # [RFC 7540]
	0xFE90 : 'Reserved for Experimental Use [0xFE90]',                             # [RFC 7540]
	0xFE91 : 'Reserved for Experimental Use [0xFE91]',                             # [RFC 7540]
	0xFE92 : 'Reserved for Experimental Use [0xFE92]',                             # [RFC 7540]
	0xFE93 : 'Reserved for Experimental Use [0xFE93]',                             # [RFC 7540]
	0xFE94 : 'Reserved for Experimental Use [0xFE94]',                             # [RFC 7540]
	0xFE95 : 'Reserved for Experimental Use [0xFE95]',                             # [RFC 7540]
	0xFE96 : 'Reserved for Experimental Use [0xFE96]',                             # [RFC 7540]
	0xFE97 : 'Reserved for Experimental Use [0xFE97]',                             # [RFC 7540]
	0xFE98 : 'Reserved for Experimental Use [0xFE98]',                             # [RFC 7540]
	0xFE99 : 'Reserved for Experimental Use [0xFE99]',                             # [RFC 7540]
	0xFE9A : 'Reserved for Experimental Use [0xFE9A]',                             # [RFC 7540]
	0xFE9B : 'Reserved for Experimental Use [0xFE9B]',                             # [RFC 7540]
	0xFE9C : 'Reserved for Experimental Use [0xFE9C]',                             # [RFC 7540]
	0xFE9D : 'Reserved for Experimental Use [0xFE9D]',                             # [RFC 7540]
	0xFE9E : 'Reserved for Experimental Use [0xFE9E]',                             # [RFC 7540]
	0xFE9F : 'Reserved for Experimental Use [0xFE9F]',                             # [RFC 7540]
	0xFEA0 : 'Reserved for Experimental Use [0xFEA0]',                             # [RFC 7540]
	0xFEA1 : 'Reserved for Experimental Use [0xFEA1]',                             # [RFC 7540]
	0xFEA2 : 'Reserved for Experimental Use [0xFEA2]',                             # [RFC 7540]
	0xFEA3 : 'Reserved for Experimental Use [0xFEA3]',                             # [RFC 7540]
	0xFEA4 : 'Reserved for Experimental Use [0xFEA4]',                             # [RFC 7540]
	0xFEA5 : 'Reserved for Experimental Use [0xFEA5]',                             # [RFC 7540]
	0xFEA6 : 'Reserved for Experimental Use [0xFEA6]',                             # [RFC 7540]
	0xFEA7 : 'Reserved for Experimental Use [0xFEA7]',                             # [RFC 7540]
	0xFEA8 : 'Reserved for Experimental Use [0xFEA8]',                             # [RFC 7540]
	0xFEA9 : 'Reserved for Experimental Use [0xFEA9]',                             # [RFC 7540]
	0xFEAA : 'Reserved for Experimental Use [0xFEAA]',                             # [RFC 7540]
	0xFEAB : 'Reserved for Experimental Use [0xFEAB]',                             # [RFC 7540]
	0xFEAC : 'Reserved for Experimental Use [0xFEAC]',                             # [RFC 7540]
	0xFEAD : 'Reserved for Experimental Use [0xFEAD]',                             # [RFC 7540]
	0xFEAE : 'Reserved for Experimental Use [0xFEAE]',                             # [RFC 7540]
	0xFEAF : 'Reserved for Experimental Use [0xFEAF]',                             # [RFC 7540]
	0xFEB0 : 'Reserved for Experimental Use [0xFEB0]',                             # [RFC 7540]
	0xFEB1 : 'Reserved for Experimental Use [0xFEB1]',                             # [RFC 7540]
	0xFEB2 : 'Reserved for Experimental Use [0xFEB2]',                             # [RFC 7540]
	0xFEB3 : 'Reserved for Experimental Use [0xFEB3]',                             # [RFC 7540]
	0xFEB4 : 'Reserved for Experimental Use [0xFEB4]',                             # [RFC 7540]
	0xFEB5 : 'Reserved for Experimental Use [0xFEB5]',                             # [RFC 7540]
	0xFEB6 : 'Reserved for Experimental Use [0xFEB6]',                             # [RFC 7540]
	0xFEB7 : 'Reserved for Experimental Use [0xFEB7]',                             # [RFC 7540]
	0xFEB8 : 'Reserved for Experimental Use [0xFEB8]',                             # [RFC 7540]
	0xFEB9 : 'Reserved for Experimental Use [0xFEB9]',                             # [RFC 7540]
	0xFEBA : 'Reserved for Experimental Use [0xFEBA]',                             # [RFC 7540]
	0xFEBB : 'Reserved for Experimental Use [0xFEBB]',                             # [RFC 7540]
	0xFEBC : 'Reserved for Experimental Use [0xFEBC]',                             # [RFC 7540]
	0xFEBD : 'Reserved for Experimental Use [0xFEBD]',                             # [RFC 7540]
	0xFEBE : 'Reserved for Experimental Use [0xFEBE]',                             # [RFC 7540]
	0xFEBF : 'Reserved for Experimental Use [0xFEBF]',                             # [RFC 7540]
	0xFEC0 : 'Reserved for Experimental Use [0xFEC0]',                             # [RFC 7540]
	0xFEC1 : 'Reserved for Experimental Use [0xFEC1]',                             # [RFC 7540]
	0xFEC2 : 'Reserved for Experimental Use [0xFEC2]',                             # [RFC 7540]
	0xFEC3 : 'Reserved for Experimental Use [0xFEC3]',                             # [RFC 7540]
	0xFEC4 : 'Reserved for Experimental Use [0xFEC4]',                             # [RFC 7540]
	0xFEC5 : 'Reserved for Experimental Use [0xFEC5]',                             # [RFC 7540]
	0xFEC6 : 'Reserved for Experimental Use [0xFEC6]',                             # [RFC 7540]
	0xFEC7 : 'Reserved for Experimental Use [0xFEC7]',                             # [RFC 7540]
	0xFEC8 : 'Reserved for Experimental Use [0xFEC8]',                             # [RFC 7540]
	0xFEC9 : 'Reserved for Experimental Use [0xFEC9]',                             # [RFC 7540]
	0xFECA : 'Reserved for Experimental Use [0xFECA]',                             # [RFC 7540]
	0xFECB : 'Reserved for Experimental Use [0xFECB]',                             # [RFC 7540]
	0xFECC : 'Reserved for Experimental Use [0xFECC]',                             # [RFC 7540]
	0xFECD : 'Reserved for Experimental Use [0xFECD]',                             # [RFC 7540]
	0xFECE : 'Reserved for Experimental Use [0xFECE]',                             # [RFC 7540]
	0xFECF : 'Reserved for Experimental Use [0xFECF]',                             # [RFC 7540]
	0xFED0 : 'Reserved for Experimental Use [0xFED0]',                             # [RFC 7540]
	0xFED1 : 'Reserved for Experimental Use [0xFED1]',                             # [RFC 7540]
	0xFED2 : 'Reserved for Experimental Use [0xFED2]',                             # [RFC 7540]
	0xFED3 : 'Reserved for Experimental Use [0xFED3]',                             # [RFC 7540]
	0xFED4 : 'Reserved for Experimental Use [0xFED4]',                             # [RFC 7540]
	0xFED5 : 'Reserved for Experimental Use [0xFED5]',                             # [RFC 7540]
	0xFED6 : 'Reserved for Experimental Use [0xFED6]',                             # [RFC 7540]
	0xFED7 : 'Reserved for Experimental Use [0xFED7]',                             # [RFC 7540]
	0xFED8 : 'Reserved for Experimental Use [0xFED8]',                             # [RFC 7540]
	0xFED9 : 'Reserved for Experimental Use [0xFED9]',                             # [RFC 7540]
	0xFEDA : 'Reserved for Experimental Use [0xFEDA]',                             # [RFC 7540]
	0xFEDB : 'Reserved for Experimental Use [0xFEDB]',                             # [RFC 7540]
	0xFEDC : 'Reserved for Experimental Use [0xFEDC]',                             # [RFC 7540]
	0xFEDD : 'Reserved for Experimental Use [0xFEDD]',                             # [RFC 7540]
	0xFEDE : 'Reserved for Experimental Use [0xFEDE]',                             # [RFC 7540]
	0xFEDF : 'Reserved for Experimental Use [0xFEDF]',                             # [RFC 7540]
	0xFEE0 : 'Reserved for Experimental Use [0xFEE0]',                             # [RFC 7540]
	0xFEE1 : 'Reserved for Experimental Use [0xFEE1]',                             # [RFC 7540]
	0xFEE2 : 'Reserved for Experimental Use [0xFEE2]',                             # [RFC 7540]
	0xFEE3 : 'Reserved for Experimental Use [0xFEE3]',                             # [RFC 7540]
	0xFEE4 : 'Reserved for Experimental Use [0xFEE4]',                             # [RFC 7540]
	0xFEE5 : 'Reserved for Experimental Use [0xFEE5]',                             # [RFC 7540]
	0xFEE6 : 'Reserved for Experimental Use [0xFEE6]',                             # [RFC 7540]
	0xFEE7 : 'Reserved for Experimental Use [0xFEE7]',                             # [RFC 7540]
	0xFEE8 : 'Reserved for Experimental Use [0xFEE8]',                             # [RFC 7540]
	0xFEE9 : 'Reserved for Experimental Use [0xFEE9]',                             # [RFC 7540]
	0xFEEA : 'Reserved for Experimental Use [0xFEEA]',                             # [RFC 7540]
	0xFEEB : 'Reserved for Experimental Use [0xFEEB]',                             # [RFC 7540]
	0xFEEC : 'Reserved for Experimental Use [0xFEEC]',                             # [RFC 7540]
	0xFEED : 'Reserved for Experimental Use [0xFEED]',                             # [RFC 7540]
	0xFEEE : 'Reserved for Experimental Use [0xFEEE]',                             # [RFC 7540]
	0xFEEF : 'Reserved for Experimental Use [0xFEEF]',                             # [RFC 7540]
	0xFEF0 : 'Reserved for Experimental Use [0xFEF0]',                             # [RFC 7540]
	0xFEF1 : 'Reserved for Experimental Use [0xFEF1]',                             # [RFC 7540]
	0xFEF2 : 'Reserved for Experimental Use [0xFEF2]',                             # [RFC 7540]
	0xFEF3 : 'Reserved for Experimental Use [0xFEF3]',                             # [RFC 7540]
	0xFEF4 : 'Reserved for Experimental Use [0xFEF4]',                             # [RFC 7540]
	0xFEF5 : 'Reserved for Experimental Use [0xFEF5]',                             # [RFC 7540]
	0xFEF6 : 'Reserved for Experimental Use [0xFEF6]',                             # [RFC 7540]
	0xFEF7 : 'Reserved for Experimental Use [0xFEF7]',                             # [RFC 7540]
	0xFEF8 : 'Reserved for Experimental Use [0xFEF8]',                             # [RFC 7540]
	0xFEF9 : 'Reserved for Experimental Use [0xFEF9]',                             # [RFC 7540]
	0xFEFA : 'Reserved for Experimental Use [0xFEFA]',                             # [RFC 7540]
	0xFEFB : 'Reserved for Experimental Use [0xFEFB]',                             # [RFC 7540]
	0xFEFC : 'Reserved for Experimental Use [0xFEFC]',                             # [RFC 7540]
	0xFEFD : 'Reserved for Experimental Use [0xFEFD]',                             # [RFC 7540]
	0xFEFE : 'Reserved for Experimental Use [0xFEFE]',                             # [RFC 7540]
	0xFEFF : 'Reserved for Experimental Use [0xFEFF]',                             # [RFC 7540]
	0xFF00 : 'Reserved for Experimental Use [0xFF00]',                             # [RFC 7540]
	0xFF01 : 'Reserved for Experimental Use [0xFF01]',                             # [RFC 7540]
	0xFF02 : 'Reserved for Experimental Use [0xFF02]',                             # [RFC 7540]
	0xFF03 : 'Reserved for Experimental Use [0xFF03]',                             # [RFC 7540]
	0xFF04 : 'Reserved for Experimental Use [0xFF04]',                             # [RFC 7540]
	0xFF05 : 'Reserved for Experimental Use [0xFF05]',                             # [RFC 7540]
	0xFF06 : 'Reserved for Experimental Use [0xFF06]',                             # [RFC 7540]
	0xFF07 : 'Reserved for Experimental Use [0xFF07]',                             # [RFC 7540]
	0xFF08 : 'Reserved for Experimental Use [0xFF08]',                             # [RFC 7540]
	0xFF09 : 'Reserved for Experimental Use [0xFF09]',                             # [RFC 7540]
	0xFF0A : 'Reserved for Experimental Use [0xFF0A]',                             # [RFC 7540]
	0xFF0B : 'Reserved for Experimental Use [0xFF0B]',                             # [RFC 7540]
	0xFF0C : 'Reserved for Experimental Use [0xFF0C]',                             # [RFC 7540]
	0xFF0D : 'Reserved for Experimental Use [0xFF0D]',                             # [RFC 7540]
	0xFF0E : 'Reserved for Experimental Use [0xFF0E]',                             # [RFC 7540]
	0xFF0F : 'Reserved for Experimental Use [0xFF0F]',                             # [RFC 7540]
	0xFF10 : 'Reserved for Experimental Use [0xFF10]',                             # [RFC 7540]
	0xFF11 : 'Reserved for Experimental Use [0xFF11]',                             # [RFC 7540]
	0xFF12 : 'Reserved for Experimental Use [0xFF12]',                             # [RFC 7540]
	0xFF13 : 'Reserved for Experimental Use [0xFF13]',                             # [RFC 7540]
	0xFF14 : 'Reserved for Experimental Use [0xFF14]',                             # [RFC 7540]
	0xFF15 : 'Reserved for Experimental Use [0xFF15]',                             # [RFC 7540]
	0xFF16 : 'Reserved for Experimental Use [0xFF16]',                             # [RFC 7540]
	0xFF17 : 'Reserved for Experimental Use [0xFF17]',                             # [RFC 7540]
	0xFF18 : 'Reserved for Experimental Use [0xFF18]',                             # [RFC 7540]
	0xFF19 : 'Reserved for Experimental Use [0xFF19]',                             # [RFC 7540]
	0xFF1A : 'Reserved for Experimental Use [0xFF1A]',                             # [RFC 7540]
	0xFF1B : 'Reserved for Experimental Use [0xFF1B]',                             # [RFC 7540]
	0xFF1C : 'Reserved for Experimental Use [0xFF1C]',                             # [RFC 7540]
	0xFF1D : 'Reserved for Experimental Use [0xFF1D]',                             # [RFC 7540]
	0xFF1E : 'Reserved for Experimental Use [0xFF1E]',                             # [RFC 7540]
	0xFF1F : 'Reserved for Experimental Use [0xFF1F]',                             # [RFC 7540]
	0xFF20 : 'Reserved for Experimental Use [0xFF20]',                             # [RFC 7540]
	0xFF21 : 'Reserved for Experimental Use [0xFF21]',                             # [RFC 7540]
	0xFF22 : 'Reserved for Experimental Use [0xFF22]',                             # [RFC 7540]
	0xFF23 : 'Reserved for Experimental Use [0xFF23]',                             # [RFC 7540]
	0xFF24 : 'Reserved for Experimental Use [0xFF24]',                             # [RFC 7540]
	0xFF25 : 'Reserved for Experimental Use [0xFF25]',                             # [RFC 7540]
	0xFF26 : 'Reserved for Experimental Use [0xFF26]',                             # [RFC 7540]
	0xFF27 : 'Reserved for Experimental Use [0xFF27]',                             # [RFC 7540]
	0xFF28 : 'Reserved for Experimental Use [0xFF28]',                             # [RFC 7540]
	0xFF29 : 'Reserved for Experimental Use [0xFF29]',                             # [RFC 7540]
	0xFF2A : 'Reserved for Experimental Use [0xFF2A]',                             # [RFC 7540]
	0xFF2B : 'Reserved for Experimental Use [0xFF2B]',                             # [RFC 7540]
	0xFF2C : 'Reserved for Experimental Use [0xFF2C]',                             # [RFC 7540]
	0xFF2D : 'Reserved for Experimental Use [0xFF2D]',                             # [RFC 7540]
	0xFF2E : 'Reserved for Experimental Use [0xFF2E]',                             # [RFC 7540]
	0xFF2F : 'Reserved for Experimental Use [0xFF2F]',                             # [RFC 7540]
	0xFF30 : 'Reserved for Experimental Use [0xFF30]',                             # [RFC 7540]
	0xFF31 : 'Reserved for Experimental Use [0xFF31]',                             # [RFC 7540]
	0xFF32 : 'Reserved for Experimental Use [0xFF32]',                             # [RFC 7540]
	0xFF33 : 'Reserved for Experimental Use [0xFF33]',                             # [RFC 7540]
	0xFF34 : 'Reserved for Experimental Use [0xFF34]',                             # [RFC 7540]
	0xFF35 : 'Reserved for Experimental Use [0xFF35]',                             # [RFC 7540]
	0xFF36 : 'Reserved for Experimental Use [0xFF36]',                             # [RFC 7540]
	0xFF37 : 'Reserved for Experimental Use [0xFF37]',                             # [RFC 7540]
	0xFF38 : 'Reserved for Experimental Use [0xFF38]',                             # [RFC 7540]
	0xFF39 : 'Reserved for Experimental Use [0xFF39]',                             # [RFC 7540]
	0xFF3A : 'Reserved for Experimental Use [0xFF3A]',                             # [RFC 7540]
	0xFF3B : 'Reserved for Experimental Use [0xFF3B]',                             # [RFC 7540]
	0xFF3C : 'Reserved for Experimental Use [0xFF3C]',                             # [RFC 7540]
	0xFF3D : 'Reserved for Experimental Use [0xFF3D]',                             # [RFC 7540]
	0xFF3E : 'Reserved for Experimental Use [0xFF3E]',                             # [RFC 7540]
	0xFF3F : 'Reserved for Experimental Use [0xFF3F]',                             # [RFC 7540]
	0xFF40 : 'Reserved for Experimental Use [0xFF40]',                             # [RFC 7540]
	0xFF41 : 'Reserved for Experimental Use [0xFF41]',                             # [RFC 7540]
	0xFF42 : 'Reserved for Experimental Use [0xFF42]',                             # [RFC 7540]
	0xFF43 : 'Reserved for Experimental Use [0xFF43]',                             # [RFC 7540]
	0xFF44 : 'Reserved for Experimental Use [0xFF44]',                             # [RFC 7540]
	0xFF45 : 'Reserved for Experimental Use [0xFF45]',                             # [RFC 7540]
	0xFF46 : 'Reserved for Experimental Use [0xFF46]',                             # [RFC 7540]
	0xFF47 : 'Reserved for Experimental Use [0xFF47]',                             # [RFC 7540]
	0xFF48 : 'Reserved for Experimental Use [0xFF48]',                             # [RFC 7540]
	0xFF49 : 'Reserved for Experimental Use [0xFF49]',                             # [RFC 7540]
	0xFF4A : 'Reserved for Experimental Use [0xFF4A]',                             # [RFC 7540]
	0xFF4B : 'Reserved for Experimental Use [0xFF4B]',                             # [RFC 7540]
	0xFF4C : 'Reserved for Experimental Use [0xFF4C]',                             # [RFC 7540]
	0xFF4D : 'Reserved for Experimental Use [0xFF4D]',                             # [RFC 7540]
	0xFF4E : 'Reserved for Experimental Use [0xFF4E]',                             # [RFC 7540]
	0xFF4F : 'Reserved for Experimental Use [0xFF4F]',                             # [RFC 7540]
	0xFF50 : 'Reserved for Experimental Use [0xFF50]',                             # [RFC 7540]
	0xFF51 : 'Reserved for Experimental Use [0xFF51]',                             # [RFC 7540]
	0xFF52 : 'Reserved for Experimental Use [0xFF52]',                             # [RFC 7540]
	0xFF53 : 'Reserved for Experimental Use [0xFF53]',                             # [RFC 7540]
	0xFF54 : 'Reserved for Experimental Use [0xFF54]',                             # [RFC 7540]
	0xFF55 : 'Reserved for Experimental Use [0xFF55]',                             # [RFC 7540]
	0xFF56 : 'Reserved for Experimental Use [0xFF56]',                             # [RFC 7540]
	0xFF57 : 'Reserved for Experimental Use [0xFF57]',                             # [RFC 7540]
	0xFF58 : 'Reserved for Experimental Use [0xFF58]',                             # [RFC 7540]
	0xFF59 : 'Reserved for Experimental Use [0xFF59]',                             # [RFC 7540]
	0xFF5A : 'Reserved for Experimental Use [0xFF5A]',                             # [RFC 7540]
	0xFF5B : 'Reserved for Experimental Use [0xFF5B]',                             # [RFC 7540]
	0xFF5C : 'Reserved for Experimental Use [0xFF5C]',                             # [RFC 7540]
	0xFF5D : 'Reserved for Experimental Use [0xFF5D]',                             # [RFC 7540]
	0xFF5E : 'Reserved for Experimental Use [0xFF5E]',                             # [RFC 7540]
	0xFF5F : 'Reserved for Experimental Use [0xFF5F]',                             # [RFC 7540]
	0xFF60 : 'Reserved for Experimental Use [0xFF60]',                             # [RFC 7540]
	0xFF61 : 'Reserved for Experimental Use [0xFF61]',                             # [RFC 7540]
	0xFF62 : 'Reserved for Experimental Use [0xFF62]',                             # [RFC 7540]
	0xFF63 : 'Reserved for Experimental Use [0xFF63]',                             # [RFC 7540]
	0xFF64 : 'Reserved for Experimental Use [0xFF64]',                             # [RFC 7540]
	0xFF65 : 'Reserved for Experimental Use [0xFF65]',                             # [RFC 7540]
	0xFF66 : 'Reserved for Experimental Use [0xFF66]',                             # [RFC 7540]
	0xFF67 : 'Reserved for Experimental Use [0xFF67]',                             # [RFC 7540]
	0xFF68 : 'Reserved for Experimental Use [0xFF68]',                             # [RFC 7540]
	0xFF69 : 'Reserved for Experimental Use [0xFF69]',                             # [RFC 7540]
	0xFF6A : 'Reserved for Experimental Use [0xFF6A]',                             # [RFC 7540]
	0xFF6B : 'Reserved for Experimental Use [0xFF6B]',                             # [RFC 7540]
	0xFF6C : 'Reserved for Experimental Use [0xFF6C]',                             # [RFC 7540]
	0xFF6D : 'Reserved for Experimental Use [0xFF6D]',                             # [RFC 7540]
	0xFF6E : 'Reserved for Experimental Use [0xFF6E]',                             # [RFC 7540]
	0xFF6F : 'Reserved for Experimental Use [0xFF6F]',                             # [RFC 7540]
	0xFF70 : 'Reserved for Experimental Use [0xFF70]',                             # [RFC 7540]
	0xFF71 : 'Reserved for Experimental Use [0xFF71]',                             # [RFC 7540]
	0xFF72 : 'Reserved for Experimental Use [0xFF72]',                             # [RFC 7540]
	0xFF73 : 'Reserved for Experimental Use [0xFF73]',                             # [RFC 7540]
	0xFF74 : 'Reserved for Experimental Use [0xFF74]',                             # [RFC 7540]
	0xFF75 : 'Reserved for Experimental Use [0xFF75]',                             # [RFC 7540]
	0xFF76 : 'Reserved for Experimental Use [0xFF76]',                             # [RFC 7540]
	0xFF77 : 'Reserved for Experimental Use [0xFF77]',                             # [RFC 7540]
	0xFF78 : 'Reserved for Experimental Use [0xFF78]',                             # [RFC 7540]
	0xFF79 : 'Reserved for Experimental Use [0xFF79]',                             # [RFC 7540]
	0xFF7A : 'Reserved for Experimental Use [0xFF7A]',                             # [RFC 7540]
	0xFF7B : 'Reserved for Experimental Use [0xFF7B]',                             # [RFC 7540]
	0xFF7C : 'Reserved for Experimental Use [0xFF7C]',                             # [RFC 7540]
	0xFF7D : 'Reserved for Experimental Use [0xFF7D]',                             # [RFC 7540]
	0xFF7E : 'Reserved for Experimental Use [0xFF7E]',                             # [RFC 7540]
	0xFF7F : 'Reserved for Experimental Use [0xFF7F]',                             # [RFC 7540]
	0xFF80 : 'Reserved for Experimental Use [0xFF80]',                             # [RFC 7540]
	0xFF81 : 'Reserved for Experimental Use [0xFF81]',                             # [RFC 7540]
	0xFF82 : 'Reserved for Experimental Use [0xFF82]',                             # [RFC 7540]
	0xFF83 : 'Reserved for Experimental Use [0xFF83]',                             # [RFC 7540]
	0xFF84 : 'Reserved for Experimental Use [0xFF84]',                             # [RFC 7540]
	0xFF85 : 'Reserved for Experimental Use [0xFF85]',                             # [RFC 7540]
	0xFF86 : 'Reserved for Experimental Use [0xFF86]',                             # [RFC 7540]
	0xFF87 : 'Reserved for Experimental Use [0xFF87]',                             # [RFC 7540]
	0xFF88 : 'Reserved for Experimental Use [0xFF88]',                             # [RFC 7540]
	0xFF89 : 'Reserved for Experimental Use [0xFF89]',                             # [RFC 7540]
	0xFF8A : 'Reserved for Experimental Use [0xFF8A]',                             # [RFC 7540]
	0xFF8B : 'Reserved for Experimental Use [0xFF8B]',                             # [RFC 7540]
	0xFF8C : 'Reserved for Experimental Use [0xFF8C]',                             # [RFC 7540]
	0xFF8D : 'Reserved for Experimental Use [0xFF8D]',                             # [RFC 7540]
	0xFF8E : 'Reserved for Experimental Use [0xFF8E]',                             # [RFC 7540]
	0xFF8F : 'Reserved for Experimental Use [0xFF8F]',                             # [RFC 7540]
	0xFF90 : 'Reserved for Experimental Use [0xFF90]',                             # [RFC 7540]
	0xFF91 : 'Reserved for Experimental Use [0xFF91]',                             # [RFC 7540]
	0xFF92 : 'Reserved for Experimental Use [0xFF92]',                             # [RFC 7540]
	0xFF93 : 'Reserved for Experimental Use [0xFF93]',                             # [RFC 7540]
	0xFF94 : 'Reserved for Experimental Use [0xFF94]',                             # [RFC 7540]
	0xFF95 : 'Reserved for Experimental Use [0xFF95]',                             # [RFC 7540]
	0xFF96 : 'Reserved for Experimental Use [0xFF96]',                             # [RFC 7540]
	0xFF97 : 'Reserved for Experimental Use [0xFF97]',                             # [RFC 7540]
	0xFF98 : 'Reserved for Experimental Use [0xFF98]',                             # [RFC 7540]
	0xFF99 : 'Reserved for Experimental Use [0xFF99]',                             # [RFC 7540]
	0xFF9A : 'Reserved for Experimental Use [0xFF9A]',                             # [RFC 7540]
	0xFF9B : 'Reserved for Experimental Use [0xFF9B]',                             # [RFC 7540]
	0xFF9C : 'Reserved for Experimental Use [0xFF9C]',                             # [RFC 7540]
	0xFF9D : 'Reserved for Experimental Use [0xFF9D]',                             # [RFC 7540]
	0xFF9E : 'Reserved for Experimental Use [0xFF9E]',                             # [RFC 7540]
	0xFF9F : 'Reserved for Experimental Use [0xFF9F]',                             # [RFC 7540]
	0xFFA0 : 'Reserved for Experimental Use [0xFFA0]',                             # [RFC 7540]
	0xFFA1 : 'Reserved for Experimental Use [0xFFA1]',                             # [RFC 7540]
	0xFFA2 : 'Reserved for Experimental Use [0xFFA2]',                             # [RFC 7540]
	0xFFA3 : 'Reserved for Experimental Use [0xFFA3]',                             # [RFC 7540]
	0xFFA4 : 'Reserved for Experimental Use [0xFFA4]',                             # [RFC 7540]
	0xFFA5 : 'Reserved for Experimental Use [0xFFA5]',                             # [RFC 7540]
	0xFFA6 : 'Reserved for Experimental Use [0xFFA6]',                             # [RFC 7540]
	0xFFA7 : 'Reserved for Experimental Use [0xFFA7]',                             # [RFC 7540]
	0xFFA8 : 'Reserved for Experimental Use [0xFFA8]',                             # [RFC 7540]
	0xFFA9 : 'Reserved for Experimental Use [0xFFA9]',                             # [RFC 7540]
	0xFFAA : 'Reserved for Experimental Use [0xFFAA]',                             # [RFC 7540]
	0xFFAB : 'Reserved for Experimental Use [0xFFAB]',                             # [RFC 7540]
	0xFFAC : 'Reserved for Experimental Use [0xFFAC]',                             # [RFC 7540]
	0xFFAD : 'Reserved for Experimental Use [0xFFAD]',                             # [RFC 7540]
	0xFFAE : 'Reserved for Experimental Use [0xFFAE]',                             # [RFC 7540]
	0xFFAF : 'Reserved for Experimental Use [0xFFAF]',                             # [RFC 7540]
	0xFFB0 : 'Reserved for Experimental Use [0xFFB0]',                             # [RFC 7540]
	0xFFB1 : 'Reserved for Experimental Use [0xFFB1]',                             # [RFC 7540]
	0xFFB2 : 'Reserved for Experimental Use [0xFFB2]',                             # [RFC 7540]
	0xFFB3 : 'Reserved for Experimental Use [0xFFB3]',                             # [RFC 7540]
	0xFFB4 : 'Reserved for Experimental Use [0xFFB4]',                             # [RFC 7540]
	0xFFB5 : 'Reserved for Experimental Use [0xFFB5]',                             # [RFC 7540]
	0xFFB6 : 'Reserved for Experimental Use [0xFFB6]',                             # [RFC 7540]
	0xFFB7 : 'Reserved for Experimental Use [0xFFB7]',                             # [RFC 7540]
	0xFFB8 : 'Reserved for Experimental Use [0xFFB8]',                             # [RFC 7540]
	0xFFB9 : 'Reserved for Experimental Use [0xFFB9]',                             # [RFC 7540]
	0xFFBA : 'Reserved for Experimental Use [0xFFBA]',                             # [RFC 7540]
	0xFFBB : 'Reserved for Experimental Use [0xFFBB]',                             # [RFC 7540]
	0xFFBC : 'Reserved for Experimental Use [0xFFBC]',                             # [RFC 7540]
	0xFFBD : 'Reserved for Experimental Use [0xFFBD]',                             # [RFC 7540]
	0xFFBE : 'Reserved for Experimental Use [0xFFBE]',                             # [RFC 7540]
	0xFFBF : 'Reserved for Experimental Use [0xFFBF]',                             # [RFC 7540]
	0xFFC0 : 'Reserved for Experimental Use [0xFFC0]',                             # [RFC 7540]
	0xFFC1 : 'Reserved for Experimental Use [0xFFC1]',                             # [RFC 7540]
	0xFFC2 : 'Reserved for Experimental Use [0xFFC2]',                             # [RFC 7540]
	0xFFC3 : 'Reserved for Experimental Use [0xFFC3]',                             # [RFC 7540]
	0xFFC4 : 'Reserved for Experimental Use [0xFFC4]',                             # [RFC 7540]
	0xFFC5 : 'Reserved for Experimental Use [0xFFC5]',                             # [RFC 7540]
	0xFFC6 : 'Reserved for Experimental Use [0xFFC6]',                             # [RFC 7540]
	0xFFC7 : 'Reserved for Experimental Use [0xFFC7]',                             # [RFC 7540]
	0xFFC8 : 'Reserved for Experimental Use [0xFFC8]',                             # [RFC 7540]
	0xFFC9 : 'Reserved for Experimental Use [0xFFC9]',                             # [RFC 7540]
	0xFFCA : 'Reserved for Experimental Use [0xFFCA]',                             # [RFC 7540]
	0xFFCB : 'Reserved for Experimental Use [0xFFCB]',                             # [RFC 7540]
	0xFFCC : 'Reserved for Experimental Use [0xFFCC]',                             # [RFC 7540]
	0xFFCD : 'Reserved for Experimental Use [0xFFCD]',                             # [RFC 7540]
	0xFFCE : 'Reserved for Experimental Use [0xFFCE]',                             # [RFC 7540]
	0xFFCF : 'Reserved for Experimental Use [0xFFCF]',                             # [RFC 7540]
	0xFFD0 : 'Reserved for Experimental Use [0xFFD0]',                             # [RFC 7540]
	0xFFD1 : 'Reserved for Experimental Use [0xFFD1]',                             # [RFC 7540]
	0xFFD2 : 'Reserved for Experimental Use [0xFFD2]',                             # [RFC 7540]
	0xFFD3 : 'Reserved for Experimental Use [0xFFD3]',                             # [RFC 7540]
	0xFFD4 : 'Reserved for Experimental Use [0xFFD4]',                             # [RFC 7540]
	0xFFD5 : 'Reserved for Experimental Use [0xFFD5]',                             # [RFC 7540]
	0xFFD6 : 'Reserved for Experimental Use [0xFFD6]',                             # [RFC 7540]
	0xFFD7 : 'Reserved for Experimental Use [0xFFD7]',                             # [RFC 7540]
	0xFFD8 : 'Reserved for Experimental Use [0xFFD8]',                             # [RFC 7540]
	0xFFD9 : 'Reserved for Experimental Use [0xFFD9]',                             # [RFC 7540]
	0xFFDA : 'Reserved for Experimental Use [0xFFDA]',                             # [RFC 7540]
	0xFFDB : 'Reserved for Experimental Use [0xFFDB]',                             # [RFC 7540]
	0xFFDC : 'Reserved for Experimental Use [0xFFDC]',                             # [RFC 7540]
	0xFFDD : 'Reserved for Experimental Use [0xFFDD]',                             # [RFC 7540]
	0xFFDE : 'Reserved for Experimental Use [0xFFDE]',                             # [RFC 7540]
	0xFFDF : 'Reserved for Experimental Use [0xFFDF]',                             # [RFC 7540]
	0xFFE0 : 'Reserved for Experimental Use [0xFFE0]',                             # [RFC 7540]
	0xFFE1 : 'Reserved for Experimental Use [0xFFE1]',                             # [RFC 7540]
	0xFFE2 : 'Reserved for Experimental Use [0xFFE2]',                             # [RFC 7540]
	0xFFE3 : 'Reserved for Experimental Use [0xFFE3]',                             # [RFC 7540]
	0xFFE4 : 'Reserved for Experimental Use [0xFFE4]',                             # [RFC 7540]
	0xFFE5 : 'Reserved for Experimental Use [0xFFE5]',                             # [RFC 7540]
	0xFFE6 : 'Reserved for Experimental Use [0xFFE6]',                             # [RFC 7540]
	0xFFE7 : 'Reserved for Experimental Use [0xFFE7]',                             # [RFC 7540]
	0xFFE8 : 'Reserved for Experimental Use [0xFFE8]',                             # [RFC 7540]
	0xFFE9 : 'Reserved for Experimental Use [0xFFE9]',                             # [RFC 7540]
	0xFFEA : 'Reserved for Experimental Use [0xFFEA]',                             # [RFC 7540]
	0xFFEB : 'Reserved for Experimental Use [0xFFEB]',                             # [RFC 7540]
	0xFFEC : 'Reserved for Experimental Use [0xFFEC]',                             # [RFC 7540]
	0xFFED : 'Reserved for Experimental Use [0xFFED]',                             # [RFC 7540]
	0xFFEE : 'Reserved for Experimental Use [0xFFEE]',                             # [RFC 7540]
	0xFFEF : 'Reserved for Experimental Use [0xFFEF]',                             # [RFC 7540]
	0xFFF0 : 'Reserved for Experimental Use [0xFFF0]',                             # [RFC 7540]
	0xFFF1 : 'Reserved for Experimental Use [0xFFF1]',                             # [RFC 7540]
	0xFFF2 : 'Reserved for Experimental Use [0xFFF2]',                             # [RFC 7540]
	0xFFF3 : 'Reserved for Experimental Use [0xFFF3]',                             # [RFC 7540]
	0xFFF4 : 'Reserved for Experimental Use [0xFFF4]',                             # [RFC 7540]
	0xFFF5 : 'Reserved for Experimental Use [0xFFF5]',                             # [RFC 7540]
	0xFFF6 : 'Reserved for Experimental Use [0xFFF6]',                             # [RFC 7540]
	0xFFF7 : 'Reserved for Experimental Use [0xFFF7]',                             # [RFC 7540]
	0xFFF8 : 'Reserved for Experimental Use [0xFFF8]',                             # [RFC 7540]
	0xFFF9 : 'Reserved for Experimental Use [0xFFF9]',                             # [RFC 7540]
	0xFFFA : 'Reserved for Experimental Use [0xFFFA]',                             # [RFC 7540]
	0xFFFB : 'Reserved for Experimental Use [0xFFFB]',                             # [RFC 7540]
	0xFFFC : 'Reserved for Experimental Use [0xFFFC]',                             # [RFC 7540]
	0xFFFD : 'Reserved for Experimental Use [0xFFFD]',                             # [RFC 7540]
	0xFFFE : 'Reserved for Experimental Use [0xFFFE]',                             # [RFC 7540]
	0xFFFF : 'Reserved for Experimental Use [0xFFFF]',                             # [RFC 7540]
}
